

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

DROP SCHEMA IF EXISTS conference_renamed CASCADE;
CREATE SCHEMA conference_renamed;
SET search_path = conference_renamed, pg_catalog;


SET default_tablespace = '';

SET default_with_oids = false;


CREATE TABLE abstracts (
    id integer NOT NULL,
    th_part integer
);


CREATE TABLE accepted_contributions (
    id integer NOT NULL
);


CREATE TABLE active_conference_particis (
    id integer NOT NULL
);


CREATE TABLE belongs_to_reviewers (
    entity integer NOT NULL,
    reviewer integer NOT NULL
);


CREATE TABLE call_for_papers (
    id integer NOT NULL
);


CREATE TABLE call_for_participations (
    id integer NOT NULL
);


CREATE TABLE camera_ready_contributions (
    id integer NOT NULL
);


CREATE TABLE chairs (
    id integer NOT NULL
);


CREATE TABLE co_chairs (
    id integer NOT NULL
);


CREATE TABLE committee_co_chair (
    committee integer NOT NULL,
    co_chair integer NOT NULL
);


CREATE TABLE committee_committee_member (
    committee integer NOT NULL,
    committee_member integer NOT NULL
);


CREATE TABLE committee_members (
    id integer NOT NULL
);


CREATE TABLE committees (
    id integer NOT NULL,
    name character varying(29),
    committee_chair integer
);


CREATE TABLE conference_announcements (
    id integer NOT NULL
);


CREATE TABLE conference_applicants (
    id integer NOT NULL
);


CREATE TABLE conference_contributions (
    id integer NOT NULL,
    submitted_at integer
);


CREATE TABLE conference_contributors (
    id integer NOT NULL
);


CREATE TABLE conference_documents (
    id integer NOT NULL,
    date_issue date
);


CREATE TABLE conference_fees (
    id integer NOT NULL,
    amount character varying(3)
);


CREATE TABLE conference_participants (
    id integer NOT NULL
);


CREATE TABLE conference_parts (
    id integer NOT NULL,
    part_conference_vol integer,
    name character varying(199)
);


CREATE TABLE conference_proceedings (
    id integer NOT NULL,
    publisher integer,
    volume integer,
    name character varying(26),
    isbn character varying(13)
);


CREATE TABLE conference_volumes (
    id integer NOT NULL,
    program_committee integer,
    organizing_committ integer,
    location character varying(16),
    steering_committee integer,
    important_dates integer
);


CREATE TABLE conferences (
    id integer NOT NULL,
    name character varying(6)
);


CREATE TABLE contribution_1th_authors (
    id integer NOT NULL
);


CREATE TABLE contribution_co_authors (
    id integer NOT NULL
);


CREATE TABLE early_paid_applicants (
    id integer NOT NULL
);


CREATE TABLE emails (
    person integer NOT NULL,
    value character varying(43) NOT NULL
);


CREATE TABLE extended_abstracts (
    id integer NOT NULL,
    text character varying(305)
);


CREATE TABLE important_dates (
    id integer NOT NULL,
    date_acceptance_a date,
    full_paper_submissio date,
    date_camera_ready date,
    ending_date date,
    starting_date date,
    abstract_submission date
);


CREATE TABLE information_for_participas (
    id integer NOT NULL
);


CREATE TABLE invited_speakers (
    id integer NOT NULL
);


CREATE TABLE invited_talks (
    id integer NOT NULL
);


CREATE TABLE late_paid_applicants (
    id integer NOT NULL
);


CREATE TABLE organizations (
    id integer NOT NULL,
    name character varying(199)
);


CREATE TABLE organizers (
    id integer NOT NULL
);


CREATE TABLE organizing_committees (
    id integer NOT NULL,
    was_an_organizing_committ integer
);


CREATE TABLE paid_applicants (
    id integer NOT NULL
);


CREATE TABLE papers (
    id integer NOT NULL,
    abstract integer,
    paper_title character varying(200)
);


CREATE TABLE passive_conference_partics (
    id integer NOT NULL
);


CREATE TABLE person_conference_document (
    pid integer NOT NULL,
    cid integer NOT NULL
);


CREATE TABLE persons (
    id integer NOT NULL,
    first_name character varying(14),
    last_name character varying(13),
    gender character varying(1)
);


CREATE TABLE posters (
    id integer NOT NULL,
    abstract integer
);


CREATE TABLE presentations (
    id integer NOT NULL,
    given integer,
    abstract integer
);


CREATE TABLE program_committees (
    id integer NOT NULL,
    was_program_committee integer
);


CREATE TABLE publishers (
    id integer NOT NULL,
    name character varying(199)
);


CREATE TABLE registeered_applicants (
    id integer NOT NULL
);


CREATE TABLE regular_authors (
    id integer NOT NULL
);


CREATE TABLE regular_contributions (
    id integer NOT NULL
);


CREATE TABLE rejected_contributions (
    id integer NOT NULL
);


CREATE TABLE review_expertises (
    id integer NOT NULL,
    expertise character varying(199),
    submitted_contribut integer
);


CREATE TABLE review_preferences (
    id integer NOT NULL,
    belongs_to_review_refer integer,
    degree integer,
    topic_or_submissi integer
);


CREATE TABLE reviewed_contributions (
    id integer NOT NULL
);


CREATE TABLE reviewer_reviewer (
    reviewer1 integer NOT NULL,
    reviewer2 integer NOT NULL
);


CREATE TABLE reviewers (
    id integer NOT NULL
);


CREATE TABLE reviews (
    id integer NOT NULL,
    reviews integer,
    detailed_comments character varying(191)
);


CREATE TABLE steering_committees (
    id integer NOT NULL,
    was_steering_committee_ integer
);


CREATE TABLE submitted_contributions (
    id integer NOT NULL
);


CREATE TABLE topic_tutorial (
    conference_part integer NOT NULL,
    topic integer NOT NULL
);


CREATE TABLE topics (
    id integer NOT NULL,
    name character varying(199)
);


CREATE TABLE track_workshop_chairs (
    id integer NOT NULL
);


CREATE TABLE tracks (
    id integer NOT NULL,
    tracks integer,
    track_workshop_tuto integer
);


CREATE TABLE tutorials (
    id integer NOT NULL,
    tutorials integer
);


CREATE TABLE websites (
    id integer NOT NULL,
    url character varying(22)
);


CREATE TABLE workshops (
    id integer NOT NULL,
    track_workshop_tuto integer,
    workshops integer
);


CREATE TABLE written_contributions (
    id integer NOT NULL
);


COPY abstracts (id, th_part) FROM stdin;
24	25
29	30
45	15
49	50
60	61
76	77
114	75
150	151
177	178
192	193
207	139
225	226
241	242
249	250
259	260
280	281
285	286
328	329
361	362
393	394
395	396
418	419
439	440
461	462
500	501
520	521
536	537
540	541
574	404
590	591
646	569
668	467
680	681
693	157
730	731
738	551
744	745
749	750
763	483
767	768
781	609
793	603
806	232
807	808
828	43
845	846
865	866
876	877
878	879
897	813
898	217
919	346
921	357
945	614
955	349
964	598
985	615
1004	275
1011	1012
1029	170
1036	186
1060	152
1063	91
1085	81
1086	567
1093	1094
1096	1097
1109	618
1118	1119
1125	377
1158	1159
1184	647
1205	1206
1212	748
1233	265
1234	512
1241	1242
1244	1245
1249	485
1252	565
1263	873
1279	388
1287	1288
1301	1302
1308	1145
1319	1267
183	179
1351	913
212	208
1365	1366
1367	716
1380	1025
1390	543
1406	319
1412	904
1417	1418
1421	417
1442	156
402	397
445	316
472	469
17	16
1471	835
1474	747
1487	624
1507	612
1521	11
1530	1342
1540	1002
661	658
679	674
221	218
706	705
1569	47
733	136
1579	583
1586	622
1601	52
1609	599
1627	1440
1636	1137
1657	900
840	839
856	853
1683	278
881	880
1703	1704
1709	347
1710	175
1723	65
1733	188
1741	610
1743	1537
1748	1344
1760	1502
1777	1778
1022	937
1786	503
1047	215
1797	1671
1065	322
1801	122
1802	299
1809	1169
1812	113
1814	616
1817	53
1831	1790
1841	1588
1857	460
1172	930
1199	1195
1872	495
1208	326
1880	640
1881	826
1886	1736
1888	351
4	0
68	67
87	83
107	102
1305	12
1322	534
162	161
1347	907
196	194
234	233
258	253
297	291
311	306
337	335
371	367
1419	375
1428	752
1452	648
1224	916
428	423
437	432
456	452
492	488
516	513
526	522
560	554
579	575
595	592
1534	894
1326	1325
1547	932
654	649
1561	935
670	669
683	601
696	694
725	617
741	611
774	769
786	776
802	797
1633	262
1645	926
818	815
1666	928
837	116
1684	943
848	430
871	479
888	621
909	385
954	305
976	971
986	202
1757	924
1766	927
1007	227
1784	119
1016	962
1032	608
1042	1037
1051	505
1056	124
1072	1069
1099	529
1117	1113
1134	414
1142	830
1851	1505
1149	1147
1858	721
1163	1161
1174	1124
1193	1188
1202	645
1217	1216
1238	1236
1259	702
1269	538
1275	665
1280	374
1905	476
1912	861
1293	950
1922	689
1313	1309
1336	1334
1356	629
1373	625
1385	408
1398	1228
1961	691
1971	1018
1981	929
1867	942
1988	457
1424	644
1446	550
1457	605
1465	619
1476	1231
1501	1496
1512	1508
2020	127
1917	360
2026	939
1524	1111
2031	229
1533	110
1541	190
1544	553
1553	627
1566	100
1573	623
1580	27
1595	1590
1606	95
1612	391
2076	938
1620	496
2085	934
1630	1214
2090	302
1640	1637
1652	600
1664	205
1680	343
1690	1689
1700	620
1712	1711
1727	130
1738	633
2122	931
2126	55
1745	896
2133	532
1751	216
1764	411
1770	1635
1776	547
1789	1156
1811	382
1816	796
1823	1806
2154	288
2157	407
1834	1833
2162	572
1848	667
1853	1747
1861	63
1876	791
1885	587
1890	1856
1892	812
1896	969
2178	822
2180	1819
1902	1551
2182	2108
1910	1828
1920	9
1931	604
1934	626
1936	606
1940	1504
1947	1215
1956	148
2192	1129
2196	933
2163	1155
2201	936
1966	348
1975	1973
1979	1157
1986	607
1995	628
2000	982
2002	1900
2007	97
2213	1548
2216	703
2012	154
2217	32
2016	957
2220	643
2025	1918
2029	40
2037	36
2046	602
2056	1598
2059	354
2064	1079
2230	925
2235	247
2069	1393
2237	111
2074	133
2080	268
2084	637
2087	613
2092	333
2096	498
2099	59
2103	562
2109	1706
2115	450
2247	464
2119	1660
\.



COPY accepted_contributions (id) FROM stdin;
\.



COPY active_conference_particis (id) FROM stdin;
3
14
22
51
71
73
74
79
85
98
104
121
155
165
182
187
200
213
223
238
293
309
312
341
345
368
372
373
400
415
416
420
427
436
438
444
473
474
482
487
489
491
509
517
523
525
542
552
556
578
589
594
642
651
672
675
685
700
707
723
727
734
746
772
799
816
834
836
844
855
869
875
882
891
899
910
920
922
944
953
963
977
980
987
992
1008
1013
1019
1023
1027
1030
1033
1039
1046
1058
1070
1088
1100
1107
1114
1133
1138
1141
1152
1165
1176
1189
1191
1194
1198
1218
1219
1243
1246
1257
1258
1265
1277
1283
1290
1295
1304
1314
1330
1337
1354
1357
1364
1374
1394
1399
1427
1445
1448
1456
1466
1475
1493
1499
1503
1511
1516
1523
1550
1555
1592
1599
1611
1618
1619
1639
1659
1668
1678
1692
1699
1707
1715
1728
1752
1769
1775
1791
1835
1854
1868
1875
1901
1903
1908
1909
1914
1937
1939
1957
1959
1967
1977
1982
1984
1997
1999
2003
2030
2038
2039
2042
2047
2051
2060
2081
2094
2148
2152
2161
2179
2185
2207
2208
2210
2211
2218
2224
2232
2236
2243
2258
2265
2269
2273
\.



COPY belongs_to_reviewers (entity, reviewer) FROM stdin;
\.



COPY call_for_papers (id) FROM stdin;
\.



COPY call_for_participations (id) FROM stdin;
\.



COPY camera_ready_contributions (id) FROM stdin;
\.



COPY chairs (id) FROM stdin;
141
403
558
823
1396
1599
\.



COPY co_chairs (id) FROM stdin;
\.



COPY committee_co_chair (committee, co_chair) FROM stdin;
\.



COPY committee_committee_member (committee, committee_member) FROM stdin;
140	141
140	142
140	143
140	144
160	98
160	158
160	823
160	1120
160	1210
160	1815
160	2185
314	48
314	313
314	403
314	584
314	585
317	48
317	313
317	403
317	584
317	585
510	6
510	300
510	509
510	1454
510	1599
510	1644
510	1673
1000	56
1000	800
1000	998
1000	1396
1000	1800
1489	558
1489	759
1489	1464
1489	1488
1489	2139
\.



COPY committee_members (id) FROM stdin;
6
48
56
98
141
142
143
144
158
300
313
403
509
558
584
585
759
800
823
998
1120
1210
1396
1454
1464
1488
1599
1644
1673
1800
1815
2139
2185
\.



COPY committees (id, name, committee_chair) FROM stdin;
314	YSWC 2014 Program Committee	\N
1000	ZSWC 2015 Program Committee	\N
140	XSWC 2014 Program Committee	\N
1489	ZSWC 2014 Program Committee	\N
160	XSWC 2015 Program Committee	\N
510	SIGXYZ 2014 Program Committee	\N
317	YSWC 2015 Program Committee	\N
\.



COPY conference_announcements (id) FROM stdin;
\.



COPY conference_applicants (id) FROM stdin;
\.



COPY conference_contributions (id, submitted_at) FROM stdin;
319	256
343	256
349	163
377	256
388	7
404	256
417	86
460	69
462	18
464	470
479	256
483	7
501	18
541	7
543	7
547	256
550	256
551	18
567	163
583	163
591	256
598	256
600	256
602	256
605	256
612	256
613	256
614	256
616	256
617	256
618	256
619	256
620	256
621	256
622	256
637	163
648	470
681	86
703	470
748	470
36	256
53	7
61	256
65	256
91	163
113	7
122	163
124	256
133	163
157	18
170	86
175	163
188	256
190	256
215	470
226	7
242	18
250	163
275	86
281	163
1366	163
1537	86
1671	163
1704	163
1918	163
822	18
846	86
866	86
873	7
904	86
924	470
1025	7
1079	86
1094	7
1097	163
1119	7
1129	18
1145	86
1169	163
1215	86
16	18
83	86
194	7
218	18
233	7
253	256
291	256
306	69
335	86
316	18
469	470
513	256
554	86
592	86
452	256
488	256
625	256
232	256
626	256
627	256
299	256
628	256
629	256
498	256
658	18
674	470
601	256
694	163
705	470
136	470
611	256
769	86
776	86
815	69
116	163
853	470
385	256
880	470
929	470
930	470
931	470
932	470
933	470
643	470
186	470
262	470
877	470
894	470
55	470
152	470
934	470
813	470
81	470
457	470
521	470
346	470
731	470
935	470
936	470
229	470
839	470
127	470
937	470
938	470
939	470
305	86
971	86
227	163
608	256
1147	163
1161	163
645	7
950	163
534	18
907	18
408	86
1228	86
1231	86
1496	86
1111	69
100	256
623	256
1590	86
95	86
926	470
928	470
943	7
1689	7
1711	86
130	86
633	69
896	163
927	470
382	69
796	69
1833	163
667	163
1747	7
721	18
791	7
1856	86
391	86
797	86
374	86
1508	86
575	86
969	86
529	86
1504	86
193	86
1440	86
522	86
538	86
1502	86
1288	86
27	86
900	86
1012	86
367	86
156	86
1159	86
419	86
1002	86
1551	163
476	18
360	18
1037	163
411	163
161	163
1188	163
216	163
669	163
1637	163
962	163
553	163
205	163
768	163
1214	163
1393	163
430	163
30	163
512	163
9	7
604	256
606	256
148	86
1157	163
607	256
982	86
1900	86
97	86
957	69
40	256
1598	86
354	86
268	256
333	7
59	86
562	86
1660	163
15	163
532	7
77	7
75	7
151	69
178	69
288	7
329	7
572	18
394	86
397	18
942	18
208	18
1018	18
689	18
326	18
375	18
1155	18
179	18
691	18
861	18
12	18
916	18
752	18
407	18
1325	18
1819	18
1309	7
1635	7
322	7
1124	7
1236	7
0	7
1828	7
50	7
119	7
1216	7
1505	7
286	7
1334	7
302	7
1156	7
1195	7
835	7
505	7
716	7
362	7
63	7
1069	7
423	7
1973	7
826	7
2108	18
569	86
467	86
609	256
603	256
808	86
43	86
879	69
1548	18
357	163
32	470
615	256
925	470
247	470
111	470
647	69
1245	163
485	7
565	256
25	7
537	18
1302	69
913	163
260	18
440	18
747	69
624	256
11	86
1342	86
47	69
745	470
52	256
599	256
1137	86
347	256
610	256
102	69
1206	69
202	69
348	69
110	69
702	69
1806	69
665	69
1418	69
154	69
496	69
587	69
432	69
139	69
812	69
750	69
1706	69
450	69
1778	69
1113	69
217	69
649	69
644	69
278	69
1267	69
414	69
396	69
67	69
830	69
1344	86
503	163
1790	86
1588	69
495	163
640	163
1736	163
265	7
351	7
1242	18
1125	\N
1158	\N
1184	\N
1205	\N
1212	\N
1233	\N
1234	\N
1241	\N
1244	\N
1249	\N
1252	\N
1263	\N
1279	\N
1287	\N
1301	\N
1308	\N
1319	\N
183	\N
1351	\N
212	\N
1365	\N
1367	\N
1380	\N
1390	\N
1406	\N
1412	\N
1417	\N
1421	\N
1442	\N
402	\N
445	\N
472	\N
17	\N
1471	\N
1474	\N
1487	\N
1507	\N
1521	\N
1530	\N
1540	\N
661	\N
679	\N
221	\N
706	\N
1569	\N
733	\N
1579	\N
1586	\N
1601	\N
1609	\N
1627	\N
1636	\N
1657	\N
840	\N
856	\N
1683	\N
881	\N
1703	\N
1709	\N
1710	\N
1723	\N
1733	\N
1741	\N
1743	\N
1748	\N
1760	\N
1777	\N
1022	\N
1786	\N
1047	\N
24	\N
29	\N
45	\N
49	\N
60	\N
76	\N
114	\N
150	\N
177	\N
192	\N
207	\N
225	\N
241	\N
249	\N
259	\N
280	\N
285	\N
328	\N
361	\N
393	\N
395	\N
418	\N
439	\N
461	\N
500	\N
520	\N
536	\N
540	\N
574	\N
590	\N
646	\N
668	\N
680	\N
693	\N
730	\N
738	\N
744	\N
749	\N
763	\N
767	\N
781	\N
793	\N
806	\N
807	\N
828	\N
845	\N
865	\N
876	\N
878	\N
897	\N
898	\N
919	\N
921	\N
945	\N
955	\N
964	\N
985	\N
1004	\N
1011	\N
1029	\N
1036	\N
1060	\N
1063	\N
1085	\N
1086	\N
1093	\N
1096	\N
1109	\N
1118	\N
1931	\N
1797	\N
1065	\N
1801	\N
1802	\N
1809	\N
1812	\N
1814	\N
1817	\N
1831	\N
1841	\N
1857	\N
1172	\N
1199	\N
1872	\N
1208	\N
1880	\N
1881	\N
1886	\N
1888	\N
4	\N
68	\N
87	\N
107	\N
1305	\N
1322	\N
162	\N
1347	\N
196	\N
234	\N
258	\N
297	\N
311	\N
337	\N
371	\N
1419	\N
1428	\N
1876	\N
1885	\N
1890	\N
1892	\N
1896	\N
2178	\N
2180	\N
1902	\N
2182	\N
1910	\N
1920	\N
1934	\N
1936	\N
1940	\N
1947	\N
1956	\N
2192	\N
2196	\N
2163	\N
2201	\N
1966	\N
1975	\N
1979	\N
1986	\N
1995	\N
2000	\N
2002	\N
2007	\N
2213	\N
2216	\N
2012	\N
2217	\N
2016	\N
2220	\N
2025	\N
2029	\N
2037	\N
2046	\N
2056	\N
2059	\N
2064	\N
2230	\N
2235	\N
2069	\N
2237	\N
2074	\N
2080	\N
2084	\N
2087	\N
2092	\N
2096	\N
2099	\N
2103	\N
2109	\N
2115	\N
2247	\N
2119	\N
1452	\N
1224	\N
428	\N
437	\N
456	\N
492	\N
516	\N
526	\N
560	\N
579	\N
595	\N
1534	\N
1326	\N
1547	\N
654	\N
1561	\N
670	\N
683	\N
696	\N
725	\N
741	\N
774	\N
786	\N
802	\N
1633	\N
1645	\N
818	\N
1666	\N
837	\N
1684	\N
848	\N
871	\N
888	\N
909	\N
954	\N
976	\N
986	\N
1757	\N
1766	\N
1007	\N
1784	\N
1016	\N
1032	\N
1042	\N
1051	\N
1056	\N
1072	\N
1099	\N
1117	\N
1134	\N
1142	\N
1851	\N
1149	\N
1858	\N
1163	\N
1174	\N
1193	\N
1202	\N
1217	\N
1238	\N
1259	\N
1269	\N
1275	\N
1280	\N
1905	\N
1912	\N
1293	\N
1922	\N
1313	\N
1336	\N
1356	\N
1373	\N
1385	\N
1398	\N
1961	\N
1971	\N
1981	\N
1867	\N
1988	\N
1424	\N
1446	\N
1457	\N
1465	\N
1476	\N
1501	\N
1512	\N
2020	\N
1917	\N
2026	\N
1524	\N
2031	\N
1533	\N
1541	\N
1544	\N
1553	\N
1566	\N
1573	\N
1580	\N
1595	\N
1606	\N
1612	\N
2076	\N
1620	\N
2085	\N
1630	\N
2090	\N
1640	\N
1652	\N
1664	\N
1680	\N
1690	\N
1700	\N
1712	\N
1727	\N
1738	\N
2122	\N
2126	\N
1745	\N
2133	\N
1751	\N
1764	\N
1770	\N
1776	\N
1789	\N
1811	\N
1816	\N
1823	\N
2154	\N
2157	\N
1834	\N
2162	\N
1848	\N
1853	\N
1861	\N
\.



COPY conference_contributors (id) FROM stdin;
3
5
6
8
10
14
21
22
23
28
33
34
41
51
57
62
66
71
73
74
79
85
89
92
93
98
103
104
105
109
117
120
121
126
131
134
135
141
142
145
155
158
164
165
168
171
180
181
182
187
191
198
199
200
203
206
209
213
214
222
223
230
236
238
248
254
261
276
289
290
293
294
296
303
309
310
312
313
321
327
331
334
338
339
341
345
355
358
359
366
368
372
373
399
400
403
412
415
416
420
421
424
427
429
434
436
438
441
442
444
446
451
454
473
474
477
480
482
486
487
489
491
494
497
499
506
509
514
515
517
523
525
530
535
542
552
555
556
558
564
568
576
578
580
585
588
589
594
597
634
635
638
642
651
652
666
672
673
675
677
685
686
688
692
697
699
700
707
709
712
713
717
723
724
727
734
740
743
746
753
756
765
770
772
775
783
799
800
801
803
805
810
816
817
827
831
834
836
841
844
849
852
855
862
867
869
870
875
882
883
885
890
891
893
899
905
908
910
920
922
944
946
948
951
953
956
960
961
963
967
968
973
974
977
980
983
987
992
1003
1005
1008
1009
1010
1013
1019
1023
1027
1028
1030
1033
1038
1039
1041
1044
1046
1049
1053
1054
1057
1058
1059
1067
1070
1071
1075
1077
1080
1087
1088
1090
1092
1095
1100
1101
1105
1107
1112
1114
1120
1122
1127
1128
1131
1132
1133
1135
1138
1141
1143
1146
1148
1151
1152
1154
1162
1164
1165
1168
1170
1176
1186
1189
1191
1194
1196
1198
1203
1209
1218
1219
1221
1223
1226
1232
1237
1243
1246
1248
1256
1257
1258
1262
1265
1271
1274
1277
1278
1282
1283
1289
1290
1294
1295
1298
1304
1310
1314
1315
1318
1320
1321
1324
1327
1328
1330
1337
1338
1346
1350
1352
1354
1357
1363
1364
1370
1374
1377
1378
1391
1394
1396
1399
1403
1425
1426
1427
1429
1433
1441
1445
1448
1449
1451
1456
1458
1459
1460
1463
1464
1466
1470
1475
1481
1493
1494
1499
1500
1503
1506
1509
1510
1511
1516
1523
1525
1526
1532
1538
1545
1550
1555
1562
1568
1591
1592
1599
1604
1611
1615
1618
1619
1625
1629
1639
1644
1654
1658
1659
1662
1665
1667
1668
1675
1678
1679
1685
1692
1693
1698
1699
1707
1715
1716
1718
1728
1732
1744
1750
1752
1762
1763
1765
1769
1771
1772
1775
1779
1787
1791
1794
1807
1815
1821
1822
1826
1829
1835
1836
1837
1849
1850
1852
1854
1859
1863
1866
1868
1870
1873
1875
1878
1884
1893
1901
1903
1904
1908
1909
1914
1915
1937
1938
1939
1944
1957
1959
1967
1977
1978
1982
1984
1997
1999
2003
2006
2011
2015
2022
2023
2030
2038
2039
2042
2045
2047
2051
2057
2060
2071
2073
2077
2081
2088
2091
2094
2098
2102
2104
2105
2111
2124
2132
2135
2142
2145
2148
2150
2152
2153
2161
2164
2173
2179
2185
2189
2194
2195
2199
2202
2204
2207
2208
2210
2211
2218
2223
2224
2232
2233
2236
2243
2245
2246
2251
2253
2255
2258
2259
2262
2264
2265
2268
2269
2273
\.



COPY conference_documents (id, date_issue) FROM stdin;
319	2014-06-30
322	2014-06-09
343	2014-06-05
348	2015-06-07
354	2015-06-16
362	2014-06-18
374	2015-06-10
375	2014-06-22
377	2014-06-16
382	2015-06-03
394	2015-06-25
396	2015-06-23
404	2014-06-26
407	2014-06-17
414	2015-06-17
423	2014-06-11
430	2015-06-08
432	2015-06-09
450	2015-06-20
452	2014-06-24
460	2015-06-18
462	2014-06-24
464	2014-06-23
467	2015-06-16
485	2014-06-13
488	2014-06-07
495	2015-06-12
498	2014-06-17
501	2014-06-07
505	2014-06-16
512	2015-06-13
522	2015-06-01
529	2015-06-21
532	2014-06-07
538	2015-06-27
541	2014-06-13
551	2014-06-05
553	2015-06-29
554	2015-06-14
565	2014-06-11
567	2015-06-05
569	2015-06-03
572	2014-06-30
583	2015-06-18
587	2015-06-11
599	2014-06-29
600	2014-06-22
603	2014-06-17
605	2014-06-06
606	2014-06-21
610	2014-06-20
611	2014-06-28
612	2014-06-08
613	2014-06-04
614	2014-06-12
615	2014-06-08
616	2014-06-15
617	2014-06-15
618	2014-06-03
619	2014-06-19
620	2014-06-18
621	2014-06-06
622	2014-06-03
625	2014-06-22
626	2014-06-10
627	2014-06-14
628	2014-06-18
629	2014-06-28
637	2015-06-19
644	2015-06-08
645	2014-06-24
647	2015-06-06
649	2015-06-04
658	2014-06-01
665	2015-06-25
667	2015-06-06
689	2014-06-09
691	2014-06-21
705	2014-06-27
721	2014-06-18
745	2014-06-28
747	2015-06-10
748	2014-06-22
752	2014-06-05
0	2014-06-08
15	2015-06-27
16	2014-06-09
25	2014-06-06
27	2015-06-21
30	2015-06-14
32	2014-06-07
36	2014-06-26
40	2014-06-13
59	2015-06-11
61	2014-06-12
63	2014-06-06
65	2014-06-24
75	2014-06-10
81	2014-06-27
91	2015-06-22
97	2015-06-08
110	2015-06-16
122	2015-06-17
124	2014-06-14
127	2014-06-12
130	2015-06-25
136	2014-06-10
152	2014-06-14
154	2015-06-02
156	2015-06-20
157	2014-06-02
161	2015-06-03
170	2015-06-28
179	2014-06-15
188	2014-06-07
190	2014-06-01
202	2015-06-09
205	2015-06-20
215	2014-06-26
216	2015-06-15
217	2015-06-14
226	2014-06-01
227	2015-06-03
232	2014-06-30
250	2015-06-22
260	2014-06-29
262	2014-06-21
265	2014-06-05
268	2014-06-21
278	2015-06-13
281	2015-06-05
299	2014-06-02
302	2014-06-29
305	2015-06-13
1366	2015-06-04
1418	2015-06-22
1440	2015-06-23
1496	2015-06-26
1505	2014-06-03
1508	2015-06-09
1551	2015-06-01
1637	2015-06-07
1660	2015-06-01
1671	2015-06-04
1736	2015-06-08
1778	2015-06-10
1833	2015-06-23
1856	2015-06-26
1900	2015-06-25
797	2015-06-18
813	2014-06-06
822	2014-06-12
839	2014-06-22
846	2015-06-07
853	2014-06-05
861	2014-06-26
866	2015-06-20
877	2014-06-23
880	2014-06-18
904	2015-06-24
916	2014-06-08
924	2014-06-12
925	2014-06-02
926	2014-06-04
927	2014-06-25
932	2014-06-26
935	2014-06-09
936	2014-06-29
939	2014-06-25
942	2014-06-07
957	2015-06-15
962	2015-06-16
969	2015-06-09
971	2015-06-26
1025	2014-06-04
1069	2014-06-29
1094	2014-06-10
1097	2015-06-18
1113	2015-06-04
1119	2014-06-18
1124	2014-06-11
1129	2014-06-03
1145	2015-06-29
1155	2014-06-06
1159	2015-06-23
1169	2015-06-30
1195	2014-06-04
1206	2015-06-19
1214	2015-06-24
1215	2015-06-17
1228	2015-06-18
1236	2014-06-20
1242	2014-06-20
1267	2015-06-27
1309	2014-06-02
1344	2015-06-14
696	\N
1238	\N
2122	\N
2230	\N
1060	\N
1547	\N
1834	\N
1586	\N
1723	\N
786	\N
207	\N
114	\N
29	\N
1241	\N
1280	\N
492	\N
954	\N
1063	\N
1872	\N
1896	\N
1313	\N
1042	\N
1442	\N
1940	\N
646	\N
395	\N
285	\N
1534	\N
225	\N
1620	\N
976	\N
1047	\N
192	\N
1867	\N
1745	\N
1016	\N
1117	\N
1633	\N
1971	\N
1474	\N
1920	\N
1841	\N
1917	\N
654	\N
2063	\N
2270	\N
2274	\N
1991	\N
2272	\N
2271	\N
1998	\N
67	2015-06-13
83	2015-06-28
102	2015-06-26
194	2014-06-03
208	2014-06-28
218	2014-06-04
233	2014-06-16
253	2014-06-29
291	2014-06-23
306	2015-06-21
335	2015-06-06
367	2015-06-19
397	2014-06-23
316	2014-06-06
469	2014-06-19
513	2014-06-20
575	2015-06-27
592	2015-06-10
669	2015-06-17
674	2014-06-14
601	2014-06-02
694	2015-06-30
769	2015-06-22
776	2015-06-05
815	2015-06-12
116	2015-06-25
479	2014-06-23
385	2014-06-19
937	2014-06-13
608	2014-06-01
1037	2015-06-29
830	2015-06-30
1147	2015-06-11
1161	2015-06-24
930	2014-06-21
1188	2015-06-07
326	2014-06-19
1216	2014-06-07
702	2015-06-12
950	2015-06-02
12	2014-06-14
534	2014-06-27
1325	2014-06-03
1334	2014-06-15
907	2014-06-10
408	2015-06-05
550	2014-06-23
648	2014-06-18
1231	2015-06-13
1111	2015-06-03
894	2014-06-13
100	2014-06-27
623	2014-06-10
1590	2015-06-04
95	2015-06-17
391	2015-06-30
496	2015-06-11
928	2014-06-17
943	2014-06-30
1689	2014-06-20
1711	2015-06-12
633	2015-06-08
896	2015-06-02
411	2015-06-28
1635	2014-06-15
547	2014-06-13
119	2014-06-08
1156	2014-06-28
796	2015-06-16
1806	2015-06-29
1747	2014-06-23
791	2014-06-19
812	2015-06-24
476	2014-06-13
1828	2014-06-01
360	2014-06-02
9	2014-06-14
604	2014-06-27
1504	2015-06-04
148	2015-06-30
1018	2014-06-04
1973	2014-06-22
1157	2015-06-20
929	2014-06-17
607	2014-06-05
457	2014-06-30
982	2015-06-12
1918	2015-06-28
229	2014-06-08
602	2014-06-09
1598	2015-06-03
1079	2015-06-29
1393	2015-06-23
133	2015-06-06
938	2014-06-03
934	2014-06-16
333	2014-06-19
562	2015-06-24
1706	2015-06-07
931	2014-06-11
55	2014-06-24
50	2014-06-14
77	2014-06-27
151	2015-06-02
178	2015-06-15
193	2015-06-30
139	2015-06-28
288	2014-06-02
286	2014-06-22
329	2014-06-05
419	2015-06-08
1819	2014-06-25
2108	2014-06-08
591	2014-06-09
681	2015-06-29
750	2015-06-06
483	2014-06-21
768	2015-06-19
933	2014-06-16
609	2014-06-04
808	2015-06-11
43	2015-06-24
879	2015-06-01
1548	2014-06-11
357	2015-06-27
703	2014-06-24
349	2015-06-10
598	2014-06-25
643	2014-06-20
275	2015-06-02
1012	2015-06-15
247	2014-06-15
111	2014-06-28
1245	2015-06-26
873	2014-06-26
388	2014-06-09
537	2014-06-10
1288	2015-06-01
1302	2015-06-14
913	2015-06-21
716	2014-06-21
242	2014-06-16
543	2014-06-17
417	2015-06-07
440	2014-06-11
835	2014-06-12
624	2014-06-25
521	2014-06-20
11	2015-06-02
1342	2015-06-15
1002	2015-06-28
47	2015-06-05
731	2014-06-15
52	2014-06-16
1137	2015-06-06
900	2015-06-19
1704	2015-06-26
347	2014-06-11
175	2015-06-09
346	2014-06-19
1537	2015-06-01
1502	2015-06-27
503	2015-06-21
186	2014-06-01
113	2014-06-17
53	2014-06-30
1790	2015-06-22
1588	2015-06-05
640	2015-06-25
826	2014-06-12
351	2014-06-25
710	\N
711	\N
715	\N
720	\N
732	\N
736	\N
751	\N
754	\N
758	\N
764	\N
766	\N
790	\N
320	\N
804	\N
821	\N
824	\N
825	\N
829	\N
832	\N
838	\N
854	\N
860	\N
872	\N
656	\N
549	\N
364	\N
903	\N
906	\N
912	\N
915	\N
237	\N
940	\N
308	\N
949	\N
958	\N
266	\N
965	\N
966	\N
858	\N
1001	\N
660	\N
1017	\N
1024	\N
1031	\N
1034	\N
1048	\N
1050	\N
1052	\N
468	\N
283	\N
1061	\N
1076	\N
1078	\N
1082	\N
1089	\N
1102	\N
1104	\N
1110	\N
153	\N
370	\N
1126	\N
264	\N
1068	\N
1123	\N
902	\N
539	\N
1091	\N
995	\N
220	\N
979	\N
1180	\N
295	\N
1185	\N
1187	\N
1197	\N
1213	\N
1222	\N
1230	\N
1235	\N
511	\N
323	\N
1247	\N
1251	\N
1255	\N
577	\N
1260	\N
1261	\N
1268	\N
1270	\N
1273	\N
994	\N
1284	\N
1296	\N
527	\N
20	\N
1299	\N
1306	\N
1307	\N
1317	\N
1329	\N
814	\N
1341	\N
1345	\N
1348	\N
1349	\N
1358	\N
1360	\N
1362	\N
1368	\N
788	\N
1375	\N
1376	\N
1381	\N
1384	\N
1386	\N
1388	\N
1389	\N
1006	\N
1400	\N
1402	\N
843	\N
911	\N
984	\N
1410	\N
2	\N
26	\N
31	\N
39	\N
42	\N
46	\N
54	\N
64	\N
72	\N
78	\N
80	\N
84	\N
90	\N
96	\N
99	\N
94	\N
115	\N
118	\N
123	\N
129	\N
132	\N
169	\N
174	\N
149	\N
189	\N
201	\N
204	\N
246	\N
267	\N
274	\N
277	\N
287	\N
298	\N
301	\N
304	\N
325	\N
330	\N
332	\N
336	\N
342	\N
350	\N
353	\N
356	\N
365	\N
376	\N
381	\N
383	\N
384	\N
387	\N
390	\N
252	\N
398	\N
410	\N
413	\N
433	\N
449	\N
463	\N
409	\N
475	\N
478	\N
484	\N
502	\N
504	\N
528	\N
531	\N
533	\N
544	\N
546	\N
559	\N
561	\N
566	\N
571	\N
173	\N
586	\N
240	\N
630	\N
632	\N
636	\N
639	\N
664	\N
231	\N
687	\N
690	\N
698	\N
1994	\N
1946	\N
593	\N
448	\N
2001	\N
1574	\N
2004	\N
1898	\N
785	\N
2008	\N
2009	\N
2013	\N
2014	\N
1431	\N
2021	\N
1669	\N
819	\N
1272	\N
2027	\N
1593	\N
1200	\N
2033	\N
2035	\N
1740	\N
1656	\N
798	\N
1543	\N
1825	\N
1697	\N
2049	\N
1014	\N
2050	\N
2061	\N
1623	\N
1549	\N
773	\N
1774	\N
1491	\N
1415	\N
184	\N
2070	\N
1713	\N
1597	\N
1558	\N
1616	\N
2082	\N
2018	\N
784	\N
1066	\N
2086	\N
2036	\N
1073	\N
972	\N
1638	\N
2095	\N
406	\N
1166	\N
981	\N
244	\N
1021	\N
2107	\N
1383	\N
1622	\N
2116	\N
1923	\N
2120	\N
2114	\N
228	\N
1339	\N
1691	\N
2123	\N
1405	\N
1646	\N
2125	\N
2128	\N
1220	\N
1115	\N
1749	\N
1528	\N
2136	\N
2137	\N
2140	\N
1040	\N
1171	\N
2141	\N
1177	\N
1303	\N
2147	\N
2149	\N
1455	\N
1602	\N
211	\N
1582	\N
13	\N
508	\N
1335	\N
2156	\N
1889	\N
1839	\N
582	\N
2112	\N
1407	\N
2165	\N
1891	\N
257	\N
1281	\N
106	\N
1190	\N
2170	\N
2171	\N
2172	\N
195	\N
1153	\N
443	\N
1862	\N
2028	\N
1444	\N
761	\N
1968	\N
1136	\N
1239	\N
1264	\N
1871	\N
2181	\N
1397	\N
490	\N
1969	\N
2097	\N
570	\N
2184	\N
426	\N
1371	\N
678	\N
2118	\N
1921	\N
2190	\N
167	\N
2191	\N
315	\N
701	\N
657	\N
1895	\N
1563	\N
2197	\N
1498	\N
726	\N
1965	\N
1647	\N
1585	\N
2079	\N
2205	\N
1312	\N
596	\N
757	\N
1974	\N
1792	\N
1990	\N
2200	\N
2167	\N
137	\N
1949	\N
1420	\N
1422	\N
1432	\N
1437	\N
1439	\N
1447	\N
1450	\N
868	\N
970	\N
1462	\N
947	\N
1468	\N
1469	\N
1472	\N
1478	\N
1480	\N
1482	\N
1483	\N
1484	\N
1179	\N
1211	\N
847	\N
1514	\N
1517	\N
38	\N
1522	\N
1529	\N
1536	\N
820	\N
1144	\N
1546	\N
1552	\N
1564	\N
1201	\N
795	\N
1567	\N
1571	\N
1575	\N
1577	\N
997	\N
1	\N
431	\N
1587	\N
1015	\N
1603	\N
1607	\N
147	\N
1613	\N
1624	\N
245	\N
1626	\N
1140	\N
1229	\N
185	\N
1409	\N
1634	\N
778	\N
1649	\N
719	\N
1650	\N
1661	\N
422	\N
1670	\N
1672	\N
1074	\N
1701	\N
1705	\N
235	\N
1167	\N
1721	\N
1722	\N
1332	\N
1730	\N
1731	\N
1735	\N
1742	\N
1746	\N
1754	\N
1756	\N
1758	\N
1676	\N
1761	\N
1674	\N
380	\N
1767	\N
58	\N
864	\N
1793	\N
1796	\N
1798	\N
581	\N
1805	\N
1808	\N
1175	\N
369	\N
1818	\N
1820	\N
1827	\N
1830	\N
1832	\N
1643	\N
292	\N
1840	\N
1842	\N
405	\N
663	\N
1292	\N
1855	\N
1570	\N
1864	\N
1845	\N
1865	\N
1477	\N
255	\N
263	\N
735	\N
1882	\N
1883	\N
459	\N
1423	\N
990	\N
1708	\N
197	\N
524	\N
1846	\N
19	\N
1443	\N
1907	\N
1414	\N
1913	\N
1919	\N
704	\N
458	\N
1925	\N
493	\N
1395	\N
884	\N
1935	\N
787	\N
1436	\N
1941	\N
1943	\N
128	\N
1950	\N
425	\N
1932	\N
1372	\N
695	\N
1953	\N
842	\N
1227	\N
1928	\N
1962	\N
273	\N
1972	\N
1560	\N
859	\N
1983	\N
112	\N
1497	\N
1045	\N
1992	\N
1682	\N
653	\N
1596	\N
466	\N
1594	\N
1648	\N
2017	\N
519	\N
729	\N
2214	\N
2209	\N
1916	\N
2221	\N
159	\N
1542	\N
2225	\N
1632	\N
455	\N
2144	\N
771	\N
1688	\N
1554	\N
1677	\N
1081	\N
1768	\N
1714	\N
2228	\N
1531	\N
2229	\N
742	\N
2062	\N
1513	\N
2159	\N
2234	\N
1064	\N
2048	\N
851	\N
975	\N
1641	\N
35	\N
2151	\N
1559	\N
1183	\N
88	\N
166	\N
1879	\N
1355	\N
1897	\N
2242	\N
1276	\N
1847	\N
2263	\N
2106	\N
1960	\N
2187	\N
1311	\N
1430	\N
2160	\N
1927	\N
1976	\N
70	\N
1783	\N
1929	\N
471	\N
1874	\N
340	\N
1989	\N
1924	\N
1266	\N
1948	\N
650	\N
2052	\N
318	\N
1557	\N
2072	\N
401	\N
518	\N
271	\N
1535	\N
1108	\N
1894	\N
2155	\N
2177	\N
1225	\N
1416	\N
453	\N
307	\N
2188	\N
999	\N
708	\N
1930	\N
1340	\N
557	\N
2032	\N
1556	\N
1739	\N
2121	\N
435	\N
1435	\N
659	\N
739	\N
811	\N
1600	\N
714	\N
2260	\N
272	\N
2053	\N
684	\N
857	\N
895	\N
2019	\N
1719	\N
1139	\N
2055	\N
2065	\N
1467	\N
1955	\N
671	\N
1686	\N
889	\N
138	\N
146	\N
219	\N
1869	\N
1520	\N
682	\N
1106	\N
1020	\N
1621	\N
2240	\N
1653	\N
2054	\N
1353	\N
1254	\N
1687	\N
2175	\N
1694	\N
892	\N
1605	\N
1788	\N
2067	\N
2101	\N
1116	\N
1753	\N
2249	\N
1316	\N
2254	\N
2238	\N
991	\N
1043	\N
1173	\N
1970	\N
284	\N
1781	\N
2256	\N
2127	\N
1379	\N
2212	\N
2044	\N
1717	\N
1785	\N
210	\N
1681	\N
1055	\N
2075	\N
1726	\N
1720	\N
762	\N
1838	\N
988	\N
1663	\N
1495	\N
108	\N
1192	\N
2261	\N
1911	\N
952	\N
779	\N
1207	\N
2093	\N
2215	\N
1492	\N
324	\N
1150	\N
2078	\N
2169	\N
918	\N
1810	\N
887	\N
1980	\N
1804	\N
1240	\N
447	\N
1696	\N
1130	\N
1490	\N
2043	\N
1906	\N
777	\N
1098	\N
1323	\N
2134	\N
676	\N
2180	\N
311	\N
2178	\N
221	\N
1910	\N
2090	\N
828	\N
1640	\N
1263	\N
1802	\N
1356	\N
560	\N
1757	\N
871	\N
371	\N
439	\N
1606	\N
1351	\N
1636	\N
590	\N
1217	\N
1056	\N
1886	\N
280	\N
2192	\N
1709	\N
2007	\N
1385	\N
837	\N
2085	\N
2026	\N
1703	\N
1029	\N
1797	\N
2119	\N
1541	\N
1727	\N
393	\N
1690	\N
1367	\N
1032	\N
845	\N
536	\N
693	\N
1760	\N
1326	\N
1007	\N
1764	\N
1398	\N
1406	\N
1524	\N
1501	\N
2056	\N
840	\N
1163	\N
361	\N
1530	\N
1233	\N
1373	\N
516	\N
898	\N
1417	\N
1457	\N
1561	\N
500	\N
1776	\N
4	\N
2217	\N
679	\N
1465	\N
909	\N
177	\N
1823	\N
1149	\N
1249	\N
1471	\N
1109	\N
1096	\N
1861	\N
1259	\N
1947	\N
1816	\N
1853	\N
1573	\N
733	\N
520	\N
1202	\N
1966	\N
258	\N
1452	\N
1801	\N
2020	\N
1817	\N
1888	\N
1741	\N
162	\N
540	\N
986	\N
196	\N
76	\N
1700	\N
683	\N
781	\N
1446	\N
1172	\N
234	\N
2162	\N
1857	\N
1428	\N
2096	\N
1766	\N
183	\N
1540	\N
1630	\N
2247	\N
741	\N
60	\N
2002	\N
921	\N
1848	\N
2046	\N
1738	\N
1301	\N
1224	\N
68	\N
1051	\N
2237	\N
461	\N
1975	\N
749	\N
1252	\N
670	\N
1521	\N
2201	\N
865	\N
456	\N
2076	\N
680	\N
328	\N
107	\N
437	\N
1609	\N
744	\N
1789	\N
445	\N
2012	\N
241	\N
2157	\N
888	\N
1566	\N
1365	\N
1905	\N
1212	\N
2059	\N
1683	\N
2103	\N
1979	\N
738	\N
1988	\N
1193	\N
1419	\N
2031	\N
595	\N
1666	\N
1811	\N
1936	\N
1093	\N
1777	\N
259	\N
87	\N
1710	\N
1072	\N
1305	\N
897	\N
1931	\N
2084	\N
1770	\N
1412	\N
668	\N
1476	\N
2115	\N
1831	\N
1748	\N
1065	\N
1851	\N
1892	\N
1036	\N
2087	\N
1544	\N
1569	\N
1134	\N
1424	\N
2126	\N
249	\N
579	\N
661	\N
1390	\N
1380	\N
2216	\N
1876	\N
1004	\N
2080	\N
1912	\N
2025	\N
1279	\N
1961	\N
818	\N
2196	\N
1786	\N
1125	\N
919	\N
1553	\N
1645	\N
1579	\N
428	\N
1205	\N
2029	\N
1269	\N
526	\N
1512	\N
1809	\N
1733	\N
1680	\N
1601	\N
1347	\N
2220	\N
1664	\N
2074	\N
1812	\N
49	\N
1652	\N
1814	\N
1595	\N
706	\N
806	\N
955	\N
1712	\N
985	\N
774	\N
1934	\N
1336	\N
2154	\N
1986	\N
807	\N
1099	\N
402	\N
1612	\N
2213	\N
848	\N
1981	\N
2000	\N
1885	\N
2235	\N
1287	\N
1657	\N
2099	\N
730	\N
2069	\N
1022	\N
1199	\N
2016	\N
1627	\N
1784	\N
1751	\N
1086	\N
1902	\N
1158	\N
2109	\N
150	\N
212	\N
1244	\N
1858	\N
802	\N
1922	\N
1308	\N
337	\N
418	\N
1234	\N
1142	\N
472	\N
2064	\N
1421	\N
1880	\N
2092	\N
1184	\N
1533	\N
1085	\N
1174	\N
1743	\N
1118	\N
1890	\N
1293	\N
2133	\N
297	\N
1507	\N
878	\N
881	\N
763	\N
1580	\N
1275	\N
1881	\N
1319	\N
1011	\N
1208	\N
1995	\N
17	\N
574	\N
45	\N
2182	\N
1487	\N
2163	\N
1322	\N
767	\N
856	\N
876	\N
725	\N
793	\N
964	\N
945	\N
1684	\N
1956	\N
24	\N
2037	\N
\.



COPY conference_fees (id, amount) FROM stdin;
809	755
1121	756
1617	751
1813	752
2183	754
2203	757
2267	753
\.



COPY conference_participants (id) FROM stdin;
3
5
8
14
22
23
33
41
51
71
73
74
79
85
89
92
98
104
105
109
117
120
121
126
131
134
135
141
145
155
165
182
187
191
200
209
213
222
223
236
238
248
289
293
309
312
313
327
339
341
345
359
366
368
372
373
400
403
415
416
420
421
427
429
436
438
444
451
454
473
474
482
487
489
491
509
514
517
523
525
530
535
542
552
555
556
578
580
588
589
594
597
634
638
642
651
652
672
675
677
685
686
697
700
707
713
723
727
734
740
746
753
756
765
770
772
783
799
800
805
810
816
831
834
836
841
844
855
869
875
882
885
890
891
899
910
920
922
944
946
953
961
963
967
974
977
980
987
992
1005
1008
1010
1013
1019
1023
1027
1030
1033
1039
1044
1046
1049
1054
1057
1058
1070
1077
1088
1090
1092
1100
1107
1114
1120
1133
1138
1141
1152
1162
1165
1168
1176
1186
1189
1191
1194
1196
1198
1203
1209
1218
1219
1226
1232
1237
1243
1246
1248
1257
1258
1265
1277
1282
1283
1289
1290
1295
1298
1304
1310
1314
1318
1330
1337
1346
1354
1357
1363
1364
1370
1374
1378
1394
1399
1403
1425
1427
1433
1441
1445
1448
1449
1456
1458
1464
1466
1475
1493
1499
1500
1503
1511
1516
1523
1526
1538
1550
1555
1591
1592
1599
1611
1618
1619
1629
1639
1644
1654
1659
1662
1665
1668
1675
1678
1692
1693
1699
1707
1715
1728
1732
1744
1752
1762
1763
1769
1775
1791
1807
1826
1835
1850
1854
1863
1866
1868
1875
1893
1901
1903
1904
1908
1909
1914
1937
1939
1944
1957
1959
1967
1977
1978
1982
1984
1997
1999
2003
2011
2022
2030
2038
2039
2042
2047
2051
2060
2073
2077
2081
2088
2094
2098
2102
2111
2148
2150
2152
2161
2164
2173
2179
2185
2189
2199
2207
2208
2210
2211
2218
2223
2224
2232
2233
2236
2243
2245
2253
2258
2259
2264
2265
2269
2273
\.



COPY conference_parts (id, part_conference_vol, name) FROM stdin;
\.



COPY conference_proceedings (id, publisher, volume, name, isbn) FROM stdin;
224	\N	\N	Proceedings of ZSWC-2015	4815162342007
1084	\N	\N	Proceedings of YSWC-2014	4815162342002
1333	\N	\N	Proceedings of ZSWC-2014	4815162342003
1843	\N	\N	Proceedings of SIGXYZ-2014	4815162342004
1958	\N	\N	Proceedings of XSWC-2015	4815162342005
2186	\N	\N	Proceedings of XSWC-2014	4815162342001
2275	\N	\N	Proceedings of YSWC-2015	4815162342006
\.



COPY conference_volumes (id, program_committee, organizing_committ, location, steering_committee, important_dates) FROM stdin;
256	\N	\N	Pago Pago	\N	\N
7	\N	\N	Annaba	\N	\N
69	\N	\N	Escaldes	\N	\N
470	\N	\N	Mascara	\N	\N
86	\N	\N	Andorra La Vella	\N	\N
163	\N	\N	Benguela	\N	\N
18	\N	\N	Tirane	\N	\N
\.



COPY conferences (id, name) FROM stdin;
7	ZSWC
18	XSWC
69	YSWC
86	XSWC
163	ZSWC
256	SIGXYZ
470	YSWC
\.



COPY contribution_1th_authors (id) FROM stdin;
3
14
22
51
71
74
85
104
121
155
165
182
200
213
223
238
293
312
341
345
368
373
400
420
427
436
444
473
482
487
491
517
525
542
552
556
578
589
594
642
651
672
675
685
700
707
723
727
734
746
772
799
816
834
844
855
869
882
891
920
922
944
963
977
980
987
1008
1013
1019
1027
1033
1039
1046
1058
1070
1088
1100
1114
1133
1152
1165
1176
1191
1194
1198
1219
1243
1246
1257
1265
1277
1290
1295
1304
1314
1330
1337
1354
1364
1374
1394
1399
1427
1445
1456
1493
1499
1503
1511
1516
1523
1555
1592
1611
1618
1619
1659
1668
1678
1692
1699
1715
1752
1775
1791
1835
1854
1875
1901
1903
1908
1914
1937
1939
1957
1959
1977
1984
1997
1999
2030
2038
2039
2042
2047
2060
2081
2094
2148
2152
2161
2179
2207
2208
2210
2211
2224
2236
2243
2258
2265
2273
\.



COPY contribution_co_authors (id) FROM stdin;
5
6
8
10
21
23
28
33
34
41
57
62
66
73
79
89
92
93
98
103
105
109
117
120
126
131
134
135
141
142
145
158
164
168
171
180
181
187
191
198
199
203
206
209
214
222
230
236
248
254
261
276
289
290
294
296
303
309
310
313
321
327
331
334
338
339
355
358
359
366
372
399
403
412
415
416
421
424
429
434
438
441
442
446
451
454
474
477
480
486
489
494
497
499
506
509
514
515
523
530
535
555
558
564
568
576
580
585
588
597
634
635
638
652
666
673
677
686
688
692
697
699
709
712
713
717
724
740
743
753
756
765
770
775
783
800
801
803
805
810
817
827
831
836
841
849
852
862
867
870
875
883
885
890
893
899
905
908
910
946
948
951
953
956
960
961
967
968
973
974
983
992
1003
1005
1009
1010
1023
1028
1030
1038
1041
1044
1049
1053
1054
1057
1059
1067
1071
1075
1077
1080
1087
1090
1092
1095
1101
1105
1107
1112
1120
1122
1127
1128
1131
1132
1135
1138
1141
1143
1146
1148
1151
1154
1162
1164
1168
1170
1186
1189
1196
1203
1209
1218
1221
1223
1226
1232
1237
1248
1256
1258
1262
1271
1274
1278
1282
1283
1289
1294
1298
1310
1315
1318
1320
1321
1324
1327
1328
1338
1346
1350
1352
1357
1363
1370
1377
1378
1391
1396
1403
1425
1426
1429
1433
1441
1448
1449
1451
1458
1459
1460
1463
1464
1466
1470
1475
1481
1494
1500
1506
1509
1510
1525
1526
1532
1538
1545
1550
1562
1568
1591
1599
1604
1615
1625
1629
1639
1644
1654
1658
1662
1665
1667
1675
1679
1685
1693
1698
1707
1716
1718
1728
1732
1744
1750
1762
1763
1765
1769
1771
1772
1779
1787
1794
1807
1815
1821
1822
1826
1829
1836
1837
1849
1850
1852
1859
1863
1866
1868
1870
1873
1878
1884
1893
1904
1909
1915
1938
1944
1967
1978
1982
2003
2006
2011
2015
2022
2023
2045
2051
2057
2071
2073
2077
2088
2091
2098
2102
2104
2105
2111
2124
2132
2135
2142
2145
2150
2153
2164
2173
2185
2189
2194
2195
2199
2202
2204
2218
2223
2232
2233
2245
2246
2251
2253
2255
2259
2262
2264
2268
2269
\.



COPY early_paid_applicants (id) FROM stdin;
\.



COPY emails (person, value) FROM stdin;
688	Octave.Diana@secretresearch.tld
1449	Wava.Goubeaux@secretresearch.tld
723	Pippo.Nascimento@secretresearch.tld
1445	Prebrana.Kekiwi@secretresearch.tld
523	Shaka.Enget@secretresearch.tld
1330	Cecil.Kochler@secretresearch.tld
1821	Lance.Fernandes@secretresearch.tld
1933	Ladinka.Ehiginator@secretresearch.tld
1518	Cadell.Parral@secretresearch.tld
1728	Amora.Ockmond@secretresearch.tld
1592	Martino.Nommay@secretresearch.tld
1361	ris.Kotter@secretresearch.tld
1938	Janah.Moryl@secretresearch.tld
1939	Utathya.Kreig@secretresearch.tld
1441	Wira.Majette@secretresearch.tld
1942	Estrelle.Wedgworth@secretresearch.tld
1315	Gabriele.Darsey@secretresearch.tld
1945	Becca.Curney@secretresearch.tld
1411	Thanaa.Bustos@secretresearch.tld
1849	Liebetraud.Kiddy@secretresearch.tld
1959	Shontaya.Klitzner@secretresearch.tld
1403	Shoko.Moel@secretresearch.tld
1964	Mita.Schwering@secretresearch.tld
634	Fedorav.Solich@secretresearch.tld
1963	Kaspar.Reierson@secretresearch.tld
1539	Benignus.Diec@secretresearch.tld
1120	Charlette.Negron@secretresearch.tld
1338	Rosalinde.Leinbach@secretresearch.tld
1515	Elan.Malloch@secretresearch.tld
1984	AbdulBaasid.Chilvers@secretresearch.tld
1985	Otylia.Lowdermilk@secretresearch.tld
525	Dena.Mcentire@secretresearch.tld
1996	Naazil.Buchannan@secretresearch.tld
1203	Yumiko.Ginther@secretresearch.tld
1997	Nia.Drakes@secretresearch.tld
1993	Dandrae.Dorne@secretresearch.tld
1752	Shandee.Finnicum@secretresearch.tld
312	Addison.Bovio@secretresearch.tld
2005	Faatin.Bonn@secretresearch.tld
1343	Angel.Delcarmen@secretresearch.tld
2010	Saahir.Muto@secretresearch.tld
1732	Inez.Meeroff@secretresearch.tld
2011	Iken.Siluis@secretresearch.tld
85	Eupeithes.Bevens@secretresearch.tld
1277	Mazcho.Stringer@secretresearch.tld
2015	Tera.Vigen@secretresearch.tld
1023	Seriozhenka.Homen@secretresearch.tld
1258	Chasidy.Hoop@secretresearch.tld
2023	Maeko.Kontogiannis@secretresearch.tld
1049	Nolan.Brownle@secretresearch.tld
1070	Gwalchmei.Halbert@secretresearch.tld
2024	Abderus.Boston@secretresearch.tld
477	Argos.Cumings@secretresearch.tld
1538	Akila.Terlizzi@secretresearch.tld
120	Eligius.Vanwechel@secretresearch.tld
1392	Ashley.Kesselring@secretresearch.tld
2030	Prokop.Limage@secretresearch.tld
1285	Guiletta.Rosek@secretresearch.tld
1568	Yae.Timblin@secretresearch.tld
73	Demont.Escalet@secretresearch.tld
2039	Gayle.Wingrove@secretresearch.tld
2040	Pete.Salada@secretresearch.tld
2042	Finn.Carboneau@secretresearch.tld
1604	Mora.Christofferse@secretresearch.tld
734	Hanka.Henness@secretresearch.tld
1800	Xiomara.Plowe@secretresearch.tld
1769	Kiyoemon.Wesby@secretresearch.tld
652	Tadao.Pentaris@secretresearch.tld
1438	Sasson.Kniffin@secretresearch.tld
2058	Tekusa.Houlberg@secretresearch.tld
885	Mamie.Howen@secretresearch.tld
1807	Deke.Mirabelli@secretresearch.tld
1987	Dores.Hugi@secretresearch.tld
2066	Phoolan.Mackie@secretresearch.tld
1850	Honey.Eidinger@secretresearch.tld
2068	Timotheos.Cazaree@secretresearch.tld
2041	Lubachitsa.Husch@secretresearch.tld
1887	Aetos.Bitar@secretresearch.tld
2073	Janeka.Hochhalter@secretresearch.tld
436	Sabina.Conde@secretresearch.tld
2077	Garca.Diers@secretresearch.tld
836	Davida.Rho@secretresearch.tld
198	Zanthe.Felarca@secretresearch.tld
1327	Amalia.Krajcik@secretresearch.tld
2091	Guiseppa.Thurstonson@secretresearch.tld
1631	Vedetta.Pilkins@secretresearch.tld
2098	Matashichi.Butman@secretresearch.tld
2100	Ariana.Berardinelli@secretresearch.tld
2102	Gerlind.Boomershine@secretresearch.tld
2105	Momus.Rivadeneira@secretresearch.tld
987	Bibiane.Eddens@secretresearch.tld
1654	Saer.Dillenbeck@secretresearch.tld
164	Daris.Astley@secretresearch.tld
1009	Krosa.Kuney@secretresearch.tld
759	Latorray.Delawder@secretresearch.tld
1038	Iulia.Morra@secretresearch.tld
89	Miranda.Leinen@secretresearch.tld
1591	Grite.Faddis@secretresearch.tld
1003	Blanca.Ursery@secretresearch.tld
1500	Flaca.Sodawasser@secretresearch.tld
1576	Gerke.Ostermeyer@secretresearch.tld
2110	Florentyna.Cost@secretresearch.tld
2111	Vrotsislava.Bouman@secretresearch.tld
1092	Aleydis.Virgadamo@secretresearch.tld
1463	Caryn.Grudzinski@secretresearch.tld
2113	Gyoergy.Rakoci@secretresearch.tld
2117	Traci.Erazmus@secretresearch.tld
1944	Lucrecia.Rollings@secretresearch.tld
104	Cornelius.Dolak@secretresearch.tld
1499	Isha.Quave@secretresearch.tld
908	Kristin.Sandhu@secretresearch.tld
1678	Madelynn.Hoehn@secretresearch.tld
1044	Nonna.Laplaunt@secretresearch.tld
923	Oscar.Formica@secretresearch.tld
2131	Raffaello.Herard@secretresearch.tld
2132	Reiko.Castile@secretresearch.tld
2057	Nisus.Coby@secretresearch.tld
1191	Ulia.Kaines@secretresearch.tld
1884	Katreen.Osthoff@secretresearch.tld
1408	Krispin.Macnamee@secretresearch.tld
1133	Dawn.Lauinger@secretresearch.tld
563	Jokin.Hytros@secretresearch.tld
1829	Este.Manon@secretresearch.tld
2143	Hellmut.Tousant@secretresearch.tld
2129	Melker.Kayastha@secretresearch.tld
641	Triesha.Carland@secretresearch.tld
2146	Terao.Asley@secretresearch.tld
2148	Ramonda.Tripplett@secretresearch.tld
101	Asisa.Finke@secretresearch.tld
2045	Freda.Freimuth@secretresearch.tld
799	Shaunene.Libera@secretresearch.tld
1762	Flaco.Reyome@secretresearch.tld
1903	Sadahige.Taglialatela@secretresearch.tld
677	Motoyasu.Calligy@secretresearch.tld
1448	Katyushka.Gabriele@secretresearch.tld
1954	Kozue.Efthimiou@secretresearch.tld
780	Arno.Barquera@secretresearch.tld
2158	Lex.Hoven@secretresearch.tld
1481	Mikolas.Sirman@secretresearch.tld
1223	Helene.Nik@secretresearch.tld
473	Timun.Silverstein@secretresearch.tld
1614	Virgilio.Englander@secretresearch.tld
597	Teriuihi.Lachner@secretresearch.tld
2022	Effie.Menzie@secretresearch.tld
386	Abbie.Manjarres@secretresearch.tld
2168	Wolfhild.Torros@secretresearch.tld
368	Gulielma.Arce@secretresearch.tld
585	Tekla.Gallerani@secretresearch.tld
1427	Boje.Ostrum@secretresearch.tld
855	Kulthum.Liverance@secretresearch.tld
1473	Eijiro.Majied@secretresearch.tld
1274	Odysseus.Dilthey@secretresearch.tld
2173	Oryan.Mirles@secretresearch.tld
1755	Kantha.Lybert@secretresearch.tld
98	Coby.Smaller@secretresearch.tld
568	Latoya.Lovato@secretresearch.tld
823	Raaid.Chrispen@secretresearch.tld
1693	Cleveland.Navarez@secretresearch.tld
1863	Eber.Ebinger@secretresearch.tld
2038	Baptist.Schubert@secretresearch.tld
1750	Stacie.Ciesielski@secretresearch.tld
959	Lene.Vosquez@secretresearch.tld
2176	Lamesha.Neher@secretresearch.tld
1164	Maela.Chamley@secretresearch.tld
2179	Dukinea.Zmijewski@secretresearch.tld
200	Dodie.Tedford@secretresearch.tld
893	Rosamar.Wish@secretresearch.tld
1008	Masafumi.Gipson@secretresearch.tld
2083	Gerik.Ferries@secretresearch.tld
1165	Nene.Rhea@secretresearch.tld
1952	Kotaro.Leitheiser@secretresearch.tld
1062	Aishwarya.Hallmon@secretresearch.tld
800	Llyn.Hardge@secretresearch.tld
1506	Loris.Elder@secretresearch.tld
41	Athindoros.Shurgot@secretresearch.tld
2138	Sanya.Parma@secretresearch.tld
594	Vyshia.Waldall@secretresearch.tld
1562	Mawar.Camfield@secretresearch.tld
1737	Ingetrud.Balezentis@secretresearch.tld
2166	LaReina.Iqbal@secretresearch.tld
1426	Cassian.Cozzy@secretresearch.tld
2089	Teana.Stallworth@secretresearch.tld
427	Castalia.Ryser@secretresearch.tld
1868	Lone.Pavese@secretresearch.tld
1589	Ludovica.Diekmann@secretresearch.tld
548	Amba.Guidos@secretresearch.tld
841	Caddock.Stagowski@secretresearch.tld
2189	Urako.Staker@secretresearch.tld
1298	Torah.Giller@secretresearch.tld
1875	Anwar.Katayama@secretresearch.tld
2193	Jamie.Berrie@secretresearch.tld
2194	Imelde.Ballin@secretresearch.tld
134	Demetria.Tramonti@secretresearch.tld
2199	Valentina.Topia@secretresearch.tld
1644	Cindi.Ginanni@secretresearch.tld
914	Jamuna.Orts@secretresearch.tld
792	Seinosuke.Grimaldi@secretresearch.tld
2202	Madaleno.Bercier@secretresearch.tld
1433	Hannele.Kneifl@secretresearch.tld
1127	Yaineris.Francisco@secretresearch.tld
545	Kazuhiko.Campas@secretresearch.tld
699	Handy.Ratajczak@secretresearch.tld
1057	Marlene.Dague@secretresearch.tld
3	Flora.Aveni@secretresearch.tld
2206	Pantyslawa.Pemble@secretresearch.tld
1328	Tatsukichi.Gerstenberger@secretresearch.tld
22	Yemena.Knebel@secretresearch.tld
2208	Aleece.Thorn@secretresearch.tld
1937	Ceanna.Vangoff@secretresearch.tld
1041	Evi.Heidebrecht@secretresearch.tld
1639	Lotta.Francoise@secretresearch.tld
1101	Iravati.Pizzolato@secretresearch.tld
1978	Muna.Lastovica@secretresearch.tld
2104	Brys.Robak@secretresearch.tld
2210	Avigdor.Puglia@secretresearch.tld
556	Coch.Foulger@secretresearch.tld
2153	Marisa.Roufs@secretresearch.tld
1186	Firdaus.Casavez@secretresearch.tld
352	Materia.Newsum@secretresearch.tld
1148	Kyledyr.Constantino@secretresearch.tld
213	Joey.Yarboro@secretresearch.tld
141	Uqbah.Oconnell@secretresearch.tld
1387	Bruno.Barthe@secretresearch.tld
2174	Sebina.Prakoth@secretresearch.tld
2145	Shahaama.Berum@secretresearch.tld
1466	Danaus.Dacanay@secretresearch.tld
327	Ofelia.Golde@secretresearch.tld
1572	Nandin.Uribazo@secretresearch.tld
1699	Ovidio.Bostrom@secretresearch.tld
1977	Querida.Kreatsoulas@secretresearch.tld
2003	Tsumemasa.Lloyd@secretresearch.tld
2223	Alka.Groshek@secretresearch.tld
1999	Doppo.Kieser@secretresearch.tld
1815	Riddhi.Colesar@secretresearch.tld
1651	Bernhareda.Mcclenny@secretresearch.tld
517	Tuhfa.Pedez@secretresearch.tld
1077	Safiyya.Letchaw@secretresearch.tld
2227	Alon.Paulik@secretresearch.tld
700	Dorinda.Cuchiara@secretresearch.tld
941	Satoru.Beaumont@secretresearch.tld
1926	Coireall.Shelor@secretresearch.tld
1152	Kerry.Navarrate@secretresearch.tld
2204	Frangiskos.Truly@secretresearch.tld
2222	Zytka.Skeete@secretresearch.tld
399	Makhna.Stabile@secretresearch.tld
2164	Mya.Swilley@secretresearch.tld
1692	Gota.Dorff@secretresearch.tld
438	Aspasa.Abaunza@secretresearch.tld
692	Tarran.Pointer@secretresearch.tld
882	Ran.Rubendall@secretresearch.tld
2081	Emese.Abadie@secretresearch.tld
2232	Aedd.Lurye@secretresearch.tld
2233	Bennet.Melendes@secretresearch.tld
1702	NewyddIlyn.Borchers@secretresearch.tld
1915	Adamanta.Schlitt@secretresearch.tld
143	Karita.Sukovich@secretresearch.tld
874	Aracely.Kuka@secretresearch.tld
451	Erik.Strothmann@secretresearch.tld
358	Gavriella.Sasson@secretresearch.tld
2152	Mudri.Gamero@secretresearch.tld
168	Adolfa.Leuthauser@secretresearch.tld
2047	Vilena.Orillion@secretresearch.tld
1771	JamAan.Kine@secretresearch.tld
1456	Augusto.Kempson@secretresearch.tld
817	Gil.Holben@secretresearch.tld
236	Gerald.Fieselman@secretresearch.tld
2239	Korotskovaia.Stowell@secretresearch.tld
672	Araceli.Ertel@secretresearch.tld
339	Gorshedna.Marone@secretresearch.tld
833	Kazushige.Goeppner@secretresearch.tld
6	Hypnos.Blank@secretresearch.tld
576	Lottchen.Pillitteri@secretresearch.tld
2218	Cellina.Schlosser@secretresearch.tld
171	Dondrea.Crocco@secretresearch.tld
910	Waliyya.Dandrea@secretresearch.tld
2246	Favio.Mutherspaw@secretresearch.tld
1957	Chantrelle.Gruiger@secretresearch.tld
2248	Kerstine.Finders@secretresearch.tld
2250	Ryo.Zanders@secretresearch.tld
2124	Hedda.Yoshida@secretresearch.tld
2251	Plakida.Gothe@secretresearch.tld
2253	Clmentine.Engellant@secretresearch.tld
867	Asami.Sellek@secretresearch.tld
1218	Marek.Mancino@secretresearch.tld
1256	Miloushka.Pezez@secretresearch.tld
181	Tydeus.Dyckman@secretresearch.tld
801	Lucile.Homola@secretresearch.tld
891	Oles.Sumaran@secretresearch.tld
1619	Fokina.Poythress@secretresearch.tld
1836	Xuqiu.Deller@secretresearch.tld
973	Luitfriede.Westmark@secretresearch.tld
1374	Cipriana.Wadzinski@secretresearch.tld
489	Bhoomika.Secord@secretresearch.tld
1835	Lonce.Jiron@secretresearch.tld
206	Che.Kess@secretresearch.tld
1232	Agpios.Bia@secretresearch.tld
310	Garon.Tischler@secretresearch.tld
1565	Emily.Mileski@secretresearch.tld
1176	Lisandro.Harpst@secretresearch.tld
474	Oka.Prock@secretresearch.tld
1608	Ora.Poleyestewa@secretresearch.tld
2224	Matteo.Mestre@secretresearch.tld
293	Lauranne.Brwon@secretresearch.tld
2051	Guido.Genier@secretresearch.tld
1715	Salamon.Julien@secretresearch.tld
2198	Bruna.Nervis@secretresearch.tld
1090	Igone.Rader@secretresearch.tld
651	Podolphe.Fluitt@secretresearch.tld
1860	Masakazu.Lisko@secretresearch.tld
2071	Immanuel.Bugos@secretresearch.tld
1665	Primavera.Huffstickler@secretresearch.tld
1799	Baucis.Campese@secretresearch.tld
2257	Apela.Brewton@secretresearch.tld
372	Claudios.Lemmert@secretresearch.tld
2259	Tsuruki.Hazelrigg@secretresearch.tld
1583	Wilhelm.Juart@secretresearch.tld
1219	Takuboku.Aicklen@secretresearch.tld
491	Strezislava.Weingard@secretresearch.tld
2243	Fabiana.Demase@secretresearch.tld
1346	Lloyd.Stallsmith@secretresearch.tld
2255	Evgnios.Feasel@secretresearch.tld
772	Sozui.Jalovel@secretresearch.tld
1967	Dyllan.Mairs@secretresearch.tld
1369	Alfonso.Billen@secretresearch.tld
1629	Dewi.Rappleyea@secretresearch.tld
951	Gerakna.Ryneer@secretresearch.tld
1105	Miles.Manero@secretresearch.tld
1479	Newa.Sabina@secretresearch.tld
1951	Iselle.Churches@secretresearch.tld
1982	Gennadi.Schanck@secretresearch.tld
1354	Juri.Guzik@secretresearch.tld
514	Barbie.Dubonnet@secretresearch.tld
1103	Izazkun.Suleski@secretresearch.tld
1685	Dama.Leino@secretresearch.tld
1679	Clariee.Martucci@secretresearch.tld
1370	Vonda.Jasmine@secretresearch.tld
1852	Kobe.Guttirez@secretresearch.tld
1160	Edmondo.Rommelfanger@secretresearch.tld
1475	Salaah.Elio@secretresearch.tld
584	Vseslava.Szollosi@secretresearch.tld
1485	Ariela.Harpine@secretresearch.tld
2219	Juichi.Porep@secretresearch.tld
1391	Iasion.Kirt@secretresearch.tld
454	Alexandros.Lagazo@secretresearch.tld
1909	Aurelian.Fealy@secretresearch.tld
2264	Sherry.Mullennix@secretresearch.tld
254	Inejiro.Javens@secretresearch.tld
1545	Aida.Appelt@secretresearch.tld
28	Kit.Storrs@secretresearch.tld
1914	Sela.Funnye@secretresearch.tld
2265	Aeacus.Veloz@secretresearch.tld
1083	Feofana.Knudsen@secretresearch.tld
2207	Yoshida.Volo@secretresearch.tld
2266	Hita.Porell@secretresearch.tld
2262	Lili.Atoe@secretresearch.tld
1870	Aandranee.Sakamaki@secretresearch.tld
1510	Liska.Lambourne@secretresearch.tld
917	Shiko.Seagroves@secretresearch.tld
2241	Cato.Himmelwright@secretresearch.tld
673	Dianmu.Aver@secretresearch.tld
2006	Nana.Stania@secretresearch.tld
635	Vasilista.Hamic@secretresearch.tld
1114	Luzia.Rahib@secretresearch.tld
2150	Yukako.Klingbeil@secretresearch.tld
1523	Jurgisr.Arkins@secretresearch.tld
1131	Patroklus.Hertel@secretresearch.tld
424	Everardo.Yidiaris@secretresearch.tld
1555	Yoyon.Lecroy@secretresearch.tld
740	Gisselle.Teigen@secretresearch.tld
2268	Christelle.Garced@secretresearch.tld
770	Warona.Pelligrino@secretresearch.tld
2195	Janny.Mccaine@secretresearch.tld
1181	Swidbert.Repka@secretresearch.tld
117	Tienne.Segraves@secretresearch.tld
1058	Apelino.Reeber@secretresearch.tld
2252	Ehud.Bazzle@secretresearch.tld
1451	Ieshige.Kosinski@secretresearch.tld
2185	Shaqeeqa.Levra@secretresearch.tld
79	Chikafusa.Koolman@secretresearch.tld
737	Maksimina.Pecinousky@secretresearch.tld
2269	Saalim.Velasquez@secretresearch.tld
1866	Colombe.Bermea@secretresearch.tld
974	Karina.Eggington@secretresearch.tld
1297	Lashaune.Lava@secretresearch.tld
2130	Lyron.Strawder@secretresearch.tld
638	Roseann.Ora@secretresearch.tld
1759	Vrata.Socks@secretresearch.tld
1394	Egor.Braue@secretresearch.tld
685	LeVaughan.Laity@secretresearch.tld
2244	Fjodora.Sleger@secretresearch.tld
1363	Sanaaa.Yoneda@secretresearch.tld
724	Silvester.Yelvington@secretresearch.tld
2060	Zumruda.Fishman@secretresearch.tld
2236	Ilsegret.Akerley@secretresearch.tld
2226	Yayang.Kuczenski@secretresearch.tld
1908	Tahlia.Francisque@secretresearch.tld
1318	Tramaine.Scruton@secretresearch.tld
1401	Inayat.Deignan@secretresearch.tld
1763	Myshka.Krishnamurthy@secretresearch.tld
1377	Korechika.Mamer@secretresearch.tld
334	Edmonda.Ditullio@secretresearch.tld
631	Alala.Cilento@secretresearch.tld
296	Avniel.Debiase@secretresearch.tld
1667	Vladlena.Tlumacki@secretresearch.tld
2142	Chebi.Selking@secretresearch.tld
827	Kim.Colombe@secretresearch.tld
2139	Galni.Mclarty@secretresearch.tld
1453	Korotsek.Baltzell@secretresearch.tld
248	Juanisha.Seppi@secretresearch.tld
400	Waatiq.Perico@secretresearch.tld
1775	Mercede.Naslund@secretresearch.tld
1237	Walto.Messman@secretresearch.tld
2161	Razan.Symons@secretresearch.tld
279	Zarek.Laasaga@secretresearch.tld
2094	Zufar.Pestoni@secretresearch.tld
2273	Analeigh.Sebring@secretresearch.tld
203	Angela.Hager@secretresearch.tld
588	Atsumori.Bloyer@secretresearch.tld
1304	Diana.Gulbranson@secretresearch.tld
712	Ayla.Moncrief@secretresearch.tld
2245	Leonora.Peli@secretresearch.tld
2034	Holda.Dible@secretresearch.tld
2231	Sharisha.Gebhart@secretresearch.tld
2211	Editta.Servoss@secretresearch.tld
442	Datja.Carner@secretresearch.tld
238	Ajanta.Mischel@secretresearch.tld
2135	Javier.Hausauer@secretresearch.tld
890	Hortense.Ganotisi@secretresearch.tld
366	Hasnaa.Sietsema@secretresearch.tld
2088	Sajag.Traunfeld@secretresearch.tld
1010	Alona.Lucario@secretresearch.tld
1100	Nazarova.Abundis@secretresearch.tld
2258	Jared.Torgersen@secretresearch.tld
953	Volotkoveia.Klees@secretresearch.tld
341	Dmitreeva.Ellsbury@secretresearch.tld
2276	Clarine.Waynick@secretresearch.tld
1071	Graud.Shuker@secretresearch.tld
1611	Marulia.Bondura@secretresearch.tld
8	Amir.Conkling@secretresearch.tld
10	Barsha.Murrain@secretresearch.tld
14	Ruwaid.Solian@secretresearch.tld
34	Duron.Dibella@secretresearch.tld
37	Kywrkh.Tomaino@secretresearch.tld
51	Casandra.Shire@secretresearch.tld
57	Jonam.Steinle@secretresearch.tld
62	Fovro.Chung@secretresearch.tld
74	Zeenab.Lasane@secretresearch.tld
93	Jamaall.Rohen@secretresearch.tld
109	Dirthe.Kiewiet@secretresearch.tld
121	Leonel.Meche@secretresearch.tld
5	Breonia.Gierling@secretresearch.tld
126	Martina.Mcclary@secretresearch.tld
135	Atsumichi.Licano@secretresearch.tld
145	Houke.Luthe@secretresearch.tld
131	Tatiiana.Sublett@secretresearch.tld
155	Khadija.Lagerquist@secretresearch.tld
158	Eskil.Littledave@secretresearch.tld
172	Bernharda.Riese@secretresearch.tld
187	Pieter.Frend@secretresearch.tld
214	Hagibis.Kihn@secretresearch.tld
103	Maysak.Anetsberger@secretresearch.tld
230	Cyril.Croslen@secretresearch.tld
239	Krystyn.Slutsky@secretresearch.tld
243	Elvera.Zito@secretresearch.tld
251	Tasia.Ellenburg@secretresearch.tld
261	Loke.Tuton@secretresearch.tld
270	Elli.Asner@secretresearch.tld
282	Sadayoshi.Englemann@secretresearch.tld
290	Yves.Hunsucker@secretresearch.tld
313	Adrien.Hoit@secretresearch.tld
321	Richild.Brinius@secretresearch.tld
345	Fikriyya.Siddiq@secretresearch.tld
359	Barbi.Denery@secretresearch.tld
363	Irmgard.Accala@secretresearch.tld
373	Lecia.Baumeister@secretresearch.tld
379	Angelica.Maccarter@secretresearch.tld
294	Benita.Hatzenbuehler@secretresearch.tld
403	Ernestine.Barkan@secretresearch.tld
416	Jaen.Kerechanko@secretresearch.tld
420	Jermaine.Mandahl@secretresearch.tld
421	Malcolm.Voelz@secretresearch.tld
429	Latrice.Ghrist@secretresearch.tld
441	Clementine.Barga@secretresearch.tld
446	Anbessa.Gulde@secretresearch.tld
191	Anthony.Row@secretresearch.tld
209	Arcadia.Granade@secretresearch.tld
481	Burkhard.Hussein@secretresearch.tld
482	Ayushmati.Appelgren@secretresearch.tld
487	Junichi.Hagele@secretresearch.tld
494	Rico.Boronat@secretresearch.tld
497	Faqueza.Correll@secretresearch.tld
499	Gigi.Barfuss@secretresearch.tld
507	Tetsui.Zekria@secretresearch.tld
509	Bodil.Korinta@secretresearch.tld
21	Melisa.Patriarco@secretresearch.tld
542	Jascha.Plantier@secretresearch.tld
303	Trina.Sjerven@secretresearch.tld
552	Radha.Sloan@secretresearch.tld
564	Raktavira.Danforth@secretresearch.tld
180	Solange.Alson@secretresearch.tld
580	Heidelore.Ruschmann@secretresearch.tld
589	Carevel.Tardif@secretresearch.tld
642	Juro.Scogin@secretresearch.tld
182	Gulika.Alipio@secretresearch.tld
655	Bailee.Chabolla@secretresearch.tld
662	Agamemnon.Bouras@secretresearch.tld
269	Kemina.Wyke@secretresearch.tld
578	Blossom.Quero@secretresearch.tld
535	Gustel.Pitek@secretresearch.tld
713	Kinaana.Kodera@secretresearch.tld
718	Breana.Scheffler@secretresearch.tld
727	Evdxios.Fageraes@secretresearch.tld
728	Crysta.Mateen@secretresearch.tld
743	Rebeca.Aday@secretresearch.tld
746	Jedrick.Relacion@secretresearch.tld
756	Notburg.Towber@secretresearch.tld
760	Tashiya.Marrable@secretresearch.tld
775	Hidemichi.Tropp@secretresearch.tld
782	Harumi.Valenza@secretresearch.tld
783	Lucretia.Ferndez@secretresearch.tld
486	Sigurd.Mahli@secretresearch.tld
789	Luithilde.Brandolino@secretresearch.tld
794	Faas.Chitty@secretresearch.tld
810	Tyonna.Sturdevant@secretresearch.tld
834	Stopolcha.Starowicz@secretresearch.tld
844	AbdulHaadi.Castellan@secretresearch.tld
850	Severin.Buzard@secretresearch.tld
852	Giselher.Nibler@secretresearch.tld
753	Gratia.Flach@secretresearch.tld
863	Lowell.Kostka@secretresearch.tld
875	Xylina.Mcnicoll@secretresearch.tld
886	Ekantika.Bisogno@secretresearch.tld
105	Eileen.Heick@secretresearch.tld
899	Julien.Triveno@secretresearch.tld
901	Hilmiyya.Pagon@secretresearch.tld
515	Misty.Holladay@secretresearch.tld
920	Llwyr.Fagerstrom@secretresearch.tld
922	Mimi.Stremmel@secretresearch.tld
675	Phaethon.Gearon@secretresearch.tld
944	Khynika.Borwig@secretresearch.tld
946	Daniel.Harriston@secretresearch.tld
956	Toshimichi.Speth@secretresearch.tld
960	Cloelia.Shein@secretresearch.tld
961	Jakoba.Bueche@secretresearch.tld
963	Lippio.Llopis@secretresearch.tld
44	Hilario.Kovats@secretresearch.tld
968	Letizia.Madaras@secretresearch.tld
978	Twain.Sannon@secretresearch.tld
980	Maxime.Higgs@secretresearch.tld
92	Lexi.Faulk@secretresearch.tld
983	Haimo.Huesso@secretresearch.tld
989	Radosha.Ferioli@secretresearch.tld
992	Donald.Ludlow@secretresearch.tld
993	Shijo.Mccullon@secretresearch.tld
222	Akina.Jang@secretresearch.tld
996	Rodell.Sonnefeld@secretresearch.tld
998	Cenon.Colon@secretresearch.tld
1013	Glafira.Geng@secretresearch.tld
697	Oleka.Tommasino@secretresearch.tld
1027	Stolpolcha.Shigemi@secretresearch.tld
1028	Dele.Galla@secretresearch.tld
1053	Aberthol.Wilczak@secretresearch.tld
1054	Annunziata.Ravi@secretresearch.tld
1067	Muni.Mccuiston@secretresearch.tld
717	Solymar.Palisbo@secretresearch.tld
1080	Taliyah.Jafari@secretresearch.tld
1087	Herberta.Fullenwider@secretresearch.tld
1088	Nomi.Rosato@secretresearch.tld
338	Taaliba.Debrita@secretresearch.tld
1095	Gerharde.Heidtbrink@secretresearch.tld
331	Kellie.Frenner@secretresearch.tld
1107	Dorel.Brandt@secretresearch.tld
1122	Calida.Starace@secretresearch.tld
1128	Evamarie.Coraham@secretresearch.tld
1135	Dewayne.Buttermore@secretresearch.tld
1138	Iha.Em@secretresearch.tld
1143	Gia.Stonesifer@secretresearch.tld
1146	ra.Jansons@secretresearch.tld
1154	Sharise.Heagy@secretresearch.tld
1046	Paloma.Schnall@secretresearch.tld
392	Gengyo.Cumbass@secretresearch.tld
1168	Kea.Croshaw@secretresearch.tld
1170	Yakamochi.Alonza@secretresearch.tld
1178	Hortencia.Brenda@secretresearch.tld
1182	Matro.Newell@secretresearch.tld
707	Takehide.Gauna@secretresearch.tld
1194	Tarrant.Alsbrooks@secretresearch.tld
1204	Enya.Coll@secretresearch.tld
1209	Rhea.Platas@secretresearch.tld
1210	Libera.Ahlborn@secretresearch.tld
71	Bia.Klemme@secretresearch.tld
1221	Marce.Fiscalini@secretresearch.tld
1030	Lacrasha.Slavick@secretresearch.tld
1226	Shaakira.Ricklefs@secretresearch.tld
1243	Abdul.Spicer@secretresearch.tld
530	Shontal.Sehnert@secretresearch.tld
1246	Julika.Smar@secretresearch.tld
1250	Clarinda.Oberg@secretresearch.tld
1253	Anissa.Sciarretta@secretresearch.tld
1196	Maureo.Benedict@secretresearch.tld
1265	Petros.Josefy@secretresearch.tld
355	Uleia.Mineah@secretresearch.tld
1271	Nessa.Thomison@secretresearch.tld
1278	Aristomnis.Dauber@secretresearch.tld
1283	Lilly.Rissanen@secretresearch.tld
1286	Hoitsu.Mccahill@secretresearch.tld
1289	Natasia.Sliter@secretresearch.tld
1290	Sameera.Beazley@secretresearch.tld
1291	Leonarda.Imai@secretresearch.tld
389	Paco.Filary@secretresearch.tld
378	Daya.Luhr@secretresearch.tld
56	Raimund.Widdowson@secretresearch.tld
1294	Mirra.Tygart@secretresearch.tld
870	Radoste.Hoefling@secretresearch.tld
1324	Erminia.Damrell@secretresearch.tld
1331	Bussho.Oda@secretresearch.tld
142	Olzhbeta.Hasenberg@secretresearch.tld
506	Takako.Nordine@secretresearch.tld
1350	Torokanova.Kosloski@secretresearch.tld
1352	Toku.Synowiec@secretresearch.tld
1357	Shoichi.Mathey@secretresearch.tld
1359	Delmara.Mrazek@secretresearch.tld
1364	Bhadra.Whidden@secretresearch.tld
1378	Ernst.Bengtson@secretresearch.tld
1382	Aonghas.Pashley@secretresearch.tld
862	Jenna.Ovit@secretresearch.tld
1399	Okichi.Spradlin@secretresearch.tld
1404	Adwr.Liiv@secretresearch.tld
849	Carli.Maggert@secretresearch.tld
66	Huaning.Zwolski@secretresearch.tld
905	Juriaan.Schremp@secretresearch.tld
1282	Hilary.Braddy@secretresearch.tld
1413	Cicely.Genna@secretresearch.tld
1320	Cathy.Phebus@secretresearch.tld
1019	Kiraanna.Scherping@secretresearch.tld
1314	Ksniatintsa.Fuchser@secretresearch.tld
82	Hesperos.Schindele@secretresearch.tld
1434	Pascale.Skripko@secretresearch.tld
573	Sebastiano.Lockyer@secretresearch.tld
1454	Shizu.Capener@secretresearch.tld
1458	Toyoaki.Richoux@secretresearch.tld
1459	Pilib.Seu@secretresearch.tld
1461	Sophronia.Peakes@secretresearch.tld
1310	Chesell.Vatter@secretresearch.tld
1151	Cady.Schweizer@secretresearch.tld
1396	Jace.Ruotolo@secretresearch.tld
1486	Zotico.Cerrano@secretresearch.tld
1488	Dijana.Murfin@secretresearch.tld
1493	Meena.Riegel@secretresearch.tld
1494	Shesha.Humbird@secretresearch.tld
1503	Rufio.Guitard@secretresearch.tld
1059	Liselotte.Groleau@secretresearch.tld
1516	Mitsuo.Neff@secretresearch.tld
444	Honami.Docherty@secretresearch.tld
1519	Leopoldina.Alvey@secretresearch.tld
1526	Bozena.Tilly@secretresearch.tld
1527	Jennie.Schatzel@secretresearch.tld
1321	Erechtheus.Muschick@secretresearch.tld
1532	Pazia.Comnick@secretresearch.tld
1511	Kallie.Bednarek@secretresearch.tld
686	Toyoko.Colden@secretresearch.tld
1550	Majdiyya.Bonsall@secretresearch.tld
1005	Reece.Raburn@secretresearch.tld
555	Elif.Gameros@secretresearch.tld
1198	Jelawat.Balletta@secretresearch.tld
722	Loreliese.Aspri@secretresearch.tld
1470	Lilja.Siwiec@secretresearch.tld
1257	Anzhela.Venturelli@secretresearch.tld
805	Trillare.Stukel@secretresearch.tld
1581	Teodoro.Coyt@secretresearch.tld
300	Patrizio.Iliffe@secretresearch.tld
1584	Vychan.Stotz@secretresearch.tld
1248	Faith.Neeld@secretresearch.tld
480	Dayu.Vient@secretresearch.tld
948	Alyss.Wuitschick@secretresearch.tld
1599	Lane.Portes@secretresearch.tld
125	Vasuki.Riech@secretresearch.tld
344	Jafar.Abbenante@secretresearch.tld
1141	Naglaya.Tantillo@secretresearch.tld
1189	Argus.Bierwirth@secretresearch.tld
1610	Yuka.Heikes@secretresearch.tld
1039	Patrido.Sielaff@secretresearch.tld
1615	Eshita.Whitby@secretresearch.tld
1618	Constantino.Thielen@secretresearch.tld
1425	Deelon.Sephton@secretresearch.tld
1628	Tamah.Misemer@secretresearch.tld
1300	Husain.Coaxum@secretresearch.tld
1642	Muzammil.Mutter@secretresearch.tld
1625	Francoise.Rioux@secretresearch.tld
1262	Kakuei.Blanford@secretresearch.tld
1655	Ieshia.Demarrais@secretresearch.tld
869	Winand.Poulton@secretresearch.tld
1658	Jake.Bober@secretresearch.tld
1659	Mukhtaar.Grewe@secretresearch.tld
1662	Bhavin.Primavera@secretresearch.tld
1026	Elvis.Rocasah@secretresearch.tld
1673	Kaveri.Zombro@secretresearch.tld
1675	Dymas.Houskeeper@secretresearch.tld
1460	Graziana.Callabrass@secretresearch.tld
1464	Brittani.Gasman@secretresearch.tld
1695	Alonza.Galyan@secretresearch.tld
1707	Iudita.Altew@secretresearch.tld
1716	Sam.Mattheis@secretresearch.tld
1718	Conchetta.Cater@secretresearch.tld
1724	Uliaanitsa.Samul@secretresearch.tld
1725	Isadoro.Bently@secretresearch.tld
1729	Emmanoul.Gianunzio@secretresearch.tld
967	Fedoritsa.Stinner@secretresearch.tld
1734	Garrett.Blair@secretresearch.tld
1075	Uchdryd.Locicero@secretresearch.tld
1668	Adelio.Zahner@secretresearch.tld
977	Fedyenka.Terrasi@secretresearch.tld
176	Adriaan.Belter@secretresearch.tld
33	Galyn.Stobie@secretresearch.tld
1744	Tamiko.Docken@secretresearch.tld
434	Vasyklo.Netz@secretresearch.tld
666	Deverell.Anez@secretresearch.tld
1035	Salmoneus.Duncans@secretresearch.tld
1295	Inocente.Arntzen@secretresearch.tld
1765	Brenda.Varley@secretresearch.tld
1773	Ashakiran.Bingley@secretresearch.tld
1779	Feli.Trainham@secretresearch.tld
1780	Berakhiah.Province@secretresearch.tld
276	Giovanna.Douthit@secretresearch.tld
1782	Natascha.Neverson@secretresearch.tld
1787	Cherry.Dolence@secretresearch.tld
831	Michizane.Krips@secretresearch.tld
1112	Ineng.Alkbsh@secretresearch.tld
1791	Caden.Failing@secretresearch.tld
309	Mikio.Brunston@secretresearch.tld
1795	Sibylla.Reas@secretresearch.tld
558	Casswallawn.Scheiblich@secretresearch.tld
1803	Liebtraud.Schorsch@secretresearch.tld
816	Tanja.Lockmiller@secretresearch.tld
165	Jeanine.Garoner@secretresearch.tld
465	Kiuprila.Inscore@secretresearch.tld
1698	Aseel.Waddups@secretresearch.tld
23	Booker.Spiker@secretresearch.tld
1824	Dunja.Luchenbill@secretresearch.tld
1826	Fajyaz.Mutana@secretresearch.tld
755	Eberhardine.Hazim@secretresearch.tld
1033	Namiko.Leval@secretresearch.tld
1844	Parma.Borgese@secretresearch.tld
289	Shinji.Kapler@secretresearch.tld
709	Einian.Frascella@secretresearch.tld
1772	Gizla.Nordmark@secretresearch.tld
1859	Detana.Trautz@secretresearch.tld
1822	Jazmine.Susman@secretresearch.tld
1132	Irminwin.Milloy@secretresearch.tld
1854	YolandaAbigail.Insogna@secretresearch.tld
1873	Noburo.Charleton@secretresearch.tld
1877	Goncalo.Gahm@secretresearch.tld
1878	Jada.Grech@secretresearch.tld
1429	Socorro.Mcsorley@secretresearch.tld
144	Emina.Yeeloy@secretresearch.tld
883	Tango.Constable@secretresearch.tld
412	Yoriko.Boot@secretresearch.tld
1337	Fanaila.Torain@secretresearch.tld
223	Fahroni.Anglea@secretresearch.tld
415	Bezubaia.Wiece@secretresearch.tld
1893	Alwin.Roewe@secretresearch.tld
199	Marna.Crookshanks@secretresearch.tld
1525	Soshu.Burress@secretresearch.tld
803	Sander.Garriss@secretresearch.tld
1837	Zeanes.Hinsley@secretresearch.tld
1899	Ivonne.Elreda@secretresearch.tld
1901	Kuemon.Coatie@secretresearch.tld
1794	Krystal.Farria@secretresearch.tld
1162	Luca.Dolbin@secretresearch.tld
1904	Janita.Bolieu@secretresearch.tld
48	Sypovaia.Wegmann@secretresearch.tld
1578	Angha.Bievenue@secretresearch.tld
1509	Koshiro.Augusto@secretresearch.tld
765	Nik.Reposa@secretresearch.tld
\.



COPY extended_abstracts (id, text) FROM stdin;
1125	attractive yeller cognizably reminds teratoid coadjutors thuggeries nondestructive maladjustments attractive yeller cognizably reminds teratoid coadjutors thuggeries nondestructive maladjustments attractive yeller cognizably reminds teratoid coadjutors thuggeries nondestructive maladjustments
1158	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts
1184	plateauing reoccupations embossers cerebrum gloves mohairs admiralties bewigged plateauing reoccupations embossers cerebrum gloves mohairs admiralties bewigged plateauing reoccupations embossers cerebrum gloves mohairs admiralties bewigged
1205	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
1212	slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens
1233	summable heliocentricity excretions recelebrating summable heliocentricity excretions recelebrating summable heliocentricity excretions recelebrating
1234	recollected householder overeducated objurgate treaties preprocessor recollected householder overeducated objurgate treaties preprocessor recollected householder overeducated objurgate treaties preprocessor
1241	dumpers bering evasiveness toto dumpers bering evasiveness toto dumpers bering evasiveness toto
1244	recalculation safest signiory latchets inflecting trephines hops recalculation safest signiory latchets inflecting trephines hops recalculation safest signiory latchets inflecting trephines hops
1249	bewitchment cheaters riffled kerneling napoleons rifer bewitchment cheaters riffled kerneling napoleons rifer bewitchment cheaters riffled kerneling napoleons rifer
1252	pasturage thurifer teazle fringier pasturage thurifer teazle fringier pasturage thurifer teazle fringier
1263	extradites stollens ponderers conditione loathly cancels debiting extradites stollens ponderers conditione loathly cancels debiting extradites stollens ponderers conditione loathly cancels debiting
1279	prs bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier prs bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier prs bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier
1287	grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites
1301	skeins equalled sandwiching bewitchment skeins equalled sandwiching bewitchment skeins equalled sandwiching bewitchment
1308	exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing
1319	surges preheats loggias reconciliating photocatalyst surges preheats loggias reconciliating photocatalyst surges preheats loggias reconciliating photocatalyst
183	swiveled polers oinked apnea maxillary swiveled polers oinked apnea maxillary swiveled polers oinked apnea maxillary
1351	cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill
212	pirog desexes summable heliocentricity excretions recelebrating pirog desexes summable heliocentricity excretions recelebrating pirog desexes summable heliocentricity excretions recelebrating
1365	peeped daydreams permuting immediately canzona interrelated cooked reformers goodwife peeped daydreams permuting immediately canzona interrelated cooked reformers goodwife peeped daydreams permuting immediately canzona interrelated cooked reformers goodwife
1367	preheats loggias reconciliating photocatalyst lenity tautological jambing sodality preheats loggias reconciliating photocatalyst lenity tautological jambing sodality preheats loggias reconciliating photocatalyst lenity tautological jambing sodality
1380	loftily yabber reprovingly blungers dwarflike effulgences coreless tuberculoses environs loftily yabber reprovingly blungers dwarflike effulgences coreless tuberculoses environs loftily yabber reprovingly blungers dwarflike effulgences coreless tuberculoses environs
1390	exec junketeers isolators reducing exec junketeers isolators reducing exec junketeers isolators reducing
1406	batting waspishly stilbestrol villainousness miscalling batting waspishly stilbestrol villainousness miscalling batting waspishly stilbestrol villainousness miscalling
1412	evasiveness toto teashop reaccepts evasiveness toto teashop reaccepts evasiveness toto teashop reaccepts
1417	undermentioned outflanking funnyman commuted lachrymation floweret undermentioned outflanking funnyman commuted lachrymation floweret undermentioned outflanking funnyman commuted lachrymation floweret
1421	plateauing reoccupations embossers cerebrum gloves plateauing reoccupations embossers cerebrum gloves plateauing reoccupations embossers cerebrum gloves
1442	villainousness miscalling firefanged skeins equalled sandwiching villainousness miscalling firefanged skeins equalled sandwiching villainousness miscalling firefanged skeins equalled sandwiching
402	toto teashop reaccepts gunneries exorcises pirog desexes toto teashop reaccepts gunneries exorcises pirog desexes toto teashop reaccepts gunneries exorcises pirog desexes
445	reoccupations embossers cerebrum gloves mohairs admiralties bewigged playgoers reoccupations embossers cerebrum gloves mohairs admiralties bewigged playgoers reoccupations embossers cerebrum gloves mohairs admiralties bewigged playgoers
472	bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts
17	dwelling scrapped prat islanded burlily dwelling scrapped prat islanded burlily dwelling scrapped prat islanded burlily
1471	brill neologic intermuscular fobbed transcribed brill neologic intermuscular fobbed transcribed brill neologic intermuscular fobbed transcribed
1474	overbites terminals giros podgy vagus kinkiest overbites terminals giros podgy vagus kinkiest overbites terminals giros podgy vagus kinkiest
1487	reaccepts gunneries exorcises pirog desexes summable reaccepts gunneries exorcises pirog desexes summable reaccepts gunneries exorcises pirog desexes summable
1507	surges preheats loggias reconciliating photocatalyst lenity tautological surges preheats loggias reconciliating photocatalyst lenity tautological surges preheats loggias reconciliating photocatalyst lenity tautological
1521	summable heliocentricity excretions recelebrating dually plateauing summable heliocentricity excretions recelebrating dually plateauing summable heliocentricity excretions recelebrating dually plateauing
1530	playgoers cheques batting waspishly stilbestrol villainousness miscalling playgoers cheques batting waspishly stilbestrol villainousness miscalling playgoers cheques batting waspishly stilbestrol villainousness miscalling
1540	riffled kerneling napoleons rifer splinting surmisers satisfying undamped riffled kerneling napoleons rifer splinting surmisers satisfying undamped riffled kerneling napoleons rifer splinting surmisers satisfying undamped
661	heliocentricity excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves heliocentricity excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves heliocentricity excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves
679	prat islanded burlily thanklessly swiveled polers prat islanded burlily thanklessly swiveled polers prat islanded burlily thanklessly swiveled polers
221	decentralizing hogfishes gantleted richer succories dwelling decentralizing hogfishes gantleted richer succories dwelling decentralizing hogfishes gantleted richer succories dwelling
706	embossers cerebrum gloves mohairs admiralties bewigged playgoers embossers cerebrum gloves mohairs admiralties bewigged playgoers embossers cerebrum gloves mohairs admiralties bewigged playgoers
1569	extradites stollens ponderers conditione loathly cancels debiting extradites stollens ponderers conditione loathly cancels debiting extradites stollens ponderers conditione loathly cancels debiting
733	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted
1579	plateauing reoccupations embossers cerebrum gloves plateauing reoccupations embossers cerebrum gloves plateauing reoccupations embossers cerebrum gloves
1586	kerneling napoleons rifer splinting surmisers satisfying undamped sharpers kerneling napoleons rifer splinting surmisers satisfying undamped sharpers kerneling napoleons rifer splinting surmisers satisfying undamped sharpers
1601	xix recollected householder overeducated objurgate treaties preprocessor despising loftily xix recollected householder overeducated objurgate treaties preprocessor despising loftily xix recollected householder overeducated objurgate treaties preprocessor despising loftily
1609	nonfiction retrogressions eliminates unknowns nonfiction retrogressions eliminates unknowns nonfiction retrogressions eliminates unknowns
1627	skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons rifer skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons rifer skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons rifer
1636	sharpers forbearer anesthetization undermentioned sharpers forbearer anesthetization undermentioned sharpers forbearer anesthetization undermentioned
1657	surges preheats loggias reconciliating photocatalyst surges preheats loggias reconciliating photocatalyst surges preheats loggias reconciliating photocatalyst
840	exorcises pirog desexes summable heliocentricity excretions recelebrating dually exorcises pirog desexes summable heliocentricity excretions recelebrating dually exorcises pirog desexes summable heliocentricity excretions recelebrating dually
856	sandwiching bewitchment cheaters riffled kerneling napoleons rifer splinting surmisers sandwiching bewitchment cheaters riffled kerneling napoleons rifer splinting surmisers sandwiching bewitchment cheaters riffled kerneling napoleons rifer splinting surmisers
1683	xix recollected householder overeducated objurgate treaties preprocessor despising loftily xix recollected householder overeducated objurgate treaties preprocessor despising loftily xix recollected householder overeducated objurgate treaties preprocessor despising loftily
881	loggias reconciliating photocatalyst lenity loggias reconciliating photocatalyst lenity loggias reconciliating photocatalyst lenity
1703	rifer splinting surmisers satisfying undamped sharpers forbearer rifer splinting surmisers satisfying undamped sharpers forbearer rifer splinting surmisers satisfying undamped sharpers forbearer
1709	grunts venturers valiantly unremorsefully grunts venturers valiantly unremorsefully grunts venturers valiantly unremorsefully
1710	cancels debiting parrots paraguayans resonates overbites terminals giros cancels debiting parrots paraguayans resonates overbites terminals giros cancels debiting parrots paraguayans resonates overbites terminals giros
1723	brill neologic intermuscular fobbed transcribed brill neologic intermuscular fobbed transcribed brill neologic intermuscular fobbed transcribed
1733	malines cliffhanger entailments reindexed bedstraws thoughtless malines cliffhanger entailments reindexed bedstraws thoughtless malines cliffhanger entailments reindexed bedstraws thoughtless
1741	neurosurgeon innervated hunts barrens emanative blowpipe varies neurosurgeon innervated hunts barrens emanative blowpipe varies neurosurgeon innervated hunts barrens emanative blowpipe varies
1743	rifer splinting surmisers satisfying undamped rifer splinting surmisers satisfying undamped rifer splinting surmisers satisfying undamped
1748	floweret arcadian acridities unrealistic substituting surges floweret arcadian acridities unrealistic substituting surges floweret arcadian acridities unrealistic substituting surges
1760	sodality outcrop slipcases phenylketonuria grunts venturers valiantly sodality outcrop slipcases phenylketonuria grunts venturers valiantly sodality outcrop slipcases phenylketonuria grunts venturers valiantly
1777	playgoers cheques batting waspishly stilbestrol villainousness playgoers cheques batting waspishly stilbestrol villainousness playgoers cheques batting waspishly stilbestrol villainousness
1022	funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian
1786	cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins
1047	ponderers conditione loathly cancels debiting parrots ponderers conditione loathly cancels debiting parrots ponderers conditione loathly cancels debiting parrots
24	recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers
29	objurgate treaties preprocessor despising loftily yabber reprovingly objurgate treaties preprocessor despising loftily yabber reprovingly objurgate treaties preprocessor despising loftily yabber reprovingly
45	latchets inflecting trephines hops exec junketeers isolators reducing latchets inflecting trephines hops exec junketeers isolators reducing latchets inflecting trephines hops exec junketeers isolators reducing
49	kerneling napoleons rifer splinting surmisers satisfying undamped kerneling napoleons rifer splinting surmisers satisfying undamped kerneling napoleons rifer splinting surmisers satisfying undamped
60	rhythmical wastebaskets powderer immigrates inserter rhythmical wastebaskets powderer immigrates inserter rhythmical wastebaskets powderer immigrates inserter
76	conditione loathly cancels debiting parrots paraguayans resonates overbites conditione loathly cancels debiting parrots paraguayans resonates overbites conditione loathly cancels debiting parrots paraguayans resonates overbites
114	nonsurgical skimpiest outpoured dissociated heartier petitionee brill neologic intermuscular nonsurgical skimpiest outpoured dissociated heartier petitionee brill neologic intermuscular nonsurgical skimpiest outpoured dissociated heartier petitionee brill neologic intermuscular
150	exorcises pirog desexes summable exorcises pirog desexes summable exorcises pirog desexes summable
177	sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling
192	pirog desexes summable heliocentricity pirog desexes summable heliocentricity pirog desexes summable heliocentricity
207	loggias reconciliating photocatalyst lenity tautological jambing loggias reconciliating photocatalyst lenity tautological jambing loggias reconciliating photocatalyst lenity tautological jambing
225	apnea maxillary dumpers bering evasiveness toto apnea maxillary dumpers bering evasiveness toto apnea maxillary dumpers bering evasiveness toto
241	polers oinked apnea maxillary dumpers bering polers oinked apnea maxillary dumpers bering polers oinked apnea maxillary dumpers bering
249	outpoured dissociated heartier petitionee brill neologic intermuscular fobbed transcribed outpoured dissociated heartier petitionee brill neologic intermuscular fobbed transcribed outpoured dissociated heartier petitionee brill neologic intermuscular fobbed transcribed
259	desexes summable heliocentricity excretions recelebrating dually plateauing desexes summable heliocentricity excretions recelebrating dually plateauing desexes summable heliocentricity excretions recelebrating dually plateauing
280	immediately canzona interrelated cooked immediately canzona interrelated cooked immediately canzona interrelated cooked
285	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts
328	blungers dwarflike effulgences coreless blungers dwarflike effulgences coreless blungers dwarflike effulgences coreless
361	reducing nethermost nonfiction retrogressions eliminates reducing nethermost nonfiction retrogressions eliminates reducing nethermost nonfiction retrogressions eliminates
393	toto teashop reaccepts gunneries exorcises toto teashop reaccepts gunneries exorcises toto teashop reaccepts gunneries exorcises
395	funnyman commuted lachrymation floweret arcadian acridities unrealistic funnyman commuted lachrymation floweret arcadian acridities unrealistic funnyman commuted lachrymation floweret arcadian acridities unrealistic
418	reoccupations embossers cerebrum gloves mohairs admiralties reoccupations embossers cerebrum gloves mohairs admiralties reoccupations embossers cerebrum gloves mohairs admiralties
439	prat islanded burlily thanklessly swiveled polers oinked prat islanded burlily thanklessly swiveled polers oinked prat islanded burlily thanklessly swiveled polers oinked
461	teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity
500	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
520	toto teashop reaccepts gunneries exorcises pirog toto teashop reaccepts gunneries exorcises pirog toto teashop reaccepts gunneries exorcises pirog
536	scrapped prat islanded burlily thanklessly swiveled scrapped prat islanded burlily thanklessly swiveled scrapped prat islanded burlily thanklessly swiveled
540	fobbed transcribed swifters redigesting ostinato recalculation fobbed transcribed swifters redigesting ostinato recalculation fobbed transcribed swifters redigesting ostinato recalculation
574	desexes summable heliocentricity excretions recelebrating dually plateauing desexes summable heliocentricity excretions recelebrating dually plateauing desexes summable heliocentricity excretions recelebrating dually plateauing
590	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria
646	heliocentricity excretions recelebrating dually plateauing reoccupations embossers heliocentricity excretions recelebrating dually plateauing reoccupations embossers heliocentricity excretions recelebrating dually plateauing reoccupations embossers
668	cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins
680	kerneling napoleons rifer splinting surmisers satisfying undamped sharpers forbearer kerneling napoleons rifer splinting surmisers satisfying undamped sharpers forbearer kerneling napoleons rifer splinting surmisers satisfying undamped sharpers forbearer
693	excretions recelebrating dually plateauing excretions recelebrating dually plateauing excretions recelebrating dually plateauing
730	burlily thanklessly swiveled polers oinked apnea maxillary burlily thanklessly swiveled polers oinked apnea maxillary burlily thanklessly swiveled polers oinked apnea maxillary
1534	dwelling scrapped prat islanded burlily dwelling scrapped prat islanded burlily dwelling scrapped prat islanded burlily
738	hogfishes gantleted richer succories dwelling scrapped prat hogfishes gantleted richer succories dwelling scrapped prat hogfishes gantleted richer succories dwelling scrapped prat
744	gloves mohairs admiralties bewigged playgoers cheques batting waspishly gloves mohairs admiralties bewigged playgoers cheques batting waspishly gloves mohairs admiralties bewigged playgoers cheques batting waspishly
749	ponderers conditione loathly cancels debiting parrots paraguayans resonates ponderers conditione loathly cancels debiting parrots paraguayans resonates ponderers conditione loathly cancels debiting parrots paraguayans resonates
763	perspicuously disjoined nigglings midmonths labium peeped daydreams permuting perspicuously disjoined nigglings midmonths labium peeped daydreams permuting perspicuously disjoined nigglings midmonths labium peeped daydreams permuting
767	cerebrum gloves mohairs admiralties bewigged playgoers cerebrum gloves mohairs admiralties bewigged playgoers cerebrum gloves mohairs admiralties bewigged playgoers
781	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
793	objurgate treaties preprocessor despising objurgate treaties preprocessor despising objurgate treaties preprocessor despising
806	mongoloids danker raunchiness perspicuously disjoined mongoloids danker raunchiness perspicuously disjoined mongoloids danker raunchiness perspicuously disjoined
807	gloves mohairs admiralties bewigged playgoers cheques batting waspishly stilbestrol gloves mohairs admiralties bewigged playgoers cheques batting waspishly stilbestrol gloves mohairs admiralties bewigged playgoers cheques batting waspishly stilbestrol
828	equalled sandwiching bewitchment cheaters equalled sandwiching bewitchment cheaters equalled sandwiching bewitchment cheaters
845	forbearer anesthetization undermentioned outflanking funnyman forbearer anesthetization undermentioned outflanking funnyman forbearer anesthetization undermentioned outflanking funnyman
865	preheats loggias reconciliating photocatalyst lenity tautological preheats loggias reconciliating photocatalyst lenity tautological preheats loggias reconciliating photocatalyst lenity tautological
876	desexes summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers desexes summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers desexes summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers
878	sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
897	cheaters riffled kerneling napoleons cheaters riffled kerneling napoleons cheaters riffled kerneling napoleons
898	householder overeducated objurgate treaties householder overeducated objurgate treaties householder overeducated objurgate treaties
919	photocatalyst lenity tautological jambing sodality photocatalyst lenity tautological jambing sodality photocatalyst lenity tautological jambing sodality
921	satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
945	extradites stollens ponderers conditione loathly extradites stollens ponderers conditione loathly extradites stollens ponderers conditione loathly
955	paraguayans resonates overbites terminals giros podgy vagus kinkiest xix paraguayans resonates overbites terminals giros podgy vagus kinkiest xix paraguayans resonates overbites terminals giros podgy vagus kinkiest xix
964	transcribed swifters redigesting ostinato recalculation safest transcribed swifters redigesting ostinato recalculation safest transcribed swifters redigesting ostinato recalculation safest
985	bedstraws thoughtless elation swampland earings circumscribed paralyzingly bedstraws thoughtless elation swampland earings circumscribed paralyzingly bedstraws thoughtless elation swampland earings circumscribed paralyzingly
1004	splinting surmisers satisfying undamped sharpers forbearer splinting surmisers satisfying undamped sharpers forbearer splinting surmisers satisfying undamped sharpers forbearer
1011	arcadian acridities unrealistic substituting surges preheats loggias arcadian acridities unrealistic substituting surges preheats loggias arcadian acridities unrealistic substituting surges preheats loggias
1029	outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
1036	batting waspishly stilbestrol villainousness miscalling batting waspishly stilbestrol villainousness miscalling batting waspishly stilbestrol villainousness miscalling
1060	lachrymation floweret arcadian acridities unrealistic substituting lachrymation floweret arcadian acridities unrealistic substituting lachrymation floweret arcadian acridities unrealistic substituting
1063	stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment cheaters stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment cheaters stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment cheaters
1085	loathly cancels debiting parrots paraguayans resonates overbites loathly cancels debiting parrots paraguayans resonates overbites loathly cancels debiting parrots paraguayans resonates overbites
1086	outcrop slipcases phenylketonuria grunts outcrop slipcases phenylketonuria grunts outcrop slipcases phenylketonuria grunts
1093	batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching
1096	environs hulled preexamination oralogy tibetans environs hulled preexamination oralogy tibetans environs hulled preexamination oralogy tibetans
1109	canzona interrelated cooked reformers goodwife technicolor plenishes nippy canzona interrelated cooked reformers goodwife technicolor plenishes nippy canzona interrelated cooked reformers goodwife technicolor plenishes nippy
1118	funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian
1931	recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs
1797	tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers valiantly tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers valiantly tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers valiantly
1065	bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling
1801	effulgences coreless tuberculoses environs effulgences coreless tuberculoses environs effulgences coreless tuberculoses environs
1802	peeped daydreams permuting immediately canzona interrelated cooked peeped daydreams permuting immediately canzona interrelated cooked peeped daydreams permuting immediately canzona interrelated cooked
1809	nonfiction retrogressions eliminates unknowns mongoloids nonfiction retrogressions eliminates unknowns mongoloids nonfiction retrogressions eliminates unknowns mongoloids
1812	anesthetization undermentioned outflanking funnyman anesthetization undermentioned outflanking funnyman anesthetization undermentioned outflanking funnyman
1814	manifestly decaffeinates scalepan folklorists attractive yeller cognizably reminds manifestly decaffeinates scalepan folklorists attractive yeller cognizably reminds manifestly decaffeinates scalepan folklorists attractive yeller cognizably reminds
1817	giros podgy vagus kinkiest xix giros podgy vagus kinkiest xix giros podgy vagus kinkiest xix
1831	reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases
1841	recelebrating dually plateauing reoccupations embossers cerebrum gloves recelebrating dually plateauing reoccupations embossers cerebrum gloves recelebrating dually plateauing reoccupations embossers cerebrum gloves
1857	rifer splinting surmisers satisfying undamped sharpers forbearer anesthetization rifer splinting surmisers satisfying undamped sharpers forbearer anesthetization rifer splinting surmisers satisfying undamped sharpers forbearer anesthetization
1172	sodality outcrop slipcases phenylketonuria grunts venturers valiantly sodality outcrop slipcases phenylketonuria grunts venturers valiantly sodality outcrop slipcases phenylketonuria grunts venturers valiantly
1199	exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing
1872	vagus kinkiest xix recollected householder vagus kinkiest xix recollected householder vagus kinkiest xix recollected householder
1208	maxillary dumpers bering evasiveness toto teashop reaccepts gunneries exorcises maxillary dumpers bering evasiveness toto teashop reaccepts gunneries exorcises maxillary dumpers bering evasiveness toto teashop reaccepts gunneries exorcises
1880	swifters redigesting ostinato recalculation safest signiory swifters redigesting ostinato recalculation safest signiory swifters redigesting ostinato recalculation safest signiory
1881	skeins equalled sandwiching bewitchment cheaters skeins equalled sandwiching bewitchment cheaters skeins equalled sandwiching bewitchment cheaters
1886	bounden occulters blubberer amenities desecrated tetrachlorides loutish bounden occulters blubberer amenities desecrated tetrachlorides loutish bounden occulters blubberer amenities desecrated tetrachlorides loutish
1888	venturers valiantly unremorsefully extradites stollens ponderers venturers valiantly unremorsefully extradites stollens ponderers venturers valiantly unremorsefully extradites stollens ponderers
4	tibetans slavishly hipless prs bluejays cuppier nonsurgical tibetans slavishly hipless prs bluejays cuppier nonsurgical tibetans slavishly hipless prs bluejays cuppier nonsurgical
68	miscalling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling miscalling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling miscalling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling
87	gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating
107	unrealistic substituting surges preheats unrealistic substituting surges preheats unrealistic substituting surges preheats
1305	thanklessly swiveled polers oinked thanklessly swiveled polers oinked thanklessly swiveled polers oinked
1322	exorcises pirog desexes summable heliocentricity exorcises pirog desexes summable heliocentricity exorcises pirog desexes summable heliocentricity
162	nigglings midmonths labium peeped daydreams permuting immediately canzona nigglings midmonths labium peeped daydreams permuting immediately canzona nigglings midmonths labium peeped daydreams permuting immediately canzona
1347	mohairs admiralties bewigged playgoers cheques batting mohairs admiralties bewigged playgoers cheques batting mohairs admiralties bewigged playgoers cheques batting
196	treaties preprocessor despising loftily yabber reprovingly blungers dwarflike treaties preprocessor despising loftily yabber reprovingly blungers dwarflike treaties preprocessor despising loftily yabber reprovingly blungers dwarflike
234	inflecting trephines hops exec junketeers isolators reducing nethermost nonfiction inflecting trephines hops exec junketeers isolators reducing nethermost nonfiction inflecting trephines hops exec junketeers isolators reducing nethermost nonfiction
258	admiralties bewigged playgoers cheques admiralties bewigged playgoers cheques admiralties bewigged playgoers cheques
297	zanier corkscrewed promiscuousness clewed zanier corkscrewed promiscuousness clewed zanier corkscrewed promiscuousness clewed
311	forbearer anesthetization undermentioned outflanking funnyman forbearer anesthetization undermentioned outflanking funnyman forbearer anesthetization undermentioned outflanking funnyman
337	dually plateauing reoccupations embossers dually plateauing reoccupations embossers dually plateauing reoccupations embossers
371	stilbestrol villainousness miscalling firefanged skeins stilbestrol villainousness miscalling firefanged skeins stilbestrol villainousness miscalling firefanged skeins
1419	evasiveness toto teashop reaccepts gunneries exorcises evasiveness toto teashop reaccepts gunneries exorcises evasiveness toto teashop reaccepts gunneries exorcises
1428	plateauing reoccupations embossers cerebrum gloves mohairs admiralties plateauing reoccupations embossers cerebrum gloves mohairs admiralties plateauing reoccupations embossers cerebrum gloves mohairs admiralties
1876	retrogressions eliminates unknowns mongoloids danker raunchiness retrogressions eliminates unknowns mongoloids danker raunchiness retrogressions eliminates unknowns mongoloids danker raunchiness
1885	batting waspishly stilbestrol villainousness miscalling firefanged skeins batting waspishly stilbestrol villainousness miscalling firefanged skeins batting waspishly stilbestrol villainousness miscalling firefanged skeins
1890	teashop reaccepts gunneries exorcises pirog desexes teashop reaccepts gunneries exorcises pirog desexes teashop reaccepts gunneries exorcises pirog desexes
1892	lachrymation floweret arcadian acridities unrealistic substituting surges preheats lachrymation floweret arcadian acridities unrealistic substituting surges preheats lachrymation floweret arcadian acridities unrealistic substituting surges preheats
1896	embossers cerebrum gloves mohairs admiralties bewigged playgoers embossers cerebrum gloves mohairs admiralties bewigged playgoers embossers cerebrum gloves mohairs admiralties bewigged playgoers
2178	islanded burlily thanklessly swiveled polers oinked apnea maxillary islanded burlily thanklessly swiveled polers oinked apnea maxillary islanded burlily thanklessly swiveled polers oinked apnea maxillary
2180	reaccepts gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating reaccepts gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating reaccepts gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating
1902	unknowns mongoloids danker raunchiness perspicuously disjoined unknowns mongoloids danker raunchiness perspicuously disjoined unknowns mongoloids danker raunchiness perspicuously disjoined
2182	cerebrum gloves mohairs admiralties cerebrum gloves mohairs admiralties cerebrum gloves mohairs admiralties
1910	kinkiest xix recollected householder overeducated objurgate kinkiest xix recollected householder overeducated objurgate kinkiest xix recollected householder overeducated objurgate
1920	redigesting ostinato recalculation safest signiory latchets inflecting redigesting ostinato recalculation safest signiory latchets inflecting redigesting ostinato recalculation safest signiory latchets inflecting
1934	sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
1936	emanative blowpipe varies thickest machinability orbiters tormentor owner emanative blowpipe varies thickest machinability orbiters tormentor owner emanative blowpipe varies thickest machinability orbiters tormentor owner
1940	excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves
1947	batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching
1956	napoleons rifer splinting surmisers napoleons rifer splinting surmisers napoleons rifer splinting surmisers
2192	recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers
2196	swiveled polers oinked apnea maxillary dumpers bering evasiveness swiveled polers oinked apnea maxillary dumpers bering evasiveness swiveled polers oinked apnea maxillary dumpers bering evasiveness
2163	gantleted richer succories dwelling scrapped prat islanded burlily gantleted richer succories dwelling scrapped prat islanded burlily gantleted richer succories dwelling scrapped prat islanded burlily
2201	admiralties bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling admiralties bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling admiralties bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling
1966	loathly cancels debiting parrots paraguayans resonates overbites terminals giros loathly cancels debiting parrots paraguayans resonates overbites terminals giros loathly cancels debiting parrots paraguayans resonates overbites terminals giros
1975	midmonths labium peeped daydreams permuting immediately canzona interrelated cooked midmonths labium peeped daydreams permuting immediately canzona interrelated cooked midmonths labium peeped daydreams permuting immediately canzona interrelated cooked
1979	admiralties bewigged playgoers cheques batting waspishly stilbestrol admiralties bewigged playgoers cheques batting waspishly stilbestrol admiralties bewigged playgoers cheques batting waspishly stilbestrol
1986	forbearer anesthetization undermentioned outflanking forbearer anesthetization undermentioned outflanking forbearer anesthetization undermentioned outflanking
1995	loftily yabber reprovingly blungers dwarflike loftily yabber reprovingly blungers dwarflike loftily yabber reprovingly blungers dwarflike
2000	mohairs admiralties bewigged playgoers mohairs admiralties bewigged playgoers mohairs admiralties bewigged playgoers
2002	sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling
2007	anesthetization undermentioned outflanking funnyman commuted lachrymation anesthetization undermentioned outflanking funnyman commuted lachrymation anesthetization undermentioned outflanking funnyman commuted lachrymation
2213	admiralties bewigged playgoers cheques batting waspishly stilbestrol admiralties bewigged playgoers cheques batting waspishly stilbestrol admiralties bewigged playgoers cheques batting waspishly stilbestrol
2216	heliocentricity excretions recelebrating dually heliocentricity excretions recelebrating dually heliocentricity excretions recelebrating dually
2012	slipcases phenylketonuria grunts venturers slipcases phenylketonuria grunts venturers slipcases phenylketonuria grunts venturers
2217	kerneling napoleons rifer splinting surmisers kerneling napoleons rifer splinting surmisers kerneling napoleons rifer splinting surmisers
2016	objurgate treaties preprocessor despising loftily objurgate treaties preprocessor despising loftily objurgate treaties preprocessor despising loftily
2220	tautological jambing sodality outcrop slipcases phenylketonuria tautological jambing sodality outcrop slipcases phenylketonuria tautological jambing sodality outcrop slipcases phenylketonuria
2025	forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian
2029	loathly cancels debiting parrots paraguayans resonates loathly cancels debiting parrots paraguayans resonates loathly cancels debiting parrots paraguayans resonates
2037	recalculation safest signiory latchets inflecting trephines hops recalculation safest signiory latchets inflecting trephines hops recalculation safest signiory latchets inflecting trephines hops
2046	earings circumscribed paralyzingly pouchy surrejoinders chestiest measurage tonsils earings circumscribed paralyzingly pouchy surrejoinders chestiest measurage tonsils earings circumscribed paralyzingly pouchy surrejoinders chestiest measurage tonsils
2056	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned surmisers satisfying undamped sharpers forbearer anesthetization undermentioned surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
2059	acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst
2064	slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens ponderers slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens ponderers slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens ponderers
2230	stilbestrol villainousness miscalling firefanged skeins equalled stilbestrol villainousness miscalling firefanged skeins equalled stilbestrol villainousness miscalling firefanged skeins equalled
2235	arcadian acridities unrealistic substituting surges preheats loggias arcadian acridities unrealistic substituting surges preheats loggias arcadian acridities unrealistic substituting surges preheats loggias
2069	firefanged skeins equalled sandwiching firefanged skeins equalled sandwiching firefanged skeins equalled sandwiching
2237	debiting parrots paraguayans resonates overbites terminals giros podgy debiting parrots paraguayans resonates overbites terminals giros podgy debiting parrots paraguayans resonates overbites terminals giros podgy
2074	grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites
2080	tibetans slavishly hipless prs bluejays cuppier nonsurgical skimpiest tibetans slavishly hipless prs bluejays cuppier nonsurgical skimpiest tibetans slavishly hipless prs bluejays cuppier nonsurgical skimpiest
2084	oralogy tibetans slavishly hipless prs bluejays oralogy tibetans slavishly hipless prs bluejays oralogy tibetans slavishly hipless prs bluejays
2087	goodwife technicolor plenishes nippy bounden occulters blubberer amenities desecrated goodwife technicolor plenishes nippy bounden occulters blubberer amenities desecrated goodwife technicolor plenishes nippy bounden occulters blubberer amenities desecrated
2092	floweret arcadian acridities unrealistic substituting surges floweret arcadian acridities unrealistic substituting surges floweret arcadian acridities unrealistic substituting surges
2096	teratoid coadjutors thuggeries nondestructive teratoid coadjutors thuggeries nondestructive teratoid coadjutors thuggeries nondestructive
2099	funnyman commuted lachrymation floweret arcadian acridities unrealistic substituting surges funnyman commuted lachrymation floweret arcadian acridities unrealistic substituting surges funnyman commuted lachrymation floweret arcadian acridities unrealistic substituting surges
2103	lenity tautological jambing sodality lenity tautological jambing sodality lenity tautological jambing sodality
2109	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
2115	undamped sharpers forbearer anesthetization undamped sharpers forbearer anesthetization undamped sharpers forbearer anesthetization
2247	grunts venturers valiantly unremorsefully extradites stollens ponderers conditione loathly grunts venturers valiantly unremorsefully extradites stollens ponderers conditione loathly grunts venturers valiantly unremorsefully extradites stollens ponderers conditione loathly
2119	acridities unrealistic substituting surges preheats loggias acridities unrealistic substituting surges preheats loggias acridities unrealistic substituting surges preheats loggias
1452	maxillary dumpers bering evasiveness maxillary dumpers bering evasiveness maxillary dumpers bering evasiveness
1224	succories dwelling scrapped prat succories dwelling scrapped prat succories dwelling scrapped prat
428	dissociated heartier petitionee brill dissociated heartier petitionee brill dissociated heartier petitionee brill
437	paraguayans resonates overbites terminals giros paraguayans resonates overbites terminals giros paraguayans resonates overbites terminals giros
456	bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts
492	arcadian acridities unrealistic substituting surges preheats arcadian acridities unrealistic substituting surges preheats arcadian acridities unrealistic substituting surges preheats
516	environs hulled preexamination oralogy tibetans slavishly hipless environs hulled preexamination oralogy tibetans slavishly hipless environs hulled preexamination oralogy tibetans slavishly hipless
526	desexes summable heliocentricity excretions recelebrating desexes summable heliocentricity excretions recelebrating desexes summable heliocentricity excretions recelebrating
560	bewigged playgoers cheques batting waspishly stilbestrol bewigged playgoers cheques batting waspishly stilbestrol bewigged playgoers cheques batting waspishly stilbestrol
579	cheaters riffled kerneling napoleons rifer splinting surmisers cheaters riffled kerneling napoleons rifer splinting surmisers cheaters riffled kerneling napoleons rifer splinting surmisers
595	outflanking funnyman commuted lachrymation floweret arcadian acridities unrealistic outflanking funnyman commuted lachrymation floweret arcadian acridities unrealistic outflanking funnyman commuted lachrymation floweret arcadian acridities unrealistic
1326	measles decentralizing hogfishes gantleted richer measles decentralizing hogfishes gantleted richer measles decentralizing hogfishes gantleted richer
1547	plateauing reoccupations embossers cerebrum gloves mohairs plateauing reoccupations embossers cerebrum gloves mohairs plateauing reoccupations embossers cerebrum gloves mohairs
654	valiantly unremorsefully extradites stollens ponderers conditione valiantly unremorsefully extradites stollens ponderers conditione valiantly unremorsefully extradites stollens ponderers conditione
1561	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned surmisers satisfying undamped sharpers forbearer anesthetization undermentioned surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
670	excretions recelebrating dually plateauing excretions recelebrating dually plateauing excretions recelebrating dually plateauing
683	sandwiching bewitchment cheaters riffled kerneling napoleons rifer sandwiching bewitchment cheaters riffled kerneling napoleons rifer sandwiching bewitchment cheaters riffled kerneling napoleons rifer
696	lachrymation floweret arcadian acridities unrealistic lachrymation floweret arcadian acridities unrealistic lachrymation floweret arcadian acridities unrealistic
725	giros podgy vagus kinkiest xix recollected householder overeducated giros podgy vagus kinkiest xix recollected householder overeducated giros podgy vagus kinkiest xix recollected householder overeducated
741	junketeers isolators reducing nethermost nonfiction retrogressions eliminates unknowns mongoloids junketeers isolators reducing nethermost nonfiction retrogressions eliminates unknowns mongoloids junketeers isolators reducing nethermost nonfiction retrogressions eliminates unknowns mongoloids
774	firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling
786	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation
802	substituting surges preheats loggias substituting surges preheats loggias substituting surges preheats loggias
1633	reaccepts gunneries exorcises pirog desexes summable heliocentricity reaccepts gunneries exorcises pirog desexes summable heliocentricity reaccepts gunneries exorcises pirog desexes summable heliocentricity
1645	skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons
818	vagus kinkiest xix recollected householder overeducated objurgate treaties vagus kinkiest xix recollected householder overeducated objurgate treaties vagus kinkiest xix recollected householder overeducated objurgate treaties
1666	surges preheats loggias reconciliating photocatalyst lenity tautological jambing sodality surges preheats loggias reconciliating photocatalyst lenity tautological jambing sodality surges preheats loggias reconciliating photocatalyst lenity tautological jambing sodality
837	riffled kerneling napoleons rifer splinting surmisers riffled kerneling napoleons rifer splinting surmisers riffled kerneling napoleons rifer splinting surmisers
1684	swiveled polers oinked apnea maxillary swiveled polers oinked apnea maxillary swiveled polers oinked apnea maxillary
848	ponderers conditione loathly cancels debiting parrots paraguayans ponderers conditione loathly cancels debiting parrots paraguayans ponderers conditione loathly cancels debiting parrots paraguayans
871	outpoured dissociated heartier petitionee outpoured dissociated heartier petitionee outpoured dissociated heartier petitionee
888	desecrated tetrachlorides loutish polygony malines desecrated tetrachlorides loutish polygony malines desecrated tetrachlorides loutish polygony malines
909	alkalin succulently marquise underlaid neurosurgeon innervated alkalin succulently marquise underlaid neurosurgeon innervated alkalin succulently marquise underlaid neurosurgeon innervated
954	lachrymation floweret arcadian acridities unrealistic lachrymation floweret arcadian acridities unrealistic lachrymation floweret arcadian acridities unrealistic
976	jambing sodality outcrop slipcases phenylketonuria grunts jambing sodality outcrop slipcases phenylketonuria grunts jambing sodality outcrop slipcases phenylketonuria grunts
986	admiralties bewigged playgoers cheques batting admiralties bewigged playgoers cheques batting admiralties bewigged playgoers cheques batting
1757	undermentioned outflanking funnyman commuted undermentioned outflanking funnyman commuted undermentioned outflanking funnyman commuted
1766	extradites stollens ponderers conditione loathly extradites stollens ponderers conditione loathly extradites stollens ponderers conditione loathly
1007	reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases
1784	gloves mohairs admiralties bewigged playgoers cheques batting gloves mohairs admiralties bewigged playgoers cheques batting gloves mohairs admiralties bewigged playgoers cheques batting
1016	reprovingly blungers dwarflike effulgences coreless tuberculoses environs hulled preexamination reprovingly blungers dwarflike effulgences coreless tuberculoses environs hulled preexamination reprovingly blungers dwarflike effulgences coreless tuberculoses environs hulled preexamination
1032	disjoined nigglings midmonths labium peeped daydreams disjoined nigglings midmonths labium peeped daydreams disjoined nigglings midmonths labium peeped daydreams
1042	isolators reducing nethermost nonfiction isolators reducing nethermost nonfiction isolators reducing nethermost nonfiction
1051	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation
1056	irades inadvisability disciplinarians majors manifestly decaffeinates scalepan irades inadvisability disciplinarians majors manifestly decaffeinates scalepan irades inadvisability disciplinarians majors manifestly decaffeinates scalepan
1072	resonates overbites terminals giros resonates overbites terminals giros resonates overbites terminals giros
1099	loggias reconciliating photocatalyst lenity tautological jambing sodality loggias reconciliating photocatalyst lenity tautological jambing sodality loggias reconciliating photocatalyst lenity tautological jambing sodality
1117	heliocentricity excretions recelebrating dually plateauing reoccupations heliocentricity excretions recelebrating dually plateauing reoccupations heliocentricity excretions recelebrating dually plateauing reoccupations
1134	kerneling napoleons rifer splinting surmisers satisfying undamped kerneling napoleons rifer splinting surmisers satisfying undamped kerneling napoleons rifer splinting surmisers satisfying undamped
1142	tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers
1851	teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity
1149	terminals giros podgy vagus terminals giros podgy vagus terminals giros podgy vagus
1858	apnea maxillary dumpers bering evasiveness toto teashop reaccepts apnea maxillary dumpers bering evasiveness toto teashop reaccepts apnea maxillary dumpers bering evasiveness toto teashop reaccepts
1163	intermuscular fobbed transcribed swifters redigesting intermuscular fobbed transcribed swifters redigesting intermuscular fobbed transcribed swifters redigesting
1174	villainousness miscalling firefanged skeins villainousness miscalling firefanged skeins villainousness miscalling firefanged skeins
1193	technicolor plenishes nippy bounden occulters blubberer technicolor plenishes nippy bounden occulters blubberer technicolor plenishes nippy bounden occulters blubberer
1202	slipcases phenylketonuria grunts venturers valiantly slipcases phenylketonuria grunts venturers valiantly slipcases phenylketonuria grunts venturers valiantly
1217	hulled preexamination oralogy tibetans slavishly hipless hulled preexamination oralogy tibetans slavishly hipless hulled preexamination oralogy tibetans slavishly hipless
1238	mongoloids danker raunchiness perspicuously disjoined nigglings midmonths mongoloids danker raunchiness perspicuously disjoined nigglings midmonths mongoloids danker raunchiness perspicuously disjoined nigglings midmonths
1259	stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment
1269	reaccepts gunneries exorcises pirog desexes summable heliocentricity reaccepts gunneries exorcises pirog desexes summable heliocentricity reaccepts gunneries exorcises pirog desexes summable heliocentricity
1275	arcadian acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst arcadian acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst arcadian acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst
1280	cerebrum gloves mohairs admiralties bewigged playgoers cheques batting cerebrum gloves mohairs admiralties bewigged playgoers cheques batting cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
1905	burlily thanklessly swiveled polers oinked apnea maxillary dumpers bering burlily thanklessly swiveled polers oinked apnea maxillary dumpers bering burlily thanklessly swiveled polers oinked apnea maxillary dumpers bering
1912	gunneries exorcises pirog desexes gunneries exorcises pirog desexes gunneries exorcises pirog desexes
1293	raunchiness perspicuously disjoined nigglings midmonths labium peeped raunchiness perspicuously disjoined nigglings midmonths labium peeped raunchiness perspicuously disjoined nigglings midmonths labium peeped
1922	gloves mohairs admiralties bewigged playgoers gloves mohairs admiralties bewigged playgoers gloves mohairs admiralties bewigged playgoers
1313	householder overeducated objurgate treaties preprocessor despising loftily householder overeducated objurgate treaties preprocessor despising loftily householder overeducated objurgate treaties preprocessor despising loftily
1336	safest signiory latchets inflecting trephines hops exec junketeers safest signiory latchets inflecting trephines hops exec junketeers safest signiory latchets inflecting trephines hops exec junketeers
1356	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
1373	machinability orbiters tormentor owner zanier corkscrewed promiscuousness clewed reassemble machinability orbiters tormentor owner zanier corkscrewed promiscuousness clewed reassemble machinability orbiters tormentor owner zanier corkscrewed promiscuousness clewed reassemble
1385	recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs admiralties recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs admiralties recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs admiralties
1398	waspishly stilbestrol villainousness miscalling waspishly stilbestrol villainousness miscalling waspishly stilbestrol villainousness miscalling
1961	bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts bering evasiveness toto teashop reaccepts
1971	dually plateauing reoccupations embossers cerebrum gloves dually plateauing reoccupations embossers cerebrum gloves dually plateauing reoccupations embossers cerebrum gloves
1981	oinked apnea maxillary dumpers bering evasiveness toto teashop reaccepts oinked apnea maxillary dumpers bering evasiveness toto teashop reaccepts oinked apnea maxillary dumpers bering evasiveness toto teashop reaccepts
1867	richer succories dwelling scrapped prat islanded burlily thanklessly swiveled richer succories dwelling scrapped prat islanded burlily thanklessly swiveled richer succories dwelling scrapped prat islanded burlily thanklessly swiveled
1988	playgoers cheques batting waspishly playgoers cheques batting waspishly playgoers cheques batting waspishly
1424	debiting parrots paraguayans resonates debiting parrots paraguayans resonates debiting parrots paraguayans resonates
1446	oinked apnea maxillary dumpers oinked apnea maxillary dumpers oinked apnea maxillary dumpers
1457	funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian funnyman commuted lachrymation floweret arcadian
1465	dwarflike effulgences coreless tuberculoses environs hulled dwarflike effulgences coreless tuberculoses environs hulled dwarflike effulgences coreless tuberculoses environs hulled
1476	admiralties bewigged playgoers cheques batting admiralties bewigged playgoers cheques batting admiralties bewigged playgoers cheques batting
1501	bewitchment cheaters riffled kerneling napoleons rifer bewitchment cheaters riffled kerneling napoleons rifer bewitchment cheaters riffled kerneling napoleons rifer
1512	undermentioned outflanking funnyman commuted lachrymation floweret arcadian undermentioned outflanking funnyman commuted lachrymation floweret arcadian undermentioned outflanking funnyman commuted lachrymation floweret arcadian
2020	richer succories dwelling scrapped richer succories dwelling scrapped richer succories dwelling scrapped
1917	unmuzzling measles decentralizing hogfishes unmuzzling measles decentralizing hogfishes unmuzzling measles decentralizing hogfishes
2026	recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers recelebrating dually plateauing reoccupations embossers
1524	grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites grunts venturers valiantly unremorsefully extradites
2031	rifer splinting surmisers satisfying undamped sharpers rifer splinting surmisers satisfying undamped sharpers rifer splinting surmisers satisfying undamped sharpers
1533	preprocessor despising loftily yabber reprovingly blungers preprocessor despising loftily yabber reprovingly blungers preprocessor despising loftily yabber reprovingly blungers
1541	miscalling firefanged skeins equalled sandwiching bewitchment miscalling firefanged skeins equalled sandwiching bewitchment miscalling firefanged skeins equalled sandwiching bewitchment
1544	outflanking funnyman commuted lachrymation outflanking funnyman commuted lachrymation outflanking funnyman commuted lachrymation
1553	paraguayans resonates overbites terminals giros podgy vagus paraguayans resonates overbites terminals giros podgy vagus paraguayans resonates overbites terminals giros podgy vagus
1566	inflecting trephines hops exec junketeers isolators reducing nethermost inflecting trephines hops exec junketeers isolators reducing nethermost inflecting trephines hops exec junketeers isolators reducing nethermost
1573	surrejoinders chestiest measurage tonsils pasturage thurifer teazle fringier rhythmical surrejoinders chestiest measurage tonsils pasturage thurifer teazle fringier rhythmical surrejoinders chestiest measurage tonsils pasturage thurifer teazle fringier rhythmical
1580	miscalling firefanged skeins equalled sandwiching bewitchment cheaters miscalling firefanged skeins equalled sandwiching bewitchment cheaters miscalling firefanged skeins equalled sandwiching bewitchment cheaters
1595	satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
1606	unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity tautological unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity tautological unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity tautological
1612	phenylketonuria grunts venturers valiantly phenylketonuria grunts venturers valiantly phenylketonuria grunts venturers valiantly
2076	miscalling firefanged skeins equalled sandwiching bewitchment cheaters miscalling firefanged skeins equalled sandwiching bewitchment cheaters miscalling firefanged skeins equalled sandwiching bewitchment cheaters
1620	giros podgy vagus kinkiest xix recollected householder giros podgy vagus kinkiest xix recollected householder giros podgy vagus kinkiest xix recollected householder
2085	unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity
1630	sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling sandwiching bewitchment cheaters riffled kerneling
2090	islanded burlily thanklessly swiveled islanded burlily thanklessly swiveled islanded burlily thanklessly swiveled
1640	unremorsefully extradites stollens ponderers conditione loathly unremorsefully extradites stollens ponderers conditione loathly unremorsefully extradites stollens ponderers conditione loathly
1652	bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill
1664	hipless prs bluejays cuppier nonsurgical skimpiest outpoured hipless prs bluejays cuppier nonsurgical skimpiest outpoured hipless prs bluejays cuppier nonsurgical skimpiest outpoured
1680	bounden occulters blubberer amenities bounden occulters blubberer amenities bounden occulters blubberer amenities
1690	unrealistic substituting surges preheats loggias reconciliating photocatalyst unrealistic substituting surges preheats loggias reconciliating photocatalyst unrealistic substituting surges preheats loggias reconciliating photocatalyst
1700	maladjustments subpartnership cordilleras recirculations alkalin maladjustments subpartnership cordilleras recirculations alkalin maladjustments subpartnership cordilleras recirculations alkalin
1712	commuted lachrymation floweret arcadian commuted lachrymation floweret arcadian commuted lachrymation floweret arcadian
1727	tautological jambing sodality outcrop slipcases tautological jambing sodality outcrop slipcases tautological jambing sodality outcrop slipcases
1738	gloves mohairs admiralties bewigged gloves mohairs admiralties bewigged gloves mohairs admiralties bewigged
2122	forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian
2126	valiantly unremorsefully extradites stollens valiantly unremorsefully extradites stollens valiantly unremorsefully extradites stollens
1745	surges preheats loggias reconciliating photocatalyst lenity tautological surges preheats loggias reconciliating photocatalyst lenity tautological surges preheats loggias reconciliating photocatalyst lenity tautological
2133	reoccupations embossers cerebrum gloves mohairs admiralties reoccupations embossers cerebrum gloves mohairs admiralties reoccupations embossers cerebrum gloves mohairs admiralties
1751	despising loftily yabber reprovingly blungers dwarflike effulgences coreless despising loftily yabber reprovingly blungers dwarflike effulgences coreless despising loftily yabber reprovingly blungers dwarflike effulgences coreless
1764	hops exec junketeers isolators reducing nethermost nonfiction retrogressions eliminates hops exec junketeers isolators reducing nethermost nonfiction retrogressions eliminates hops exec junketeers isolators reducing nethermost nonfiction retrogressions eliminates
1770	splinting surmisers satisfying undamped sharpers forbearer anesthetization undermentioned splinting surmisers satisfying undamped sharpers forbearer anesthetization undermentioned splinting surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
1776	inserter plights corollaries gaudiness irades inadvisability inserter plights corollaries gaudiness irades inadvisability inserter plights corollaries gaudiness irades inadvisability
1789	debiting parrots paraguayans resonates overbites terminals giros podgy vagus debiting parrots paraguayans resonates overbites terminals giros podgy vagus debiting parrots paraguayans resonates overbites terminals giros podgy vagus
1811	desexes summable heliocentricity excretions recelebrating desexes summable heliocentricity excretions recelebrating desexes summable heliocentricity excretions recelebrating
1816	cheaters riffled kerneling napoleons rifer splinting cheaters riffled kerneling napoleons rifer splinting cheaters riffled kerneling napoleons rifer splinting
1823	photocatalyst lenity tautological jambing sodality outcrop slipcases photocatalyst lenity tautological jambing sodality outcrop slipcases photocatalyst lenity tautological jambing sodality outcrop slipcases
2154	bering evasiveness toto teashop reaccepts gunneries exorcises bering evasiveness toto teashop reaccepts gunneries exorcises bering evasiveness toto teashop reaccepts gunneries exorcises
2157	oinked apnea maxillary dumpers bering evasiveness toto oinked apnea maxillary dumpers bering evasiveness toto oinked apnea maxillary dumpers bering evasiveness toto
1834	petitionee brill neologic intermuscular petitionee brill neologic intermuscular petitionee brill neologic intermuscular
2162	summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers
1848	cooked reformers goodwife technicolor plenishes cooked reformers goodwife technicolor plenishes cooked reformers goodwife technicolor plenishes
1853	jambing sodality outcrop slipcases jambing sodality outcrop slipcases jambing sodality outcrop slipcases
1861	coreless tuberculoses environs hulled preexamination coreless tuberculoses environs hulled preexamination coreless tuberculoses environs hulled preexamination
\.



COPY important_dates (id, date_acceptance_a, full_paper_submissio, date_camera_ready, ending_date, starting_date, abstract_submission) FROM stdin;
\.



COPY information_for_participas (id) FROM stdin;
\.



COPY invited_speakers (id) FROM stdin;
\.



COPY invited_talks (id) FROM stdin;
\.



COPY late_paid_applicants (id) FROM stdin;
\.



COPY organizations (id, name) FROM stdin;
\.



COPY organizers (id) FROM stdin;
\.



COPY organizing_committees (id, was_an_organizing_committ) FROM stdin;
\.



COPY paid_applicants (id) FROM stdin;
\.



COPY papers (id, abstract, paper_title) FROM stdin;
1828	1910	kinkiest xix recollected householder overeducated objurgate
932	1547	plateauing reoccupations embossers cerebrum gloves mohairs
450	2115	undamped sharpers forbearer anesthetization
942	1867	richer succories dwelling scrapped prat islanded burlily thanklessly swiveled
133	2074	grunts venturers valiantly unremorsefully extradites
1111	1524	grunts venturers valiantly unremorsefully extradites
572	2162	summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers
1155	2163	gantleted richer succories dwelling scrapped prat islanded burlily
626	1934	sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
1236	1238	mongoloids danker raunchiness perspicuously disjoined nigglings midmonths
637	2084	oralogy tibetans slavishly hipless prs bluejays
614	945	extradites stollens ponderers conditione loathly
600	1652	bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill
302	2090	islanded burlily thanklessly swiveled
205	1664	hipless prs bluejays cuppier nonsurgical skimpiest outpoured
208	212	pirog desexes summable heliocentricity excretions recelebrating
467	668	cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins
1418	1417	undermentioned outflanking funnyman commuted lachrymation floweret
916	1224	succories dwelling scrapped prat
1711	1712	commuted lachrymation floweret arcadian
606	1936	emanative blowpipe varies thickest machinability orbiters tormentor owner
299	1802	peeped daydreams permuting immediately canzona interrelated cooked
479	871	outpoured dissociated heartier petitionee
1195	1199	exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing
613	2087	goodwife technicolor plenishes nippy bounden occulters blubberer amenities desecrated
1245	1244	recalculation safest signiory latchets inflecting trephines hops
877	876	desexes summable heliocentricity excretions recelebrating dually plateauing reoccupations embossers
1366	1365	peeped daydreams permuting immediately canzona interrelated cooked reformers goodwife
1900	2002	sandwiching bewitchment cheaters riffled kerneling
404	574	desexes summable heliocentricity excretions recelebrating dually plateauing
971	976	jambing sodality outcrop slipcases phenylketonuria grunts
488	492	arcadian acridities unrealistic substituting surges preheats
396	395	funnyman commuted lachrymation floweret arcadian acridities unrealistic
322	1065	bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling
152	1060	lachrymation floweret arcadian acridities unrealistic substituting
924	1757	undermentioned outflanking funnyman commuted
268	2080	tibetans slavishly hipless prs bluejays cuppier nonsurgical skimpiest
139	207	loggias reconciliating photocatalyst lenity tautological jambing
1124	1174	villainousness miscalling firefanged skeins
27	1580	miscalling firefanged skeins equalled sandwiching bewitchment cheaters
904	1412	evasiveness toto teashop reaccepts
495	1872	vagus kinkiest xix recollected householder
612	1507	surges preheats loggias reconciliating photocatalyst lenity tautological
367	371	stilbestrol villainousness miscalling firefanged skeins
61	60	rhythmical wastebaskets powderer immigrates inserter
1025	1380	loftily yabber reprovingly blungers dwarflike effulgences coreless tuberculoses environs
170	1029	outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
1325	1326	measles decentralizing hogfishes gantleted richer
649	654	valiantly unremorsefully extradites stollens ponderers conditione
1159	1158	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts
288	2154	bering evasiveness toto teashop reaccepts gunneries exorcises
242	241	polers oinked apnea maxillary dumpers bering
602	2046	earings circumscribed paralyzingly pouchy surrejoinders chestiest measurage tonsils
880	881	loggias reconciliating photocatalyst lenity
541	540	fobbed transcribed swifters redigesting ostinato recalculation
1551	1902	unknowns mongoloids danker raunchiness perspicuously disjoined
731	730	burlily thanklessly swiveled polers oinked apnea maxillary
464	2247	grunts venturers valiantly unremorsefully extradites stollens ponderers conditione loathly
1113	1117	heliocentricity excretions recelebrating dually plateauing reoccupations
969	1896	embossers cerebrum gloves mohairs admiralties bewigged playgoers
414	1134	kerneling napoleons rifer splinting surmisers satisfying undamped
354	2059	acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst
53	1817	giros podgy vagus kinkiest xix
349	955	paraguayans resonates overbites terminals giros podgy vagus kinkiest xix
529	1099	loggias reconciliating photocatalyst lenity tautological jambing sodality
496	1620	giros podgy vagus kinkiest xix recollected householder
156	1442	villainousness miscalling firefanged skeins equalled sandwiching
52	1601	xix recollected householder overeducated objurgate treaties preprocessor despising loftily
63	1861	coreless tuberculoses environs hulled preexamination
611	741	junketeers isolators reducing nethermost nonfiction retrogressions eliminates unknowns mongoloids
643	2220	tautological jambing sodality outcrop slipcases phenylketonuria
179	183	swiveled polers oinked apnea maxillary
505	1051	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation
567	1086	outcrop slipcases phenylketonuria grunts
1344	1748	floweret arcadian acridities unrealistic substituting surges
587	1885	batting waspishly stilbestrol villainousness miscalling firefanged skeins
190	1541	miscalling firefanged skeins equalled sandwiching bewitchment
619	1465	dwarflike effulgences coreless tuberculoses environs hulled
419	418	reoccupations embossers cerebrum gloves mohairs admiralties
326	1208	maxillary dumpers bering evasiveness toto teashop reaccepts gunneries exorcises
1704	1703	rifer splinting surmisers satisfying undamped sharpers forbearer
822	2178	islanded burlily thanklessly swiveled polers oinked apnea maxillary
658	661	heliocentricity excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves
538	1269	reaccepts gunneries exorcises pirog desexes summable heliocentricity
1590	1595	satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
452	456	bering evasiveness toto teashop reaccepts
603	793	objurgate treaties preprocessor despising
1012	1011	arcadian acridities unrealistic substituting surges preheats loggias
1215	1947	batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching
846	845	forbearer anesthetization undermentioned outflanking funnyman
937	1022	funnyman commuted lachrymation floweret arcadian
1635	1770	splinting surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
936	2201	admiralties bewigged playgoers cheques batting waspishly stilbestrol villainousness miscalling
394	393	toto teashop reaccepts gunneries exorcises
1689	1690	unrealistic substituting surges preheats loggias reconciliating photocatalyst
423	428	dissociated heartier petitionee brill
1671	1797	tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers valiantly
721	1858	apnea maxillary dumpers bering evasiveness toto teashop reaccepts
645	1202	slipcases phenylketonuria grunts venturers valiantly
605	1457	funnyman commuted lachrymation floweret arcadian
569	646	heliocentricity excretions recelebrating dually plateauing reoccupations embossers
265	1233	summable heliocentricity excretions recelebrating
547	1776	inserter plights corollaries gaudiness irades inadvisability
408	1385	recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs admiralties
391	1612	phenylketonuria grunts venturers valiantly
894	1534	dwelling scrapped prat islanded burlily
694	696	lachrymation floweret arcadian acridities unrealistic
681	680	kerneling napoleons rifer splinting surmisers satisfying undamped sharpers forbearer
343	1680	bounden occulters blubberer amenities
705	706	embossers cerebrum gloves mohairs admiralties bewigged playgoers
622	1586	kerneling napoleons rifer splinting surmisers satisfying undamped sharpers
607	1986	forbearer anesthetization undermentioned outflanking
748	1212	slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens
1188	1193	technicolor plenishes nippy bounden occulters blubberer
1079	2064	slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites stollens ponderers
178	177	sandwiching bewitchment cheaters riffled kerneling
226	225	apnea maxillary dumpers bering evasiveness toto
215	1047	ponderers conditione loathly cancels debiting parrots
1214	1630	sandwiching bewitchment cheaters riffled kerneling
1309	1313	householder overeducated objurgate treaties preprocessor despising loftily
1129	2192	recelebrating dually plateauing reoccupations embossers
752	1428	plateauing reoccupations embossers cerebrum gloves mohairs admiralties
928	1666	surges preheats loggias reconciliating photocatalyst lenity tautological jambing sodality
512	1234	recollected householder overeducated objurgate treaties preprocessor
375	1419	evasiveness toto teashop reaccepts gunneries exorcises
1502	1760	sodality outcrop slipcases phenylketonuria grunts venturers valiantly
148	1956	napoleons rifer splinting surmisers
281	280	immediately canzona interrelated cooked
532	2133	reoccupations embossers cerebrum gloves mohairs admiralties
618	1109	canzona interrelated cooked reformers goodwife technicolor plenishes nippy
1157	1979	admiralties bewigged playgoers cheques batting waspishly stilbestrol
813	897	cheaters riffled kerneling napoleons
1334	1336	safest signiory latchets inflecting trephines hops exec junketeers
275	1004	splinting surmisers satisfying undamped sharpers forbearer
278	1683	xix recollected householder overeducated objurgate treaties preprocessor despising loftily
407	2157	oinked apnea maxillary dumpers bering evasiveness toto
1094	1093	batting waspishly stilbestrol villainousness miscalling firefanged skeins equalled sandwiching
91	1063	stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment cheaters
202	986	admiralties bewigged playgoers cheques batting
665	1275	arcadian acridities unrealistic substituting surges preheats loggias reconciliating photocatalyst
110	1533	preprocessor despising loftily yabber reprovingly blungers
15	45	latchets inflecting trephines hops exec junketeers isolators reducing
501	500	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
866	865	preheats loggias reconciliating photocatalyst lenity tautological
1018	1971	dually plateauing reoccupations embossers cerebrum gloves
30	29	objurgate treaties preprocessor despising loftily yabber reprovingly
689	1922	gloves mohairs admiralties bewigged playgoers
217	898	householder overeducated objurgate treaties
930	1172	sodality outcrop slipcases phenylketonuria grunts venturers valiantly
1778	1777	playgoers cheques batting waspishly stilbestrol villainousness
161	162	nigglings midmonths labium peeped daydreams permuting immediately canzona
927	1766	extradites stollens ponderers conditione loathly
583	1579	plateauing reoccupations embossers cerebrum gloves
935	1561	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
362	361	reducing nethermost nonfiction retrogressions eliminates
83	87	gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating
617	725	giros podgy vagus kinkiest xix recollected householder overeducated
1069	1072	resonates overbites terminals giros
513	516	environs hulled preexamination oralogy tibetans slavishly hipless
377	1125	attractive yeller cognizably reminds teratoid coadjutors thuggeries nondestructive maladjustments
625	1373	machinability orbiters tormentor owner zanier corkscrewed promiscuousness clewed reassemble
430	848	ponderers conditione loathly cancels debiting parrots paraguayans
640	1880	swifters redigesting ostinato recalculation safest signiory
551	738	hogfishes gantleted richer succories dwelling scrapped prat
615	985	bedstraws thoughtless elation swampland earings circumscribed paralyzingly
111	2237	debiting parrots paraguayans resonates overbites terminals giros podgy
591	590	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria
691	1961	bering evasiveness toto teashop reaccepts
627	1553	paraguayans resonates overbites terminals giros podgy vagus
1588	1841	recelebrating dually plateauing reoccupations embossers cerebrum gloves
797	802	substituting surges preheats loggias
382	1811	desexes summable heliocentricity excretions recelebrating
1505	1851	teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity
216	1751	despising loftily yabber reprovingly blungers dwarflike effulgences coreless
620	1700	maladjustments subpartnership cordilleras recirculations alkalin
411	1764	hops exec junketeers isolators reducing nethermost nonfiction retrogressions eliminates
100	1566	inflecting trephines hops exec junketeers isolators reducing nethermost
462	461	teashop reaccepts gunneries exorcises pirog desexes summable heliocentricity
769	774	firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling
1288	1287	grunts venturers valiantly unremorsefully extradites
67	68	miscalling firefanged skeins equalled sandwiching bewitchment cheaters riffled kerneling
432	437	paraguayans resonates overbites terminals giros
0	4	tibetans slavishly hipless prs bluejays cuppier nonsurgical
1169	1809	nonfiction retrogressions eliminates unknowns mongoloids
81	1085	loathly cancels debiting parrots paraguayans resonates overbites
16	17	dwelling scrapped prat islanded burlily
102	107	unrealistic substituting surges preheats
194	196	treaties preprocessor despising loftily yabber reprovingly blungers dwarflike
218	221	decentralizing hogfishes gantleted richer succories dwelling
233	234	inflecting trephines hops exec junketeers isolators reducing nethermost nonfiction
253	258	admiralties bewigged playgoers cheques
291	297	zanier corkscrewed promiscuousness clewed
306	311	forbearer anesthetization undermentioned outflanking funnyman
335	337	dually plateauing reoccupations embossers
397	402	toto teashop reaccepts gunneries exorcises pirog desexes
316	445	reoccupations embossers cerebrum gloves mohairs admiralties bewigged playgoers
469	472	bering evasiveness toto teashop reaccepts
522	526	desexes summable heliocentricity excretions recelebrating
554	560	bewigged playgoers cheques batting waspishly stilbestrol
575	579	cheaters riffled kerneling napoleons rifer splinting surmisers
592	595	outflanking funnyman commuted lachrymation floweret arcadian acridities unrealistic
669	670	excretions recelebrating dually plateauing
674	679	prat islanded burlily thanklessly swiveled polers
601	683	sandwiching bewitchment cheaters riffled kerneling napoleons rifer
136	733	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted
776	786	undamped sharpers forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation
815	818	vagus kinkiest xix recollected householder overeducated objurgate treaties
116	837	riffled kerneling napoleons rifer splinting surmisers
839	840	exorcises pirog desexes summable heliocentricity excretions recelebrating dually
853	856	sandwiching bewitchment cheaters riffled kerneling napoleons rifer splinting surmisers
621	888	desecrated tetrachlorides loutish polygony malines
385	909	alkalin succulently marquise underlaid neurosurgeon innervated
305	954	lachrymation floweret arcadian acridities unrealistic
227	1007	reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases
962	1016	reprovingly blungers dwarflike effulgences coreless tuberculoses environs hulled preexamination
608	1032	disjoined nigglings midmonths labium peeped daydreams
1037	1042	isolators reducing nethermost nonfiction
124	1056	irades inadvisability disciplinarians majors manifestly decaffeinates scalepan
830	1142	tautological jambing sodality outcrop slipcases phenylketonuria grunts venturers
1147	1149	terminals giros podgy vagus
1161	1163	intermuscular fobbed transcribed swifters redigesting
1216	1217	hulled preexamination oralogy tibetans slavishly hipless
702	1259	stilbestrol villainousness miscalling firefanged skeins equalled sandwiching bewitchment
374	1280	cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
950	1293	raunchiness perspicuously disjoined nigglings midmonths labium peeped
12	1305	thanklessly swiveled polers oinked
534	1322	exorcises pirog desexes summable heliocentricity
907	1347	mohairs admiralties bewigged playgoers cheques batting
629	1356	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
1228	1398	waspishly stilbestrol villainousness miscalling
644	1424	debiting parrots paraguayans resonates
550	1446	oinked apnea maxillary dumpers
648	1452	maxillary dumpers bering evasiveness
1231	1476	admiralties bewigged playgoers cheques batting
1496	1501	bewitchment cheaters riffled kerneling napoleons rifer
1508	1512	undermentioned outflanking funnyman commuted lachrymation floweret arcadian
553	1544	outflanking funnyman commuted lachrymation
623	1573	surrejoinders chestiest measurage tonsils pasturage thurifer teazle fringier rhythmical
95	1606	unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity tautological
262	1633	reaccepts gunneries exorcises pirog desexes summable heliocentricity
1637	1640	unremorsefully extradites stollens ponderers conditione loathly
926	1645	skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons
943	1684	swiveled polers oinked apnea maxillary
130	1727	tautological jambing sodality outcrop slipcases
633	1738	gloves mohairs admiralties bewigged
896	1745	surges preheats loggias reconciliating photocatalyst lenity tautological
119	1784	gloves mohairs admiralties bewigged playgoers cheques batting
1156	1789	debiting parrots paraguayans resonates overbites terminals giros podgy vagus
796	1816	cheaters riffled kerneling napoleons rifer splinting
1806	1823	photocatalyst lenity tautological jambing sodality outcrop slipcases
1833	1834	petitionee brill neologic intermuscular
667	1848	cooked reformers goodwife technicolor plenishes
1747	1853	jambing sodality outcrop slipcases
791	1876	retrogressions eliminates unknowns mongoloids danker raunchiness
1856	1890	teashop reaccepts gunneries exorcises pirog desexes
812	1892	lachrymation floweret arcadian acridities unrealistic substituting surges preheats
476	1905	burlily thanklessly swiveled polers oinked apnea maxillary dumpers bering
861	1912	gunneries exorcises pirog desexes
360	1917	unmuzzling measles decentralizing hogfishes
9	1920	redigesting ostinato recalculation safest signiory latchets inflecting
604	1931	recelebrating dually plateauing reoccupations embossers cerebrum gloves mohairs
1504	1940	excretions recelebrating dually plateauing reoccupations embossers cerebrum gloves
348	1966	loathly cancels debiting parrots paraguayans resonates overbites terminals giros
1973	1975	midmonths labium peeped daydreams permuting immediately canzona interrelated cooked
929	1981	oinked apnea maxillary dumpers bering evasiveness toto teashop reaccepts
457	1988	playgoers cheques batting waspishly
628	1995	loftily yabber reprovingly blungers dwarflike
982	2000	mohairs admiralties bewigged playgoers
97	2007	anesthetization undermentioned outflanking funnyman commuted lachrymation
154	2012	slipcases phenylketonuria grunts venturers
957	2016	objurgate treaties preprocessor despising loftily
127	2020	richer succories dwelling scrapped
1918	2025	forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian
939	2026	recelebrating dually plateauing reoccupations embossers
40	2029	loathly cancels debiting parrots paraguayans resonates
229	2031	rifer splinting surmisers satisfying undamped sharpers
36	2037	recalculation safest signiory latchets inflecting trephines hops
1598	2056	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned
1393	2069	firefanged skeins equalled sandwiching
938	2076	miscalling firefanged skeins equalled sandwiching bewitchment cheaters
934	2085	unrealistic substituting surges preheats loggias reconciliating photocatalyst lenity
333	2092	floweret arcadian acridities unrealistic substituting surges
498	2096	teratoid coadjutors thuggeries nondestructive
59	2099	funnyman commuted lachrymation floweret arcadian acridities unrealistic substituting surges
562	2103	lenity tautological jambing sodality
1706	2109	embossers cerebrum gloves mohairs admiralties bewigged playgoers cheques batting
1660	2119	acridities unrealistic substituting surges preheats loggias
931	2122	forbearer anesthetization undermentioned outflanking funnyman commuted lachrymation floweret arcadian
55	2126	valiantly unremorsefully extradites stollens
50	49	kerneling napoleons rifer splinting surmisers satisfying undamped
77	76	conditione loathly cancels debiting parrots paraguayans resonates overbites
75	114	nonsurgical skimpiest outpoured dissociated heartier petitionee brill neologic intermuscular
151	150	exorcises pirog desexes summable
193	192	pirog desexes summable heliocentricity
250	249	outpoured dissociated heartier petitionee brill neologic intermuscular fobbed transcribed
286	285	photocatalyst lenity tautological jambing sodality outcrop slipcases phenylketonuria grunts
329	328	blungers dwarflike effulgences coreless
1819	2180	reaccepts gunneries exorcises pirog desexes summable heliocentricity excretions recelebrating
2108	2182	cerebrum gloves mohairs admiralties
750	749	ponderers conditione loathly cancels debiting parrots paraguayans resonates
483	763	perspicuously disjoined nigglings midmonths labium peeped daydreams permuting
768	767	cerebrum gloves mohairs admiralties bewigged playgoers
933	2196	swiveled polers oinked apnea maxillary dumpers bering evasiveness
609	781	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
232	806	mongoloids danker raunchiness perspicuously disjoined
808	807	gloves mohairs admiralties bewigged playgoers cheques batting waspishly stilbestrol
43	828	equalled sandwiching bewitchment cheaters
879	878	sodality outcrop slipcases phenylketonuria grunts venturers valiantly unremorsefully extradites
1548	2213	admiralties bewigged playgoers cheques batting waspishly stilbestrol
357	921	satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
703	2216	heliocentricity excretions recelebrating dually
32	2217	kerneling napoleons rifer splinting surmisers
598	964	transcribed swifters redigesting ostinato recalculation safest
925	2230	stilbestrol villainousness miscalling firefanged skeins equalled
1097	1096	environs hulled preexamination oralogy tibetans
247	2235	arcadian acridities unrealistic substituting surges preheats loggias
1119	1118	funnyman commuted lachrymation floweret arcadian
647	1184	plateauing reoccupations embossers cerebrum gloves mohairs admiralties bewigged
1206	1205	surmisers satisfying undamped sharpers forbearer anesthetization undermentioned outflanking funnyman
485	1249	bewitchment cheaters riffled kerneling napoleons rifer
565	1252	pasturage thurifer teazle fringier
25	24	recelebrating dually plateauing reoccupations embossers
873	1263	extradites stollens ponderers conditione loathly cancels debiting
388	1279	prs bluejays cuppier nonsurgical skimpiest outpoured dissociated heartier
537	536	scrapped prat islanded burlily thanklessly swiveled
1302	1301	skeins equalled sandwiching bewitchment
1145	1308	exorcises pirog desexes summable heliocentricity excretions recelebrating dually plateauing
1267	1319	surges preheats loggias reconciliating photocatalyst
913	1351	cuppier nonsurgical skimpiest outpoured dissociated heartier petitionee brill
716	1367	preheats loggias reconciliating photocatalyst lenity tautological jambing sodality
260	259	desexes summable heliocentricity excretions recelebrating dually plateauing
543	1390	exec junketeers isolators reducing
319	1406	batting waspishly stilbestrol villainousness miscalling
417	1421	plateauing reoccupations embossers cerebrum gloves
440	439	prat islanded burlily thanklessly swiveled polers oinked
835	1471	brill neologic intermuscular fobbed transcribed
747	1474	overbites terminals giros podgy vagus kinkiest
624	1487	reaccepts gunneries exorcises pirog desexes summable
521	520	toto teashop reaccepts gunneries exorcises pirog
11	1521	summable heliocentricity excretions recelebrating dually plateauing
1342	1530	playgoers cheques batting waspishly stilbestrol villainousness miscalling
1002	1540	riffled kerneling napoleons rifer splinting surmisers satisfying undamped
47	1569	extradites stollens ponderers conditione loathly cancels debiting
157	693	excretions recelebrating dually plateauing
745	744	gloves mohairs admiralties bewigged playgoers cheques batting waspishly
599	1609	nonfiction retrogressions eliminates unknowns
1440	1627	skeins equalled sandwiching bewitchment cheaters riffled kerneling napoleons rifer
1137	1636	sharpers forbearer anesthetization undermentioned
900	1657	surges preheats loggias reconciliating photocatalyst
347	1709	grunts venturers valiantly unremorsefully
175	1710	cancels debiting parrots paraguayans resonates overbites terminals giros
65	1723	brill neologic intermuscular fobbed transcribed
346	919	photocatalyst lenity tautological jambing sodality
188	1733	malines cliffhanger entailments reindexed bedstraws thoughtless
610	1741	neurosurgeon innervated hunts barrens emanative blowpipe varies
1537	1743	rifer splinting surmisers satisfying undamped
503	1786	cheques batting waspishly stilbestrol villainousness miscalling firefanged skeins
186	1036	batting waspishly stilbestrol villainousness miscalling
122	1801	effulgences coreless tuberculoses environs
113	1812	anesthetization undermentioned outflanking funnyman
616	1814	manifestly decaffeinates scalepan folklorists attractive yeller cognizably reminds
1790	1831	reconciliating photocatalyst lenity tautological jambing sodality outcrop slipcases
460	1857	rifer splinting surmisers satisfying undamped sharpers forbearer anesthetization
826	1881	skeins equalled sandwiching bewitchment cheaters
1736	1886	bounden occulters blubberer amenities desecrated tetrachlorides loutish
351	1888	venturers valiantly unremorsefully extradites stollens ponderers
1242	1241	dumpers bering evasiveness toto
\.



COPY passive_conference_partics (id) FROM stdin;
5
8
23
33
41
89
92
105
109
117
120
126
131
134
135
141
145
191
209
222
236
248
289
313
327
339
359
366
403
421
429
451
454
514
530
535
555
580
588
597
634
638
652
677
686
697
713
740
753
756
765
770
783
800
805
810
831
841
885
890
946
961
967
974
1005
1010
1044
1049
1054
1057
1077
1090
1092
1120
1162
1168
1186
1196
1203
1209
1226
1232
1237
1248
1282
1289
1298
1310
1318
1346
1363
1370
1378
1403
1425
1433
1441
1449
1458
1464
1500
1526
1538
1591
1629
1644
1654
1662
1665
1675
1693
1732
1744
1762
1763
1807
1826
1850
1863
1866
1893
1904
1944
1978
2011
2022
2073
2077
2088
2098
2102
2111
2150
2164
2173
2189
2199
2223
2233
2245
2253
2259
2264
\.



COPY person_conference_document (pid, cid) FROM stdin;
3	0
3	600
5	0
6	0
6	1653
8	9
10	11
10	12
10	13
14	15
21	16
21	538
21	539
22	16
22	382
22	452
22	538
22	731
23	16
23	381
23	452
23	538
23	671
23	1052
28	26
28	119
28	178
28	705
28	2172
33	31
33	1276
33	1711
33	1740
34	35
34	36
37	38
41	39
41	55
41	815
41	873
44	42
44	443
48	46
48	1669
48	1911
51	52
51	53
56	54
56	766
56	819
57	58
57	59
62	63
66	64
66	423
71	67
71	253
71	260
71	939
71	1214
71	1215
73	67
73	939
73	1948
73	2036
74	75
79	32
79	78
79	665
82	80
82	1431
85	83
85	226
85	537
89	83
89	537
89	1810
89	2106
92	90
92	462
92	604
92	843
92	981
92	982
93	94
93	95
98	96
98	396
98	853
98	1660
98	1919
101	99
103	102
103	227
103	228
103	229
104	102
104	229
104	305
104	505
105	102
105	229
105	304
105	895
105	896
109	110
109	111
109	112
117	27
117	115
117	319
117	710
117	1129
117	2136
120	118
120	156
120	157
120	253
120	1213
120	2028
121	122
125	123
126	127
126	128
131	129
131	133
131	152
131	153
131	154
134	132
134	562
134	1021
134	2013
135	136
135	137
135	138
135	139
141	455
141	933
141	1113
141	2141
141	2212
142	503
142	521
142	633
142	1339
142	1340
143	577
143	1840
144	1397
144	1483
145	146
145	147
145	148
145	149
155	116
155	156
155	157
158	113
158	159
164	161
164	739
165	161
168	161
171	169
171	247
171	716
171	824
171	1111
172	173
176	174
176	884
176	1739
180	179
180	569
180	570
181	179
181	569
181	1450
181	1941
181	2240
182	179
182	569
182	647
182	648
187	188
191	189
191	457
191	458
191	459
191	460
198	194
198	1935
199	194
200	194
203	201
203	502
203	604
203	691
203	969
203	1632
206	204
206	628
209	208
209	466
209	467
209	468
213	208
213	467
213	532
214	215
214	216
214	217
222	218
222	995
223	218
223	302
230	231
230	232
236	233
238	233
238	611
239	240
243	244
243	245
248	170
248	246
248	1522
251	252
254	72
254	253
254	260
254	531
254	1215
254	2027
261	202
261	262
261	263
261	264
261	265
261	266
269	267
270	271
270	272
270	273
276	274
276	450
276	553
276	925
279	277
279	383
279	1767
282	283
282	284
289	11
289	12
289	287
289	1587
289	1846
290	9
293	291
294	291
296	291
300	298
303	301
303	549
303	550
303	551
309	306
309	485
309	938
309	1593
309	1792
310	306
310	826
310	938
310	2055
312	306
312	622
312	938
312	1598
313	43
313	315
313	316
313	318
313	319
313	320
321	322
321	323
321	324
327	325
327	521
327	633
327	1157
327	1222
327	2215
331	330
331	397
331	808
331	842
331	1106
334	332
334	1159
338	335
338	721
338	1091
339	335
339	471
339	721
339	1705
339	1830
341	335
341	721
344	342
345	346
345	347
345	348
345	349
352	350
355	113
355	353
355	935
355	1266
355	1267
358	356
358	575
358	689
358	1989
358	2238
359	360
363	364
366	365
366	605
366	1012
366	1563
366	2107
368	119
368	367
368	658
368	932
368	1302
372	367
372	658
373	265
373	374
373	375
378	376
379	380
386	384
389	387
392	390
399	397
399	808
399	1381
400	91
400	397
400	808
400	839
400	1778
403	404
403	405
403	406
403	407
403	408
403	409
412	65
412	410
415	190
415	413
415	1891
416	326
416	417
420	351
421	133
421	422
424	423
427	423
429	430
429	431
434	432
434	645
434	930
436	432
436	614
436	930
438	351
438	432
438	930
438	1972
441	329
442	43
442	316
442	2234
444	43
444	316
446	265
446	447
446	448
451	275
451	449
451	601
451	1626
451	2229
454	193
454	452
454	822
454	1115
454	2197
454	2263
465	463
465	1622
465	1661
473	404
473	407
473	408
473	469
473	1157
473	1706
474	469
474	1384
474	1706
474	2116
477	475
477	524
477	583
477	929
477	1588
480	478
480	1245
481	195
482	483
486	484
486	776
487	61
489	488
489	1820
489	2123
491	488
491	900
491	931
491	1119
491	1806
494	464
494	495
494	496
497	498
499	483
506	504
506	1344
507	508
509	464
509	496
509	511
509	512
514	513
514	2160
515	513
515	918
517	250
517	513
523	476
523	522
525	288
525	476
525	522
525	624
525	929
525	1588
530	493
530	528
530	830
530	924
530	1119
535	25
535	533
535	701
535	702
535	703
535	704
542	543
545	544
548	546
552	275
552	553
555	554
555	861
555	1557
555	1558
555	1559
556	554
556	861
556	1393
558	554
558	861
558	1649
563	561
563	1808
564	565
568	529
568	566
568	1140
568	1756
573	257
573	571
573	1395
576	575
576	689
576	1389
578	457
578	460
578	575
578	689
580	581
580	582
580	583
584	108
584	2032
585	617
585	1268
585	1749
585	2017
588	586
588	629
588	1187
589	9
594	592
594	1635
597	592
597	965
597	2167
631	630
634	404
634	419
634	632
634	1200
634	1242
634	1968
635	84
635	669
635	1078
638	628
638	636
641	639
642	643
642	644
642	645
651	430
651	649
651	934
651	1079
652	649
652	934
652	2049
652	2052
655	656
655	657
662	663
666	59
666	607
666	664
666	1235
666	1634
672	669
672	916
672	1856
673	151
673	669
673	674
673	1225
673	1855
675	151
675	394
675	674
675	942
675	943
677	151
677	674
677	1443
677	1842
677	2151
685	186
685	601
685	681
685	1206
685	1548
685	1918
686	601
686	681
686	1175
686	1306
686	1548
686	1549
688	440
688	687
688	1116
688	1145
688	1927
692	202
692	262
692	690
692	1897
697	694
697	788
699	396
699	694
699	853
699	1994
700	694
700	776
700	926
700	1418
707	27
707	178
707	319
707	705
707	1129
709	178
709	322
709	705
709	773
709	1017
709	1730
712	711
712	1236
713	299
713	714
717	715
717	1079
718	559
718	719
722	340
722	720
722	1570
723	81
723	617
723	957
724	617
724	1014
724	1375
724	2228
727	613
728	729
734	95
734	136
734	139
734	1671
737	736
740	611
743	388
746	495
746	747
746	748
753	745
753	751
753	796
753	858
753	859
755	754
756	91
756	401
756	757
759	758
760	761
760	762
765	550
765	678
765	764
765	916
765	1686
765	1856
770	708
770	769
770	1018
770	1796
772	322
772	769
772	1018
775	776
775	777
775	778
775	779
780	2
782	295
783	391
783	591
783	653
783	784
783	785
789	166
792	790
794	795
799	797
800	605
800	732
800	797
800	2086
800	2149
801	797
801	1670
803	336
803	1505
803	1552
805	65
805	804
810	50
810	811
810	812
810	813
810	814
816	55
816	815
817	55
817	77
817	815
823	821
823	1721
827	275
827	825
831	829
831	1422
831	1790
833	832
833	2242
834	598
834	835
836	116
836	932
836	1302
836	2078
836	2079
841	398
841	839
841	1778
841	1930
841	2188
844	385
849	47
849	430
849	928
849	1405
850	851
852	329
855	50
855	396
855	609
855	846
855	853
862	557
862	587
862	860
862	877
862	1355
862	1393
863	864
867	479
867	2254
869	479
869	1245
870	479
870	1316
874	872
875	541
882	750
882	880
883	750
883	880
883	1747
885	750
885	880
885	1251
886	887
890	621
891	621
893	621
899	900
901	902
905	302
905	903
905	1407
908	457
908	460
908	906
908	1124
908	2121
910	385
914	912
917	915
917	1889
920	205
922	565
923	237
941	20
941	940
944	628
946	50
946	947
948	308
948	622
948	1543
948	1597
948	1598
951	100
951	949
953	305
956	81
956	957
959	958
959	2175
960	615
961	962
963	170
963	716
967	232
967	966
968	691
968	969
968	970
973	971
973	1691
974	612
974	971
974	1348
974	1529
974	1694
977	971
977	1637
978	979
980	110
980	111
980	962
983	716
983	984
987	202
987	262
987	604
987	691
987	969
989	990
989	991
992	637
993	994
996	997
998	999
1003	357
1003	1001
1003	1345
1005	433
1005	614
1005	1153
1005	1173
1008	227
1008	1344
1009	227
1009	1388
1010	255
1010	369
1010	660
1010	932
1010	1214
1010	1302
1013	913
1019	133
1019	612
1019	879
1019	937
1019	1159
1023	879
1023	937
1023	2018
1026	1024
1027	377
1028	61
1030	608
1033	608
1033	1236
1035	1034
1038	1037
1039	1037
1041	1037
1041	2209
1044	30
1044	215
1044	217
1044	1554
1046	215
1046	217
1046	1156
1049	505
1049	952
1053	281
1054	623
1057	124
1058	124
1059	124
1062	1061
1067	913
1067	1068
1070	1069
1071	1069
1075	81
1075	726
1075	957
1075	1069
1077	242
1077	1076
1077	1504
1077	2156
1080	462
1080	982
1080	1081
1083	1082
1087	913
1088	63
1090	1089
1090	1157
1090	1742
1092	609
1092	854
1092	2112
1095	362
1100	529
1100	830
1100	924
1101	529
1101	1482
1103	1102
1103	1713
1105	210
1105	1104
1105	1393
1107	894
1107	1108
1112	591
1112	1110
1112	1349
1112	1502
1112	1638
1114	440
1114	583
1114	933
1114	1113
1114	1145
1120	119
1120	370
1120	659
1122	1123
1122	1124
1127	347
1127	1126
1127	1746
1127	1965
1128	27
1128	838
1128	1129
1131	414
1131	936
1131	1704
1131	2004
1131	2125
1132	357
1132	414
1132	936
1132	1307
1132	1497
1132	1871
1133	190
1133	414
1133	501
1133	936
1133	1094
1133	1900
1135	100
1135	1136
1138	640
1138	1139
1141	333
1141	830
1141	924
1141	1602
1143	440
1143	1144
1143	1145
1146	606
1148	1147
1151	643
1151	644
1151	1147
1152	1147
1154	904
1154	1155
1160	220
1162	1161
1164	1161
1165	1161
1168	1169
1170	205
1176	907
1176	1002
1176	1124
1178	1179
1181	1180
1182	1183
1186	943
1186	1185
1186	2171
1189	1031
1189	1188
1191	1188
1194	562
1196	1195
1196	1207
1196	1264
1198	326
1198	417
1198	521
1198	633
1198	1195
1203	645
1204	1167
1209	950
1210	1211
1218	1216
1218	1358
1219	1216
1221	543
1223	916
1223	1687
1223	1856
1226	70
1226	572
1226	1227
1226	1228
1226	1229
1232	25
1232	1230
1232	1818
1237	1236
1243	619
1243	1025
1246	411
1248	626
1248	1247
1248	1596
1250	1192
1253	1254
1256	53
1256	1255
1257	534
1257	702
1257	703
1257	1342
1258	211
1258	532
1258	702
1258	703
1258	2019
1262	347
1262	1201
1262	1261
1262	1648
1265	541
1271	1097
1271	1272
1274	1273
1274	1334
1277	32
1277	59
1277	607
1277	665
1277	896
1278	698
1278	1137
1282	374
1282	375
1282	988
1282	1409
1283	547
1285	1284
1286	596
1289	1245
1290	667
1291	1292
1294	950
1295	950
1297	1296
1298	288
1298	527
1298	1906
1300	1299
1304	11
1304	12
1304	768
1310	1309
1314	1309
1315	1309
1318	622
1318	695
1318	1137
1318	1317
1318	2191
1320	534
1320	1260
1320	1342
1320	1415
1320	1416
1321	534
1321	1342
1321	1531
1324	419
1324	1197
1324	1242
1327	1325
1328	1325
1328	1832
1330	127
1330	1325
1331	1332
1337	1334
1338	1334
1343	1323
1343	1341
1346	907
1346	1002
1346	1990
1346	2140
1350	15
1352	407
1352	408
1352	1353
1354	25
1354	587
1354	629
1354	877
1354	1231
1354	1819
1357	846
1359	235
1361	1360
1363	627
1363	1362
1363	1768
1363	2134
1364	623
1369	1368
1370	625
1374	625
1377	551
1377	1376
1378	896
1378	1379
1382	1383
1387	1386
1391	1006
1391	1012
1392	1329
1394	572
1394	1228
1396	572
1396	1228
1396	1468
1399	100
1401	1400
1403	1119
1403	1402
1404	1190
1408	911
1411	1410
1413	1414
1425	643
1425	644
1425	1623
1426	752
1426	1064
1426	1440
1427	745
1427	752
1427	796
1427	1440
1427	1704
1429	752
1429	1066
1429	1440
1429	1603
1429	1879
1433	747
1433	748
1433	1432
1434	1074
1434	1435
1434	1436
1438	1437
1438	2053
1441	1430
1441	1439
1441	1704
1445	550
1445	551
1445	894
1448	40
1448	1447
1448	1621
1449	184
1449	288
1449	647
1449	648
1449	1928
1449	1929
1451	647
1451	648
1451	1505
1451	1907
1451	2170
1453	868
1454	1455
1456	605
1456	935
1456	1012
1456	1267
1458	495
1459	127
1459	219
1459	302
1460	627
1460	1048
1460	1681
1460	1682
1461	1040
1463	1169
1463	1462
1464	106
1464	607
1464	1050
1464	1344
1464	1688
1466	619
1470	260
1470	1215
1470	1469
1473	1472
1475	1231
1475	1819
1479	1478
1481	1480
1481	1496
1481	2108
1485	1484
1486	1372
1488	1490
1488	1491
1488	1492
1493	498
1494	599
1494	1495
1499	357
1499	1496
1499	2108
1500	1130
1500	1496
1500	1864
1500	2001
1500	2108
1503	242
1503	1504
1503	1505
1506	391
1506	847
1509	1508
1509	1722
1509	1923
1509	1924
1510	1508
1510	2120
1511	812
1511	813
1511	1508
1515	1514
1515	1980
1516	193
1516	822
1518	1517
1519	1520
1523	247
1523	591
1523	1111
1523	1502
1525	247
1525	1111
1525	1689
1525	1898
1526	620
1527	1528
1532	343
1538	826
1538	1536
1539	820
1539	1970
1545	553
1545	1594
1550	1551
1555	30
1555	278
1555	627
1555	927
1562	935
1562	1267
1562	2035
1565	1564
1568	1567
1568	1711
1572	1571
1576	1575
1578	676
1578	1577
1581	1582
1583	1
1584	1585
1589	1015
1591	307
1591	1590
1591	2008
1592	485
1592	1590
1599	88
1599	226
1599	382
1599	453
1599	731
1599	1600
1604	95
1604	735
1604	2043
1604	2044
1608	1607
1610	1556
1611	391
1614	1613
1615	866
1615	1616
1618	603
1618	1097
1619	40
1619	464
1619	496
1619	873
1625	614
1625	1624
1625	1646
1625	1647
1628	889
1629	1214
1629	1672
1629	1949
1631	185
1631	2097
1639	152
1639	154
1639	972
1639	1637
1642	1643
1644	787
1644	926
1644	1418
1644	2009
1651	1650
1654	600
1655	1656
1658	122
1659	97
1659	1660
1662	30
1665	205
1667	47
1667	175
1667	928
1667	1882
1668	47
1668	286
1668	626
1668	928
1668	1288
1673	1674
1675	1094
1675	1676
1675	1677
1678	343
1679	343
1685	19
1685	382
1685	731
1685	943
1685	1270
1692	130
1692	152
1692	154
1692	1689
1693	1689
1693	1726
1695	1696
1698	620
1699	620
1702	1701
1707	791
1707	1708
1715	1711
1716	567
1716	1717
1718	650
1718	1079
1718	1719
1718	1720
1724	1574
1725	197
1728	130
1729	292
1732	354
1732	1560
1732	1731
1734	426
1737	1735
1744	1156
1750	216
1752	216
1755	771
1755	1754
1759	1758
1762	286
1762	1761
1763	411
1765	268
1765	1166
1769	278
1769	927
1771	1635
1771	1714
1772	593
1772	812
1772	813
1772	1635
1773	1774
1775	547
1779	606
1780	1781
1782	1783
1787	148
1787	1788
1791	904
1791	1155
1794	599
1794	1793
1795	1150
1799	1798
1800	1838
1803	1804
1807	866
1807	1805
1807	2061
1807	2062
1815	503
1815	1281
1815	1420
1821	931
1821	1806
1821	1932
1822	490
1822	567
1822	931
1822	1806
1822	1869
1824	1825
1826	61
1829	603
1829	1827
1835	1833
1836	1833
1837	1833
1844	1845
1849	667
1850	667
1852	1747
1854	1747
1859	616
1860	1546
1860	2256
1863	63
1866	97
1866	857
1866	1865
1866	2127
1868	394
1868	942
1870	587
1870	877
1870	1477
1870	2147
1873	602
1875	791
1877	1312
1878	498
1884	122
1884	1883
1887	1423
1887	2072
1893	36
1893	1894
1899	1467
1901	419
1901	503
1901	1242
1903	1551
1904	362
1908	1828
1909	1828
1914	360
1915	360
1926	1925
1926	2014
1933	435
1933	1171
1937	606
1938	543
1939	640
1942	1335
1944	1918
1944	1943
1944	2118
1945	1946
1951	1950
1952	425
1954	1444
1954	1953
1954	2155
1957	148
1959	362
1963	1962
1963	1969
1964	1847
1967	346
1967	348
1977	1973
1978	1973
1982	768
1982	929
1982	1303
1982	1588
1982	2190
1982	2260
1984	637
1985	1697
1987	1045
1987	2065
1993	1992
1996	798
1997	1137
1999	462
1999	982
2003	501
2003	1900
2005	1895
2005	1960
2006	97
2006	2128
2010	1239
2011	75
2015	268
2015	1839
2022	450
2022	682
2022	925
2022	2021
2023	299
2023	1976
2024	1974
2030	450
2030	826
2030	925
2030	1537
2034	2033
2038	36
2038	1169
2039	175
2040	742
2041	1913
2042	77
2045	602
2047	602
2051	624
2051	1983
2051	2050
2057	1542
2057	1598
2058	167
2060	113
2060	354
2066	2067
2068	1663
2071	835
2071	2070
2073	1025
2077	377
2081	268
2083	2082
2088	613
2089	1073
2091	618
2094	333
2094	1790
2098	1366
2100	2101
2102	873
2104	562
2104	2075
2105	610
2110	1874
2111	615
2113	2114
2117	1371
2124	15
2129	2095
2130	1220
2131	519
2132	1502
2132	1641
2135	77
2138	2137
2139	1921
2142	681
2142	1177
2142	1548
2143	2144
2145	193
2145	822
2145	2214
2146	975
2148	610
2150	250
2152	281
2153	281
2158	2159
2161	329
2164	904
2164	1155
2164	1535
2166	2165
2168	2169
2173	349
2174	1862
2176	2177
2179	65
2185	186
2185	1206
2185	2184
2185	2187
2189	53
2193	1098
2194	618
2195	483
2198	1498
2198	2181
2199	612
2199	1020
2199	1159
2199	2093
2199	2200
2202	156
2202	157
2202	1785
2204	603
2204	1311
2206	2205
2207	232
2208	299
2208	1736
2210	388
2211	567
2211	866
2218	598
2219	1916
2222	2221
2223	835
2224	615
2226	2225
2227	2048
2231	1513
2232	1288
2233	1097
2236	618
2239	1240
2241	2054
2243	512
2244	892
2245	1605
2245	1671
2246	175
2248	2249
2250	1043
2251	565
2252	1753
2253	52
2255	388
2257	1055
2258	599
2258	1366
2259	610
2262	1736
2262	2261
2264	1736
2265	616
2266	518
2268	616
2269	1537
2273	188
2276	684
2276	1955
\.



COPY persons (id, first_name, last_name, gender) FROM stdin;
2268	Christelle	Garced	f
441	Clementine	Barga	m
1849	Liebetraud	Kiddy	m
296	Avniel	Debiase	m
2105	Momus	Rivadeneira	f
1532	Pazia	Comnick	f
1873	Noburo	Charleton	m
62	Fovro	Chung	f
743	Rebeca	Aday	f
1779	Feli	Trainham	f
1327	Amalia	Krajcik	m
1028	Dele	Galla	m
1038	Iulia	Morra	f
214	Hagibis	Kihn	m
290	Yves	Hunsucker	m
1315	Gabriele	Darsey	f
1146	ra	Jansons	m
1837	Zeanes	Hinsley	m
1071	Graud	Shuker	m
2045	Freda	Freimuth	m
1170	Yakamochi	Alonza	m
1658	Jake	Bober	m
494	Rico	Boronat	m
1151	Cady	Schweizer	m
497	Faqueza	Correll	f
2251	Plakida	Gothe	f
1915	Adamanta	Schlitt	m
1750	Stacie	Ciesielski	f
2153	Marisa	Roufs	m
2124	Hedda	Yoshida	f
1679	Clariee	Martucci	m
2195	Janny	Mccaine	f
1852	Kobe	Guttirez	f
852	Giselher	Nibler	f
1221	Marce	Fiscalini	f
1059	Liselotte	Groleau	f
2246	Favio	Mutherspaw	m
294	Benita	Hatzenbuehler	m
199	Marna	Crookshanks	f
1294	Mirra	Tygart	m
1394	Egor	Braue	m
1909	Aurelian	Fealy	m
891	Oles	Sumaran	m
420	Jermaine	Mandahl	m
1959	Shontaya	Klitzner	f
293	Lauranne	Brwon	m
2273	Analeigh	Sebring	m
1957	Chantrelle	Gruiger	m
875	Xylina	Mcnicoll	f
1357	Shoichi	Mathey	m
2210	Avigdor	Puglia	m
200	Dodie	Tedford	f
2208	Aleece	Thorn	m
1243	Abdul	Spicer	m
910	Waliyya	Dandrea	f
1903	Sadahige	Taglialatela	f
3	Flora	Aveni	f
2258	Jared	Torgersen	f
1752	Shandee	Finnicum	m
1330	Cecil	Kochler	f
1374	Cipriana	Wadzinski	m
869	Winand	Poulton	m
2039	Gayle	Wingrove	m
427	Castalia	Ryser	m
1659	Mukhtaar	Grewe	m
444	Honami	Docherty	f
920	Llwyr	Fagerstrom	m
1592	Martino	Nommay	m
1399	Okichi	Spradlin	f
2003	Tsumemasa	Lloyd	f
187	Pieter	Frend	m
2161	Razan	Symons	m
517	Tuhfa	Pedez	f
2081	Emese	Abadie	m
2094	Zufar	Pestoni	f
1728	Amora	Ockmond	f
1984	AbdulBaasid	Chilvers	m
1914	Sela	Funnye	f
1835	Lonce	Jiron	f
552	Radha	Sloan	f
1033	Namiko	Leval	m
2224	Matteo	Mestre	f
2232	Aedd	Lurye	m
2211	Editta	Servoss	m
1999	Doppo	Kieser	m
238	Ajanta	Mischel	m
482	Ayushmati	Appelgren	f
1165	Nene	Rhea	f
899	Julien	Triveno	m
1364	Bhadra	Whidden	m
816	Tanja	Lockmiller	m
165	Jeanine	Garoner	f
2269	Saalim	Velasquez	m
799	Shaunene	Libera	f
1550	Majdiyya	Bonsall	m
1699	Ovidio	Bostrom	m
1290	Sameera	Beazley	f
1997	Nia	Drakes	m
2236	Ilsegret	Akerley	m
882	Ran	Rubendall	f
2148	Ramonda	Tripplett	f
487	Junichi	Hagele	m
844	AbdulHaadi	Castellan	m
1868	Lone	Pavese	f
523	Shaka	Enget	f
922	Mimi	Stremmel	f
834	Stopolcha	Starowicz	f
1058	Apelino	Reeber	m
1493	Meena	Riegel	m
2042	Finn	Carboneau	m
1283	Lilly	Rissanen	m
223	Fahroni	Anglea	m
2265	Aeacus	Veloz	m
2047	Vilena	Orillion	f
74	Zeenab	Lasane	f
1246	Julika	Smar	f
977	Fedyenka	Terrasi	m
2266	Hita	Porell	f
2227	Alon	Paulik	f
2068	Timotheos	Cazaree	f
251	Tasia	Ellenburg	f
172	Bernharda	Riese	f
1565	Emily	Mileski	f
1926	Coireall	Shelor	f
2166	LaReina	Iqbal	f
1844	Parma	Borgese	f
1628	Tamah	Misemer	f
1993	Dandrae	Dorne	f
2129	Melker	Kayastha	f
1877	Goncalo	Gahm	m
993	Shijo	Mccullon	m
996	Rodell	Sonnefeld	m
1382	Aonghas	Pashley	f
125	Vasuki	Riech	m
1518	Cadell	Parral	f
82	Hesperos	Schindele	m
1485	Ariela	Harpine	m
2176	Lamesha	Neher	f
1182	Matro	Newell	m
176	Adriaan	Belter	m
389	Paco	Filary	f
1952	Kotaro	Leitheiser	f
243	Elvera	Zito	f
1773	Ashakiran	Bingley	f
2168	Wolfhild	Torros	f
2257	Apela	Brewton	f
718	Breana	Scheffler	m
2131	Raffaello	Herard	m
1300	Husain	Coaxum	f
392	Gengyo	Cumbass	m
886	Ekantika	Bisogno	m
641	Triesha	Carland	f
794	Faas	Chitty	f
269	Kemina	Wyke	f
1387	Bruno	Barthe	m
863	Lowell	Kostka	f
631	Alala	Cilento	f
722	Loreliese	Aspri	f
1253	Anissa	Sciarretta	f
989	Radosha	Ferioli	f
662	Agamemnon	Bouras	m
1610	Yuka	Heikes	f
1945	Becca	Curney	m
2117	Traci	Erazmus	f
780	Arno	Barquera	f
728	Crysta	Mateen	f
1576	Gerke	Ostermeyer	m
2083	Gerik	Ferries	f
548	Amba	Guidos	f
1583	Wilhelm	Juart	f
1996	Naazil	Buchannan	m
2110	Florentyna	Cost	f
352	Materia	Newsum	m
1734	Garrett	Blair	f
1737	Ingetrud	Balezentis	f
1434	Pascale	Skripko	f
1515	Elan	Malloch	m
1291	Leonarda	Imai	f
1589	Ludovica	Diekmann	f
2100	Ariana	Berardinelli	f
1083	Feofana	Knudsen	f
2231	Sharisha	Gebhart	m
2244	Fjodora	Sleger	m
563	Jokin	Hytros	m
1343	Angel	Delcarmen	f
1527	Jennie	Schatzel	f
101	Asisa	Finke	f
2222	Zytka	Skeete	m
2040	Pete	Salada	f
2250	Ryo	Zanders	f
1780	Berakhiah	Province	m
874	Aracely	Kuka	m
782	Harumi	Valenza	m
2143	Hellmut	Tousant	f
37	Kywrkh	Tomaino	m
1725	Isadoro	Bently	m
1724	Uliaanitsa	Samul	m
2146	Terao	Asley	f
941	Satoru	Beaumont	f
1401	Inayat	Deignan	m
1987	Dores	Hugi	m
2024	Abderus	Boston	m
239	Krystyn	Slutsky	f
850	Severin	Buzard	m
1062	Aishwarya	Hallmon	f
2066	Phoolan	Mackie	m
978	Twain	Sannon	m
1584	Vychan	Stotz	m
545	Kazuhiko	Campas	f
465	Kiuprila	Inscore	m
1860	Masakazu	Lisko	m
2130	Lyron	Strawder	m
386	Abbie	Manjarres	f
1899	Ivonne	Elreda	f
1361	ris	Kotter	m
1581	Teodoro	Coyt	m
1964	Mita	Schwering	m
1887	Aetos	Bitar	f
1963	Kaspar	Reierson	f
2034	Holda	Dible	f
507	Tetsui	Zekria	f
2058	Tekusa	Houlberg	f
1759	Vrata	Socks	f
1479	Newa	Sabina	f
1578	Angha	Bievenue	m
363	Irmgard	Accala	m
1608	Ora	Poleyestewa	f
1486	Zotico	Cerrano	m
1297	Lashaune	Lava	f
282	Sadayoshi	Englemann	f
1795	Sibylla	Reas	m
279	Zarek	Laasaga	f
1271	Nessa	Thomison	m
1762	Flaco	Reyome	m
1716	Sam	Mattheis	m
334	Edmonda	Ditullio	m
2204	Frangiskos	Truly	m
506	Takako	Nordine	m
2264	Sherry	Mullennix	m
2088	Sajag	Traunfeld	f
740	Gisselle	Teigen	f
412	Yoriko	Boot	f
1454	Shizu	Capener	f
1800	Xiomara	Plowe	f
2104	Brys	Robak	m
1794	Krystal	Farria	m
2132	Reiko	Castile	f
2139	Galni	Mclarty	f
1135	Dewayne	Buttermore	m
1787	Cherry	Dolence	m
1662	Bhavin	Primavera	m
1829	Este	Manon	m
1122	Calida	Starace	m
1054	Annunziata	Ravi	f
57	Jonam	Steinle	f
2259	Tsuruki	Hazelrigg	f
1673	Kaveri	Zombro	f
1744	Tamiko	Docken	f
1654	Saer	Dillenbeck	f
983	Haimo	Huesso	m
1256	Miloushka	Pezez	f
480	Dayu	Vient	m
1057	Marlene	Dague	f
1771	JamAan	Kine	f
1223	Helene	Nik	m
2233	Bennet	Melendes	f
1101	Iravati	Pizzolato	f
973	Luitfriede	Westmark	f
951	Gerakna	Ryneer	m
2098	Matashichi	Butman	f
1506	Loris	Elder	f
2111	Vrotsislava	Bouman	m
1377	Korechika	Mamer	f
1391	Iasion	Kirt	f
1463	Caryn	Grudzinski	m
1289	Natasia	Sliter	m
486	Sigurd	Mahli	m
1009	Krosa	Kuney	f
1615	Eshita	Whitby	f
2223	Alka	Groshek	m
1209	Rhea	Platas	f
1904	Janita	Bolieu	f
827	Kim	Colombe	f
1675	Dymas	Houskeeper	m
230	Cyril	Croslen	f
2262	Lili	Atoe	f
1665	Primavera	Huffstickler	m
576	Lottchen	Pillitteri	f
2015	Tera	Vigen	m
2011	Iken	Siluis	f
2189	Urako	Staker	m
666	Deverell	Anez	f
1568	Yae	Timblin	f
1370	Vonda	Jasmine	f
1826	Fajyaz	Mutana	f
1067	Muni	Mccuiston	m
1274	Odysseus	Dilthey	m
1510	Liska	Lambourne	f
359	Barbi	Denery	m
870	Radoste	Hoefling	m
1850	Honey	Eidinger	m
1884	Katreen	Osthoff	f
1494	Shesha	Humbird	m
2071	Immanuel	Bugos	m
1822	Jazmine	Susman	m
597	Teriuihi	Lachner	m
5	Breonia	Gierling	m
1105	Miles	Manero	m
717	Solymar	Palisbo	f
8	Amir	Conkling	f
1310	Chesell	Vatter	m
515	Misty	Holladay	m
1049	Nolan	Brownle	f
2006	Nana	Stania	f
1203	Yumiko	Ginther	m
1763	Myshka	Krishnamurthy	m
2057	Nisus	Coby	m
759	Latorray	Delawder	f
1863	Eber	Ebinger	m
206	Che	Kess	m
1458	Toyoaki	Richoux	f
164	Daris	Astley	m
66	Huaning	Zwolski	f
34	Duron	Dibella	f
1346	Lloyd	Stallsmith	m
276	Giovanna	Douthit	m
1328	Tatsukichi	Gerstenberger	m
867	Asami	Sellek	m
712	Ayla	Moncrief	f
236	Gerald	Fieselman	m
300	Patrizio	Iliffe	f
2077	Garca	Diers	f
2102	Gerlind	Boomershine	f
1526	Bozena	Tilly	m
1324	Erminia	Damrell	f
1168	Kea	Croshaw	f
198	Zanthe	Felarca	m
56	Raimund	Widdowson	f
2022	Effie	Menzie	m
1978	Muna	Lastovica	m
1237	Walto	Messman	f
1765	Brenda	Varley	f
1278	Aristomnis	Dauber	f
961	Jakoba	Bueche	f
1545	Aida	Appelt	f
1162	Luca	Dolbin	f
2253	Clmentine	Engellant	f
93	Jamaall	Rohen	f
1041	Evi	Heidebrecht	f
2173	Oryan	Mirles	m
890	Hortense	Ganotisi	f
998	Cenon	Colon	f
2150	Yukako	Klingbeil	m
1210	Libera	Ahlborn	m
2089	Teana	Stallworth	m
1519	Leopoldina	Alvey	m
1729	Emmanoul	Gianunzio	m
1392	Ashley	Kesselring	f
901	Hilmiyya	Pagon	m
2174	Sebina	Prakoth	m
1103	Izazkun	Suleski	f
1942	Estrelle	Wedgworth	m
1782	Natascha	Neverson	f
737	Maksimina	Pecinousky	m
1286	Hoitsu	Mccahill	f
2248	Kerstine	Finders	m
44	Hilario	Kovats	m
1250	Clarinda	Oberg	m
2041	Lubachitsa	Husch	m
2239	Korotskovaia	Stowell	m
1181	Swidbert	Repka	m
1824	Dunja	Luchenbill	m
1655	Ieshia	Demarrais	m
2219	Juichi	Porep	m
1985	Otylia	Lowdermilk	f
1035	Salmoneus	Duncans	f
1285	Guiletta	Rosek	m
344	Jafar	Abbenante	f
1411	Thanaa	Bustos	f
917	Shiko	Seagroves	f
2198	Bruna	Nervis	m
1413	Cicely	Genna	m
1933	Ladinka	Ehiginator	m
1369	Alfonso	Billen	m
2226	Yayang	Kuczenski	m
481	Burkhard	Hussein	m
1453	Korotsek	Baltzell	f
1799	Baucis	Campese	m
1866	Colombe	Bermea	m
2073	Janeka	Hochhalter	f
1321	Erechtheus	Muschick	f
801	Lucile	Homola	f
2023	Maeko	Kontogiannis	m
10	Barsha	Murrain	m
109	Dirthe	Kiewiet	m
126	Martina	Mcclary	f
135	Atsumichi	Licano	m
145	Houke	Luthe	f
131	Tatiiana	Sublett	m
155	Khadija	Lagerquist	m
158	Eskil	Littledave	m
103	Maysak	Anetsberger	m
261	Loke	Tuton	m
313	Adrien	Hoit	f
321	Richild	Brinius	f
345	Fikriyya	Siddiq	f
373	Lecia	Baumeister	m
403	Ernestine	Barkan	m
421	Malcolm	Voelz	f
429	Latrice	Ghrist	m
446	Anbessa	Gulde	f
191	Anthony	Row	f
209	Arcadia	Granade	f
509	Bodil	Korinta	f
21	Melisa	Patriarco	m
303	Trina	Sjerven	f
180	Solange	Alson	f
580	Heidelore	Ruschmann	f
642	Juro	Scogin	f
182	Gulika	Alipio	f
578	Blossom	Quero	f
535	Gustel	Pitek	m
713	Kinaana	Kodera	m
746	Jedrick	Relacion	m
756	Notburg	Towber	m
775	Hidemichi	Tropp	f
783	Lucretia	Ferndez	m
810	Tyonna	Sturdevant	f
753	Gratia	Flach	m
105	Eileen	Heick	m
675	Phaethon	Gearon	f
946	Daniel	Harriston	m
968	Letizia	Madaras	f
980	Maxime	Higgs	m
92	Lexi	Faulk	m
222	Akina	Jang	m
697	Oleka	Tommasino	f
1080	Taliyah	Jafari	m
338	Taaliba	Debrita	f
331	Kellie	Frenner	m
1107	Dorel	Brandt	m
1128	Evamarie	Coraham	m
1138	Iha	Em	m
1143	Gia	Stonesifer	m
1046	Paloma	Schnall	m
707	Takehide	Gauna	m
71	Bia	Klemme	m
1226	Shaakira	Ricklefs	f
530	Shontal	Sehnert	f
1196	Maureo	Benedict	f
355	Uleia	Mineah	m
142	Olzhbeta	Hasenberg	m
1352	Toku	Synowiec	f
1378	Ernst	Bengtson	m
862	Jenna	Ovit	m
849	Carli	Maggert	f
905	Juriaan	Schremp	f
1282	Hilary	Braddy	f
1320	Cathy	Phebus	m
1459	Pilib	Seu	f
1396	Jace	Ruotolo	m
1488	Dijana	Murfin	f
1503	Rufio	Guitard	f
1511	Kallie	Bednarek	f
686	Toyoko	Colden	f
1005	Reece	Raburn	m
555	Elif	Gameros	m
1198	Jelawat	Balletta	m
1470	Lilja	Siwiec	m
1257	Anzhela	Venturelli	m
805	Trillare	Stukel	f
1248	Faith	Neeld	f
948	Alyss	Wuitschick	m
1599	Lane	Portes	f
1141	Naglaya	Tantillo	m
1189	Argus	Bierwirth	f
1425	Deelon	Sephton	m
1625	Francoise	Rioux	f
1262	Kakuei	Blanford	f
1460	Graziana	Callabrass	f
1464	Brittani	Gasman	f
1707	Iudita	Altew	m
1718	Conchetta	Cater	f
967	Fedoritsa	Stinner	f
1075	Uchdryd	Locicero	m
1668	Adelio	Zahner	f
33	Galyn	Stobie	m
831	Michizane	Krips	f
1112	Ineng	Alkbsh	m
309	Mikio	Brunston	m
558	Casswallawn	Scheiblich	m
23	Booker	Spiker	f
289	Shinji	Kapler	f
709	Einian	Frascella	m
1772	Gizla	Nordmark	m
1132	Irminwin	Milloy	f
1429	Socorro	Mcsorley	m
144	Emina	Yeeloy	m
415	Bezubaia	Wiece	m
1893	Alwin	Roewe	f
1525	Soshu	Burress	f
803	Sander	Garriss	m
1901	Kuemon	Coatie	f
48	Sypovaia	Wegmann	m
1509	Koshiro	Augusto	f
765	Nik	Reposa	m
688	Octave	Diana	m
1449	Wava	Goubeaux	f
723	Pippo	Nascimento	m
1445	Prebrana	Kekiwi	f
1821	Lance	Fernandes	f
1441	Wira	Majette	m
1403	Shoko	Moel	m
634	Fedorav	Solich	m
1120	Charlette	Negron	m
525	Dena	Mcentire	f
312	Addison	Bovio	f
1732	Inez	Meeroff	m
1277	Mazcho	Stringer	f
1023	Seriozhenka	Homen	f
1258	Chasidy	Hoop	m
477	Argos	Cumings	f
1538	Akila	Terlizzi	m
120	Eligius	Vanwechel	f
2030	Prokop	Limage	f
73	Demont	Escalet	m
1604	Mora	Christofferse	m
734	Hanka	Henness	f
652	Tadao	Pentaris	m
885	Mamie	Howen	f
1807	Deke	Mirabelli	m
436	Sabina	Conde	m
836	Davida	Rho	m
987	Bibiane	Eddens	m
89	Miranda	Leinen	m
1591	Grite	Faddis	m
1003	Blanca	Ursery	f
1500	Flaca	Sodawasser	m
1092	Aleydis	Virgadamo	f
1944	Lucrecia	Rollings	f
104	Cornelius	Dolak	f
1499	Isha	Quave	m
908	Kristin	Sandhu	m
1044	Nonna	Laplaunt	m
1133	Dawn	Lauinger	f
677	Motoyasu	Calligy	m
1448	Katyushka	Gabriele	m
1481	Mikolas	Sirman	m
473	Timun	Silverstein	f
368	Gulielma	Arce	f
585	Tekla	Gallerani	f
1427	Boje	Ostrum	f
855	Kulthum	Liverance	f
98	Coby	Smaller	m
568	Latoya	Lovato	f
823	Raaid	Chrispen	m
1693	Cleveland	Navarez	f
800	Llyn	Hardge	f
41	Athindoros	Shurgot	m
1562	Mawar	Camfield	m
1426	Cassian	Cozzy	f
841	Caddock	Stagowski	f
1298	Torah	Giller	m
134	Demetria	Tramonti	f
2199	Valentina	Topia	f
1644	Cindi	Ginanni	f
2202	Madaleno	Bercier	m
1433	Hannele	Kneifl	m
1127	Yaineris	Francisco	m
699	Handy	Ratajczak	f
22	Yemena	Knebel	f
1639	Lotta	Francoise	f
556	Coch	Foulger	m
1186	Firdaus	Casavez	f
213	Joey	Yarboro	m
141	Uqbah	Oconnell	m
2145	Shahaama	Berum	m
327	Ofelia	Golde	m
1815	Riddhi	Colesar	m
1077	Safiyya	Letchaw	f
700	Dorinda	Cuchiara	m
399	Makhna	Stabile	m
2164	Mya	Swilley	f
1692	Gota	Dorff	m
438	Aspasa	Abaunza	m
692	Tarran	Pointer	m
143	Karita	Sukovich	f
451	Erik	Strothmann	f
358	Gavriella	Sasson	m
1456	Augusto	Kempson	f
672	Araceli	Ertel	f
339	Gorshedna	Marone	m
6	Hypnos	Blank	m
171	Dondrea	Crocco	m
1218	Marek	Mancino	f
181	Tydeus	Dyckman	m
1619	Fokina	Poythress	m
489	Bhoomika	Secord	f
1232	Agpios	Bia	m
310	Garon	Tischler	m
1176	Lisandro	Harpst	f
474	Oka	Prock	f
2051	Guido	Genier	m
1090	Igone	Rader	f
651	Podolphe	Fluitt	f
491	Strezislava	Weingard	m
772	Sozui	Jalovel	f
1629	Dewi	Rappleyea	m
1982	Gennadi	Schanck	f
1354	Juri	Guzik	m
514	Barbie	Dubonnet	f
1685	Dama	Leino	m
584	Vseslava	Szollosi	f
454	Alexandros	Lagazo	f
254	Inejiro	Javens	m
28	Kit	Storrs	m
1870	Aandranee	Sakamaki	m
673	Dianmu	Aver	f
635	Vasilista	Hamic	f
1114	Luzia	Rahib	f
1523	Jurgisr	Arkins	m
1131	Patroklus	Hertel	m
1555	Yoyon	Lecroy	m
770	Warona	Pelligrino	f
117	Tienne	Segraves	f
1451	Ieshige	Kosinski	m
2185	Shaqeeqa	Levra	m
79	Chikafusa	Koolman	f
974	Karina	Eggington	m
638	Roseann	Ora	f
685	LeVaughan	Laity	f
1363	Sanaaa	Yoneda	f
724	Silvester	Yelvington	m
1318	Tramaine	Scruton	m
1667	Vladlena	Tlumacki	f
2142	Chebi	Selking	f
248	Juanisha	Seppi	m
400	Waatiq	Perico	f
203	Angela	Hager	m
588	Atsumori	Bloyer	f
1304	Diana	Gulbranson	m
2245	Leonora	Peli	m
442	Datja	Carner	m
366	Hasnaa	Sietsema	f
1010	Alona	Lucario	f
1100	Nazarova	Abundis	m
883	Tango	Constable	f
1836	Xuqiu	Deller	m
1053	Aberthol	Wilczak	m
956	Toshimichi	Speth	m
2194	Imelde	Ballin	f
424	Everardo	Yidiaris	f
2091	Guiseppa	Thurstonson	m
168	Adolfa	Leuthauser	f
1938	Janah	Moryl	f
2255	Evgnios	Feasel	m
1095	Gerharde	Heidtbrink	f
564	Raktavira	Danforth	m
1154	Sharise	Heagy	f
1350	Torokanova	Kosloski	f
1087	Herberta	Fullenwider	m
1164	Maela	Chamley	f
1878	Jada	Grech	m
2135	Javier	Hausauer	f
893	Rosamar	Wish	m
960	Cloelia	Shein	f
1698	Aseel	Waddups	f
1148	Kyledyr	Constantino	f
817	Gil	Holben	m
1859	Detana	Trautz	f
434	Vasyklo	Netz	m
499	Gigi	Barfuss	m
1338	Rosalinde	Leinbach	m
121	Leonel	Meche	m
1008	Masafumi	Gipson	f
1875	Anwar	Katayama	m
1013	Glafira	Geng	m
1678	Madelynn	Hoehn	m
1791	Caden	Failing	f
944	Khynika	Borwig	m
1039	Patrido	Sielaff	f
1337	Fanaila	Torain	m
589	Carevel	Tardif	m
1265	Petros	Josefy	f
1070	Gwalchmei	Halbert	f
727	Evdxios	Fageraes	m
1618	Constantino	Thielen	f
1191	Ulia	Kaines	f
2218	Cellina	Schlosser	f
2038	Baptist	Schubert	m
1295	Inocente	Arntzen	m
85	Eupeithes	Bevens	m
1019	Kiraanna	Scherping	m
1219	Takuboku	Aicklen	m
14	Ruwaid	Solian	f
1088	Nomi	Rosato	f
1030	Lacrasha	Slavick	m
372	Claudios	Lemmert	m
1314	Ksniatintsa	Fuchser	f
1516	Mitsuo	Neff	f
2179	Dukinea	Zmijewski	f
1769	Kiyoemon	Wesby	m
2243	Fabiana	Demase	m
1027	Stolpolcha	Shigemi	m
1715	Salamon	Julien	m
2152	Mudri	Gamero	m
1475	Salaah	Elio	f
341	Dmitreeva	Ellsbury	m
1611	Marulia	Bondura	f
594	Vyshia	Waldall	m
2060	Zumruda	Fishman	f
2207	Yoshida	Volo	m
1194	Tarrant	Alsbrooks	f
963	Lippio	Llopis	f
1967	Dyllan	Mairs	m
51	Casandra	Shire	m
1775	Mercede	Naslund	f
992	Donald	Ludlow	f
542	Jascha	Plantier	f
953	Volotkoveia	Klees	f
1908	Tahlia	Francisque	f
1854	YolandaAbigail	Insogna	m
1466	Danaus	Dacanay	m
1152	Kerry	Navarrate	f
1937	Ceanna	Vangoff	m
416	Jaen	Kerechanko	f
1939	Utathya	Kreig	f
1977	Querida	Kreatsoulas	f
379	Angelica	Maccarter	m
2252	Ehud	Bazzle	f
2276	Clarine	Waynick	f
1642	Muzammil	Mutter	f
755	Eberhardine	Hazim	f
760	Tashiya	Marrable	m
1178	Hortencia	Brenda	m
959	Lene	Vosquez	m
1539	Benignus	Diec	f
1803	Liebtraud	Schorsch	m
1651	Bernhareda	Mcclenny	f
2113	Gyoergy	Rakoci	m
1204	Enya	Coll	f
2193	Jamie	Berrie	m
2158	Lex	Hoven	f
1404	Adwr	Liiv	f
923	Oscar	Formica	f
1631	Vedetta	Pilkins	f
1572	Nandin	Uribazo	m
1461	Sophronia	Peakes	m
1408	Krispin	Macnamee	m
1695	Alonza	Galyan	f
1438	Sasson	Kniffin	m
792	Seinosuke	Grimaldi	m
833	Kazushige	Goeppner	m
1359	Delmara	Mrazek	m
789	Luithilde	Brandolino	m
2241	Cato	Himmelwright	f
1702	NewyddIlyn	Borchers	f
1614	Virgilio	Englander	m
914	Jamuna	Orts	f
1755	Kantha	Lybert	f
2010	Saahir	Muto	f
1954	Kozue	Efthimiou	f
655	Bailee	Chabolla	f
378	Daya	Luhr	f
1951	Iselle	Churches	f
1026	Elvis	Rocasah	f
2206	Pantyslawa	Pemble	f
573	Sebastiano	Lockyer	m
2005	Faatin	Bonn	f
1331	Bussho	Oda	m
1160	Edmondo	Rommelfanger	m
2138	Sanya	Parma	f
1473	Eijiro	Majied	f
270	Elli	Asner	m
\.



COPY posters (id, abstract) FROM stdin;
\.



COPY presentations (id, given, abstract) FROM stdin;
\.



COPY program_committees (id, was_program_committee) FROM stdin;
140	18
314	470
1000	163
1489	7
160	86
317	69
510	256
\.



COPY publishers (id, name) FROM stdin;
\.



COPY registeered_applicants (id) FROM stdin;
\.



COPY regular_authors (id) FROM stdin;
3
5
6
8
10
14
21
22
23
28
33
34
41
51
57
62
66
71
73
74
79
85
89
92
93
98
103
104
105
109
117
120
121
126
131
134
135
141
142
145
155
158
164
165
168
171
180
181
182
187
191
198
199
200
203
206
209
213
214
222
223
230
236
238
248
254
261
276
289
290
293
294
296
303
309
310
312
313
321
327
331
334
338
339
341
345
355
358
359
366
368
372
373
399
400
403
412
415
416
420
421
424
427
429
434
436
438
441
442
444
446
451
454
473
474
477
480
482
486
487
489
491
494
497
499
506
509
514
515
517
523
525
530
535
542
552
555
556
558
564
568
576
578
580
585
588
589
594
597
634
635
638
642
651
652
666
672
673
675
677
685
686
688
692
697
699
700
707
709
712
713
717
723
724
727
734
740
743
746
753
756
765
770
772
775
783
799
800
801
803
805
810
816
817
827
831
834
836
841
844
849
852
855
862
867
869
870
875
882
883
885
890
891
893
899
905
908
910
920
922
944
946
948
951
953
956
960
961
963
967
968
973
974
977
980
983
987
992
1003
1005
1008
1009
1010
1013
1019
1023
1027
1028
1030
1033
1038
1039
1041
1044
1046
1049
1053
1054
1057
1058
1059
1067
1070
1071
1075
1077
1080
1087
1088
1090
1092
1095
1100
1101
1105
1107
1112
1114
1120
1122
1127
1128
1131
1132
1133
1135
1138
1141
1143
1146
1148
1151
1152
1154
1162
1164
1165
1168
1170
1176
1186
1189
1191
1194
1196
1198
1203
1209
1218
1219
1221
1223
1226
1232
1237
1243
1246
1248
1256
1257
1258
1262
1265
1271
1274
1277
1278
1282
1283
1289
1290
1294
1295
1298
1304
1310
1314
1315
1318
1320
1321
1324
1327
1328
1330
1337
1338
1346
1350
1352
1354
1357
1363
1364
1370
1374
1377
1378
1391
1394
1396
1399
1403
1425
1426
1427
1429
1433
1441
1445
1448
1449
1451
1456
1458
1459
1460
1463
1464
1466
1470
1475
1481
1493
1494
1499
1500
1503
1506
1509
1510
1511
1516
1523
1525
1526
1532
1538
1545
1550
1555
1562
1568
1591
1592
1599
1604
1611
1615
1618
1619
1625
1629
1639
1644
1654
1658
1659
1662
1665
1667
1668
1675
1678
1679
1685
1692
1693
1698
1699
1707
1715
1716
1718
1728
1732
1744
1750
1752
1762
1763
1765
1769
1771
1772
1775
1779
1787
1791
1794
1807
1815
1821
1822
1826
1829
1835
1836
1837
1849
1850
1852
1854
1859
1863
1866
1868
1870
1873
1875
1878
1884
1893
1901
1903
1904
1908
1909
1914
1915
1937
1938
1939
1944
1957
1959
1967
1977
1978
1982
1984
1997
1999
2003
2006
2011
2015
2022
2023
2030
2038
2039
2042
2045
2047
2051
2057
2060
2071
2073
2077
2081
2088
2091
2094
2098
2102
2104
2105
2111
2124
2132
2135
2142
2145
2148
2150
2152
2153
2161
2164
2173
2179
2185
2189
2194
2195
2199
2202
2204
2207
2208
2210
2211
2218
2223
2224
2232
2233
2236
2243
2245
2246
2251
2253
2255
2258
2259
2262
2264
2265
2268
2269
2273
\.



COPY regular_contributions (id) FROM stdin;
0
4
9
11
12
15
16
17
24
25
27
29
30
32
36
40
43
45
47
49
50
52
53
55
59
60
61
63
65
67
68
75
76
77
81
83
87
91
95
97
100
102
107
110
111
113
114
116
119
122
124
127
130
133
136
139
148
150
151
152
154
156
157
161
162
170
175
177
178
179
183
186
188
190
192
193
194
196
202
205
207
208
212
215
216
217
218
221
225
226
227
229
232
233
234
241
242
247
249
250
253
258
259
260
262
265
268
275
278
280
281
285
286
288
291
297
299
302
305
306
311
316
319
322
326
328
329
333
335
337
343
346
347
348
349
351
354
357
360
361
362
367
371
374
375
377
382
385
388
391
393
394
395
396
397
402
404
407
408
411
414
417
418
419
423
428
430
432
437
439
440
445
450
452
456
457
460
461
462
464
467
469
472
476
479
483
485
488
492
495
496
498
500
501
503
505
512
513
516
520
521
522
526
529
532
534
536
537
538
540
541
543
547
550
551
553
554
560
562
565
567
569
572
574
575
579
583
587
590
591
592
595
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
633
637
640
643
644
645
646
647
648
649
654
658
661
665
667
668
669
670
674
679
680
681
683
689
691
693
694
696
702
703
705
706
716
721
725
730
731
733
738
741
744
745
747
748
749
750
752
763
767
768
769
774
776
781
786
791
793
796
797
802
806
807
808
812
813
815
818
822
826
828
830
835
837
839
840
845
846
848
853
856
861
865
866
871
873
876
877
878
879
880
881
888
894
896
897
898
900
904
907
909
913
916
919
921
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
942
943
945
950
954
955
957
962
964
969
971
976
982
985
986
1002
1004
1007
1011
1012
1016
1018
1022
1025
1029
1032
1036
1037
1042
1047
1051
1056
1060
1063
1065
1069
1072
1079
1085
1086
1093
1094
1096
1097
1099
1109
1111
1113
1117
1118
1119
1124
1125
1129
1134
1137
1142
1145
1147
1149
1155
1156
1157
1158
1159
1161
1163
1169
1172
1174
1184
1188
1193
1195
1199
1202
1205
1206
1208
1212
1214
1215
1216
1217
1224
1228
1231
1233
1234
1236
1238
1241
1242
1244
1245
1249
1252
1259
1263
1267
1269
1275
1279
1280
1287
1288
1293
1301
1302
1305
1308
1309
1313
1319
1322
1325
1326
1334
1336
1342
1344
1347
1351
1356
1365
1366
1367
1373
1380
1385
1390
1393
1398
1406
1412
1417
1418
1419
1421
1424
1428
1440
1442
1446
1452
1457
1465
1471
1474
1476
1487
1496
1501
1502
1504
1505
1507
1508
1512
1521
1524
1530
1533
1534
1537
1540
1541
1544
1547
1548
1551
1553
1561
1566
1569
1573
1579
1580
1586
1588
1590
1595
1598
1601
1606
1609
1612
1620
1627
1630
1633
1635
1636
1637
1640
1645
1652
1657
1660
1664
1666
1671
1680
1683
1684
1689
1690
1700
1703
1704
1706
1709
1710
1711
1712
1723
1727
1733
1736
1738
1741
1743
1745
1747
1748
1751
1757
1760
1764
1766
1770
1776
1777
1778
1784
1786
1789
1790
1797
1801
1802
1806
1809
1811
1812
1814
1816
1817
1819
1823
1828
1831
1833
1834
1841
1848
1851
1853
1856
1857
1858
1861
1867
1872
1876
1880
1881
1885
1886
1888
1890
1892
1896
1900
1902
1905
1910
1912
1917
1918
1920
1922
1931
1934
1936
1940
1947
1956
1961
1966
1971
1973
1975
1979
1981
1986
1988
1995
2000
2002
2007
2012
2016
2020
2025
2026
2029
2031
2037
2046
2056
2059
2064
2069
2074
2076
2080
2084
2085
2087
2090
2092
2096
2099
2103
2108
2109
2115
2119
2122
2126
2133
2154
2157
2162
2163
2178
2180
2182
2192
2196
2201
2213
2216
2217
2220
2230
2235
2237
2247
\.



COPY rejected_contributions (id) FROM stdin;
\.



COPY review_expertises (id, expertise, submitted_contribut) FROM stdin;
\.



COPY review_preferences (id, belongs_to_review_refer, degree, topic_or_submissi) FROM stdin;
\.



COPY reviewed_contributions (id) FROM stdin;
0
9
11
12
15
16
25
27
30
32
36
40
43
47
50
52
53
55
59
61
63
65
67
75
77
81
83
91
95
97
100
102
110
111
113
116
119
122
124
127
130
133
136
139
148
151
152
154
156
157
161
170
175
178
179
186
188
190
193
194
202
205
208
215
216
217
218
226
227
229
232
233
242
247
250
253
260
262
265
268
275
278
281
286
288
291
299
302
305
306
316
319
322
326
329
333
335
343
346
347
348
349
351
354
357
360
362
367
374
375
377
382
385
388
391
394
396
397
404
407
408
411
414
417
419
423
430
432
440
450
452
457
460
462
464
467
469
476
479
483
485
488
495
496
498
501
503
505
512
513
521
522
529
532
534
537
538
541
543
547
550
551
553
554
562
565
567
569
572
575
583
587
591
592
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
633
637
640
643
644
645
647
648
649
658
665
667
669
674
681
689
691
694
702
703
705
716
721
731
745
747
748
750
752
768
769
776
791
796
797
808
812
813
815
822
826
830
835
839
846
853
861
866
873
877
879
880
894
896
900
904
907
913
916
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
942
943
950
957
962
969
971
982
1002
1012
1018
1025
1037
1069
1079
1094
1097
1111
1113
1119
1124
1129
1137
1145
1147
1155
1156
1157
1159
1161
1169
1188
1195
1206
1214
1215
1216
1228
1231
1236
1242
1245
1267
1288
1302
1309
1325
1334
1342
1344
1366
1393
1418
1440
1496
1502
1504
1505
1508
1537
1548
1551
1588
1590
1598
1635
1637
1660
1671
1689
1704
1706
1711
1736
1747
1778
1790
1806
1819
1828
1833
1856
1900
1918
1973
2108
\.



COPY reviewer_reviewer (reviewer1, reviewer2) FROM stdin;
\.



COPY reviewers (id) FROM stdin;
6
10
21
23
28
33
34
37
41
44
48
56
57
66
73
79
82
89
92
93
98
101
103
105
109
117
120
125
126
131
134
135
141
142
143
144
145
158
164
171
172
176
180
181
191
198
203
206
209
222
230
239
243
248
251
254
261
269
270
276
279
282
289
300
303
309
310
313
321
327
331
334
338
339
344
352
355
358
363
366
378
379
386
389
392
399
403
412
415
421
429
438
442
446
451
454
465
474
477
480
481
486
489
506
507
509
514
515
530
535
545
548
555
558
563
568
573
576
580
584
585
588
597
631
634
635
638
641
652
655
662
666
673
677
686
688
692
697
699
709
712
713
717
718
722
724
728
737
753
755
756
759
760
765
770
775
780
782
783
789
792
794
800
801
803
805
810
823
827
831
833
836
841
849
850
862
863
867
870
874
885
886
901
905
908
914
917
923
941
946
948
951
959
967
968
973
974
978
983
989
993
996
998
1003
1005
1009
1010
1023
1026
1035
1041
1044
1049
1062
1067
1075
1077
1080
1083
1090
1092
1101
1103
1105
1107
1112
1120
1122
1127
1128
1131
1132
1135
1138
1141
1143
1160
1178
1181
1182
1186
1189
1196
1204
1210
1218
1223
1226
1232
1248
1250
1253
1256
1258
1262
1271
1274
1278
1282
1285
1286
1291
1297
1298
1300
1318
1320
1321
1324
1328
1331
1343
1346
1352
1359
1361
1363
1369
1377
1378
1382
1387
1391
1392
1396
1401
1403
1404
1408
1411
1413
1425
1426
1429
1433
1434
1438
1441
1448
1449
1451
1453
1454
1459
1460
1461
1463
1464
1470
1473
1479
1481
1485
1486
1488
1494
1500
1506
1509
1510
1515
1518
1519
1525
1527
1538
1539
1545
1562
1565
1568
1572
1576
1578
1581
1583
1584
1589
1591
1599
1604
1608
1610
1614
1615
1625
1628
1629
1631
1639
1642
1644
1651
1655
1667
1673
1675
1685
1693
1695
1702
1707
1716
1718
1724
1725
1729
1732
1734
1737
1755
1759
1762
1765
1771
1772
1773
1780
1782
1787
1794
1795
1799
1800
1803
1807
1815
1821
1822
1824
1829
1844
1860
1866
1870
1877
1884
1887
1893
1899
1926
1933
1942
1944
1945
1951
1952
1954
1963
1964
1982
1985
1987
1993
1996
2005
2006
2010
2015
2022
2023
2024
2034
2040
2041
2051
2057
2058
2066
2068
2071
2083
2089
2100
2104
2110
2113
2117
2129
2130
2131
2132
2138
2139
2142
2143
2145
2146
2158
2164
2166
2168
2174
2176
2185
2193
2198
2199
2202
2204
2206
2219
2222
2226
2227
2231
2239
2241
2244
2245
2248
2250
2252
2257
2262
2266
2276
\.



COPY reviews (id, reviews, detailed_comments) FROM stdin;
710	705	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
711	608	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
715	716	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
720	721	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
732	136	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
736	645	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
751	752	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
754	616	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
758	329	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
764	151	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
766	512	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
790	791	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
320	796	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
804	15	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
821	822	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
824	591	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
825	826	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
829	830	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
832	156	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
838	116	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
854	853	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
860	861	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
872	873	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
656	880	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
549	894	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
364	541	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
903	904	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
906	907	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
912	913	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
915	916	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
237	233	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
940	538	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
308	306	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
949	950	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
958	419	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
266	604	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
965	812	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
966	281	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
858	319	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1001	1002	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
660	658	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1017	1018	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1024	1025	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1031	608	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1034	606	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1048	215	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1050	505	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1052	731	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
468	702	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
283	11	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1061	483	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1076	648	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1078	537	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1082	362	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1089	408	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1102	607	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1104	467	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1110	1111	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
153	612	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
370	367	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1126	346	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
264	375	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1068	619	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1123	148	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
902	1137	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
539	669	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1091	1157	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
995	127	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
220	218	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
979	835	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1180	866	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
295	291	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1185	942	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1187	877	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1197	1195	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1213	932	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1222	404	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1230	1231	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1235	32	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
511	40	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
323	43	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1247	47	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1251	626	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1255	52	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
577	575	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1260	702	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1261	644	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1268	81	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1270	538	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1273	100	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
994	97	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1284	232	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1296	170	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
527	522	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
20	16	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1299	175	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1306	186	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1307	190	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1317	926	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1329	1325	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
814	609	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1341	1342	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1345	907	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1348	154	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1349	247	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1358	268	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1360	275	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1362	278	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1368	628	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
788	776	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1375	110	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1376	302	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1381	265	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1384	408	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1386	343	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1388	354	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1389	357	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1006	227	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1400	615	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1402	900	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
843	839	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
911	385	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
984	391	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1410	122	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2	0	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
26	27	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
31	32	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
39	40	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
42	43	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
46	47	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
54	55	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
64	65	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
72	67	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
78	59	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
80	81	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
84	83	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
90	91	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
96	97	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
99	100	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
94	113	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
115	116	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
118	119	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
123	124	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
129	130	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
132	133	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
169	170	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
174	175	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
149	186	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
189	190	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
201	202	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
204	205	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
246	247	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
267	268	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
274	275	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
277	278	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
287	288	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
298	299	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
301	302	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
304	305	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
325	326	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
330	265	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
332	333	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
336	335	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
342	343	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
350	351	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
353	354	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
356	357	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
365	227	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
376	377	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
381	382	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
383	30	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
384	385	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
387	388	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
390	391	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
252	122	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
398	397	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
410	411	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
413	414	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
433	432	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
449	450	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
463	464	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
409	469	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
475	476	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
478	479	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
484	485	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
502	503	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
504	505	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
528	529	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
531	532	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
533	534	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
544	77	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
546	547	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
559	554	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
561	562	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
566	567	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
571	572	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
173	53	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
586	587	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
240	250	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
630	543	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
632	633	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
636	637	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
639	640	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
664	665	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
231	667	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
687	226	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
690	691	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
698	694	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1994	846	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1946	599	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
593	592	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
448	982	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2001	1094	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1574	623	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2004	1900	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1898	1502	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
785	430	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2008	938	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
2009	622	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2013	879	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2014	152	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1431	957	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
2021	1537	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1669	928	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
819	815	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1272	603	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2027	939	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1593	1590	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1200	1195	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2033	613	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2035	1012	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1740	896	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1656	188	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
798	797	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1543	553	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1825	602	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1697	620	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2049	1079	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1014	962	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2050	1588	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2061	931	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1623	347	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1549	1206	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
773	769	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1774	1169	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1491	748	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1415	1393	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
184	179	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2070	598	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1713	1711	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1597	938	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1558	25	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1616	1119	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2082	61	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2018	1159	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
784	934	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1066	322	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2086	1671	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2036	260	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1073	1069	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
972	971	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1638	1637	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2095	498	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
406	1706	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
380	495	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1166	1161	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
981	1778	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
244	193	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1021	937	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
2107	1267	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1383	1736	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1622	496	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2116	407	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1923	1660	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2120	1660	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2114	618	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
228	1344	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1339	1242	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1691	1689	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2123	931	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1405	1288	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1646	495	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2125	501	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
2128	50	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1220	1216	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1115	1113	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1749	216	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1528	75	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2136	178	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2137	1245	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2140	460	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1040	1037	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1171	930	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
2141	440	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1177	1124	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1303	12	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2147	1819	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
2149	139	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1455	565	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1602	1790	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
211	208	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1582	1156	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
112	617	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
13	288	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
508	286	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1335	1334	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2156	647	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1889	1856	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1839	1833	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
582	1145	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2112	396	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1407	1155	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2165	1366	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1891	936	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
257	253	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1281	374	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
106	102	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1190	1188	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2170	242	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2171	394	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2172	1129	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
195	194	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1153	1147	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
443	316	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1862	63	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2028	1302	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1444	550	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
761	1504	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1968	521	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1136	1551	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1239	1236	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1264	417	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1871	2108	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2181	2108	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1397	1228	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
490	488	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1969	462	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
2097	569	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
570	768	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2184	1548	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
426	423	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1371	625	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
678	674	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
2118	681	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1921	9	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2190	624	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
167	161	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2191	1418	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
315	745	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
701	629	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
657	750	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1895	969	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1563	935	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
2197	933	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1498	1496	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
726	617	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1965	348	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1647	747	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1585	603	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2079	157	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2205	599	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1312	1309	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
596	592	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
757	808	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1974	1973	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1792	622	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1990	457	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
2200	879	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
2167	813	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
137	605	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1949	1215	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1420	375	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1422	924	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1432	614	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1437	450	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1439	1440	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1447	464	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1450	648	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
868	479	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
970	503	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1462	36	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
947	846	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1468	1214	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1469	532	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1472	547	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1478	562	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1480	1094	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1482	567	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1483	572	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1484	623	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1179	53	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1211	1502	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
847	430	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1514	633	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1517	637	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
38	640	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1522	1111	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1529	152	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1536	1537	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
820	815	The paper "YSWC-2015" is mainly about YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1144	226	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1546	932	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1552	721	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1564	613	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1201	645	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
795	1012	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1567	896	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1571	616	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1575	512	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1577	151	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
997	620	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1	0	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
431	1079	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1587	1588	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1015	962	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1603	796	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1607	15	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
147	1206	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1613	1169	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1624	748	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
245	822	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1626	826	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1140	830	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1229	1214	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
185	179	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1409	262	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1634	1635	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
778	926	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1649	25	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
719	861	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1650	61	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1661	873	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
422	1159	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1670	1671	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1672	260	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1074	1069	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1701	913	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1705	1706	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
235	233	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1167	1161	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1721	193	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1722	812	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1332	281	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1730	319	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1731	1267	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1735	1736	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1742	407	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1746	1747	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1754	1018	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1756	924	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1758	1025	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1676	501	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1761	1288	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1674	606	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1767	927	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
58	1635	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
864	1216	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1793	362	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1796	178	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1798	1245	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
581	440	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1805	1806	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1808	612	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1175	1124	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
369	367	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1818	1819	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1820	1806	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1827	1828	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1830	1157	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1832	127	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1643	835	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
292	291	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1840	689	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1842	942	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
405	1505	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
663	1747	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1292	1334	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1855	1856	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1570	404	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1864	936	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1845	1366	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1865	396	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1477	1231	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
255	253	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
263	374	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
735	136	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1882	626	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1883	52	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
459	575	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1423	644	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
990	1129	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1708	232	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
197	194	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
524	522	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1846	929	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
19	16	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1443	550	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1907	1504	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1414	1828	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1913	360	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1919	609	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
704	1342	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
458	689	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1925	154	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
493	488	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1395	1228	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
884	880	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1935	628	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
787	776	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1436	110	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1941	768	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1943	1548	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
128	1325	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1950	615	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
425	423	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1932	900	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1372	625	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
695	694	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1953	1155	The paper "XSWC-2014" is mainly about XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
842	839	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1227	939	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1928	624	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1962	982	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
273	348	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1972	614	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1560	935	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
859	1440	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1983	929	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1497	1496	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1045	215	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1992	36	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1682	217	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
653	649	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1596	928	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
466	703	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1594	1590	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1648	643	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
2017	957	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
519	513	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
729	349	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2214	583	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2209	598	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1916	360	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2221	188	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
159	797	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1542	553	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2225	551	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1632	262	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
455	452	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2144	347	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
771	769	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1688	229	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1554	627	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1677	1900	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1081	91	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1768	927	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1714	1711	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2228	111	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1531	1393	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2229	925	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
742	611	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2062	1119	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1513	1508	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
2159	1097	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2234	1704	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1064	322	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2048	602	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
851	618	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
975	971	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1641	1637	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
35	9	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2151	394	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1559	587	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1183	250	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
88	83	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
166	161	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1879	745	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1355	629	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1897	969	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2242	157	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1276	665	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1847	667	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2263	583	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2106	731	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1960	691	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
2187	681	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1311	1309	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1430	752	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2160	329	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1927	933	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1976	1973	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
70	67	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1783	1137	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1929	569	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
471	469	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1874	791	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
340	335	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1989	457	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1924	813	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1266	605	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1948	1215	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
650	649	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
2052	591	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
318	1704	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1557	877	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
2072	643	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
401	397	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
518	513	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
271	346	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1535	894	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1108	551	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1894	541	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2155	904	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
2177	610	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1225	916	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1416	703	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
453	452	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
307	306	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
2188	808	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
999	950	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
708	705	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1930	604	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1340	419	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
557	554	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2032	229	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1556	627	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1739	750	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2121	1002	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
435	432	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1435	111	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
659	658	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
739	611	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
811	1508	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1600	537	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
714	483	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2260	11	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
272	349	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2053	925	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
684	601	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
857	853	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
895	607	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2019	467	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1719	934	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1139	600	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2055	1598	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2065	217	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1467	619	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1955	148	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
671	669	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1686	943	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
889	621	In their paper 'SIGXYZ-2014' the authors discuss SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
138	95	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
146	1918	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
219	218	The paper "XSWC-2014" is mainly about XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1869	866	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1520	1097	In their paper 'ZSWC-2015' the authors discuss ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
682	601	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1106	1778	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1020	937	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
1621	496	The paper "YSWC-2015" is mainly about YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2240	647	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1653	600	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2054	1598	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1353	1505	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1254	1344	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1687	943	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2175	1242	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1694	1689	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
892	621	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
1605	95	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1788	1918	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2067	498	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2101	565	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1116	1113	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1753	216	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2249	610	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1316	75	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2254	388	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
2238	460	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
991	27	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1043	1037	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1173	930	The paper "YSWC-2014" is mainly about YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1970	55	The paper "YSWC-2014" is mainly about YSWC-2014.\nThough apparently a contribution of remarkable novelty, 'YSWC-2014' also has its weaknesses.
284	12	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1781	65	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThough apparently a contribution of remarkable novelty, 'SIGXYZ-2014' also has its weaknesses.
2256	1302	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
2127	50	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1379	59	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2212	1145	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2044	113	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1717	1790	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1785	119	The paper "ZSWC-2014" is mainly about ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
210	208	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1681	1156	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
1055	124	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
2075	133	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1726	130	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
1720	716	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
762	242	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
1838	1833	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
988	202	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1663	205	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1495	543	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
108	102	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1192	1188	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
2261	299	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
1911	286	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
952	305	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
779	1418	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1207	326	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
2093	333	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
2215	417	The paper "XSWC-2015" is mainly about XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1492	351	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
324	316	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1150	1147	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
2078	156	The paper "XSWC-2015" is mainly about XSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2015 in particular
2169	377	The paper "SIGXYZ-2014" is mainly about SIGXYZ-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight SIGXYZ-2014 in particular
918	63	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1810	382	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
887	30	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1980	521	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
1804	1551	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2015' also has its weaknesses.
1240	1236	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
447	462	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
1696	411	The paper "ZSWC-2015" is mainly about ZSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2015 in particular
1130	414	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2015 in particular
1490	747	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
2043	139	In their paper 'YSWC-2015' the authors discuss YSWC-2015.\nThough apparently a contribution of remarkable novelty, 'YSWC-2015' also has its weaknesses.
1906	476	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight XSWC-2014 in particular
777	485	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight ZSWC-2014 in particular
1098	529	In their paper 'XSWC-2015' the authors discuss XSWC-2015.\nThough apparently a contribution of remarkable novelty, 'XSWC-2015' also has its weaknesses.
1323	534	In their paper 'XSWC-2014' the authors discuss XSWC-2014.\nThough apparently a contribution of remarkable novelty, 'XSWC-2014' also has its weaknesses.
2134	77	In their paper 'ZSWC-2014' the authors discuss ZSWC-2014.\nThough apparently a contribution of remarkable novelty, 'ZSWC-2014' also has its weaknesses.
676	674	In their paper 'YSWC-2014' the authors discuss YSWC-2014.\nThis says about all about both its strong and weak suits.\nHowever, the reviewer would like to highlight YSWC-2014 in particular
\.



COPY steering_committees (id, was_steering_committee_) FROM stdin;
\.



COPY submitted_contributions (id) FROM stdin;
1828
932
450
942
133
1111
572
1155
626
1236
637
614
600
302
205
208
467
1418
916
1711
606
299
479
1195
613
1245
877
1366
1900
404
971
488
396
322
152
924
268
139
1124
27
904
495
612
367
61
1025
170
1325
649
1159
288
242
602
880
541
1551
731
464
1113
969
414
354
53
349
529
496
156
52
63
611
643
179
505
567
1344
587
190
619
419
326
1704
822
658
538
1590
452
603
1012
1215
846
937
1635
936
394
1689
423
1671
721
645
605
569
265
547
408
391
894
694
681
343
705
622
607
748
1188
1079
178
226
215
1214
1309
1129
752
928
512
375
1502
148
281
532
618
1157
813
1334
275
278
407
1094
91
202
665
110
15
501
866
1018
30
689
217
930
1778
161
927
583
935
362
83
617
1069
513
377
625
430
640
551
615
111
591
691
627
1588
797
382
1505
216
620
411
100
462
769
1288
67
432
0
1169
81
16
102
194
218
233
253
291
306
335
397
316
469
522
554
575
592
669
674
601
136
776
815
116
839
853
621
385
305
227
962
608
1037
124
830
1147
1161
1216
702
374
950
12
534
907
629
1228
644
550
648
1231
1496
1508
553
623
95
262
1637
926
943
130
633
896
119
1156
796
1806
1833
667
1747
791
1856
812
476
861
360
9
604
1504
348
1973
929
457
628
982
97
154
957
127
1918
939
40
229
36
1598
1393
938
934
333
498
59
562
1706
1660
931
55
50
77
75
151
193
250
286
329
1819
2108
750
483
768
933
609
232
808
43
879
1548
357
703
32
598
925
1097
247
1119
647
1206
485
565
25
873
388
537
1302
1145
1267
913
716
260
543
319
417
440
835
747
624
521
11
1342
1002
47
157
745
599
1440
1137
900
347
175
65
346
188
610
1537
503
186
122
113
616
1790
460
826
1736
351
1242
\.



COPY topic_tutorial (conference_part, topic) FROM stdin;
\.



COPY topics (id, name) FROM stdin;
\.



COPY track_workshop_chairs (id) FROM stdin;
\.



COPY tracks (id, tracks, track_workshop_tuto) FROM stdin;
\.



COPY tutorials (id, tutorials) FROM stdin;
\.



COPY websites (id, url) FROM stdin;
1991	http://YSWC-2015.tld
1998	http://ZSWC-2015.tld
2063	http://SIGXYZ-2014.tld
2270	http://XSWC-2015.tld
2271	http://XSWC-2014.tld
2272	http://YSWC-2014.tld
2274	http://ZSWC-2014.tld
\.



COPY workshops (id, track_workshop_tuto, workshops) FROM stdin;
\.



COPY written_contributions (id) FROM stdin;
0
4
9
11
12
15
16
17
24
25
27
29
30
32
36
40
43
45
47
49
50
52
53
55
59
60
61
63
65
67
68
75
76
77
81
83
87
91
95
97
100
102
107
110
111
113
114
116
119
122
124
127
130
133
136
139
148
150
151
152
154
156
157
161
162
170
175
177
178
179
183
186
188
190
192
193
194
196
202
205
207
208
212
215
216
217
218
221
225
226
227
229
232
233
234
241
242
247
249
250
253
258
259
260
262
265
268
275
278
280
281
285
286
288
291
297
299
302
305
306
311
316
319
322
326
328
329
333
335
337
343
346
347
348
349
351
354
357
360
361
362
367
371
374
375
377
382
385
388
391
393
394
395
396
397
402
404
407
408
411
414
417
418
419
423
428
430
432
437
439
440
445
450
452
456
457
460
461
462
464
467
469
472
476
479
483
485
488
492
495
496
498
500
501
503
505
512
513
516
520
521
522
526
529
532
534
536
537
538
540
541
543
547
550
551
553
554
560
562
565
567
569
572
574
575
579
583
587
590
591
592
595
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
633
637
640
643
644
645
646
647
648
649
654
658
661
665
667
668
669
670
674
679
680
681
683
689
691
693
694
696
702
703
705
706
716
721
725
730
731
733
738
741
744
745
747
748
749
750
752
763
767
768
769
774
776
781
786
791
793
796
797
802
806
807
808
812
813
815
818
822
826
828
830
835
837
839
840
845
846
848
853
856
861
865
866
871
873
876
877
878
879
880
881
888
894
896
897
898
900
904
907
909
913
916
919
921
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
942
943
945
950
954
955
957
962
964
969
971
976
982
985
986
1002
1004
1007
1011
1012
1016
1018
1022
1025
1029
1032
1036
1037
1042
1047
1051
1056
1060
1063
1065
1069
1072
1079
1085
1086
1093
1094
1096
1097
1099
1109
1111
1113
1117
1118
1119
1124
1125
1129
1134
1137
1142
1145
1147
1149
1155
1156
1157
1158
1159
1161
1163
1169
1172
1174
1184
1188
1193
1195
1199
1202
1205
1206
1208
1212
1214
1215
1216
1217
1224
1228
1231
1233
1234
1236
1238
1241
1242
1244
1245
1249
1252
1259
1263
1267
1269
1275
1279
1280
1287
1288
1293
1301
1302
1305
1308
1309
1313
1319
1322
1325
1326
1334
1336
1342
1344
1347
1351
1356
1365
1366
1367
1373
1380
1385
1390
1393
1398
1406
1412
1417
1418
1419
1421
1424
1428
1440
1442
1446
1452
1457
1465
1471
1474
1476
1487
1496
1501
1502
1504
1505
1507
1508
1512
1521
1524
1530
1533
1534
1537
1540
1541
1544
1547
1548
1551
1553
1561
1566
1569
1573
1579
1580
1586
1588
1590
1595
1598
1601
1606
1609
1612
1620
1627
1630
1633
1635
1636
1637
1640
1645
1652
1657
1660
1664
1666
1671
1680
1683
1684
1689
1690
1700
1703
1704
1706
1709
1710
1711
1712
1723
1727
1733
1736
1738
1741
1743
1745
1747
1748
1751
1757
1760
1764
1766
1770
1776
1777
1778
1784
1786
1789
1790
1797
1801
1802
1806
1809
1811
1812
1814
1816
1817
1819
1823
1828
1831
1833
1834
1841
1848
1851
1853
1856
1857
1858
1861
1867
1872
1876
1880
1881
1885
1886
1888
1890
1892
1896
1900
1902
1905
1910
1912
1917
1918
1920
1922
1931
1934
1936
1940
1947
1956
1961
1966
1971
1973
1975
1979
1981
1986
1988
1995
2000
2002
2007
2012
2016
2020
2025
2026
2029
2031
2037
2046
2056
2059
2064
2069
2074
2076
2080
2084
2085
2087
2090
2092
2096
2099
2103
2108
2109
2115
2119
2122
2126
2133
2154
2157
2162
2163
2178
2180
2182
2192
2196
2201
2213
2216
2217
2220
2230
2235
2237
2247
\.



ALTER TABLE ONLY abstracts
    ADD CONSTRAINT "AbstractPK" PRIMARY KEY (id);



ALTER TABLE ONLY accepted_contributions
    ADD CONSTRAINT "Accepted_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY active_conference_particis
    ADD CONSTRAINT "Active_conference_particiPK" PRIMARY KEY (id);



ALTER TABLE ONLY call_for_papers
    ADD CONSTRAINT "Call_for_paperPK" PRIMARY KEY (id);



ALTER TABLE ONLY call_for_participations
    ADD CONSTRAINT "Call_for_participationPK" PRIMARY KEY (id);



ALTER TABLE ONLY camera_ready_contributions
    ADD CONSTRAINT "Camera_ready_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY chairs
    ADD CONSTRAINT "ChairPK" PRIMARY KEY (id);



ALTER TABLE ONLY co_chairs
    ADD CONSTRAINT "Co-chairPK" PRIMARY KEY (id);



ALTER TABLE ONLY committees
    ADD CONSTRAINT "CommitteePK" PRIMARY KEY (id);



ALTER TABLE ONLY committee_members
    ADD CONSTRAINT "Committee_memberPK" PRIMARY KEY (id);



ALTER TABLE ONLY conferences
    ADD CONSTRAINT "ConferencePK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_announcements
    ADD CONSTRAINT "Conference_announcementPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_applicants
    ADD CONSTRAINT "Conference_applicantPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_contributions
    ADD CONSTRAINT "Conference_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_contributors
    ADD CONSTRAINT "Conference_contributorPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_documents
    ADD CONSTRAINT "Conference_documentPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_fees
    ADD CONSTRAINT "Conference_feesPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_parts
    ADD CONSTRAINT "Conference_partPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_participants
    ADD CONSTRAINT "Conference_participantPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_proceedings
    ADD CONSTRAINT "Conference_proceedingsPK" PRIMARY KEY (id);



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "Conference_volumePK" PRIMARY KEY (id);



ALTER TABLE ONLY websites
    ADD CONSTRAINT "Conference_wwwPK" PRIMARY KEY (id);



ALTER TABLE ONLY contribution_1th_authors
    ADD CONSTRAINT "Contribution_1th-authorPK" PRIMARY KEY (id);



ALTER TABLE ONLY contribution_co_authors
    ADD CONSTRAINT "Contribution_co-authorPK" PRIMARY KEY (id);



ALTER TABLE ONLY early_paid_applicants
    ADD CONSTRAINT "Early_paid_applicantPK" PRIMARY KEY (id);



ALTER TABLE ONLY extended_abstracts
    ADD CONSTRAINT "Extended_abstractPK" PRIMARY KEY (id);



ALTER TABLE ONLY important_dates
    ADD CONSTRAINT "Important_datesPK" PRIMARY KEY (id);



ALTER TABLE ONLY information_for_participas
    ADD CONSTRAINT "Information_for_participaPK" PRIMARY KEY (id);



ALTER TABLE ONLY invited_speakers
    ADD CONSTRAINT "Invited_speakerPK" PRIMARY KEY (id);



ALTER TABLE ONLY invited_talks
    ADD CONSTRAINT "Invited_talkPK" PRIMARY KEY (id);



ALTER TABLE ONLY late_paid_applicants
    ADD CONSTRAINT "Late_paid_applicantPK" PRIMARY KEY (id);



ALTER TABLE ONLY organizations
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY (id);



ALTER TABLE ONLY organizers
    ADD CONSTRAINT "OrganizerPK" PRIMARY KEY (id);



ALTER TABLE ONLY organizing_committees
    ADD CONSTRAINT "Organizing_committeePK" PRIMARY KEY (id);



ALTER TABLE ONLY paid_applicants
    ADD CONSTRAINT "Paid_applicantPK" PRIMARY KEY (id);



ALTER TABLE ONLY papers
    ADD CONSTRAINT "PaperPK" PRIMARY KEY (id);



ALTER TABLE ONLY passive_conference_partics
    ADD CONSTRAINT "Passive_conference_particPK" PRIMARY KEY (id);



ALTER TABLE ONLY persons
    ADD CONSTRAINT "PersonPK" PRIMARY KEY (id);



ALTER TABLE ONLY posters
    ADD CONSTRAINT "PosterPK" PRIMARY KEY (id);



ALTER TABLE ONLY presentations
    ADD CONSTRAINT "PresentationPK" PRIMARY KEY (id);



ALTER TABLE ONLY program_committees
    ADD CONSTRAINT "Program_committeePK" PRIMARY KEY (id);



ALTER TABLE ONLY publishers
    ADD CONSTRAINT "PublisherPK" PRIMARY KEY (id);



ALTER TABLE ONLY registeered_applicants
    ADD CONSTRAINT "Registeered_applicantPK" PRIMARY KEY (id);



ALTER TABLE ONLY regular_authors
    ADD CONSTRAINT "Regular_authorPK" PRIMARY KEY (id);



ALTER TABLE ONLY regular_contributions
    ADD CONSTRAINT "Regular_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY rejected_contributions
    ADD CONSTRAINT "Rejected_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY reviews
    ADD CONSTRAINT "ReviewPK" PRIMARY KEY (id);



ALTER TABLE ONLY review_expertises
    ADD CONSTRAINT "Review_expertisePK" PRIMARY KEY (id);



ALTER TABLE ONLY review_preferences
    ADD CONSTRAINT "Review_preferencePK" PRIMARY KEY (id);



ALTER TABLE ONLY reviewed_contributions
    ADD CONSTRAINT "Reviewed_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY reviewers
    ADD CONSTRAINT "ReviewerPK" PRIMARY KEY (id);



ALTER TABLE ONLY steering_committees
    ADD CONSTRAINT "Steering_committeePK" PRIMARY KEY (id);



ALTER TABLE ONLY submitted_contributions
    ADD CONSTRAINT "Submitted_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY topics
    ADD CONSTRAINT "TopicPK" PRIMARY KEY (id);



ALTER TABLE ONLY track_workshop_chairs
    ADD CONSTRAINT "Track-workshop_chairPK" PRIMARY KEY (id);



ALTER TABLE ONLY tracks
    ADD CONSTRAINT "TrackPK" PRIMARY KEY (id);



ALTER TABLE ONLY tutorials
    ADD CONSTRAINT "TutorialPK" PRIMARY KEY (id);



ALTER TABLE ONLY workshops
    ADD CONSTRAINT "WorkshopPK" PRIMARY KEY (id);



ALTER TABLE ONLY written_contributions
    ADD CONSTRAINT "Written_contributionPK" PRIMARY KEY (id);



ALTER TABLE ONLY belongs_to_reviewers
    ADD CONSTRAINT "belongs_to_reviewersPK" PRIMARY KEY (entity, reviewer);



ALTER TABLE ONLY person_conference_document
    ADD CONSTRAINT "contributesPK" PRIMARY KEY (pid, cid);



ALTER TABLE ONLY committee_co_chair
    ADD CONSTRAINT "has_a_committee_co-chairPK" PRIMARY KEY (committee, co_chair);



ALTER TABLE ONLY topic_tutorial
    ADD CONSTRAINT "has_a_track-workshop-tutoPK" PRIMARY KEY (conference_part, topic);



ALTER TABLE ONLY emails
    ADD CONSTRAINT "has_an_emailPK" PRIMARY KEY (person, value);



ALTER TABLE ONLY committee_committee_member
    ADD CONSTRAINT "has_membersPK" PRIMARY KEY (committee, committee_member);



ALTER TABLE ONLY reviewer_reviewer
    ADD CONSTRAINT "invited_byPK" PRIMARY KEY (reviewer1, reviewer2);



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "Conference_volumehas_a2FK" FOREIGN KEY (steering_committee) REFERENCES steering_committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY abstracts
    ADD CONSTRAINT "FKAbstractURI" FOREIGN KEY (id) REFERENCES extended_abstracts(id) ON DELETE CASCADE;



ALTER TABLE ONLY abstracts
    ADD CONSTRAINT "FKAbstractis_the_1th_part_of" FOREIGN KEY (th_part) REFERENCES conference_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY accepted_contributions
    ADD CONSTRAINT "FKAccepted_contributionURI" FOREIGN KEY (id) REFERENCES reviewed_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY active_conference_particis
    ADD CONSTRAINT "FKActive_conference_pa2" FOREIGN KEY (id) REFERENCES conference_contributors(id) ON DELETE CASCADE;



ALTER TABLE ONLY active_conference_particis
    ADD CONSTRAINT "FKActive_conference_particiURI" FOREIGN KEY (id) REFERENCES conference_participants(id) ON DELETE CASCADE;



ALTER TABLE ONLY call_for_papers
    ADD CONSTRAINT "FKCall_for_paperURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY call_for_participations
    ADD CONSTRAINT "FKCall_for_participationURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY camera_ready_contributions
    ADD CONSTRAINT "FKCamera_ready_contributionURI" FOREIGN KEY (id) REFERENCES accepted_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY chairs
    ADD CONSTRAINT "FKChairURI" FOREIGN KEY (id) REFERENCES committee_members(id) ON DELETE CASCADE;



ALTER TABLE ONLY co_chairs
    ADD CONSTRAINT "FKCo-chairURI" FOREIGN KEY (id) REFERENCES committee_members(id) ON DELETE CASCADE;



ALTER TABLE ONLY committee_members
    ADD CONSTRAINT "FKCommittee_memberURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY committees
    ADD CONSTRAINT "FKCommitteehas_a_committe" FOREIGN KEY (committee_chair) REFERENCES chairs(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_announcements
    ADD CONSTRAINT "FKConference_announcementURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_applicants
    ADD CONSTRAINT "FKConference_applicantURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_contributions
    ADD CONSTRAINT "FKConference_contribution" FOREIGN KEY (submitted_at) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_contributions
    ADD CONSTRAINT "FKConference_contributionURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_contributors
    ADD CONSTRAINT "FKConference_contributorURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_participants
    ADD CONSTRAINT "FKConference_participantURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_parts
    ADD CONSTRAINT "FKConference_partis_part_" FOREIGN KEY (part_conference_vol) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_proceedings
    ADD CONSTRAINT "FKConference_proceedingsh" FOREIGN KEY (publisher) REFERENCES publishers(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "FKConference_volumeURI" FOREIGN KEY (id) REFERENCES conferences(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "FKConference_volumehas_a_" FOREIGN KEY (program_committee) REFERENCES program_committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "FKConference_volumehas_an" FOREIGN KEY (organizing_committ) REFERENCES organizing_committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY conference_volumes
    ADD CONSTRAINT "FKConference_volumehas_im" FOREIGN KEY (important_dates) REFERENCES important_dates(id) ON DELETE CASCADE;



ALTER TABLE ONLY websites
    ADD CONSTRAINT "FKConference_wwwURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY contribution_1th_authors
    ADD CONSTRAINT "FKContribution_1th-authorURI" FOREIGN KEY (id) REFERENCES regular_authors(id) ON DELETE CASCADE;



ALTER TABLE ONLY contribution_co_authors
    ADD CONSTRAINT "FKContribution_co-authorURI" FOREIGN KEY (id) REFERENCES regular_authors(id) ON DELETE CASCADE;



ALTER TABLE ONLY early_paid_applicants
    ADD CONSTRAINT "FKEarly_paid_applicantURI" FOREIGN KEY (id) REFERENCES paid_applicants(id) ON DELETE CASCADE;



ALTER TABLE ONLY extended_abstracts
    ADD CONSTRAINT "FKExtended_abstractURI" FOREIGN KEY (id) REFERENCES regular_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY information_for_participas
    ADD CONSTRAINT "FKInformation_for_participaURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY invited_speakers
    ADD CONSTRAINT "FKInvited_speakerURI" FOREIGN KEY (id) REFERENCES conference_contributors(id) ON DELETE CASCADE;



ALTER TABLE ONLY invited_talks
    ADD CONSTRAINT "FKInvited_talkURI" FOREIGN KEY (id) REFERENCES presentations(id) ON DELETE CASCADE;



ALTER TABLE ONLY late_paid_applicants
    ADD CONSTRAINT "FKLate_paid_applicantURI" FOREIGN KEY (id) REFERENCES paid_applicants(id) ON DELETE CASCADE;



ALTER TABLE ONLY organizing_committees
    ADD CONSTRAINT "FKOrganizing_committeeURI" FOREIGN KEY (id) REFERENCES committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY organizing_committees
    ADD CONSTRAINT "FKOrganizing_committeewas" FOREIGN KEY (was_an_organizing_committ) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY paid_applicants
    ADD CONSTRAINT "FKPaid_applicantURI" FOREIGN KEY (id) REFERENCES registeered_applicants(id) ON DELETE CASCADE;



ALTER TABLE ONLY papers
    ADD CONSTRAINT "FKPaperURI" FOREIGN KEY (id) REFERENCES reviewed_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY papers
    ADD CONSTRAINT "FKPaperURI2" FOREIGN KEY (id) REFERENCES regular_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY papers
    ADD CONSTRAINT "FKPaperhas_an_abstract" FOREIGN KEY (abstract) REFERENCES abstracts(id) ON DELETE CASCADE;



ALTER TABLE ONLY passive_conference_partics
    ADD CONSTRAINT "FKPassive_conference_particURI" FOREIGN KEY (id) REFERENCES conference_participants(id) ON DELETE CASCADE;



ALTER TABLE ONLY posters
    ADD CONSTRAINT "FKPosterURI" FOREIGN KEY (id) REFERENCES conference_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY posters
    ADD CONSTRAINT "FKPosterhas_an_abstract" FOREIGN KEY (abstract) REFERENCES abstracts(id) ON DELETE CASCADE;



ALTER TABLE ONLY presentations
    ADD CONSTRAINT "FKPresentationURI" FOREIGN KEY (id) REFERENCES conference_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY presentations
    ADD CONSTRAINT "FKPresentationhas_an_abstract" FOREIGN KEY (abstract) REFERENCES abstracts(id) ON DELETE CASCADE;



ALTER TABLE ONLY presentations
    ADD CONSTRAINT "FKPresentationis_given_by" FOREIGN KEY (given) REFERENCES active_conference_particis(id) ON DELETE CASCADE;



ALTER TABLE ONLY program_committees
    ADD CONSTRAINT "FKProgram_committeeURI" FOREIGN KEY (id) REFERENCES committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY program_committees
    ADD CONSTRAINT "FKProgram_committeewas_a_" FOREIGN KEY (was_program_committee) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY registeered_applicants
    ADD CONSTRAINT "FKRegisteered_applicantURI" FOREIGN KEY (id) REFERENCES conference_applicants(id) ON DELETE CASCADE;



ALTER TABLE ONLY regular_authors
    ADD CONSTRAINT "FKRegular_authorURI" FOREIGN KEY (id) REFERENCES conference_contributors(id) ON DELETE CASCADE;



ALTER TABLE ONLY regular_contributions
    ADD CONSTRAINT "FKRegular_contributionURI" FOREIGN KEY (id) REFERENCES written_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY rejected_contributions
    ADD CONSTRAINT "FKRejected_contributionURI" FOREIGN KEY (id) REFERENCES reviewed_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviews
    ADD CONSTRAINT "FKReviewURI" FOREIGN KEY (id) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY review_expertises
    ADD CONSTRAINT "FKReview_expertisehas_a_s" FOREIGN KEY (submitted_contribut) REFERENCES submitted_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY review_preferences
    ADD CONSTRAINT "FKReview_preferencebelong" FOREIGN KEY (belongs_to_review_refer) REFERENCES topics(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviewed_contributions
    ADD CONSTRAINT "FKReviewed_contributionURI" FOREIGN KEY (id) REFERENCES submitted_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviewers
    ADD CONSTRAINT "FKReviewerURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviews
    ADD CONSTRAINT "FKReviewreviews" FOREIGN KEY (reviews) REFERENCES reviewed_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY steering_committees
    ADD CONSTRAINT "FKSteering_committeeURI" FOREIGN KEY (id) REFERENCES committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY steering_committees
    ADD CONSTRAINT "FKSteering_committeewas_a" FOREIGN KEY (was_steering_committee_) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY submitted_contributions
    ADD CONSTRAINT "FKSubmitted_contributionURI" FOREIGN KEY (id) REFERENCES written_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY track_workshop_chairs
    ADD CONSTRAINT "FKTrack-workshop_chairURI" FOREIGN KEY (id) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY tracks
    ADD CONSTRAINT "FKTrackURI" FOREIGN KEY (id) REFERENCES conference_parts(id) ON DELETE CASCADE;



ALTER TABLE ONLY tracks
    ADD CONSTRAINT "FKTrackhas_a_track-worksh" FOREIGN KEY (track_workshop_tuto) REFERENCES track_workshop_chairs(id) ON DELETE CASCADE;



ALTER TABLE ONLY tracks
    ADD CONSTRAINT "FKTrackhas_tracks_Inv" FOREIGN KEY (tracks) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY tutorials
    ADD CONSTRAINT "FKTutorialURI" FOREIGN KEY (id) REFERENCES conference_parts(id) ON DELETE CASCADE;



ALTER TABLE ONLY tutorials
    ADD CONSTRAINT "FKTutorialhas_tutorials_Inv" FOREIGN KEY (tutorials) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY workshops
    ADD CONSTRAINT "FKWorkshopURI" FOREIGN KEY (id) REFERENCES conference_parts(id) ON DELETE CASCADE;



ALTER TABLE ONLY workshops
    ADD CONSTRAINT "FKWorkshophas_a_track-wor" FOREIGN KEY (track_workshop_tuto) REFERENCES track_workshop_chairs(id) ON DELETE CASCADE;



ALTER TABLE ONLY workshops
    ADD CONSTRAINT "FKWorkshophas_workshops_Inv" FOREIGN KEY (workshops) REFERENCES conference_volumes(id) ON DELETE CASCADE;



ALTER TABLE ONLY written_contributions
    ADD CONSTRAINT "FKWritten_contributionURI" FOREIGN KEY (id) REFERENCES conference_contributions(id) ON DELETE CASCADE;



ALTER TABLE ONLY belongs_to_reviewers
    ADD CONSTRAINT "FKbelongs_to_reviewersReviewer" FOREIGN KEY (reviewer) REFERENCES reviewers(id) ON DELETE CASCADE;



ALTER TABLE ONLY person_conference_document
    ADD CONSTRAINT "FKcontributesConference_d" FOREIGN KEY (cid) REFERENCES conference_documents(id) ON DELETE CASCADE;



ALTER TABLE ONLY person_conference_document
    ADD CONSTRAINT "FKcontributesPerson" FOREIGN KEY (pid) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY committee_co_chair
    ADD CONSTRAINT "FKhas_a_committee_co-chai" FOREIGN KEY (committee) REFERENCES committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY topic_tutorial
    ADD CONSTRAINT "FKhas_a_track-workshop-tu" FOREIGN KEY (conference_part) REFERENCES tutorials(id) ON DELETE CASCADE;



ALTER TABLE ONLY emails
    ADD CONSTRAINT "FKhas_an_emailPerson" FOREIGN KEY (person) REFERENCES persons(id) ON DELETE CASCADE;



ALTER TABLE ONLY committee_committee_member
    ADD CONSTRAINT "FKhas_membersCommittee" FOREIGN KEY (committee) REFERENCES committees(id) ON DELETE CASCADE;



ALTER TABLE ONLY committee_committee_member
    ADD CONSTRAINT "FKhas_membersCommittee_member" FOREIGN KEY (committee_member) REFERENCES committee_members(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviewer_reviewer
    ADD CONSTRAINT "FKinvited_byReviewer1" FOREIGN KEY (reviewer1) REFERENCES reviewers(id) ON DELETE CASCADE;



ALTER TABLE ONLY reviewer_reviewer
    ADD CONSTRAINT "FKinvited_byReviewer2" FOREIGN KEY (reviewer2) REFERENCES reviewers(id) ON DELETE CASCADE;



ALTER TABLE ONLY program_committees
    ADD CONSTRAINT "Program_committee_was_a_program_committee_of_fkey" FOREIGN KEY (was_program_committee) REFERENCES conference_volumes(id);



ALTER TABLE ONLY committee_co_chair
    ADD CONSTRAINT "has_a_committee_co-cha2FK" FOREIGN KEY (co_chair) REFERENCES co_chairs(id) ON DELETE CASCADE;



ALTER TABLE ONLY topic_tutorial
    ADD CONSTRAINT "has_a_track-workshop-t2FK" FOREIGN KEY (topic) REFERENCES topics(id) ON DELETE CASCADE;
