--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.4
-- Dumped by pg_dump version 9.4.0
-- Started on 2015-10-22 13:31:36 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 19 (class 2615 OID 90969)
-- Name: mondial_rdf2sql_standard; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_rdf2sql_standard CASCADE;
CREATE SCHEMA mondial_rdf2sql_standard;


--
-- TOC entry 17 (class 2615 OID 89439)
-- Name: mondial_rel; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_rel CASCADE;
CREATE SCHEMA mondial_rel;


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 3108 (class 1247 OID 89442)
-- Name: geocoord; Type: TYPE; Schema: mondial_rel; Owner: -
--

CREATE TYPE geocoord AS (
	latitude numeric,
	longitude numeric
);


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 1005 (class 1255 OID 90971)
-- Name: dropalltables(character varying); Type: FUNCTION; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE FUNCTION dropalltables(schemaname character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
  ts VARCHAR(100);
  tn VARCHAR(100);
BEGIN
    for ts,tn
    in select table_schema,table_name from information_schema.tables
       where table_schema= schemaname and 
             (table_type='table' or table_type='BASE TABLE')
    loop
      EXECUTE 'DROP TABLE ' || ts || '."' || tn || '" CASCADE';
    end loop;
END;
$$;


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 1003 (class 1255 OID 89443)
-- Name: dropalltables(character varying); Type: FUNCTION; Schema: mondial_rel; Owner: -
--

CREATE FUNCTION dropalltables(schemaname character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
  ts VARCHAR(100);
  tn VARCHAR(100);
BEGIN
    for ts,tn
    in select table_schema,table_name from information_schema.tables
       where table_schema= schemaname and 
             (table_type='table' or table_type='BASE TABLE')
    loop
      EXECUTE 'DROP TABLE ' || ts || '."' || tn || '" CASCADE';
    end loop;
END;
$$;


SET search_path = mondial_rdf2sql_standard, pg_catalog;

SET default_with_oids = false;

--
-- TOC entry 811 (class 1259 OID 90972)
-- Name: BelievedBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "BelievedBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "religionInfo-" character varying(50),
    "onReligion" character varying(73)
);


--
-- TOC entry 812 (class 1259 OID 90978)
-- Name: Border; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Border" (
    "URI" character varying(25) NOT NULL,
    length numeric,
    "Country1" character varying(50),
    "Country2" character varying(50)
);


--
-- TOC entry 813 (class 1259 OID 90984)
-- Name: City; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "City" (
    "URI" character varying(108) NOT NULL,
    name character varying(35),
    population numeric,
    elevation numeric,
    longitude numeric,
    latitude numeric,
    CONSTRAINT "City_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 814 (class 1259 OID 90991)
-- Name: Continent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Continent" (
    "URI" character varying(65) NOT NULL,
    name character varying(17),
    area numeric
);


--
-- TOC entry 815 (class 1259 OID 90997)
-- Name: Country; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Country" (
    "URI" character varying(50) NOT NULL,
    "gdpAgri" numeric,
    inflation numeric,
    "populationGrowth" numeric,
    government character varying(117),
    "gdpServ" numeric,
    population numeric,
    "gdpTotal" numeric,
    unemployment numeric,
    "independenceDate" date,
    "dependentOf" character varying(49),
    "infantMortality" numeric,
    area numeric,
    "gdpInd" numeric,
    "carCode" character varying(4),
    capital character varying(100),
    "wasDependentOf" character varying(72),
    name character varying(32),
    CONSTRAINT "Country_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 816 (class 1259 OID 91004)
-- Name: Desert; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Desert" (
    "URI" character varying(65) NOT NULL,
    area numeric,
    type character varying(4),
    latitude numeric,
    longitude numeric,
    name character varying(22)
);


--
-- TOC entry 817 (class 1259 OID 91010)
-- Name: Encompassed; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Encompassed" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "encompassedArea" character varying(50),
    "encompassedBy" character varying(65)
);


--
-- TOC entry 818 (class 1259 OID 91016)
-- Name: Estuary; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Estuary" (
    "URI" character varying(70) NOT NULL,
    longitude numeric,
    elevation numeric,
    latitude numeric,
    "hasEstuary-" character varying(68)
);


--
-- TOC entry 819 (class 1259 OID 91022)
-- Name: EthnicGroup; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicGroup" (
    "URI" character varying(78) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 820 (class 1259 OID 91025)
-- Name: EthnicProportion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicProportion" (
    "URI" character varying(25) NOT NULL,
    "ethnicInfo-" character varying(50),
    "onEthnicGroup" character varying(78),
    percent numeric
);


--
-- TOC entry 821 (class 1259 OID 91031)
-- Name: Female; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Female" (
    "URI" character varying(199) NOT NULL,
    onlyfemaleprop numeric,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 822 (class 1259 OID 91037)
-- Name: Island; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Island" (
    "URI" character varying(71) NOT NULL,
    population numeric,
    latitude numeric,
    "belongsToIslands" character varying(71),
    area numeric,
    name character varying(29),
    longitude numeric,
    type character varying(8),
    elevation numeric,
    CONSTRAINT "Island_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 823 (class 1259 OID 91044)
-- Name: Islands; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Islands" (
    "URI" character varying(71) NOT NULL,
    latitude numeric,
    population numeric,
    area numeric,
    type character varying(199),
    longitude numeric,
    elevation numeric,
    name character varying(27),
    CONSTRAINT "Islands_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 824 (class 1259 OID 91051)
-- Name: Language; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Language" (
    "URI" character varying(73) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 825 (class 1259 OID 91054)
-- Name: Male; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Male" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 826 (class 1259 OID 91060)
-- Name: Membership; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Membership" (
    "URI" character varying(25) NOT NULL,
    "ofMember" character varying(50),
    "inOrganization" character varying(59),
    type character varying(54)
);


--
-- TOC entry 827 (class 1259 OID 91063)
-- Name: Mountain; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountain" (
    "URI" character varying(74) NOT NULL,
    "locatedOnIsland" character varying(71),
    type character varying(8),
    "lastEruption" date,
    "inMountains" character varying(72),
    name character varying(30),
    elevation numeric,
    longitude numeric,
    latitude numeric,
    rdftype character varying(7)
);


--
-- TOC entry 828 (class 1259 OID 91069)
-- Name: Mountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountains" (
    "URI" character varying(72) NOT NULL,
    name character varying(28),
    latitude numeric,
    elevation numeric,
    type character varying(199),
    longitude numeric,
    area numeric
);


--
-- TOC entry 829 (class 1259 OID 91075)
-- Name: Organization; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Organization" (
    "URI" character varying(59) NOT NULL,
    "hasHeadq" character varying(98),
    abbrev character varying(8),
    name character varying(89),
    established date
);


--
-- TOC entry 830 (class 1259 OID 91078)
-- Name: Province; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Province" (
    "URI" character varying(95) NOT NULL,
    name character varying(40),
    capital character varying(108),
    area numeric,
    "isProvinceOf" character varying(49),
    population numeric,
    CONSTRAINT "Province_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 831 (class 1259 OID 91085)
-- Name: Religion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Religion" (
    "URI" character varying(73) NOT NULL,
    name character varying(27)
);


--
-- TOC entry 832 (class 1259 OID 91088)
-- Name: Source; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Source" (
    "URI" character varying(69) NOT NULL,
    "inMountains" character varying(68),
    longitude numeric,
    elevation numeric,
    "hasSource-" character varying(68),
    latitude numeric
);


--
-- TOC entry 833 (class 1259 OID 91094)
-- Name: SpokenBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "SpokenBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "languageInfo-" character varying(50),
    "onLanguage" character varying(73)
);


--
-- TOC entry 834 (class 1259 OID 91100)
-- Name: TOP_area; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_area" (
    "URI" character varying(199),
    area numeric
);


--
-- TOC entry 835 (class 1259 OID 91106)
-- Name: TOP_bordering; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_bordering" (
    "URI" character varying(199),
    bordering character varying(199)
);


--
-- TOC entry 836 (class 1259 OID 91109)
-- Name: TOP_capital; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_capital" (
    "URI" character varying(199),
    capital character varying(199)
);


--
-- TOC entry 837 (class 1259 OID 91112)
-- Name: TOP_elevation; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_elevation" (
    "URI" character varying(199),
    elevation numeric
);


--
-- TOC entry 838 (class 1259 OID 91118)
-- Name: TOP_hasFather; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasFather" (
    "URI" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 839 (class 1259 OID 91121)
-- Name: TOP_hasMother; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasMother" (
    "URI" character varying(199),
    "hasMother" character varying(199)
);


--
-- TOC entry 840 (class 1259 OID 91124)
-- Name: TOP_inMountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_inMountains" (
    "URI" character varying(199),
    "inMountains" character varying(199)
);


--
-- TOC entry 841 (class 1259 OID 91127)
-- Name: TOP_invfktprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_invfktprop_Inv" (
    "URI" character varying(199),
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 842 (class 1259 OID 91130)
-- Name: TOP_latitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_latitude" (
    "URI" character varying(199),
    latitude numeric
);


--
-- TOC entry 843 (class 1259 OID 91136)
-- Name: TOP_length; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_length" (
    "URI" character varying(199),
    length numeric
);


--
-- TOC entry 844 (class 1259 OID 91142)
-- Name: TOP_locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_locatedOnIsland" (
    "URI" character varying(199),
    "locatedOnIsland" character varying(199)
);


--
-- TOC entry 845 (class 1259 OID 91145)
-- Name: TOP_longitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_longitude" (
    "URI" character varying(199),
    longitude numeric
);


--
-- TOC entry 846 (class 1259 OID 91151)
-- Name: TOP_name; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_name" (
    "URI" character varying(199),
    name character varying(199)
);


--
-- TOC entry 847 (class 1259 OID 91154)
-- Name: TOP_nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop" (
    "URI" character varying(199),
    nmprop character varying(199)
);


--
-- TOC entry 848 (class 1259 OID 91157)
-- Name: TOP_nmprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop_Inv" (
    "URI" character varying(199),
    "nmprop_Inv" character varying(199)
);


--
-- TOC entry 849 (class 1259 OID 91160)
-- Name: TOP_onlyfemaleprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_onlyfemaleprop" (
    "URI" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 850 (class 1259 OID 91166)
-- Name: TOP_percent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_percent" (
    "URI" character varying(199),
    percent numeric
);


--
-- TOC entry 851 (class 1259 OID 91172)
-- Name: TOP_population; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_population" (
    "URI" character varying(199),
    population numeric,
    CONSTRAINT "TOP_population_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 852 (class 1259 OID 91179)
-- Name: TOP_type; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_type" (
    "URI" character varying(199),
    type character varying(199)
);


--
-- TOC entry 853 (class 1259 OID 91182)
-- Name: U; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "U" (
    "URI" character varying(199) NOT NULL,
    "totUpartV11prop" character varying(199)
);


--
-- TOC entry 854 (class 1259 OID 91185)
-- Name: V; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "V" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 855 (class 1259 OID 91188)
-- Name: Water; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Water" (
    "URI" character varying(68) NOT NULL,
    "flowsInto" character varying(68),
    latitude numeric,
    "flowsThrough_Inv" character varying(61),
    type character varying(10),
    elevation numeric,
    length numeric,
    depth numeric,
    longitude numeric,
    area numeric,
    name character varying(27),
    rdftype character varying(5)
);


--
-- TOC entry 856 (class 1259 OID 91194)
-- Name: X1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X1" (
    "URI" character varying(199) NOT NULL,
    nmprop character varying(199)
);


--
-- TOC entry 857 (class 1259 OID 91197)
-- Name: X2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X2" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 858 (class 1259 OID 91200)
-- Name: Y1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y1" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 859 (class 1259 OID 91203)
-- Name: Y2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y2" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 860 (class 1259 OID 91206)
-- Name: allcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE allcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 861 (class 1259 OID 91209)
-- Name: borders; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE borders (
    "Entity" character varying(199) NOT NULL,
    "LargeArea" character varying(199) NOT NULL
);


--
-- TOC entry 862 (class 1259 OID 91212)
-- Name: cityIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "cityIn" (
    "City" character varying(108) NOT NULL,
    "AdministrativeArea" character varying(95) NOT NULL
);


--
-- TOC entry 863 (class 1259 OID 91215)
-- Name: hasAccountNo; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasAccountNo" (
    "Person" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 864 (class 1259 OID 91221)
-- Name: hasChild; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasChild" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 865 (class 1259 OID 91224)
-- Name: hasNickname; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasNickname" (
    "Person" character varying(199) NOT NULL,
    "VALUE" character varying(199) NOT NULL
);


--
-- TOC entry 866 (class 1259 OID 91227)
-- Name: inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE inv (
    property character varying(50),
    inverse character varying(50)
);


--
-- TOC entry 867 (class 1259 OID 91230)
-- Name: locatedAt; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedAt" (
    "City" character varying(100) NOT NULL,
    "Water" character varying(68) NOT NULL
);


--
-- TOC entry 868 (class 1259 OID 91233)
-- Name: locatedIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedIn" (
    "Entity" character varying(74) NOT NULL,
    "Area" character varying(95) NOT NULL
);


--
-- TOC entry 869 (class 1259 OID 91236)
-- Name: locatedInWater; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedInWater" (
    "Island" character varying(71) NOT NULL,
    "Water" character varying(58) NOT NULL
);


--
-- TOC entry 870 (class 1259 OID 91239)
-- Name: locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedOnIsland" (
    "Entity" character varying(108) NOT NULL,
    "Island" character varying(71) NOT NULL
);


--
-- TOC entry 871 (class 1259 OID 91242)
-- Name: marriedWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "marriedWith" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 872 (class 1259 OID 91245)
-- Name: md; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE md (
    class character varying(50),
    property character varying(50),
    range character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    inv character varying(5),
    isview character varying(5)
);


--
-- TOC entry 873 (class 1259 OID 91248)
-- Name: mdlastchanged; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE mdlastchanged (
    at date
);


--
-- TOC entry 874 (class 1259 OID 91251)
-- Name: mergesWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "mergesWith" (
    "Sea1" character varying(58) NOT NULL,
    "Sea2" character varying(58) NOT NULL
);


--
-- TOC entry 875 (class 1259 OID 91254)
-- Name: nmj; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmj (
    class character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    fkjoinattr character varying(50)
);


--
-- TOC entry 876 (class 1259 OID 91257)
-- Name: nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmprop (
    "X" character varying(199) NOT NULL,
    "Y" character varying(199) NOT NULL
);


--
-- TOC entry 877 (class 1259 OID 91260)
-- Name: nmtables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmtables (
    tablename character varying(50)
);


--
-- TOC entry 878 (class 1259 OID 91263)
-- Name: ocdict; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE ocdict (
    uri character varying(199),
    class character varying(50)
);


--
-- TOC entry 879 (class 1259 OID 91266)
-- Name: othername; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE othername (
    "Entity" character varying(101) NOT NULL,
    "VALUE" character varying(27) NOT NULL
);


--
-- TOC entry 880 (class 1259 OID 91269)
-- Name: proptablemap; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE proptablemap (
    property character varying(50),
    tablename character varying(50)
);


--
-- TOC entry 881 (class 1259 OID 91272)
-- Name: rc2; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc2 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT md1.tablename,
    md1.lookupattr,
    md2.class AS rangetable
   FROM md md1,
    nmj,
    md md2
  WHERE ((((((((((((md1.inv)::text = 'false'::text) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND ((md1.class)::text <> (md1.tablename)::text)) AND ((md2.class)::text <> (md2.tablename)::text)) AND ((md1.tablename)::text = (nmj.tablename)::text)) AND ((md1.lookupattr)::text = (nmj.lookupattr)::text)) AND ((md2.tablename)::text = (nmj.tablename)::text)) AND ((md2.lookupattr)::text = (nmj.fkjoinattr)::text)) AND ((md2.class)::text <> 'ANY'::text));


--
-- TOC entry 882 (class 1259 OID 91277)
-- Name: rc3; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc3 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT nmj.tablename,
    nmj.fkjoinattr AS lookupattr,
    md1.tablename AS rangetable
   FROM md md1,
    md md2,
    nmj
  WHERE (((((((((((md1.class)::text = (md2.class)::text) AND ((md1.class)::text <> 'ANY'::text)) AND ((md1.inv)::text = 'false'::text)) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND (NOT ((md1.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables)))) AND ((md2.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables))) AND ((nmj.tablename)::text = (md2.tablename)::text)) AND ((nmj.lookupattr)::text = (md2.lookupattr)::text));


--
-- TOC entry 883 (class 1259 OID 91282)
-- Name: rctab; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rctab (
    tablename character varying(50),
    columnname character varying(50),
    rangetable character varying(50)
);


--
-- TOC entry 884 (class 1259 OID 91285)
-- Name: rdf2sqlconf; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rdf2sqlconf (
    name character varying(20),
    value character varying(10)
);


--
-- TOC entry 885 (class 1259 OID 91288)
-- Name: subcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE subcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 886 (class 1259 OID 91291)
-- Name: toptables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE toptables (
    tablename character varying(50),
    property character varying(50),
    range character varying(50)
);


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 681 (class 1259 OID 89444)
-- Name: airport; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE airport (
    iatacode character varying(3) NOT NULL,
    name character varying(100),
    country character varying(4),
    city character varying(50),
    province character varying(50),
    island character varying(50),
    latitude numeric,
    longitude numeric,
    elevation numeric,
    gmtoffset numeric,
    CONSTRAINT airplat CHECK (((latitude >= ((-90))::numeric) AND (latitude <= (90)::numeric))),
    CONSTRAINT airplon CHECK (((longitude >= ((-180))::numeric) AND (longitude <= (180)::numeric)))
);


--
-- TOC entry 682 (class 1259 OID 89452)
-- Name: borders; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE borders (
    country1 character varying(4) NOT NULL,
    country2 character varying(4) NOT NULL,
    length numeric,
    CONSTRAINT borders_length_check CHECK ((length > (0)::numeric))
);


--
-- TOC entry 683 (class 1259 OID 89459)
-- Name: city; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE city (
    name character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL,
    population numeric,
    latitude numeric,
    longitude numeric,
    elevation numeric,
    CONSTRAINT citylat CHECK (((latitude >= ((-90))::numeric) AND (latitude <= (90)::numeric))),
    CONSTRAINT citylon CHECK (((longitude >= ((-180))::numeric) AND (longitude <= (180)::numeric))),
    CONSTRAINT citypop CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 684 (class 1259 OID 89468)
-- Name: cityothername; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE cityothername (
    city character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL,
    othername character varying(50) NOT NULL
);


--
-- TOC entry 685 (class 1259 OID 89471)
-- Name: continent; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE continent (
    name character varying(20) NOT NULL,
    area numeric(10,0)
);


--
-- TOC entry 686 (class 1259 OID 89474)
-- Name: country; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE country (
    name character varying(50) NOT NULL,
    code character varying(4) NOT NULL,
    capital character varying(50),
    province character varying(50),
    area numeric,
    population numeric,
    CONSTRAINT countryarea CHECK ((area >= (0)::numeric)),
    CONSTRAINT countrypop CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 687 (class 1259 OID 89482)
-- Name: countryothername; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE countryothername (
    country character varying(4) NOT NULL,
    othername character varying(50) NOT NULL
);


--
-- TOC entry 688 (class 1259 OID 89485)
-- Name: desert; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE desert (
    name character varying(50) NOT NULL,
    area numeric,
    coordinates geocoord,
    CONSTRAINT descoord CHECK ((((((coordinates).latitude >= ((-90))::numeric) AND ((coordinates).latitude <= (90)::numeric)) AND ((coordinates).longitude > ((-180))::numeric)) AND ((coordinates).longitude <= (180)::numeric)))
);


--
-- TOC entry 689 (class 1259 OID 89492)
-- Name: economy; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE economy (
    country character varying(4) NOT NULL,
    gdp numeric,
    agriculture numeric,
    service numeric,
    industry numeric,
    inflation numeric,
    unemployment numeric,
    CONSTRAINT economygdp CHECK ((gdp >= (0)::numeric))
);


--
-- TOC entry 690 (class 1259 OID 89499)
-- Name: encompasses; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE encompasses (
    country character varying(4) NOT NULL,
    continent character varying(20) NOT NULL,
    percentage numeric,
    CONSTRAINT encompasses_percentage_check CHECK (((percentage > (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- TOC entry 691 (class 1259 OID 89506)
-- Name: ethnicgroup; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE ethnicgroup (
    country character varying(4) NOT NULL,
    name character varying(50) NOT NULL,
    percentage numeric,
    CONSTRAINT ethnicpercent CHECK (((percentage > (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- TOC entry 692 (class 1259 OID 89513)
-- Name: geo_desert; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_desert (
    desert character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 693 (class 1259 OID 89516)
-- Name: geo_estuary; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_estuary (
    river character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 694 (class 1259 OID 89519)
-- Name: geo_island; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_island (
    island character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 695 (class 1259 OID 89522)
-- Name: geo_lake; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_lake (
    lake character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 696 (class 1259 OID 89525)
-- Name: geo_mountain; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_mountain (
    mountain character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 697 (class 1259 OID 89528)
-- Name: geo_river; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_river (
    river character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 698 (class 1259 OID 89531)
-- Name: geo_sea; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_sea (
    sea character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 699 (class 1259 OID 89534)
-- Name: geo_source; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE geo_source (
    river character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    province character varying(50) NOT NULL
);


--
-- TOC entry 700 (class 1259 OID 89537)
-- Name: island; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE island (
    name character varying(50) NOT NULL,
    islands character varying(50),
    area numeric,
    elevation numeric,
    type character varying(10),
    coordinates geocoord,
    CONSTRAINT islandar CHECK ((area >= (0)::numeric)),
    CONSTRAINT islandcoord CHECK ((((((coordinates).latitude >= ((-90))::numeric) AND ((coordinates).latitude <= (90)::numeric)) AND ((coordinates).longitude > ((-180))::numeric)) AND ((coordinates).longitude <= (180)::numeric)))
);


--
-- TOC entry 701 (class 1259 OID 89545)
-- Name: islandin; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE islandin (
    island character varying(50),
    sea character varying(50),
    lake character varying(50),
    river character varying(50)
);


--
-- TOC entry 702 (class 1259 OID 89548)
-- Name: ismember; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE ismember (
    country character varying(4) NOT NULL,
    organization character varying(12) NOT NULL,
    type character varying(60) DEFAULT 'member'::character varying
);


--
-- TOC entry 703 (class 1259 OID 89552)
-- Name: lake; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE lake (
    name character varying(50) NOT NULL,
    area numeric,
    depth numeric,
    elevation numeric,
    type character varying(12),
    river character varying(50),
    coordinates geocoord,
    CONSTRAINT lakear CHECK ((area >= (0)::numeric)),
    CONSTRAINT lakecoord CHECK ((((((coordinates).latitude >= ((-90))::numeric) AND ((coordinates).latitude <= (90)::numeric)) AND ((coordinates).longitude > ((-180))::numeric)) AND ((coordinates).longitude <= (180)::numeric))),
    CONSTRAINT lakedpth CHECK ((depth >= (0)::numeric))
);


--
-- TOC entry 704 (class 1259 OID 89561)
-- Name: language; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE language (
    country character varying(4) NOT NULL,
    name character varying(50) NOT NULL,
    percentage numeric,
    CONSTRAINT languagepercent CHECK (((percentage > (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- TOC entry 705 (class 1259 OID 89568)
-- Name: located; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE located (
    city character varying(50),
    province character varying(50),
    country character varying(4),
    river character varying(50),
    lake character varying(50),
    sea character varying(50)
);


--
-- TOC entry 706 (class 1259 OID 89571)
-- Name: locatedon; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE locatedon (
    city character varying(50) NOT NULL,
    province character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    island character varying(50) NOT NULL
);


--
-- TOC entry 707 (class 1259 OID 89574)
-- Name: mergeswith; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE mergeswith (
    sea1 character varying(50) NOT NULL,
    sea2 character varying(50) NOT NULL
);


--
-- TOC entry 708 (class 1259 OID 89577)
-- Name: mountain; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE mountain (
    name character varying(50) NOT NULL,
    mountains character varying(50),
    elevation numeric,
    type character varying(10),
    coordinates geocoord,
    CONSTRAINT mountaincoord CHECK ((((((coordinates).latitude >= ((-90))::numeric) AND ((coordinates).latitude <= (90)::numeric)) AND ((coordinates).longitude > ((-180))::numeric)) AND ((coordinates).longitude <= (180)::numeric)))
);


--
-- TOC entry 709 (class 1259 OID 89584)
-- Name: mountainonisland; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE mountainonisland (
    mountain character varying(50) NOT NULL,
    island character varying(50) NOT NULL
);


--
-- TOC entry 710 (class 1259 OID 89587)
-- Name: organization; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE organization (
    abbreviation character varying(12) NOT NULL,
    name character varying(100) NOT NULL,
    city character varying(50),
    country character varying(4),
    province character varying(50),
    established date
);


--
-- TOC entry 711 (class 1259 OID 89590)
-- Name: politics; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE politics (
    country character varying(4) NOT NULL,
    independence date,
    wasdependent character varying(50),
    dependent character varying(4),
    government character varying(120)
);


--
-- TOC entry 712 (class 1259 OID 89593)
-- Name: population; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE population (
    country character varying(4) NOT NULL,
    population_growth numeric,
    infant_mortality numeric
);


--
-- TOC entry 713 (class 1259 OID 89599)
-- Name: province; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE province (
    name character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    population numeric,
    area numeric,
    capital character varying(50),
    capprov character varying(50),
    CONSTRAINT prar CHECK ((area >= (0)::numeric)),
    CONSTRAINT prpop CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 714 (class 1259 OID 89607)
-- Name: provinceothername; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE provinceothername (
    province character varying(50) NOT NULL,
    country character varying(4) NOT NULL,
    othername character varying(50) NOT NULL
);


--
-- TOC entry 715 (class 1259 OID 89610)
-- Name: religion; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE religion (
    country character varying(4) NOT NULL,
    name character varying(50) NOT NULL,
    percentage numeric,
    CONSTRAINT religionpercent CHECK (((percentage > (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- TOC entry 716 (class 1259 OID 89617)
-- Name: river; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE river (
    name character varying(50) NOT NULL,
    river character varying(50),
    lake character varying(50),
    sea character varying(50),
    length numeric,
    source geocoord,
    mountains character varying(50),
    sourceelevation numeric,
    estuary geocoord,
    CONSTRAINT estcoord CHECK ((((((estuary).latitude >= ((-90))::numeric) AND ((estuary).latitude <= (90)::numeric)) AND ((estuary).longitude > ((-180))::numeric)) AND ((estuary).longitude <= (180)::numeric))),
    CONSTRAINT riverlength CHECK ((length >= (0)::numeric)),
    CONSTRAINT rivflowsinto CHECK (((((river IS NULL) AND (lake IS NULL)) OR ((river IS NULL) AND (sea IS NULL))) OR ((lake IS NULL) AND (sea IS NULL)))),
    CONSTRAINT sourcecoord CHECK ((((((source).latitude >= ((-90))::numeric) AND ((source).latitude <= (90)::numeric)) AND ((source).longitude > ((-180))::numeric)) AND ((source).longitude <= (180)::numeric)))
);


--
-- TOC entry 717 (class 1259 OID 89627)
-- Name: riverthrough; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE riverthrough (
    river character varying(50) NOT NULL,
    lake character varying(50) NOT NULL
);


--
-- TOC entry 718 (class 1259 OID 89630)
-- Name: sea; Type: TABLE; Schema: mondial_rel; Owner: -
--

CREATE TABLE sea (
    name character varying(50) NOT NULL,
    depth numeric,
    CONSTRAINT seadepth CHECK ((depth >= (0)::numeric))
);


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5300 (class 0 OID 90972)
-- Dependencies: 811
-- Data for Name: BelievedBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "BelievedBy" ("URI", percent, "religionInfo-", "onReligion") FROM stdin;
7b93e6a1:150814fecb6:244e	94	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e3	47	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232a	95	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2301	6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/CopticChristian/
7b93e6a1:150814fecb6:2387	32.2	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f4	98	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238a	24.3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22cc	2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:241e	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2381	15	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fa	2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2276	3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23bd	11	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/United/
7b93e6a1:150814fecb6:2239	0.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2364	15	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2327	83	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22d3	60.4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238e	16	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:2452	1.8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Adventist/
7b93e6a1:150814fecb6:22fd	16.9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2415	1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c1	97	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
7b93e6a1:150814fecb6:243f	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23eb	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2267	79	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ae	1.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2442	7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ed	6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230a	22	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2392	20	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f9	15	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2355	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2318	70	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c4	16	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:237f	90	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2443	41	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ee	4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224a	26.8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2406	10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b2	7.2	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2295	1.8	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23dc	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2258	7	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2383	7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2346	5.2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22f2	25	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2309	98	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b5	97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2434	28	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e0	7.2	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22df	1.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/HoaHao/
7b93e6a1:150814fecb6:223b	3.2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a3	40.9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2286	0.7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23cd	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2249	6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2374	4	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2337	19	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239e	38	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22a6	84.5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2425	95	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d1	15.4	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:244f	70.3	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:23fb	50	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2277	2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23be	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231a	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2365	85	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2328	9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22d4	19.2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238f	34	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2453	90	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fe	2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:225a	10.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2416	65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c2	36.6	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ec	97	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2268	4.1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23af	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:230b	30	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2393	30	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2356	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2319	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c5	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2444	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f0	98.7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ef	3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224b	2.1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2407	50	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b3	11.7	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2296	87	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23dd	30.5	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2259	68.9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2384	3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2347	1.1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:22f3	18	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22b6	90	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2435	38	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e1	1.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:223c	5.5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a4	6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2300	94	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2287	86.8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ce	95	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2375	5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2338	12	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e4	2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2240	3.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239f	30	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a7	1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226a	95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2426	2	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23d2	70	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23fc	50	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2278	30	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23bf	1	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:231b	6	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2366	77	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2329	3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22d5	9.1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2454	8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22ff	1.7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Druze/
7b93e6a1:150814fecb6:225b	4.1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2417	9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c3	58.2	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
7b93e6a1:150814fecb6:23ed	90	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2269	1.9	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230c	5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2394	50	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
7b93e6a1:150814fecb6:2357	0.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22c6	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2445	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f1	0.2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:224c	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2408	40	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b4	39	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2310	3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2297	1.5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23de	28.4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:233a	32	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2385	99	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2348	15	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f4	36	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2250	18.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b7	89	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227a	5.8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2436	90	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e2	19.6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:223d	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23a5	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2288	7.5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23cf	5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232b	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2376	55.9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2339	20	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22e5	44	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2241	90	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a8	45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:226b	83.5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2427	14	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d3	15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fd	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2279	20	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:231c	84	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2367	15	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240a	20	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d6	6.3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2232	70	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:225c	1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2418	35	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c4	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2320	0.2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Chondogyo/
7b93e6a1:150814fecb6:23ee	1	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:234a	5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:230d	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2395	25.8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2358	0.6	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2260	4.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c7	89	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:228a	99.8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2446	55	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f2	1.1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:224d	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2409	10	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b5	4.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2311	92	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2298	90	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23df	8.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:233b	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22aa	6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2386	6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2349	23	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22f5	80	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2251	84.6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b8	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:227b	40	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2437	9	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e3	22.8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223e	74.2	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a6	50	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2302	87	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2289	4.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232c	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2377	95	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:241a	16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e6	75	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2242	95	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a9	19	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226c	8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
7b93e6a1:150814fecb6:2428	86	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d4	1.1	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2330	93	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Taoist/
7b93e6a1:150814fecb6:23fe	50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235a	5.7	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:231d	47.4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2368	95	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2270	20	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:240b	50	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d7	60	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2233	10	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:229a	2	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:225d	96	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2419	30	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c5	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2321	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ef	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234b	18	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230e	8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:22ba	9	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2396	18.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2359	11	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2261	1.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c8	14	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:228b	95	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2447	20	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f3	80	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224e	3.7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b6	16.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
7b93e6a1:150814fecb6:2312	8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2299	8	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:233c	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2400	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
7b93e6a1:150814fecb6:22ab	2.7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:242a	8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f6	20	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2252	2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22b9	88	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227c	31	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2438	92	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e4	25.2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2340	30.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:223f	17.7	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a7	47	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2303	3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:236a	16	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232d	69	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2378	5	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2280	4.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:241b	33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22e7	20	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2243	85	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:226d	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2429	85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d5	89.6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2331	5.7	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a0	90	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ff	20	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:235b	26	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:231e	48.6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ca	0.7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2369	80	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2271	15	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:240c	2	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d8	3.8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2234	20	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229b	74	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225e	41.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c6	6.2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2322	75	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234c	11	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
7b93e6a1:150814fecb6:2410	12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230f	97	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bb	94.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
7b93e6a1:150814fecb6:2397	8.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:243a	30	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2262	80	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c9	2.4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:228c	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2448	30	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2350	16.5	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:224f	51.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23b7	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2313	85	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237a	14.7	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233d	4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2401	60	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ac	1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2388	14	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2290	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242b	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f7	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2253	0.9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:227d	15	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2439	2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e5	27.4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2341	1.6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23a8	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2304	6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b0	99	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236b	57.1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232e	15	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22da	0.5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2379	72.8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2281	0.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:241c	15	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e8	10	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2244	8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:226e	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d6	6.2	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2332	30.2	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22a1	3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:235c	11.8	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
7b93e6a1:150814fecb6:2420	25	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231f	3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Confucianism/
7b93e6a1:150814fecb6:22cb	80	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:244a	28.3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2272	75	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240d	1	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d9	95	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2235	98	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229c	11	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2360	58.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225f	35.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c7	36.7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:2323	96	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234d	10	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2411	30	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bc	1.3	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/Yezidi/
7b93e6a1:150814fecb6:2398	2.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:243b	5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2263	10	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23aa	30	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:228d	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2449	16.6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f5	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2351	6.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:23b8	19	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2314	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c0	93.4	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237b	2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:233e	67	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22ea	1	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2402	1	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ad	0.6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:2389	14.4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2291	82.5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242c	10	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f8	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2254	2.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227e	4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e6	96	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2342	50	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a9	60	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2305	1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22b1	2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236c	21.2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2430	33.9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232f	4.5	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22db	0.1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2282	1.3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241d	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e9	7	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2245	2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2370	3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226f	0.6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23d7	47.1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2333	29	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:239a	1.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a2	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235d	76.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2421	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:244b	52	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2273	25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240e	25	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23ba	34	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2236	1.3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229d	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2361	23.2	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c8	3.8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
7b93e6a1:150814fecb6:2324	98	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d0	63	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238b	18	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:234e	86	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22fa	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2412	24	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22bd	87.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2399	2.1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:243c	60	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2264	2.6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ab	13.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:228e	13.6	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f6	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2352	1.9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b9	5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2315	90	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c1	4.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:237c	39	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2440	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233f	39.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22eb	45	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2403	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ae	0.5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2292	1.1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:242d	94	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f9	98.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2255	0.3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2380	85	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:227f	87.8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e7	2	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2343	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2306	2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22b2	4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:236d	1.9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2431	18.6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22dc	95	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a0	54	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2283	59.4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ca	99.7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2246	1	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2371	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d8	10	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2334	23.9	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22e0	1.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/CaoDai/
7b93e6a1:150814fecb6:239b	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a3	98	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235e	14.4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2422	1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22cd	0.5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Jains/
7b93e6a1:150814fecb6:244c	90	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2274	87	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240f	60	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23bb	17	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2237	64.7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229e	96	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2362	0.9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23c9	99	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2325	1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22d1	8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:238c	40	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2450	3.4	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:234f	42.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fb	0.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2413	1	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22be	9.9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:243d	10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2265	19.6	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ac	24.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2390	42	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:228f	12.8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23f7	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2353	51.3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2316	10	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c2	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237d	44.8	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2441	80	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ec	50	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2404	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b0	10	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:22af	0.3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2293	86.7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242e	6	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23da	81.3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2256	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:23e8	95	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2344	1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Mayan/
7b93e6a1:150814fecb6:22f0	5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2307	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22b3	99	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236e	0.7	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2432	0.7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:22dd	9.3	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a1	95	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2284	7.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241f	50	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23cb	92	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2247	94	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2372	95	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d9	0.3	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2335	80.8	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e1	0.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:239c	8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a4	98	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:235f	1.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2423	55	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ce	75	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:244d	60	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2275	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23bc	10	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2238	33.3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229f	3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2363	85	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2326	5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d2	14	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238d	12	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2451	2	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/NewApostolic/
7b93e6a1:150814fecb6:22fc	75.6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2414	67	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c0	1.4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:22bf	0.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:243e	16	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ea	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2266	15.3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ad	12.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2391	17	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Episcopalian/
7b93e6a1:150814fecb6:23f8	38	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2354	23.9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2317	30	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c3	83	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237e	3.4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2405	50	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b1	61	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
7b93e6a1:150814fecb6:2294	1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:242f	43.5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23db	12.5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2257	76.2	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2382	90	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e9	99	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2345	76.5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f1	90	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2308	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b4	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:236f	97	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2433	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22de	6.7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223a	85	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a2	52.6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2285	0.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23cc	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2248	85	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2373	1	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2336	9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e2	0.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:239d	52	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a5	1.5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2424	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d0	73.6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22cf	25	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
\.


--
-- TOC entry 5301 (class 0 OID 90978)
-- Dependencies: 812
-- Data for Name: Border; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Border" ("URI", length, "Country1", "Country2") FROM stdin;
7b93e6a1:150814fecb6:-6f4	235	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-650	1224	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-6b7	423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-613	877	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-67a	331	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-63d	965	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-701	215	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-688	870	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-5f7	858	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6e5	91	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-641	1376	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6a8	35	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-604	189	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-66b	288	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-62e	201	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-5da	1569	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-679	181	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-71c	151	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-5e8	830	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-6d6	25	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-632	443	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-65c	225	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-61f	628	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-70d	623	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5d9	105	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-660	203	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-6c7	6.3	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-623	306	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BF/
7b93e6a1:150814fecb6:-68a	19	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-64d	1560	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-711	65	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/E/
7b93e6a1:150814fecb6:-698	605	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6aa	1621	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f5	443	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-651	1643	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/CO/
7b93e6a1:150814fecb6:-6b8	1236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-614	716	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/LB/
7b93e6a1:150814fecb6:-67b	820	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-63e	956	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5ea	769	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-702	646	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-689	238	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/ROK/
7b93e6a1:150814fecb6:-5f8	2184	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-6e6	453	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-642	982	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-6a9	268	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-605	1094	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-66c	410	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-62f	1175	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5db	1231	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-71d	282	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-5e9	232	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-670	1458	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-6d7	241	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-633	813	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69a	1690	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-6ff	451	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-65b	2900	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-61e	126	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-669	266	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-70c	1.2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/GBZ/
7b93e6a1:150814fecb6:-6c6	939	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-622	773	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-64c	673	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/FGU/
7b93e6a1:150814fecb6:-710	488	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-60f	217	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-697	381	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/MAL/
7b93e6a1:150814fecb6:-65d	15	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/SMAR/
7b93e6a1:150814fecb6:-70e	4.4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/MC/
7b93e6a1:150814fecb6:-6ba	2185	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-661	275	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/RH/
7b93e6a1:150814fecb6:-6c8	586	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-624	266	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-68b	1051	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-64e	985	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-5fa	1360	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-712	60	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-699	470	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ab	1161	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f6	329	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-652	900	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-6b9	3380	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-615	610	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-67c	228	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/TL/
7b93e6a1:150814fecb6:-63f	1559	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-5eb	1626	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-703	164	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CH/
7b93e6a1:150814fecb6:-5f9	639	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-680	11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/GAZA/
7b93e6a1:150814fecb6:-6e7	217	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-643	1420	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-606	797	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCA/
7b93e6a1:150814fecb6:-66d	676	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-5dc	491	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a0	322	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-6ca	729	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-671	457	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-6d8	932	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-634	1561	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-5e0	435	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-69b	1463	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-65e	922	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-70f	73	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-6bb	414	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-662	330	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-6c9	1619	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/S/
7b93e6a1:150814fecb6:-625	797	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-68c	2203	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-64f	1290	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-5fb	350	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-713	159	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6ac	1458	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IRQ/
7b93e6a1:150814fecb6:-690	803	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6f7	103	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-653	750	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-616	668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-67d	1273	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5ec	934	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-704	324	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-6b0	30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/HONX/
7b93e6a1:150814fecb6:-6da	357	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-681	307	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-6e8	959	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-644	743	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f0	58	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-607	1690	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-66e	375	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-5dd	419	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a1	611	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6cb	167	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-672	222	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-6d9	249	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-635	2237	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-5e1	169	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-69c	2912	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-65f	342	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-6bc	523	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-663	309	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-626	1930	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-68d	379	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-5fc	1903	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-714	352	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c0	1206	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-6ea	605	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-6ad	992	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-691	541	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-6f8	102	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-654	861	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-617	532	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-67e	1150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-5ed	769	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-705	91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6b1	0.34	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MACX/
7b93e6a1:150814fecb6:-6db	450	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-682	79	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/RL/
7b93e6a1:150814fecb6:-6e9	891	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-645	600	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f1	337	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-608	523	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-66f	822	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-5de	837	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a2	9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6cc	290	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-673	97	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-636	419	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-5e2	765	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-69d	1800	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6d0	240	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6fa	151	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6bd	3645	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-664	8893	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-627	855	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-68e	6846	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-5fd	87	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-715	79	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-6c1	2430	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-6eb	502	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LT/
7b93e6a1:150814fecb6:-6f9	515	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6ae	909	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-60a	475	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-692	2130	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-655	3400	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BR/
7b93e6a1:150814fecb6:-618	430	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-67f	255	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-5ee	912	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-706	37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-6b2	4673	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MNG/
7b93e6a1:150814fecb6:-6dc	148	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-683	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-646	510	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f2	113	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ER/
7b93e6a1:150814fecb6:-609	756	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MOC/
7b93e6a1:150814fecb6:-6e0	1576	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-5df	909	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a3	284	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6cd	267	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-674	375	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-637	821	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5e3	338	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69e	4053	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6d1	608	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-6fb	68	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/DK/
7b93e6a1:150814fecb6:-6be	137	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-61a	813	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-665	3326	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-628	1360	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RB/
7b93e6a1:150814fecb6:-68f	1228	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-5fe	989	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-716	124	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c2	936	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6ec	141	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-6af	499	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-60b	396	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-693	1754	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-656	832	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-619	225	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-6f0	573	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5ef	605	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-707	430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-6b3	858	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-6dd	167	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-684	238	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-647	160	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-5f3	306	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e1	206	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6a4	252	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-600	1197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-6ce	531	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-62a	2410	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-675	728	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-638	383	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5e4	386	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-69f	193	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-6d2	318	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6fc	577	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-6bf	744	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-61b	1840	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-666	256	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-629	233	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-5ff	175	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-717	62	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c3	76	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ed	41	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-60c	217	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-694	235	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-657	579	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-6f1	90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-708	366	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/H/
7b93e6a1:150814fecb6:-6b4	1416	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NOK/
7b93e6a1:150814fecb6:-610	451	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-6de	620	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-63a	459	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-685	51	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-648	1880	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-5f4	563	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-6e2	428	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-6a5	723	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-601	1577	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-6cf	476	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-62b	1110	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-676	605	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-639	1055	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5e5	740	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/WAG/
7b93e6a1:150814fecb6:-6d3	148	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6fd	138	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-61c	548	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-667	962	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70a	362	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CZ/
7b93e6a1:150814fecb6:-718	206	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6c4	360	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/IRL/
7b93e6a1:150814fecb6:-620	1000	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6ee	740	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-64a	597	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-60d	338	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-695	1782	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-658	5150	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-6f2	39	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/RSM/
7b93e6a1:150814fecb6:-709	784	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-6b5	1533	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KAZ/
7b93e6a1:150814fecb6:-611	290	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-6df	1313	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-63b	354	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-686	3441	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-649	2200	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f5	652	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e3	444	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6a6	787	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/AZ/
7b93e6a1:150814fecb6:-602	467	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-62c	2511	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-677	814	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-71a	112	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/KOS/
7b93e6a1:150814fecb6:-5e6	933	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-6d4	494	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-630	1497	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-6fe	456	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-65a	2050	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-61d	584	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/CI/
7b93e6a1:150814fecb6:-668	250	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70b	1214	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/P/
7b93e6a1:150814fecb6:-719	228	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6c5	450	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-621	644	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-6ef	334	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-64b	1119	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/GUY/
7b93e6a1:150814fecb6:-60e	459	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-696	506	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-659	590	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/EC/
7b93e6a1:150814fecb6:-6f3	3.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/V/
7b93e6a1:150814fecb6:-6b6	1281	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-612	233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-63c	42	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-700	658	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-687	1099	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-5f6	330	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-6e4	227	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-640	463	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RIM/
7b93e6a1:150814fecb6:-6a7	164	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-603	298	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/G/
7b93e6a1:150814fecb6:-66a	60	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-62d	1376	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/NAM/
7b93e6a1:150814fecb6:-678	242	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/KWT/
7b93e6a1:150814fecb6:-71b	172	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-5e7	682	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-6d5	546	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-631	9.6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MEL/
\.


--
-- TOC entry 5302 (class 0 OID 90984)
-- Dependencies: 813
-- Data for Name: City; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "City" ("URI", name, population, elevation, longitude, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	Barreiro	79042	\N	-9.07	38.67
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	Viamão	224943	9	-51.02	-30.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	Montréal	1649519	30	-73.57	45.5
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	Makiïvka	356118	169	38.07	48.08
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakaka	\N	566	40.2	29.97
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton Coldfield	109015	\N	-1.82	52.56
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	Chattanooga	168828	206	-85.27	35.05
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	Malambo	119286	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	Ondo	146051	\N	4.83	7.08
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	Al Hasakah	254622	300	40.74	36.51
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	Sheffield	518090	\N	-1.47	53.38
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	Maturín	298581	67	-63.18	9.75
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	Chongqing	7457600	237	106.57	29.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	Oaxaca	255029	1555	-96.72	17.07
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	Hamilton	\N	\N	-64.78	32.29
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	Ploieşti	209945	160	26.03	44.93
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	Concordia	137046	21	-58.03	-31.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	Mbanza Congo	\N	408	14.25	-6.27
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	Bremen	542707	11	8.8	53.08
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	Chandigarh	510565	350	76.78	30.75
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	Cheongju	667726	39	127.48	36.63
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	Baia Mare	123738	228	23.58	47.67
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	Eger	56569	165	20.37	47.9
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	Acarigua	129237	195	-69.2	9.56
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	Illéla	142214	\N	5.24	14.46
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	Irkutsk	606137	444	104.3	52.31
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	Saint-Louis	177662	\N	-16.5	16.03
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	Guarenas	170204	374	-66.62	10.47
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	Suva	75225	\N	178.44	-18.14
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	Stans	7961	452	8.35	46.95
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	Clearwater	108261	9	-82.76	27.97
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Tshwane	2921488	1339	28.19	-25.75
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	Athens	115453	194	-83.38	33.95
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	Pingdingshan	410775	\N	113.3	33.73
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	Koronadal	149622	100	124.85	6.5
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	Enschede	158494	42	6.9	52.22
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	Žilina	81494	342	18.74	49.22
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	Khorramshahr	129418	5	48.17	30.44
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	Herat	335200	920	62.2	34.34
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	Helsingborg	132011	10	12.72	56.05
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	Roseau	14725	43	-61.39	15.3
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	Blantyre	661256	1039	35.01	-15.79
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	Pangkal Pinang	174758	13	106.12	-2.13
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	San Andres	\N	\N	-81.7	12.58
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	Chur	\N	593	9.53	46.85
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan De Oro	553966	10	124.65	8.48
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	Fort-de-France	100000	\N	-61	14.6
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	Majuro	27797	\N	171.27	7.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	Suqian	105021	\N	118.28	33.93
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	Bagé	97765	212	-54.11	-31.33
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	Nevinnomyssk	118360	320	41.93	44.63
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	Ribeirão Pires	113068	800	-46.42	-23.72
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	Maanshan	305421	\N	118.35	31.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	Watford	131982	71	-0.4	51.66
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	Helsinki	614535	\N	24.94	60.17
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	Ubon Ratchathani	149700	\N	104.86	15.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	Pomona	149058	259	-117.76	34.06
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	Frankfort	27269	155	-84.87	38.2
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	Novi Sad	335701	80	19.85	45.25
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	Szolnok	72953	68	20.18	47.17
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	Springfield	153060	21	-72.59	42.1
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	Takoradi	311206	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	Winterthur	105676	439	8.75	47.5
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	Jizzax	163200	378	67.84	40.12
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	Donets´k	955041	169	37.81	48
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	Tunceli	\N	940	39.55	39.1
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	Tarapoto	117184	356	-76.37	-6.48
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspijsk	100129	0	47.64	42.88
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Busan	3403135	\N	129.07	35.17
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bahru	233673	\N	102.25	6.13
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	Antananarivo	710236	1276	47.52	-18.93
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	Ipswich	144957	\N	1.16	52.06
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	Owando	\N	325	15.9	-0.48
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	Papeete	\N	0	-149.57	-17.53
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Daegu	2444085	\N	128.6	35.87
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Chita	331346	650	113.47	52.05
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	Petare	520982	900	-66.82	10.48
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	Râmnicu Vâlcea	98776	\N	24.38	45.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	Yanan	113277	975	109.48	36.58
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	Indianapolis	843393	218	-86.15	39.77
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	San Luis	152918	709	-66.33	-33.3
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarem	\N	\N	-8.68	39.23
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	Alexandria	\N	41	25.33	43.97
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	Béchar	165241	747	-2.22	31.62
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	Vinh	215577	\N	105.67	18.67
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnurd	199791	1070	57.33	37.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	Carapicuíba	369584	\N	-46.84	-23.52
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	Paradise	223167	627	-115.12	36.08
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	Ushuaia	56825	23	-68.3	-54.8
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	Durgapur	425836	65	87.32	23.55
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	Palu	336532	118	119.83	-0.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	Rockford	153044	222	-89.06	42.26
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	Santo Domingo	2749703	14	-69.95	18.47
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	St Helens	102885	\N	-2.75	53.45
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	Salvador	2674923	8	-38.48	-12.97
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	Chimoio	237497	664	33.48	-19.12
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	Swindon	182441	\N	-1.78	51.56
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	Christchurch	361941	0	172.62	-43.53
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	San Felipe	\N	250	-68.74	10.34
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Tegucigalpa	850227	990	-87.22	14.1
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siguatepeque	60155	\N	-87.83	14.6
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	Pematang Siantar	234698	\N	99.06	2.96
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	Guelmim	\N	\N	-10.07	28.98
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	Amol	219915	76	52.35	36.47
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	Fóggia	147036	76	15.55	41.46
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	Quito	1619146	2850	-78.52	-0.23
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	Hermansverk	\N	6	6.85	61.18
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	Sion	\N	500	7.37	46.23
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	Detroit	688701	183	-83.05	42.33
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	Nyala	227183	673	24.88	12.04
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	Presidente Prudente	203375	\N	-51.38	-22.13
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Peiraias	163688	0	23.63	37.95
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	Kawasaki	1388481	\N	139.7	35.52
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Jeju	399416	\N	126.52	33.51
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	Bremerhaven	108156	2	8.58	53.55
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Pádova	206192	12	11.87	45.42
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	Tripoli	\N	655	22.38	37.52
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	Constantine	448028	694	6.6	36.35
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	Moss	24517	14	10.7	59.46
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	Tianshui	244974	1171	105.73	34.58
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	Sanming	160691	\N	117.62	26.25
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	Eskisehir	659924	788	30.52	39.78
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	Vladimir	347930	150	40.42	56.13
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	Pembroke Pines	154019	2	-80.31	26.01
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	Bandar Seri Begawan	279924	9	114.94	4.89
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	Teófilo Otoni	110076	334	-41.5	-17.86
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Wulumuqi	3029372	\N	87.6	43.83
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	Lancaster	156633	719	-118.15	34.68
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	Singida	150379	\N	34.74	-4.81
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	Pekalongan	281434	\N	109.67	-6.88
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzeržinsk	240742	90	43.45	56.23
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	Comilla	339133	\N	91.2	23.45
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	Laghouat	134372	769	2.88	33.8
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	Haiphong	846191	\N	106.68	20.87
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sokhumi	62914	5	41.02	43
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	Szekszárd	\N	83	18.7	46.36
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	Casablanca	2946440	0	-7.58	33.53
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	Jiangyou	175753	\N	104.76	31.77
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	Kirklareli	\N	203	27.23	41.73
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	Adelaide	1262940	43	138.6	-34.93
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	Dezful	248380	150	48.4	32.38
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	Al Ubayyiḑ	229425	609	30.22	13.18
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	Cartago	150473	1435	-83.92	9.87
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	Parnaíba	137485	5	-41.78	-2.9
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castellón de la Plana	176298	30	-0.03	39.98
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Ta'izz	458933	1370	44.02	13.58
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	Turku	182154	\N	22.27	60.45
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	Verona	252520	59	10.98	45.43
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	Arlon	28759	\N	5.82	49.68
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	Pindamonhangaba	141708	540	-45.46	-22.92
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	Gera	96067	194	12.08	50.88
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	Osh	265200	963	72.8	40.53
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	Baku	2150800	-28	49.88	40.4
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	Yuyao	114056	\N	121.15	30.05
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	Coimbra	118016	34	-8.43	40.21
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	Comodoro Rivadavia	135813	61	-67.48	-45.86
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	Vitória da Conquista	274739	923	-40.84	-14.87
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	Bo	149957	15	-11.74	7.96
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	Odienne	\N	451	-7.56	9.51
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	Rawson	102099	4	-65.1	-43.3
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	Puerto Cortes	90161	\N	-87.95	15.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	Jincheng	136396	\N	112.83	35.52
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	Santa Rosa	93924	175	-64.28	-36.62
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	Bello	447185	1310	-75.57	6.33
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	Xichang	134419	1542	102.26	27.89
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	San Juan	381931	8	-66.06	18.41
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	Itagui	264775	1550	-75.62	6.17
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	Jersey City	247643	6	-74.07	40.71
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	Muzaffarabad	725000	737	73.28	34.21
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	Valparaíso	263499	10	-71.62	-33.05
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	Oruro	264683	3735	-67.12	-17.97
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	Hollywood	140769	3	-80.17	26.02
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	Yellowknife	19234	206	-114.4	62.44
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	Houston	2195914	13	-95.38	29.76
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	Albacete	171999	686	-1.86	39
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	Huaibei	366549	\N	116.47	33.58
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	Apeldoorn	157540	16	5.97	52.22
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kim Chaek	207299	\N	129.2	40.67
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	Maputo	1094628	47	32.58	-25.97
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	Najafabad	221814	\N	51.6	32.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	Akure	239124	\N	5.2	7.25
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Šachty	239987	100	40.23	47.7
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	Tambacounda	\N	24	-13.67	13.77
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	Rangpur	294265	34	89.25	25.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	San Antonio	1409019	198	-98.5	29.42
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	Sunderland	174286	\N	-1.38	54.91
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Klang	563173	\N	101.45	3.03
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	Charlotte Amalie	10354	\N	-64.9	18.3
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	Portland	609456	15.2	-122.68	45.52
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	Erie	101784	199	-80.09	42.13
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	Elbasan	78703	150	20.07	41.1
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	Iquique	164396	1	-70.15	-20.22
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	Hawassa	212665	1708	38.47	7.05
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	Bridgetown	88529	1	-59.61	13.11
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volzhsky	327356	20	44.74	48.81
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	Zhengzhou	4253913	\N	113.65	34.77
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	Impfondo	\N	326	18.07	1.64
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	Toledo	287206	187	-83.58	41.67
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	Batam	944285	\N	104.03	1.08
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	Atar	\N	270	-13.05	20.52
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	Rzeszów	180776	221	22	50.03
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	Severodvinsk	192353	7	39.87	64.57
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Mons	93941	\N	3.95	50.45
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	Governador Valadares	253300	170	-41.95	-18.85
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	Barra Mansa	176193	389	-44.17	-22.54
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	Sanandaj	373987	1538	46.99	35.31
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuznetsk	549182	200	87.12	53.75
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	Basildon	107123	\N	0.49	51.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	Ankang	142170	300	109.02	32.68
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	Zhumadian	123232	\N	114.03	32.98
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	Viborg	\N	51	9.4	56.45
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	São Gonçalo	998999	19	-43.05	-22.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	Itu	144269	583	-47.3	-23.26
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	Kingstown	12909	\N	-61.22	13.16
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	Leverkusen	158984	60	6.98	51.03
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	Oulu	194181	\N	25.47	65.02
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	Penonomé	85737	70	-80.36	8.52
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	Ferrara	132545	9	11.62	44.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	Basingstoke	107355	\N	-1.09	51.27
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	Santa Rosa	167834	50	-122.7	38.45
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	Győr	129527	108	17.63	47.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	Sarajevo	291422	518	18.42	43.87
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	Chichica	\N	\N	-81.67	8.36
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	Békéscsaba	62050	89	21.09	46.68
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	Hamamatsu	791710	\N	137.73	34.71
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	Mesa	439611	379	-111.83	33.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	Zibo	3129228	7	118.05	36.78
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	Saraburi	125300	\N	100.91	14.53
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	New York	8405837	10	-74.01	40.71
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	Harar	110457	1885	42.12	9.32
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	Rochester	210512	154	-77.61	43.17
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytišči	173160	150	37.77	55.92
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	Magaria	130707	\N	8.91	13
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	El Aaiun	183691	\N	-13.2	27.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	Middlesbrough	174700	\N	-1.24	54.58
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	Melitopol´	156885	\N	35.37	46.83
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Al Qamishl	232258	455	41.22	37.05
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	Kuantan	283041	21.95	103.33	3.82
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	Ėngel's	202419	20	46.12	51.5
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Daman	\N	5	72.85	20.42
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	Iqaluit	6699	\N	-68.52	63.75
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	Santiago	4659048	521	-70.67	-33.45
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	Wels	59239	317	14.02	48.15
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	Oklahoma City	610613	366	-97.53	35.48
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	Marabá	186270	170	-49.12	-5.35
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	Uyo	\N	65	7.92	5.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	Laval	401553	91	-73.75	45.58
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	Monrovia	1010970	\N	-10.8	6.31
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	Niigata	802778	\N	139.04	37.92
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	Haarlem	155361	2	4.63	52.38
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk-na-Amure	257891	30	137	50.57
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	Nevsehir	92068	\N	34.71	38.63
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	Matagalpa	150643	680	-85.92	12.92
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	Moradabad	429214	198	78.78	28.83
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	Cuttack	403418	36	85.79	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	Qitaihe	214957	209	131	45.77
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	Rancho Cucamonga	165350	368	-117.58	34.12
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	Sarapul	101381	80	53.8	56.47
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	Poole	154718	\N	-1.98	50.72
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	Hangzhou	6241971	\N	120.17	30.25
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	Seremban	246441	79	101.95	2.72
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	Daloa	266324	299	-6.45	6.88
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	Yizheng	109268	\N	119.19	32.41
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	Yonkers	195979	25	-73.86	40.94
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	Santa Marta	476385	6	-74.21	11.24
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	Vila Velha	412575	4	-40.29	-20.34
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	Nigde	118186	1229	34.68	37.97
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	Chernivtsi	255929	248	25.93	48.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	Stoke-on-Trent	270726	107	-2.18	53
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	Lund	112950	\N	13.2	55.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	Santos	419086	2	-46.32	-23.94
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmadabad	5577940	53	72.58	23.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	Fremont	214079	17	-121.99	37.55
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	Kirsehir	114244	\N	34.16	39.15
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	Yakeshi	377869	657	120.72	49.28
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	Gifu	409655	\N	136.77	35.42
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville-Davidson	634464	182	-86.78	36.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	Piracicaba	356743	547	-47.65	-22.73
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	Celaya	340387	1767	-100.81	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	Huaiyin	239675	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	Braunschweig	242537	75	10.52	52.27
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	Taunggyi	380665	1399	97.03	20.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	Phoenix	1513367	331	-112.07	33.45
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	Amiens	133327	14	2.3	49.89
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	Springfield	159500	396	-93.29	37.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	Caxias do Sul	419406	817	-51.18	-29.17
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	Juticalpa	84641	410	-86.22	14.67
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	Baiyin	204970	1698	104.21	36.56
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	Parma	175895	55	10.33	44.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	Sari	296417	5	53.06	36.56
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	Cape Coast	169894	0	-1.25	5.1
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	Cochabamba	630587	2558	-66.17	-17.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	Barakaldo	100064	39	-2.99	43.3
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	Ayacucho	151019	2761	-74.22	-13.16
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Ciudad de Guatemala	992541	1500	-90.54	14.61
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	León	201100	86	-86.89	12.43
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	Davao	1363337	22.3	125.6	7.07
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	Patos de Minas	127724	815	-46.52	-18.58
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	Zalau	\N	275	23.06	47.19
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fès	920740	412	-5	34.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	Mbuji-Mayi	806475	549	23.6	-6.15
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	Goma	109094	1489	29.23	-1.68
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	Yozgat	78328	1300	34.81	39.82
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Chelyabinsk	1156201	220	61.38	55.15
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	Valencia	1599540	520	-68	10.18
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	Aba	500183	205	7.37	5.12
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	Tiraspol	148917	\N	29.63	46.85
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novyj Urengoj	104107	40	76.68	66.08
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	Galaţi	249432	55	28.04	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	Barcelona	1611013	12	2.18	41.38
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	Piacenza	100311	61	9.7	45.05
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	Inglewood	109673	40	-118.35	33.96
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	Debrecen	211320	121	21.64	47.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	Boca del Río	126507	16	-96.11	19.11
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	Barnaul	629681	180	83.75	53.33
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	Amsterdam	812895	2	4.9	52.37
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	Dire Dawa	262884	1276	41.87	9.6
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	Ukhta	99591	100	53.7	63.57
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	Fianarantsoa	109260	1200	47.09	-21.45
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	Tarnów	113188	190	20.99	50.01
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	Mannheim	290117	97	8.47	49.49
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	Callao	438326	0	-77.13	-12.03
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	Sinop	\N	\N	35.15	42.03
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	Saratov	839755	50	46.02	51.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	Jinxi	357052	\N	120.83	40.72
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	Road Town	\N	\N	-64.37	18.27
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Tamatave	137782	\N	49.42	-18.15
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	Hirakata	406123	\N	135.65	34.82
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Effon-Alaiye	158977	\N	4.82	7.68
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	Falun	51900	110	15.63	60.61
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	Whitehorse	23276	670	-135.05	60.72
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	Xianyang	352125	\N	108.72	34.35
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	Bismarck	61264	514	-100.78	46.81
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	Sendai	1020241	\N	140.87	38.27
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	Buzău	115494	95	26.82	45.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	Port Harcourt	703421	18	7	4.75
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Ščëlkovo	110411	150	38	55.92
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	San Cristóbal	328636	860	-72.23	7.77
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	L´viv	729842	296	24.02	49.85
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	Mixco	483705	1600	-90.61	14.63
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	Hualien	108077	\N	121.61	23.97
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	Bandar Lampung	881801	15	105.27	-5.45
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	Saint George's	37000	\N	-61.75	12.05
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	Chandler	236176	370	-111.83	33.3
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamedan	525794	1850	48.52	34.8
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	Xiaoshan	162930	\N	120.25	30.17
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	Arica	210936	2	-70.33	-18.48
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nachodka	159719	8	132.87	42.82
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	Parla	122045	648.5	-3.77	40.24
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago	591985	175	-70.7	19.47
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	Vorkuta	70548	180	64.03	67.5
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	Kitchener	219153	\N	-80.48	43.45
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Chasavjurt	131187	130	46.58	43.25
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	Stavanger	129191	\N	5.72	58.96
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	Tuxtla Gutiérrez	537102	522	-93.12	16.75
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	Namibe	\N	9	12.15	-15.2
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	Odense	168798	13	10.39	55.4
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	Yeosu	267921	\N	127.73	34.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	Ikare	103843	\N	5.75	7.52
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	Arapiraca	181481	264	-36.66	-9.75
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	Santa Tecla	126353	931	-89.24	13.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	Derby	255394	\N	-1.48	52.92
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	Manisa	309050	\N	27.42	38.63
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio nell'Emilia	\N	58	10.63	44.7
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bhisho	77682	435	27.44	-32.85
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	Jinan	4335989	23	116.98	36.67
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouerate	\N	380	-12.47	22.68
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	Vigo	295623	0	-8.71	42.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	Moers	104009	30	6.62	51.46
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	West Covina	106098	117	-117.92	34.06
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Kozhikode	456618	1	75.77	11.25
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	Bhopal	1798218	527	77.42	23.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	Changsha	3093980	63	112.97	28.2
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	Zhytomyr	271895	221	28.67	50.25
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	Chon Buri	233200	\N	100.98	13.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	Blackpool	147663	5	-3.05	53.81
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	Manzhouli	120023	\N	117.43	49.6
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	Okhotsk	4215	10	143.26	59.37
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	Beira	431583	14	34.85	-19.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	Asaba	\N	45	6.73	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	Tongling	228017	\N	117.77	30.93
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Genève	191557	375	6.15	46.2
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	Guangzhou	11071424	21	113.27	23.13
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	Tripoli	1500000	81	13.19	32.9
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	Getafe	168642	622	-3.73	40.3
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	Northampton	215173	\N	-0.89	52.23
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	Geelong	174086	\N	144.35	-38.15
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	Gorzów Wielkopolski	124470	19	15.25	52.73
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	Sidi Bel Abbës	210146	470	-0.64	35.19
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	Kaedi	49152	23	-13.51	16.15
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	Jinotega	123548	1000	-86	13.17
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	Baicheng	217987	154	122.83	45.62
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	Jos	510300	1217	8.88	9.93
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	Perúgia	162449	493	12.39	43.11
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	Cádiz	124014	11	-6.28	36.53
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Ulyanovsk	615306	140	48.37	54.32
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	Jacareí	208297	567	-45.97	-23.31
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	Montreuil	103068	52	2.44	48.86
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	Morogoro	315866	\N	37.67	-6.82
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	Dallas	1257676	131	-96.8	32.78
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	London	366151	251	-81.25	42.98
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	Sapporo	1904319	\N	141.35	43.07
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	Perpignan	118238	8	2.9	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	Santa Maria	248347	113	-53.8	-29.68
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	Baguio	301926	1540	120.6	16.42
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	Trenčín	55877	211	18.04	48.89
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	Amarillo	190701	1099	-101.85	35.2
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	Rach Gia	210784	\N	105.08	10.02
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	Ar Raqqah	343870	245	39.02	35.95
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	West Island	\N	\N	96.5	-12.1
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	Lleida	137283	155	0.63	41.62
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Al Amarah	208797	12	47	32
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	Mumbai	12442373	14	72.83	18.98
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	Palangkaraya	220962	5	113.92	-2.21
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	Paris	2249975	28	2.35	48.86
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	San Fernando	269365	\N	120.68	15.03
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	Wałbrzych	119216	350	16.28	50.77
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	Nîmes	144940	21	4.36	43.84
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	Västerås	140499	17	16.55	59.62
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Al Manāmah	143035	\N	50.58	26.22
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	Cap-Haïtien	155505	0	-72.2	19.76
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	Strasbourg	272222	132	7.75	48.58
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	San José	354409	1172	-84.08	9.93
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	Eisenstadt	13485	182	16.52	47.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	Plzeň	171346	308	13.38	49.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	Guarujá	290696	4	-46.26	-23.99
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	Buon Ma Thuot	211891	536	108.05	12.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	Santa Bárbara d'Oeste	178596	570	-47.41	-22.75
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	Zhoukou	146288	\N	114.63	33.63
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	Chingola	211755	1363	27.85	-12.53
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Železnodorožnyj	131257	145	38.02	55.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	Abeokuta	352735	66	3.35	7.16
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	Lubbock	229399	993	-101.88	33.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	Mazatlán	381583	\N	-106.42	23.22
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	Elista	103749	120	44.27	46.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	Jacksonville	842583	5	-81.66	30.34
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	Zhangzhou	181424	\N	117.65	24.52
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	Bonn	305765	60	7.1	50.73
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	Tétouan	320539	90	-5.37	35.57
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	Tangerang	1798601	\N	106.63	-6.18
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	Steinkjer	20480	\N	11.72	64.06
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	Bacolod	499497	10	122.95	10.67
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	Fuyang	179572	\N	115.82	32.9
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	Idlib	126284	500	36.63	35.93
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	Uribia	168286	10	-72	11.92
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	Acheng	197595	\N	126.97	45.54
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	Yinchuan	356652	1100	106.27	38.47
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	Kayes	127368	33	-11.43	14.45
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	Alba Iulia	\N	230	23.57	46.07
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	Vila Real	\N	450	-7.75	41.3
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipetsk	509098	160	39.6	52.62
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	Annaba	342703	3	7.77	36.9
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	Ivano-Frankivs´k	224660	244	24.71	48.92
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	Curitiba	1751907	934.6	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	Onitsha	350280	\N	6.78	6.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	Guliston	\N	271	68.78	40.48
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	Carson City	32022	1464	-119.75	39.16
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	Módena	179149	34	10.93	44.65
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	Kiel	235782	5	10.13	54.33
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	Hiroshima	1164654	\N	132.46	34.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	Essen	566201	116	7.01	51.45
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	Sorø	\N	\N	11.57	55.43
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	Coquimbo	148438	15	-71.34	-29.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	Sariwon	307764	\N	125.75	38.51
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	Hafnarfjordur	26099	\N	-21.95	64.07
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	Malmö	307758	12	13.04	55.61
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	Samsun	547778	\N	36.33	41.28
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	Manado	410481	5	124.84	1.49
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolëv	183402	160	37.82	55.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	Vancouver	603502	0	-123.1	49.25
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	Kyoto	1382113	\N	135.77	35.01
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	San Cristóbal de La Laguna	152025	543	-16.3	28.48
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	Xiamen	3531347	\N	118.09	24.48
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	Arnhem	150989	13	5.92	51.98
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	Kampala	1516210	1190	32.58	0.31
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	Escondido	143913	197	-117.08	33.12
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	's-Hertogenbosch	143822	6	5.3	51.68
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	Aurangabad	1175116	568	75.32	19.88
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	Phuket	75573	\N	98.4	7.89
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	Duisburg	488468	33	6.76	51.44
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	Fatick	\N	11	-16.41	14.33
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	Mariehamn	10851	\N	19.93	60.1
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	Mbeya	385279	1697	33.45	-8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	Wuxi	3543719	\N	120.3	31.57
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	Garland	226876	168	-96.64	32.91
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	Shinyanga	161391	\N	33.42	-3.66
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	Taiyuan	3426519	800	112.56	37.87
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	Colombo	203203	950	-49.22	-25.29
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	Dourados	181005	430	-54.81	-22.22
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	Bissau	\N	0	-15.57	11.85
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	Olanchito	78776	\N	-86.58	15.48
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	New Haven	129868	18	-72.92	41.31
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	Boa Vista	277799	76	-60.67	2.82
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	Cabinda	\N	24	12.19	-5.56
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	Płock	124048	60	19.7	52.55
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	Geita	\N	\N	32.23	-2.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	Abakaliki	\N	\N	8.1	6.33
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Al Mawsil	1800000	223	43.13	36.34
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	Yanji	230892	179	129.5	42.9
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	Kirkwall	6330	\N	-2.96	58.98
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	Heilbronn	116059	157	9.22	49.15
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	Quzhou	112373	\N	118.87	28.95
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	Shishou	104571	\N	112.4	29.72
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	Łódź	722022	162	19.47	51.78
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	Liuzhou	609320	\N	109.38	24.32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	Newport	128060	\N	-3	51.58
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	Rajahmundry	324881	14	81.78	16.98
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	Yichang	371601	58	111.28	30.72
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	Bauru	338184	537	-49.06	-22.31
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	Kotka	54714	\N	26.94	60.47
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	Newark	277138	4	-74.17	40.72
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	Al Mahallah al Kubra	442884	26	31.16	30.97
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	Huangshi	457601	\N	115.08	30.22
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	Anau	\N	\N	58.53	37.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	Diadema	386089	780	-46.61	-23.69
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	La Esperanza	\N	1700	-88.18	14.31
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	Cambridge	145818	6	0.12	52.21
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	Daan	138963	137	124.28	45.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	Sumaré	238470	583	-47.27	-22.82
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	Rosso	51026	6	-15.8	16.51
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	Bilecik	\N	\N	29.98	40.14
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	Lafia	108000	\N	8.52	8.49
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	Kashiwa	396251	\N	139.98	35.87
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Al Qahirah	8471859	23	31.23	30.05
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	Trier	105671	137	6.63	49.75
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	Eugene	156358	131	-123.09	44.05
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	San José de las Lajas	\N	135	-82.16	22.97
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	Birjand	178020	1491	59.2	32.87
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	Camaçari	231973	36	-38.32	-12.7
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termiz	136200	302	67.28	37.22
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	Sapele	109576	\N	5.67	5.9
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	Southend-on-Sea	175547	\N	0.71	51.54
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	Dresden	512354	112	13.73	51.03
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	Eskilstuna	98765	26	16.51	59.37
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	Boma	135284	61	13.05	-5.85
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rivne	250174	136	26.25	50.62
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Köln	1005775	53	6.95	50.94
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	Granada	123697	\N	-85.95	11.93
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	Ibirité	158590	872	-44.06	-20.02
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh	5968384	19	106.7	10.78
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Al Mansurah	437311	12	31.68	31.07
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Torino	872367	239	7.7	45.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	Yancheng	296831	\N	120.12	33.38
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	Biratnagar	204949	80	87.28	26.45
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Gauhati	584342	55.5	91.73	26.18
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	Medan	2097610	2.5	98.67	3.58
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	Kaunas	307498	48	23.89	54.9
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	Skien	53015	\N	9.55	59.21
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	Slough	155298	\N	-0.59	51.51
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	Nema	\N	280	-7.25	16.62
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	Gunsan	256755	\N	126.72	35.98
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	Yantai	2227733	\N	121.39	37.53
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	Augsburg	267767	494	10.9	48.37
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Majunga	106780	\N	46.32	-15.72
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	Belo Horizonte	2375151	760	-43.93	-19.92
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	Zarqa	395227	619	36.1	32.08
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	Alvorada	195673	17	-51.08	-29.99
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Mersin	876958	10	34.63	36.8
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Be'er Sheva	194300	260	34.8	31.26
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulaanbaatar	760077	1350	106.92	47.92
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	Buffalo	261325	183	-78.85	42.9
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	Buenavista	206081	\N	-99.17	19.61
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	Ibadan	1835300	239	3.92	7.4
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	Kumanovo	107745	340	21.72	42.14
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	Changuinola	98310	\N	-82.52	9.43
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	Fuzhou	2921762	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	Anchorage	291826	31	-149.9	61.22
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	Kursk	428741	250	36.18	51.72
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	Rosario	906004	31	-60.67	-32.95
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	Belém	1381475	10	-48.5	-1.46
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	Hebi	212976	\N	114.2	35.9
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	Cotonou	665100	51	2.43	6.37
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	Ipoh	566211	21.95	101.07	4.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	Foshan	7194311	16	113.12	23.02
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	Beni Mellal	163286	619	-6.36	32.34
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	Táranto	200154	15	17.23	40.47
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	Randers	61121	56	10.04	56.46
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	Aarau	\N	381	8.05	47.4
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	Nashik	1486053	660	73.78	20
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	Luan	144248	\N	116.51	31.75
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	Ludhiana	1618879	262	75.85	30.91
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	Leiyang	130115	\N	112.93	26.41
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	Formosa	198146	57	-58.18	-26.18
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	Kunshan	102052	\N	120.99	31.32
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	Belgorod	373528	130	36.6	50.6
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	Puyang	175988	\N	115.07	35.77
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	Kedougou	\N	\N	-12.18	12.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	Chennai	4646732	6	80.27	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	Chaozhou	313469	0	116.63	23.67
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	Touba	\N	\N	-7.68	8.28
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Al Basrah	1400000	5	47.82	30.5
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Vientiane	698318	174	102.6	17.97
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	Gijón	276969	3	-5.7	43.53
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	Lincoln	100160	\N	-0.54	53.23
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	Durham	228404	123	-78.91	35.99
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Al Ladhiqiyah	424392	11	35.78	35.52
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	Catanzaro	89364	342	16.6	38.9
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	Nanning	3437171	\N	108.32	22.82
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	Lauro de Freitas	163449	30	-38.33	-12.89
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	Orlando	238834	25	-81.3	28.42
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	Brăila	180302	25	27.96	45.27
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	Incheon	2637652	\N	126.63	37.48
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	Southampton	253651	\N	-1.4	50.9
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	Örebro	138952	34	15.21	59.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	Uberaba	289376	823	-47.93	-19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	Greensboro	268878	273	-79.82	36.08
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	Las Piñas	532330	\N	120.98	14.45
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	Granada	241003	738	-3.6	37.18
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	Białystok	294675	120	23.15	53.12
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	Aydin	195951	67	27.85	37.85
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	Leticia	\N	96	-69.93	-4.21
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	Xianning	136811	\N	114.22	29.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	Hayward	144342	32	-122.08	37.67
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	Raleigh	403971	96	-78.64	35.78
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	Itaituba	\N	15	-55.98	-4.28
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	Bariadi	\N	\N	33.98	-2.8
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	São Leopoldo	213238	26	-51.15	-29.76
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	Santa Fe	368369	25	-60.7	-31.63
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	Spring Valley	178395	721	-115.25	36.11
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	Bogotá	7776845	2640	-74.08	4.6
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	Bacău	144307	165	26.92	46.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk-Ural'skij	174689	160	61.93	56.4
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	Shenzhen	10358381	0	114.1	22.55
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	Erzurum	384399	1900	41.28	39.91
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	Bristol	535907	11	-2.58	51.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	Orizaba	120844	\N	-97.1	18.85
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kyïv	2814258	179	30.52	50.45
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	Loikaw	\N	884	97.21	19.67
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	Ajmer	402700	486	74.64	26.45
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	Kurgan	325565	75	65.35	55.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	Jalandhar	509510	228	75.58	31.33
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	Huancayo	323054	3259	-75.22	-12.07
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	Sandvika	116677	12	10.52	59.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	Torrance	145438	27	-118.34	33.83
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	Narvik	18754	\N	17.56	68.42
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	Luanshya	186372	1225	28.4	-13.13
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Sittwe	149348	\N	92.9	20.15
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	Antofagasta	285255	40	-70.4	-23.65
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	Zielona Góra	119182	71	15.5	51.93
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Balkanabat	108000	17	54.37	39.52
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	Dordrecht	118780	1	4.67	51.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	Zaoyang	162198	\N	112.75	32.13
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	Sássari	123782	225	8.57	40.73
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	Gillingham	104157	\N	0.55	51.38
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	Mongu	\N	\N	23.13	-15.28
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	Corum	231146	801	34.95	40.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sahiwal	208778	152.4	73.11	30.66
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	Santa Rita	103717	\N	-34.98	-7.11
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	Phnom Penh	703963	11.89	104.92	11.55
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	Magé	215236	5	-43.04	-22.65
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	Maidstone	107627	\N	0.53	51.27
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	Montero	109518	357	-63.26	-17.34
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	Sittard-Geleen	93726	47	5.87	51
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	Masjed Soleyman	103369	372	49.3	31.94
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	Zhezkazgan	84765	300	67.7	47.78
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	Elizabeth	124969	5	-74.19	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Ciudad Juárez	789522	1137	-106.49	31.74
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawabshah	189244	\N	68.25	26.15
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	Hsinchu	425071	\N	120.98	24.82
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	Salamanca	151658	802	-5.67	40.97
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	Canoas	323827	8	-51.18	-29.92
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	Jammu	\N	327	74.87	32.73
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	Haifa	265600	475	34.98	32.82
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Sakarya	590498	31	30.4	40.78
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	Pori	83457	\N	21.8	61.48
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	Yueyang	302800	\N	113.43	29.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica de Hidalgo	185242	50	-97.45	20.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	Nuevo Laredo	373725	\N	-99.51	27.49
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Burewala	152097	133	72.68	30.17
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	San Isidro	293212	15	-58.52	-34.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	Nanyang	243303	131	112.53	33
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	Bimbo	124176	338	18.4	4.26
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	Huddinge	101010	\N	17.98	59.23
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	Karyes	233	\N	24.24	40.26
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	Gumushane	\N	\N	39.48	40.46
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	Jequié	139426	215	-40.08	-13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	Jaú	126943	541	-48.56	-22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karaganda	484596	546	73.17	49.83
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	Kirovohrad	234919	124	32.27	48.5
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago	88997	101	-80.97	8.11
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashgar	174570	1270	75.98	39.47
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	Tangerang Selatan	1290322	\N	106.72	-6.29
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	Berkeley	112497	52	-122.27	37.87
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	Bréscia	189902	149	10.22	45.54
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	Pondicherry	\N	3	79.79	11.93
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	Mbandaka	169841	370	18.26	0.05
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	Linköping	148521	45	15.63	58.42
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	Manizales	394627	2160	-75.55	5.1
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	Baton Rouge	229452	17	-91.13	30.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	Shangrao	132455	\N	117.97	28.45
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	Korçë	51152	850	20.77	40.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	Chilpancingo	187251	1253	-99.5	17.55
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Victoria de las Tunas	167424	92	-76.95	20.96
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Tolyatti	719149	90	49.42	53.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	Norwalk	105549	28	-118.08	33.91
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	Stara Zagora	136363	196	25.65	42.43
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	Graz	269211	353	15.43	47.07
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karachi	9339023	8	67.01	24.86
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	Mary	123000	226	61.83	37.6
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	Labuan	\N	\N	115.21	5.32
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	Kuala Terengganu	250528	\N	103.15	5.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	Laiwu	246833	\N	117.67	36.18
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	Kiffa	60005	94	-11.4	16.62
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	Samarinda	727500	8	117.15	-0.5
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	Mariestad	24255	\N	13.82	58.7
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	Ewo	\N	534	14.82	-0.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	Guangshui	102770	\N	113.83	31.62
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	Choloma	151999	\N	-88	15.63
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghazi Khan	190542	\N	70.63	30.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	Yibin	241019	321	104.62	28.77
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	Worcester	100153	\N	-2.22	52.19
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	Valledupar	443210	180	-73.25	10.48
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	Lafayette	120719	11	-92.03	30.22
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Al Minya	235234	47	30.74	28.12
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	Kabwe	233197	1183	28.45	-14.43
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	Chifeng	350077	586	118.88	42.25
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	Amravati	421576	343	77.76	20.93
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	Akjoujt	\N	\N	-14.38	19.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Olmaliq	121100	530	69.6	40.85
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	Parnamirim	202456	\N	-35.25	-5.92
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	Saskatoon	222189	481.5	-106.68	52.13
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	Kisumu	388311	1131	34.75	-0.1
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahimyar Khan	233537	\N	70.3	28.42
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	Rabat	621480	20	-6.83	34.03
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	Drammen	65473	1	10.21	59.74
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	Zanjan	386851	1638	48.48	36.67
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	Colorado Springs	417341	1840	-104.76	38.87
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	Kramators´k	165469	\N	37.53	48.72
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	Gomel	482652	138	30.98	52.45
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	Njombe	130223	\N	34.77	-9.33
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	Charleroi	203753	\N	4.43	50.4
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	Jiujiang	291187	\N	115.99	29.74
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	Poços de Caldas	148722	1196	-46.56	-21.79
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	Mysore	606755	763	76.6	12.26
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	Hagen	187944	106	7.48	51.37
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cusco	348935	3399	-71.97	-13.52
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	Bangui	622771	369	18.58	4.37
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	Columbus	822553	275	-82.98	39.98
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	Kutaisi	185965	80	42.7	42.25
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	Daqing	657297	149	125	46.58
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	Contagem	601400	858	-44.05	-19.93
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	Salé	760186	\N	-6.8	34.03
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	Guiglo	\N	\N	-7.48	6.55
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	Calamba	360281	\N	121.17	14.22
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	Cartagena	215757	10	-0.98	37.6
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	Chania	108642	0	24.02	35.52
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr ad Dawwar	262748	6	30.13	31.13
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	Melilla	78476	\N	-2.95	35.3
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	Recklinghausen	115958	85	7.16	51.59
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	Mishan	132744	\N	131.87	45.53
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	Mukono	161996	1200	32.75	0.36
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	Kathmandu	1003285	1400	85.33	27.7
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Panaji	\N	\N	73.83	15.5
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	Huelva	147808	54	-6.95	37.25
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	Orléans	114185	90	1.91	47.9
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	Ourense	107314	132	-7.86	42.34
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	Simi Valley	124239	234	-118.74	34.27
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Sevilla	698042	7	-5.99	37.38
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	Bălţi	143300	59	27.92	47.77
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	Torrejón de Ardoz	123213	568	-3.5	40.46
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	Quezon City	2679450	17	121.03	14.63
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	Oberhausen	210216	35	6.85	51.55
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	Paulista	300466	13	-34.87	-7.94
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	San Miguel	218410	129	-88.18	13.48
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	Luohe	126438	\N	114.03	33.57
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	Cajamarca	162326	2750	-78.51	-7.16
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	Mwanza	706453	1140	32.9	-2.52
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	Hachioji	553914	\N	139.32	35.67
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	Bielefeld	326870	118	8.52	52.02
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	Tuzla	120441	245	18.68	44.54
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	Nagano	\N	\N	138.18	36.63
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	Puerto Ayacucho	\N	74	-67.63	5.66
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Génova	586180	20	8.93	44.41
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	Edirne	148474	42	26.56	41.68
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	Jijiga	147482	1609	42.8	9.35
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	Vallejo	115940	21	-122.24	38.11
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	Nagpur	2405665	310	79.09	21.15
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	Townsville	167636	\N	146.82	-19.26
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	Dos Hermanas	128433	42	-5.92	37.28
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	Philipsburg	1338	\N	-63.05	18.02
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavlovsk	207402	140	69.17	54.88
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	Avellaneda	329638	2	-58.37	-34.67
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	Comayagua	87474	594	-87.65	14.46
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Réggio di Calabria	180817	31	15.66	38.11
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	Wellington	185187	0	174.78	-41.29
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	Freetown	772873	26	-13.23	8.48
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	Lomas de Zamora	590677	20	-58.4	-34.77
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	Bobo Dioulasso	489967	445	-4.28	11.18
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	Pingtung	207862	20	120.49	22.68
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	Nador	126207	42	-2.93	35.17
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Lemesos	101000	\N	33.03	34.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balkhash	71203	440	75	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	Viseu	\N	\N	-7.92	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	Guadalajara	1495182	1566	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	Cilegon	374559	\N	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	Modesto	201187	27	-120.99	37.66
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	Manaus	1792881	53	-60.02	-3.1
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	Santo Domingo de los Colorados	305632	625	-79.17	-0.25
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	Trujillo	\N	\N	-70.5	9.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	Ghardaïa	142913	572	3.67	32.48
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	Oran	803329	0.9	-0.63	35.7
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	Chişinău	663400	85	28.92	47
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	Wakayama	\N	\N	135.17	34.23
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	Yokohama	3629257	\N	139.64	35.44
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	Echeng	190123	\N	114.89	30.4
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	Barcelona	410643	13	-64.72	10.12
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	Norfolk	242833	2.13	-76.2	36.92
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	Jiaonan	121397	4	120.05	35.87
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	Puno	120229	3830	-70.02	-15.84
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	Valladolid	311682	698	-4.72	41.63
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aijal	\N	1132	92.72	23.73
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayawardhanapura Kotte	116366	0	79.89	6.91
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	San Miguelito	315019	\N	-79.5	9.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	Oakland	390865	13	-122.27	37.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	Guilin	364130	153	110.28	25.27
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	Bursa	1734705	100	29.05	40.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca	256584	2432	-98.75	20.1
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	Salerno	132608	4	14.77	40.68
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Dayr az Zawr	239196	210	40.15	35.33
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	Salta	462668	1152	-65.42	-24.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	Yenagoa	\N	\N	6.33	5.03
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	Kızıltepe	147585	\N	40.59	37.19
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	Lusaka	1269848	1279	28.28	-15.42
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	Jiangmen	230587	10	113.07	22.57
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	Ústí nad Labem	98596	218	14.04	50.66
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	Peoria	115021	201	-89.61	40.72
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise City	206105	832	-116.2	43.62
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz de la Sierra	1453549	416	-63.18	-17.8
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gent	248813	\N	3.73	51.05
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	Pasig	617301	\N	121.08	14.58
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	Nakuru	307990	1850	36.07	-0.3
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	Nara	\N	\N	135.8	34.68
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Makhachkala	576194	10	47.5	42.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	Calgary	1096833	1045	-114.07	51.05
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	Djibouti	475322	\N	43.17	11.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	Nampula	471717	360	39.27	-15.12
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	Wuwei	133101	\N	102.64	37.93
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	Magnitogorsk	411880	310	59.03	53.38
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	Nottingham	289301	61	-1.13	52.95
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	Saint-Pierre	5618	0	-56.18	46.78
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	Lichinga	142331	1398	35.24	-13.31
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	Amman	1812941	784	35.93	31.95
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	Cherkasy	286163	110	32.06	49.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	Zaozhuang	2125481	\N	117.55	34.87
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	Thane	1841488	\N	72.96	19.17
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	Providence	178042	23	-71.42	41.82
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	Xinghua	161910	\N	119.83	32.93
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	Vitória	327801	4	-40.34	-20.32
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	Yopal	136484	350	-72.41	5.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	Huai'an	2635406	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	Warri	363382	\N	5.75	5.52
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	Garden Grove	171010	27	-117.96	33.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	Zixing	110048	\N	113.23	25.97
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	Ancona	100497	16	13.52	43.62
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	Volta Redonda	257686	390	-44.1	-22.52
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	Probolinggo	217062	\N	113.22	-7.75
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	Bratsk	246319	450	101.6	56.12
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	Scottsdale	217355	383	-111.93	33.5
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	Petrolina	219215	376	-40.51	-9.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	Aachen	236420	173	6.08	50.78
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	Chelmsford	110507	\N	0.47	51.92
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	Botucatu	122678	804	-48.44	-22.89
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	Zhaodong	179976	\N	125.98	46.07
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	Barquisimeto	875788	566	-69.33	10.06
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	Chimalhuacán	612383	2240	-98.95	19.44
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubcovsk	147002	210	81.2	51.52
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	Salem	154732	47	-123.03	44.93
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	Metz	119962	162	6.18	49.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	Birkenhead	142968	\N	-3.01	53.39
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	Armenia	295143	1551	-75.68	4.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	Manchester	510746	38	-2.23	53.47
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	Vicenza	111500	39	11.55	45.55
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	Otsu	\N	\N	135.85	35.02
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	Beja	\N	\N	-7.88	38.03
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	Santiago de Cuba	446233	82	-75.81	20.02
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	Calapan	116976	\N	121.18	13.4
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	Sivas	312587	1285	37.02	39.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	Mandaluyong	305576	\N	121.03	14.58
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	Guacara	141762	438	-67.9	10.25
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	Matam	\N	\N	-13.33	15.62
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	Reus	106849	134	1.12	41.15
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	Gibraltar	\N	\N	-5.35	36.13
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	Tomsk	547989	110	84.97	56.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Nogales	212533	1199	-110.95	31.32
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	Tekirdag	150112	\N	27.52	40.98
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	Chitungwiza	356840	1448	31.05	-17.99
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	Mansa	\N	\N	28.88	-11.2
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	Sobral	166310	70	-40.24	-3.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	Durango	518709	1880	-104.67	24.02
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Al Fayyum	316772	23	30.84	29.31
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	At Taif	521273	1879	40.35	21.43
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hamah	467807	280	36.75	35.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	Wuhan	9785388	37	114.28	30.58
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	La Paz	764617	3640	-68.15	-16.5
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt am Main	667925	112	8.68	50.12
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	Santarém	215790	51	-54.72	-2.43
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	Saint-Étienne	170049	422	4.39	45.43
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	Trento	114198	190	11.12	46.07
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	Dover	37366	11	-75.53	39.16
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	Murmansk	302468	50	33.08	68.97
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	Anju	240117	\N	125.66	39.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panshan	362773	\N	122.05	41.12
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Duhouk	\N	565	43	36.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	Owo	157181	\N	5.58	7.18
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	Augusta	195844	41	-81.97	33.47
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	Qianjiang	205504	32	112.9	30.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	Tlemcen	173531	842	-1.32	34.88
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	Aparecida de Goiânia	455193	808	-49.23	-16.82
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Dimashq	1552161	680	36.29	33.51
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	Tulcea	\N	30	28.8	45.19
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	Innsbruck	124386	574	11.38	47.27
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	Puerto Carreno	\N	51	-67.47	6.18
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	Kermanshah	851405	1350	47.07	34.31
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	Marbella	135124	27	-4.88	36.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	Tlaquepaque	575942	1870	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	Iloilo	418710	\N	122.67	11
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	Newcastle	540002	9	151.75	-32.92
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	Tbilisi	1073345	380	44.78	41.72
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	Dniprodzerzhyns´k	242646	120	34.62	48.52
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	Quibdó	115517	43	-76.66	5.69
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	Toruń	204847	65	18.62	53.03
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	Tainan	1881645	\N	120.18	22.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin	762719	80	5.62	6.33
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	Slatina	\N	155	24.36	44.43
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	Iseyin	170936	\N	3.6	7.97
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	Moquegua	\N	1410	-70.93	-17.2
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	Hasselt	75579	\N	5.34	50.93
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	Woking	105367	\N	-0.56	51.32
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	Lübeck	210305	13	10.69	53.87
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	Wakefield	99251	\N	-1.5	53.68
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Arkhangelsk	350985	5	40.53	64.53
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	Niamey	1026848	207	2.11	13.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	Hortolândia	192692	587	-47.22	-22.86
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	Fuling	173878	287	107.39	29.7
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	Hail	\N	992	41.68	27.52
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	Nouakchott	958399	7	-15.95	18.1
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	Jefferson City	43088	192	-92.17	38.58
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	Lisboa	559248	\N	-9.14	38.71
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	Djougou	181895	431	1.67	9.7
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	Oujda	400738	470	-1.91	34.69
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	Gangtok	\N	1600	88.62	27.33
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Al'metjevsk	146393	110	52.3	54.9
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	Bushehr	195222	8	50.83	28.97
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykurgan	135217	600	78.37	45.02
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	Gdynia	248574	0	18.53	54.5
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Neftejugansk	122855	40	72.7	61.08
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZiyyon	228200	40	34.8	31.95
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	Andria	100052	151	16.3	41.22
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	Cuautitlán Izcalli	484573	2280	-99.21	19.65
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahvaz	1112021	17	48.67	31.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	Tuluá	209086	960	-76.2	4.08
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	Wichita Falls	104554	289	-98.51	33.9
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Izhevsk	632913	140	53.18	56.83
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	Cayenne	57229	\N	-52.45	4.93333
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	Neuchatel	\N	430	6.93	47
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	Shreveport	200410	44	-93.75	32.51
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	Lille	227533	17	3.06	50.63
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	Hampton	137515	3	-76.36	37.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	San Jose	998537	25	-121.9	37.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	Linyi	2303648	74	118.35	35.05
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	Ziguinchor	162887	12	-16.28	12.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	Plano	259841	206	-96.7	33.02
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	Masaya	166588	242	-86.1	11.97
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	Diffa	\N	286	12.62	13.31
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	Córdoba	140896	860	-96.93	18.89
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	An Najaf	309010	60	44.33	32
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach am Main	113443	98	8.8	50.1
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	Schaffhausen	\N	403	8.63	47.7
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	Alagoinhas	124042	132	-38.42	-12.14
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	Birobidzhan	75413	80	132.93	48.8
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	Tanout	154238	\N	8.88	14.97
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	Kütahya	224898	930	29.98	39.42
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Puškino	102874	160	37.83	56.02
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	Port-Gentil	105712	\N	8.78	-0.72
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	Memphis	653450	103	-89.97	35.12
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magwe	\N	\N	94.95	20.15
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Halab	2181061	379	37.17	36.22
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	Meknès	469169	552	-5.55	33.9
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	Santa Fe	67973	2195	-105.96	35.67
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	Itajaí	173452	2	-48.67	-26.9
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	Hyderabad	6731790	505	78.48	17.37
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	Valenzuela	568928	38	120.98	14.7
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	Kielce	201363	260	20.62	50.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	Bragança Paulista	142255	817	-46.54	-22.95
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	Sunshine Coast	241643	\N	153.07	-26.65
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	Nova Iguaçu	787563	25	-43.45	-22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	Surat	4467797	13	72.83	21.18
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	Oldenburg	157267	5	8.21	53.14
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Trivandrum	752490	10	76.95	8.49
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	Bhubaneswar	411542	45	85.84	20.27
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Al Sharjah	519000	\N	55.39	25.36
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	Chipata	\N	1140	32.63	-13.65
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	Laredo	236086	134	-99.49	27.52
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	Honghu	190772	\N	113.53	30.02
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	Bandundu	\N	321	17.37	-3.32
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	Mugla	\N	660	28.37	37.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	Bridgeport	144236	1	-73.2	41.19
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	Richmond	204247	45.7	-77.47	37.53
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	Cerro de Pasco	\N	4330	-76.26	-10.69
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	Guangyuan	182241	\N	105.82	32.43
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Marsa Matruh	\N	30	27.22	31.33
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	Imphal	\N	786	93.95	24.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	Zhuzhou	409924	\N	113.13	27.85
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	Zanzibar	223033	\N	39.32	-6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	Neijiang	256012	\N	105.07	29.58
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	Bocas del Toro	\N	\N	-82.24	9.34
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Simla	\N	2205	77.17	31.1
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	Hakodate	279127	\N	140.73	41.77
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	Haicheng	205560	17	122.68	40.88
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	Anqing	250718	\N	117.03	30.5
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	Abilene	117463	524	-99.75	32.45
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	Warrington	165456	\N	-2.6	53.39
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	Fredericton	56224	20	-66.65	45.96
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	Gebze	290868	\N	29.43	40.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guigang	114025	45	109.61	23.1
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	Padang	833562	0	100.35	-0.95
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	Saarbrücken	175853	230	7	49.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	Ede	142363	269	4.44	7.74
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	Deyang	182488	\N	104.4	31.13
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	Nablus	126132	\N	35.3	32.2
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	Mykolaïv	497032	42	32	46.97
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	Szeged	168048	75	20.15	46.26
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	Guanajuato	72237	\N	-101.27	21.02
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	Sabadell	206949	190	2.11	41.55
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Tavoy	\N	\N	98.2	14.08
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	Hradec Králové	95594	235	15.83	50.21
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	Can Tho	783122	0	105.78	10.03
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	Omaha	416969	332	-96	41.25
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	Cágliari	149883	4	9.05	39.25
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	Asosa	\N	1570	34.52	10.07
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	El Progreso	147369	\N	-87.8	15.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	Americana	209654	569	-47.33	-22.74
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	Dosquebradas	196926	1460	-75.68	4.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	Longkou	148362	\N	120.33	37.63
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	Dhaka	7423137	4	90.37	23.7
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	Minna	189191	\N	6.56	9.61
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	San Fernando	114813	\N	120.32	16.62
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla	653410	2250	-99.19	19.54
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orechovo-Zujevo	120670	120	38.97	55.8
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	Hódmezővásárhely	\N	\N	20.32	46.43
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	Zinder	322935	479	8.99	13.81
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	Edinburgh	459366	47	-3.19	55.95
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	Ciudad Guayana	692215	13	-62.65	8.37
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	Bayamo	164008	55	-76.64	20.38
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	Choluteca	120791	\N	-87.18	13.3
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	Asyut	386086	70	31.17	27.18
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	Cascavel	270049	781	-53.46	-24.96
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	Saint-Paul	103916	0	55.27	-21.01
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	Piatra-Neamţ	85055	310	26.37	46.93
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	Ponce	132502	16	-66.61	18
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	Monywa	371963	\N	95.14	22.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	Tengxian	315083	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	Tébessa	194461	858	8.12	35.4
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Adama	271562	1712	39.27	8.54
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	Topeka	127474	288	-95.69	39.06
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	Tula	493813	170	37.62	54.2
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	Gilgit	216760	1500	74.29	35.92
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	Badalona	219241	12	2.25	41.45
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Hatay	216960	67	36.15	36.2
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoutzou	\N	\N	45.13	-12.46
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	Alcalá de Henares	200505	588	-3.37	40.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	Xinyang	192509	\N	114.05	32.13
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	Tours	134633	44	0.69	47.39
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	Surabaya	2765487	5	112.74	-7.27
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	Kochi	\N	\N	133.53	33.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	Dutse	\N	\N	9.34	11.7
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	Takamatsu	424490	\N	134.05	34.35
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai	395360	452	81.38	21.21
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	Hilo	43263	18	-155.09	19.71
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	Fresno	509924	94	-119.77	36.75
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	Kolda	\N	0	-14.95	12.88
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	La Paz	215178	27	-110.31	24.14
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	Batumi	121806	3	41.64	41.65
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	Smolensk	330970	242	32.05	54.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	Xingtai	302789	\N	114.48	37.07
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	Suzano	253240	749.43	-46.31	-23.54
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	Okayama	691955	\N	133.92	34.65
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	Selibaby	\N	\N	-12.18	15.16
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	Brasília	2482210	1172	-47.88	-15.79
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	Aomori	\N	2	140.75	40.82
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	Guarapuava	152993	1120	-51.46	-25.39
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	Tema	139784	1	0	5.67
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	Palikir	6444	\N	158.15	6.9
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	Songea	203309	\N	35.65	-10.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	Corona	152374	207	-117.57	33.87
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	Soyapango	268228	648	-89.15	13.73
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	Wete	\N	\N	39.73	-5.06
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	Sumbe	\N	0	13.84	-11.21
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	Savar	296851	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	Soledad	599012	5	-74.75	10.92
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	Libreville	538195	0	9.45	0.39
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	Huntington Beach	191037	12	-118	33.69
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	Marikina	424610	14.7	121.1	14.65
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	Vijayawada	1034358	23	80.64	16.51
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	Addis Ababa	3040740	2355	38.74	9.03
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	Nova Friburgo	159372	846	-42.53	-22.27
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	Putrajaya	\N	\N	101.7	2.94
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	Banjul	357238	0	-16.58	13.45
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	Prešov	91782	250	21.24	49
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	Maribor	111374	275	15.65	46.55
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	Ashdod	206400	\N	34.65	31.8
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	Bouafle	\N	\N	-5.75	6.98
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Daejeon	1495453	\N	127.39	36.35
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	Richmond	190473	10	-123.13	49.17
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	Riyadh	4087152	612	46.72	24.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	Weihai	128888	\N	122.12	37.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	Rotherham	109691	\N	-1.36	53.43
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	Zwickau	93081	267	12.5	50.72
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Gwangju	1469293	\N	126.92	35.17
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	Chittagong	2971102	\N	91.8	22.37
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	Al Rayyan	272860	\N	51.37	25.32
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Al Gazira	211362	\N	33.52	14.4
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	Chernihiv	296723	136	31.3	51.5
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Južno-Sachalinsk	181728	40	142.73	46.97
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	Tumbes	94751	6	-80.45	-3.57
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrakhan	527345	-28	48.05	46.35
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	Derbent	119200	0	48.3	42.05
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	Jinzhou	569518	24	121.13	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	Preston	97886	\N	-2.7	53.76
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	Magangué	123618	49	-74.77	9.25
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odesa	1008162	40	30.73	46.47
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	Rio Grande	189429	6	-52.1	-32.03
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	Valdivia	127750	5	-73.25	-39.81
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	Cheyenne	59488	1848	-104.8	41.15
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	Arraiján	220779	\N	-79.65	8.95
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	Kaluga	331351	190	36.28	54.55
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	Caxito	\N	84	13.66	-8.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	Laiyang	137080	\N	120.71	36.98
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	Heyuan	120101	39	114.7	23.75
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	Brownsville	175007	10	-97.48	25.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	Forlí	116434	34	12.05	44.23
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	Dunhua	235100	505	128.23	43.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	Arlington	365366	184	-97.12	32.71
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	Albany	97856	60	-73.76	42.65
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	Tapachula	202672	177	-92.27	14.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	Ciudad Madero	197216	\N	-97.83	22.25
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	Lucapa	\N	880	20.75	-8.42
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	Mérida	230120	\N	-71.19	8.48
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	Kyzylorda	213165	128	65.52	44.85
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	Flying Fish Cove	\N	\N	105.43	-10.25
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	Pasay	403064	\N	121	14.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kamoke	152288	\N	74.22	31.97
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Batajsk	111843	5	39.73	47.17
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Kerbela	296705	\N	44.03	32.62
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossiysk	251013	20	37.75	44.72
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	Foz do Iguaçu	253962	164	-54.58	-25.55
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	Chuncheon	273737	\N	127.73	37.87
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	Port St. Lucie	164719	5	-80.35	27.28
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	Malayer	159848	\N	48.82	34.3
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	Skopje	514967	240	21.43	42
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	Resistencia	274001	20	-58.99	-27.45
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	Passo Fundo	180120	687	-52.4	-28.25
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Hebron	163146	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	Águas Lindas de Goiás	159138	1100	-48.28	-15.75
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	Resita	\N	208	21.89	45.3
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	Pécs	156049	153	18.23	46.07
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Ačinsk	109155	220	90.5	56.25
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	Birmingham	212193	196	-86.81	33.65
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	Volgodonsk	170841	50	42.15	47.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	Ciudad Victoria	305155	316	-99.13	23.73
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	Shillong	\N	1525	91.88	25.57
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	Jena	105739	143	11.59	50.93
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	Grudziadz	98726	50	18.78	53.49
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	Panamá City	880691	2	-79.52	8.98
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	Huddersfield	162949	\N	-1.78	53.65
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	Poznań	552393	60	16.92	52.4
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	Potsdam	156021	32	13.07	52.4
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	Kitakyushu	974691	\N	130.88	33.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coyhaique	\N	302	-72.07	-45.57
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	N'Zérékoré	194178	\N	-8.82	7.75
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	Kashan	275325	982	51.48	33.99
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	Dortmund	571143	86	7.47	51.52
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	Faisalabad	2008861	184	73.08	31.43
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	Kostroma	271445	110	40.93	57.77
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	Camaragibe	144466	55	-34.98	-8.02
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	Kaili	113958	\N	107.97	26.58
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan	\N	428.5	-67.36	9.91
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	Funafuti	4492	\N	179.2	-8.52
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	Aboisso	\N	\N	-3.2	5.47
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	Edmonton	812201	645	-113.5	53.53
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	Santa Coloma de Gramenet	119391	56	2.22	41.47
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	Toyama	416223	\N	137.22	36.7
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	Mandalay	1225133	22	96.08	21.98
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	Settat	116570	\N	-7.62	33
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	Birmingham	1085810	140	-1.89	52.48
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	The Valley	\N	9	-63.05	18.22
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nizhny Tagil	358378	200	59.97	57.92
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	Saitama	1223954	\N	139.65	35.87
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	Lappeenranta	72617	\N	28.18	61.07
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	Tsu	\N	\N	136.5	34.72
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	Leeds	474632	9	-1.55	53.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	Babol	219467	-2	52.68	36.55
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	Chorzów	111314	\N	18.95	50.3
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	Bilbao	351356	19	-2.92	43.26
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	Wenzhou	3039439	\N	120.7	28
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	Artvin	\N	345	41.82	41.18
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	Darmstadt	143499	144	8.65	49.87
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Pamplona	195943	446	-1.65	42.82
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	San Carlos	\N	152	-68.58	9.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	Ilhéus	155281	52	-39.05	-14.79
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	Fukuoka	1422831	\N	130.4	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	Olsztyn	175482	90	20.5	53.78
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	Taipei	2673226	10	121.63	25.03
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerpen	507911	\N	4.4	51.22
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	Varna	330486	80	27.92	43.22
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athina	664046	70	23.72	37.97
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	San-Pedro	174287	1	-6.64	4.75
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	Salzgitter	98895	90	10.33	52.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Oshogbo	250951	\N	4.57	7.77
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	Stuttgart	585890	247	9.18	48.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrat	251792	\N	74.08	32.57
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	Santo André	676407	700	-46.53	-23.66
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	Yiyang	185818	\N	112.33	28.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	Weifang	2044028	32	119.1	36.72
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol	412116	550	41.98	45.05
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	Novara	101952	162	8.62	45.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	Jiutai	180130	\N	125.84	44.15
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jazan	\N	40	42.56	16.89
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	Newport News	180918	4.5	-76.48	37.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	Zapopan	1142483	1571	-103.39	20.72
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	Khorramabad	348216	1147	48.36	33.49
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	Depok	1738570	50	106.83	-6.39
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	Heerlen	88139	113	5.98	50.88
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	Madison	233362	266	-89.4	43.07
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	Las Vegas	603488	610	-115.14	36.17
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	Ciego de Ávila	124103	55	-78.76	21.85
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	Bareilly	590661	268	79.42	28.36
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	Sarnen	\N	473	8.23	46.88
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	České Budějovice	95589	381	14.47	48.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	Hamilton	519949	75	-79.87	43.25
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	Galway	75414	25	-9.05	53.27
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ar Ramadi	192556	\N	43.31	33.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	Kabul	2435400	1791	69.17	34.53
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	Windsor	210891	190	-83	42.28
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	Concepción	212003	12	-73.05	-36.83
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	Santiago del Estero	230424	187	-64.27	-27.78
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	Ciudad López Mateos	489160	2280	-99.25	19.56
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	Cleveland	396697	199	-81.67	41.48
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	Canakkale	111137	\N	26.41	40.16
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	Baltimore	622104	10	-76.62	39.28
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	Zhongshan	3121275	11	113.35	22.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	Zhangjiakou	529136	716	114.88	40.77
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	Maracay	459007	436	-67.6	10.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	Sinuiju	359341	\N	124.4	40.1
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	Tembisa	463109	1549	28.21	-26.01
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	Bishkek	901700	800	74.61	42.87
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	Long Beach	462257	9	-118.2	33.77
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	P'atigorsk	142511	600	43.07	44.05
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	Beihai	112673	21	109.1	21.47
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	Taitung	107720	\N	121.14	22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	Gandhinagar	\N	81	72.68	23.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	Colima	137383	305	-103.72	19.24
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	Brest	309764	280.4	23.67	52.13
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	Mostaganem	162885	104	0.08	35.93
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	Kristianstad	80507	\N	14.16	56.03
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	Amagasaki	457216	\N	135.4	34.73
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	Orsk	239800	200	58.57	51.2
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhnii Novgorod	1259921	78	44.01	56.33
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	Malabo	92900	0	8.77	3.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	São José dos Pinhais	236895	906	-49.21	-25.53
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	St. John's	106172	0	-52.71	47.57
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	Arendal	12174	1	8.78	58.48
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	Morioka	\N	\N	141.15	39.68
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	Bytom	175377	249	18.9	50.38
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	Honolulu	337256	6	-157.82	21.3
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra al Khimah	1016722	16	31.24	30.13
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	Rio Verde	163540	748	-50.92	-17.79
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	Nanchong	180273	340	106.08	30.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	Shantou	5329024	51	116.67	23.35
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	Yining	177193	\N	81.32	43.92
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	Arlington	207628	\N	-77.11	38.88
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	Wrocław	631377	105	17.03	51.1
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	Longjing	139417	266	129.43	42.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	Neuss	150568	40	6.7	51.2
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyšin	119565	50	45.4	50.08
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	Çorlu	235354	10	27.8	41.15
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	Khon Kaen	223300	\N	102.83	16.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	Fort Collins	144073	1525	-105.08	40.56
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	København	549050	24	12.57	55.68
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	Lausanne	132788	495	6.63	46.52
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	Sfax	299235	\N	10.77	34.73
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	Pierre	13646	443	-100.34	44.37
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	Ontario	163924	306	-117.63	34.05
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	Vinnytsia	370814	\N	28.48	49.23
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	Jeonju	643079	\N	127.15	35.82
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	Benghazi	800000	2	20.07	32.12
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	Teresópolis	146207	871	-42.97	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	Vladikavkaz	308285	680	44.65	43.02
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	Maracaibo	1372724	6	-71.63	10.65
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	Almaty	1507737	500	76.9	43.28
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	Anaheim	336511	48	-117.89	33.84
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	Miyazaki	402855	\N	131.42	31.92
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	Itabuna	199643	54	-39.28	-14.79
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Santa Ana de Coro	158763	17	-69.67	11.42
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	Fushun	1350000	\N	123.9	41.87
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	Bergen	267950	0	5.33	60.39
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	Luziânia	162807	930	-47.95	-16.25
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	La Serena	147815	28	-71.25	-29.9
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	Cirilo Guainora	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	Kirikkale	192473	\N	33.51	39.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	Barueri	240749	719	-46.88	-23.51
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	Yamoussoukro	207412	\N	-5.28	6.82
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	Malang	820243	476	112.62	-7.98
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	San Justo	1256724	26	-58.55	-34.68
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	Sylhet	479837	35	91.87	24.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	Gómez Palacio	257352	\N	-103.5	25.58
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	Quetta	565137	1680	67	30.18
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	Changhua	236636	20	120.53	24.07
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	Ibagué	548209	1285	-75.23	4.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	Denver	649495	1564	-104.88	39.76
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	Sofia	1270284	500	23.33	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	Blumenau	294773	21	-49.07	-26.92
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Yangon	5209541	15	96.18	16.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	Liberec	104973	374	15.07	50.72
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan	792211	2300	-99.24	19.48
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	Chincha Alta	153598	97	-76.13	-13.45
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	Batman	348963	540	41.13	37.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	Linqing	123958	\N	115.71	36.85
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	Horlivka	258879	215	38.05	48.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	Jalingo	\N	\N	11.37	8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	Hunjiang	482043	471	126.42	41.93
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	Kars	78100	1768	43.1	40.62
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	Banda Aceh	223446	0	95.32	5.55
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Oporto	266790	\N	-8.62	41.16
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	Quelimane	193343	1	36.89	-17.88
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose Del Monte	439090	100	121.05	14.81
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	Uppsala	202625	15	17.64	59.86
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	Jastrzebie Zdroj	92465	259	18.58	49.95
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	Fortaleza	2452185	21	-38.54	-3.72
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Qo‘qon	233500	409	70.94	40.53
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	Prato	185456	65	11.1	43.88
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	Tokat	132437	623	36.55	40.31
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	Abomey-Calavi	307745	54	2.36	6.45
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	Manzanillo	105967	25	-77.11	20.34
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	Ikire	111435	\N	4.18	7.36
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	Dezhou	195485	\N	116.27	37.43
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	Delhi	11034555	0	77.23	28.61
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	Volgograd	1018790	80	44.52	48.7
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	Winston-Salem	229634	296	-80.26	36.1
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Şanlıurfa	526247	477	38.79	37.16
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	Angarsk	233567	430	103.9	52.55
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	Hamilton	132060	40	175.28	-37.78
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	Jamshedpur	478950	135	86.3	22.8
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehra Dun	\N	435	78.03	30.32
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	Ganja	322600	408	46.36	40.68
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	Podgorica	150977	48	19.26	42.44
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	Maoming	178683	29	110.92	21.65
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	Breda	180263	3	4.78	51.58
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	Maracanaú	207623	\N	-38.63	-3.87
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	Mito	\N	\N	140.47	36.37
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	Angren	175400	961	70.14	41.02
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	Marília	207021	660	-49.95	-22.21
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	Adiyaman	217463	7	38.28	37.76
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	Aleg	\N	\N	-13.92	17.05
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	L'Aquila	\N	714	13.4	42.35
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	Khulna	663342	9	89.55	22.82
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	Mulhouse	110351	232	7.34	47.75
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Bishoftu	123230	1920	38.98	8.75
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	Al Hillah	268834	34	44.43	32.48
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	Semarang	1555984	4	110.42	-6.97
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	Fayetteville	200574	80	-78.88	35.05
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	Argenteuil	104282	21	2.25	48.95
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	Itapetininga	131050	656	-48.05	-23.59
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingaora	173868	984	72.22	34.47
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	Sana'a	1527861	2250	44.21	15.35
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	Krasnogorsk	116896	150	37.32	55.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	Gombe	163604	\N	11.17	10.28
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	Mianyang	262947	473	104.68	31.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	St. Petersburg	245193	13	-82.64	27.77
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	Penza	519900	150	45	53.2
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	Tampere	220678	\N	23.77	61.5
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	Birni-N'Konni	149414	\N	5.25	13.79
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	Durrës	113249	0	19.45	41.32
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	Billings	104190	952	-108.54	45.79
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	Huizhou	2344634	15	114.4	23.07
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	Imperatriz	234547	95	-47.48	-5.53
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	North Las Vegas	216701	672	-115.15	36.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	Orange	136426	58	-117.83	33.8
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	La Habana	2141993	59	-82.38	23.13
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	Rīga	696618	7	24.11	56.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	Salamanca	160169	1721	-101.2	20.57
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	Dunedin	123516	\N	170.5	-45.87
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	Bolu	131264	725	31.61	40.73
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	Malatya	426381	954	38.3	38.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	Changshu	181805	\N	120.82	31.67
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	Karaman	141630	\N	33.22	37.18
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	Peterborough	161707	\N	-0.25	52.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	Los Angeles	3884307	93	-118.25	34.05
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	Hong Kong	7055071	\N	114.2	22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	Oskemen	314014	283	82.62	49.98
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	Artemisa	\N	50	-82.76	22.81
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	Atlanta	420279	225	-84.39	33.76
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	Taoyuan	413488	\N	121.31	24.99
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	Bogor	950334	265	106.8	-6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	Duyun	132971	\N	107.52	26.26
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	Zaragoza	678115	243	-0.88	41.65
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	Balikpapan	557579	0	116.83	-1.26
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	San Luis Potosí	722772	1850	-100.84	22.15
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	Gwalior	1054420	196	78.18	26.22
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Jelec	108404	140	38.47	52.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	Araraquara	202730	664	-48.18	-21.79
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	Yuscaran	\N	1007	-86.82	13.93
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	Shiraz	1460665	1500	52.53	29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	Fort Worth	792727	199	-97.33	32.76
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	Wigan	103608	\N	-2.63	53.54
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	Asunción	542023	43	-57.63	-25.27
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	Nukus	295200	76	59.6	42.47
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	Sokoto	329639	\N	5.23	13.07
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	Flint	102400	229	-83.69	43.01
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	Mazar-i-Sharif	288700	357	67.12	36.7
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	Mohammedia	188619	10	-7.38	33.68
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	Zlín	77137	230	17.67	49.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	Chula Vista	243916	20	-117.05	32.63
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	Leeuwarden	108145	3	5.78	53.2
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	Portsmouth	238137	\N	-1.08	50.82
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	Algeciras	117695	20	-5.45	36.13
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	Divo	105859	\N	-5.37	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Hohhot	652534	1065	111.65	40.82
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	Bata	66800	5	9.75	1.85
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	London	8250205	0	-0.09	51.52
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	Danlí	135136	814	-86.58	14.05
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	Morelia	597511	1921	-101.19	19.77
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucureşti	1883425	55.8	26.1	44.43
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	Kemerovo	540095	140	86.07	55.37
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	Vitebsk	347928	172	30.17	55.18
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	Turbo	155173	2	-76.73	8.1
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	Gracias	\N	800	-88.58	14.58
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Kocaeli	1527407	100	29.92	40.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	Düsseldorf	586291	38	6.78	51.23
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	Port Louis	\N	\N	57.5	-20.16
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	Murcia	437667	43	-1.13	37.99
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	Tieling	254842	\N	123.73	42.22
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	Niš	257867	195	21.9	43.32
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	Accra	2070463	61	-0.2	5.55
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	Tongliao	255129	179	122.27	43.62
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	Podol'sk	187961	160	37.53	55.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	Pasadena	137122	263	-118.13	34.16
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Bryansk	410837	190	34.37	53.23
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	Dushanbe	747500	706	68.78	38.54
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	Handan	1110000	\N	114.48	36.6
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	Kidal	\N	\N	1.41	18.44
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	São Vicente	331817	6	-46.39	-23.96
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	Machida	420243	\N	139.45	35.55
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	Vlorë	79513	25	19.49	40.47
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklio	173993	150	23.77	38.05
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	Gateshead	120046	\N	-1.6	54.95
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	Faro	\N	6	-7.92	37.03
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	Agadez	118240	520	7.98	16.97
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	Calarasi	\N	26	27.33	44.2
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	Santa Ana	245421	665	-89.53	13.98
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	Pucallpa	204772	154	-74.52	-8.38
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	Jiangyin	213659	\N	120.3	31.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	Krasnodar	784048	25	38.97	45.03
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	Dongying	281728	\N	118.47	37.45
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	Talca	189505	102	-71.67	-35.43
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	Funabashi	602996	\N	139.98	35.7
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	Jaén	116469	573	-3.77	37.77
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpho	152759	\N	128.25	40.08
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	Gaborone	227333	1014	25.91	-24.66
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	Utrecht	330081	5	5.12	52.08
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	Miskolc	167754	131	20.79	48.1
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	Radom	220062	130	21.17	51.4
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	Regensburg	135403	337	12.08	49.02
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	Toulouse	447340	115	1.44	43.6
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	Uige	\N	858	15.05	-7.62
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	Brest	140547	0	-4.49	48.39
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	Andijon	403900	450	72.33	40.78
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	Salgótarján	\N	299	19.79	48.09
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	Suwon	1064951	\N	127.02	37.27
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Hims	750501	501	36.71	34.73
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	Francistown	100079	1001	27.51	-21.17
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	Hillerød	\N	41	12.31	55.93
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	Seongnam	951424	\N	127.15	37.43
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	Liaoyuan	354141	260	125.15	42.88
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	Erfurt	200868	194	11.03	50.98
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	Gonaïves	228725	6	-72.68	19.45
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aqtobe	377520	219	57.17	50.28
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	Koulikoro	\N	\N	-7.56	12.86
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	Popayán	275129	1760	-76.61	2.45
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	Yangquan	362268	\N	113.57	37.85
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	Jinju	337230	\N	128.08	35.2
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	Kati	114983	481	-8.07	12.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	Itapecerica da Serra	151349	920	-46.85	-23.72
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	Abaetetuba	\N	42	-48.88	-1.72
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	Moroni	41557	29	43.26	-11.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	Mesquita	168376	\N	-43.43	-22.78
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	Huaraz	100931	3052	-77.53	-9.53
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	Belize City	53532	0	-88.19	17.5
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	Cape Coral	154305	2	-81.98	26.64
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	Lelystad	76252	-3	5.48	52.5
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	Faridabad	1414050	198	77.31	28.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	Torreón	608836	1120	-103.45	25.54
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	Kansas City	459787	277	-94.58	39.1
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	Nazareth	72200	\N	35.3	32.7
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	Malindi	118265	\N	40.13	-3.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	Herne	155160	65	7.22	51.55
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	Sirnak	\N	1650	42.46	37.52
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	Liaoyang	492559	29	123.18	41.27
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	Zug	\N	425	8.52	47.17
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	M'Bour	193368	14	-16.97	14.42
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Yoshkar-Ola	257015	100	47.88	56.65
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urganch	137300	91	60.63	41.55
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	Puntarenas	119814	5	-84.83	9.97
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	Kyzyl	109918	631	94.45	51.72
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	Victoria	6252	\N	14.24	36.04
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	Chapecó	168113	\N	-52.62	-27.1
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	Salem	366712	278	78.16	11.65
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	Moshi	184292	700	37.34	-3.33
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	Santiago de Compostela	\N	260	-8.54	42.88
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	San Miguel de Tucumán	525853	431	-65.22	-26.83
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	Nagoya	2182154	\N	136.9	35.18
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	Cabo de Santo Agostinho	167783	29	-35.03	-8.29
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	Gatineau	265349	\N	-75.65	45.48
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	Szczecin	409211	1	14.55	53.43
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	Madurai	1017865	101	78.1	9.9
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	Willemstad	125000	\N	-68.9	12.1
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	Worthing	109120	7	-0.37	50.81
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	Cixi	107329	\N	121.23	30.17
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	Baotou	2096851	1065	109.83	40.65
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Suhaj	189638	61	31.7	26.55
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	Santa Rosa de Copan	25861	1168	-88.78	14.77
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	Sevastopol´	340559	100	33.53	44.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	Ferraz de Vasconcelos	160754	759	-46.37	-23.54
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	Kayseri	1004276	1050	35.48	38.73
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	Serra	406450	301	-40.31	-20.13
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	Johor Bahru	384613	36.88	103.73	1.48
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	Corrientes	314247	52	-58.82	-27.48
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	Erzincan	96474	1185	39.49	39.75
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	Linhe	133183	\N	107.43	40.85
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	Korla	159344	\N	86.13	41.65
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Qui Nhon	255463	\N	109.23	13.77
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	Wavre	\N	\N	4.6	50.72
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	Sumbawanga	209793	\N	31.62	-7.97
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	Jilin	1270000	\N	126.2	43.7
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	Exeter	113507	\N	-3.53	50.72
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	Makkah	1294106	\N	41	21.5
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	eThekwini	3442361	6	31.05	-29.88
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	Chimbote	334568	4	-78.59	-9.14
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	Nykoping	64199	20	17.01	58.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	Vitória de Santo Antão	113429	147	-35.3	-8.12
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	Jeddah	2801481	12	39.17	21.54
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	Villach	59942	501	13.85	46.62
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	Aberdeen	195021	\N	-2.11	57.15
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	Medellín	2441123	1495	-75.59	6.23
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	Pointe-Noire	829134	14	11.86	-4.78
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	Long Xuyen	245699	\N	105.45	10.37
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	Barreiras	123741	454	-44.99	-12.15
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronezh	1003638	154	39.21	51.67
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	Santa Luzia	202378	751	-43.85	-19.77
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	Mbabane	57992	1243	31.13	-26.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	Fort Lauderdale	165502	3	-80.15	26.13
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	Olomouc	101954	219	17.25	49.6
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	Saipan	\N	\N	145.76	15.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	Salinas	150498	16	-121.66	36.68
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	Porto Velho	390733	83	-63.9	-8.76
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	Guantánamo	222243	46	-75.21	20.14
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	Matsudo	476896	\N	139.9	35.78
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	Fakaofo	490	\N	-171.21	-9.37
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	Gävle	96170	8	17.14	60.67
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	Jimma	149166	1780	36.83	7.67
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	Niterói	487562	0	-43.1	-22.88
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	Cobija	\N	280	-68.73	-11.03
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo	189453	\N	-99.09	19.67
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyine	288120	\N	97.62	16.48
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	Narayanganj	286330	3	90.5	23.62
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	Aalborg	104885	5	9.92	57.05
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	Khorugh	\N	2123	71.56	37.49
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	Beaumont	117267	5	-94.13	30.08
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	Cotabato	259153	\N	124.25	7.22
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	Singapore	5076700	\N	103.8	1.3
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	Thunder Bay	108359	199	-89.25	48.38
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	Tokchon	237133	\N	126.33	39.75
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	Babati	\N	\N	35.75	-4.22
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	Rio de Janeiro	6320446	31	-43.2	-22.91
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	Kalmar	54554	8	16.36	56.66
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	Río Gallegos	79072	20	-69.22	-51.63
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	Caen	108793	2	-0.37	49.18
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	Timon	135133	\N	-42.84	-5.09
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	Ribeirão Preto	602966	546	-47.81	-21.18
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	Qom	1074036	928	50.88	34.64
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	Castanhal	153378	141	-47.92	-1.3
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Haora	1077075	12	88.31	22.59
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	Heze	189293	\N	115.43	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	Nezahualcóyotl	1104585	2220	-98.99	19.4
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	Taguig	613343	16	121.05	14.52
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	Jayapura	256705	287	140.72	-2.53
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeinishahr	244696	\N	51.52	32.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	São Paulo	11152344	760	-46.63	-23.55
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveščensk	214390	130	127.53	50.25
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	Linhares	121567	33	-40.07	-19.39
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	Yalova	102874	\N	29.28	40.66
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	Khmel´nyts´kyi	263703	275	27	49.42
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	Eldoret	289380	\N	35.28	0.52
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	Arak	484212	1718	49.69	34.09
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	Bekasi	2334871	11	107	-6.23
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	Tawau	213745	\N	117.89	4.26
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Liège	195931	\N	5.57	50.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	Bucheon	847841	16	126.78	37.5
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	Gao	\N	226	-0.05	16.27
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	Tahoua	149498	389	5.27	14.88
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	Uberlândia	587266	863	-48.29	-18.92
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	Agri	107839	\N	43.05	39.72
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	Krefeld	222247	38	6.57	51.33
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	Ndola	441624	\N	28.63	-12.97
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	Latina	117892	21	12.9	41.47
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyonkarahisar	186991	1021	30.54	38.76
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	Kagoshima	605120	\N	130.55	31.6
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	Cancún	628306	10	-86.85	21.16
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	Leipzig	502979	113	12.38	51.33
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	Chinandega	133361	50	-87.15	12.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	Telford	142723	\N	-2.45	52.68
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	Hämeenlinna	67803	\N	24.47	61
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	Sancti Spíritus	114324	51	-79.44	21.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	Xinyu	173524	\N	114.92	27.8
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	Kendari	289966	5	122.59	-3.97
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	Leiden	121387	0	4.48	52.17
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	Managua	1028808	83	-86.25	12.14
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	Duque de Caxias	852138	7	-43.31	-22.79
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	Limón	107219	0	-83.03	9.98
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	Cabo Frio	140486	4	-42.02	-22.88
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	As Suwayda'	147146	1080	36.57	32.7
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Grozny	277414	130	45.72	43.32
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan	1176187	116	49.13	55.79
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	São José dos Campos	617106	660	-45.88	-23.19
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	Awka	104682	\N	7.07	6.21
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	Dundee	147285	\N	-2.97	56.46
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	Qiqihar	1380000	147	123.92	47.35
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	Kusong	196515	\N	125.17	39.97
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	Malanje	\N	1155	16.35	-9.53
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	Chiayi	271220	69	120.45	23.48
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	Ilawe-Ekiti	104049	\N	5.1	7.6
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	Dukou	415466	1157	101.72	26.58
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Firenze	358079	50	11.25	43.78
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	Aligarh	480520	178	78.08	27.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	Praia Grande	262051	3	-46.4	-24.01
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	Porto Alegre	1409351	10	-51.23	-30.03
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	Harare	1485231	1490	31.03	-17.86
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	Kraków	760700	219	19.94	50.06
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	Cebu	798809	\N	123.75	10.32
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	Yokosuka	420997	\N	139.67	35.25
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	Ananindeua	470819	20	-48.37	-1.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	São Luís	958522	4	-44.3	-2.53
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	Madrid	3198645	667	-3.72	40.38
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	Santa Cruz do Sul	105190	122	-52.43	-29.72
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	Koutiala	137919	\N	-5.47	12.38
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	Diyarbakir	892713	675	40.24	37.91
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	Tiruchirappalli	387223	88	78.69	10.81
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	Indore	1964086	553	75.9	22.7
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	Karlstad	86929	64	13.5	59.38
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	Kavala	58790	0	24.4	40.93
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	Kurashiki	476444	\N	133.77	34.58
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	Pescara	117166	0	14.21	42.46
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	Stanley	\N	\N	-57.51	-51.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	Concord	122110	23	-122.03	37.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	Kano	2166554	488	8.52	12
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	Borujerd	240654	1573	48.9	33.9
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	Chiclayo	524442	27	-79.84	-6.76
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	Wuzhou	210452	\N	111.32	23.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	São Caetano do Sul	149263	744	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	Skikda	182903	18	6.9	36.87
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	Mopti	114296	268	-4.2	14.5
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	Novosibirsk	1523801	177	82.93	55.02
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	Sterling Heights	129699	187	-83.03	42.58
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	Zhanjiang	400997	21	110.4	21.2
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	Ichikawa	458679	\N	139.93	35.72
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	Man	148171	330	-7.55	7.4
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	Nassau	248948	10	-77.33	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	Guiyang	3034750	1275	106.63	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alicante	329325	3	-0.48	38.35
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	Thai Nguyen	199732	\N	105.85	21.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	Okene	312775	\N	6.23	7.55
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	Birnin Kebbi	\N	\N	4.2	12.45
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	Rijeka	127498	0	14.42	45.32
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	Adana	1636229	23	35.32	37
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	Agadir	346106	74	-9.6	30.43
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	Ordu	147913	5	37.88	40.98
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	Puerto Montt	153118	14	-72.93	-41.47
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	Oslo	623966	23	10.75	59.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	León	1238962	1815	-101.68	21.12
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islamabad	529180	507	73.07	33.72
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	Gejiu	214294	\N	103.15	23.37
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	Syracuse	145196	116	-76.14	43.05
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	Inhambane	65149	1	35.38	-23.86
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	Herisau	\N	771	9.27	47.38
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	Grand Prairie	175468	157	-97.02	32.72
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	Tianjin	11090314	5	117.18	39.13
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	Anyang	603184	47	126.93	37.38
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	Denpasar	788589	4	115.22	-8.65
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	Al Hoceima	\N	20	-3.93	35.25
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	Campobasso	\N	701	14.67	41.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	Ulm	116761	478	9.98	48.4
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	Limoges	137758	209	1.26	45.84
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	Seoul	9708483	\N	126.97	37.57
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	Ciudad Delgado	129965	603	-89.17	13.72
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Wien	1761738	151	16.37	48.2
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	Jaipur	3046163	431	75.8	26.9
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misratah	360000	9	15.09	32.38
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	Jamestown	\N	\N	-5.44	-15.56
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Tombouctou	\N	261	-3.01	16.78
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	Envigado	217343	1675	-75.58	6.17
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	Vung Tau	282415	\N	107.12	10.38
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	Shizuoka	713640	\N	138.38	34.98
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	Cimahi	541177	768	107.53	-6.88
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	Gusau	132393	450	6.67	12.15
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	Kaesong	308440	\N	126.55	37.97
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	Cuenca	331888	2560	-79.02	-2.9
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	Raipur	1010433	298.15	82	20.92
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	Dayton	141761	225	-84.19	39.76
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkida	102223	0	23.6	38.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	Miami	399508	2	-80.21	25.78
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	Samut Prakan	277600	\N	100.6	13.6
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	South Bend	101075	211	-86.26	41.67
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	Aix-en-Provence	140684	73	5.45	43.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	Shashi	281352	\N	112.25	30.32
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	Beian	204899	266	126.52	48.25
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	Vila Nova de Gaia	72576	\N	-8.62	41.13
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	Nagasaki	439903	\N	129.87	32.78
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	Karaj	1614626	1312	51.01	35.84
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	Rajshahi	440604	18	88.6	24.37
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	Varginha	119061	980	-45.43	-21.55
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	Montes Claros	344427	678	-43.86	-16.73
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	Longyearbyen	\N	\N	15.33	78.13
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Al Jizah	2681863	19	31.22	30.02
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	Alajuela	257382	952	-84.22	10.02
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	Beipiao	194301	\N	120.78	41.8
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Tchelny	519025	100	52.32	55.68
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	São Tomé	49957	137	6.68	0.34
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	Uruapan	264439	1620	-102.06	19.42
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	Brčko	93028	92	18.81	44.87
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	Oxford	159994	\N	-1.26	51.75
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	Shuangyashan	386081	\N	131.15	46.63
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	Oranjestad	\N	4	-70.04	12.52
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	Kahramanmaraş	443575	67	36.93	37.58
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	Kanpur	2765348	126	80.3	26.5
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	Lecce	89916	49	18.17	40.35
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	Toulon	163974	0	5.92	43.13
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Yaroslavl	599169	100	39.85	57.62
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	Xinxiang	473762	\N	113.87	35.3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	Costa Mesa	109935	30	-117.91	33.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	Chengde	246799	327	117.93	40.97
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	Kimberley	\N	1184	24.77	-28.74
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	Zunyi	261862	865	106.9	27.68
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	Viana do Castelo	\N	15	-8.83	41.7
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	Ramla	65800	80	34.87	31.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	Rímini	139601	6	12.57	44.05
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	Fuenlabrada	196986	664	-3.8	40.28
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokujbyševsk	108438	90	49.93	53.1
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	Bologna	371337	54	11.35	44.51
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	High Wycombe	120256	\N	-0.75	51.63
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	Kunming	3855346	1892	102.68	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	Fengcheng	193784	\N	124.07	40.45
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	Middelburg	\N	3	3.62	51.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	Doncaster	109805	\N	-1.13	53.52
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	Bafoussam	239287	1521	10.42	5.47
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	Tamanrasset	92635	1320	5.53	22.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Larkana	270283	147	68.23	27.56
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	Delmas	359451	194	-72.3	18.55
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	Ostersund	56662	312	14.64	63.18
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	Luts´k	213063	174	25.34	50.75
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	Bikaner	416289	242	73.31	28.02
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	Yola	\N	599	12.46	9.23
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	Drobeta-Turnu Severin	92617	50	22.67	44.57
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	Kumamoto	725005	\N	130.73	32.78
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	Campeche	220389	10	-90.53	19.85
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	Siping	317223	164	124.37	43.17
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	Siegen	99187	267	8.02	50.88
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	Shihezi	299676	\N	86.03	44.3
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	Tarsus	245671	\N	34.9	36.92
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	Montevideo	1318755	43	-56.18	-34.88
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	Botoşani	106847	170	26.67	47.75
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	Thousand Oaks	126683	270	-118.87	34.19
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	Manila	1660714	16	121	14.58
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Lefkosia	55014	220	33.37	35.17
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	Ekibastuz	130903	347	75.37	51.67
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	Karlskrona	59007	16	15.59	56.16
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	Vadodara	1670806	129	73.2	22.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	Ife	186856	\N	4.57	7.47
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	Bydgoszcz	362286	60	18	53.12
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	Colón	206553	9	-79.9	9.36
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	Reykjavik	118061	\N	-21.93	64.13
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	Beijing	11716620	43.5	116.38	39.92
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	Braşov	253200	600	25.62	45.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	Cotia	201150	853	-46.92	-23.6
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	Stockholm	881235	0	18.07	59.33
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	Gdańsk	460354	0	18.63	54.37
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	St. Paul	285068	214	-93.09	44.94
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	Manokwari	136302	37	134.08	-0.87
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Hagåtña	\N	\N	144.75	13.48
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	Potenza	\N	819	15.8	40.63
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	Mikkeli	54633	\N	27.27	61.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	Ganzhou	220129	107	114.93	25.87
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	Bordeaux	239399	1	-0.58	44.84
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	Shizuishan	257862	\N	106.77	39.23
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	Atyrau	196494	-20	51.88	47.12
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	Gorakhpur	505566	84	83.37	26.76
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	Palmas	221742	230	-48.33	-10.18
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	Halifax	390096	10	-63.57	44.65
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	Lanzhou	2628426	1518	103.8	36.03
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Melaka	369222	\N	102.25	2.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	Tijuana	1300983	20	-117.03	32.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Aysaita	\N	300	41.43	11.57
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	Juneau	31275	17	-134.42	58.3
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	Sukabumi	298681	584	106.93	-6.92
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	Sakai	838675	\N	135.48	34.57
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	Lomé	839566	10	1.22	6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	Luzhou	262892	262	105.45	28.88
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Bijsk	210115	180	85.22	52.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambella	\N	526	34.58	8.25
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	Salford	103886	68	-2.33	53.51
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	Nonthaburi	481900	\N	100.52	13.85
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	Calabar	310839	32	8.32	4.95
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	Fukui	\N	\N	136.22	36.07
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	Gondar	254450	2133	37.47	12.6
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	Valletta	5748	56	14.51	35.9
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	Tillaberi	\N	\N	1.45	14.22
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	Burlington	175779	74	-79.8	43.32
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	Ikorodu	184674	\N	3.5	6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	Chaoyang	222394	170	120.45	41.57
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	Cankiri	\N	800	33.62	40.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampho	366815	\N	125.4	38.73
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	Benguela	513000	39	13.42	-12.55
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	Nantong	2274113	2	120.9	31.98
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	Kristiansand	84476	\N	8	58.15
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	Solihull	123187	\N	-1.78	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	Yichun	151585	\N	114.38	27.8
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	Cabimas	207996	3	-71.45	10.4
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	Trabzon	243735	0	39.73	41
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	Austin	885400	149	-97.75	30.25
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	Chirchiq	149400	582	69.58	41.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	Villahermosa	353577	20	-92.93	17.99
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	Sibu	167427	8	111.83	2.29
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	Kalisz	104867	144	18.08	51.76
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	Peoria	154084	348	-112.24	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warszawa	1711324	78	21.02	52.23
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	Utsunomiya	508635	\N	139.88	36.55
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	Slobozia	\N	\N	27.37	44.56
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	Wichita	382386	396	-97.34	37.69
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	Almere	196244	-3	5.22	52.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	Waco	124810	143	-97.16	31.55
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	Knoxville	178765	270	-83.94	35.97
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	Brazzaville	1408150	320	15.29	-4.27
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma-Ujiji	215458	773	29.63	-4.88
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	Växjö	84800	167	14.81	56.88
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	Baghdad	5750000	34	44.43	33.33
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	Arusha	416442	1387	36.68	-3.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	Meihekou	209038	180	125.68	41.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	Oral	227385	35	51.37	51.23
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Kolkata	4496694	9	88.37	22.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	Karlsruhe	289173	115	8.4	49.01
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	Arequipa	749291	2335	-71.53	-16.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	Vitoria-Gasteiz	240753	525	-2.68	42.85
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	Kuopio	106475	\N	27.68	62.89
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	Sirjan	185623	1730	55.68	29.45
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Bayrūt	1100000	\N	35.51	33.89
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	Male	133019	2.4	73.51	4.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	Santa Ana	324712	35	-117.88	33.74
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	Juba	372410	550	31.6	4.85
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	Coatzacoalcos	235983	10	-94.43	18.15
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	Qinzhou	114586	12	108.62	21.95
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	Antipolo	633971	156	121.17	14.58
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	Crawley	106943	\N	-0.19	51.11
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Buenos Aires	2768772	25	-58.38	-34.6
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	Joensuu	74332	\N	29.75	62.6
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	Guayaquil	2291158	4	-79.88	-2.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	Changde	301276	35	111.68	29.03
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	Mus	81764	\N	41.49	38.73
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	Pemba	138716	30	40.55	-12.97
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	Cité Soleil	241055	\N	-72.33	18.58
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	Liling	108504	\N	113.47	27.67
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	Allahabad	1112544	98	81.85	25.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	Maiduguri	618278	320	13.15	11.83
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	Székesfehérvár	100570	118	18.41	47.19
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	Tongi	476349	\N	90.41	23.89
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	Helena	28197	1181	-112.03	46.6
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	Fargo	105549	276	-96.79	46.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	Changzhi	317144	\N	113.1	36.18
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	George Town	\N	3	-81.39	19.3
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodes	115490	26	28.22	36.43
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Prypjat	0	120	30.06	51.4
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	Samara	1171598	100	50.14	53.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	Mérida	777615	10	-89.62	20.97
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	Itanagar	\N	750	93.62	27.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	Zacatecas	129011	2440	-102.58	22.77
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	Groningen	198023	7	6.57	53.22
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	Buraydah	\N	\N	43.97	26.33
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	Ioannina	112486	480	20.85	39.67
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	Pinar del Río	154063	61	-83.67	22.41
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	Tianmen	186332	32	113.17	30.67
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	La Spezia	92659	10	9.82	44.1
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	Kofu	\N	\N	138.57	35.67
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Århus	252213	0	10.22	56.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	Rochdale	107926	\N	-2.16	53.61
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	Bie	\N	\N	17.57	-12.52
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novošachtinsk	111075	130	39.93	47.75
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	Bregenz	\N	427	9.75	47.51
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	Laohekou	123366	\N	111.77	32.4
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	Safi	284750	20	-9.23	32.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	Mogi das Cruzes	357313	780	-46.19	-23.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	Harbin	5878939	150	126.63	45.75
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	Los Mochis	256613	10	-108.99	25.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	Reims	180752	80	4.03	49.26
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	San Fernando del Valle de Catamarca	140556	500	-65.78	-28.47
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	Sullana	181954	\N	-80.52	-4.9
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	Bucaramanga	527451	959	-73	7.13
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	Giurgiu	\N	25	25.97	43.9
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	Uvira	115590	746	29.14	-3.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	Bhatpara	315976	12	88.41	22.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	Puqi	117264	67	113.9	29.72
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	Zhenjiang	368316	\N	119.42	32.2
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	Schwerin	91293	44	11.42	53.63
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	Aurora	197952	219	-88.29	41.76
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	Wanxian	156823	\N	108.41	30.81
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	Aksaray	186599	980	34.03	38.37
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	Giugliano in Campania	108793	\N	14.2	40.93
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	Ufa	1077719	150	55.97	54.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	Makurdi	151515	\N	8.54	7.73
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg	209628	278	7.85	47.98
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	Tanta	421076	12	31	30.78
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	Serang	577785	39	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	N'Djamena	951418	298	15.05	12.11
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	Limeira	267785	588	-47.4	-22.56
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	Yangzhou	312892	\N	119.42	32.4
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	Darwin	129062	\N	130.83	-12.45
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	Corpus Christi	305215	2	-97.4	27.74
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Roatan	\N	\N	-86.55	16.3
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	Londrina	493520	610	-51.16	-23.31
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	Mwene-Ditu	137459	910	23.45	-7
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	Puerto Maldonado	\N	183	-69.18	-12.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	Richmond	103670	14	-122.35	37.94
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	Sucre	259388	2810	-65.25	-19.05
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	Terrassa	214406	286	2.01	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	Simferopol´	335582	350	34.1	44.95
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	Lansing	114297	262	-84.55	42.73
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	Yazd	486152	1216	54.37	31.9
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	São José do Rio Preto	383490	489	-49.38	-20.81
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	Riverside	303871	252	-117.4	33.95
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	Maceió	932129	7	-35.73	-9.67
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	Mar del Plata	541857	38	-57.55	-38
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Al Isma'iliyah	300449	13	32.27	30.58
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	Mocoa	\N	604	-76.65	1.15
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	Ivanovo	409075	120	40.98	57
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	Changzhou	3290918	\N	119.97	31.78
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	Giresun	100712	10	38.39	40.92
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	Cauayan	114254	\N	121.78	16.77
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	Tempe	161778	348	-111.94	33.43
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	Nijmegen	168810	29	5.87	51.85
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	Zwolle	123440	4	6.1	52.52
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando	\N	47	-67.47	7.89
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	Tasikmalaya	635464	\N	108.2	-7.33
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	Miass	151751	340	60.1	55
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	Baruta	213373	1178	-66.87	10.42
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	Arzamas	106362	150	43.82	55.4
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	Koani	\N	\N	39.28	-6.13
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	Tacloban	217199	2	125	11.24
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	Besançon	115879	235	6.02	47.24
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	Ottawa	883391	70	-75.68	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	Santander	178095	15	-3.8	43.46
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	Zahedan	560725	1352	60.86	29.5
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	Shaoyang	247227	\N	111.47	27.25
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	Samarra	\N	80	43.87	34.2
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	Songkhla	294200	11	100.6	7.21
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	Dąbrowa Górnicza	125063	\N	19.27	50.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	Palmira	302727	1001	-76.25	3.58
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	Talara	87622	11	-81.27	-4.58
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfintu Gheorghe	\N	555	25.79	45.86
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	Hobart	216276	54	147.32	-42.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	Wendeng	133910	\N	122.05	37.2
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopejsk	137601	200	61.62	55.1
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	Minneapolis	382578	253	-93.27	44.98
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	Indaiatuba	199592	624	-47.22	-23.09
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	Dongtai	192247	\N	120.52	32.8
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	Barranquilla	1212943	18	-74.8	10.96
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	San Nicolás de los Arroyos	125308	17	-60.22	-33.33
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	Zhuhai	164747	36	113.57	22.28
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	Louga	\N	44	-16.35	15.65
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	Ica	219856	406	-75.73	-14.07
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	Kolhapur	406370	545.6	74.23	16.69
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	Mönchengladbach	255188	70	6.43	51.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	Uruguaiana	117415	66	-57.09	-29.75
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	Lublin	348120	168	22.57	51.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	Regina	193100	577	-104.61	50.45
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	Patna	1684222	53	85.1	25.6
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	Clermont-Ferrand	140957	321	3.08	45.78
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	Kumasi	2035064	305	-1.62	6.67
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	Shkodër	77075	13	19.5	42.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	Xingcheng	102384	8	120.73	40.62
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	Karabük	110537	\N	32.63	41.2
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	Banja Luka	199191	163	17.18	44.77
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	General Santos	529542	15	125.17	6.12
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	Hanzhong	169930	511	107.02	33.07
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	Guadalupe	673616	500	-100.26	25.68
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	Logroño	152698	384	-2.45	42.47
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	Karamay	197602	354	84.88	45.6
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Brugge	117577	2	3.23	51.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	Solingen	155265	221	7.08	51.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	Itaquaquecetuba	321770	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	Huancavelica	\N	3676	-74.98	-12.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	Sukkur	335551	67	68.85	27.71
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaka	51468	0	33.63	34.92
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	Lengshuijiang	137994	\N	111.44	27.69
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsø	48109	\N	18.94	69.68
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Al Uqsur	451318	76	32.65	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	Changchun	4193073	222	125.2	43.9
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	L'ubercy	172525	130	37.93	55.67
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	Chetumal	151243	10	-88.31	18.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	Noginsk	100072	150	38.43	55.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	Punta Arenas	116005	34	-70.93	-53.17
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	Málaga	561435	11	-4.42	36.72
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	Luena	\N	1350	19.91	-11.79
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	Gongzhuling	226569	215	124.82	43.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	Chiniot	172522	179	72.98	31.72
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	San Francisco	837442	16	-122.42	37.78
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	Seversk	108590	90	84.85	56.6
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	Omdurman	1271403	178	32.48	15.65
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	Suihua	227881	\N	126.98	46.63
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	Leiria	50608	\N	-8.8	39.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	Olinda	370332	16	-34.85	-8.01
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	Pimpri Chinchwad	1727692	570	73.8	18.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	Franca	313046	1040	-47.4	-20.54
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Al Kuwayt	637411	\N	47.98	29.37
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez de la Frontera	211784	56	-6.12	36.7
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	Makati	510383	15.4	121.03	14.55
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	Pforzheim	114411	261	8.72	48.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	Brisbane	2146577	\N	153.03	-27.47
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Khartoum North	700887	\N	32.63	15.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	Taraz	351476	610	71.37	42.9
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	Fujisawa	413064	\N	139.47	35.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	Ingolstadt	124927	374	11.43	48.77
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	Porto Seguro	104078	4	-39.08	-16.43
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	Orenburg	556127	150	55.1	51.78
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	Vaslui	\N	110	27.73	46.64
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	Bhiwandi	392214	24	73.06	19.3
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orel	318136	170	36.07	52.97
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	Petrópolis	281286	838	-43.18	-22.5
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	Perth	1832114	2	115.86	-31.95
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	Bistrita	\N	356	24.5	47.13
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	Mejicanos	157188	712	-89.22	13.73
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	Temuco	227086	360	-72.67	-38.73
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	Colchester	119441	\N	0.9	51.89
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Bruxelles	168576	13	4.35	50.85
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	Zlatoust	174962	440	59.67	55.17
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	Bandung	2394873	768	107.6	-6.92
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	Garanhuns	115356	896	-36.49	-8.89
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	Hamburg	1706696	6	10	53.57
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	Tipitapa	130627	50	-86.1	12.2
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	Teresina	767557	87	-42.8	-5.09
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	Potosí	189652	4067	-65.75	-19.58
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	Yaren	\N	\N	166.92	-0.55
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	Shaoguan	350043	59	113.6	24.82
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	Tartu	103284	57.2	26.72	58.38
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multan	1197384	122	71.47	30.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	Zhoushan	156317	\N	122.4	30.17
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novočerkassk	168746	80	40.08	47.42
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	Zamboanga	774407	16	122.08	6.92
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Al Iskandariyah	4123869	5	29.92	31.2
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Khabarovsk	593636	72	135.07	48.48
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	Tessaoua	172796	\N	7.98	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	Liyang	109520	\N	119.38	31.42
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	Koforidua	120971	238	-0.27	6.1
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	Yerevan	1066264	989.4	44.52	40.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangyang	2199690	71	112.13	32.02
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	Mesquite	139629	151	-96.61	32.78
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Turkmenabat	203000	187	63.57	39.08
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Marg‘ilon	215400	487	71.72	40.47
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	Cuiabá	540814	165	-56.1	-15.6
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	Siirt	135350	895	41.95	37.92
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	Carolina	157832	16	-65.97	18.41
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nizhnevartovsk	263228	45	76.55	60.95
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	Iğdır	82656	861	44.04	39.92
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	Bangkok	7506700	1.5	100.47	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	Sanya	102820	\N	109.5	18.25
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Chimki	207425	180	37.45	55.9
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	Guntur	651382	30	80.44	16.3
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	Lanús	452512	9	-58.4	-34.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	As Sulaymaniyah	364096	882	45.44	35.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	Querétaro	626495	1820	-100.39	20.59
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	Zalaegerszeg	59499	166	16.85	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	Ponta Delgada	46102	\N	-25.75	37.82
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	Saharanpur	374945	\N	77.55	29.96
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala Porto	206449	\N	40.67	-14.45
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	Jihlava	51162	525	15.59	49.4
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	McAllen	130242	37	-98.24	26.22
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	Baoding	483155	25	115.47	38.87
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	Pisa	85858	4	10.4	43.72
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	Melbourne	4169103	31	144.96	-37.81
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	Rasht	639951	5	49.58	37.28
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	Warangal	447653	302	79.58	18
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	Badajoz	151214	185	-6.97	38.88
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	Kupang	336239	62	123.58	-10.18
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Kingston upon Hull	284321	\N	-0.33	53.75
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	Natal	803739	30	-35.2	-5.78
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	Katowice	308269	266	19	50.25
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	Matsuyama	514781	\N	132.77	33.83
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	Higashiosaka	486260	\N	135.6	34.68
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	Montgomery	205597	73	-86.28	32.36
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	Gaza	449477	\N	34.5	31.5
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabouk	\N	760	36.58	28.4
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Nay Pyi Taw	1158367	115	96.1	19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	Trenton	84913	15	-74.76	40.22
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	Nazran'	93335	520	44.77	43.22
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Gedaref	191164	634	35.38	14.03
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	Bago	491130	4	96.48	17.34
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	Hengyang	487148	\N	112.6	26.9
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	Grand Turk	\N	\N	-71.14	21.47
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	Minsk	1836808	280.6	27.57	53.9
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	San Diego	1355896	129	-117.16	32.72
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odincovo	138930	190	37.27	55.67
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	Augusta	19132	21	-69.78	44.31
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	Tucson	526116	728	-110.93	32.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	Waterbury	110366	82	-73.04	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	Kremenchuk	226434	80	33.42	49.07
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Okt'abr'skij	109474	140	53.47	54.47
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	San Pedro Garza García	122627	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	Xiangtan	441968	\N	112.9	27.85
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	Mufulira	204104	\N	28.23	-12.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujranwala	1132509	\N	74.18	32.15
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	Yushu	131861	\N	126.55	44.83
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	São José	207312	0	-48.63	-27.61
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	Semey	312065	206	80.27	50.43
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarqand	509000	702	66.98	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	Caxias	118534	\N	-43.36	-4.86
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	Zhaoqing	194784	12	112.47	23.05
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Muscat	27216	20	58.58	23.6
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	Wuhu	425740	7.9	118.39	31.37
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	Harrisburg	49528	98	-76.88	40.27
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	Taboão da Serra	244528	\N	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	Mexicali	689775	8	-115.47	32.66
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	Livingstone	\N	986	25.87	-17.85
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	San Andres de Tumaco	195419	2	-78.76	1.81
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	Elbląg	123977	\N	19.4	54.17
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	Xining	551776	2275	101.77	36.63
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad-e-Kavus	144546	\N	55.17	37.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	Pyongyang	3255288	38	125.74	39.02
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas de Gran Canaria	381271	8	-15.42	28.15
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	Novomoskovsk	131386	220	38.22	54.08
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	Thimphu	42465	2334	89.64	27.47
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	Dispur	\N	55	91.79	26.14
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansijsk	80151	50	69	61
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	Floridablanca	264695	925	-73.07	7.22
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	Luoyang	1190000	144	112.44	34.67
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	York	152841	\N	-1.08	53.96
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	Pingxiang	425579	\N	113.85	27.63
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	Alcorcón	167217	695	-3.83	40.35
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	Veszprém	61721	266	17.91	47.09
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	Taichung	2684893	\N	120.67	24.15
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	Sosnowiec	214488	250	19.17	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	Belfast	280561	\N	-5.93	54.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	Wonsan	363127	\N	127.45	39.15
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	Setúbal	91108	\N	-8.88	38.53
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	Anadyr	13045	20	177.52	64.73
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	Jhelum	147392	250	73.73	32.93
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qina	206831	75	32.73	26.17
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	Marrakech	801043	466	-8.01	31.63
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	La Palma	\N	\N	-78.15	8.41
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	Itaboraí	215412	17	-42.86	-22.74
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	Aguié	152788	434	8.3	13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	Mauá	417064	818	-46.46	-23.67
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg	526089	12	11.97	57.7
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	Leshan	341128	\N	103.77	29.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	Yongin	852505	\N	127.2	37.23
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	Ruian	156468	\N	120.63	27.78
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	An Nasiriyah	265937	7	46.27	31.05
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	Louisville	609893	142	-85.77	38.25
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	Najran	\N	1293	44.13	17.49
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	Guediawaye	307594	\N	-17.4	14.78
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	Lubango	\N	1720	13.5	-14.92
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	Espoo	261654	\N	24.66	60.21
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	Frauenfeld	\N	417	8.9	47.55
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	Bulawayo	653337	1358	28.58	-20.17
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	Sincelejo	271375	213	-75.4	9.3
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	Den Haag	509623	1	4.32	52.08
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	Cincinnati	296950	147	-84.52	39.1
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	Damaturu	141897	\N	11.96	11.74
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	Guarulhos	1221979	759	-46.53	-23.47
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	Queimados	137962	29	-43.55	-22.72
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	Saransk	298287	160	45.18	54.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	Tonala	408759	\N	-103.23	20.62
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	Gilbert	208414	377	-111.79	33.35
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Farg'ona	264900	582	71.79	40.39
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	Bobruysk	215092	157	29.23	53.15
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	Des Moines	204192	291	-93.62	41.59
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	Olympia	46476	29	-122.89	47.04
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	Reutlingen	109799	382	9.22	48.48
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Esfahan	1756126	1574	51.65	32.63
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	Oita	472942	\N	131.61	33.23
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Roma	2617175	21	12.5	41.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	Münster	289576	60	7.63	51.97
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	Shuangcheng	142659	\N	126.35	45.38
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	Rio Claro	181720	613	-47.56	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Cherepovets	315738	130	37.9	59.2
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderabad	1166894	13	68.37	25.38
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	Focsani	\N	55	27.18	45.7
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	San Bernardino	209959	321	-117.3	34.1
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	Oradea	196367	142	21.92	47.07
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	Acharnes	106943	186	23.73	38.08
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	Pune	3124458	561	73.86	18.52
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	Ndalatando	\N	670	14.92	-9.3
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	Cedar Rapids	126326	247	-91.67	41.98
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	Aosta	\N	583	7.32	45.73
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Evora	\N	\N	-7.9	38.57
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	Elektrostal'	155196	150	38.47	55.78
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	Kalabancoro	166722	\N	-8.03	12.57
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	Buenaventura	392054	0	-77.03	3.88
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	Dosso	\N	227	3.19	13.04
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	Dolisie	128032	290	12.67	-4.2
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	Trieste	202123	2	13.8	45.63
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Al Qunaytirah	\N	1010	35.82	33.12
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	Rovaniemi	61244	\N	25.73	66.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpuchov	127041	140	37.4	54.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	Burnaby	223218	0	-122.97	49.27
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	Glendale	226437	351	-112.19	33.54
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	Zürich	384786	408	8.55	47.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	Ujjain	362633	\N	75.78	23.18
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	Noumea	\N	0	166.46	-22.28
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	Banská Bystrica	80003	362	19.15	48.73
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	Göttingen	115843	150	9.94	51.53
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	Bijeljina	114663	90	19.22	44.75
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	Ardahan	\N	1900	42.7	41.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	Tongchuan	280657	\N	109.08	35.07
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	Kassala	234622	\N	36.4	15.45
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	Bingol	98424	1151	40.5	38.89
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	Tarija	205346	1854	-64.73	-21.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	Anshan	1390000	2	122.98	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	Liverpool	552267	70	-2.98	53.4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	Bochum	362286	100	7.22	51.48
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	Hammerfest	7089	2	23.68	70.66
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	Portalegre	\N	\N	-7.42	39.32
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	Visakhapatnam	1728128	54	83.22	17.69
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	Avarua	\N	\N	-159.46	-21.12
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	Vilnius	538747	112	25.28	54.68
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	Abancay	\N	2377	-72.88	-13.63
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	Messina	243262	3	15.55	38.18
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	Tottori	\N	\N	134.23	35.5
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	Manbij	204766	460	37.95	36.53
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Bur Sa'id	570768	3	32.28	31.25
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	Mkokotoni	\N	\N	39.27	-5.88
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	Diourbel	101984	12	-16.39	14.66
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	Dimbokro	\N	\N	-4.7	6.65
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	Esbjerg	71579	11	8.45	55.48
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Mbombela	588794	\N	30.99	-25.47
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	Luhans´k	427187	105	39.3	48.57
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	Le Havre	174156	0	0.1	49.49
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	Saint Catharines	131400	97.8	-79.23	43.18
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	Gorno Altaysk	56933	300	85.97	51.95
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	Maradi	267249	385	7.1	13.49
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	Bondoukou	\N	343	-2.8	8.03
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	Qujing	178669	1873	103.8	25.48
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	Trondheim	179692	3	10.39	63.43
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	San Salvador	354174	658	-89.19	13.69
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Hami	161315	759	93.5	42.84
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	Shanghai	22315474	4	121.5	31.2
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	Ponta Grossa	304733	975	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	Quillacollo	137029	2425	-66.28	-17.4
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	Kovrov	145214	125	41.33	56.37
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	Pathein	286684	\N	94.72	16.77
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Kochi	582588	0	76.28	9.97
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	Ocotepeque	\N	\N	-89.18	14.43
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	Glarus	\N	472	9.07	47.03
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	Le Mans	143240	38	0.2	48.01
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	Denizli	525497	324	29.08	37.77
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	Legazpi	179481	\N	123.73	13.13
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Kerkyra	\N	0	19.87	39.58
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	Ho	104532	150	0.47	6.61
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	Matola	671556	3	32.46	-25.96
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	Posadas	253369	120	-55.9	-27.37
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	Green Bay	103913	177	-88.02	44.51
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	Xi'an	6501190	405	108.9	34.27
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	Belford Roxo	469332	38	-43.4	-22.76
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov-na-Donu	1103733	70	39.7	47.23
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	Montpellier	264538	7	3.88	43.61
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahawalpur	408395	461	71.68	29.4
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	Tshikapa	180860	485	20.8	-6.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	Moreno Valley	193365	497	-117.23	33.94
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Georgetown	180573	\N	100.23	5.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	Francisco Morato	154158	792	-46.74	-23.28
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	Tucupita	\N	5	-62.07	9.06
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	Mbarara	195013	1473	30.66	-0.61
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	Kediri	268507	3	112.01	-7.82
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	Braga	114003	200	-8.43	41.55
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	Gustavia	2299	\N	-62.85	17.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	Cairns	146477	\N	145.78	-16.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	Recife	1537704	10	-34.9	-8.05
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	Ashgabat	604700	219	58.37	37.93
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	Mata-Utu	\N	\N	-176.18	-13.28
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	Joliet	147457	187	-88.15	41.52
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	Deva	\N	187	22.91	45.88
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	Nyíregyháza	119746	116	21.73	47.95
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	Catia La Mar	118466	\N	-67.03	10.6
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	Rybinsk	200771	100	38.83	58.05
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	Hartford	124775	18	-72.67	41.76
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	Tokyo	8591695	\N	139.68	35.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	Mostar	113169	60	17.8	43.33
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	Gorgan	329536	1350	54.43	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	Tehuacán	248716	\N	-97.4	18.47
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	Huichon	168180	\N	126.28	40.17
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	Ciudad Bolívar	307713	54	-63.55	8.12
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Yerushalayim	773000	754	35.22	31.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons-en-Champagne	\N	82	4.37	48.96
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	Shanwei	107847	8	115.37	22.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	Nanjing	7165292	20	118.77	32.05
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshawar	982816	359	71.58	34.02
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	Apartadó	173008	30	-76.63	7.88
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	Ruda Śląska	142672	272	18.7	50.27
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	Boulogne-Billancourt	116220	28	2.24	48.84
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	Chicago	2718782	181	-87.68	41.84
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	Daxian	188101	312	107.52	31.2
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	Yixing	200824	\N	119.82	31.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	Oldham	96555	\N	-2.12	53.54
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle upon Tyne	268064	\N	-1.6	54.97
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	Taiping	183320	\N	100.73	4.85
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	Marseille	850636	0	5.37	43.3
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	Kota Kinabalu	354153	\N	116.1	5.97
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	Mombasa	938131	50	39.67	-4.05
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	Cariacica	337643	\N	-40.42	-20.26
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	Blackburn	117963	\N	-2.48	53.74
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	Likasi	299118	1318	26.73	-10.98
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	Wolfsburg	119984	63	10.79	52.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	Hermosillo	715061	210	-110.95	29.1
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	Bejaïa	176139	949	5.07	36.75
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	Iskenderun	184833	4	36.17	36.58
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	Juazeiro	160775	1098	-40.5	-9.43
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	Charleston	51347	182	-81.63	38.35
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	Macapá	381214	12	-51.07	0.03
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	La Rioja	143921	515	-66.85	-29.41
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	Barinas	215452	187	-70.2	8.63
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	Blida	331779	260	2.82	36.47
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	Caucaia	290220	29	-38.66	-3.73
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Siracusa	118385	17	15.28	37.08
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	Qurghonteppa	75400	430	68.78	37.84
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	Bandar Abbas	435751	9	56.27	27.18
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khoy	200958	1148	44.95	38.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	Coimbatore	1050721	411.2	76.97	11.02
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	Doha	339847	7	51.53	25.29
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	Burgas	197301	30	27.47	42.5
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	Burdur	\N	\N	30.28	37.72
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	Jhansi	313491	285	78.57	25.45
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	Härnösand	27287	1	17.94	62.64
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	Gorontalo	153036	9	123.07	0.53
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	Pago Pago	\N	9	-170.7	-14.28
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	Soacha	500097	2566	-74.22	4.59
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	Sekondi	228342	10	-1.76	4.9
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	Kinkala	\N	407	14.76	-4.36
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	Bamenda	269530	1614	10.17	5.93
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	Poltava	297589	132	34.55	49.59
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhupura	280263	236	73.99	31.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	Eindhoven	221279	17	5.48	51.43
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	Iquitos	370962	104	-73.25	-3.73
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	Holguín	294313	5	-76.26	20.89
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsø	5961	6	29.73	70.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	Mississauga	713443	156	-79.65	43.6
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khujand	165300	300	69.62	40.28
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	Hpa an	\N	\N	97.63	16.89
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	Tyumen	634171	70	65.53	57.15
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	Naha	\N	\N	127.68	26.21
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	Luxembourg	99852	230	6.13	49.61
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	Taganrog	254783	30	38.92	47.22
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	La Ceiba	127590	3	-86.83	15.77
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	Franceville	103840	\N	13.58	-1.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	Changwon	1062731	2	128.66	35.27
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	Burgos	178864	859	-3.71	42.35
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	Swansea	179485	\N	-3.95	51.62
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	Rajkot	1286678	128	70.78	22.3
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	Würzburg	124297	177	9.93	49.78
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	Banha	158389	19	31.19	30.46
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	Surgut	325511	40	73.43	61.25
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	Almada	49578	50	-9.16	38.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	Palmdale	152750	810	-118.1	34.58
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	Mataram	402843	26	116.12	-8.58
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	Pekanbaru	897767	12	101.45	0.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	Glendale	191713	159	-118.25	34.17
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	Umeå	117294	12	20.26	63.83
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	Van	370190	1730	43.38	38.49
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	Ceuta	82376	\N	-5.3	35.9
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	Gliwice	186347	200	18.67	50.28
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Eslam Shahr	389102	1456	51.23	35.56
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	Independence	116830	315	-94.41	39.08
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	Gloucester	136362	\N	-2.24	51.87
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	Gold Coast	576747	\N	153.4	-28.02
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	Tulsa	391886	220	-95.94	36.13
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Dashhowuz	165400	88	59.97	41.83
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	León	131411	837	-5.57	42.61
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	Montpelier	7855	183	-72.57	44.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	Ciudad Obregón	298625	40	-109.93	27.49
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	Santa Cruz de Tenerife	204476	4	-16.25	28.47
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Velikij Novgorod	218717	25	31.27	58.55
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	Maroua	201371	384	14.32	10.6
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	Tokushima	\N	\N	134.55	34.07
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	Vaughan	288301	\N	-79.5	43.83
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	Juazeiro do Norte	240128	350	-39.33	-7.2
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	Zadar	70674	0	15.23	44.11
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	Liestal	\N	327	7.73	47.47
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	Benxi	768778	131	123.77	41.3
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	Berlin	3292365	34	13.38	52.52
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	Gagnoa	167900	\N	-5.93	6.13
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	Abengourou	\N	\N	-3.48	6.73
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	Kanazawa	445432	\N	136.65	36.57
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	Quebec	516622	98	-71.22	46.82
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	Asmara	380568	2326	38.93	15.33
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	Zabrze	179861	\N	18.78	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	Coventry	325949	\N	-1.51	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	Anyang	420332	69	114.33	36.1
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	Neiva	340046	442	-75.3	3
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	Vaasa	66415	\N	21.62	63.1
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	Ermoupoli	\N	0	24.92	37.43
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	Miercurea Ciuc	\N	662	25.8	46.36
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	Port Sudan	308195	\N	37.22	19.62
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	Thessaloniki	325182	0	22.9	40.65
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	Biskra	204661	87	5.73	34.85
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	Zenica	115134	316	17.91	44.2
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	Almería	189680	27	-2.47	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	Minatitlán	112046	20	-94.55	17.98
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	Wuhai	264081	1150	106.68	39.65
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	Magdeburg	228144	55	11.62	52.13
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	Campinas	1061540	555	-47.06	-22.9
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	Río Cuarto	144140	452	-64.35	-33.13
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	Piteşti	155383	300	24.87	44.86
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	Chaoxian	123676	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	Hefei	3310268	37	117.28	31.87
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhzhia	772627	86	35.17	47.83
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	Anderlecht	113462	\N	4.33	50.83
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	Anápolis	328755	1017	-48.95	-16.33
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Molenbeek-Saint-Jean	94653	\N	4.33	50.85
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	Camagüey	307841	95	-77.91	21.38
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	Srinagar	1180570	1585	74.79	34.09
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	Ningbo	3491597	150	121.55	29.87
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	Lerwick	6570	\N	-1.14	60.16
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington	295803	298	-84.49	38.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	Kinshasa	4655313	240	15.32	-4.32
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	Dumai	253803	\N	101.45	1.67
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bangalore	8443675	920	77.57	12.97
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	Torre del Greco	85922	\N	14.37	40.78
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hannover	506416	55	9.72	52.37
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesha	139445	\N	4.72	7.62
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	Sydney	4605992	3	151.21	-33.86
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	Qingdao	3718835	\N	120.38	36.07
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	Mogadishu	\N	\N	45.35	2.03
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	Ajaccio	66245	0	8.74	41.93
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	Kerch	145845	10	36.47	45.36
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	Rancagua	206971	572	-70.75	-34.17
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	Kananga	393030	608	22.4	-5.89
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	Armavir	188832	190	41.12	45
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	Norwich	186682	\N	1.3	52.63
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Aioun	\N	\N	-9.62	16.67
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	Port Blair	\N	16	92.74	11.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	Temirtau	175632	\N	72.95	50.05
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Biel	53031	434	7.25	47.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	Bournemouth	187503	\N	-1.88	50.72
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	Cape Town	3740026	0	18.42	-33.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	Nanchang	2357839	37	115.88	28.68
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	Caracas	1975786	900	-66.92	10.5
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	Colatina	98395	71	-40.63	-19.54
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	Lowell	106519	31	-71.31	42.64
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Sochi	368011	30	39.72	43.59
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	Ulanhot	159538	\N	122.8	46.13
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	Apucarana	114098	840	-51.46	-23.55
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Kalookan	1378856	\N	120.97	14.65
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	Obninsk	104739	175	36.61	55.09
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	Tamale	371351	151	-0.85	9.41
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	Mogilev	358279	192	30.33	50.9
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	Puerto Cabello	177751	0	-68.02	10.47
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	Hilversum	86738	15	5.17	52.23
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	Santa Barbara	\N	\N	-88.23	14.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	Irvine	211906	17	-117.82	33.67
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	Chitre	48479	24	-80.43	7.97
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	Košice	240433	206	21.25	48.72
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	Cobán	232703	1320	-90.37	15.48
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	Trnava	66358	146	17.59	48.38
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	Nouadhibou	118167	0	-17.03	20.93
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	Chiba	937146	2	140.1	35.6
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okara	201815	105	73.45	30.81
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	al Hudaydah	402560	17	42.95	14.8
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	Obuasi	143644	101	-1.68	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	Jiaxing	211526	\N	120.75	30.77
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardan	245926	\N	72.05	34.2
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	Toledo	\N	529	-4.02	39.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	Madingou	\N	190	13.55	-4.15
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	Paterson	146199	34	-74.16	40.91
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	Appenzell	\N	780	9.42	47.33
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma de Mallorca	402044	13	2.65	39.57
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	Ribeirão das Neves	294153	\N	-44.09	-19.77
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	Lakewood	142999	1682	-105.08	39.7
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	Liancheng	156307	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	Monza	119856	162	9.27	45.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	Jiutepec	162427	1355	-99.17	18.88
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	Tarragona	133223	68	1.25	41.12
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	Jabalpur	1055525	412	79.93	23.17
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	Kigali	603049	1567	30.06	-1.94
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	Dessie	147592	2470	39.63	11.13
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	Włocławek	115982	\N	19.07	52.66
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	Butuan	298378	1	125.53	8.95
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	Cirebon	296389	\N	108.57	-6.72
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	Vologda	306487	120	39.9	59.22
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	Heidelberg	146751	114	8.72	49.42
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	Puerto La Cruz	205866	10	-64.63	10.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	Tlaxcala	14692	2239	-98.23	19.3
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	Port Moresby	318128	35	147.22	-9.51
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	Saltillo	709671	1600	-101	25.43
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	Valencia	792054	15	-0.38	39.47
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	Danyang	169603	\N	119.59	32
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	Halle	229153	88	11.97	51.48
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	Bukoba	128796	\N	31.82	-1.33
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	Little Rock	193524	102	-92.33	34.74
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	Maseru	227880	1600	27.48	-29.31
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	Paranaguá	135386	5	-48.51	-25.52
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	Toluca	489333	2660	-99.66	19.29
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	Aracaju	571149	4	-37.05	-10.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	Fontana	196069	377	-117.47	34.1
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basseterre	15500	15	-62.73	17.3
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	Bertoua	88462	717	13.68	4.58
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	Tanga	273332	25	39.1	-5.07
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirana	418495	110	19.82	41.33
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	Kaliningrad	441376	\N	20.45	54.7
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bolzano	102575	262	11.35	46.5
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	Tatabánya	67753	167	18.39	47.59
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	Enugu	407756	202	7.51	6.45
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	Guarda	\N	1056	-7.33	40.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kustanay	221970	125	63.62	53.2
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	Girón	175528	706	-73.17	7.07
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	Villeurbanne	145034	165	4.88	45.77
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Diwaniyah	196519	25	45	32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	Cardiff	335145	\N	-3.18	51.48
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	Al Fashir	141884	\N	25.35	13.63
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	Mudanjiang	571705	233	129.63	44.55
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	Bogra	350397	21	89.37	24.85
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	Mitu	\N	183	-70.17	1.2
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	Aurora	324601	1668	-104.83	39.73
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	Kindu	\N	504	25.95	-2.95
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	Kastamonu	96217	800	33.78	41.38
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Nojabr'sk	110620	115	75.45	63.2
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm	1013887	171	56.32	58
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	Lillehammer	22118	440	10.47	61.12
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopjevsk	210130	280	86.72	53.88
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	San Pedro Sula	515458	83	-88.03	15.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	Chihuahua	809232	1415	-106.09	28.64
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	Qarshi	254600	374	65.8	38.87
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	Viña del Mar	286931	2	-71.52	-33
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Majkop	144249	220	40.08	44.6
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	Goyang	897174	\N	126.8	37.65
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	Ankara	4630735	938	32.87	39.93
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	Navi Mumbai	1120547	\N	73.02	19.02
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	Iringa	151345	\N	35.7	-7.77
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla Morelos	154358	1294	-99.96	18.81
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	Cumaná	208114	43	-64.17	10.46
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	Jining	163552	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	Spokane	209440	562	-117.42	47.66
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	Kuala Lumpur	1297526	21.95	101.68	3.13
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	Telde	101080	130	-15.42	27.98
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	Grodno	327540	137	23.83	53.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	Winnipeg	663617	230	-97.14	49.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	Suzhou	5345961	\N	120.6	31.3
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Yekaterinburg	1396074	237	60.58	56.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	Milton Keynes	171750	\N	-0.76	52.04
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	Yangjiang	215196	4	111.97	21.85
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	Melekeok	391	\N	134.6	7.48
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	Adamstown	\N	\N	-130.05	-25.04
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	La Plata	553002	26	-57.95	-34.92
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	Aktau	181526	-8	51.15	43.65
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	Stamford	122643	7	-73.54	41.05
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	San Marino	4227	749	12.45	43.93
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	Molde	21448	130	7.24	62.76
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	Manchester	109571	64	-71.46	42.99
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétion-Ville	271175	\N	-72.28	18.52
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	Buffalo City	755200	135	27.87	-32.98
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Prishtine	198214	652	21.17	42.67
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	Philadelphia	1553165	12	-75.17	39.95
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	Móstoles	203493	620	-3.87	40.33
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	Cosenza	69484	238	16.25	39.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	Wolverhampton	210319	\N	-2.13	52.58
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	Las Tablas	\N	42	-80.28	7.77
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	Palermo	657561	14	13.37	38.12
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	Qazvin	381598	\N	50	36.27
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	Legnica	102708	113	16.16	51.21
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Ma`arrat an Nu`man	150965	530	36.67	35.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	Cuernavaca	338650	1510	-99.23	18.92
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikja	\N	\N	-11.43	18.55
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	Yumen	109234	1507	97.57	39.83
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	Borås	104867	143	12.94	57.72
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	Cartagena	990179	2	-75.5	10.4
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	Peristeri	139981	50	23.68	38.02
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	Shijiazhuang	2834942	83	114.48	38.07
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	Hamm	176037	63	7.82	51.68
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	Saint-Denis	145347	\N	55.5	-20.9
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	Matsue	\N	\N	133.05	35.47
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	Bielsko-Biała	174291	300	19.04	49.82
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	Ngaoundéré	152698	1212	13.58	7.32
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	Estelí	122924	843.97	-86.35	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	Dalian	4087733	29	121.64	38.92
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	Kozani	\N	710	21.78	40.3
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	Rizhao	185048	\N	119.43	35.42
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	Szombathely	78884	209	16.62	47.24
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Žukovskij	104736	130	38.12	55.6
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	Vladivostok	600378	40	131.9	43.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	Eastbourne	109185	\N	0.28	50.77
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhhorod	116556	169	22.3	48.62
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	Akron	199092	306	-81.52	41.07
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Emfuleni	721662	1468	27.84	-26.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	Catanduva	111914	503	-48.97	-21.14
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	Salt Lake City	186443	1288	-111.88	40.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	Muntinlupa	452943	16	121.05	14.38
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	Usak	187886	890	29.4	38.68
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	Jixi	683885	230	130.97	45.3
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	Ghaziabad	1648643	214	77.42	28.67
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	Kohima	\N	1444	94.11	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	Chengdu	7415590	500	104.06	30.66
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	Huainan	1200000	\N	116.98	32.62
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	Grand Rapids	188051	195	-85.66	42.96
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	Virginia Beach	437964	3	-75.98	36.85
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	El Porvenir	\N	\N	-78.97	9.55
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	Pelotas	306193	7	-52.34	-31.77
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	Markham	301709	200	-79.25	43.88
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	Hue	302983	\N	107.58	16.47
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	Victoria	\N	23	-123.37	48.43
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	Kaiserslautern	96340	251	7.77	49.44
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching Utara	152310	27	110.35	1.56
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namur	110500	\N	4.87	50.47
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	Ouesso	\N	340	16.05	1.61
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	Rybnik	140863	210	18.55	50.08
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	Nukualofa	23658	3	-175.2	-21.13
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	Gander	\N	128	-54.61	48.96
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	Noril'sk	175365	90	88.22	69.33
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	Mardin	86948	1083	40.74	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	Orumiyeh	667499	1332	45.07	37.56
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	Hildesheim	99554	81	9.95	52.15
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	Barretos	108686	530	-48.57	-20.56
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	Sacramento	466488	9	-121.47	38.56
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	Bottrop	117311	55	6.92	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	Viedma	52789	12	-62.97	-40.83
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	As Suways	510935	5	32.55	29.97
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	Constanţa	283872	25	28.64	44.17
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	Ternate	\N	\N	127.4	0.68
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	Lhasa	106885	4200	91.12	29.65
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	Owerri	119711	\N	7.04	5.49
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	Mariupol´	464457	22	37.55	47.1
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	Divinópolis	207516	712	-44.88	-20.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemi	101309	\N	29.2	-5.93
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	Fullerton	135258	50	-117.93	33.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	Santa Clarita	176320	368	-118.51	34.42
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodø	34479	\N	14.4	67.28
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	Visby	20000	\N	18.3	57.63
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin al Kum	177060	9	31.01	30.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	Culiacán	675773	54	-107.39	24.8
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	Târgu Mureş	134290	320	24.56	46.55
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergijev Posad	111179	210	38.13	56.3
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	Mekele	273601	2084	39.47	13.48
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	Garoua	235996	249	13.4	9.3
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	Florencia	169336	242	-75.61	1.61
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	Yaoundé	1817524	726	11.52	3.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz	428323	\N	-96.38	19.43
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	Thiès	273218	\N	-16.92	14.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	Katsina	259315	\N	7.6	12.98
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	Kilis	85119	663	37.12	36.72
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Lyon	491268	162	4.84	45.76
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	Cachoeiro de Itapemirim	173589	22	-41.11	-20.85
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	Rufisque	169371	\N	-17.27	14.72
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	Sanmenxia	120523	376	111.2	34.77
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	Ouagadougou	1475223	305	-1.54	12.36
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	Trujillo	\N	\N	-86	15.92
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Nápoli	962003	17	14.25	40.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	Osasco	666740	760	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	Vatican City	842	\N	12.45	41.9
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	Port-of-Spain	548299	3	-61.52	10.67
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	Kherson	300666	43	32.58	46.63
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	Kaolack	190927	\N	-16.25	14.02
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	Mmabatho	\N	\N	25.63	-25.85
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	Mataró	123367	28	2.45	41.53
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	Lubumbashi	851381	1208	27.47	-11.67
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	Karlovy Vary	53310	447	12.87	50.23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	Mainz	200344	89	8.27	50
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	Menongue	\N	1354	17.68	-14.66
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Lalitpur	226728	1350	85.32	27.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	Caruaru	279589	545	-35.98	-8.28
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	Tacna	242451	552	-70.25	-18.06
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	Altdorf	\N	458	8.63	46.87
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	El Paso	674433	1140	-106.42	31.79
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	Livorno	157052	3	10.32	43.55
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	Dar es Salaam	4364541	12	39.28	-6.8
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Jessentuki	100996	610	42.85	44.03
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Az Zaqaziq	302611	\N	31.5	30.57
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	Zagreb	686568	158	15.98	45.82
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	Pagadian	161312	100	123.43	7.83
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	Musoma	134327	1189	33.8	-1.5
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardebil	482632	1351	48.28	38.25
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	Salzburg	146676	424	13.03	47.8
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasur	245321	218	74.45	31.12
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	Paraná	235931	77	-60.53	-31.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	Kaduna	993642	250	7.44	10.52
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	Sapucaia do Sul	130469	35	-51.14	-29.84
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	Monterrey	1135512	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	Longueuil	231409	\N	-73.52	45.53
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Tougourt	143270	62	6.07	33.1
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	Chiang Mai	160200	310	99	18.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu	240230	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	Douala	1907479	13	9.68	4.05
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	Evansville	120081	118	-87.55	37.98
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung-Hungnam	768551	\N	127.53	39.92
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	Hailar	180650	614	119.7	49.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	Xuancheng	112673	\N	118.73	30.93
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	Rondonópolis	188028	227	-54.64	-16.47
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen	157584	95	8.44	49.48
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	Namangan	475700	450	71.67	41
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	Luleburgaz	105279	30	27.36	41.41
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	Oshawa	149607	106	-78.85	43.9
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Msunduzi	618536	596	30.38	-29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	Hialeah	224667	2	-80.29	25.86
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nižnekamsk	234044	110	51.82	55.63
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	Bahir Dar	191016	1800	37.38	11.6
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	Rostock	200265	14	12.13	54.08
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	Rennes	208033	20	-1.68	48.11
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	Saga	\N	\N	130.3	33.27
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	Tonsberg	8984	\N	10.42	59.3
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	Bayburt	\N	1550	40.23	40.26
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	Meerut	1305429	224.659	77.7	28.99
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venézia	261362	1	12.34	45.44
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	Khartoum	947483	382	32.53	15.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	Cangzhou	242708	13	116.87	38.32
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	Kolomna	144589	125	38.78	55.08
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	Reno	225988	1374	-119.82	39.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	Oceanside	167086	20	-117.33	33.21
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	Linz	193511	266	14.28	48.3
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Baha	\N	2155	41.45	20
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	Yogyakarta	388627	113	110.36	-7.8
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	Xai-Xai	115752	9	33.65	-25.05
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	Mobile	195102	3	-88.04	30.69
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	Apopa	143718	443	-89.18	13.8
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	Pikine	915300	\N	-17.4	14.75
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	Ambon	331254	3	128.17	-3.7
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	Ulhasnagar	369077	19	73.15	19.22
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulyab	96800	580	69.78	37.91
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	Salavat	156095	156	55.93	53.37
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	Tacoma	198397	74	-122.46	47.24
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	Araçatuba	178077	390	-50.43	-21.21
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	Bauchi	206537	616	9.84	10.32
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	Arauca	\N	125	-70.76	7.09
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	Juliaca	216716	3825	-70.13	-15.49
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	Ryazan	527905	130	39.7	54.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	Tete	155870	140	33.6	-16.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	São Bernardo do Campo	752658	762	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	Campos dos Goytacazes	418725	14	-41.32	-21.75
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	Ravenna	153740	4	12.2	44.42
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	Bukavu	201569	1498	28.87	-2.5
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	Vancouver	161849	52	-122.6	45.63
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	Keflavik	13862	\N	-22.57	64.02
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	Heredia	119670	1150	-84.12	10
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	Annapolis	38274	12	-76.5	38.97
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	Halmstad	93231	11	12.86	56.67
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	Kénitra	359142	\N	-6.58	34.25
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	Basse-Terre	\N	\N	-61.8	16.15
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	Kolonia	5681	\N	158.2	7
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	Bolgatanga	65549	177	-0.85	10.78
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	Al Ain	348000	292	55.74	24.21
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	Tampa	335715	15	-82.48	27.97
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	Arar	\N	536	41.02	30.98
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	Saint Helier	\N	\N	-2.1	49.2
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	Umuahia	147167	\N	7.48	5.53
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	Kingston	662426	9	-76.8	17.98
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	Izmir	3401994	2	27.13	38.42
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	Santa Clara	220210	125	-79.96	22.41
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubli	648298	671	75.08	15.36
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	Cali	2344734	1018	-76.52	3.42
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuk Linggau	201308	\N	102.86	-3.3
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	Erbil	850000	420	44.01	36.19
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	Rouen	111553	2	1.1	49.44
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	Amasya	91874	40	35.83	40.65
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	Targoviste	\N	292	25.46	44.92
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Beograd	1639121	117	20.47	44.82
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	Gaziantep	1438373	850	37.38	37.07
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	Koblenz	107825	73	7.6	50.36
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	Lages	153937	916	-50.33	-27.82
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	Tehran	8154051	1200	51.42	35.7
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	Osmaniye	209255	\N	36.25	37.08
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Yakutsk	286456	120	129.73	62.03
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	Osnabrück	153699	63	8.05	52.28
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wah Cantonment	198891	471	72.75	33.77
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	Huánuco	149210	1880	-76.24	-9.93
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	Magadan	95982	70	150.8	59.57
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	Fürth	115613	294	11	49.47
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	Andorra la Vella	22256	1023	1.5	42.5
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Čerkessk	129069	530	42.05	44.22
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	Kavaratti	\N	\N	72.62	10.57
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	Maringá	350653	515	-51.92	-23.4
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tanger	669685	80	-5.8	35.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	Dodoma	410956	1120	35.74	-6.17
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	Basel	167386	260	7.6	47.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	Ado-Ekiti	156122	455	5.22	7.62
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	Quilmes	518723	17	-58.27	-34.72
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	Sagaing	\N	\N	95.98	21.88
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	Toronto	2615060	76	-79.4	43.7
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	Osaka	2543137	\N	135.5	34.69
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	As Samawah	\N	9	45.28	31.32
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	Overland Park	173334	331	-94.67	38.98
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Duma	181934	428	36.4	33.57
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	Macaé	202859	2	-41.79	-22.37
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	Moyobamba	\N	\N	-76.97	-6.03
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	Charlotte	792862	229	-80.84	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad Díez Gutiérrez	255015	\N	-100.93	22.18
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	Leganés	185758	666.22	-3.76	40.33
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokaro Steel City	333683	210	86.15	23.67
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	Xintai	281248	\N	117.78	35.91
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	St. Pölten	52100	267	15.62	48.2
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	Rize	104508	6	40.52	41.02
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	Charlottetown	34562	0	-63.15	46.23
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	Vejle	51804	8	9.53	55.72
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	Tela	77031	3	-87.47	15.78
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	Tabriz	1494998	1351.4	46.3	38.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	Tonghua	324600	374	125.93	41.73
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	Braganca	\N	674	-6.76	41.81
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Jhongli	376217	\N	121.22	24.96
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	Luanda	5000000	6	13.23	-8.84
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	Pardubice	90844	237	15.78	50.04
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	Worcester	181041	146	-71.8	42.27
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	Saint Johns	22219	0	-61.85	17.12
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	Glasgow	590507	\N	-4.26	55.86
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	Shiyan	273786	\N	110.8	32.63
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	Codo	118072	47	-43.89	-4.46
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	Kaohsiung	2778659	9	120.27	22.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	Zhucheng	102134	66	119.42	36
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	Copiapó	125983	391	-70.33	-27.37
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	Batna	289504	1048	6.17	35.55
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	Boston	645966	43	-71.06	42.36
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	Tarawa	50182	\N	173	1.43
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	Aveiro	53496	\N	-8.65	40.63
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	Balikesir	267903	70	27.53	39.39
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	Kaifeng	507763	75	114.3	34.8
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	Sibiu	147245	415	24.15	45.8
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	Sikasso	225753	410	-5.67	11.32
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	Tegal	239599	5	109.13	-6.87
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	Norrköping	132124	\N	16.2	58.6
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	Ciénaga	104060	10	-74.25	11.01
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa-Enríquez	424755	1440	-96.93	19.54
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	Rio Branco	308545	143	-67.81	-9.97
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	Gelsenkirchen	258766	48	7.1	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	Mendoza	110716	746.5	-68.82	-32.88
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	Huntsville	180241	193	-86.58	34.73
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	Kecskemét	111411	105	19.69	46.91
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	Bouaké	542082	312	-5.02	7.68
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	Cluj-Napoca	324576	340	23.58	46.77
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	Jhang	293366	\N	72.32	31.27
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	Dimitrovgrad	122580	60	49.58	54.18
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	Bayamón	185996	16	-66.16	18.38
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	Shangqiu	164880	50	115.65	34.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	Kandahar	311800	1010	65.72	31.62
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	Albuquerque	556495	1620	-106.61	35.11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	Renqiu	114256	\N	116.1	38.7
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	Bolton	194189	\N	-2.43	53.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	Pervoural'sk	124528	283	59.93	56.92
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nürnberg	486314	309	11.08	49.45
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	Plovdiv	331796	164	24.75	42.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	Tabora	226999	1241	32.8	-5.02
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	Paderborn	142365	110	8.77	51.72
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	Ebolowa	\N	636	11.15	2.92
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	Haining	100478	\N	120.68	30.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	Haikou	280153	\N	110.34	20.04
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaozhou	153364	\N	119.96	36.25
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	Butembo	109406	1381	29.29	0.13
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	Campo Grande	776242	592	-54.61	-20.46
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	Dammam	744321	\N	50.2	26.28
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Tirgu Jiu	\N	\N	23.27	45.03
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	Barbacena	115568	1160	-43.77	-21.22
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	Brighton and Hove	229700	\N	-0.15	50.83
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	Columbia	130038	89	-80.9	34.03
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	Kitwe	467084	\N	28.2	-12.82
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	Bern	128848	542	7.45	46.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	Sunchon	297317	\N	125.93	39.42
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	Colombo	647100	1	79.84	6.93
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	Zaria	612257	\N	7.7	11.07
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	Matanzas	143774	20	-81.58	23.05
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	Tartus	160862	20	35.88	34.88
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	Kobe	1512109	\N	135.2	34.69
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	Abadan	212744	3	48.3	30.34
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	Syzran'	178750	50	48.47	53.17
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	Chesapeake	222209	9	-76.24	36.71
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	Ashiaman	190972	39	-0.03	5.7
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	Allentown	118032	103	-75.48	40.6
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Polokwane	628999	1312	29.45	-23.9
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	Los Teques	183142	\N	-67.03	10.33
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	Nakhon Ratchasima	254900	\N	102.1	14.98
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	Villa Nueva	527174	1330	-90.59	14.53
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	Sagamihara	700923	\N	139.37	35.57
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	Suceava	92121	300	26.26	47.65
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	Longyan	134481	\N	117.02	25.08
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	Port Vila	44040	\N	168.3	-17.75
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	Hakha	\N	1868	93.61	22.65
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Dar`a	146481	435	36.1	32.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	Shenyang	6255921	55	123.4	41.8
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	Chake Chake	\N	\N	39.77	-5.25
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	Oyo	369894	\N	3.93	7.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	Ijebu-Ode	124313	70	3.92	6.82
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Cheboksary	464940	150	47.23	56.15
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	Pontianak	554764	0	109.33	0
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	Betim	375331	817	-44.2	-19.97
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	Yamagata	\N	\N	140.33	38.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	Tangshan	3372102	\N	118.18	39.62
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	Mymensingh	258040	19	90.4	24.75
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	Sabzevar	231557	977.6	57.68	36.21
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussurijsk	158004	20	131.97	43.8
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	Bhavnagar	402338	24	72.15	21.76
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	Komotini	\N	45	25.42	41.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	Weinan	140169	\N	109.5	34.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	São Carlos	213061	856	-47.89	-22.02
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	Sandakan	276791	12	118.12	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	Wafangdian	251733	121	121.97	39.63
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	Rotterdam	619180	0	4.5	51.92
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	Bamako	1809106	350	-8	12.65
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	Toliara	80826	\N	43.67	-23.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	München	1348335	519	11.57	48.13
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	Jambi	531857	16	103.61	-1.59
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	San Jose del Guaviare	\N	185	-72.63	2.57
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk-Kamčatskij	179780	150	158.65	53.02
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	Myitkyina	\N	\N	97.4	25.38
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	Ségou	130690	294	-6.27	13.45
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	Yichun	795789	\N	128.9	47.73
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	Bujumbura	497166	774	29.37	-3.38
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	Montería	434950	18	-75.88	8.75
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	Plymouth	0	\N	-62.22	16.71
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	Victoria	24970	\N	55.45	-4.62
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	Bitlis	\N	1500	42.11	38.4
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	Hengshui	104269	\N	115.7	37.73
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	Tunja	184864	2820	-73.37	5.53
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	Akureyri	17490	\N	-18.1	65.68
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	Larissa	162591	67	22.42	39.64
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Koksetau	140846	234	69.38	53.28
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	Pereira	467185	1411	-75.69	4.81
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	Kingston	\N	\N	168	-29
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	Antsirabe	126062	1500	47.03	-19.87
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Nelson Mandela Bay	1152115	89	25.6	-33.96
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	Dijon	151672	220	5.04	47.29
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	Temara	225497	\N	-6.91	33.93
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	Irving	216287	147	-96.95	32.81
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	Agboville	\N	\N	-4.22	5.93
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	Piura	377496	\N	-80.63	-5.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	Ensenada	279765	16	-116.61	31.86
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	Nuuk	\N	5	-51.74	64.18
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	Sete Lagoas	208956	766.73	-44.25	-19.47
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	Sousse	223844	\N	10.63	35.83
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	Hanoi	2644536	19	105.85	21.03
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	Morón	309086	26	-58.62	-34.65
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	Villavicencio	473766	467	-73.63	4.15
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	Opole	122120	176	17.93	50.67
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	Jamnagar	350544	17	70.07	22.47
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	Split	165893	0	16.45	43.51
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	Algiers	2364230	10	3.22	36.77
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	Dili	193563	\N	125.6	-8.6
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	Praia	131719	0	-23.51	14.92
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	Nitra	78916	190	18.09	48.31
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim an der Ruhr	166865	40	6.88	51.43
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	Haeju	273300	\N	125.72	38.05
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	Machakos	150041	\N	37.27	-1.52
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	La Paz	\N	750	-87.67	14.32
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	Vanersborg	35804	\N	12.33	58.38
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	Assen	\N	10	6.57	53
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	Solothurn	\N	430	7.53	47.22
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	Douglas	\N	\N	-4.6	54.15
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	San Juan	115556	640	-68.53	-31.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	Pavlodar	329901	123	76.95	52.3
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	Bellinzona	\N	238	9.02	46.2
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	Catánia	293902	7	15.09	37.5
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Ha Long	201990	\N	107.08	20.95
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	Shangzhi	215373	\N	127.97	45.21
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	Araguaína	142925	227	-48.21	-7.19
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	Sorocaba	580655	601	-47.46	-23.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rawalpindi	1409768	508	73.03	33.6
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	La Chorrera	161470	\N	-79.95	8.48
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	Semnan	153680	1130	53.4	35.57
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	Anda	136446	149	125.5	46.45
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	Nossa Senhora do Socorro	155823	36	-37.06	-10.85
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaerbeek	130587	\N	4.38	50.87
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ngiva	\N	1098	15.73	-17.07
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	Lahore	5143495	217	74.34	31.55
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	Alofi	\N	21	-169.9	-19.05
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	Qinhuangdao	364972	\N	119.6	39.93
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	Saurimo	\N	1081	20.4	-9.65
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	Baoji	337765	570	107.38	34.35
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	Guanare	129751	183	-69.75	9.04
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	Surrey	468251	0	-122.85	49.18
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	Syktyvkar	235006	130	50.82	61.67
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	Ulsan	1081985	\N	129.32	35.55
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	Pasto	434486	2527	-77.28	1.21
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	Navoiy	134100	382	65.38	40.08
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	Mokpo	244543	\N	126.38	34.76
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	Angra dos Reis	163290	1378	-44.32	-23.01
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elche	227417	86	-0.7	38.27
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	Jiaozuo	409100	139	113.22	35.24
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	Fort Wayne	253706	247	-85.14	41.08
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	Hakkari	\N	\N	43.74	37.58
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia	185512	6	-1.99	43.32
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	Gravataí	243497	26	-50.99	-29.94
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	Antalya	1073794	30	30.68	36.9
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	Nacaome	\N	\N	-87.48	13.52
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	Lahti	103396	\N	25.65	60.98
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	Florianópolis	405286	3	-48.42	-27.83
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	Macao	\N	\N	113.55	22.17
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Georgetown	118363	-2	-58.17	6.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	Oxnard	197899	16	-119.18	34.19
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	Trujillo	682834	34	-79.03	-8.11
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumgayit	290500	26	49.67	40.59
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	Yoro	64425	\N	-87.13	15.13
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	Nilópolis	157425	14	-43.41	-22.81
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	Leicester	443760	\N	-1.13	52.63
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	Timişoara	319279	90	21.23	45.76
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moskva	11979529	156	37.62	55.75
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	Częstochowa	235156	\N	19.12	50.8
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	Maastricht	122243	49	5.68	50.85
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	Nanping	195064	89	118.18	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	Córdoba	328326	120	-4.77	37.88
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	Nha Trang	292693	\N	109.18	12.25
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	Quanzhou	185154	\N	118.58	24.92
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	Chuxian	125341	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	Cienfuegos	162178	25	-80.44	22.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomosho	433030	329	4.25	8.13
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	Maebashi	\N	\N	139.06	36.39
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	Nueva Gerona	\N	17	-82.8	21.88
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	Cork	118912	9	-8.47	51.9
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	Osijek	83496	94	18.68	45.56
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	Mamuju	\N	390	118.86	-2.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudniy	114170	\N	63.13	52.97
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	Schwyz	\N	516	8.65	47.02
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Abidjan	4395243	18	-4.03	5.32
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	Balakovo	199690	24	47.78	52.03
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	Varanasi	1198491	80.71	82.96	25.28
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	Istanbul	13710512	40	28.96	41.01
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	Murom	116075	115	42.03	55.57
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	Grenoble	157424	212	5.72	45.2
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	Johannesburg	4434827	1753	28.05	-26.2
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tiqwa	209600	15	34.89	32.09
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	Sioux Falls	153897	448	-96.73	43.54
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	Buea	90088	870	9.23	4.17
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	Lindi	\N	\N	39.71	-10
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	Koszalin	109183	32	16.18	54.18
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	Córdoba	1267774	390	-64.18	-31.42
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novočeboksarsk	124097	90	47.5	56.13
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	Bahía Blanca	272176	20	-62.27	-38.72
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	Terni	109193	130	12.65	42.57
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	Taian	350696	167	117.08	36.2
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	A Coruña	245053	0	-8.41	43.37
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	Fukushima	\N	67	140.47	37.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	Mtwara	108299	\N	40.18	-10.27
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	Ljubljana	282994	295	14.51	46.06
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	Pokhara	264991	930	83.97	28.26
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	La Asuncion	\N	67	-63.86	11.03
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	Delemont	\N	435	7.35	47.37
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	Jiamusi	493409	83	130.32	46.8
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	Kawaguchi	557710	\N	139.72	35.8
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	Puerto Lempira	\N	\N	-83.77	15.27
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	Bila Tserkva	210551	148	30.12	49.8
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	Remscheid	110708	365	7.2	51.18
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Staryj Oskol	221085	150	37.83	51.3
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	Nice	344064	0	7.27	43.7
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	Ilam	172213	1431	46.42	33.64
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	Jingdezhen	281183	35	117.2	29.28
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	Astana	814401	347	71.43	51.17
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	Marigot	5700	\N	-63.1	18.1
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	Nam Dinh	193768	\N	106.17	20.42
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	Jackson	173513	85	-90.18	32.3
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	Ranchi	1073427	651	85.33	23.36
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	Carrefour	430250	39	-72.4	18.53
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	Maragheh	162275	1456	46.24	37.39
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	Arad	159074	117	21.32	46.17
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	Tallinn	399340	9	24.75	59.44
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	Mossoró	237241	20	-37.34	-5.19
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	Sunrise Manor	189372	555	-115.06	36.18
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	Baikonur	\N	100	63.32	45.62
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	Klaipeda	158891	21	21.13	55.71
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	Yuanjiang	107004	\N	112.6	28.95
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Leuven	97692	\N	4.7	50.88
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	Sumy	269663	166	34.75	50.92
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	Xuchang	208815	71	113.85	34.03
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	Anshun	174142	1380	105.93	26.25
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Luzern	80501	436	8.3	47.05
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	Tambov	281834	130	41.43	52.72
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	Abu Dhabi	552000	\N	54.37	24.47
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	Agra	1585704	171	78.02	27.18
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	Fuxin	635473	\N	121.65	42.02
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	Kansas City	145786	265	-94.68	39.11
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	Lianyungang	354139	\N	119.17	34.6
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora de Hidalgo	141627	1580	-102.28	19.98
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	Matadi	172730	146	13.47	-5.82
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Praha	1289556	399	14.42	50.08
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	Abuja	776298	840	7.48	9.07
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	Cottbus	99984	75	14.33	51.76
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	Lagos	5195247	41	3.4	6.45
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	Jodhpur	1033756	231	73.02	26.28
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	Bengbu	449245	\N	117.38	32.92
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Bandjarmasin	625481	1	114.58	-3.33
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	Agartala	\N	12.8	91.27	23.83
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	Liberia	36400	144	-85.43	10.63
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	Alor Setar	114949	7	100.37	6.12
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	Fukuyama	465645	\N	133.37	34.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	Ostrava	311508	335	18.29	49.84
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	Windhoek	322500	\N	17.08	-22.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	Lokoja	\N	\N	6.75	7.82
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	Iaşi	290422	60	27.59	47.16
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	Sankt Gallen	74581	675	9.37	47.42
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	Fribourg	\N	610	7.15	46.8
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	New Taipei	3939305	\N	121.45	25.01
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	Riohacha	250236	5	-72.91	11.54
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	Sunnyvale	140058	38	-122.04	37.37
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	Tanchon	345875	\N	128.91	40.46
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	Neftekamsk	121733	100	54.47	56.14
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	El Djelfa	265833	\N	3.25	34.67
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	Merida	\N	217	-6.33	38.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	Wuppertal	342661	160	7.18	51.27
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Al Madinah	918889	\N	39.5	25
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	Cheltenham	116447	\N	-2.07	51.88
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	Barisal	328278	1	90.5	22.8
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	Cartago	131545	917	-75.92	4.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	Ba'qubah	114516	48	44.63	33.75
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	Tallahassee	181383	62	-84.25	30.46
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	Trinidad	106422	130	-64.9	-14.83
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	Puebla	1434062	2135	-98.18	19.03
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	Toyota	409157	\N	137.15	35.08
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	Kikwit	182142	452	18.82	-5.04
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	Jakarta	9607787	8	106.82	-6.2
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	Belmopan	13654	76	-88.77	17.25
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	Ulan-Ude	416079	530	107.6	51.83
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	Erlangen	103719	279	11.02	49.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	Datong	1110000	1042	113.3	40.08
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	Mpanda	102900	\N	31.07	-6.35
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	Amadora	175136	\N	-9.23	38.73
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	Chachapoyas	\N	2335	-77.85	-6.22
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	Joinville	497850	4	-48.84	-26.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	Jining	265248	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	Nikopol´	120000	51	34.4	47.57
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	Wa	71051	305	-2.5	10.07
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	Lucknow	2817105	128	80.9	26.8
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	Auckland	419418	0	174.74	-36.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnoyarsk	1016385	259	93.07	56.02
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	Dubai	1171000	\N	55.33	24.95
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	Lulea	66526	6	22.15	65.58
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	Sibiti	\N	440	13.35	-3.69
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver	408877	135	35.92	56.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	Djambala	\N	622	14.75	-2.54
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	Yamaguchi	\N	\N	131.47	34.18
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	Dublin	525383	20	-6.26	53.35
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	Witten	96382	104	7.33	51.43
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	Satu Mare	102411	127	22.89	47.79
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	Bartin	\N	25	32.34	41.63
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	Milwaukee	599164	188	-87.96	43.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	Zigong	393184	\N	104.77	29.34
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	Akita	\N	\N	140.1	39.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	Zaanstad	151058	1	4.82	52.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	Liupanshui	363954	\N	104.83	26.59
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	Saint Peter Port	\N	\N	-2.6	49.6
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patra	213984	0	21.73	38.25
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	Palembang	1455284	8	104.76	-2.99
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	Puente Alto	491222	673	-70.57	-33.62
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	Kasama	\N	\N	31.18	-10.21
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Ciudad Santa Catarina	268347	680	-100.45	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	Linfen	187309	452	111.52	36.08
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	Kassel	190765	167	9.5	51.32
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	Nancy	105382	188	6.18	48.69
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	Goiânia	1297076	749	-49.25	-16.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	Jundiaí	354204	761	-46.88	-23.19
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	Nakhon Sawan	142500	33	100.14	15.71
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	Kerman	534441	1755	57.08	30.28
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatão	630595	10	-35.02	-8.11
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	Henderson	257437	569	-114.98	36.03
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	İnegöl	177617	\N	29.51	40.08
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	Sargodha	458440	193	72.67	32.08
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	Pskov	203279	45	28.33	57.82
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasuj	108505	2004	51.59	30.67
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	Kangar	\N	\N	100.2	6.43
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjungpinang	\N	18	104.48	1.08
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	Savannah	136341	15	-81.12	32.02
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Seeb	302992	\N	58.18	23.68
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	Kryvyi Rih	660203	84	33.25	47.92
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	Acapulco	673479	30	-99.88	16.86
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	Damanhur	241895	18	30.47	31.04
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	Sétif	252127	1096	5.4	36.18
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	Seattle	652405	0	-122.33	47.61
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	Columbus	189885	74	-84.94	32.49
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	Klagenfurt	96531	446	14.3	46.62
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	Washington	646449	\N	-77	38.5
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	Berezniki	156466	130	56.78	59.42
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	Shymkent	683273	506	69.6	42.32
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	Oviedo	225005	232	-5.84	43.36
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	Xiaogan	166280	\N	113.9	30.92
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	Castelo Branco	\N	\N	-7.5	39.82
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	Nakhon Si Thammarat	167400	9	99.96	8.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	Pingdu	150123	\N	119.96	36.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Sialkot	421502	256	74.54	32.5
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	Isparta	198385	1049	30.56	37.76
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Mogi Guaçu	130295	591	-46.94	-22.37
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	Lincoln	258468	359	-96.68	40.81
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	Ternopil´	217300	320	25.6	49.57
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	Bergisch Gladbach	108878	100	7.12	51.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	Irapuato	380941	1724	-101.35	20.67
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	Bérgamo	115349	249	9.67	45.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	Luton	211228	\N	-0.43	51.9
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	Tilburg	210283	14	5.08	51.55
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	El Monte	113475	91	-118.03	34.07
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	New Orleans	343829	-2	-90.07	29.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	Ipatinga	236968	220	-42.53	-19.5
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	Zonguldak	109080	60	31.8	41.46
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	João Pessoa	720785	40	-34.83	-7.08
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	Konya	1107886	1200	32.48	37.87
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	Omsk	1160670	90	73.37	54.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	Taizhou	152442	\N	119.92	32.45
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	Irbid	250645	620	35.85	32.55
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	Sunyani	74240	303	-2.33	7.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec	1655015	2250	-99.06	19.61
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolás de los Garzas	443273	512	-100.28	25.75
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	Alcobendas	110351	700	-3.63	40.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Xuzhou	3053778	\N	119.8	32.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	Naperville	142089	214	-88.17	41.75
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	Nishinomiya	472650	\N	135.34	34.74
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	Chemnitz	240253	298	12.92	50.83
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	Angers	148803	12	-0.55	47.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	Amritsar	1132383	\N	74.86	31.64
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	Plymouth	234982	0	-4.14	50.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	Tepic	332863	920	-104.89	21.51
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	Dakar	1121935	10	-17.45	14.69
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	Poitiers	87646	65	0.34	46.58
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa	652646	\N	106.82	10.95
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	Bratislava	411228	134	17.11	48.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	Kolwezi	417810	1448	25.47	-10.72
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	Loudi	128418	\N	112	27.73
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	Abakan	165214	245	91.47	53.72
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	Pasadena	149300	9	-95.17	29.68
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	Jyväskylä	134862	\N	25.74	62.24
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	Bida	111245	\N	6.02	9.08
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milano	1242123	120	9.18	45.47
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	Ciudad del Este	222274	34	-54.62	-25.52
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	Jinhua	144280	\N	119.65	29.08
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Toshkent	2352900	455	69.22	41.27
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	Liaocheng	207844	\N	115.98	36.45
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	Lima	7605742	0	-77.03	-12.04
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	Dnipropetrovs´k	999577	155	34.98	48.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	Ilorin	532089	\N	4.55	8.5
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	David	144858	-6	-82.43	8.43
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	Kisangani	417517	447	25.2	0.52
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	Aswan	265004	194	32.9	24.09
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	Yingkou	421589	\N	122.23	40.67
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	Kaffrine	\N	\N	-15.7	14.12
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	Da Nang	770911	\N	108.23	16.07
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	Shaoxing	179818	\N	120.58	30
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	Keelung	377153	\N	121.73	25.13
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Mangaung	747431	1395	26.22	-29.12
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	Aguascalientes	722250	1888	-102.3	21.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	Talcahuano	161692	1	-73.12	-36.72
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Sholapur	604215	457	75.92	17.68
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balašicha	215494	150	37.97	55.82
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	Ann Arbor	113946	256	-83.75	42.28
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nal'čik	240203	480	43.62	43.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	Brno	404820	237	16.62	49.2
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	Springfield	116315	170	-89.62	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	Várzea Grande	248704	198	-56.13	-15.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	Feira de Santana	510635	286	-38.95	-12.25
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	Craiova	269506	100	23.82	44.33
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	Kirov	483176	150	49.65	58.6
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	Hurghada	\N	14	33.81	27.26
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	San Salvador de Jujuy	230999	1259	-65.3	-24.18
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilini	\N	8	26.55	39.1
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	Jönköping	129478	104	14.16	57.78
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	Surakarta	499337	\N	110.82	-7.57
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Bani Suwayf	193535	16	31.08	29.07
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	Bari	315933	5	16.87	41.13
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	Tórshavn	12245	\N	-7	62
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	Budapest	1729040	102	19.05	47.49
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	Wollongong	288101	5	150.88	-34.43
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	Juiz de Fora	510378	678	-43.35	-21.76
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	Aksu	164092	\N	80.25	41.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Buxoro	272500	225	64.43	39.77
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	Elazig	347857	1067	39.22	38.67
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	Ruse	146609	45	25.95	43.82
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	Shahr-e-Kord	159775	2070	50.86	32.33
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	Port-au-Prince	875978	98	-72.33	18.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	Stockport	105878	\N	-2.15	53.41
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	Nantes	287845	2	-1.55	47.22
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco	975	\N	7.42	43.73
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	Alexandria	139966	12	-77.05	38.8
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkiv	1441362	152	36.23	50
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	Petaling Jaya	438084	\N	101.65	3.08
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	Kota	1001694	271	75.83	25.18
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	Tunis	651284	4	10.18	36.8
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	Korhogo	245239	380	-5.62	9.42
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	Sterlitamak	275798	150	55.95	53.63
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	Criciúma	189630	46	-49.37	-28.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	Bakersfield	347568	123	-119.02	35.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	Taubaté	272673	\N	-45.56	-23.02
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Makassar	1338663	0	119.42	-5.13
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	Yongan	111762	\N	117.37	25.98
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	Paramaribo	240924	3	-55.17	5.87
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Al Kut	183183	23	45.82	32.51
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mirpur Khas	189671	\N	69.02	25.53
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv-Yafo	403700	5	34.78	32.07
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	Huaihua	126785	\N	109.97	27.55
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	Wiesbaden	269121	117	8.24	50.08
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	Canberra	418292	577	149.12	-35.31
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	Cúcuta	643666	320	-72.5	7.89
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	Bradford	349561	\N	-1.75	53.79
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	Monclova	215271	620	-101.42	26.91
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	Amersfoort	151270	3	5.38	52.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	Stockton	291731	4	-121.3	37.98
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	Hamar	15685	134	11.06	60.8
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	Solwezi	\N	1235	26.4	-12.18
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Neyshabur	239185	1250	58.8	36.21
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	Sabará	123084	705	-43.81	-19.89
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	Novo Hamburgo	234798	57	-51.13	-29.68
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	Salekhard	42544	15	66.6	66.53
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	Koror	11665	10	134.48	7.36
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	Volos	144449	0	22.93	39.37
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	St. Louis	319356	142	-90.2	38.63
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	Dandong	523699	8	124.38	40.12
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	Sedhiou	\N	\N	-15.55	12.7
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	Vaduz	5241	455	9.52	47.14
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	Campina Grande	367209	560	-35.88	-7.23
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	Tuguegarao	129539	\N	121.72	17.62
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	Yuci	191356	\N	112.85	37.62
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	Kalyan	1247327	8.84	73.13	19.24
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	Qaemshahr	196050	\N	52.86	36.46
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni - Germiston	3178471	\N	28.33	-26.17
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	Warren	134056	191	-83.02	42.49
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Funchal	112362	\N	-16.92	32.65
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	General San Martín	405122	472	-64.78	-23.8
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	Petrozavodsk	268946	60	34.33	61.78
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Inirida	\N	95	-67.92	3.87
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	Seguela	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	Kaechon	319554	\N	125.91	39.7
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	Porto-Novo	223552	38	2.61	6.5
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	Fuyu	192981	183	126.05	44.98
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	Cam Pha	168196	70	107.32	21.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	Brampton	523911	218	-79.77	43.68
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	Shah Alam	319612	\N	101.53	3.08
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	Hegang	522747	280	130.3	47.35
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	Sacaba	169494	2719	-66.04	-17.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	Itapevi	200769	741	-46.93	-23.55
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	Barrancabermeja	191784	75	-73.85	7.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	Tampico	297284	10	-97.87	22.26
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	Salto	104011	48	-57.95	-31.38
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	Limerick	56779	10	-8.62	52.67
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	Ramallah	\N	\N	35.2	31.9
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Peterburg	5028000	3	30.3	59.95
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	Ansan	722598	139	126.83	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	Mashhad	2749374	995	59.6	36.3
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	Hospitalet de Llobregat	256509	8	2.1	41.36
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	Huzhou	218071	\N	120.1	30.87
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	Tychy	129087	\N	18.98	50.13
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	Kirkuk	750000	350	44.32	35.47
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	Dongguan	8220207	8	113.72	23.03
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	La Guaira	\N	\N	-66.93	10.6
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	Silvassa	\N	32	73.02	20.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	Meixian	132156	\N	116.12	24.32
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	São João de Meriti	458673	19	-43.37	-22.8
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	Kaposvár	66245	153	17.78	46.36
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	Huadian	175873	265	126.73	42.95
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	Neuquén	201729	260	-68.06	-38.95
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	Duzce	135557	\N	31.16	40.84
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	Fuzhou	3572421	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	Abha	\N	2400	42.51	18.22
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	El Alto	848840	4150	-68.17	-16.52
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	Huambo	\N	1721	15.73	-12.77
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	Concord	42695	88	-71.54	43.21
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	Pittsburgh	305702	233	-79.98	40.44
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	Reading	218705	61	-0.97	51.45
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	Antsiranana	59040	\N	49.28	-12.3
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	Kanggye	251971	\N	126.6	40.97
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	Honiara	49107	29	159.95	-9.43
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	Apia	36735	2	-171.75	-13.83
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	Castries	3661	2	-60.98	14.02
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	Conakry	1667864	\N	-13.7	9.52
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	Bengkulu	308544	2	102.26	-3.8
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	Lilongwe	674448	1050	33.78	-13.98
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	Lugano	62792	273	8.95	46
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	Binjai	246154	28	98.48	3.6
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	Himeji	533832	\N	134.68	34.82
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	Reynosa	589466	33	-98.28	26.09
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	Kislovodsk	128553	810	42.72	43.92
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	Parañaque	552660	12	121.02	14.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	Coral Springs	121098	4	-80.26	26.27
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	Chongjin	667929	\N	129.77	41.78
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	Lamia	75315	50	22.43	38.9
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	Aden	570551	6	45.03	12.8
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Ciudad de México	8555272	2250	-99.13	19.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	Matamoros	449815	9	-97.5	25.88
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	Nairobi	3133518	1661	36.82	-1.28
\.


--
-- TOC entry 5303 (class 0 OID 90991)
-- Dependencies: 814
-- Data for Name: Continent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Continent" ("URI", name, area) FROM stdin;
http://www.semwebtech.org/mondial/10/continent/Africa/	Africa	30254708
http://www.semwebtech.org/mondial/10/continent/Asia/	Asia	45095292
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Australia/Oceania	8503474
http://www.semwebtech.org/mondial/10/continent/America/	America	39872000
http://www.semwebtech.org/mondial/10/continent/Europe/	Europe	9562488
\.


--
-- TOC entry 5304 (class 0 OID 90997)
-- Dependencies: 815
-- Data for Name: Country; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Country" ("URI", "gdpAgri", inflation, "populationGrowth", government, "gdpServ", population, "gdpTotal", unemployment, "independenceDate", "dependentOf", "infantMortality", area, "gdpInd", "carCode", capital, "wasDependentOf", name) FROM stdin;
http://www.semwebtech.org/mondial/10/country/GUAD/	6	3.7	1.2	overseas department of France	85	404635	3700	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	8.3	1628	9	GUAD	http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	\N	Guadeloupe
http://www.semwebtech.org/mondial/10/country/SY/	2	4.3	0.87	republic	79.4	90945	1271	2	1976-06-29	\N	10.77	455	18.7	SY	http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/GB/	Seychelles
http://www.semwebtech.org/mondial/10/country/CR/	6.2	5.6	1.24	democratic republic	72.5	4773119	48510	7.9	1821-09-15	\N	8.7	51100	21.3	CR	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/E/	Costa Rica
http://www.semwebtech.org/mondial/10/country/RO/	6.4	3.2	-0.29	republic	59.4	20121641	188900	7.3	1877-05-09	\N	10.16	237500	34.2	RO	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Romania
http://www.semwebtech.org/mondial/10/country/BHT/	13.8	11	1.13	constitutional monarchy	45	733004	2133	2.1	1949-08-08	\N	37.89	47000	41.2	BHT	http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/GB/	Bhutan
http://www.semwebtech.org/mondial/10/country/GQ/	4.6	6	2.54	republic	8.1	696167	17080	22.3	1968-10-12	\N	71.12	28050	87.3	GQ	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/E/	Equatorial Guinea
http://www.semwebtech.org/mondial/10/country/RB/	1.9	6.1	1.26	parliamentary republic	62.4	2038228	15530	17.8	1966-09-30	\N	9.38	600370	35.7	RB	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/GB/	Botswana
http://www.semwebtech.org/mondial/10/country/SPMI/	2	4.5	-1.02	parliamentary representative democracy	83	6312	215.3	9.9	\N	http://www.semwebtech.org/mondial/10/country/F/	6.95	242	15	SPMI	http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	\N	Saint Pierre and Miquelon
http://www.semwebtech.org/mondial/10/country/NIC/	17.1	5.7	1.02	republic	57.5	6071045	11260	7.2	1821-09-15	\N	20.36	129494	25.5	NIC	http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/E/	Nicaragua
http://www.semwebtech.org/mondial/10/country/MNG/	16.5	8.2	1.37	parliamentary	50.9	2754685	11140	9	1921-03-13	\N	23.15	1565000	32.6	MNG	http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/CN/	Mongolia
http://www.semwebtech.org/mondial/10/country/SK/	3.1	1.7	0.03	parliamentary democracy	67	5397036	96960	14.4	1993-01-01	\N	5.35	48845	30.8	SK	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Slovakia
http://www.semwebtech.org/mondial/10/country/G/	3.6	1.2	1.94	republic; multiparty presidential regime	32.5	1556222	19970	21	1960-08-17	\N	47.03	267670	63.9	G	http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/F/	Gabon
http://www.semwebtech.org/mondial/10/country/ET/	14.5	9	1.84	republic	48	83667047	262000	13.4	1922-02-28	\N	22.41	1001450	37.5	ET	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/GB/	Egypt
http://www.semwebtech.org/mondial/10/country/AZ/	6.2	2.4	0.99	republic	30.8	9356500	76010	6	1991-08-30	\N	26.67	86600	63	AZ	http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Azerbaijan
http://www.semwebtech.org/mondial/10/country/RP/	11.2	2.8	1.81	republic	57.2	92337852	272200	7.4	1946-07-04	\N	17.64	299764	31.6	RP	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/USA/	Philippines
http://www.semwebtech.org/mondial/10/country/UAE/	0.6	1.3	2.71	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates	38.2	8441537	390000	2.4	1971-12-02	\N	10.92	75581	61.1	UAE	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/GB/	United Arab Emirates
http://www.semwebtech.org/mondial/10/country/GR/	3.5	-0.8	0.01	parliamentary republic	80.5	10816286	243300	27.9	1829-01-01	\N	4.78	131940	16	GR	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Greece
http://www.semwebtech.org/mondial/10/country/NAU/	6.1	-3.6	0.56	republic	60.8	10025	100	90	1968-01-31	\N	8.21	21	33	NAU	http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/organization/UN/	Nauru
http://www.semwebtech.org/mondial/10/country/COM/	51	2.5	1.87	republic	39	683081	658	20	1975-07-06	\N	65.31	2170	10	COM	http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/F/	Comoros
http://www.semwebtech.org/mondial/10/country/CUR/	0.7	3.2	\N	parliamentary	83.8	150563	5600	13	\N	http://www.semwebtech.org/mondial/10/country/NL/	\N	444	15.5	CUR	http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	\N	Curacao
http://www.semwebtech.org/mondial/10/country/CAM/	20.6	2.6	2.6	republic; multiparty presidential regime	52.1	19406100	27880	30	1960-01-01	\N	55.1	475440	27.3	CAM	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/organization/UN/	Cameroon
http://www.semwebtech.org/mondial/10/country/H/	3.4	1.9	-0.21	parliamentary democracy	68.7	9937628	130600	10.5	1918-11-18	\N	5.09	93030	28	H	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Hungary
http://www.semwebtech.org/mondial/10/country/CDN/	1.7	1	0.76	a parliamentary democracy, a federation, and a constitutional monarchy	69.9	35158304	1825000	7.1	1867-07-01	\N	4.71	9976140	28.4	CDN	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/GB/	Canada
http://www.semwebtech.org/mondial/10/country/DJI/	3	2.5	2.23	republic	79.7	834036	1459	59	1977-06-27	\N	50.2	22000	17.3	DJI	http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/F/	Djibouti
http://www.semwebtech.org/mondial/10/country/BERM/	0.7	1.8	0.52	parliamentary; self-governing territory	93.5	64237	5600	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	2.48	53.3	5.7	BERM	http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	\N	Bermuda
http://www.semwebtech.org/mondial/10/country/BI/	34.4	9.3	3.28	republic	47.2	8444784	2676	\N	1962-07-01	\N	63.44	27830	18.4	BI	http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/organization/UN/	Burundi
http://www.semwebtech.org/mondial/10/country/WSA/	\N	\N	2.46	legal status of territory and question of sovereignty unresolved	\N	554795	\N	\N	\N	\N	145.82	266000	\N	WSA	http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	\N	Western Sahara
http://www.semwebtech.org/mondial/10/country/WL/	3.1	5.3	0.35	parliamentary democracy and a Commonwealth realm	79.5	165595	1377	20	1979-02-22	\N	11.75	620	17.4	WL	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Lucia
http://www.semwebtech.org/mondial/10/country/FALK/	95	1.2	0.01	British Overseas Territories	\N	2931	164.5	4.1	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	12173	\N	FALK	http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/country/KIR/	24.3	0.2	1.18	republic	67.8	103058	173	2	1979-07-12	\N	35.37	717	7.9	KIR	http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/GB/	Kiribati
http://www.semwebtech.org/mondial/10/country/GBZ/	0	2.8	0.25	dependent territory of the UK	100	27495	1106	3	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.29	6.5	0	GBZ	http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	\N	Gibraltar
http://www.semwebtech.org/mondial/10/country/PK/	25.3	7.7	1.49	federal republic	53.1	173149306	236500	6.6	1947-08-14	\N	57.48	803940	21.6	PK	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/GB/	Pakistan
http://www.semwebtech.org/mondial/10/country/KGZ/	20.8	6.8	1.04	republic	44.8	5776600	7234	8.6	1991-08-31	\N	28.71	198500	34.4	KGZ	http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kyrgyzstan
http://www.semwebtech.org/mondial/10/country/ZRE/	44.3	7.1	2.5	republic	34	62191161	18560	\N	1960-06-30	\N	73.15	2345410	21.7	ZRE	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/B/	Zaire
http://www.semwebtech.org/mondial/10/country/TUV/	16.6	3.8	0.8	parliamentary democracy and a Commonwealth realm	56.2	9827	38	\N	1978-10-01	\N	31.69	26	27.2	TUV	http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/GB/	Tuvalu
http://www.semwebtech.org/mondial/10/country/YE/	7.7	11.8	2.72	republic	61.4	24527000	43890	35	1990-05-22	\N	50.41	527970	30.9	YE	http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/territory/MergerofNorth-SouthYemen/	Yemen
http://www.semwebtech.org/mondial/10/country/IRQ/	3.3	2	2.23	parliamentary democracy	32.1	33330512	221800	16	1932-10-03	\N	37.53	437072	64.6	IRQ	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/organization/UN/	Iraq
http://www.semwebtech.org/mondial/10/country/MK/	10.2	2.8	0.21	parliamentary democracy	62.3	2059794	10650	28.6	1991-09-17	\N	7.9	25333	27.5	MK	http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Macedonia
http://www.semwebtech.org/mondial/10/country/GUY/	20.7	3.9	-0.11	republic	40.8	747884	3020	11	1966-05-26	\N	33.56	214970	38.5	GUY	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Guyana
http://www.semwebtech.org/mondial/10/country/TCH/	46.3	4.5	1.92	republic	43.8	11720781	13590	\N	1960-08-11	\N	90.3	1284000	9.9	TCH	http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/F/	Chad
http://www.semwebtech.org/mondial/10/country/NCA/	2.1	1.7	1.42	parliamentary representative democracy	67.9	245580	9280	17.1	\N	http://www.semwebtech.org/mondial/10/country/F/	5.46	19060	30	NCA	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	\N	New Caledonia
http://www.semwebtech.org/mondial/10/country/SGP/	0	2.4	1.92	parliamentary republic	70.6	5076700	295700	1.9	1965-08-09	\N	2.53	632.6	29.4	SGP	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/MAL/	Singapore
http://www.semwebtech.org/mondial/10/country/SMAR/	1	\N	\N	overseas collectivity of France	84	37630	561.5	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	54	15	SMAR	http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	\N	Saint Martin
http://www.semwebtech.org/mondial/10/country/J/	1.1	0.2	-0.13	a parliamentary government with a constitutional monarchy	73.2	127298000	5007000	4.1	\N	\N	2.13	377835	25.6	J	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	\N	Japan
http://www.semwebtech.org/mondial/10/country/I/	2	1.2	0.3	republic	73.5	59433744	2068000	12.4	1861-03-17	\N	3.31	301230	24.4	I	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	\N	Italy
http://www.semwebtech.org/mondial/10/country/PY/	20.4	2.3	1.19	constitutional republic	61.9	6672631	30560	6.6	1811-05-14	\N	20.75	406750	17.7	PY	http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/E/	Paraguay
http://www.semwebtech.org/mondial/10/country/RC/	2	1.1	0.25	multiparty democracy	68.6	23315822	484700	4.1	1949-10-01	\N	4.49	36179	29.4	RC	http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	\N	Taiwan
http://www.semwebtech.org/mondial/10/country/FSM/	14	3.4	-0.42	constitutional government in free association with the US	74	102843	339	22	1986-11-03	\N	21.93	702	12	FSM	http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/organization/UN/	Micronesia
http://www.semwebtech.org/mondial/10/country/CH/	0.7	-0.4	0.78	formally a confederation but similar in structure to a federal republic	72.5	8139631	646200	3.2	1291-01-01	\N	3.73	41290	26.8	CH	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	\N	Switzerland
http://www.semwebtech.org/mondial/10/country/IL/	2.4	1.7	1.46	parliamentary democracy	66.4	7420368	272700	5.8	1948-05-14	\N	3.98	22072	31.2	IL	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/organization/UN/	Israel
http://www.semwebtech.org/mondial/10/country/CV/	9.3	1.9	1.39	republic	71.9	491875	1955	21	1975-07-05	\N	24.28	4033	18.8	CV	http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/P/	Cape Verde
http://www.semwebtech.org/mondial/10/country/TM/	7.2	9	1.14	authoritarian presidential rule	68.4	5041995	40560	60	1991-10-27	\N	38.13	488100	24.4	TM	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Turkmenistan
http://www.semwebtech.org/mondial/10/country/BRN/	0.3	3.1	2.49	constitutional monarchy	53	1234596	28360	15	1971-08-15	\N	9.68	620	46.7	BRN	http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/GB/	Bahrain
http://www.semwebtech.org/mondial/10/country/FGU/	\N	2.5	3.86	overseas department of France	\N	237549	800	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	14.6	83534	\N	FGU	http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	\N	French Guiana
http://www.semwebtech.org/mondial/10/country/CI/	26.3	2.9	1.96	republic; multiparty presidential regime established 1960	52.4	22671331	28280	\N	1960-08-07	\N	60.16	322460	21.3	CI	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/F/	Cote dIvoire
http://www.semwebtech.org/mondial/10/country/BOL/	9.2	6.5	1.6	republic; Social Unitarian State	52.3	10027262	30790	7.4	1825-08-06	\N	38.61	1098580	38.5	BOL	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/E/	Bolivia
http://www.semwebtech.org/mondial/10/country/FJI/	11.7	3	0.7	republic	70.2	860559	4218	7.6	1970-10-10	\N	10.2	18270	18.1	FJI	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/GB/	Fiji
http://www.semwebtech.org/mondial/10/country/MEL/	\N	\N	\N	dependent territory of Spain	\N	78476	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	12	\N	MEL	http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	\N	Melilla
http://www.semwebtech.org/mondial/10/country/RT/	27.6	2.2	2.71	republic under transition to multiparty democratic rule	38.7	6191155	4299	\N	1960-04-27	\N	46.73	56790	33.7	RT	http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/F/	Togo
http://www.semwebtech.org/mondial/10/country/LB/	76.9	5.2	2.52	republic	17.7	3957990	1977	85	1847-07-26	\N	69.19	111370	5.4	LB	http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	\N	Liberia
http://www.semwebtech.org/mondial/10/country/LAO/	30.5	6.5	1.59	Communist state	37.5	6514432	10100	1.9	1949-07-19	\N	54.53	236800	32	LAO	http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/F/	Laos
http://www.semwebtech.org/mondial/10/country/AMSA/	\N	\N	-0.35	unincorporated and unorganized territory of the US	\N	55519	462.2	29.8	\N	http://www.semwebtech.org/mondial/10/country/USA/	8.92	199	\N	AMSA	http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	\N	American Samoa
http://www.semwebtech.org/mondial/10/country/PAL/	3.2	2.7	0.37	constitutional government in free association with the US	76.8	17501	221	4.2	1994-10-01	\N	11.46	458	20	PAL	http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/organization/UN/	Palau
http://www.semwebtech.org/mondial/10/country/HR/	5	2.2	-0.12	parliamentary democracy	69.2	4290612	59140	21.6	1991-06-25	\N	5.87	56538	25.8	HR	http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Croatia
http://www.semwebtech.org/mondial/10/country/HCA/	14	5.2	1.74	democratic constitutional republic	57.8	8045990	18880	4.5	1821-09-15	\N	18.72	112090	28.2	HCA	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/E/	Honduras
http://www.semwebtech.org/mondial/10/country/PL/	4	1	-0.11	republic	62.7	38533789	513900	10.3	1918-11-11	\N	6.19	312683	33.3	PL	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	\N	Poland
http://www.semwebtech.org/mondial/10/country/GH/	21.5	11	2.19	constitutional democracy	49.8	24658823	45550	11	1957-03-06	\N	38.52	238540	28.7	GH	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GB/	Ghana
http://www.semwebtech.org/mondial/10/country/PITC/	\N	\N	0	British Overseas Territories	\N	66	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	47	\N	PITC	http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	\N	Pitcairn
http://www.semwebtech.org/mondial/10/country/PA/	3.7	4.1	1.35	constitutional democracy	78.4	3405813	40620	4.5	1903-11-03	\N	10.7	78200	17.9	PA	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/CO/	Panama
http://www.semwebtech.org/mondial/10/country/Z/	19.8	7.1	2.88	republic	46.5	13046508	22240	15	1964-10-24	\N	66.62	752610	33.8	Z	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/GB/	Zambia
http://www.semwebtech.org/mondial/10/country/RH/	24.1	6.3	1.08	republic	56	9896400	8287	40.6	1804-01-01	\N	49.43	27750	19.9	RH	http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/F/	Haiti
http://www.semwebtech.org/mondial/10/country/WAG/	19.7	6	2.23	republic	67.7	1882450	896	\N	1965-02-18	\N	65.74	11300	12.6	WAG	http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/GB/	Gambia
http://www.semwebtech.org/mondial/10/country/ETH/	47	8.4	2.89	federal republic	42.2	84320987	47340	17.5	\N	\N	55.77	1127127	10.8	ETH	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	\N	Ethiopia
http://www.semwebtech.org/mondial/10/country/EC/	5.9	2.6	1.37	republic	59	14483499	91410	4.2	1822-05-24	\N	17.93	283560	35.1	EC	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/E/	Ecuador
http://www.semwebtech.org/mondial/10/country/SD/	7.6	6.1	1.14	monarchy	44.6	1193148	3807	40	1968-09-06	\N	54.82	17360	47.8	SD	http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/GB/	Swaziland
http://www.semwebtech.org/mondial/10/country/N/	1.2	1.9	1.19	constitutional monarchy	56.5	5051275	515800	3.6	1905-10-26	\N	2.48	324220	42.3	N	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/S/	Norway
http://www.semwebtech.org/mondial/10/country/RI/	14.3	7.7	0.95	republic	39.1	252124458	867500	6.6	1945-08-17	\N	25.16	1919440	46.6	RI	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/NL/	Indonesia
http://www.semwebtech.org/mondial/10/country/LAR/	2	3.2	3.08	operates under a transitional government	39.7	6040612	70920	30	1951-12-24	\N	11.87	1759540	58.3	LAR	http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/I/	Libya
http://www.semwebtech.org/mondial/10/country/ER/	11.7	13	2.3	transitional government	61.4	5741159	3438	\N	1993-05-27	\N	38.44	121320	26.9	ER	http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ETH/	Eritrea
http://www.semwebtech.org/mondial/10/country/BY/	9.2	19	-0.19	republic in name, although in fact a dictatorship	44.7	9460692	69240	1	1991-08-25	\N	3.64	207600	46.2	BY	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Belarus
http://www.semwebtech.org/mondial/10/country/KAZ/	5.2	5.8	1.17	republic; authoritarian presidential rule, with little power outside the executive branch	56.9	17165239	224900	5.3	1991-12-16	\N	21.61	2717300	37.9	KAZ	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kazakhstan
http://www.semwebtech.org/mondial/10/country/ARM/	20.6	6.2	-0.13	republic	42.1	3026879	10440	17.3	1918-05-28	\N	13.97	29800	37.3	ARM	http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Armenia
http://www.semwebtech.org/mondial/10/country/NLSM/	0.4	4	1.51	parliamentary	81.3	37429	794.7	12	\N	http://www.semwebtech.org/mondial/10/country/NL/	9.05	34	18.3	NLSM	http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	\N	Sint Maarten
http://www.semwebtech.org/mondial/10/country/GBG/	3	3.4	0.36	parliamentary democracy	87	59807	2742	0.9	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.47	194	10	GBG	http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	\N	Guernsey
http://www.semwebtech.org/mondial/10/country/WS/	10.2	2.7	0.59	parliamentary democracy	64	187820	705	\N	1962-01-01	\N	20.5	2860	25.9	WS	http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/organization/UN/	Samoa
http://www.semwebtech.org/mondial/10/country/LT/	3.7	1.2	-0.29	parliamentary democracy	68	2979310	46710	12.4	1991-09-06	\N	6	65200	28.3	LT	http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Lithuania
http://www.semwebtech.org/mondial/10/country/ES/	10.3	0.9	0.27	republic	60.1	6290420	24670	6.3	1821-09-15	\N	18.44	21040	29.5	ES	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/E/	El Salvador
http://www.semwebtech.org/mondial/10/country/SLB/	50	2.6	2.07	parliamentary democracy and a Commonwealth realm	39.4	526447	1099	\N	1978-07-07	\N	16.17	28450	10.6	SLB	http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/GB/	Solomon Islands
http://www.semwebtech.org/mondial/10/country/LS/	7.4	5	0.34	parliamentary constitutional monarchy	58.2	2008921	2457	25	1966-10-04	\N	50.48	30350	34.5	LS	http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/GB/	Lesotho
http://www.semwebtech.org/mondial/10/country/WD/	15.7	1.8	0.22	parliamentary democracy	68.7	70739	495	23	1978-11-03	\N	11.61	746	15.6	WD	http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/GB/	Dominica
http://www.semwebtech.org/mondial/10/country/SF/	2.9	2.2	0.05	republic	71.9	5455068	259600	8.1	1917-12-06	\N	3.36	337030	25.1	SF	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/R/	Finland
http://www.semwebtech.org/mondial/10/country/REUN/	\N	\N	1.93	overseas department of France	\N	828581	2900	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.5	2510	\N	REUN	http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	\N	Reunion
http://www.semwebtech.org/mondial/10/country/MYA/	38	5.7	1.03	parliamentary government took power in March 2011	41.7	51419420	59430	5.2	1948-01-04	\N	44.91	678500	20.3	MYA	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/GB/	Myanmar
http://www.semwebtech.org/mondial/10/country/CZ/	2.4	1.4	0.17	parliamentary democracy	60.3	10562214	194800	7.1	1993-01-01	\N	2.63	78703	37.3	CZ	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Czech Republic
http://www.semwebtech.org/mondial/10/country/BEN/	31.6	2.4	2.81	republic	55.6	9983884	8359	\N	1960-08-01	\N	57.09	112620	12.9	BEN	http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/F/	Benin
http://www.semwebtech.org/mondial/10/country/WEST/	33	14	4.99	\N	60	2790331	3700	\N	\N	\N	28.6	5655	7	WEST	http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	\N	West Bank
http://www.semwebtech.org/mondial/10/country/NZ/	5	1.3	0.83	parliamentary democracy and a Commonwealth realm	69.5	4242048	181100	6.4	1907-09-26	\N	4.59	268680	25.5	NZ	http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/GB/	New Zealand
http://www.semwebtech.org/mondial/10/country/B/	0.8	1.3	0.05	federal parliamentary democracy under a constitutional monarchy	76.6	11099554	507400	8.8	1830-10-04	\N	4.18	30510	22.6	B	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/NL/	Belgium
http://www.semwebtech.org/mondial/10/country/PE/	6.2	2.9	0.99	constitutional republic	56.3	30135875	210300	3.6	1821-07-28	\N	20.21	1285220	37.5	PE	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/E/	Peru
http://www.semwebtech.org/mondial/10/country/BD/	17.2	7.6	1.6	parliamentary democracy	53.9	149772364	140200	5	1971-12-16	\N	45.67	144000	28.9	BD	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/PK/	Bangladesh
http://www.semwebtech.org/mondial/10/country/MAL/	11.2	2.2	1.47	constitutional monarchy	48.1	27565821	312400	3.1	1957-08-31	\N	13.69	329750	40.6	MAL	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/GB/	Malaysia
http://www.semwebtech.org/mondial/10/country/C/	3.8	6	-0.14	Communist state	73.9	11167325	72300	4.3	1902-05-20	\N	4.7	110860	22.3	C	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/E/	Cuba
http://www.semwebtech.org/mondial/10/country/DK/	1.5	0.8	0.22	constitutional monarchy	76.8	5580516	324300	6	\N	\N	4.1	43070	21.7	DK	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	\N	Denmark
http://www.semwebtech.org/mondial/10/country/MC/	0	1.5	0.06	constitutional monarchy	90	36845	5748	2	1419-01-01	\N	1.81	1.9	10	MC	http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	\N	Monaco
http://www.semwebtech.org/mondial/10/country/SVAX/	\N	\N	-0.03	territory of Norway administered by the Ministry of Industry	\N	1872	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/N/	\N	62049	\N	SVAX	http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	\N	Svalbard
http://www.semwebtech.org/mondial/10/country/SLO/	2.8	1.8	-0.23	parliamentary republic	68.3	2058821	46820	13.1	1991-06-25	\N	4.04	20256	28.9	SLO	http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Slovenia
http://www.semwebtech.org/mondial/10/country/JA/	6.5	9.4	0.69	constitutional parliamentary democracy and a Commonwealth realm	64.1	2697983	14390	16.3	1962-08-06	\N	13.69	10991	29.4	JA	http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/GB/	Jamaica
http://www.semwebtech.org/mondial/10/country/TR/	8.9	7.6	1.12	republican parliamentary democracy	63.8	75627384	821800	9.3	1923-10-29	\N	21.43	780580	27.3	TR	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Turkey
http://www.semwebtech.org/mondial/10/country/EAK/	29.3	5.8	2.11	republic	53.3	40909194	45310	40	1963-12-12	\N	40.71	582650	17.4	EAK	http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/GB/	Kenya
http://www.semwebtech.org/mondial/10/country/DOM/	6	5	1.25	democratic republic	64.9	9445281	59270	15	1844-02-27	\N	19.63	48730	29.1	DOM	http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/RH/	Dominican Republic
http://www.semwebtech.org/mondial/10/country/LV/	4.9	0.2	-0.62	parliamentary democracy	69.4	2201196	30380	9.8	1991-09-06	\N	7.91	64100	25.7	LV	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Latvia
http://www.semwebtech.org/mondial/10/country/RCH/	3.6	1.7	0.84	republic	61	16341929	281700	6	1810-09-18	\N	7.02	756950	35.4	RCH	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/E/	Chile
http://www.semwebtech.org/mondial/10/country/EAT/	27.6	7.8	2.8	republic	47.4	44928923	31940	\N	1964-04-26	\N	43.74	945090	25	EAT	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/GB/	Tanzania
http://www.semwebtech.org/mondial/10/country/BRU/	0.7	1	1.65	constitutional sultanate (locally known as Malay Islamic Monarchy)	28.4	393372	16560	2.6	1984-01-01	\N	10.48	5770	70.9	BRU	http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/GB/	Brunei
http://www.semwebtech.org/mondial/10/country/MA/	15.1	2.5	1.02	constitutional monarchy	53.2	32901622	104800	9.5	1956-03-02	\N	24.52	446550	31.7	MA	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/F/	Morocco
http://www.semwebtech.org/mondial/10/country/D/	0.8	1.6	-0.18	federal republic	69	80219695	3593000	5.3	1871-01-18	\N	3.46	356910	30.1	D	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	\N	Germany
http://www.semwebtech.org/mondial/10/country/BDS/	3.1	2.1	0.33	parliamentary democracy and a Commonwealth realm	83	277821	4262	11.4	1966-11-30	\N	10.93	430	13.9	BDS	http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Barbados
http://www.semwebtech.org/mondial/10/country/ZW/	20.1	8.5	4.36	parliamentary democracy	54.5	13061239	10480	95	1980-04-18	\N	26.55	390580	25.4	ZW	http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/GB/	Zimbabwe
http://www.semwebtech.org/mondial/10/country/ANG/	10.2	8.9	2.78	republic; multiparty presidential regime	28.4	24383301	124000	\N	1975-11-11	\N	79.99	1246700	61.4	ANG	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/P/	Angola
http://www.semwebtech.org/mondial/10/country/THA/	12.1	2.2	0.35	constitutional monarchy	44.2	65981659	400900	0.7	1238-01-01	\N	9.86	514000	43.6	THA	http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	\N	Thailand
http://www.semwebtech.org/mondial/10/country/BS/	2.1	1	0.87	constitutional parliamentary democracy and a Commonwealth realm	90.8	353658	8373	16.2	1973-07-10	\N	12.5	13940	7.1	BS	http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/GB/	Bahamas
http://www.semwebtech.org/mondial/10/country/NEP/	36.8	6.7	1.82	federal democratic republic	48.7	26494504	19340	46	1768-01-01	\N	40.43	140800	14.5	NEP	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	\N	Nepal
http://www.semwebtech.org/mondial/10/country/CEU/	\N	\N	\N	dependent territory of Spain	\N	82376	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	18	\N	CEU	http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	\N	Ceuta
http://www.semwebtech.org/mondial/10/country/DZ/	9.4	3.9	1.88	republic	28	37062820	215700	10.3	1962-07-05	\N	21.76	2381740	62.6	DZ	http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/F/	Algeria
http://www.semwebtech.org/mondial/10/country/E/	3.1	1.8	0.81	parliamentary monarchy	70.8	46815916	1356000	26.3	1492-01-01	\N	3.33	504750	26	E	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	\N	Spain
http://www.semwebtech.org/mondial/10/country/MART/	6	3.9	1.1	overseas department of France	83	392291	3950	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.1	1128	11	MART	http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	\N	Martinique
http://www.semwebtech.org/mondial/10/country/F/	1.9	0.9	0.45	republic	79.4	64933400	2739000	10.2	\N	\N	3.31	547030	18.7	F	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	\N	France
http://www.semwebtech.org/mondial/10/country/RA/	9.3	20.8	0.95	republic	61	42669500	484600	7.5	1816-07-09	\N	9.96	2766890	29.7	RA	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/E/	Argentina
http://www.semwebtech.org/mondial/10/country/RWA/	31.9	5.9	2.63	republic; presidential, multiparty system	53.3	10515973	7700	\N	1962-07-01	\N	59.59	26340	14.8	RWA	http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/organization/UN/	Rwanda
http://www.semwebtech.org/mondial/10/country/GBJ/	2	3.7	0.81	parliamentary democracy	96	97857	5100	1.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.86	117	2	GBJ	http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	\N	Jersey
http://www.semwebtech.org/mondial/10/country/TT/	0.3	5.4	-0.11	parliamentary democracy	42	1328019	27130	5.9	1962-08-31	\N	24.82	5130	57.7	TT	http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/GB/	Trinidad and Tobago
http://www.semwebtech.org/mondial/10/country/RMM/	38.5	0.1	3	republic	37	13985961	11370	30	1960-09-22	\N	104.34	1240000	24.4	RMM	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/F/	Mali
http://www.semwebtech.org/mondial/10/country/MNE/	0.8	4	-0.49	republic	87.9	620029	4518	19.1	2006-06-03	\N	\N	14026	11.3	MNE	http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/SRB/	Montenegro
http://www.semwebtech.org/mondial/10/country/AL/	19.5	1.7	0.3	parliamentary democracy	68.5	2800138	12800	16.9	1912-11-28	\N	13.19	28750	12	AL	http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Albania
http://www.semwebtech.org/mondial/10/country/WAL/	47.9	11.1	2.33	constitutional democracy	33.5	5751976	4607	\N	1961-04-27	\N	73.29	71740	18.6	WAL	http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/GB/	Sierra Leone
http://www.semwebtech.org/mondial/10/country/MOC/	28.7	4.4	2.45	republic	46.4	23700715	14670	17	1975-06-25	\N	72.42	801590	24.9	MOC	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/P/	Mozambique
http://www.semwebtech.org/mondial/10/country/EW/	3.9	3.4	-0.68	parliamentary republic	66.2	1294455	24280	10.9	1991-09-06	\N	6.7	45100	30	EW	http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Estonia
http://www.semwebtech.org/mondial/10/country/RIM/	16.9	4.6	2.26	military junta	28.5	3537368	4183	30	1960-11-28	\N	56.06	1030700	54.6	RIM	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/F/	Mauritania
http://www.semwebtech.org/mondial/10/country/KN/	1.8	2.2	0.78	parliamentary democracy and a Commonwealth realm	75.1	52352	767	4.5	1983-09-19	\N	8.98	269	23.1	KN	http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Kitts and Nevis
http://www.semwebtech.org/mondial/10/country/MACX/	0	5.5	0.83	limited democracy	93.5	552503	51680	1.8	\N	http://www.semwebtech.org/mondial/10/country/CN/	3.13	16	6.5	MACX	http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	\N	Macao
http://www.semwebtech.org/mondial/10/country/VN/	19.3	6.8	1	Communist state	42.2	88772900	170000	1.3	1945-09-02	\N	18.99	329560	38.5	VN	http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/F/	Vietnam
http://www.semwebtech.org/mondial/10/country/WAN/	30.9	8.7	2.47	federal republic	26	164294516	502000	23.9	1960-10-01	\N	74.09	923770	43	WAN	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/GB/	Nigeria
http://www.semwebtech.org/mondial/10/country/MV/	3	5.1	-0.09	republic	80	341256	2270	28	1965-07-26	\N	24.59	300	17	MV	http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/GB/	Maldives
http://www.semwebtech.org/mondial/10/country/EAU/	23.1	6.2	3.24	republic	50	34856813	22600	\N	1962-10-09	\N	60.82	236040	26.9	EAU	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/GB/	Uganda
http://www.semwebtech.org/mondial/10/country/MH/	14.3	12.9	1.72	constitutional government in free association with the US	71.8	53158	193	36	1986-10-21	\N	21.39	181.3	13.9	MH	http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/organization/UN/	Marshall Islands
http://www.semwebtech.org/mondial/10/country/V/	\N	\N	\N	monarchical sacerdotal state	\N	842	\N	\N	1929-02-11	\N	\N	0.44	\N	V	http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/I/	Holy See
http://www.semwebtech.org/mondial/10/country/KWT/	0.3	2.8	1.7	constitutional emirate	49.1	2991580	179500	3.4	1961-06-19	\N	7.51	17820	50.6	KWT	http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/GB/	Kuwait
http://www.semwebtech.org/mondial/10/country/SRB/	7.9	2.2	-0.46	republic	60.3	7120666	43680	20.1	1992-04-11	\N	6.16	77474	31.8	SRB	http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Serbia
http://www.semwebtech.org/mondial/10/country/ARU/	0.4	-2	1.36	parliamentary democracy	66.3	101484	2516	6.9	\N	http://www.semwebtech.org/mondial/10/country/NL/	11.74	193	33.3	ARU	http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	\N	Aruba
http://www.semwebtech.org/mondial/10/country/TO/	20.9	2	0.09	constitutional monarchy	57.2	103252	477	13	1970-06-04	\N	12.36	748	21.9	TO	http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/GB/	Tonga
http://www.semwebtech.org/mondial/10/country/BVIR/	1.1	1.6	2.36	British Overseas Territories	87.2	23161	1095	8.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.45	153	11.7	BVIR	http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	\N	British Virgin Islands
http://www.semwebtech.org/mondial/10/country/BZ/	13	1.3	1.92	parliamentary democracy and a Commonwealth realm	64	312971	1637	15.5	1981-09-21	\N	20.31	22960	23	BZ	http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/GB/	Belize
http://www.semwebtech.org/mondial/10/country/GROX/	4	2.8	0.02	parliamentary democracy within a constitutional monarchy	67	56370	2160	9.4	\N	http://www.semwebtech.org/mondial/10/country/DK/	9.42	2175600	29	GROX	http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	\N	Greenland
http://www.semwebtech.org/mondial/10/country/GBM/	1	5	0.8	parliamentary democracy	88	84497	4076	2	\N	http://www.semwebtech.org/mondial/10/country/GB/	4.17	588	11	GBM	http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	\N	Isle of Man
http://www.semwebtech.org/mondial/10/country/K/	34.8	3.2	1.63	multiparty democracy under a constitutional monarchy	40.7	14364931	15640	0	1949-11-09	\N	51.36	181040	24.5	K	http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/F/	Cambodia
http://www.semwebtech.org/mondial/10/country/SP/	59.3	\N	1.75	in the process of building a federal parliamentary republic	33.5	9636173	2372	\N	1960-07-01	\N	100.14	637660	7.2	SP	http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/GB/	Somalia
http://www.semwebtech.org/mondial/10/country/TL/	2.6	4.5	2.44	republic	15.8	1066582	6129	18.4	2002-05-20	\N	38.79	15007	81.6	TL	http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/RI/	Timor-Leste
http://www.semwebtech.org/mondial/10/country/TUCA/	1	2.5	2.58	British Overseas Territories	76.5	31458	216	10	\N	http://www.semwebtech.org/mondial/10/country/GB/	10.97	430	22.5	TUCA	http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/country/GCA/	13.5	4.4	1.86	constitutional democratic republic	62.7	15073375	53900	4.1	1821-09-15	\N	23.51	108890	23.8	GCA	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/E/	Guatemala
http://www.semwebtech.org/mondial/10/country/BIH/	8.1	0.2	-0.11	emerging federal democratic republic	65.5	3791622	18870	44.3	1992-04-01	\N	5.84	51233	26.4	BIH	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Bosnia and Herzegovina
http://www.semwebtech.org/mondial/10/country/TAD/	21.1	3.7	1.75	republic	55.7	8161100	8513	2.5	1991-09-09	\N	35.03	143100	23.2	TAD	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Tajikistan
http://www.semwebtech.org/mondial/10/country/AXA/	2.5	3.1	2.06	British Overseas Territories	73.8	13037	175.4	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.4	102	23.6	AXA	http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	\N	Anguilla
http://www.semwebtech.org/mondial/10/country/SA/	2	3.7	1.49	monarchy	35.5	27136977	718500	10.5	1932-09-23	\N	14.58	1960582	62.5	SA	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	\N	Saudi Arabia
http://www.semwebtech.org/mondial/10/country/SUD/	27.4	25	1.78	federal republic	39	35652002	52500	20	1956-01-01	\N	52.86	1861484	33.6	SUD	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/ET/	Sudan
http://www.semwebtech.org/mondial/10/country/COCO/	\N	\N	\N	territory of Australia	\N	596	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	14	\N	COCO	http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/country/BR/	5.5	6.2	0.8	federal republic	68.1	202768562	2190000	5.7	1822-09-07	\N	19.21	8511965	26.4	BR	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/P/	Brazil
http://www.semwebtech.org/mondial/10/country/L/	0.3	1.8	1.12	constitutional monarchy	86.4	524853	60540	4.9	1890-11-24	\N	4.28	2586	13.3	L	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/NL/	Luxembourg
http://www.semwebtech.org/mondial/10/country/PNG/	27.6	3.8	1.84	constitutional parliamentary democracy and a Commonwealth realm	33.3	7275324	16100	1.9	1975-09-16	\N	39.67	461690	39.1	PNG	http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/organization/UN/	Papua New Guinea
http://www.semwebtech.org/mondial/10/country/YV/	3.7	56.2	1.42	federal republic	60.8	28946101	367500	7.9	1811-07-05	\N	19.33	912050	35.5	YV	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/E/	Venezuela
http://www.semwebtech.org/mondial/10/country/FPOL/	3.1	1.1	0.97	parliamentary representative democratic French overseas collectivity	76.9	268270	5650	11.7	\N	http://www.semwebtech.org/mondial/10/country/F/	4.78	4167	20	FPOL	http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	\N	French Polynesia
http://www.semwebtech.org/mondial/10/country/FARX/	16	2.3	0.49	part of the Danish realm	55	48197	2320	6.8	\N	http://www.semwebtech.org/mondial/10/country/DK/	5.71	1400	29	FARX	http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/country/AFG/	20	6.8	2.29	Islamic republic	54.4	26023100	20650	35	1919-08-19	\N	117.23	647500	25.6	AFG	http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/GB/	Afghanistan
http://www.semwebtech.org/mondial/10/country/M/	1.4	1	0.33	republic	73.3	417432	9541	6.4	1964-09-21	\N	3.59	320	25.3	M	http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/GB/	Malta
http://www.semwebtech.org/mondial/10/country/SBAR/	\N	\N	\N	overseas collectivity of France	\N	9072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	21	\N	SBAR	http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	\N	Saint Barthelemy
http://www.semwebtech.org/mondial/10/country/MAYO/	\N	\N	3.32	territorial collectivity of France	\N	212645	953.6	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	56.29	374	\N	MAYO	http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	\N	Mayotte
http://www.semwebtech.org/mondial/10/country/NIUE/	23.5	4	-0.03	self-governing parliamentary democracy	49.5	1611	10	12	1974-10-19	\N	\N	260	26.9	NIUE	http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NZ/	Niue
http://www.semwebtech.org/mondial/10/country/IR/	10.6	42.3	1.22	theocratic republic	44.5	75149669	411900	16	\N	\N	39	1648000	44.9	IR	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	\N	Iran
http://www.semwebtech.org/mondial/10/country/UA/	9.9	0.7	-0.64	republic	60.5	45633637	175500	8	1991-12-01	\N	8.1	603700	29.6	UA	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Ukraine
http://www.semwebtech.org/mondial/10/country/NL/	2.6	2.5	0.42	constitutional monarchy	72.1	16843181	722300	8.3	1579-01-01	\N	3.66	37330	25.4	NL	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/E/	Netherlands
http://www.semwebtech.org/mondial/10/country/SSD/	\N	1.7	4.12	republic	\N	8260490	11770	\N	2011-07-09	\N	68.16	644329	\N	SSD	http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SUD/	South Sudan
http://www.semwebtech.org/mondial/10/country/MNTS/	1.6	4.5	0.48	British Overseas Territories	75.1	4922	29	6	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.66	102	23.2	MNTS	http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	\N	Montserrat
http://www.semwebtech.org/mondial/10/country/RCB/	3.3	1.7	1.94	republic	22.9	4001831	14250	53	1960-08-15	\N	59.34	342000	73.9	RCB	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/F/	Congo
http://www.semwebtech.org/mondial/10/country/FL/	8	-0.7	0.82	hereditary constitutional monarchy	55	36636	5113	2.3	1806-07-12	\N	4.33	160	37	FL	http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/territory/HolyRomanEmpire/	Liechtenstein
http://www.semwebtech.org/mondial/10/country/CAYM/	0.3	1.8	2.14	parliamentary democracy	72.3	55691	2250	4	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.21	262	27.4	CAYM	http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/country/TN/	8.6	6.1	0.92	republic	61	10982754	48380	17.2	1956-03-20	\N	23.19	163610	30.4	TN	http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/F/	Tunisia
http://www.semwebtech.org/mondial/10/country/CY/	2.4	0.2	1.48	republic	81.7	840407	21780	17.4	1960-08-16	\N	8.54	9251	15.9	CY	http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/GB/	Cyprus
http://www.semwebtech.org/mondial/10/country/MD/	13.8	4.6	-1.02	republic	66.2	3559541	7932	5.8	1991-08-27	\N	12.93	33700	19.9	MD	http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Moldova
http://www.semwebtech.org/mondial/10/country/RM/	27.3	8.8	2.62	republic	56.3	21842167	10530	\N	1960-06-26	\N	44.88	587041	16.4	RM	http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/F/	Madagascar
http://www.semwebtech.org/mondial/10/country/P/	2.6	0.4	0.12	republic; parliamentary democracy	75.2	10561614	219300	16.8	1139-07-25	\N	4.48	92080	22.2	P	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/E/	Portugal
http://www.semwebtech.org/mondial/10/country/GNB/	58	1.9	1.93	republic	28.5	1586624	880	\N	1974-09-10	\N	90.92	36120	13.5	GNB	http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/P/	Guinea-Bissau
http://www.semwebtech.org/mondial/10/country/RSM/	0.1	2.8	0.87	republic	60.7	32440	1866	7	0301-01-01	\N	4.52	60	39.2	RSM	http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	\N	San Marino
http://www.semwebtech.org/mondial/10/country/A/	1.6	2.1	0.01	federal republic	69.8	8499759	417900	4.9	1918-11-12	\N	4.16	83850	28.6	A	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Austria
http://www.semwebtech.org/mondial/10/country/RSA/	2.6	5.8	-0.48	republic	68.4	51770560	353900	24.9	1910-05-31	\N	41.61	1219912	29	RSA	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/GB/	South Africa
http://www.semwebtech.org/mondial/10/country/S/	2	0	0.79	constitutional monarchy	66.8	9555893	552000	8.1	\N	\N	2.6	449964	31.3	S	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	\N	Sweden
http://www.semwebtech.org/mondial/10/country/OM/	1	1.6	2.06	monarchy	34.6	3623001	81950	15	1650-01-01	\N	14	212460	64.4	OM	http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/P/	Oman
http://www.semwebtech.org/mondial/10/country/GE/	8.5	-0.5	-0.11	republic	69.9	4483800	15950	15	1991-04-09	\N	16.68	69700	21.6	GE	http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Georgia
http://www.semwebtech.org/mondial/10/country/VU/	22.4	1.9	2.01	parliamentary republic	67.9	236299	828	1.7	1980-07-30	\N	16.41	14760	9.7	VU	http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/F/	Vanuatu
http://www.semwebtech.org/mondial/10/country/CO/	6.6	2.2	1.07	republic; executive branch dominates government structure	55.6	47661787	369200	9.7	1810-07-20	\N	15.02	1138910	37.8	CO	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/E/	Colombia
http://www.semwebtech.org/mondial/10/country/GUAM/	\N	4	0.44	organized	\N	159358	4600	8.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.51	541.3	\N	GUAM	http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	\N	Guam
http://www.semwebtech.org/mondial/10/country/USA/	1.1	1.5	0.77	constitution-based federal republic; strong democratic tradition	79.4	318857056	16720000	7.3	1776-07-04	\N	6.17	9372610	19.5	USA	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/GB/	United States
http://www.semwebtech.org/mondial/10/country/WG/	5.6	2.4	0.5	parliamentary democracy and a Commonwealth realm	78.5	103328	811	33.5	1974-02-07	\N	10.5	344	15.8	WG	http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/GB/	Grenada
http://www.semwebtech.org/mondial/10/country/AND/	14	1.1	0.17	parliamentary democracy that retains as its chiefs of state a co-principality	6	78115	4800	4	1278-09-08	\N	3.69	450	79	AND	http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	\N	Andorra
http://www.semwebtech.org/mondial/10/country/IRL/	1.6	0.6	1.2	republic, parliamentary democracy	70.4	4588252	220900	13.5	1921-12-06	\N	3.74	70280	28	IRL	http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/GB/	Ireland
http://www.semwebtech.org/mondial/10/country/AUS/	3.8	2.4	1.09	federal parliamentary democracy and a Commonwealth realm	68.7	23135281	1488000	5.7	1901-01-01	\N	4.43	7686850	27.4	AUS	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/GB/	Australia
http://www.semwebtech.org/mondial/10/country/STP/	13.7	8.7	1.89	republic	66.8	187356	311	\N	1975-07-12	\N	49.16	1001	19.5	STP	http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/P/	Sao Tome and Principe
http://www.semwebtech.org/mondial/10/country/GB/	0.7	2	0.54	constitutional monarchy and Commonwealth realm	78.9	64105654	2490000	7.2	1801-01-01	\N	4.44	244820	20.5	GB	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	\N	United Kingdom
http://www.semwebtech.org/mondial/10/country/MS/	4.5	3.5	0.66	parliamentary democracy	73.4	1237091	11900	8.3	1968-03-12	\N	10.59	2040	22	MS	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/GB/	Mauritius
http://www.semwebtech.org/mondial/10/country/RN/	35.2	1.9	3.28	republic	50.6	17138707	7304	\N	1960-08-03	\N	86.27	1267000	14.2	RN	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/F/	Niger
http://www.semwebtech.org/mondial/10/country/MEX/	3.6	4	1.21	federal republic	59.8	112336538	1327000	4.9	1810-09-16	\N	12.58	1972550	36.6	MEX	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/E/	Mexico
http://www.semwebtech.org/mondial/10/country/RL/	4.6	5	9.37	republic	75.4	4341092	43490	\N	1943-11-22	\N	7.98	10400	20	RL	http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/organization/UN/	Lebanon
http://www.semwebtech.org/mondial/10/country/HELX/	\N	\N	0.45	British Overseas Territories	\N	5663	18	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	17.63	413	\N	HELX	http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	\N	Saint Helena
http://www.semwebtech.org/mondial/10/country/VIRG/	1	2.2	-0.56	organized	80	106405	1200	6.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	6.79	352	19	VIRG	http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	\N	Virgin Islands
http://www.semwebtech.org/mondial/10/country/JOR/	3.2	5.9	3.86	constitutional monarchy	67	6249000	34080	14	1946-05-25	\N	15.73	89213	29.9	JOR	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/organization/UN/	Jordan
http://www.semwebtech.org/mondial/10/country/SME/	8.9	4.2	1.12	constitutional democracy	54.5	541638	5009	9	1975-11-25	\N	27.07	163270	36.6	SME	http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/NL/	Suriname
http://www.semwebtech.org/mondial/10/country/GAZA/	\N	5.7	4.55	\N	\N	1760037	1700	\N	\N	\N	30.6	365	\N	GAZA	\N	\N	Gaza Strip
http://www.semwebtech.org/mondial/10/country/IS/	5.9	3.9	0.65	constitutional republic	71.2	318452	14590	4.5	1944-06-17	\N	3.15	103000	22.9	IS	http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/DK/	Iceland
http://www.semwebtech.org/mondial/10/country/TOK/	\N	\N	-0.01	\N	\N	1383	1.5	\N	\N	http://www.semwebtech.org/mondial/10/country/NZ/	\N	12	\N	TOK	http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	\N	Tokelau
http://www.semwebtech.org/mondial/10/country/CN/	10	2.6	0.44	Communist state	46.1	1360720000	9330000	4.1	\N	\N	14.79	9596960	43.9	CN	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	\N	China
http://www.semwebtech.org/mondial/10/country/Q/	0.1	3.1	3.58	emirate	27.7	1699435	213100	0.3	1971-09-03	\N	6.42	11000	72.2	Q	http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/GB/	Qatar
http://www.semwebtech.org/mondial/10/country/IND/	17.4	9.6	1.25	federal republic	56.9	1210854977	1670000	8.8	1947-08-15	\N	43.19	3287590	25.8	IND	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/GB/	India
http://www.semwebtech.org/mondial/10/country/SN/	14.9	0.8	2.48	republic	62.4	13508715	15360	48	1960-08-20	\N	52.72	196190	22.7	SN	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/F/	Senegal
http://www.semwebtech.org/mondial/10/country/NOK/	23.4	\N	0.53	Communist state one-man dictatorship	29.4	24500520	28000	\N	1945-08-15	\N	24.5	120540	47.2	NOK	http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/J/	North Korea
http://www.semwebtech.org/mondial/10/country/COOK/	5.1	2.2	-3	self-governing parliamentary democracy	82.1	17794	183.2	13.1	\N	http://www.semwebtech.org/mondial/10/country/NZ/	14.33	240	12.7	COOK	http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	\N	Cook Islands
http://www.semwebtech.org/mondial/10/country/ROU/	7.5	8.3	0.26	constitutional republic	71	3286314	57110	6.5	1828-08-25	\N	8.97	176220	21.5	ROU	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/BR/	Uruguay
http://www.semwebtech.org/mondial/10/country/MW/	29.4	26.9	3.33	multiparty democracy	51.7	15013694	3683	\N	1964-07-06	\N	48.01	118480	18.9	MW	http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/GB/	Malawi
http://www.semwebtech.org/mondial/10/country/HONX/	0	4.4	0.41	limited democracy	93	7071576	272100	3.1	\N	http://www.semwebtech.org/mondial/10/country/CN/	2.73	1092	6.9	HONX	http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	\N	Hong Kong
http://www.semwebtech.org/mondial/10/country/RCA/	56.6	7	2.13	republic	28.9	4349921	2050	8	1960-08-13	\N	92.86	622980	14.5	RCA	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/F/	Central African Republic
http://www.semwebtech.org/mondial/10/country/WAFU/	\N	2.8	0.33	parliamentary representative democratic French overseas collectivity	\N	12197	60	12.2	\N	http://www.semwebtech.org/mondial/10/country/F/	4.49	274	\N	WAFU	http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	\N	Wallis and Futuna
http://www.semwebtech.org/mondial/10/country/SYR/	17.6	59.1	-9.73	republic under an authoritarian regime	60.2	20866000	64700	17.8	1946-04-17	\N	15.79	185180	22.2	SYR	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/organization/UN/	Syria
http://www.semwebtech.org/mondial/10/country/RG/	22.9	11.9	2.63	republic	30.5	10628972	6544	\N	1958-10-02	\N	55.24	245860	46.5	RG	http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/F/	Guinea
http://www.semwebtech.org/mondial/10/country/ROK/	2.6	1.1	0.16	republic	58.2	51141463	1198000	3.2	1945-08-15	\N	3.93	98480	39.2	ROK	http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/J/	South Korea
http://www.semwebtech.org/mondial/10/country/XMAS/	\N	\N	\N	territory of Australia	\N	2072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	135	\N	XMAS	http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	\N	Christmas Island
http://www.semwebtech.org/mondial/10/country/NAM/	7.7	5.5	0.67	republic	62.6	2113077	12300	27.4	1990-03-21	\N	45.64	825418	29.6	NAM	http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/organization/UN/	Namibia
http://www.semwebtech.org/mondial/10/country/CL/	10.6	4.7	0.86	republic	57	20263723	65120	5.1	1948-02-04	\N	9.02	65610	32.4	CL	http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/GB/	Sri Lanka
http://www.semwebtech.org/mondial/10/country/AG/	2.2	3	1.25	constitutional monarchy with a parliamentary system of government and a Commonwealth realm	81.4	81799	1220	11	1981-11-01	\N	13.29	442	16.4	AG	http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/GB/	Antigua and Barbuda
http://www.semwebtech.org/mondial/10/country/PR/	0.7	0.9	-0.65	commonwealth	50.5	3725789	93520	16	\N	http://www.semwebtech.org/mondial/10/country/USA/	7.73	8870	48.8	PR	http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	\N	Puerto Rico
http://www.semwebtech.org/mondial/10/country/R/	4.2	6.8	-0.03	federation	58.3	143666931	2113000	5.8	1991-08-24	\N	7.08	17075200	37.5	R	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Russia
http://www.semwebtech.org/mondial/10/country/UZB/	19.1	10.1	0.93	republic; authoritarian presidential rule with little power outside the executive branch	48.7	27769270	55180	4.9	1991-08-31	\N	19.84	447400	32.2	UZB	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Uzbekistan
http://www.semwebtech.org/mondial/10/country/NORF/	\N	\N	\N	territory of Australia	\N	2169	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	34.6	\N	NORF	http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	\N	Norfolk Island
http://www.semwebtech.org/mondial/10/country/BF/	33.6	2.1	3.05	parliamentary republic	42.8	17322796	12130	77	1960-08-05	\N	76.8	274200	23.6	BF	http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/F/	Burkina Faso
http://www.semwebtech.org/mondial/10/country/BG/	6.7	1.5	-0.83	parliamentary democracy	63	7284552	53700	11.6	1908-09-22	\N	15.08	110910	30.3	BG	http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Bulgaria
http://www.semwebtech.org/mondial/10/country/KOS/	12.9	1.8	\N	republic	64.5	1733872	7150	30.9	2008-02-17	\N	\N	10887	22.6	KOS	http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/SRB/	Kosovo
http://www.semwebtech.org/mondial/10/country/WV/	5.4	2.8	-0.29	parliamentary democracy and a Commonwealth realm	74.4	109991	742	18.8	1979-10-27	\N	13.07	389	20.3	WV	http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Vincent and the Grenadines
http://www.semwebtech.org/mondial/10/country/NMIS/	1.7	-2.7	1.13	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature	95	53883	733	11.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.5	477	3.3	NMIS	http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	\N	Northern Mariana Islands
\.


--
-- TOC entry 5305 (class 0 OID 91004)
-- Dependencies: 816
-- Data for Name: Desert; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Desert" ("URI", area, type, latitude, longitude, name) FROM stdin;
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	200000	\N	30	-1	Grand Erg Ouest
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	176500	sand	-25	137	Simpson Desert
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	37500	\N	44	72	Mujunkum
http://www.semwebtech.org/mondial/10/desert/Trarza/	50000	\N	18	-15	Trarza
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	200000	\N	44	65	Kysylkum
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	150000	\N	27	-5	Erg Igidi
http://www.semwebtech.org/mondial/10/desert/Tenere/	600000	sand	18	11	Tenere
http://www.semwebtech.org/mondial/10/desert/Karakum/	400000	\N	40	60	Karakum
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	300000	sand	38	82	TaklaMakan
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	150000	\N	31	8	Grand Erg Est
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	166000	\N	32.5	57	Dascht-e-Lut
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	424400	\N	-29	129	Great Victoria Desert
http://www.semwebtech.org/mondial/10/desert/Ferlo/	70000	\N	15	-14	Ferlo
http://www.semwebtech.org/mondial/10/desert/Thar/	240000	\N	27.5	72	Thar
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	310800	\N	-23	125	Gibson Desert
http://www.semwebtech.org/mondial/10/desert/Nefud/	78000	sand	28	42	Nefud
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	77600	\N	32.5	55	Dascht-e-Kavir
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	80000	\N	28	8	Erg Isaouane
http://www.semwebtech.org/mondial/10/desert/Negev/	12000	\N	30.5	35	Negev
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	50000	\N	33	26	Arabian Desert
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	25000	\N	27	-10	Saguia el-Hamra
http://www.semwebtech.org/mondial/10/desert/Tanami/	37500	sand	-20	130	Tanami
http://www.semwebtech.org/mondial/10/desert/Sonora/	320000	\N	32	-113	Sonora
http://www.semwebtech.org/mondial/10/desert/RedCentre/	1000000	sand	-26	135	Red Centre
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	518000	\N	33	39	Syrian Desert
http://www.semwebtech.org/mondial/10/desert/Djourab/	100000	\N	17	18	Djourab
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	360000	sand	-20	123	Great Sandy Desert
http://www.semwebtech.org/mondial/10/desert/Namib/	95000	sand	-25	15	Namib
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	200000	lime	-31	129	Nullarbor Plain
http://www.semwebtech.org/mondial/10/desert/KumTagh/	22000	sand	40	92	Kum Tagh
http://www.semwebtech.org/mondial/10/desert/Rigestan/	25000	\N	30	65	Rigestan
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	337000	\N	36	-110	Colorado Plateau
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	80000	\N	21	-11	Erg Ouarane
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	35000	\N	\N	\N	Hamada du Draa
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	10360	\N	41	-114	Great Salt Lake Desert
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	40000	\N	22	-11	Erg Maqteir
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	300000	\N	38	-117	Great Basin
http://www.semwebtech.org/mondial/10/desert/Mojave/	57000	\N	36.2	-115.2	Mojave
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	780000	sand	21	51	Rub Al Chali
http://www.semwebtech.org/mondial/10/desert/UstUrt/	180000	\N	43	56	Ust Urt
http://www.semwebtech.org/mondial/10/desert/Ryn/	80000	\N	48	47	Ryn
http://www.semwebtech.org/mondial/10/desert/Gobi/	1000000	\N	41	105	Gobi
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	360000	\N	31	-105	Chihuahua
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	48800	\N	45	87.5	Gurbantunggut
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	200000	\N	23	22	Erg Rebiana
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	13000	\N	-29	141	Sturt Desert
http://www.semwebtech.org/mondial/10/desert/Talak/	100000	sand	17	6	Talak
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	30000	\N	31	-116	Baja California Desert
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	1100000	\N	\N	\N	Libyan Desert
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	84000	\N	30	12	Hamada al-Hamra
http://www.semwebtech.org/mondial/10/desert/Kalahari/	1200000	\N	-22	21	Kalahari
http://www.semwebtech.org/mondial/10/desert/Darfur/	500000	\N	15	27	Darfur
http://www.semwebtech.org/mondial/10/desert/Owyhee/	36000	\N	42	-117	Owyhee
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	180000	\N	18	22	Erdi Ennedi
http://www.semwebtech.org/mondial/10/desert/Fesan/	300000	\N	26	13	Fesan
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	50000	\N	32	21	Nubian Desert
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	40000	\N	31	62	Dascht-e-Margoh
http://www.semwebtech.org/mondial/10/desert/Qaidam/	120000	\N	37.5	95	Qaidam
http://www.semwebtech.org/mondial/10/desert/ErgChech/	10000	\N	25	-3	Erg Chech
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	160000	\N	23	0	Tanezrouft
http://www.semwebtech.org/mondial/10/desert/Atacama/	181300	\N	-24.5	-69.25	Atacama
http://www.semwebtech.org/mondial/10/desert/Ordos/	90000	\N	38	108	Ordos
\.


--
-- TOC entry 5306 (class 0 OID 91010)
-- Dependencies: 817
-- Data for Name: Encompassed; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Encompassed" ("URI", percent, "encompassedArea", "encompassedBy") FROM stdin;
7b93e6a1:150814fecb6:-7c3	100	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-74b	100	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78a	100	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7a2	100	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ed	100	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-794	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-757	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f1	100	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-808	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b4	100	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7de	100	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73a	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-785	100	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-748	100	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e2	100	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a5	100	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7cf	100	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72b	100	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-776	100	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-739	100	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7d3	100	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fd	100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-767	100	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80a	100	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c4	100	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-720	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ee	100	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-74a	100	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-795	100	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-758	100	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f2	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-747	100	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e1	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a4	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ce	100	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72a	100	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-775	100	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-738	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79f	100	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-809	100	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b5	100	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7df	100	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-73b	100	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-786	100	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-749	100	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e3	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a6	100	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72c	100	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-777	100	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d4	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-730	100	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7fe	75	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-75a	100	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-768	100	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80b	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c5	100	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-721	100	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ef	100	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-796	100	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-759	100	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f3	100	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b6	100	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73c	100	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-800	100	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-787	100	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e4	100	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-740	100	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a7	100	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76a	100	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72d	100	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-778	100	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d5	100	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-731	100	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ff	25	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-75b	100	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71e	100	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-769	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80c	100	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c6	100	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-722	100	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74c	100	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-810	100	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-797	100	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f4	100	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-750	100	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b7	100	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77a	100	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73d	100	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-801	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-788	100	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e5	100	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-741	100	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a8	100	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76b	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72e	100	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-779	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d6	100	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-732	100	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-75c	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71f	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-80d	100	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-760	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c7	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-723	100	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74d	100	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-811	100	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-798	100	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7aa	100	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f5	97	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-751	100	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b8	100	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-77b	100	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73e	100	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-802	100	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-789	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e6	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-742	100	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a9	100	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76c	100	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72f	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-770	100	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d7	100	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-733	100	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79a	100	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75d	100	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80e	100	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ba	78	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-761	100	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c8	94.6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-724	100	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78b	100	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74e	100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-812	100	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-799	100	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ab	100	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f6	3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-752	100	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b9	22	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77c	100	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-73f	100	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-803	100	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-780	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e7	100	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-743	100	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76d	100	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a0	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ca	100	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-771	100	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d8	100	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-734	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79b	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75e	100	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bb	92.7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-762	100	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c9	5.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-725	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78c	100	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74f	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-813	100	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ac	100	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-790	100	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f7	100	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-753	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77d	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-804	100	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b0	100	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7da	100	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-781	100	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e8	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-744	100	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76e	100	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a1	100	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cb	100	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-772	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d9	100	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-735	100	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79c	100	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75f	100	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7bc	7.3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-763	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-726	100	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78d	100	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-814	100	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c0	100	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7ea	100	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ad	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-791	100	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f8	100	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-754	100	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77e	100	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-805	100	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b1	100	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7db	100	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-782	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e9	100	http://www.semwebtech.org/mondial/10/country/MEL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-745	100	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76f	100	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7cc	100	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-773	100	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-736	100	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79d	100	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d0	100	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fa	100	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bd	100	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-764	100	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-727	100	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78e	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-815	100	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c1	100	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7eb	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ae	100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-792	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f9	100	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-755	100	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77f	100	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-806	100	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b2	100	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dc	100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-783	100	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-746	100	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e0	100	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a3	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cd	100	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-774	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-737	100	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79e	100	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d1	100	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fb	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7be	100	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-765	100	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-728	100	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78f	100	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-816	100	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c2	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7ec	100	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7af	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-793	100	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-756	100	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7f0	100	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-807	100	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b3	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dd	100	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-784	100	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fc	100	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bf	100	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-766	100	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-729	100	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/continent/Africa/
\.


--
-- TOC entry 5307 (class 0 OID 91016)
-- Dependencies: 818
-- Data for Name: Estuary; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Estuary" ("URI", longitude, elevation, latitude, "hasEstuary-") FROM stdin;
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	-7.65	\N	37.35	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/Inn/	13.47	\N	48.57	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	25.2	\N	65.3	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	-6.35	\N	36.8	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	-82.2	\N	43	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Breg/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	-70.811944	\N	42.819444	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	68.3	\N	37.1	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	24	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Buna/	19.35	\N	41.85	http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	96	\N	17	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	71.6	\N	37.9	http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	59	\N	44	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	-80	\N	40.42	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	25.2	\N	0.5	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Newa/	30.17	\N	59.95	http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/	32.79	\N	60.51	http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/	19.35	\N	44.9	http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/estuary/Saone/	4.8	\N	45.7	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	-124.06	\N	46.24	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	79.1	\N	43.25	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	-91	\N	34	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	-92.33	\N	57.15	http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Schari/	14	\N	13.2	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	-68.15	\N	49.2	http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	30.05	\N	60.75	http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	5	\N	46.9	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	12.23	\N	41.74	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	7.61	\N	50.37	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Ob/	71.35	\N	66.48	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	-48.73	\N	-5.37	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	36	\N	-19	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Argun/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	29.5	\N	2.5	http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	-50	\N	0	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	-83.9	\N	46.6	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	17	\N	-2	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	24.45	\N	65.77	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	22.5	\N	-18.95	http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	-64.8	\N	49.6	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	11.45	\N	61.1	http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Don/	39.4	\N	47.1	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	68.25	\N	58.2	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	24.1	\N	57	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	-84.75	\N	45.8	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	33.97	\N	17.68	http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	68.93	\N	61.07	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	9.235	\N	45.14	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/estuary/Douro/	-8.66	\N	41.15	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	107	\N	9	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	11.96	\N	48.5	http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	34	\N	-25.2	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	10.95	\N	59.2	http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	4.84	\N	43.33	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/	48.17	\N	30.43	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	12	\N	-6	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	27	\N	-6	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	35.5	\N	31.3	http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	9.65	\N	3.55	http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Loire/	-2.18	\N	47.27	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	29.3	\N	-3.4	http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Niger/	6.42	\N	5.32	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/estuary/Leine/	9.59	\N	52.72	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	71.7	\N	41	http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/estuary/Aller/	9.18	\N	52.94	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	-97.18	\N	25.96	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	141.9	\N	-34.1	http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	24.4	\N	66.3	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Oka/	44	\N	56.3	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	11.9	\N	57.7	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	-58.76	\N	-3.4	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	-83.7	\N	10.9	http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	24	\N	-29	http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Enns/	14.52	\N	48.24	http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/estuary/Saar/	6.6	\N	49.7	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/estuary/Kama/	50.3	\N	55.4	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	119.14	\N	37.74	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/Lech/	10.93	\N	48.73	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	115	\N	73	http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Oder/	14.59	\N	53.6	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	-58.4	\N	-27.3	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	-16.6	\N	13.5	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Tara/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/estuary/Main/	8.29	\N	49.99	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/estuary/Ural/	51.9	\N	47.1	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	-60	\N	-3.1	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Adda/	9.88	\N	45.13	http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	13.5	\N	59.4	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Parana/	-58.2	\N	-34.5	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	20.8	\N	-0.2	http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	42.76	\N	0.5	http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	-105.6	\N	21.5	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	-49.16	\N	-1.73	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	-74	\N	40.7	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	32.252	\N	46.5257	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	30.5	\N	51.15	http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	-119.43	\N	39.85	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/estuary/Olt/	24.8	\N	43.7	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	54	\N	68.5	http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/estuary/Drau/	18.93	\N	45.54	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	16.1967	\N	-3.1765	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Volga/	47.85	\N	46.733333333333	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/estuary/Piva/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/estuary/Mur/	16.88	\N	46.3	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	-114.8	\N	31.81	http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	-97.97	\N	52.77	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Würm/	11.5	\N	48.3	http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	31.65	\N	9.63	http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Lena/	126.69187	\N	72.4005	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/estuary/Alz/	12.8	\N	48.3	http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	18.95	\N	54.36	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Isar/	12.98	\N	48.8	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	121.5	\N	32	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	20.1	\N	63.5	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	148.6	\N	-36.3	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Po/	12.43	\N	44.95	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	-88.63	\N	37.07	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	28.7	\N	-9	http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Bani/	-4.2	\N	14.52	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	-75.62	\N	-5.1	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	-89.25	\N	29.15	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	-67.1	\N	-18.55	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Ili/	74.15	\N	45.4	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	8.44	\N	49.51	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	26.5	\N	60.3	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	-36.4	\N	-10.5	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Perene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	-16.5	\N	15.96	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	143.22	\N	-34.73	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Marne/	2.4	\N	48.8	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/estuary/Werra/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/estuary/Seine/	0.1	\N	49.42	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	-163.98	\N	62.574	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	21.08	\N	52.5	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Raab/	17.63	\N	47.69	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/estuary/Baro/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	8.71	\N	53.89	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Nile/	31	\N	31.5	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	18	\N	0	http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Narew/	20.67	\N	52.43	http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	-62	\N	9	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	8.236313	\N	47.501794	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	31.54	\N	60.81	http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	10.95	\N	45.1	http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Aare/	8.22	\N	47.61	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	19.15	\N	42.25	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Benue/	6.75	\N	7.78	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	-90.12	\N	38.81	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Save/	20.4667	\N	44.8	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	7.09	\N	44.8	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	-9.3	\N	38.7	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	33	\N	-1	http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	-135.02	\N	69.2	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	161.49	\N	69.63	http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	14.47	\N	50.35	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/Narva/	28.04	\N	59.46	http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	60.9	\N	46.3	http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	148.55	\N	-37.6	http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	71.5	\N	58	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Katun/	85	\N	52.43	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/estuary/Busira/	19	\N	-0.3	http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	40.5333	\N	64.55	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	17.2	\N	60.7	http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/March/	16.98	\N	48.17	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/estuary/Murat/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	28.21	\N	45.47	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/estuary/Thames/	0.65	\N	51.5	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Isere/	4.9	\N	45	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	99.2	\N	3.1	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/	67.4	\N	24	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/estuary/Iller/	9.97	\N	48.38	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	72.45	\N	38.3	http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Amur/	140.73	\N	53.1	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	-73.1	\N	46	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Donau/	29.65	\N	45.16	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	97.5	\N	17	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Volta/	0.68	\N	5.77	http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	8.2371	\N	47.4921	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/estuary/Morava/	21.1	\N	44.6	http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/estuary/Weser/	8.5	\N	53.5	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	48.6	\N	29.9	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/Waag/	18.15	\N	47.75	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	-74.8	\N	10.95	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Angara/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	27	\N	-7	http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Kura/	49.43	\N	39.28	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/	19.6	\N	41.8	http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	-65.4	\N	-10.4	http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/Maas/	4.67	\N	51.72	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	-16.6	\N	66.2	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	21.2	\N	61.3	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	90	\N	22	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	-0.6	\N	45	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	60.5	\N	46	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	100.02	\N	51.06	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	12.92	\N	48.21	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	16.4	\N	-28.55	http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	-58.4	\N	-33.9	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	20.3	\N	45.05	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	17.7	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	42.7	\N	-0.5	http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	4	\N	51.9	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/estuary/Chire/	35.5	\N	-18	http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	89.8	\N	23.8	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	138.88	\N	-35.55	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Ene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	90.6	\N	40.2	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	-72.33	\N	41.27	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Arno/	10.2	\N	43.7	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	0.5	\N	40.8	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	-89.13	\N	36.98	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	-20.8	\N	63.9	http://www.semwebtech.org/mondial/10/river/Thjorsa/
\.


--
-- TOC entry 5308 (class 0 OID 91022)
-- Dependencies: 819
-- Data for Name: EthnicGroup; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicGroup" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	Mandingo
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	Bengali
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	Tay
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	Austrian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	Moldavian/Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	Songhai
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	Celt
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	Bakongo
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	Serb
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	Lao Loum
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	Nauruan
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	Alemannic
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	Scandinavian
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	Roma
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	Bounty
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	Mboum
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	Black
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	Mestizo
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	Czech
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	Creole
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	Kamba
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	Baganda
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	Malinke
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	Gilaki Mazandarani
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	Crimean Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	Fulani
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	Carib Indians
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	Kalenjin
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	Serbs
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	Afro-Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	Mossi
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	Arab Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	Shan
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	Fleming
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	Bhote
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	Christian
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	Fula
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	Viet/Kinh
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	Berber Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	White
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	Pakistani
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	Kimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	Indo-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	Mediterranean Nordic
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	Byelorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	Northern Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	Finn
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	Indonesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	Karen
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	Sino-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	Nung
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	Ovimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	Tigraway
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	Lao Theung
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	Americo-Liberians
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	Basques Bretons
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	Franco-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	Surinamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	Tutsi
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	Colored
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	Euro-African
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	MBaka
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	Equatorial Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	Welaita
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	Sara
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	Eastern Hamitic
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	Madurese
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	Banda
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	Wolof
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	Palestinian Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	Azerbaijani
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	Lugbara
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	Nepalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	Danish
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	Arab-Berber
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	Maori
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	Black Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	Europeans
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	Han Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	Dravidian
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	South Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	Vietnamese/Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	Batswana
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	European
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	Hadiya
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	Twa
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	Mixed
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	Burman
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	Northwestern Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	Kgalagadi
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	Toucouleur
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	Baoule
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	Djerma
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	Fijian
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	Swede
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	Russian Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	Thai
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	Kunama
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	Soussou
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	Maya
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	Mon
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	Norman-French
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	Gourmantche
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	Beja
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	Mande
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	black-Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	African descent
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	Bahraini
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	Bagisu
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	European/Caribbean Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	Uighur
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	Oromo
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	Sami
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	Croat
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	Seychellois
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	English
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	Circassian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	Bosniak
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	Batobo
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	Javanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	Luo
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	Saho
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	Taiwanese
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	African
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	Vedda
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	Bete
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	Pacific Islander
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	Caucasian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	European Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	Sidama
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	Hazara
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	Luhya
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	Somali
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	Walloon
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	Kuwaiti
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	Polish
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	Senoufou
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	Emiri
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	Mong
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	Meru
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	Khmer
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	None
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	Greenlander
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	Diola
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	Moroccan
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	Kirdi
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	German
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	Kikuyu
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	Gypsy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	Hutu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	Mongol
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	Hausa
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	Inuit
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	Filipino
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	Rashaida
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	Sotho
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	French
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	Cameroon Highlanders
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	Afar
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	Baloch
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	Kazak
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	Micronesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	Voltaic
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	Kisii
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	Bashkir
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	Afro-East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	Caribbean
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	Scottish
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	Sundanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	Dungan
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	Welsh
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	Pashtun
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	Sinhalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	Lur
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	Muong
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	Karakalpak
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	Malay
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	Indo-Aryan
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	Ruthenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	Mandjia
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	Basogo
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	Iteso
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	Peuhl
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	Euronesians
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	Tigrinya
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	Lao Soung Hmong Yao
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	Bilen
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	Bunyoro
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	Karamojong
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	Mangbetu-Azande
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	Eastern Nigritic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	Gurage
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	Italian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	Moravian
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	Persian
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	Tuareg
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	European Syrian-Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	Serer
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	Afro-Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	Russian
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	Melanesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	Acholi
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	Langi
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	Borneo indigenous
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	Hindustani
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	Andorran
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	Assyrian
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	Beri Beri
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	Dagestani
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	Tigre
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	Greek
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	Rwanda
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	Mulatto
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	Afro-European
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	Moldovan
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	Baya
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	African-white-Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	Norwegian
\.


--
-- TOC entry 5309 (class 0 OID 91025)
-- Dependencies: 820
-- Data for Name: EthnicProportion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicProportion" ("URI", "ethnicInfo-", "onEthnicGroup", percent) FROM stdin;
7b93e6a1:150814fecb6:2647	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	30
7b93e6a1:150814fecb6:25c6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	73
7b93e6a1:150814fecb6:255c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:25a9	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	5.4
7b93e6a1:150814fecb6:25b9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2562	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:261f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	30
7b93e6a1:150814fecb6:266c	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	80
7b93e6a1:150814fecb6:267c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	4
7b93e6a1:150814fecb6:25fb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2487	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	9.7
7b93e6a1:150814fecb6:26a2	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:24c7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	89.6
7b93e6a1:150814fecb6:25f3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	93.5
7b93e6a1:150814fecb6:25b6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:2512	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	85
7b93e6a1:150814fecb6:2499	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.4
7b93e6a1:150814fecb6:253c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	68
7b93e6a1:150814fecb6:26a4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	36
7b93e6a1:150814fecb6:2600	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	58
7b93e6a1:150814fecb6:24ab	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	0.5
7b93e6a1:150814fecb6:2587	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	18
7b93e6a1:150814fecb6:262a	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	4.4
7b93e6a1:150814fecb6:24b9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	63.1
7b93e6a1:150814fecb6:2675	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	8
7b93e6a1:150814fecb6:247c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	91.5
7b93e6a1:150814fecb6:2638	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	1
7b93e6a1:150814fecb6:25e4	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	8
7b93e6a1:150814fecb6:2540	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:269f	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	11
7b93e6a1:150814fecb6:25a7	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	7
7b93e6a1:150814fecb6:2503	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	6
7b93e6a1:150814fecb6:249a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	59.3
7b93e6a1:150814fecb6:2656	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	25
7b93e6a1:150814fecb6:245d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	82.9
7b93e6a1:150814fecb6:2619	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:25c5	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	100
7b93e6a1:150814fecb6:2521	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	90.6
7b93e6a1:150814fecb6:25ef	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	4
7b93e6a1:150814fecb6:254b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	1.1
7b93e6a1:150814fecb6:26b3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	8
7b93e6a1:150814fecb6:250e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	79.9
7b93e6a1:150814fecb6:256a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	99
7b93e6a1:150814fecb6:252d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	9
7b93e6a1:150814fecb6:2578	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	45
7b93e6a1:150814fecb6:2480	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:26bf	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	68
7b93e6a1:150814fecb6:261b	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	92.6
7b93e6a1:150814fecb6:24e7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	1.5
7b93e6a1:150814fecb6:2666	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	11
7b93e6a1:150814fecb6:246d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	5
7b93e6a1:150814fecb6:2629	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	8
7b93e6a1:150814fecb6:25d5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2531	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	25
7b93e6a1:150814fecb6:24a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	84
7b93e6a1:150814fecb6:25ff	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	8
7b93e6a1:150814fecb6:255b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	1.3
7b93e6a1:150814fecb6:26c3	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	97
7b93e6a1:150814fecb6:251e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	83.8
7b93e6a1:150814fecb6:24ca	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	0.9
7b93e6a1:150814fecb6:2569	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2471	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	1
7b93e6a1:150814fecb6:260c	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	56.3
7b93e6a1:150814fecb6:24d8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	0.2
7b93e6a1:150814fecb6:2694	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	4
7b93e6a1:150814fecb6:249b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	27.8
7b93e6a1:150814fecb6:2657	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	13
7b93e6a1:150814fecb6:245e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	0.9
7b93e6a1:150814fecb6:2522	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	2.2
7b93e6a1:150814fecb6:254c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	63.1
7b93e6a1:150814fecb6:26b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	6
7b93e6a1:150814fecb6:2610	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	0.3
7b93e6a1:150814fecb6:250f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	15.3
7b93e6a1:150814fecb6:24bb	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4.5
7b93e6a1:150814fecb6:2597	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	4
7b93e6a1:150814fecb6:263a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	25
7b93e6a1:150814fecb6:2462	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	1.1
7b93e6a1:150814fecb6:24c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.5
7b93e6a1:150814fecb6:2685	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:248c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.1
7b93e6a1:150814fecb6:2648	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	40
7b93e6a1:150814fecb6:25f4	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	46
7b93e6a1:150814fecb6:2550	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1.4
7b93e6a1:150814fecb6:25b7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2513	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	5
7b93e6a1:150814fecb6:257a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	10
7b93e6a1:150814fecb6:253d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	22
7b93e6a1:150814fecb6:26a5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	9
7b93e6a1:150814fecb6:2601	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	26
7b93e6a1:150814fecb6:24ac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	0.5
7b93e6a1:150814fecb6:2588	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	40
7b93e6a1:150814fecb6:2490	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:262b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	45
7b93e6a1:150814fecb6:24f7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	1.9
7b93e6a1:150814fecb6:2676	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	7
7b93e6a1:150814fecb6:247d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.4
7b93e6a1:150814fecb6:2639	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	65
7b93e6a1:150814fecb6:25e5	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.4
7b93e6a1:150814fecb6:2541	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	75
7b93e6a1:150814fecb6:25a8	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3.4
7b93e6a1:150814fecb6:2504	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	19
7b93e6a1:150814fecb6:24b0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.3
7b93e6a1:150814fecb6:256b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	45
7b93e6a1:150814fecb6:252e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	7
7b93e6a1:150814fecb6:24da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	11.97
7b93e6a1:150814fecb6:2579	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90
7b93e6a1:150814fecb6:2481	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.6
7b93e6a1:150814fecb6:261c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	7
7b93e6a1:150814fecb6:24e8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	83
7b93e6a1:150814fecb6:2667	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	23
7b93e6a1:150814fecb6:246e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	100
7b93e6a1:150814fecb6:25d6	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2532	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	72
7b93e6a1:150814fecb6:24a1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	6.1
7b93e6a1:150814fecb6:26c4	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	50
7b93e6a1:150814fecb6:2620	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	25
7b93e6a1:150814fecb6:251f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	6.5
7b93e6a1:150814fecb6:24cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	0.5
7b93e6a1:150814fecb6:264a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99.1
7b93e6a1:150814fecb6:2472	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	2
7b93e6a1:150814fecb6:260d	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	36.3
7b93e6a1:150814fecb6:24d9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	84.54
7b93e6a1:150814fecb6:2695	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	2.5
7b93e6a1:150814fecb6:249c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	3.6
7b93e6a1:150814fecb6:2658	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	45
7b93e6a1:150814fecb6:2560	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	70
7b93e6a1:150814fecb6:245f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	3.9
7b93e6a1:150814fecb6:25c7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	16
7b93e6a1:150814fecb6:2523	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.8
7b93e6a1:150814fecb6:258a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	6.4
7b93e6a1:150814fecb6:254d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	23.7
7b93e6a1:150814fecb6:26b5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	5
7b93e6a1:150814fecb6:2611	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.8
7b93e6a1:150814fecb6:24bc	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	4.3
7b93e6a1:150814fecb6:2598	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	80
7b93e6a1:150814fecb6:263b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	7
7b93e6a1:150814fecb6:2463	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	43
7b93e6a1:150814fecb6:25aa	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	28
7b93e6a1:150814fecb6:2686	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	5
7b93e6a1:150814fecb6:248d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.1
7b93e6a1:150814fecb6:2649	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:25f5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	49
7b93e6a1:150814fecb6:2551	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.3
7b93e6a1:150814fecb6:25b8	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:2514	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4
7b93e6a1:150814fecb6:24c0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.2
7b93e6a1:150814fecb6:257b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90.3
7b93e6a1:150814fecb6:253e	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	9
7b93e6a1:150814fecb6:24ea	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	47
7b93e6a1:150814fecb6:26a6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	9
7b93e6a1:150814fecb6:2602	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	1.4
7b93e6a1:150814fecb6:24ad	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	0.4
7b93e6a1:150814fecb6:2589	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	10
7b93e6a1:150814fecb6:2491	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1
7b93e6a1:150814fecb6:262c	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	37
7b93e6a1:150814fecb6:24f8	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	55.4
7b93e6a1:150814fecb6:2677	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	34
7b93e6a1:150814fecb6:247e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	92.3
7b93e6a1:150814fecb6:25e6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	0.4
7b93e6a1:150814fecb6:2542	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2505	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	91.5
7b93e6a1:150814fecb6:24b1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:256c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	14
7b93e6a1:150814fecb6:2630	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	30.2
7b93e6a1:150814fecb6:252f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	4
7b93e6a1:150814fecb6:24db	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	1.38
7b93e6a1:150814fecb6:265a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98.7
7b93e6a1:150814fecb6:2482	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	0.8
7b93e6a1:150814fecb6:261d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	97
7b93e6a1:150814fecb6:24e9	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	5
7b93e6a1:150814fecb6:2668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	18
7b93e6a1:150814fecb6:2570	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	75
7b93e6a1:150814fecb6:246f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	91.1
7b93e6a1:150814fecb6:25d7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	76.3
7b93e6a1:150814fecb6:2533	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	3
7b93e6a1:150814fecb6:259a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	24.9
7b93e6a1:150814fecb6:24a2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4.9
7b93e6a1:150814fecb6:255d	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	3
7b93e6a1:150814fecb6:26c5	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	25
7b93e6a1:150814fecb6:2621	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	76.9
7b93e6a1:150814fecb6:264b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	8.5
7b93e6a1:150814fecb6:2473	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	2
7b93e6a1:150814fecb6:260e	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	1.8
7b93e6a1:150814fecb6:25ba	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	69
7b93e6a1:150814fecb6:2696	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	2.3
7b93e6a1:150814fecb6:249d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.5
7b93e6a1:150814fecb6:2659	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1.1
7b93e6a1:150814fecb6:2561	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	10
7b93e6a1:150814fecb6:25c8	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	11
7b93e6a1:150814fecb6:2524	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1.5
7b93e6a1:150814fecb6:24d0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:258b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	76.4
7b93e6a1:150814fecb6:254e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	2.8
7b93e6a1:150814fecb6:24fa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/English/	83.6
7b93e6a1:150814fecb6:26b6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	4
7b93e6a1:150814fecb6:2612	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	4
7b93e6a1:150814fecb6:24bd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.3
7b93e6a1:150814fecb6:2599	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	48.7
7b93e6a1:150814fecb6:263c	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2464	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	32
7b93e6a1:150814fecb6:25ab	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	23
7b93e6a1:150814fecb6:2687	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:248e	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	91
7b93e6a1:150814fecb6:25f6	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	10
7b93e6a1:150814fecb6:2552	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.1
7b93e6a1:150814fecb6:2515	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	80
7b93e6a1:150814fecb6:24c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	2
7b93e6a1:150814fecb6:257c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	4
7b93e6a1:150814fecb6:2640	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99
7b93e6a1:150814fecb6:253f	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	1
7b93e6a1:150814fecb6:24eb	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	21.6
7b93e6a1:150814fecb6:26a7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	17
7b93e6a1:150814fecb6:2603	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	34.1
7b93e6a1:150814fecb6:24ae	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.3
7b93e6a1:150814fecb6:266a	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.2
7b93e6a1:150814fecb6:2492	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	65
7b93e6a1:150814fecb6:262d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24f9	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	44.3
7b93e6a1:150814fecb6:2455	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	95
7b93e6a1:150814fecb6:2678	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	27
7b93e6a1:150814fecb6:2580	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	99.4
7b93e6a1:150814fecb6:247f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.9
7b93e6a1:150814fecb6:25e7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2543	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	90
7b93e6a1:150814fecb6:2506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	3
7b93e6a1:150814fecb6:24b2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	79.8
7b93e6a1:150814fecb6:256d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	7.5
7b93e6a1:150814fecb6:2631	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	9.1
7b93e6a1:150814fecb6:24dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	68.7
7b93e6a1:150814fecb6:25a0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	60
7b93e6a1:150814fecb6:265b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2483	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.7
7b93e6a1:150814fecb6:261e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	30
7b93e6a1:150814fecb6:25ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	3
7b93e6a1:150814fecb6:2669	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	15
7b93e6a1:150814fecb6:2571	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	5
7b93e6a1:150814fecb6:25d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	15.1
7b93e6a1:150814fecb6:2534	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	50
7b93e6a1:150814fecb6:24e0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	0.8
7b93e6a1:150814fecb6:259b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	10.6
7b93e6a1:150814fecb6:24a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.1
7b93e6a1:150814fecb6:255e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	94.9
7b93e6a1:150814fecb6:26c6	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	25
7b93e6a1:150814fecb6:2622	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	53.7
7b93e6a1:150814fecb6:24cd	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	8
7b93e6a1:150814fecb6:264c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	56
7b93e6a1:150814fecb6:2474	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.9
7b93e6a1:150814fecb6:260f	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	100
7b93e6a1:150814fecb6:25bb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	17
7b93e6a1:150814fecb6:2697	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	1.7
7b93e6a1:150814fecb6:249e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	2.4
7b93e6a1:150814fecb6:25c9	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:2525	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	10
7b93e6a1:150814fecb6:24d1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	0.3
7b93e6a1:150814fecb6:258c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	14.9
7b93e6a1:150814fecb6:2650	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	1.2
7b93e6a1:150814fecb6:254f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:24fb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	8.6
7b93e6a1:150814fecb6:26b7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	4
7b93e6a1:150814fecb6:2613	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	1.5
7b93e6a1:150814fecb6:24be	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	80.7
7b93e6a1:150814fecb6:267a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	21
7b93e6a1:150814fecb6:263d	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	67.2
7b93e6a1:150814fecb6:2465	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	8
7b93e6a1:150814fecb6:25ac	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:2688	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	35
7b93e6a1:150814fecb6:2590	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	1
7b93e6a1:150814fecb6:248f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	3
7b93e6a1:150814fecb6:25f7	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	12
7b93e6a1:150814fecb6:2553	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	64.9
7b93e6a1:150814fecb6:2516	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.5
7b93e6a1:150814fecb6:24c2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	2
7b93e6a1:150814fecb6:257d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	95
7b93e6a1:150814fecb6:2641	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	97
7b93e6a1:150814fecb6:24ec	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	19
7b93e6a1:150814fecb6:26a8	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	9
7b93e6a1:150814fecb6:2604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	44.1
7b93e6a1:150814fecb6:25b0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	4.43
7b93e6a1:150814fecb6:24af	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.3
7b93e6a1:150814fecb6:266b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99.8
7b93e6a1:150814fecb6:2493	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	18
7b93e6a1:150814fecb6:262e	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	12
7b93e6a1:150814fecb6:25da	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	1.2
7b93e6a1:150814fecb6:2456	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	3
7b93e6a1:150814fecb6:2679	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	10
7b93e6a1:150814fecb6:2581	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	50
7b93e6a1:150814fecb6:25e8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90.3
7b93e6a1:150814fecb6:2544	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	5
7b93e6a1:150814fecb6:24f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1.3
7b93e6a1:150814fecb6:2507	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	51
7b93e6a1:150814fecb6:24b3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	3.8
7b93e6a1:150814fecb6:256e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	7.5
7b93e6a1:150814fecb6:2632	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	37
7b93e6a1:150814fecb6:24dd	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	25.6
7b93e6a1:150814fecb6:25a1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30
7b93e6a1:150814fecb6:265c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	24
7b93e6a1:150814fecb6:2484	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:25cb	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	2
7b93e6a1:150814fecb6:2572	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1
7b93e6a1:150814fecb6:25d9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	3
7b93e6a1:150814fecb6:2535	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	35
7b93e6a1:150814fecb6:24e1	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	100
7b93e6a1:150814fecb6:259c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	6.1
7b93e6a1:150814fecb6:24a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.3
7b93e6a1:150814fecb6:2660	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	95
7b93e6a1:150814fecb6:255f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	5
7b93e6a1:150814fecb6:26c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	100
7b93e6a1:150814fecb6:2623	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	38.5
7b93e6a1:150814fecb6:24ce	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	4.4
7b93e6a1:150814fecb6:268a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	55
7b93e6a1:150814fecb6:264d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	22
7b93e6a1:150814fecb6:2475	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	90.4
7b93e6a1:150814fecb6:25bc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	9
7b93e6a1:150814fecb6:2698	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	1.7
7b93e6a1:150814fecb6:249f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	1.3
7b93e6a1:150814fecb6:2563	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	77
7b93e6a1:150814fecb6:26aa	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2526	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	13
7b93e6a1:150814fecb6:24d2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	89.1
7b93e6a1:150814fecb6:258d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	74
7b93e6a1:150814fecb6:2651	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	1
7b93e6a1:150814fecb6:24fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	4.9
7b93e6a1:150814fecb6:26b8	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	3
7b93e6a1:150814fecb6:2614	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	93
7b93e6a1:150814fecb6:25c0	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	6
7b93e6a1:150814fecb6:24bf	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.4
7b93e6a1:150814fecb6:267b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	4
7b93e6a1:150814fecb6:263e	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/None/	31.5
7b93e6a1:150814fecb6:25ea	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	100
7b93e6a1:150814fecb6:2466	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	5
7b93e6a1:150814fecb6:25ad	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	2
7b93e6a1:150814fecb6:2689	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	60
7b93e6a1:150814fecb6:2591	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:25f8	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	78
7b93e6a1:150814fecb6:2554	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	13.8
7b93e6a1:150814fecb6:2517	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	5
7b93e6a1:150814fecb6:24c3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	0.8
7b93e6a1:150814fecb6:257e	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	17
7b93e6a1:150814fecb6:2642	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	50
7b93e6a1:150814fecb6:24ed	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:26a9	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	1
7b93e6a1:150814fecb6:2605	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	9
7b93e6a1:150814fecb6:25b1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.97
7b93e6a1:150814fecb6:2494	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	10
7b93e6a1:150814fecb6:262f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	43.5
7b93e6a1:150814fecb6:25db	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2457	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	93
7b93e6a1:150814fecb6:2582	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	19
7b93e6a1:150814fecb6:25e9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	3.2
7b93e6a1:150814fecb6:2545	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	85.7
7b93e6a1:150814fecb6:24f1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	1.1
7b93e6a1:150814fecb6:2508	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	2
7b93e6a1:150814fecb6:24b4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2
7b93e6a1:150814fecb6:2670	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	13
7b93e6a1:150814fecb6:256f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	15
7b93e6a1:150814fecb6:2633	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	31
7b93e6a1:150814fecb6:24de	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:269a	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:25a2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:265d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2485	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	95
7b93e6a1:150814fecb6:25cc	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:2573	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	98
7b93e6a1:150814fecb6:26ba	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	99.7
7b93e6a1:150814fecb6:2536	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	20
7b93e6a1:150814fecb6:24e2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	93.4
7b93e6a1:150814fecb6:259d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	50
7b93e6a1:150814fecb6:24a5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	97.6
7b93e6a1:150814fecb6:2661	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	4
7b93e6a1:150814fecb6:26c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	100
7b93e6a1:150814fecb6:2624	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	6.2
7b93e6a1:150814fecb6:25d0	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	7
7b93e6a1:150814fecb6:24cf	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	2.5
7b93e6a1:150814fecb6:268b	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	30
7b93e6a1:150814fecb6:264e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	8
7b93e6a1:150814fecb6:25fa	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	26.3
7b93e6a1:150814fecb6:2476	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	3.7
7b93e6a1:150814fecb6:25bd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	5
7b93e6a1:150814fecb6:2699	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	85
7b93e6a1:150814fecb6:2564	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	18
7b93e6a1:150814fecb6:26ab	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2527	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	63
7b93e6a1:150814fecb6:24d3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	6.6
7b93e6a1:150814fecb6:258e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	18
7b93e6a1:150814fecb6:2652	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24fd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	2.9
7b93e6a1:150814fecb6:26b9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	3
7b93e6a1:150814fecb6:2615	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	96
7b93e6a1:150814fecb6:25c1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	65.1
7b93e6a1:150814fecb6:263f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25eb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2467	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	92
7b93e6a1:150814fecb6:25ae	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	79.96
7b93e6a1:150814fecb6:250a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	7
7b93e6a1:150814fecb6:2592	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	84
7b93e6a1:150814fecb6:25f9	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	37.1
7b93e6a1:150814fecb6:2555	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	12.5
7b93e6a1:150814fecb6:2518	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	3
7b93e6a1:150814fecb6:24c4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	48
7b93e6a1:150814fecb6:2680	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	70
7b93e6a1:150814fecb6:257f	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	83
7b93e6a1:150814fecb6:2643	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	17
7b93e6a1:150814fecb6:24ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	100
7b93e6a1:150814fecb6:2606	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.5
7b93e6a1:150814fecb6:25b2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	20
7b93e6a1:150814fecb6:266d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	19
7b93e6a1:150814fecb6:2495	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	1
7b93e6a1:150814fecb6:25dc	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	90
7b93e6a1:150814fecb6:2458	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	64.2
7b93e6a1:150814fecb6:26a0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	6
7b93e6a1:150814fecb6:2583	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	23
7b93e6a1:150814fecb6:2546	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	1.9
7b93e6a1:150814fecb6:24f2	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:2509	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	24
7b93e6a1:150814fecb6:24b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	1.2
7b93e6a1:150814fecb6:2671	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	10
7b93e6a1:150814fecb6:2634	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	15.3
7b93e6a1:150814fecb6:25e0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24df	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.2
7b93e6a1:150814fecb6:269b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	22
7b93e6a1:150814fecb6:25a3	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	54
7b93e6a1:150814fecb6:265e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2486	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	85.7
7b93e6a1:150814fecb6:25cd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:2574	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	1
7b93e6a1:150814fecb6:26bb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.06
7b93e6a1:150814fecb6:2537	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	64
7b93e6a1:150814fecb6:24e3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	5.6
7b93e6a1:150814fecb6:259e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:24a6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.6
7b93e6a1:150814fecb6:2662	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2.6
7b93e6a1:150814fecb6:2625	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3
7b93e6a1:150814fecb6:25d1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:268c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	4
7b93e6a1:150814fecb6:264f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	4.3
7b93e6a1:150814fecb6:2477	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	1.9
7b93e6a1:150814fecb6:25be	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	84
7b93e6a1:150814fecb6:251a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.5
7b93e6a1:150814fecb6:2565	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.6
7b93e6a1:150814fecb6:26ac	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:2528	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	8
7b93e6a1:150814fecb6:24d4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	2.5
7b93e6a1:150814fecb6:2690	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	34.5
7b93e6a1:150814fecb6:258f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	7
7b93e6a1:150814fecb6:2653	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	98
7b93e6a1:150814fecb6:24fe	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:245a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	3.9
7b93e6a1:150814fecb6:2616	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	95
7b93e6a1:150814fecb6:25c2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	12
7b93e6a1:150814fecb6:267d	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25ec	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	40
7b93e6a1:150814fecb6:2468	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	5
7b93e6a1:150814fecb6:26b0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	17
7b93e6a1:150814fecb6:25af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	12.85
7b93e6a1:150814fecb6:250b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	2
7b93e6a1:150814fecb6:2593	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	90.1
7b93e6a1:150814fecb6:2556	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	1.1
7b93e6a1:150814fecb6:2519	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	2.5
7b93e6a1:150814fecb6:24c5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	37.1
7b93e6a1:150814fecb6:2681	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	6
7b93e6a1:150814fecb6:2644	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	12
7b93e6a1:150814fecb6:25f0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	89
7b93e6a1:150814fecb6:24ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	87.4
7b93e6a1:150814fecb6:2607	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	56.8
7b93e6a1:150814fecb6:25b3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	20
7b93e6a1:150814fecb6:266e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	1
7b93e6a1:150814fecb6:2496	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	81.2
7b93e6a1:150814fecb6:25dd	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	58
7b93e6a1:150814fecb6:2459	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	25.2
7b93e6a1:150814fecb6:26a1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	6
7b93e6a1:150814fecb6:2584	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1.5
7b93e6a1:150814fecb6:2547	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	1.8
7b93e6a1:150814fecb6:24f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	78.2
7b93e6a1:150814fecb6:24b6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	1.1
7b93e6a1:150814fecb6:2672	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	31
7b93e6a1:150814fecb6:2635	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10
7b93e6a1:150814fecb6:25e1	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	3
7b93e6a1:150814fecb6:269c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	14
7b93e6a1:150814fecb6:25a4	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	34.1
7b93e6a1:150814fecb6:2500	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	1.3
7b93e6a1:150814fecb6:265f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	1
7b93e6a1:150814fecb6:25ce	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:252a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2
7b93e6a1:150814fecb6:2575	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	35
7b93e6a1:150814fecb6:26bc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	0.08
7b93e6a1:150814fecb6:2538	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	50.4
7b93e6a1:150814fecb6:24e4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:259f	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30.5
7b93e6a1:150814fecb6:24a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	0.5
7b93e6a1:150814fecb6:2663	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	8.6
7b93e6a1:150814fecb6:246a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	33
7b93e6a1:150814fecb6:2626	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	95
7b93e6a1:150814fecb6:25d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:268d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	2
7b93e6a1:150814fecb6:25fc	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2478	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.5
7b93e6a1:150814fecb6:26c0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	3
7b93e6a1:150814fecb6:25bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:251b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	97.7
7b93e6a1:150814fecb6:2566	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	99.4
7b93e6a1:150814fecb6:26ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2529	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	98
7b93e6a1:150814fecb6:24d5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.3
7b93e6a1:150814fecb6:2691	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	26.9
7b93e6a1:150814fecb6:2654	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24ff	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	1.8
7b93e6a1:150814fecb6:245b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	2.7
7b93e6a1:150814fecb6:2617	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4
7b93e6a1:150814fecb6:25c3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	12
7b93e6a1:150814fecb6:267e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	28
7b93e6a1:150814fecb6:25ed	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90
7b93e6a1:150814fecb6:2469	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	43
7b93e6a1:150814fecb6:26b1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	12
7b93e6a1:150814fecb6:250c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	2
7b93e6a1:150814fecb6:2594	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	4.6
7b93e6a1:150814fecb6:2557	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	1
7b93e6a1:150814fecb6:24c6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	14.3
7b93e6a1:150814fecb6:2682	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	30
7b93e6a1:150814fecb6:2645	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	6
7b93e6a1:150814fecb6:25f1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	92
7b93e6a1:150814fecb6:2608	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	8
7b93e6a1:150814fecb6:25b4	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	40
7b93e6a1:150814fecb6:2510	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.1
7b93e6a1:150814fecb6:266f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	95
7b93e6a1:150814fecb6:2497	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	11.4
7b93e6a1:150814fecb6:25de	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:253a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	7.1
7b93e6a1:150814fecb6:2585	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	95.5
7b93e6a1:150814fecb6:2548	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	1.5
7b93e6a1:150814fecb6:24f4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	8.4
7b93e6a1:150814fecb6:24b7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	58
7b93e6a1:150814fecb6:2673	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	19
7b93e6a1:150814fecb6:247a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	0.3
7b93e6a1:150814fecb6:2636	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	2
7b93e6a1:150814fecb6:25e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:269d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	13
7b93e6a1:150814fecb6:25a5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	6.4
7b93e6a1:150814fecb6:2501	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	25
7b93e6a1:150814fecb6:2488	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.7
7b93e6a1:150814fecb6:25cf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:252b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	3
7b93e6a1:150814fecb6:2576	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	4
7b93e6a1:150814fecb6:26bd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	0.2
7b93e6a1:150814fecb6:2539	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	23.7
7b93e6a1:150814fecb6:24e5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	0.3
7b93e6a1:150814fecb6:24a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	77.8
7b93e6a1:150814fecb6:2664	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:246b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	11
7b93e6a1:150814fecb6:2627	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	95
7b93e6a1:150814fecb6:25d3	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	14
7b93e6a1:150814fecb6:268e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	2
7b93e6a1:150814fecb6:25fd	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:2479	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.6
7b93e6a1:150814fecb6:26c1	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	2
7b93e6a1:150814fecb6:251c	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:2567	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	76.4
7b93e6a1:150814fecb6:26ae	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	6
7b93e6a1:150814fecb6:260a	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	4.6
7b93e6a1:150814fecb6:24d6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2692	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	6.2
7b93e6a1:150814fecb6:2655	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	37
7b93e6a1:150814fecb6:245c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	1.8
7b93e6a1:150814fecb6:2618	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	94
7b93e6a1:150814fecb6:25c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10.1
7b93e6a1:150814fecb6:2520	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.5
7b93e6a1:150814fecb6:267f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	71
7b93e6a1:150814fecb6:25ee	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	2
7b93e6a1:150814fecb6:254a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	1.2
7b93e6a1:150814fecb6:26b2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	8
7b93e6a1:150814fecb6:250d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	8
7b93e6a1:150814fecb6:2595	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	3.7
7b93e6a1:150814fecb6:2558	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1
7b93e6a1:150814fecb6:2460	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.4
7b93e6a1:150814fecb6:2683	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	40
7b93e6a1:150814fecb6:248a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2646	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	10
7b93e6a1:150814fecb6:25f2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	7
7b93e6a1:150814fecb6:2609	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	7.4
7b93e6a1:150814fecb6:25b5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	74
7b93e6a1:150814fecb6:2511	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	1.1
7b93e6a1:150814fecb6:2498	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	3.9
7b93e6a1:150814fecb6:25df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	14
7b93e6a1:150814fecb6:253b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	11
7b93e6a1:150814fecb6:26a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	17
7b93e6a1:150814fecb6:24aa	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	0.6
7b93e6a1:150814fecb6:2586	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	18
7b93e6a1:150814fecb6:2549	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	1.5
7b93e6a1:150814fecb6:24f5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.8
7b93e6a1:150814fecb6:24b8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	31
7b93e6a1:150814fecb6:2674	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	11
7b93e6a1:150814fecb6:247b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.2
7b93e6a1:150814fecb6:2637	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	2
7b93e6a1:150814fecb6:25e3	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	80.2
7b93e6a1:150814fecb6:269e	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	12
7b93e6a1:150814fecb6:25a6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	83.4
7b93e6a1:150814fecb6:2502	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	38
7b93e6a1:150814fecb6:2489	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	1
7b93e6a1:150814fecb6:252c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	68
7b93e6a1:150814fecb6:2577	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	9
7b93e6a1:150814fecb6:26be	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	27
7b93e6a1:150814fecb6:261a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	0.4
7b93e6a1:150814fecb6:24e6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	82.5
7b93e6a1:150814fecb6:24a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	17.3
7b93e6a1:150814fecb6:2665	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98
7b93e6a1:150814fecb6:246c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	2
7b93e6a1:150814fecb6:2628	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	88
7b93e6a1:150814fecb6:25d4	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	86
7b93e6a1:150814fecb6:2530	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	2
7b93e6a1:150814fecb6:268f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	2
7b93e6a1:150814fecb6:25fe	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	8
7b93e6a1:150814fecb6:255a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	1.6
7b93e6a1:150814fecb6:26c2	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	3
7b93e6a1:150814fecb6:251d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	1.3
7b93e6a1:150814fecb6:2568	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	23
7b93e6a1:150814fecb6:2470	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	1.6
7b93e6a1:150814fecb6:26af	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:260b	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:24d7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:2693	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	6.1
7b93e6a1:150814fecb6:24ba	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	13.3
7b93e6a1:150814fecb6:2596	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	80
7b93e6a1:150814fecb6:2559	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:2461	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1.8
7b93e6a1:150814fecb6:24c8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	4.5
7b93e6a1:150814fecb6:2684	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	20
7b93e6a1:150814fecb6:248b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	0.3
\.


--
-- TOC entry 5310 (class 0 OID 91031)
-- Dependencies: 821
-- Data for Name: Female; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Female" ("URI", onlyfemaleprop, "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5311 (class 0 OID 91037)
-- Dependencies: 822
-- Data for Name: Island; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Island" ("URI", population, latitude, "belongsToIslands", area, name, longitude, type, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/island/PortoSanto/	\N	33	http://www.semwebtech.org/mondial/10/islands/Madeira/	42	Porto Santo	-16.35	volcanic	517
http://www.semwebtech.org/mondial/10/island/Kiritimati/	\N	1.9	http://www.semwebtech.org/mondial/10/islands/LineIslands/	388	Kiritimati	-157.4	atoll	13
http://www.semwebtech.org/mondial/10/island/Trinidad/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	4827	Trinidad	-61.35	\N	940
http://www.semwebtech.org/mondial/10/island/Kavaratti/	\N	10.6	http://www.semwebtech.org/mondial/10/islands/Laccadives/	6	Kavaratti	72.6	\N	2
http://www.semwebtech.org/mondial/10/island/Mayotte/	\N	-12.46	http://www.semwebtech.org/mondial/10/islands/Comores/	374	Mayotte	45.13	volcanic	660
http://www.semwebtech.org/mondial/10/island/SaoJorge/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	233.5	Sao Jorge	-28	volcanic	1053
http://www.semwebtech.org/mondial/10/island/Molokai/	\N	21.1	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	676	Molokai	-157	volcanic	1512
http://www.semwebtech.org/mondial/10/island/Tasmania/	\N	-42	\N	67800	Tasmania	145	\N	1617
http://www.semwebtech.org/mondial/10/island/Barra/	\N	57	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	91	Barra	-7.7	\N	383
http://www.semwebtech.org/mondial/10/island/Hierro/	\N	27.7	http://www.semwebtech.org/mondial/10/islands/Canares/	268	Hierro	-18	volcanic	1500
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	\N	46.3	\N	5660	Prince Edward Island	-63.4	\N	142
http://www.semwebtech.org/mondial/10/island/Terschelling/	\N	53.4	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	88	Terschelling	5.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Batam/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	415	Batam	104.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Tinian/	\N	15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	101	Tinian	145.6	\N	171
http://www.semwebtech.org/mondial/10/island/Iceland/	\N	65	\N	102829	Iceland	-18	volcanic	2119
http://www.semwebtech.org/mondial/10/island/Panarea/	\N	38.65	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	3.4	Panarea	15.05	volcanic	421
http://www.semwebtech.org/mondial/10/island/Bougainville/	\N	-6.2	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	8800	Bougainville	155.25	\N	2715
http://www.semwebtech.org/mondial/10/island/Sardegna/	\N	40	\N	24090	Sardegna	9	\N	1834
http://www.semwebtech.org/mondial/10/island/Oesel/	\N	58.3	\N	2714	Oesel	22	\N	54
http://www.semwebtech.org/mondial/10/island/Lesbos/	\N	39.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1636	Lesbos	26.3	\N	968
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	\N	16.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	589	Grande-Terre	-61.4	lime	136
http://www.semwebtech.org/mondial/10/island/Formentera/	\N	38	http://www.semwebtech.org/mondial/10/islands/Baleares/	83	Formentera	1.5	\N	192
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	\N	33.2	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	194	Santa Catalina Island	-118.2	\N	648
http://www.semwebtech.org/mondial/10/island/Rota/	\N	15.15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	85	Rota	145.2	\N	495
http://www.semwebtech.org/mondial/10/island/SanAndres/	\N	12.5	\N	26	San Andres	-81.7	\N	85
http://www.semwebtech.org/mondial/10/island/Bohol/	\N	9.9	http://www.semwebtech.org/mondial/10/islands/Philipines/	4117	Bohol	124.2	\N	\N
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	51.4	\N	2020	Rene Levasseur Island	-68.7	\N	952
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	\N	-12	\N	5800	Melville Island	131	\N	\N
http://www.semwebtech.org/mondial/10/island/Banaba/	\N	-0.85	\N	6.29	Banaba	169.54	volcanic	81
http://www.semwebtech.org/mondial/10/island/Vlieland/	\N	53.25	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Vlieland	5	\N	\N
http://www.semwebtech.org/mondial/10/island/Ponape/	\N	6.85	http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	336	Ponape	158.2	volcanic	782
http://www.semwebtech.org/mondial/10/island/Anjouan/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/Comores/	424	Anjouan	44.35	\N	\N
http://www.semwebtech.org/mondial/10/island/Impalila/	\N	-17.77	\N	18	Impalila	25.23	\N	818
http://www.semwebtech.org/mondial/10/island/Sansibar/	\N	-6.1	\N	1658	Sansibar	39.3	\N	135
http://www.semwebtech.org/mondial/10/island/Juist/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	16.4	Juist	7	\N	3
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	\N	47.85	\N	375	Maly Zitny Ostrov	17.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	35.4	\N	9251	Cyprus	33.2	\N	1952
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	\N	-10.25	\N	135	Christmas Island	105.43	coral	350
http://www.semwebtech.org/mondial/10/island/Timor/	\N	-9.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	33850	Timor	124.9	\N	2963
http://www.semwebtech.org/mondial/10/island/Phuket/	\N	7.4	\N	576	Phuket	98.4	\N	529
http://www.semwebtech.org/mondial/10/island/Principe/	\N	1.6	\N	142	Principe	7.4	volcanic	927
http://www.semwebtech.org/mondial/10/island/Bintan/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1173	Bintan	104.5	\N	348
http://www.semwebtech.org/mondial/10/island/Ceram/	\N	-2	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	17100	Ceram	128	\N	3027
http://www.semwebtech.org/mondial/10/island/SouthUist/	\N	57.2	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	320	South Uist	-7.2	\N	620
http://www.semwebtech.org/mondial/10/island/Linosa/	\N	35.85	\N	5	Linosa	13.85	volcanic	195
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	\N	70.75	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	212291	Victoria Island	-110.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Ireland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	84421	Ireland	-7.8	\N	1041
http://www.semwebtech.org/mondial/10/island/Ibiza/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Baleares/	572	Ibiza	1.5	\N	476
http://www.semwebtech.org/mondial/10/island/Salina/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	26.8	Salina	14.9	volcanic	962
http://www.semwebtech.org/mondial/10/island/Koror/	\N	7.3	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Koror	134.5	volcanic	100
http://www.semwebtech.org/mondial/10/island/Malta/	\N	35.9	http://www.semwebtech.org/mondial/10/islands/Malta/	246	Malta	14.5	lime	252
http://www.semwebtech.org/mondial/10/island/Sumatra/	\N	0	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	473000	Sumatra	102	\N	3805
http://www.semwebtech.org/mondial/10/island/Providenciales/	\N	22	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	Providenciales	-72.3	\N	\N
http://www.semwebtech.org/mondial/10/island/BanksIsland/	\N	72.85	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	70028	Banks Island	-122.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Zakynthos/	\N	37.8	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	406	Zakynthos	20.75	\N	756
http://www.semwebtech.org/mondial/10/island/Lolland/	\N	54.4	\N	1241	Lolland	11.5	\N	25
http://www.semwebtech.org/mondial/10/island/Langeland/	\N	55	\N	284	Langeland	10.5	\N	46
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	-37.1	\N	104	Tristan Da Cunha	-12.3	volcanic	2062
http://www.semwebtech.org/mondial/10/island/Reunion/	\N	-20.9	\N	2510	Reunion	55.5	volcanic	3069
http://www.semwebtech.org/mondial/10/island/Fohr/	\N	54.7	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	82	Fohr	8.5	\N	13
http://www.semwebtech.org/mondial/10/island/St.Martin/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	87	St. Martin	-63.1	\N	411
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	\N	74	\N	90650	Nowaja Semlja	56	\N	1547
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	79.25	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	196236	Ellesmere Island	-79.6	\N	2616
http://www.semwebtech.org/mondial/10/island/Sokotra/	\N	12.5	\N	3579	Sokotra	53.9	\N	1525
http://www.semwebtech.org/mondial/10/island/Borneo/	\N	-0.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	743122	Borneo	113.67	\N	4101
http://www.semwebtech.org/mondial/10/island/Rhum/	\N	57	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	104	Rhum	-6.3	volcanic	810
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	\N	28.4	http://www.semwebtech.org/mondial/10/islands/Canares/	1660	Fuerteventura	-14	volcanic	807
http://www.semwebtech.org/mondial/10/island/Panay/	\N	11.15	http://www.semwebtech.org/mondial/10/islands/Philipines/	12297	Panay	122.5	\N	2117
http://www.semwebtech.org/mondial/10/island/Ternate/	\N	0.8	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	137	Ternate	127.3	\N	1721
http://www.semwebtech.org/mondial/10/island/Lipari/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	37.5	Lipari	14.95	volcanic	602
http://www.semwebtech.org/mondial/10/island/Unalaska/	\N	63.9	http://www.semwebtech.org/mondial/10/islands/Aleutes/	2721	Unalaska	-166.5	volcanic	2036
http://www.semwebtech.org/mondial/10/island/Kauai/	\N	22	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1433	Kauai	-159.5	volcanic	1598
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	147	San Clemente Island	-118.5	\N	599
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	\N	44.8	\N	1.5	Veliki Ratno Ostrvo	20.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Mindoro/	\N	13	http://www.semwebtech.org/mondial/10/islands/Philipines/	10244	Mindoro	121.1	\N	2582
http://www.semwebtech.org/mondial/10/island/Anglesey/	\N	53.3	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	715	Anglesey	-4.4	\N	\N
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	\N	-11.3	\N	19162	Ilha do Bananal	-50.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Ameland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	57.6	Ameland	5.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	-20	\N	587041	Madagaskar	46	\N	2876
http://www.semwebtech.org/mondial/10/island/Labuan/	\N	5.3	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	91	Labuan	115.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Helgoland/	\N	54.2	\N	1.7	Helgoland	7.9	\N	61.3
http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	10991	Jamaica	-77.3	\N	2256
http://www.semwebtech.org/mondial/10/island/Curacao/	\N	12.2	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	444	Curacao	-69	\N	375
http://www.semwebtech.org/mondial/10/island/Arran/	\N	55.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	430	Arran	-5.5	\N	874
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	\N	-29	\N	34	Norfolk Island	168	volcanic	318
http://www.semwebtech.org/mondial/10/island/Wangerooge/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	7.9	Wangerooge	7.9	\N	17
http://www.semwebtech.org/mondial/10/island/Tongatapu/	\N	-21.2	http://www.semwebtech.org/mondial/10/islands/TongaIslands/	260	Tongatapu	-175.15	coral	65
http://www.semwebtech.org/mondial/10/island/Martinique/	\N	14.6	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	1128	Martinique	-61	volcanic	1397
http://www.semwebtech.org/mondial/10/island/Korfu/	\N	39.6	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	593	Korfu	19.8	\N	906
http://www.semwebtech.org/mondial/10/island/Grenada/	\N	12	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	344	Grenada	-62	volcanic	840
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N	\N	1491	Gheschm	\N	\N	\N
http://www.semwebtech.org/mondial/10/island/Newfoundland/	\N	48.6	\N	108860	Newfoundland	-55.8	\N	814
http://www.semwebtech.org/mondial/10/island/Jersey/	\N	49.2	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	117	Jersey	-2.1	\N	136
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	\N	-16.35	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	5500	Vanua Levu	179.25	volcanic	1111
http://www.semwebtech.org/mondial/10/island/Flores/	\N	39.5	http://www.semwebtech.org/mondial/10/islands/Azores/	143	Flores	-31.2	volcanic	914
http://www.semwebtech.org/mondial/10/island/Futuna/	\N	-14.3	http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	64	Futuna	-178.1	volcanic	524
http://www.semwebtech.org/mondial/10/island/Fehmarn/	\N	54.4	\N	185	Fehmarn	11.2	\N	27.2
http://www.semwebtech.org/mondial/10/island/Gozo/	\N	36.05	http://www.semwebtech.org/mondial/10/islands/Malta/	67	Gozo	14.3	lime	176
http://www.semwebtech.org/mondial/10/island/EasterIsland/	\N	-27.1	\N	163	Easter Island	-109.35	volcanic	507
http://www.semwebtech.org/mondial/10/island/Gomera/	\N	28.1	http://www.semwebtech.org/mondial/10/islands/Canares/	369	Gomera	-17.3	volcanic	1487
http://www.semwebtech.org/mondial/10/island/Niihau/	\N	21.9	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	178	Niihau	-160.1	volcanic	381
http://www.semwebtech.org/mondial/10/island/Nantucket/	\N	41.5	\N	125	Nantucket	-70.1	\N	\N
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	\N	-38.4	http://www.semwebtech.org/mondial/10/islands/NewZealand/	114597	Te Ika-a-Maui (North Island)	175.7	\N	2797
http://www.semwebtech.org/mondial/10/island/Samos/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Sporades/	478	Samos	26.8	\N	1434
http://www.semwebtech.org/mondial/10/island/Kefallinia/	\N	38.2	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	689	Kefallinia	20.6	\N	1628
http://www.semwebtech.org/mondial/10/island/Barbados/	\N	13	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	430	Barbados	-59.3	lime	336
http://www.semwebtech.org/mondial/10/island/Nevis/	\N	17	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	93	Nevis	-62.3	volcanic	985
http://www.semwebtech.org/mondial/10/island/SaintLucia/	\N	14	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	616	Saint Lucia	-60.5	volcanic	950
http://www.semwebtech.org/mondial/10/island/Mindanao/	\N	7.55	http://www.semwebtech.org/mondial/10/islands/Philipines/	95581	Mindanao	124.9	\N	2954
http://www.semwebtech.org/mondial/10/island/Fogo/	\N	17.95	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	476	Fogo	-24.4	volcanic	2829
http://www.semwebtech.org/mondial/10/island/Upolu/	\N	-13.9	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1125	Upolu	-171.75	volcanic	1158
http://www.semwebtech.org/mondial/10/island/Kyushu/	\N	32	http://www.semwebtech.org/mondial/10/islands/Japan/	35640	Kyushu	131	volcanic	1758
http://www.semwebtech.org/mondial/10/island/EastFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	6605	East Falkland	-58.8	\N	705
http://www.semwebtech.org/mondial/10/island/Streymoy/	\N	62	http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	373	Streymoy	-7	\N	789
http://www.semwebtech.org/mondial/10/island/Svalbard/	\N	78.9	http://www.semwebtech.org/mondial/10/islands/Svalbard/	39044	Svalbard	18.2	\N	1717
http://www.semwebtech.org/mondial/10/island/Bangka/	\N	2.25	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	11942	Bangka	106	\N	700
http://www.semwebtech.org/mondial/10/island/Rarotonga/	\N	-21.12	http://www.semwebtech.org/mondial/10/islands/CookIslands/	67	Rarotonga	-159.46	volcanic	658
http://www.semwebtech.org/mondial/10/island/Savaii/	\N	-13.6	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1707	Savaii	-172.4	volcanic	1858
http://www.semwebtech.org/mondial/10/island/Krakatau/	\N	-6.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	Krakatau	105.6	volcanic	813
http://www.semwebtech.org/mondial/10/island/Hainan/	\N	19.1	\N	34380	Hainan	109.6	\N	1897
http://www.semwebtech.org/mondial/10/island/Madeira/	\N	31	http://www.semwebtech.org/mondial/10/islands/Madeira/	794	Madeira	-16	volcanic	1861
http://www.semwebtech.org/mondial/10/island/LaPalma/	\N	28.7	http://www.semwebtech.org/mondial/10/islands/Canares/	708	La Palma	-17.9	volcanic	2426
http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	37	\N	25462	Sicilia	14	\N	3323
http://www.semwebtech.org/mondial/10/island/Barbuda/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	161	Barbuda	-61.4	lime	38
http://www.semwebtech.org/mondial/10/island/Oahu/	\N	21.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1557	Oahu	-158	volcanic	1225
http://www.semwebtech.org/mondial/10/island/GrandTurk/	\N	21.28	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	14	Grand Turk	-71.08	\N	20
http://www.semwebtech.org/mondial/10/island/Aland/	\N	60.1	http://www.semwebtech.org/mondial/10/islands/AlandIslands/	650	Aland	20	\N	\N
http://www.semwebtech.org/mondial/10/island/GrandComoro/	\N	-11.7	http://www.semwebtech.org/mondial/10/islands/Comores/	1148	Grand Comoro	43.4	\N	2361
http://www.semwebtech.org/mondial/10/island/Babelthuap/	\N	7.5	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Babelthuap	134.6	volcanic	331
http://www.semwebtech.org/mondial/10/island/Sumbawa/	\N	-8.8	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	15448	Sumbawa	116.1	\N	2850
http://www.semwebtech.org/mondial/10/island/Hawaii/	\N	19.6	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	10450	Hawaii	-155.5	volcanic	4214
http://www.semwebtech.org/mondial/10/island/BishopRock/	\N	50	http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	Bishop Rock	-6.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	24	\N	35801	Taiwan	121	\N	3950
http://www.semwebtech.org/mondial/10/island/Luzon/	\N	16.1	http://www.semwebtech.org/mondial/10/islands/Philipines/	108172	Luzon	121	\N	2928
http://www.semwebtech.org/mondial/10/island/Ikaria/	\N	37.6	http://www.semwebtech.org/mondial/10/islands/Sporades/	255	Ikaria	26.2	\N	1037
http://www.semwebtech.org/mondial/10/island/Benbecula/	\N	57.45	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	82	Benbecula	-7.3	\N	124
http://www.semwebtech.org/mondial/10/island/Cebu/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/Philipines/	5088	Cebu	123.8	\N	1000
http://www.semwebtech.org/mondial/10/island/DevonIsland/	\N	75.1	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	55247	Devon Island	-87.85	\N	1920
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Schiermonnikoog	6.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Mallorca/	\N	39.3	http://www.semwebtech.org/mondial/10/islands/Baleares/	3618	Mallorca	3	\N	1445
http://www.semwebtech.org/mondial/10/island/Vulcano/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	21.2	Vulcano	15	volcanic	499
http://www.semwebtech.org/mondial/10/island/Lavan/	\N	26.5	\N	76	Lavan	53.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Mull/	\N	56.45	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	910	Mull	6	\N	875
http://www.semwebtech.org/mondial/10/island/Ambon/	\N	-3.7	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	775	Ambon	128.2	\N	1225
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	\N	-22.16	http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	16372	Grande Terre	166.27	\N	1628
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	\N	75.4	\N	11665	Kotelny Island	141	\N	374
http://www.semwebtech.org/mondial/10/island/SaintPierre/	\N	47	\N	26	Saint Pierre	-56	\N	\N
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	\N	60.3	http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	970	Shetland Mainland	-1.3	\N	449
http://www.semwebtech.org/mondial/10/island/Oeland/	\N	57	\N	1344	Oeland	17	\N	55
http://www.semwebtech.org/mondial/10/island/Corse/	\N	41.4	\N	8680	Corse	8.4	\N	2706
http://www.semwebtech.org/mondial/10/island/Ascension/	\N	-7.9	\N	91	Ascension	-14.4	volcanic	859
http://www.semwebtech.org/mondial/10/island/Khark/	\N	29.1	\N	20.5	Khark	50.2	\N	1394
http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	0.2	\N	859	Sao Tome	6.6	volcanic	2024
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Azores/	747	Sao Miguel	-25.5	volcanic	1104
http://www.semwebtech.org/mondial/10/island/Bioko/	\N	3.5	\N	2017	Bioko	8.7	volcanic	3011
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	\N	47.95	\N	1885	Zitny Ostrov	17.65	\N	\N
http://www.semwebtech.org/mondial/10/island/Baltrum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	6.5	Baltrum	7.4	\N	5
http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	18.49	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	8870	Puerto Rico	-66.12	\N	1338
http://www.semwebtech.org/mondial/10/island/Kos/	\N	36.8	http://www.semwebtech.org/mondial/10/islands/Sporades/	287	Kos	27.1	\N	846
http://www.semwebtech.org/mondial/10/island/Corvo/	\N	39.7	http://www.semwebtech.org/mondial/10/islands/Azores/	17.5	Corvo	-31.1	volcanic	718
http://www.semwebtech.org/mondial/10/island/Isabela/	\N	-1	http://www.semwebtech.org/mondial/10/islands/Galapagos/	5436	Isabela	-91.3	volcanic	1707
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	\N	16.15	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	848	Basse-Terre	-61.8	volcanic	1467
http://www.semwebtech.org/mondial/10/island/Bornholm/	\N	55.1	\N	588	Bornholm	14.9	\N	162
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	\N	72.6	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	33339	Prince of Wales Island	-98.55	\N	\N
http://www.semwebtech.org/mondial/10/island/Tiree/	\N	56.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	78	Tiree	6.9	\N	141
http://www.semwebtech.org/mondial/10/island/Terceira/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/Azores/	400	Terceira	-27.2	volcanic	1022
http://www.semwebtech.org/mondial/10/island/Paramuschir/	\N	50.5	http://www.semwebtech.org/mondial/10/islands/Curiles/	2042	Paramuschir	155.75	volcanic	1816
http://www.semwebtech.org/mondial/10/island/Guam/	\N	13.4	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	541	Guam	144.7	coral	\N
http://www.semwebtech.org/mondial/10/island/Niue/	\N	-19.01	\N	260	Niue	-169.55	coral	67
http://www.semwebtech.org/mondial/10/island/Fakaofo/	\N	-9.37	http://www.semwebtech.org/mondial/10/islands/Tokelau/	4	Fakaofo	-171.2	atoll	\N
http://www.semwebtech.org/mondial/10/island/Tahiti/	\N	-17.32	http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	1045	Tahiti	-149.34	volcanic	2241
http://www.semwebtech.org/mondial/10/island/Tortola/	\N	18.27	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	55	Tortola	-64.37	volcanic	521
http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	19	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	76192	Hispaniola	-70.7	\N	3098
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	18.2	Spiekeroog	7.6	\N	3
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	215	Santa Rosa Island	-120.1	\N	484
http://www.semwebtech.org/mondial/10/island/Faial/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	172	Faial	-28.7	volcanic	1043
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	\N	19.7	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	30	Cayman Brac	-79.8	\N	\N
http://www.semwebtech.org/mondial/10/island/Honshu/	\N	36.3	http://www.semwebtech.org/mondial/10/islands/Japan/	230500	Honshu	138.6	volcanic	3776
http://www.semwebtech.org/mondial/10/island/Langeoog/	\N	53.65	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	20	Langeoog	7.5	\N	5
http://www.semwebtech.org/mondial/10/island/Guernsey/	\N	49.6	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	194	Guernsey	-2.6	\N	111
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	\N	11.4	http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	1210	South Andaman Island	92.5	\N	366
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	245	Santa Cruz Island	-119.7	\N	747
http://www.semwebtech.org/mondial/10/island/Westray/	\N	59.4	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	47	Westray	-3	\N	169
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	\N	49.6	\N	31285	Vancouver Island	-125.65	\N	2195
http://www.semwebtech.org/mondial/10/island/GranCanaria/	\N	28	http://www.semwebtech.org/mondial/10/islands/Canares/	1560	Gran Canaria	-15.6	volcanic	1949
http://www.semwebtech.org/mondial/10/island/Okinawa/	\N	26	http://www.semwebtech.org/mondial/10/islands/Japan/	2255	Okinawa	128	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Seeland/	\N	55.3	\N	7439	Seeland	12	\N	122
http://www.semwebtech.org/mondial/10/island/Tarawa/	\N	1.4	http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	39	Tarawa	173	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintVincent/	\N	13.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	346	Saint Vincent	-61.3	volcanic	1300
http://www.semwebtech.org/mondial/10/island/Santiago/	\N	15.1	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	991	Santiago	-23.6	volcanic	1394
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	\N	64.5	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	41214	Southampton Island	-84.5	\N	625
http://www.semwebtech.org/mondial/10/island/Sachalin/	\N	50	\N	76400	Sachalin	143	volcanic	1609
http://www.semwebtech.org/mondial/10/island/Nauru/	\N	-1	\N	21	Nauru	167	coral	60
http://www.semwebtech.org/mondial/10/island/Dagoe/	\N	58.8	\N	965	Dagoe	22.7	\N	\N
http://www.semwebtech.org/mondial/10/island/Sylt/	\N	54.9	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	99	Sylt	8.3	\N	52.5
http://www.semwebtech.org/mondial/10/island/IsleofWight/	\N	50.6	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	381	Isle of Wight	-1.3	\N	241
http://www.semwebtech.org/mondial/10/island/Skye/	\N	57.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	1385	Skye	-6.3	\N	993
http://www.semwebtech.org/mondial/10/island/Palawan/	\N	9.5	http://www.semwebtech.org/mondial/10/islands/Philipines/	11785	Palawan	118.4	\N	2085
http://www.semwebtech.org/mondial/10/island/SaintHelena/	\N	-15.56	\N	122	Saint Helena	-5.44	volcanic	818
http://www.semwebtech.org/mondial/10/island/KoSamui/	\N	9.5	\N	229	Ko Samui	100	\N	635
http://www.semwebtech.org/mondial/10/island/NewProvidence/	\N	25	http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	207	New Providence	-77.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Stromboli/	\N	38.8	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	12.6	Stromboli	15.15	volcanic	926
http://www.semwebtech.org/mondial/10/island/Rugen/	\N	54.5	\N	926	Rugen	13.4	\N	161
http://www.semwebtech.org/mondial/10/island/Lefkas/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	293	Lefkas	20.6	\N	1158
http://www.semwebtech.org/mondial/10/island/Hokkaido/	\N	43.3	http://www.semwebtech.org/mondial/10/islands/Japan/	83456	Hokkaido	143	volcanic	2290
http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	53.15	\N	730	Olkhon	107.4	\N	1276
http://www.semwebtech.org/mondial/10/island/IsleofMan/	\N	54.1	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	588	Isle of Man	-4.5	\N	621
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	11.5	\N	270	Isla da Ometepe	-85.6	\N	1700
http://www.semwebtech.org/mondial/10/island/Mohilla/	\N	-12.25	http://www.semwebtech.org/mondial/10/islands/Comores/	290	Mohilla	43.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Fuenen/	\N	55.35	\N	2976	Fuenen	10.25	\N	131
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	\N	-9.6	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	5358	Guadalcanal	160.2	\N	2335
http://www.semwebtech.org/mondial/10/island/Rhodos/	\N	36.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1401	Rhodos	28	\N	1215
http://www.semwebtech.org/mondial/10/island/Lampedusa/	\N	35.4	\N	20	Lampedusa	13.2	volcanic	113
http://www.semwebtech.org/mondial/10/island/Negros/	\N	10	http://www.semwebtech.org/mondial/10/islands/Philipines/	13328	Negros	123	\N	2435
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	\N	17.9	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	21	St. Barthelemy	-62.82	\N	286
http://www.semwebtech.org/mondial/10/island/Menorca/	\N	40	http://www.semwebtech.org/mondial/10/islands/Baleares/	760	Menorca	4	\N	358
http://www.semwebtech.org/mondial/10/island/Jura/	\N	56	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	367	Jura	-6	\N	785
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	\N	68.3	http://www.semwebtech.org/mondial/10/islands/Lofotes/	526	Aust-Vagoey	14.6	\N	1146
http://www.semwebtech.org/mondial/10/island/Greenland/	\N	70	\N	2175600	Greenland	-40	\N	\N
http://www.semwebtech.org/mondial/10/island/Pellworm/	\N	54.5	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	37.4	Pellworm	8.6	\N	2
http://www.semwebtech.org/mondial/10/island/Chios/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/Sporades/	843	Chios	26.2	\N	1297
http://www.semwebtech.org/mondial/10/island/SantaMaria/	\N	37	http://www.semwebtech.org/mondial/10/islands/Azores/	97	Santa Maria	-25.1	volcanic	586
http://www.semwebtech.org/mondial/10/island/Mykonos/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	105	Mykonos	25.4	\N	341
http://www.semwebtech.org/mondial/10/island/Cuba/	\N	22	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	105806	Cuba	-79	\N	1974
http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	-5	\N	786000	New Guinea	142	\N	4884
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	\N	58.6	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	50	South Ronaldsay	-3.1	\N	118
http://www.semwebtech.org/mondial/10/island/Tobago/	\N	11.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	301	Tobago	-60.7	\N	576
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	\N	32.17	http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	53.3	Grand Bermuda	-64.47	coral	79
http://www.semwebtech.org/mondial/10/island/Majuro/	\N	7.1	http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	9.2	Majuro	171.4	atoll	\N
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	\N	41.4	\N	232	Marthas Vineyard	-70.6	\N	\N
http://www.semwebtech.org/mondial/10/island/Manitoulin/	\N	45.75	\N	2766	Manitoulin	-82.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Falster/	\N	54.8	\N	514	Falster	12	\N	44
http://www.semwebtech.org/mondial/10/island/SriLanka/	\N	7	\N	65610	Sri Lanka	80	\N	2524
http://www.semwebtech.org/mondial/10/island/Samar/	\N	12	http://www.semwebtech.org/mondial/10/islands/Philipines/	13080	Samar	125.1	\N	\N
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	\N	22.1	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	North Caicos	-72.1	\N	20
http://www.semwebtech.org/mondial/10/island/Pemba/	\N	-5.2	\N	984	Pemba	39.7	\N	95
http://www.semwebtech.org/mondial/10/island/Efate/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/Vanuatu/	900	Efate	168.4	\N	647
http://www.semwebtech.org/mondial/10/island/Lombok/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	4725	Lombok	116.5	volcanic	3726
http://www.semwebtech.org/mondial/10/island/WestFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	4532	West Falkland	-60.1	\N	700
http://www.semwebtech.org/mondial/10/island/Kreta/	\N	37	\N	8331	Kreta	25	\N	2456
http://www.semwebtech.org/mondial/10/island/Lanai/	\N	20.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	364	Lanai	-157	volcanic	1027
http://www.semwebtech.org/mondial/10/island/Saipan/	\N	15.2	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	115	Saipan	145.75	volcanic	474
http://www.semwebtech.org/mondial/10/island/Teneriffa/	\N	28.3	http://www.semwebtech.org/mondial/10/islands/Canares/	2034	Teneriffa	-16.6	volcanic	3718
http://www.semwebtech.org/mondial/10/island/Hoy/	\N	59.1	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	143	Hoy	-3.2	\N	479
http://www.semwebtech.org/mondial/10/island/Graciosa/	\N	39	http://www.semwebtech.org/mondial/10/islands/Azores/	61	Graciosa	-28	volcanic	402
http://www.semwebtech.org/mondial/10/island/SaintKitts/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	164	Saint Kitts	-62.75	volcanic	1156
http://www.semwebtech.org/mondial/10/island/Maui/	\N	20.7	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1883	Maui	-156.3	volcanic	3055
http://www.semwebtech.org/mondial/10/island/Pitcairn/	\N	-25.04	http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	4.5	Pitcairn	-130.05	volcanic	347
http://www.semwebtech.org/mondial/10/island/Anguilla/	\N	18	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	91	Anguilla	-64	\N	65
http://www.semwebtech.org/mondial/10/island/Lanzarote/	\N	29	http://www.semwebtech.org/mondial/10/islands/Canares/	846	Lanzarote	-13.6	volcanic	671
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	\N	57.9	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	2170	Lewis and Harris	-6.8	\N	799
http://www.semwebtech.org/mondial/10/island/Syros/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	84	Syros	24.9	\N	442
http://www.semwebtech.org/mondial/10/island/Pico/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Azores/	442	Pico	-28.4	volcanic	2351
http://www.semwebtech.org/mondial/10/island/Tutuila/	\N	-14.16	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	135	Tutuila	-170.42	volcanic	653
http://www.semwebtech.org/mondial/10/island/Montserrat/	\N	16.42	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	102	Montserrat	-62.13	volcanic	1050
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/CocosIslands/	6.23	Pulau Panjang	96.9	atoll	9
http://www.semwebtech.org/mondial/10/island/Mauritius/	\N	-20	\N	1860	Mauritius	57	volcanic	828
http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	53	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	229850	Great Britain	-1.5	\N	1344
http://www.semwebtech.org/mondial/10/island/Antigua/	\N	17.05	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	281	Antigua	-61.8	\N	400
http://www.semwebtech.org/mondial/10/island/Fongafale/	\N	-8.5	http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	2.8	Fongafale	179.1	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintThomas/	\N	18.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	31	Saint Thomas	-64.9	\N	\N
http://www.semwebtech.org/mondial/10/island/LittleCayman/	\N	19.8	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	20	Little Cayman	-80	\N	\N
http://www.semwebtech.org/mondial/10/island/Singapore/	\N	1.3	\N	632.6	Singapore	103.833	\N	176
http://www.semwebtech.org/mondial/10/island/Male/	\N	2	http://www.semwebtech.org/mondial/10/islands/Maldives/	2.74	Male	72	atoll	1
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	69	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	507451	Baffin Island	72	\N	2147
http://www.semwebtech.org/mondial/10/island/NorthUist/	\N	57.4	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	303	North Uist	-7.1	\N	347
http://www.semwebtech.org/mondial/10/island/Samosir/	\N	2.6	\N	852	Samosir	98.85	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Java/	\N	-7.5	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	126650	Java	111.25	\N	3676
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	37	San Miguel Island	-120.4	\N	259
http://www.semwebtech.org/mondial/10/island/Islay/	\N	62.1	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	619.6	Islay	7	\N	491
http://www.semwebtech.org/mondial/10/island/Sulawesi/	\N	-2.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	189216	Sulawesi	120.3	volcanic	3455
http://www.semwebtech.org/mondial/10/island/Borkum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	31	Borkum	6.7	\N	6
http://www.semwebtech.org/mondial/10/island/Alicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	5.2	Alicudi	14.4	volcanic	675
http://www.semwebtech.org/mondial/10/island/VitiLevu/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	10429	Viti Levu	178	volcanic	1394
http://www.semwebtech.org/mondial/10/island/Filicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	9.5	Filicudi	14.55	volcanic	774
http://www.semwebtech.org/mondial/10/island/Usedom/	\N	53.9	\N	445	Usedom	14.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Leyte/	\N	11	http://www.semwebtech.org/mondial/10/islands/Philipines/	7368	Leyte	124.9	\N	\N
http://www.semwebtech.org/mondial/10/island/Uvea/	\N	-13.16	http://www.semwebtech.org/mondial/10/islands/WallisIslands/	90	Uvea	-176.2	volcanic	131
http://www.semwebtech.org/mondial/10/island/Bali/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	5561	Bali	115.1	volcanic	3142
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	\N	59	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	492	Orkney Mainland	-3.1	\N	271
http://www.semwebtech.org/mondial/10/island/Gotland/	\N	57.5	\N	3140	Gotland	18.5	\N	82
http://www.semwebtech.org/mondial/10/island/Norderney/	\N	53.7	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	26.3	Norderney	7.9	\N	5
http://www.semwebtech.org/mondial/10/island/MargitSziget/	\N	47.5	\N	1	Margit Sziget	19.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Amrum/	\N	54.65	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	20.5	Amrum	8.3	\N	32
http://www.semwebtech.org/mondial/10/island/Halmahera/	\N	0.6	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	18040	Halmahera	127.9	\N	1635
http://www.semwebtech.org/mondial/10/island/Texel/	\N	53.1	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	162	Texel	4.8	\N	15
http://www.semwebtech.org/mondial/10/island/Bahrain/	\N	26	\N	620	Bahrain	50.5	\N	135
http://www.semwebtech.org/mondial/10/island/Dominica/	\N	15.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	746	Dominica	-61.35	volcanic	1447
http://www.semwebtech.org/mondial/10/island/Shikoku/	\N	34	http://www.semwebtech.org/mondial/10/islands/Japan/	18800	Shikoku	134	volcanic	1965
http://www.semwebtech.org/mondial/10/island/Aruba/	\N	12.31	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	193	Aruba	-70.02	\N	188
http://www.semwebtech.org/mondial/10/island/Zhoushan/	\N	30.05	\N	502	Zhoushan	122.15	\N	503
http://www.semwebtech.org/mondial/10/island/Jeju/	\N	33.4	\N	1845	Jeju	126.5	volcanic	1950
http://www.semwebtech.org/mondial/10/island/Mahe/	\N	-4.65	http://www.semwebtech.org/mondial/10/islands/Seychelles/	154	Mahe	55.5	\N	905
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	\N	-35.8	\N	4405	Cangaroo Island	137.3	\N	307
http://www.semwebtech.org/mondial/10/island/GrandCayman/	\N	19.18	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	197	Grand Cayman	-81.23	\N	\N
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	-44	http://www.semwebtech.org/mondial/10/islands/NewZealand/	151757	Te Waka-a-Maui (South Island)	170.4	\N	3754
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	\N	47.1	\N	205	Miquelon-Langlade	-56.3	\N	240
http://www.semwebtech.org/mondial/10/island/LongIsland/	\N	40.8	\N	3566	Long Island	-73.3	\N	122
\.


--
-- TOC entry 5312 (class 0 OID 91044)
-- Dependencies: 823
-- Data for Name: Islands; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Islands" ("URI", latitude, population, area, type, longitude, elevation, name) FROM stdin;
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N	\N	\N	\N	\N	Seychelles
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N	\N	\N	\N	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N	\N	\N	\N	\N	Ellice Islands
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N	\N	\N	\N	\N	New Caledonia
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N	\N	\N	\N	\N	Scilly Islands
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N	\N	\N	\N	\N	Inner Hebrides
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N	\N	\N	\N	\N	Outer Hebrides
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N	\N	\N	\N	\N	Malta
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N	\N	\N	\N	\N	Lipari Islands
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N	\N	\N	\N	\N	Bermuda Islands
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N	\N	\N	\N	\N	Kyklades
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N	\N	\N	\N	\N	Cape Verdes
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N	\N	\N	\N	\N	Wallis Islands
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N	\N	\N	\N	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N	\N	\N	\N	\N	Tokelau
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N	\N	\N	\N	\N	Polynesian Islands
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N	\N	\N	\N	\N	Mariana Islands
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N	\N	\N	\N	\N	Marshall Islands
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N	\N	\N	\N	\N	Andaman Islands
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N	\N	\N	\N	\N	Ostfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N	\N	\N	\N	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N	\N	\N	\N	\N	Philipines
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N	\N	\N	\N	\N	Japan
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N	\N	\N	\N	\N	Svalbard
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N	\N	\N	\N	\N	Laccadives
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N	\N	\N	\N	\N	Greater Antilles
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N	\N	\N	\N	\N	Hawaii Islands
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N	\N	\N	\N	\N	Nordfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N	\N	\N	\N	\N	Lesser Antilles
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N	\N	\N	\N	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N	\N	\N	\N	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N	\N	\N	\N	\N	Canadian Arctic Islands
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N	\N	\N	\N	\N	Samoan Islands
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N	\N	\N	\N	\N	Sunda Islands
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N	\N	\N	\N	\N	Aleutes
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N	\N	\N	\N	\N	Shetland Islands
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N	\N	\N	\N	\N	New Zealand
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N	\N	\N	\N	\N	Maldives
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N	\N	\N	\N	\N	Sporades
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N	\N	\N	\N	\N	Solomon Islands
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N	\N	\N	\N	\N	Baleares
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N	\N	\N	\N	\N	Cook Islands
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N	\N	\N	\N	\N	Gilbert Islands
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N	\N	\N	\N	\N	Vanuatu
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N	\N	\N	\N	\N	Orkney Islands
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N	\N	\N	\N	\N	Pitcairn Islands
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N	\N	\N	\N	\N	Madeira
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N	\N	\N	\N	\N	Comores
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N	\N	\N	\N	\N	British Isles
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N	\N	\N	\N	\N	Bahama Islands
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N	\N	\N	\N	\N	Californian Channel Islands
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N	\N	\N	\N	\N	Ionic Islands
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N	\N	\N	\N	\N	Micronesian Islands
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N	\N	\N	\N	\N	Aland Islands
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N	\N	\N	\N	\N	Lofotes
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N	\N	\N	\N	\N	Tonga Islands
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N	\N	\N	\N	\N	Riau Islands
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N	\N	\N	\N	\N	Futuna Islands
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N	\N	\N	\N	\N	Azores
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N	\N	\N	\N	\N	Moluccan Islands
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N	\N	\N	\N	\N	Curiles
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N	\N	\N	\N	\N	Canares
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N	\N	\N	\N	\N	Fiji Islands
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N	\N	\N	\N	\N	Carolines
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N	\N	\N	\N	\N	Channel Islands
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N	\N	\N	\N	\N	Westfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N	\N	\N	\N	\N	Line Islands
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N	\N	\N	\N	\N	Galapagos
\.


--
-- TOC entry 5313 (class 0 OID 91051)
-- Dependencies: 824
-- Data for Name: Language; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Language" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/	Pitkern
http://www.semwebtech.org/mondial/10/language/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/language/Brahui/	Brahui
http://www.semwebtech.org/mondial/10/language/English/	English
http://www.semwebtech.org/mondial/10/language/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/language/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/language/Punjabi/	Punjabi
http://www.semwebtech.org/mondial/10/language/Futunian/	Futunian
http://www.semwebtech.org/mondial/10/language/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/language/Creole/	Creole
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Serbo-Croatian
http://www.semwebtech.org/mondial/10/language/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/language/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/language/Maori/	Maori
http://www.semwebtech.org/mondial/10/language/French/	French
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Philipine Language
http://www.semwebtech.org/mondial/10/language/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/language/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/language/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/language/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/language/Korean/	Korean
http://www.semwebtech.org/mondial/10/language/Swedish/	Swedish
http://www.semwebtech.org/mondial/10/language/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/language/Finnish/	Finnish
http://www.semwebtech.org/mondial/10/language/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/language/Bosnian/	Bosnian
http://www.semwebtech.org/mondial/10/language/Siraiki/	Siraiki
http://www.semwebtech.org/mondial/10/language/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/language/Basque/	Basque
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/language/Greek/	Greek
http://www.semwebtech.org/mondial/10/language/Hebrew/	Hebrew
http://www.semwebtech.org/mondial/10/language/Turkic/	Turkic
http://www.semwebtech.org/mondial/10/language/Danish/	Danish
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/language/Dungun/	Dungun
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/language/Hindko/	Hindko
http://www.semwebtech.org/mondial/10/language/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/language/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/language/Slovenian/	Slovenian
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Chinese Language
http://www.semwebtech.org/mondial/10/language/Italian/	Italian
http://www.semwebtech.org/mondial/10/language/Persian/	Persian
http://www.semwebtech.org/mondial/10/language/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/language/Sinhala/	Sinhala
http://www.semwebtech.org/mondial/10/language/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/language/Russian/	Russian
http://www.semwebtech.org/mondial/10/language/Galician/	Galician
http://www.semwebtech.org/mondial/10/language/Miskito/	Miskito
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Khalkha Mongol
http://www.semwebtech.org/mondial/10/language/Luri/	Luri
http://www.semwebtech.org/mondial/10/language/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/language/Bambara/	Bambara
http://www.semwebtech.org/mondial/10/language/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/language/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/language/Somali/	Somali
http://www.semwebtech.org/mondial/10/language/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/language/Sindhi/	Sindhi
http://www.semwebtech.org/mondial/10/language/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Mayan Dialects
http://www.semwebtech.org/mondial/10/language/Polish/	Polish
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Other Pacific Island Language
http://www.semwebtech.org/mondial/10/language/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/language/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/language/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/language/German/	German
http://www.semwebtech.org/mondial/10/language/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/language/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/language/Urdu/	Urdu
http://www.semwebtech.org/mondial/10/language/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/language/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/language/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/language/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/language/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/language/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/language/Balochi/	Balochi
http://www.semwebtech.org/mondial/10/language/Croatian/	Croatian
http://www.semwebtech.org/mondial/10/language/Lezgi/	Lezgi
http://www.semwebtech.org/mondial/10/language/Burmese/	Burmese
http://www.semwebtech.org/mondial/10/language/Pashtu/	Pashtu
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Afrikaans
http://www.semwebtech.org/mondial/10/language/Catalan/	Catalan
http://www.semwebtech.org/mondial/10/language/Hindi/	Hindi
http://www.semwebtech.org/mondial/10/language/Norwegian/	Norwegian
http://www.semwebtech.org/mondial/10/language/Icelandic/	Icelandic
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Afghan Persian
http://www.semwebtech.org/mondial/10/language/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/language/Maltese/	Maltese
http://www.semwebtech.org/mondial/10/language/Roma/	Roma
http://www.semwebtech.org/mondial/10/language/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/language/Nepali/	Nepali
http://www.semwebtech.org/mondial/10/language/Guarani/	Guarani
http://www.semwebtech.org/mondial/10/language/Papiamento/	Papiamento
http://www.semwebtech.org/mondial/10/language/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/language/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/language/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/language/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/language/Czech/	Czech
\.


--
-- TOC entry 5314 (class 0 OID 91054)
-- Dependencies: 825
-- Data for Name: Male; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Male" ("URI", "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5315 (class 0 OID 91060)
-- Dependencies: 826
-- Data for Name: Membership; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Membership" ("URI", "ofMember", "inOrganization", type) FROM stdin;
7b93e6a1:150814fecb6:1e7c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:13ca	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:17d7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:836	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-271	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1920	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-38b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1ddf	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1b26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:7c6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:10f8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:14fa	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:901	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:141b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:18	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d11	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:ee0	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a9f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1a42	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:-260	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b37	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2053	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:765	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c10	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d97	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ed	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e70	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a0	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:-15f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:173d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1069	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1abb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1305	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ac	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ede	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1565	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b97	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3a	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:134	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-223	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-358	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d08	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5a9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:394	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2016	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ed	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:728	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-483	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:1ed7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1801	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aa6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:988	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e33	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a02	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:630	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c62	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:890	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:52f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ac	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28a	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cde	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78f	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1c3a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ca	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1194	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1528	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-63	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1788	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:357	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1430	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-446	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a62	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1690	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3f2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c25	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da2	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:853	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d0	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:158f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e85	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12db	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd1	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24d	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:18cf	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:94	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e5d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1157	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fe	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-26	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ac9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-409	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1a25	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c6	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1653	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:222	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c85	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-311	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:482	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2104	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:816	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-571	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e48	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f21	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b0	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fe	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145a	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:57	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d50	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bc	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:61d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87d	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fa	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1022	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1282	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-298	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1616	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c48	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1876	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:445	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a77	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-534	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:db7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d13	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a4f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:941	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f73	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24c	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3df	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19bd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fef	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbe	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1245	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1839	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:408	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c0	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-163	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:668	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b13	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1741	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:310	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d73	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:570	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:904	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f36	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:8b0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:46f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ec	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bb	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55e	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2aa	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1208	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7af	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1468	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eba	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1110	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-126	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:297	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1370	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-386	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1704	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d36	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1964	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f96	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:533	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b0	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:126f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2081	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:793	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15af	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e01	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3de	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d9d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1097	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:10	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1333	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-349	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:8da	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1593	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1927	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:162	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f59	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-251	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e8	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b28	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca5	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2044	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c01	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:756	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d88	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a2	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e61	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ad	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a30	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c90	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:172e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16da	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:ecf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-91	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1556	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b88	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:125	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-214	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:385	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2007	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:719	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-474	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec8	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a90	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e24	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c5	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:621	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c53	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:881	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ccf	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fd	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afe	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bb	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1185	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-54	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1519	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1779	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:348	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af7	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1421	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-437	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a53	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1681	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:250	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c16	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:844	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e76	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:85	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181c	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ea	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4e	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1148	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ef	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64b	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1050	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a16	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1644	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:213	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c76	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-302	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:473	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:807	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-562	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e39	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f12	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a1	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ef	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:de5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:48	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d41	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ad	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:27a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dbd	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19eb	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1013	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ba	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bec	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1273	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-289	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1607	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c39	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1867	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e99	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:436	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-191	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a68	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be5	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-525	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b41	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:696	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da8	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d04	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:932	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f64	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23d	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ba	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ae	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:baf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1236	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1496	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-154	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:659	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b04	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1732	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:301	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d64	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1992	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:561	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b93	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f27	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a1	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15dd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fb	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1459	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1eab	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:d2e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1101	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-117	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:288	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cda	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1361	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-377	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d27	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c8	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:190	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1955	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f87	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:524	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b56	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2072	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:784	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:4d0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-db	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3cf	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175c	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4be	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1088	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1ada	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1324	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cb	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1584	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1918	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:153	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e6	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-242	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d9	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b19	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2035	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:747	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d79	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1820	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11cf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac5	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e52	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a21	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c81	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171f	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16cb	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc1	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfd	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209c	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4fa	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-82	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1547	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b79	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:116	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-205	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:376	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cf	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-465	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb9	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a81	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e15	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:612	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c44	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:872	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fa	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:205f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ee	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:184a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4bd	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1176	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:339	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1412	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:599	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a44	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:feb	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1672	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:241	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-330	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c07	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:835	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-590	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e67	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12bd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f40	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-22f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-48f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:76	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1db	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1139	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1399	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1deb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1041	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fae	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1635	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:204	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c67	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1895	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:464	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a96	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-6f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-553	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f03	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd6	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:700	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:39	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d32	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:960	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169c	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f92	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fe	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dae	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d0a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1004	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ab	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1264	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1858	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:427	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-182	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:a59	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd6	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1500	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-516	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:687	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b32	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:1760	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:923	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f55	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22e	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31d	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:48e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1da	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1227	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bc	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7ce	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1487	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:98a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-145	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1723	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d55	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f6	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa1	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1983	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:552	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b84	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f18	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15ce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec4	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fd	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ec	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d1f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-108	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:279	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1352	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-368	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d18	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5b9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:181	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1946	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f78	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:515	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-270	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b47	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2063	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c20	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:775	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:4c1	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cc	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-16f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:174d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4af	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1079	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1acb	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13b9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1315	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eee	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1575	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1909	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:144	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-233	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2026	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:738	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-493	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ee7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1811	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ab6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:998	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a12	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:640	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c72	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:53f	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cee	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c4a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1538	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-73	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:107	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1798	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:367	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1440	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-456	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1a72	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a2	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e06	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:603	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c35	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db2	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:863	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e0	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:159f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e95	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12eb	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18df	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ae	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1167	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-36	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-419	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9aa	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a35	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdc	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d6	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1663	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c95	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:232	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-321	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:492	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2114	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:826	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-581	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e58	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd5	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f31	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c0	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b00	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d2	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:67	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d60	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:62d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c5f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d6	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1032	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1292	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1626	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c58	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1886	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:455	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-544	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b60	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f0	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:dc7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d23	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a5f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:951	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f83	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ef	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cd	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1fff	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f9	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bce	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20ea	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f5b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1255	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b2a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fc	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1849	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:418	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-173	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc7	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-507	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:678	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b23	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1751	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:320	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d83	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b8	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:580	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:914	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21f	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30e	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c0	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:47f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ba	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1218	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ad	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1478	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eca	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1120	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-136	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1380	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-396	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1714	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d46	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1974	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:543	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c0	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:127f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b75	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2091	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f09	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-fa	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb5	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e11	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ee	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4dd	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1343	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-359	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d09	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1937	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:172	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1f69	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:506	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-261	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b38	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2054	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:766	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d98	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ee	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e71	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae4	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a40	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:173e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe0	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1306	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ad	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edf	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1566	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1d9	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:e3b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b98	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:135	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-224	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:395	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ee	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2017	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:729	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-484	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1802	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa7	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:989	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a03	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:631	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c63	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de0	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:891	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19c	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ad	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28b	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207e	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c3b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1195	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-64	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1529	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1789	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:358	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:daa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1431	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-447	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a63	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1691	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:260	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c26	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da3	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:854	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d1	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e86	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:15f	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12dc	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:95	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fa	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1158	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ff	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1baa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-27	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1060	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a26	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f8	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcd	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1654	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c86	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:223	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-312	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:483	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2105	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:817	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-572	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e49	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f22	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ff	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:58	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d51	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bd	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:28a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:61e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dcd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fb	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1023	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ca	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1283	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-299	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1617	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1c49	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1877	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:446	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c3	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a78	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf5	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-535	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b51	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e1	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108a	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d14	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:942	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f74	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:cc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19be	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bbf	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4c	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1246	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20db	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:409	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-164	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:669	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e6	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1742	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:311	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d74	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-400	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9a9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:571	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:905	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f37	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ed	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ab	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1209	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:f2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1469	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebb	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1111	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-127	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:298	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:cea	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17a9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1371	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-387	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1705	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d37	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1965	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f97	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:534	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b66	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2082	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:794	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4e0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-eb	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e02	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3df	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9e	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ce	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1098	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aea	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:11	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1334	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8db	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1594	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1928	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:163	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-252	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e9	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b29	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2045	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:757	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c02	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d89	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a3	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1830	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e62	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ae	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a31	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c91	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:172f	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aad	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:198f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-4	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16db	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1557	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b89	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e2c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:126	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-215	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:386	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2008	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-475	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec9	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a91	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e25	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf8	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:622	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:1dd1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c54	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10aa	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:882	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:206f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fe	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cd	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185a	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aff	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e8c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-f9	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1186	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-55	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:349	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1422	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-438	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a54	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffb	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1682	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:251	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-340	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c17	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:845	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e77	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f50	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-23f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:86	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1eb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4f	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1149	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-18	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64c	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfb	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1051	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a17	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbe	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1645	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c77	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:214	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-303	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:474	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:808	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-7f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-563	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f13	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:710	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:49	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d42	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ae	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:970	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-36a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbe	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d1a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ec	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1014	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bed	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1274	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1608	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1868	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:437	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-192	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a69	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1510	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-526	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:697	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1770	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4d2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d05	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:933	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f65	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:19af	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1237	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cc	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7de	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1497	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:99a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-155	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b05	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1733	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:302	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d65	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103e	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1993	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:562	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b94	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f28	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15de	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ad	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b6c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4fc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d2f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1102	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-118	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:289	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cdb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1362	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-378	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d28	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1956	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5c9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:191	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1f88	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:525	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-280	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b57	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2073	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:785	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c30	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e90	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dc	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-17f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:175d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4bf	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1089	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1adb	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13c9	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1325	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cc	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efe	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1585	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1919	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:e5a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:154	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-243	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2036	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:748	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c5	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1821	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ac6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e53	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a22	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:650	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c82	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:54f	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16cc	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc2	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfe	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fb	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-83	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:db5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1548	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:117	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-206	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:377	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:1450	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-466	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a82	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b2	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e16	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:613	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c45	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:873	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:17e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fb	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ef	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4be	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1177	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-46	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:67a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1413	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-429	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ba	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a45	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fec	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1673	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:242	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-331	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c08	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:19b3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-591	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e68	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f41	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121a	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b10	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:77	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d70	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a0f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ba	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c6f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1042	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a08	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:faf	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1636	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:205	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c68	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1896	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e2	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:465	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a97	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-554	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b70	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a0	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f04	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd7	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:701	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143d	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb0	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a6f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:961	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f93	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ff	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1daf	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a9	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1005	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ac	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bde	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1265	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fa	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9a	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1859	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:428	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-183	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1501	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-517	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:688	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b33	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1761	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:330	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:590	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:924	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f56	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22f	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d0	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:48f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1db	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1228	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bd	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cf	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1488	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eda	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:98b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:1130	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-146	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c8	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1390	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1724	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d56	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f7	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:553	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:128f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b85	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f19	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fe	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ed	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:35a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:d4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:30	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:94e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-109	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:1ee8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:13f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1353	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-369	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8fa	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d19	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:182	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1947	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f79	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:516	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b48	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2064	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c21	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:776	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fe	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e81	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-cd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:174e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fa	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff0	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1316	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bd	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eef	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1e9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1576	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:145	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d8	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-234	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2027	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fe	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:739	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-494	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1812	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab7	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:999	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e44	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a13	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e5	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:641	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c73	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:16bd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb3	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cef	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c4b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a7a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-74	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1539	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:108	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1799	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:368	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dba	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1441	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-457	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a73	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e07	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:270	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:604	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c36	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db3	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:864	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e96	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:12ec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be2	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25e	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4af	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1168	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bba	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-37	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1070	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1404	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ab	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a36	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdd	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1664	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c96	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:233	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-322	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:493	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2115	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:827	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-582	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e59	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1900	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f32	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c1	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:120b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b01	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:68	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d61	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cd	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:29a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ab	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ddd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1033	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5da	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1293	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1627	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1c59	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1887	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15d3	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:456	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a88	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-545	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b61	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d24	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:952	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f84	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19ce	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bcf	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1256	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20eb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8b	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:419	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-174	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-508	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:679	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b24	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f6	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1752	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:321	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d84	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad0	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-410	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9b9	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:581	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:915	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-30f	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c1	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cc	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bb	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1219	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ae	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71c	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1479	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecb	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1121	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-137	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfa	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17b9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1381	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-397	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1715	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d47	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1975	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:544	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b76	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2092	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4f0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fb	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e12	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ef	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4de	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:93f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1344	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8eb	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:173	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1938	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f0	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:507	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-262	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b39	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2055	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:767	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c12	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d99	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b3	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1840	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ef	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e72	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-be	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a41	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1a	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:173f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16eb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ba	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1307	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ae	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80a	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1567	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b99	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:136	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-225	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:396	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ef	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2018	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-485	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1803	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d1	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa8	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e35	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a04	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:632	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c64	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de1	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ba	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:892	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19d	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:207f	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f00	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dd	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186a	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cc	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1196	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-65	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:359	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1432	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-448	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1692	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:261	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-350	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c27	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:855	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d00	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e87	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12dd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd3	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f60	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-24f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:96	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1159	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bab	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-28	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1061	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a27	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f9	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fce	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1655	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c87	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:224	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-313	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:484	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2106	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:818	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-8f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-573	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f23	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:720	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:59	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d52	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1be	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:61f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-37a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:87f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1024	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1284	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1618	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1878	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:447	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c4	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a79	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1520	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-536	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b52	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1780	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4e2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db9	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d15	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:943	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f75	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cb	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1fa	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19bf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f4d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1247	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dc	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-165	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1743	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:312	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d75	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a5	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-401	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:572	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:906	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f38	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b2	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ee	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e40	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b7c	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ac	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:f3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d3f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1112	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-128	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:299	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ceb	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1372	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-388	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1706	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d38	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1966	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f98	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:16b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:535	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:-290	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b67	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2083	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:795	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ec	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-18f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e03	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:176d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4cf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1099	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aeb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:12	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13d9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1335	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1595	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1929	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:164	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e1	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2046	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:758	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c03	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4a4	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1831	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e63	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:400	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-af	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a32	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:660	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c92	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aae	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:55f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a0a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dc	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ab	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-93	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1558	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1faa	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:127	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1200	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-216	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:387	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2009	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1460	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-476	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a92	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e26	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c7	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:623	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:135f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c55	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ab	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:883	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c2d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ff	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ce	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bd	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1187	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-56	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:68a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c7	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1423	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-439	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a55	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffc	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1683	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:252	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e5	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-341	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c18	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:846	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e78	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ce	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f51	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e0	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b20	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:87	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d80	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a1f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-19	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:64d	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17ca	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c7f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfc	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1052	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a18	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fbf	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b9	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1646	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:215	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c78	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-304	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:475	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:809	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-564	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b80	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b0	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f14	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a3	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:711	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d43	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec0	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a7f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1af	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:971	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:-36b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbf	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d1b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ed	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1015	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bc	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bee	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1275	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1609	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1869	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:438	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-193	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1511	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-527	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:698	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b43	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1771	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:107c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:340	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:d06	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:934	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f66	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23f	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e0	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:49f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:-58e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2da	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1238	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cd	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7df	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1498	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eea	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:99b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:1140	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-156	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1734	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:303	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d66	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103f	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1994	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:563	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:129f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f29	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15df	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed5	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ae	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:40	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ead	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a7	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1103	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-119	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:6aa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1363	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d29	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:192	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1957	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f89	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:526	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-281	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b58	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2074	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:786	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c31	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e91	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a60	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:175e	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14aa	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da0	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1326	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eff	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1586	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:155	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-244	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2037	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:749	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c6	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1822	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e54	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a23	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba0	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:651	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:16cd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209e	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fc	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a8a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1549	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-84	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:118	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-207	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:378	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dca	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1451	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-467	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a83	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e17	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b8	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:280	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:614	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dc3	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c46	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:874	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f1	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c0	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:17f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf2	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26e	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4bf	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:41b	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1178	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-5ae	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a4d	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-47	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50a	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1080	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1414	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bb	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a46	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fed	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1674	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:243	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-332	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c09	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:837	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-592	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e69	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1910	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12bf	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f42	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b11	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:78	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d71	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dd	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:63e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bb	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ded	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e7	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89e	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1043	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ea	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a09	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1637	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:206	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c69	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1897	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:466	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a98	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-555	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fa9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b71	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f05	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd8	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:702	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d34	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb1	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:962	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169e	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f94	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19de	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1006	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ad	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bdf	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1266	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3b	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:429	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-184	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd8	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1502	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-518	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:689	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b34	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1762	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:331	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d94	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c4	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-420	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9c9	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:591	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:925	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f57	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d1	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1229	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20be	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1489	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d5e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edb	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aaa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1131	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-147	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1391	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1725	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d57	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1985	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16d1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:554	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b86	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a0	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ec6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3ff	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ee	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:31	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:94f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13f8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1354	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8fb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1948	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:183	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:517	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-272	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b49	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2065	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c22	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:777	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1850	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ff	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e82	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af5	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:115b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-ce	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b2	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a51	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:174f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1317	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8be	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81a	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1577	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:146	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-235	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ff	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2028	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-495	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ee9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1813	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:2107	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1e45	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:642	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c74	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ca	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16be	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:208f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187a	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a7b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-75	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:109	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:369	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1442	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-458	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a74	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e08	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:6a9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:271	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:605	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-360	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c37	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db4	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:865	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d10	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e97	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b1	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be3	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f70	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-25f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:183d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40c	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6f	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1169	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-38	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1071	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1405	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ac	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a37	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fde	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1665	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c97	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f3a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:234	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3c7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-323	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:494	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2116	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:828	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-9f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-583	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1901	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:ba6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f33	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b02	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d4	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:730	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:69	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d62	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ce	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:990	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ac	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1dde	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d8	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d3a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1034	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5db	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1294	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1628	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1888	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:457	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1530	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:a89	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-546	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1790	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4f2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109b	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d25	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea2	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:953	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13db	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd1	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cf	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f5d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1257	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ec	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fe	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:75a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-175	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-509	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b25	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1753	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:322	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d85	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad1	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-411	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:582	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:916	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f48	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fe	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155a	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:20af	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d4f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecc	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1122	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-138	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfb	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1382	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-398	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1716	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d48	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1976	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:545	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b77	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf4	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2093	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c50	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fc	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e13	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:177d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4df	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1345	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ec	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:174	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1939	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:508	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-263	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2056	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:768	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c13	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4b4	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1841	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e73	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:410	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-bf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a42	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:670	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:30f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abe	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a1a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:9b0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:56f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ec	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3aa	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1308	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8af	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1568	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e3d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:137	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1210	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-226	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:397	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2019	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1470	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-486	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1804	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d2	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e36	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a05	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:633	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b0	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:136f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c65	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:893	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16af	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f01	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4de	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186b	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1197	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:43a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cd	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a6c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-66	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:69a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1433	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-449	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:9da	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a65	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1693	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:262	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-351	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c28	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da5	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:856	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d01	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e88	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12de	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd4	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f61	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b30	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:97	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d90	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a2f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bac	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-29	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17da	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c8f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1062	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a28	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:fcf	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2c9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1656	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c88	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:225	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-314	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:485	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:819	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-574	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b90	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f24	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b3	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:721	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d53	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed0	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a8f	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dcf	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c9	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fd	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1025	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1285	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1619	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1879	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:448	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1521	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-537	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b53	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1781	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:350	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108c	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:d16	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:944	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f76	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cc	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2ea	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1248	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ef	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1150	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-166	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b16	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e8	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1744	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:313	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d76	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-402	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:573	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f0	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:907	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f39	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8b3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ef	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1be	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e41	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7d	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ad	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:37a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:50	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1113	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-129	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ba	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cec	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1373	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-389	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1707	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d39	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1967	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f99	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:536	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-291	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:b68	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2084	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:796	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c41	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ed	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:ea8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a70	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:150e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e04	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ba	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aec	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:13	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:caf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1336	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1596	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:165	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e2	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-254	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2047	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:759	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c04	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1832	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:401	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e64	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a33	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:661	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c93	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aaf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ac	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:a9a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-94	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1559	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fab	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:128	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-217	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:388	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dda	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1461	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-477	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a93	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e27	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c8	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:290	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:624	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c56	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ac	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:884	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5d0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:18f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4cf	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1188	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bda	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-57	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1090	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1424	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cb	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a56	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffd	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1684	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-342	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c19	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:847	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e79	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20e1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f52	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b21	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:88	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d81	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ed	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:64e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cb	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfd	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1053	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fa	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a19	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1647	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1c	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:216	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c79	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-305	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:476	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-565	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b81	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f15	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a4	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b6	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2000	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:712	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d44	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec1	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:972	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fa	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ee	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1016	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bd	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bef	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1276	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:439	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:15b6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-194	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be8	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1512	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-528	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:699	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b44	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1772	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:341	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-430	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d07	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:935	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f67	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ec	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-58f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2db	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1239	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ce	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1499	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eeb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aba	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1141	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-157	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-10	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a8	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1735	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:304	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d67	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1995	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16e1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:564	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b96	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:8a4	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:800	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1af	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e32	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fe	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eae	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e0a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1104	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ab	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1364	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:10b0	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1958	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:527	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-282	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b59	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1600	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2075	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:787	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c32	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1860	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e92	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-de	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a61	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3a	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:175f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ab	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da1	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1add	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2da	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1327	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8ce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1587	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:156	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-245	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2038	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:18c7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1823	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e55	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a24	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:138e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:652	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c84	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10da	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16ce	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:209f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f20	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fd	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188a	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a8b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-85	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:119	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-208	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:379	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f6	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcb	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1452	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-468	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a84	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e18	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-110	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6b9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:281	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:615	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-370	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c47	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc4	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d20	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:875	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c1	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf3	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f80	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-26f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:184d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5af	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1179	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4e	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-48	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1081	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1415	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a47	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fee	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1675	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:244	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-333	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:838	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-593	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1911	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bb6	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f43	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d2	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b12	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:740	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:79	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d72	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1de	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:63f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1dee	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d4a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1044	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5eb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1638	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:207	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1898	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:467	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1540	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:a99	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-556	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b72	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f06	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd9	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:703	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d35	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:963	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f95	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19df	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1007	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ae	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1267	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3c	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:76a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-e2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-185	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1503	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-519	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b35	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1763	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:332	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d95	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae1	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-421	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:592	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:926	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f58	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c00	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dd	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-24/	observer
7b93e6a1:150814fecb6:156a	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b9c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:20bf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18aa	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a5	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1132	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-148	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:1392	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1726	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d58	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa4	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1986	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a00	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:555	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d2	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b87	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a1	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c60	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:ec7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e23	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b5f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:178d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ef	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:32	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:13f9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1355	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a1	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1949	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:184	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:518	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-273	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2066	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:778	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c23	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1851	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e83	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:420	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-cf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a52	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:680	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:31f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ace	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:57f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a2a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fc	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ba	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1318	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1578	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:147	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1220	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-236	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2029	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1480	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-496	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1814	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e46	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a15	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:643	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:137f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c75	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16bf	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-76	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:14e7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbc	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1443	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-459	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9ea	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a75	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e09	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-101	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:272	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:606	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-361	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db5	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:866	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d11	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e98	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b2	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be4	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f71	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b40	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:a3f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbc	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-39	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ea	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c9f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1072	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1406	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ad	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a38	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdf	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1666	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c98	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:235	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-324	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:495	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2117	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:829	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-584	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd8	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1902	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba7	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f34	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b03	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:731	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d63	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a9f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cf	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:991	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ad	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10d9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d3b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1035	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1295	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6a	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1629	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1889	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:458	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eaa	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a4	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1531	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-547	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b63	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1791	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:360	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:d26	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:954	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:25f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13dc	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd2	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fa	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:1f5e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1258	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ed	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ff	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1caa	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:75b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1160	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-176	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:17f8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1754	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d86	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:323	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:105f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4b6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-412	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:583	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:917	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f49	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ff	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ce	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155b	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e51	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:38a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:60	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecd	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1123	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-139	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfc	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1383	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-399	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1717	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d49	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1977	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16c3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:546	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1cf5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b78	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2094	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c51	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fd	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a80	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:151e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e14	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:23	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:cbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1346	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ed	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:175	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:509	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-264	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb8	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2057	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:769	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c14	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b5	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1842	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:411	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e74	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a4	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114d	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a43	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc0	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1c	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:-500	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:671	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1abf	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:9b1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ed	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe3	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7b	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ab	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1309	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:80c	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1569	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e3e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:138	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1211	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-227	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:398	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dea	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18a9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1471	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-487	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1805	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e37	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6d8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a06	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:17b1	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:634	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c66	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de3	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:894	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5e0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:19f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-28e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f02	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4df	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186c	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e9e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ce	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1198	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1bea	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a6d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-67	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69b	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dad	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1434	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9db	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a66	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1694	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:263	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f6	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-352	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c29	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da6	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d02	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:857	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e89	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1930	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12df	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f62	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b31	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:98	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d91	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fd	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1bad	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17db	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3aa	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1063	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a29	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:1657	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c89	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:226	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-315	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:486	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2108	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-575	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b91	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f25	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b4	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:2010	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:722	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d54	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11aa	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa0	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:982	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fe	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1026	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195a	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bff	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1286	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:449	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1522	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-538	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b54	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1782	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:351	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108d	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-440	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d17	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:945	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f77	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cd	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fc	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2eb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1249	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20de	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aca	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c4	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1151	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-167	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-20	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17e9	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1745	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:314	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d77	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:574	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:908	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:8b4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:810	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1bf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154c	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b7e	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e42	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ae	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-46a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:51	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebe	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e1a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1114	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ced	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1374	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1708	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c0	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1968	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:537	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-292	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b69	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1610	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2085	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:797	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c42	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1870	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-ee	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:ea9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a71	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:150f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e05	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bb	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db1	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aed	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:14	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2ea	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1337	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8de	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1597	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:166	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-255	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2048	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a6	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1833	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:402	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e65	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a34	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:662	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c94	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16de	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ad	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c6c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a9b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-95	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e2f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:129	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1202	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-218	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:389	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ddb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1462	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:3e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:-478	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1a94	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e28	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-120	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6c9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:291	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:625	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-380	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c57	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ad	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:885	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d30	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f90	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-27f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:185d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bf	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1189	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a5e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bdb	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-58	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c9	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1091	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1425	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a57	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffe	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1685	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:254	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-343	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:848	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1921	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bc6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f53	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b22	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:750	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:89	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d82	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ee	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:64f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cc	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfe	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d5a	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1054	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fb	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1648	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1d	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:217	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-306	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:477	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f4	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1550	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-566	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b82	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f16	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2001	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:713	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d45	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec2	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:973	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ef	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1017	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5be	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1277	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:77a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b7	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:-195	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1513	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-529	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b45	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1773	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3e6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:342	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af1	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-431	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d08	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:936	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f68	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13be	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c10	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ed	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e70	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:20cf	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73d	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ba	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d6f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eec	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e6	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1142	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-158	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-11	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b08	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:3a9	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1736	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UN/	observer
7b93e6a1:150814fecb6:305	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d68	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1996	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a10	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:565	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e2	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b97	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c70	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:801	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e33	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10c	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ff	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eaf	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:1e0b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ac	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cde	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1365	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:194	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1959	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:528	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a5	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-283	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1601	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2076	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:788	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c33	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d4	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1861	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e93	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:430	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-df	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5c3	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a62	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:690	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:32f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ac	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:a9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da2	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ade	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41e	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:58f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a3a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2db	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1328	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1588	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fda	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1230	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-246	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2039	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	observer
7b93e6a1:150814fecb6:18c8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1490	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1824	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e56	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a25	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:17d0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:653	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:138f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c85	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10db	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162b	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f21	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fe	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-86	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-209	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcc	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1453	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-469	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a85	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e19	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-111	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:282	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:616	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-371	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c48	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc5	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:876	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d21	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c2	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fe	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:1f81	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf4	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:125a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b50	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a4f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-49	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fa	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:1082	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1416	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bd	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a48	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fef	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1676	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:245	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-334	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:839	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f1	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-594	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1912	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:bb7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f44	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b13	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:741	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d73	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-1df	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1def	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e9	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d4b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1045	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ec	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7a	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1639	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:208	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1899	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:468	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eba	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b4	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1541	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-557	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:110	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b73	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f07	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:370	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:704	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d36	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb3	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:964	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f96	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:26f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1008	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1268	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3d	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cba	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:76b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1170	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-186	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1504	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b36	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1764	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d96	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:333	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-422	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:593	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:927	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f59	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13af	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c01	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d3	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1de	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156b	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e61	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13a	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cd	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:39a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ab	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:70	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a6	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1133	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-149	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1393	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1727	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d59	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1aa5	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1987	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a01	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:556	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d3	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b88	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c61	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:119a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a90	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:152e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e24	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14da	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd0	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:33	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:ccf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1356	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fd	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:185	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:519	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-274	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2067	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:779	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c24	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1852	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e84	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af7	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:421	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b4	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a53	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd0	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-510	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:681	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1acf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c1	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff3	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cc	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1319	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:210a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1579	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fcb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:148	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1221	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-237	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfa	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18b9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1481	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-497	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1815	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e47	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6e8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a16	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:644	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c76	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:5f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfa	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-77	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1444	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9eb	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a76	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a6	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-102	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:273	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:607	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-362	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c39	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db6	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:867	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d12	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:e99	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1940	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f72	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b41	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1bbd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:66e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17eb	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ba	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1073	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1407	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ae	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a39	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:90a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1667	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:1c99	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:236	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c9	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-325	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:496	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-585	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd9	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1903	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f35	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c4	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b04	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d6	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2020	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:732	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d64	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ba	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:992	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ae	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1036	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196a	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1296	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6b	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:459	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eab	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1532	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-548	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:101	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b64	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1792	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:361	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ba	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-450	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d27	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:955	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e00	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f87	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13dd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd3	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fb	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1f5f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1259	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ee	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8e	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:ada	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1161	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-177	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-30	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b27	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1755	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d87	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:324	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-413	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:584	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:918	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:8c4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:820	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1cf	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e52	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2be	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71f	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-47a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:61	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ece	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e2a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1124	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cb	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfd	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1384	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1718	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:547	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c4	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b79	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2095	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c52	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1880	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-fe	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a81	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:151f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e15	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c8	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:24	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:2fa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1347	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ee	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:176	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:-265	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2058	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c15	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1843	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4b6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e75	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:412	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-5a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a44	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-501	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:672	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:10fa	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ee	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe4	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f40	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ac	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:80d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e3f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:139	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1212	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-228	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:399	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ad9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:deb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1472	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-488	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1806	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d4	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-130	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6d9	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a07	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:635	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b2	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-390	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c67	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de4	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:895	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d40	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-28f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:160d	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:fa7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:f03	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:186d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:43c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cf	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1199	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1beb	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-68	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52b	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dae	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1435	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a67	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1695	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13e1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:264	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-353	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d03	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:858	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1931	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:500	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f63	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b32	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:760	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:99	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d92	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1fe	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1bae	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b0a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ab	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1064	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1658	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:227	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1300	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-316	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:487	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2109	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1560	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-576	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b92	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b5	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2011	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:723	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a0	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:145f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d55	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ab	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:983	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2d	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ff	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1027	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ce	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1287	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:78a	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf9	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1523	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-539	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b55	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1783	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3f6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:352	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e5	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-441	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d18	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:946	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f78	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ce	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c20	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e80	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:191e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2ec	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:20df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ca	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d7f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1152	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-168	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b18	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3b9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1746	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:315	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d78	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-404	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:575	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a20	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f2	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:909	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c80	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b5	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:811	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e43	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11c	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2af	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-46b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:52	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebf	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e1b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1115	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bc	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cee	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1375	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4a	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1709	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1969	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:538	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-293	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1611	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2086	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:798	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c43	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1871	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:440	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ef	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a72	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:33f	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bc	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db2	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aee	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1a4a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:9e0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:-42e	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:15	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2eb	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3da	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1338	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8df	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1598	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6d	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fea	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:167	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:1240	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-256	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2049	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1834	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:403	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e66	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a35	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:663	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:139f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c95	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10eb	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16df	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ae	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163b	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189b	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-96	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fad	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1203	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-219	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7aa	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1463	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-479	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a95	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e29	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-121	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:292	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:626	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-381	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c58	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ae	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d31	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:886	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:100a	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f91	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b60	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15aa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bdc	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:ea0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a5f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-59	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1092	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1426	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cd	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a58	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:fff	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1686	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5b	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:255	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e8	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-344	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:849	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1922	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f54	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b23	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:751	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d83	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cd	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dff	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d5b	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1055	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1649	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:218	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-307	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:478	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eca	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1551	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-567	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:120	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b83	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f17	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:380	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2002	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:714	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d46	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec3	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:974	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:27f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fc	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1018	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bf	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1278	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cca	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:77b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b8	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1180	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-196	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1514	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1774	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:343	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c0	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d6	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-432	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d09	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:937	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f69	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb5	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c11	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ee	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e71	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14a	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:190f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:202c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:80	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eed	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e7	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abc	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1143	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-159	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:6ea	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-12	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b09	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1737	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:306	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d69	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1997	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a11	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:566	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b98	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c71	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a6	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed8	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:802	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e34	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10d	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1106	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1366	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:195	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:529	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a6	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-284	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1602	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2077	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:789	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c34	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1862	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:431	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e94	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a63	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-520	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:691	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ad	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adf	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cb	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1329	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:82c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1589	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1fdb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:158	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:baa	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1231	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-247	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:18c9	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1491	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1825	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e57	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a26	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:654	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c86	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a0	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:fc6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f22	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ff	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1454	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9fb	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a86	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-112	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:283	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:617	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-372	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c49	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1d22	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:877	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c3	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1950	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ff	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:bf5	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f82	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b51	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bcd	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1083	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a0	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1417	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9be	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a49	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:91a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1677	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:246	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-335	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f2	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-595	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1913	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f45	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d4	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2030	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:742	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d74	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11ca	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17be	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1046	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5ed	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7b	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f0f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:209	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:469	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebb	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1542	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-558	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:111	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b74	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a4	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f08	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-200	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7a9	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:371	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:705	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-460	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d37	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb4	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:965	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e10	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f97	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1009	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:193d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1269	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fe	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15a9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1171	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-187	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-40	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1505	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b37	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1765	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:334	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c7	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:594	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:928	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c02	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:830	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156c	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e62	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13b	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ce	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ac	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48a	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:71	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ede	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aad	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e3a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a7	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1134	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1394	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1728	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1988	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a02	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:557	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1630	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:b89	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c62	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1890	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:119b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a91	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:152f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e25	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14db	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:34	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1357	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2c	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8fe	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e8c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:186	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:-275	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2068	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c25	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c6	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1853	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:af8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:422	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5b5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115e	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a54	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd1	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-511	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:682	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff4	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f50	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c8c	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:210b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81d	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:e4f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fcc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:149	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1222	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-238	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1482	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-498	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1816	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e48	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-140	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a17	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:645	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c77	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d50	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f1	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f13	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:187d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bfb	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a7e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-78	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53b	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbe	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1445	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ec	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a77	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-103	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:274	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f1	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:608	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-363	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:868	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d13	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1941	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:510	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f73	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b42	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:770	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:40f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-16a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbe	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:66f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ec	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1074	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1408	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9af	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:90b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1668	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:237	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b4	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1310	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-326	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:497	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1e3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:1570	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-586	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1904	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba9	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f36	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120f	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c5	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b05	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d7	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2021	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:733	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:146f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d65	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:993	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17af	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3d	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1037	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5de	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:53a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1297	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:79a	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eac	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a6	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1533	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-549	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:102	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b65	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1793	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:362	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f5	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-451	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d28	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:956	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e01	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f88	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13de	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd4	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c30	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e90	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fc	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:20ef	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cac	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d8f	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:adb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1162	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-178	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-31	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b28	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3c9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1756	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d88	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:325	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad4	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-414	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:585	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a30	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:919	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c90	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:821	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1fd0	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e53	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:12c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2bf	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:62	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecf	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e2b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1125	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cc	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cfe	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1385	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1719	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d1	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:548	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c5	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1621	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2096	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c53	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1881	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:450	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ff	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a82	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5b	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e16	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:34f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cc	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afe	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:25	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f0	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a5a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3ea	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1348	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ef	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffa	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:177	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f4	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:1250	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-266	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2059	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c16	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e8	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b7	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1844	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:413	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e76	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1bc2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a45	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-502	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:673	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f0	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2be	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f41	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21a	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c7d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ad	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:47a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1213	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-229	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dec	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1473	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-489	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1807	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e39	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-131	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a08	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:636	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-391	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c68	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10be	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:896	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d41	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:127a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b70	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f04	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ba	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bec	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:eb0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a6f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-69	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:daf	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1436	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dd	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a68	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1696	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:265	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f8	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-354	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da8	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:859	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d04	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1932	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:501	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f64	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b33	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:761	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149d	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d93	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ff	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1baf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b0b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ac	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1065	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1659	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:228	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1301	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-317	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:488	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eda	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d4	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1561	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-577	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:130	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b93	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f27	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b6	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c8	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:390	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2012	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:724	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d56	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ac	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d0	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:28f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1028	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1288	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cda	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:78b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1190	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1524	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b56	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1784	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14d0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:353	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ac	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-442	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d19	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:947	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f79	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c21	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fe	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:191f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e81	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ed	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:203c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cb	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:90	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1153	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-169	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:6fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-22	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b19	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1747	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:316	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a9	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-405	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:576	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a21	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f3	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c81	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b1	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:812	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e44	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11d	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:53	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1116	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bd	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cef	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1376	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c2	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:539	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-294	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1612	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2087	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:799	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c44	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1872	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:441	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d4	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a73	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf0	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-530	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e07	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bd	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db3	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aef	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:16	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4b	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2ec	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3db	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1339	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1599	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1feb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:168	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e5	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bba	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1241	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-257	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c07	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1835	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:404	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e67	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1bb3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a36	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:664	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e1	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c96	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b0	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ec	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:900	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2af	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163c	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f32	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189c	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-97	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fae	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1204	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ab	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1464	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1a96	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-122	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:293	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:627	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-382	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c59	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1700	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10af	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:887	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d32	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1960	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f92	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b61	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185f	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ab	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ea1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdd	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3da	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1093	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1427	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ce	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:92a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1687	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:13d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:f5c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:256	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e9	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-345	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff9	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1923	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f55	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1ca1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b24	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2040	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:752	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d84	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad0	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-14c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17ce	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1056	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fd	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b8b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f1f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:219	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-308	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:479	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ecb	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1552	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-568	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b84	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:121	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2b4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f18	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-210	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a7	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:381	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2003	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:715	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-470	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d47	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:975	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e20	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-10f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fd	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1019	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:194d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1279	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:afa	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15b9	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1181	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-197	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1515	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-50	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1775	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:344	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d7	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-433	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:938	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c12	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:840	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ef	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e72	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2de	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bc	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-49a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eee	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-b7	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1144	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6eb	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-13	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1738	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f0	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:307	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1998	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:567	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a12	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b99	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b3	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1640	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c72	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed9	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:803	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:153f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1fb2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e35	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14eb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:44	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1107	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1367	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86a	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e9c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:196	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a7	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-285	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1603	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2078	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c35	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d6	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1863	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:432	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e95	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:1be1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a64	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-521	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:692	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ae	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d00	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f60	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c9c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cc	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:82d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19aa	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fdc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:159	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bab	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1232	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-248	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:1492	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1826	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-150	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a27	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b00	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:655	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c87	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d60	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:fc7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f23	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:188d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-88	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1455	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fc	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a87	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a1	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-113	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:284	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:618	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-373	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:878	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d23	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c4	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1951	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:520	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f83	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b52	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:780	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:41f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-17a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bce	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50e	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b2a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3cb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1084	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4ba	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1418	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bf	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:91b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1678	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:247	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1320	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-336	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1580	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-596	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1914	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f46	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d5	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b15	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2031	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:743	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c0	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:147f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d75	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1047	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ee	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15e7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1543	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-559	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b75	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:112	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a5	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f09	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:372	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:706	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-461	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d38	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb5	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:966	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e11	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f98	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ee	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce4	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c40	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:193e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50d	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:20ff	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ea	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d9f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aeb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1172	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-e5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-188	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-41	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b38	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d9	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1766	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d98	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:335	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae4	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-424	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:595	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a40	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:929	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c03	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d5	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:831	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fe0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:156d	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:1b9f	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e63	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13c	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2cf	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ad	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48b	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:72	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aae	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3b	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1135	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1395	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1729	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1989	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:558	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a03	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d5	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:faa	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a4	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1631	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:200	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c63	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1891	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:460	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1fa3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e26	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:7a0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:35f	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14dc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd2	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:35	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fa	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1358	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2d	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8ff	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1daa	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1000	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:187	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1260	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-276	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2069	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c26	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1854	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:af9	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:423	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a55	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd2	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-512	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:683	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c3	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16ff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ce	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f51	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:48a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fcd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1223	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-239	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ca	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfc	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1483	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-499	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1817	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-141	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a18	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:646	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ce	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d51	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102a	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f2	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b80	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f14	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a7f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfc	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-79	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dbf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1446	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ed	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a78	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-104	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:275	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:609	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-364	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db8	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:869	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d14	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e6	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1942	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f74	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:511	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b43	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:771	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-16b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbf	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ed	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ab	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1075	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1409	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:90c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1669	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:238	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b5	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1311	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-327	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:498	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:eea	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1571	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1e4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-587	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1905	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:140	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f37	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c6	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b06	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2022	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:734	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d66	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:994	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e0	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:29f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-38e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3e	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1038	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5df	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196c	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1298	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cea	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:79b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ead	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1534	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:103	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b66	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1794	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:363	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-452	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d29	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:957	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e02	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f89	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13df	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd5	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c31	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e91	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fd	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1cad	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18db	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4aa	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:adc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1163	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-179	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-32	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b29	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1757	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d89	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:326	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4b9	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-415	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:586	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a31	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d2	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c91	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c1	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c6	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2110	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:822	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e54	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12aa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:63	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1126	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cd	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cff	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1386	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d2	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:549	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c6	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1622	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2097	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c54	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f5	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1882	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:451	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a83	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-540	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e17	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cd	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aff	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:26	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3eb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1349	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f5	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1251	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-267	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c17	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1845	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:414	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e77	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a7	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a46	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-503	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:674	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f1	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe6	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:910	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2bf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21b	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ae	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-56a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1214	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7bb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ded	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1474	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1808	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-132	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a09	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:637	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-392	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de6	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c69	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1710	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10bf	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:897	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d42	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1970	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:127b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b71	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160f	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f05	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eb1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bed	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3ea	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:c0	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1437	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9de	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a69	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:93a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1697	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:266	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-355	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da9	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d05	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:5a6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1933	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:502	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f65	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b34	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2050	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:762	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149e	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d94	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ea	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-15c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17de	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ad	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1066	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b9b	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f2f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:229	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1302	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-318	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:489	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:edb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1562	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-578	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:131	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b94	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c4	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f28	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-220	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b7	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:391	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2013	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:725	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-480	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d57	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ad	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:985	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-11f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d1	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-37f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2f	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1029	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:195d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f8f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:52c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1289	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cdb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1191	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-60	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1525	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b57	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1785	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:354	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e7	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ad	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-443	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:948	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:cc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c22	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:850	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e82	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24a	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cc	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:91	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efe	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:acd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1154	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-c7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:6fb	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-23	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1748	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:317	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-406	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:577	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a22	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f4	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1650	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c82	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b7	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2101	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:813	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154f	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-8a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e45	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11e	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:54	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1117	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6be	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1377	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c3	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87a	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16b7	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-295	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1613	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2088	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c45	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1873	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:442	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a74	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf1	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-531	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e08	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14be	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d10	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:167a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2ed	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:f70	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3dc	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c0f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ba	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e6f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:169	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1242	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-258	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c08	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7e	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1836	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:405	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e68	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-160	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a37	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b10	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:665	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e2	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c97	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ed	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d70	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9a5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:163d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f33	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c6f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189d	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-98	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1faf	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1205	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ac	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dde	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1465	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a97	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-123	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:294	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:628	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-383	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1701	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:888	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d33	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1961	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f93	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:530	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b62	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:790	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:42f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ac	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:ea2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bde	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b3a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3db	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1094	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:92b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1688	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:257	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1330	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-346	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1590	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1924	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f56	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e5	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b25	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2041	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:753	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:148f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d85	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-aa	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1057	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fe	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:55a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-309	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15f7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecc	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1553	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1c6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-569	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:122	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b85	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f19	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-211	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:382	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2004	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:716	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-471	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d48	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec5	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:976	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e21	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fe	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf4	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c50	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:194e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b4f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fa	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:afb	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1182	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-198	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-51	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1516	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b48	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1776	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:345	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c2	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-434	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a50	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:939	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c13	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:841	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:157d	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e73	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2df	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18bd	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:82	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eef	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b8	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1145	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6ec	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-14	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1739	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f1	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:308	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1999	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:568	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a13	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e5	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fba	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b4	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1641	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:210	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c73	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:470	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:804	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e36	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:7b0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:36f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ec	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:45	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1108	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1368	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1010	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:197	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a8	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1270	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-286	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2079	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c36	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1864	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e96	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:433	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a65	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be2	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-522	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:693	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14af	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da5	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140b	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d01	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2de	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f61	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23a	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:49a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ab	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fdd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bac	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1233	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-249	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7da	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1493	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6f	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1827	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-151	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a28	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b01	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:656	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c88	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10de	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d61	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:129a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f24	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:188e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15da	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a8f	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-89	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dcf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1456	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2b	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fd	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a88	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a2	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-114	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8b	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:285	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:619	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-374	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:879	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d24	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f6	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c5	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1952	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:521	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f84	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b53	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:781	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bcf	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50f	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b2b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1085	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4bb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1419	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:91c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1679	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:248	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c5	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1321	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-337	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:efa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:19b9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1581	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-597	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:150	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1915	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e3	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f47	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20d6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b16	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2032	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:744	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c1	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d76	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f0	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1048	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ef	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7d	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfa	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:15e8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1544	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1b76	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:113	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-202	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:373	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:cc	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:707	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-462	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d39	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb6	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:967	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e12	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f99	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c41	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:17a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:193f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1cbd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18eb	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ba	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1173	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-189	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-42	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1507	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b39	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1767	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d99	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:336	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-425	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:596	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a41	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2e2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c04	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:832	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:156e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fe1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e64	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13d	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ba	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb0	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ae	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48c	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:73	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aaf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1136	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dd	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1396	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:559	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a04	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fab	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1632	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:2a5	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:201	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c64	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1892	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:461	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-550	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e27	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f00	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14dd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd3	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:36	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fb	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1359	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2e	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:1dab	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1001	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:188	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bda	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1261	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-277	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c27	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c8	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1855	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e87	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:424	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b7	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a56	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-513	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:684	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3d0	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:9c4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:920	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2cf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f52	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22b	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8e	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3be	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31a	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81f	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-57a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1224	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7cb	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfd	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1484	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1818	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-142	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a19	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:647	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c4	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1720	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:c79	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d52	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102b	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f3	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:128b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b81	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:f15	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:d0	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1447	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ee	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:94a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:276	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-365	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db9	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d15	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1943	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be8	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:512	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f75	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b44	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2060	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:772	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:11fa	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af0	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-16c	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b1c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ee	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ac	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1076	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:90d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f3f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:239	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1312	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-328	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:499	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eeb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1572	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-588	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:141	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1906	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/SICA/	associated member
7b93e6a1:150814fecb6:1f38	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-230	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c7	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b07	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:fa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2023	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:735	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-490	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d67	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:995	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e40	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-12f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-38f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:170d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1039	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:196d	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1299	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6e	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ceb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eae	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-70	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1535	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:104	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b67	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1795	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:364	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f7	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bd	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-453	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1ea7	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:958	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e03	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:600	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c32	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:860	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e92	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fe	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cae	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c0a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ab	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:add	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1164	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-33	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1758	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:327	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1400	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-416	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:587	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a32	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1660	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:1c92	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2111	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:d4a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:823	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:155f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e55	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd2	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ab	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1127	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ce	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62a	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1387	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d3	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16c7	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1623	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2098	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c55	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1883	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:452	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a84	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-541	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e18	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14ce	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:27	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d20	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3ec	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c1f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19ca	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e7f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:179	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f6	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1252	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-268	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c18	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1846	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:415	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e78	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-170	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:a47	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-504	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b20	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:675	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f2	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d80	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9b5	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:911	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164d	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f43	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7f	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3af	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-56b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1215	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20aa	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dee	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1475	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1809	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d7	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-133	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:638	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b5	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-393	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de7	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1711	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:898	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d43	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1971	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:540	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b72	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f06	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:43f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bee	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:69f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3eb	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4da	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1438	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9df	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:93b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1698	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:267	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1340	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-356	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d06	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1934	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:503	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f66	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b35	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2051	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:763	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e0	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:149f	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d95	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11eb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17df	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ae	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1067	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9c	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1303	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-319	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:8aa	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1563	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-579	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:132	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b95	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f29	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-221	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b8	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:392	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:eb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2014	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:726	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a3	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-481	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d58	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:986	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e31	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a00	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:136a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c60	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:195e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16aa	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cdc	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:fa0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b5f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:207b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78d	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1192	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1526	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-61	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b58	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1786	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:355	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e8	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ae	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-444	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a60	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:949	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-3f0	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c23	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f5	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da0	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:851	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ef	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18cd	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:92	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1eff	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ace	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-c8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1155	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6fc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-24	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1749	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:318	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-407	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:578	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a23	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f5	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fca	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1651	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c83	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:220	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b8	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:480	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2102	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:814	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e46	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:37f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fc	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:55	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ba	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1118	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bf	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1378	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1020	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16b8	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1280	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-296	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1614	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2089	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c46	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1874	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15c0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:443	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:1bf2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a75	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-532	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e09	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bf	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1a4d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2ee	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f71	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3dd	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:83e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbc	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1243	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-259	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c09	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1837	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e69	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:406	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-161	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a38	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b11	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:666	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c98	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ee	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d71	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fd8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:902	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f34	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ea	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1f0c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1206	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ad	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1466	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a98	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-124	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:295	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:629	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-384	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1702	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:889	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d34	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1962	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f94	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:531	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b63	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:791	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ad	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdf	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b3b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1095	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-4cb	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1429	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:92c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1689	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:258	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:caa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1331	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-347	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19c9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1591	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1925	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:160	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f57	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20e6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b26	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2042	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:754	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d86	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ab	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5e	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1058	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ff	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aaa	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1554	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b86	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:123	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-212	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:383	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2005	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:717	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-472	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d49	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec6	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:977	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e22	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ff	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c51	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:18a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:194f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1ccd	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fb	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ca	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:afc	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1183	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-199	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-52	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1517	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1777	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:346	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-435	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a51	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c14	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:842	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157e	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:12ca	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:e74	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14d	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:bc0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18be	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49c	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:83	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181a	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1146	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ed	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-15	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:309	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:569	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbb	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b5	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1642	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:211	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c74	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-300	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8a9	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:471	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:805	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-560	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e37	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f10	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7b1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ed	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:46	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ab	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1109	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:60c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1369	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbb	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86c	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1011	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:198	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:bea	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16a9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1271	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-287	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1605	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c37	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1865	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4d8	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e97	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:434	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a66	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be3	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-523	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:694	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da6	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d02	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:930	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2df	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f62	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ce	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ac	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fde	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bad	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1234	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7db	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1494	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1828	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-152	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a29	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:657	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b02	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c89	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a3	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1730	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10df	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d62	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1990	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:129b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f25	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:188f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15db	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54d	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1457	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2c	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fe	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a89	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a3	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:95a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-115	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:286	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:-375	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d25	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1953	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:522	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:125e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b54	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2070	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:782	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fe	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1086	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:91d	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:249	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1322	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-338	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1582	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:efb	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-598	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1916	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:151	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2e4	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f48	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-240	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d7	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b17	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2033	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:745	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d77	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac3	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e50	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-13f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1049	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:15e9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebe	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b77	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b8	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-80	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1545	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:114	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a7	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-203	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:374	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cd	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:708	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-463	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1eb7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:968	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e13	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b4	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:610	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c42	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:870	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:50f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-26a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c1a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ec	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5aa	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1174	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-43	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1508	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1768	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:337	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1410	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-426	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:597	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1670	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:2e3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:833	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:156f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e65	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13e	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bb	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb1	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:18af	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48d	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:74	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e3d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1137	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6de	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1397	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1aa9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1a05	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fac	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1633	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:202	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c65	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1893	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:462	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119e	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a94	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-551	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e28	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f01	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a2	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14de	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd4	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d30	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3fc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c2f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dac	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:19da	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:85d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1002	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:189	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bdb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1262	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-278	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c28	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c9	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1856	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e88	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:425	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5b8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-180	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a57	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-514	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:685	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d1	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d90	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:9c5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:921	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f53	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22c	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31b	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fcf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1225	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ba	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfe	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1485	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1819	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-143	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:648	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c5	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1721	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d53	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f4	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:550	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b82	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:44f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec2	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fb	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4ea	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d1	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1448	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ef	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:94b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-106	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:277	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f4	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1350	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-366	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d16	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1944	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f76	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:513	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b45	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2061	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:773	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f0	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:11fb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af1	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ca	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16d	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ef	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3be	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ad	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1077	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:57a	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1313	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-329	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8ba	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eec	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1573	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-589	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:142	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1907	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f39	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-231	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c8	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b08	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fb	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2024	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:736	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-491	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d68	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11be	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:996	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a10	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c70	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ba	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b6f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cec	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:eaf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a9	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-71	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1536	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:105	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b68	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1796	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e2	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:365	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f8	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:be	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-454	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea8	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a70	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:959	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e04	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:601	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c33	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:861	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e93	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16c	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ff	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1caf	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dd	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ac	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ade	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d8	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1165	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-34	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1759	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:328	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1401	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-417	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:588	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a33	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fda	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1661	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:2d4	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:230	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c93	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:8c8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:490	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2112	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:824	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e56	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ac	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d0	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:38f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CAN/	observer
7b93e6a1:150814fecb6:65	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a9a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1128	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6cf	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1388	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dda	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1030	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c8	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1290	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1624	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2099	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c56	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1884	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:453	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:118f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a85	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-542	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e19	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cf	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d21	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:28	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fe	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25a	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ed	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:84e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1253	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-269	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7fa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c19	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1847	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:416	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e79	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-171	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a48	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-505	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:676	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:3c2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d81	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b6	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:912	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f44	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15fa	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:47d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ef0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:-56c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1216	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ab	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:def	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1476	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-134	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:639	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b6	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-394	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1712	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:899	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d44	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1972	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:541	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b73	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:f07	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb3	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ec	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4db	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1439	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1699	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:268	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1341	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-357	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d07	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:170	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:1935	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:504	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f67	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20f6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b36	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2052	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:764	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d96	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ec	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae2	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:3af	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:30b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1068	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aba	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9d	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1304	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ab	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1564	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b96	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:133	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-222	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b9	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:393	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ec	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2015	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:727	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-482	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d59	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1800	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11af	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:987	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e32	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a01	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:136b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c61	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:19a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:195f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ab	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fa1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78e	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1527	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b59	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1787	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:356	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:af	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-445	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a61	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3f1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f6	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:852	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e84	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15d	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12da	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18ce	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:acf	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e5c	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-c9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1156	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:fd9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:319	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-408	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:579	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcb	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1652	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:221	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c84	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-310	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:8b9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:481	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2103	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:815	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-570	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e47	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f20	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-20f	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:56	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1119	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:61c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1021	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16b9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1281	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-297	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1615	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c47	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1875	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:444	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c1	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a76	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf3	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-533	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3f0	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:19	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d12	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e4	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:940	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ef	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f72	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3de	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:83f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbd	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1244	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1838	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:407	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-162	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a39	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b12	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:667	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e4	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b3	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1740	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d72	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a2	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:903	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f35	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15eb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee1	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ba	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f0d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1207	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ae	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1467	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a99	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:96a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-125	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:296	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-385	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1703	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d35	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100e	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1963	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:532	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f95	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b64	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2080	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:792	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ae	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e00	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cc	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1096	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:92d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f5f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:259	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d6	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1332	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-348	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:1592	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:161	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1926	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f4	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f58	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-250	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e7	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b27	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2043	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:755	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c00	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d87	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e60	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ac	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5f	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1059	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aab	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ece	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-90	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1555	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b87	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:124	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-213	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:384	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2006	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:718	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-473	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1ec7	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e23	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf6	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c52	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:880	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:51f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-27a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cce	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:77f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fc	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afd	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f7	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1184	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-53	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1518	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1778	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:347	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1420	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-436	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a52	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1680	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3e2	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c15	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:843	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:157f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e75	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:18bf	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49d	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:84	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1147	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ee	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-16	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1ab9	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a15	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e7	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1643	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c75	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:212	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a5	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-301	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:472	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:806	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-561	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e38	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f11	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a0	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:47	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d40	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ac	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:60d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c3f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbc	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19ea	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1012	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:199	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:beb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1272	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-288	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1606	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c38	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1866	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e98	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:435	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-190	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a67	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-524	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:695	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:da7	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d03	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:931	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f63	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23c	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cf	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32b	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ad	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1fdf	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bae	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1235	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ca	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1495	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1829	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f7	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-153	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b03	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:658	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1731	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:300	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d63	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1991	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:560	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f26	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a0	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:45f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15dc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ab	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1458	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ff	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1eaa	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-116	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:287	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:1360	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-376	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d26	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c7	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1954	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f86	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:523	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:125f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b55	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2071	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:783	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-da	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ff	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3ce	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d8d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1087	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a4	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:58a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1323	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-339	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8ca	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efc	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1583	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1f6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-599	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:152	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1917	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f49	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-241	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b18	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2034	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:746	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:d78	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ce	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e51	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a20	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c80	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ca	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b7f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209b	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:ebf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-81	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1546	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:115	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b78	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-204	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:375	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:ce	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:709	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-464	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb8	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a80	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b0	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:969	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e14	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b5	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:611	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c43	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:871	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:-26b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbf	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ed	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bc	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ab	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1175	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-44	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1509	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1769	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:338	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1411	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-427	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:598	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a43	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fea	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e4	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1671	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:240	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:834	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e66	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bc	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb2	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:39f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-48e	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:75	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1da	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1138	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6df	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1398	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dea	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1040	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a06	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fad	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1634	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:1c66	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:203	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1894	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:463	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a95	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-552	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e29	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa6	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f02	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a3	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14df	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd5	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143b	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:38	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d31	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f91	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1dad	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19db	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1003	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5aa	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdc	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1263	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-279	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c29	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1857	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e89	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:426	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-181	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a58	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd5	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-515	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:686	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b31	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d91	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c1	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c6	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:922	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f54	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13aa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31c	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1226	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bb	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cd	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dff	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1486	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-144	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:649	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1722	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d54	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102d	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f5	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa0	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1982	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:551	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b83	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f17	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec3	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fc	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4eb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1449	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-107	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:278	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1351	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-367	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d17	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b8	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:180	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1945	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:514	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f77	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:b46	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2062	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:774	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f1	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3bf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d7e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ae	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1078	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aca	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1314	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eed	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1574	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1908	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12c0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:143	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-232	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c9	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b09	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fc	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2025	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:737	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-492	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d69	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1810	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11bf	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ab5	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:997	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:111b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e3	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c71	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bb	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1ced	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:4ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-72	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1537	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:106	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b69	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1797	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:366	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bf	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-455	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a71	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1e05	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:602	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c34	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:862	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e94	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16d	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:204f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18de	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ad	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:adf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6c	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d9	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1166	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-35	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:329	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1402	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-418	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:589	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a34	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1662	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:231	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c94	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-320	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8c9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:491	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2113	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:825	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-580	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e57	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd4	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f30	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-21f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d1	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-47f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:66	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1a9b	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1129	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1389	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:62c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c5e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d5	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1031	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c9	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1291	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1625	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c57	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1885	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:454	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a86	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-543	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dc6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:29	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d22	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:950	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f82	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ee	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:84f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffe	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1254	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7fb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1848	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:417	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-172	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a49	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-506	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:677	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b22	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f4	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1750	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ff	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d82	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b7	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe9	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:913	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164f	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f45	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21e	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1217	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ac	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7be	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1477	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:97a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-135	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-395	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de9	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1713	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d45	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1973	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:542	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b74	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2090	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f08	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15be	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ed	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4dc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d0f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f6f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:269	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1342	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:171	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1936	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f68	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:505	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
\.


--
-- TOC entry 5316 (class 0 OID 91063)
-- Dependencies: 827
-- Data for Name: Mountain; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountain" ("URI", "locatedOnIsland", type, "lastEruption", "inMountains", name, elevation, longitude, latitude, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy de Sancy	1885	2.8	45.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Fairweather	4663	-137.5	58.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mawenzi	5148	37.45	-3.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	\N	\N	Zhima	1276	107.4	53.15	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/island/Hokkaido/	volcanic	\N	\N	Asahi-Dake	2290	142.85	43.65	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Popocatepetl	5450	-98	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Sabalan	4811	47.8	38.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tahan/	\N	\N	\N	\N	Tahan	2190	108	4	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Torre de Cerredo	2648	4.85	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Meru	4567	36.8	-3.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Olymp/	\N	\N	\N	\N	Olymp	2917	22.35	40.1	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Ruiz	5389	-75.3	4.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Piz Bernina	4048	9.9	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum II	8034	76.65	35.75	\N
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Dychtau	5204	43.13	43.05	\N
http://www.semwebtech.org/mondial/10/mountain/Joekul/	\N	\N	\N	\N	Joekul	1876	7.2	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/island/Fogo/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Fogo	2829	-24.4	14.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/island/LaPalma/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Roque de los Muchachos	2426	-17.9	28.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Elbrus	5642	42.26	43.21	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/island/Madeira/	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Madeira/	Pico Ruivo	1861	-16	31	Volcano
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Alpamayo	5947	-77.7	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Zugspitze	2963	11.1	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Revoluzija	6940	72.2	38.3	\N
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Ulug Muztag	6973	87.4	36.4	\N
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Dodabetta	2636	76.7	11.4	\N
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mount Everest	8848	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Pico de Agulhas Negras	2791	-44.65	-22.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	\N	\N	\N	\N	Sulitjelma	1914	16.2	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grossglockner	3797	12.5	47	\N
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Pobeda	7439	80.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Kailash/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Kailash	6638	81.3	31.1	\N
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai Shan	2744	128.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	\N	\N	Mt. Babel	952	-68.7	51.45	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Bogong	1986	147.5	-37	\N
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	\N	\N	\N	\N	Kebnekaise	2114	18.3	67.5	\N
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	volcano	\N	\N	Queen Marys Peak	2062	-12.3	-37.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Hvannadalshnukur	2110	-16.7	64.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcanic	\N	\N	Piton des Neiges	3069	55.5	-21.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/island/SaintVincent/	volcano	\N	\N	Soufriere	1220	-61.2	13.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcanic	\N	\N	Pulog	2928	121	17	Volcano
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Iztaccihuatl	5286	-98.6	19.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mt Blackburn	4996	-143.4	61.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/island/Mindanao/	volcanic	\N	\N	Mount Apo	2954	125.45	7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/island/Timor/	\N	\N	\N	Tatamailau	2963	125.5	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/island/Negros/	volcano	\N	\N	Kanlaon	2435	123.1	10.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Licancabur	5920	-67.9	-22.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Zachwoa	3345	40.2	43.7	\N
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Altai/	Bjelucha	4506	86.4	49.48	\N
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	\N	\N	\N	\N	Pidurutalagala	2524	80.8	7	\N
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Elbert	4401	-106.4	39.1	\N
http://www.semwebtech.org/mondial/10/mountain/Athos/	\N	\N	\N	\N	Athos	2033	24.35	40.15	\N
http://www.semwebtech.org/mondial/10/mountain/Makalu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Makalu	8485	87.1	27.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Kosciuszko	2228	148	-36.5	\N
http://www.semwebtech.org/mondial/10/mountain/Illimani/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illimani	6439	-67.8	-16.65	\N
http://www.semwebtech.org/mondial/10/mountain/MtBona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Bona	5005	-141.75	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Coropuna	6425	-72.65	-15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Thabana Ntlenyana	3482	29.3	-29.5	\N
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Tirich Mir	7708	71.8	36.25	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/island/Bioko/	volcano	\N	\N	Pico Basile	3011	8.7	3.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Andringitra	2658	47	-22.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/island/GrandComoro/	volcano	\N	\N	Karthala	2361	43.35	-11.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Snaefell	1833	-15.2	64.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/island/VitiLevu/	volcanic	\N	\N	Mt. Victoria	1323	178	-17.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Hekla	1491	-19.7	64	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcano	\N	\N	Piton de la Fournaise	2631	55.7	-21.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/island/Teneriffa/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de Teide	3718	-16.6	28.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Finsteraarhorn	4274	8.1	46.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Mitchell	2037	-82.1	35.4	\N
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Manaslu	8163	84.6	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Cho Oyu	8188	86.65	28.35	\N
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Jabal Lubnan	3088	36.1	34.3	\N
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	\N	\N	\N	\N	Portefjaellen	2021	17.4	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Pico Bolivar	4981	-71	8.6	\N
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Wheeler Peak	4011	-105.4	36.55	\N
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Moncayo	2313	1.85	41.8	\N
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Taurus/	Demirkazik	3756	35.2	37.8	\N
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanga Parbat	8125	74.6	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Ismoil Somoni	7495	72	39	\N
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Kings Peak	4123	-110.4	40.5	\N
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Monte Falterona	1654	11.7	43.9	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ojos del Salado	6893	-68.5	-27.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Borah Peak	3859	-113.8	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Clingmans Dome	2025	-83.2	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Grampians/	Ben Nevis	1344	-5	56.8	\N
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Barbeau Peak	2616	-75	81.9	\N
http://www.semwebtech.org/mondial/10/mountain/Uluru/	\N	monolith	\N	\N	Uluru	869	131	-25.3	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Kea	4214	-155.45	19.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanda Devi	7816	80	30.4	\N
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Vignemale	3298	0.15	42.8	\N
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Karl-Marx	6726	72.5	37.16	\N
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Jezerce	2694	19.4	42.3	\N
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mont Greboun	1944	9	20	\N
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Gannett Peak	4207	-110	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Beskides/	Gerlachovsky Stit	2655	20.1	49.2	\N
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Washington	1917	-71.3	44.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/island/Cuba/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Pico Turquino	1974	-76.8	20	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	volcano	\N	\N	Mt. Giluwe	4368	143.9	-6.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Matterhorn	4478	7.56	46	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Pico Rocarre	5187	-78	-8.8	\N
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Guadalupe Peak	2667	-105	32	\N
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	\N	monolith	\N	\N	Aso Rock	400	7.5	9.05	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/island/Bougainville/	volcanic	\N	\N	Mt. Balbi	2715	155	-5.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsiafajavona	2642	47.2	-19.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/island/Lombok/	volcano	\N	\N	Rinjani	3726	116.5	-8.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mt. Odin	2147	-65.6	66.55	\N
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Annapurna	8091	83.8	28.6	\N
http://www.semwebtech.org/mondial/10/mountain/Brocken/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Harz/	Brocken	1141	10.6	51.8	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Kilimanjaro	5895	37.35	-3.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Schneekoppe	1602	15.7	50.7	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/island/Sulawesi/	volcanic	\N	\N	Rantekombola	3455	120	-3.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Loa	4170	-155.6	19.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/island/Montserrat/	volcano	\N	\N	Soufriere Hills	1050	-62.2	16.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Huascaran	6768	-77.3	-9	\N
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Boundary Peak	4006	-118.3	37.9	\N
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Monte Pissis	6795	-68.85	-27.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Toluca	4558	-99	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mt. Cook	3754	170.2	-43.6	\N
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/island/Ceram/	\N	\N	\N	Gunung Binaiya	3027	129.3	-3.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/island/SaoTome/	volcanic	\N	\N	Pico de Sao Tome	2024	6.6	0.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	\N	\N	Blue Mountain Peak	2256	-76.4	18.1	\N
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Troodos/	Olympos	1952	32.85	34.9	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/island/Bali/	volcano	\N	\N	Gunung Agung	3142	115.5	-8.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Merapi	2914	110.4	-7.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Columbia	3747	-117.44	52.15	\N
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mt Waddington	4019	-125.26	51.4	\N
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Ausangate	6336	-71.2	-13.8	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/island/Palawan/	volcanic	\N	\N	Mantalingajan	2085	118.4	9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/island/Pico/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Azores/	Pico	2351	-28.4	38.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/island/Sicilia/	volcano	\N	\N	Etna	3323	15	37.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/island/Corse/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Corse/	Monte Cinto	2706	8.9	42.4	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/island/Maui/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Haleakala	3055	-156.25	20.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Puncak Jaya	4884	137.11	-4.1	\N
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	\N	\N	Cerro de Punta	1338	-66.6	18.2	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/island/Sumbawa/	volcano	\N	\N	Tambora	2850	118	-8.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	\N	\N	\N	\N	Jostedalsbre	2083	5.5	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/island/Krakatau/	volcano	\N	\N	Krakatau	813	105.4	-6.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Karisimbi	4507	29.45	-1.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Citlaltepetl (Pico de Orizaba)	5636	-97	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Barre des Ecrins	4101	6.3	44.9	\N
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Lhotse	8516	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Robson	3954	-119.1	52.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Pico de Almanzor	2648	-5.3	40.25	\N
http://www.semwebtech.org/mondial/10/mountain/K2/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	K2	8611	76.5	35.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kongur/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Kongur	7649	75.35	38.65	\N
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Feldberg	1493	7.5	47.5	\N
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Shishapangma	8027	85.8	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Rainier	4392	-121.75	46.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mt Marcy	1629	-73.9	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Atlas/	Tubkhal	4165	-8	31	\N
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Sinai/	Jabal Katrina	2637	33.95	28.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mulhacen	3482	3.3	37	\N
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	volcano	\N	\N	Hotaka-Dake	3190	138	36	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Moskva	6785	71.5	39	\N
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zard Kuh	4550	50.1	32.35	\N
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grand Combin	4314	7.3	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Gran Paradiso	4061	7.25	45.5	\N
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	\N	\N	\N	\N	Haltiatunturi	1328	21.4	67	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Sajama	6542	-68.9	-18.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Crap Sogn Gion	2228	9.2	46.85	\N
http://www.semwebtech.org/mondial/10/mountain/Musala/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Musala	2925	23.6	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Damavand/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Elburs/	Damavand	5610	52.1	35.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Chimborazo	6287	-78.5	-1.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	volcano	\N	\N	Fujisan	3776	139	35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcano	\N	\N	Kerinci	3805	101.45	-1.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Hood	3424	-121.5	45.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Granite Peak	3901	-109.5	45	\N
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Chan-Tengri	7010	80.16	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Ararat	5165	44.3	39.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Kangchendzonga	8586	88.1	27.7	\N
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Muztagata	7509	75.1	38.27	\N
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	\N	\N	\N	\N	Jabal Shuayb	3760	44	15.5	\N
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Lenina	7134	72.9	39.35	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kasbek	5033	44.31	42.42	Volcano
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	\N	\N	Yu Shan	3950	121	23.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	\N	Mt. Wilhelm	4509	145	-5.8	\N
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/island/Kreta/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Crete/	Psiloritis	2456	24.7	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Pikes Peak	4302	-105	38.8	\N
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Roman Kosch	1545	34.25	44.61	\N
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Liushi Shan	7167	80.9	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Torre de Estrela	1993	-7.6	40.3	\N
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Vosges/	Grand Ballon	1424	7.1	47.9	\N
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	\N	\N	\N	\N	Galdhoeppig	2469	8	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Huila	5750	-76	2.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/	volcano	\N	\N	La Soufriere	1467	-61.65	16.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/	volcanic	\N	\N	Popomanaseu	2335	160.1	-9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/island/Tahiti/	volcanic	\N	\N	Mont Orohena	2241	-149.5	-17.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsaratanana	2876	48.5	-14	Volcano
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	volcano	\N	\N	Concepcion	1700	-85.6	11.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcano	1991-06-15	\N	Pinatubo	1486	120.3	15.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Semeru	3676	112.9	-8.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/island/Martinique/	volcano	\N	\N	Pelee	1397	-61.15	14.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	volcano	\N	\N	Ruapehu	2797	175.6	-39.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/island/Savaii/	volcanic	\N	\N	Silisili	1858	-172.4	-13.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Katla	1450	-19	63.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/island/Dominica/	volcano	\N	\N	Morne Diablotins	1447	-61.4	15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcanic	\N	\N	Leuser	3466	98	3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fako/	\N	volcano	\N	\N	Fako	4095	9.2	4.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Tamgak	1800	9	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Adams	3743	-121.5	46.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Broad Peak	8051	76.6	35.8	\N
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	volcano	1944-03-18	\N	Vesuv	1281	14.4	40.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Korab/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Korab	2751	20.3	41.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	\N	\N	\N	\N	Sarektjokko	2090	17.4	67.3	\N
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Hochgolling	2862	13.75	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/island/GranCanaria/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de los Nieves	1949	-15.6	25.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	\N	\N	Pico Duarte	3098	-71.3	18.3	\N
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/	granite	\N	\N	Kinabalu	4101	116.5	6.1	\N
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Logan	5959	-140.4	60.6	\N
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	\N	\N	\N	\N	Glittertind	2452	8.1	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Irazu/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Irazu	3432	-83.9	10	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt St.Elias	5489	-140.9	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Schchara/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Schchara	5200	43.1	43	\N
http://www.semwebtech.org/mondial/10/mountain/Illampu/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illampu	6368	-68.5	-15.8	\N
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Dhaulagiri	8167	83.5	28.7	\N
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Aconcagua	6962	-70	-32.65	\N
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Gran Sasso	2912	13.55	42.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mt Redoubt	3108	-152.75	60.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Darfur/	Jabal Marra	3088	24.6	13	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Monte Rosa	4634	7.9	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Ruwenzori	5109	29.9	0.4	\N
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Moldoveanu	2544	24.7	45.6	\N
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Rif/	Djebel Aures	2456	-6.5	35.5	\N
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Harney Peak	2207	-103.4	44	\N
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Grosser Arber	1456	13	49.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pico de Aneto	3404	0.65	42.6	\N
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cotopaxi	5897	-78.4	-0.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ampato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ampato	6288	-71.9	-15.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mt McKinley	6193	-151	63.1	\N
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Ural/	Narodnaja	1895	60.1	65	\N
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Cathkin Peak	3181	29.35	-29.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Pico Cristobal Colon	5775	-73.7	10.85	\N
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Marmolata	3343	11.85	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Tupungato	6550	-69.87	-33.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mt Whitney	4418	-118.2	36.6	\N
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	\N	\N	\N	\N	Snoehetta	2286	9	62.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	\N	\N	\N	\N	Tarrekaise	1850	17.3	67	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Llullaillaco	6739	-68.5	-24.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kljutschewskaja Sopka	4750	160.6	56.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Amhara/	Ras Daschan Terara	4533	38.4	13.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Tajumulco	4220	-91.9	15	Volcano
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Humphreys Peak	3850	-111.65	35.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Elgon	4321	34.55	1.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mount Kenia	5199	37.3	0.15	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cerro Chirripo	3819	-83.5	9.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Mont Blanc	4808	6.8	45.8	\N
http://www.semwebtech.org/mondial/10/mountain/Tahat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Tahat	3003	5.5	23.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Colima	4330	-104	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum I	8080	76.7	35.6	\N
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy De Dome	1465	3	45.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Emi Kussi	3415	18.5	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cayambe	5796	-78	0.1	Volcano
\.


--
-- TOC entry 5317 (class 0 OID 91069)
-- Dependencies: 828
-- Data for Name: Mountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountains" ("URI", name, latitude, elevation, type, longitude, area) FROM stdin;
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Azbine	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Sinai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Hawaii	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Crimean Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	Corse	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Jabal Lubnan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	Rif	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	British Empire Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Taurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Cascade Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Cape Verdes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Beskides	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Cordillera Real	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Grampians	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Sierra Parima	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cordillera de Talamanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Hindukusch	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Cordillera Cantabrica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Sudirman Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Adirondacks	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Sierra Madre	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Snowy Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Cordillera Volcanica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Kurdistan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Waldai Hills	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Great Dividing Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Alaska Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Lebanon	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Appalachian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Rocky Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Black Forest	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	Harz	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Coast Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Rhön	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Cevennes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Cordillera Central	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Cordillera Negra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	Andes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Wrangell Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pyrenees	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Atlas	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	Altai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zagros	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Canary Islands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Sudety Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Darfur	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Cordillera Vilcanota	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kaukasus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Elias Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Drakensberge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Apennin	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Antitaurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Sierra Nevada California	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Tian Shan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Vosges	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	Jura	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Aleutian Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Penny Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Cordillera Iberica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Elburs	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Tibesti	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	Crete	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	Ural	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	East African Rift	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Cordillera Blanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Brazilian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Bayrischer Wald	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Fichtelgebirge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Transhimalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Cordillera Betica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pamir	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	New Zealand Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Balkan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Kunlun	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Bohemian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Ethiopian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	Azores	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Ahaggar	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Sierra Maestra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Himalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Karakorum	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Karpaten	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Troodos	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Vogesen	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	West Ghats	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Madeira	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Sierra Nevada de Santa Marta	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kamchatka	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Amhara	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Thueringer Wald	\N	\N	\N	\N	\N
\.


--
-- TOC entry 5318 (class 0 OID 91075)
-- Dependencies: 829
-- Data for Name: Organization; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Organization" ("URI", "hasHeadq", abbrev, name, established) FROM stdin;
http://www.semwebtech.org/mondial/10/organization/ARF/	\N	ARF	ASEAN Regional Forum	1994-07-25
http://www.semwebtech.org/mondial/10/organization/G-11/	\N	G-11	Group of 11	1984-06-22
http://www.semwebtech.org/mondial/10/organization/UNMIL/	\N	UNMIL	United Nations Mission in Liberia	2003-09-18
http://www.semwebtech.org/mondial/10/organization/SACEP/	\N	SACEP	South Asia Co-operative Environment Program	\N
http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	CACM	Central American Common Market	1960-12-13
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNFICYP	United Nations Peacekeeping Force in Cyprus	1964-03-04
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNIFIL	United Nations Interim Force in Lebanon	1978-03-19
http://www.semwebtech.org/mondial/10/organization/ZC/	\N	ZC	Zangger Committee	\N
http://www.semwebtech.org/mondial/10/organization/UNAMID/	\N	UNAMID	African Union/United Nations Hybrid Operation in Darfur	2007-07-31
http://www.semwebtech.org/mondial/10/organization/EITI/	\N	EITI	Extractive Industry Transparency Initiative	\N
http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OECD	Organization for Economic Cooperation and Development	1960-12-14
http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FATF	Financial Action Task Force	1989-07-15
http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	ICAO	International Civil Aviation Organization	1944-12-07
http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	BDEAC	Central African States Development Bank	1975-12-03
http://www.semwebtech.org/mondial/10/organization/CPLP/	\N	CPLP	Comuinidade dos Paises de Lingua Portuguesa	\N
http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IFC	International Finance Corporation	1955-05-25
http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	CIS	Commonwealth of Independent States	1991-12-08
http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	CEI	Central European Initiative	1989-11-10
http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FZ	Franc Zone	1945-12-20
http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	EIB	European Investment Bank	1957-03-25
http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	SAARC	South Asian Association for Regional Cooperation	1985-12-08
http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	CAEU	Council of Arab Economic Unity	1957-06-02
http://www.semwebtech.org/mondial/10/organization/BSEC/	\N	BSEC	Black Sea Economic Cooperation Zone	1992-06-24
http://www.semwebtech.org/mondial/10/organization/PFP/	\N	PFP	Partnership for Peace	1994-01-10
http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EAPC	Euro-Atlantic Partnership Council	1991-11-07
http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	ADB	Asian Development Bank	1966-12-19
http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	G-10	Group of 10	1962-10-01
http://www.semwebtech.org/mondial/10/organization/ITSO/	\N	ITSO	International Telecommunication Satellite Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNISFA/	\N	UNISFA	United Nations Interim Security Force for Abyei	2011-06-26
http://www.semwebtech.org/mondial/10/organization/CBSS/	\N	CBSS	Council of the Baltic Sea States	1992-03-06
http://www.semwebtech.org/mondial/10/organization/EAC/	\N	EAC	East African Community	\N
http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	ANZUS	Australia-New Zealand-United States Security Treaty	1951-08-31
http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	SPC	Secretariat of the Pacific Community	1947-02-05
http://www.semwebtech.org/mondial/10/organization/G-9/	\N	G-9	Group of 9	\N
http://www.semwebtech.org/mondial/10/organization/IGAD/	\N	IGAD	Inter-Governmental Authority on Development	\N
http://www.semwebtech.org/mondial/10/organization/Sparteca/	\N	Sparteca	South Pacific Regional Trade and Economic Cooperation Agreement	1981-01-01
http://www.semwebtech.org/mondial/10/organization/EAS/	\N	EAS	East Asia Summit	2005-12-14
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	ECOWAS	Economic Community of West African States	1975-05-28
http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Entente	Council of the Entente	1959-05-29
http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	BA	Baltic Assembly	1990-05-12
http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	COMESA	Common Market for Eastern and Southern Africa	1994-12-08
http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	OECS	Organization of Eastern Caribbean States	1981-06-17
http://www.semwebtech.org/mondial/10/organization/IPU/	\N	IPU	Inter-Parliamentary Union	\N
http://www.semwebtech.org/mondial/10/organization/G-77/	\N	G-77	Group of 77	1964-06-14
http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	OPCW	Organization for the Prohibition of Chemical Weapons	1997-04-28
http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	NAM	Nonaligned Movement	1961-09-05
http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ICC	International Chamber of Commerce	1919-01-01
http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	BCIE	Central American Bank for Economic Integration	1960-12-13
http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	ASEAN	Association of Southeast Asian Nations	1967-08-07
http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WIPO	World Intellectual Property Organization	1967-07-14
http://www.semwebtech.org/mondial/10/organization/PCA/	\N	PCA	Permanent Court of Arbitration	1899-07-29
http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	GUAM	Organization for Democracy and Economic Development	2001-06-06
http://www.semwebtech.org/mondial/10/organization/UNOCI/	\N	UNOCI	United Nations Operation in Cote d'Ivoire	2004-02-26
http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	PIF	Pacific Islands Forum	1971-08-04
http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNRWA	United Nations Relief and Works Agency for Palestine Refugees in the Near East	1949-12-08
http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	SCO	Shanghai Cooperation Organization	2001-06-14
http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IMF	International Monetary Fund	1944-07-22
http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	AfDB	African Development Bank Group	1964-09-09
http://www.semwebtech.org/mondial/10/organization/AFESD/	\N	AFESD	Arab Fund for Economic and Social Development	1968-05-16
http://www.semwebtech.org/mondial/10/organization/OAPEC/	\N	OAPEC	Organization of Arab Petroleum Exporting Countries	1968-01-08
http://www.semwebtech.org/mondial/10/organization/G-20/	\N	G-20	Group of 20	1999-12-16
http://www.semwebtech.org/mondial/10/organization/AG/	\N	AG	Australia Group	\N
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	\N	MONUSCO	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo	2010-05-28
http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ITU	International Telecommunication Union	1865-05-17
http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	NATO	North Atlantic Treaty Organization	1949-04-03
http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	AU	African Union	1963-05-25
http://www.semwebtech.org/mondial/10/organization/UNMISS/	\N	UNMISS	United Nations Mission in the Republic of South Sudan	2011-07-08
http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IOM	International Organization for Migration	1951-12-05
http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WHO	World Health Organization	1946-07-22
http://www.semwebtech.org/mondial/10/organization/G-8/	\N	G-8	Group of 8	1975-10-01
http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	OAS	Organization of American States	1890-04-13
http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICCt	International Criminal Court	2002-07-01
http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OPEC	Organization of Petroleum Exporting Countries	1960-09-13
http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	IFAD	International Fund for Agricultural Development	1974-11-01
http://www.semwebtech.org/mondial/10/organization/CDB/	\N	CDB	Caribbean Development Bank	1969-10-18
http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	CERN	European Organization for Nuclear Research	1953-07-01
http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IDA	International Development Association	1960-01-25
http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	G-15	Group of 15	\N
http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	ECB	European Central Bank	1998-05-31
http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Caricom	Caribbean Community and Common Market	1973-07-04
http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EU	European Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	OIC	Organization of Islamic Cooperation	1969-09-24
http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UN	United Nations	1945-06-25
http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	EBRD	European Bank for Reconstruction and Development	1990-01-08
http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	IDB	Islamic Development Bank	1973-12-15
http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	EFTA	European Free Trade Association	1960-01-03
http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	BIS	Bank for International Settlements	1930-01-19
http://www.semwebtech.org/mondial/10/organization/NAFTA/	\N	NAFTA	North American Free Trade Agreement	1992-12-17
http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IBRD	International Bank for Reconstruction and Development	1944-07-22
http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	ECO	Economic Cooperation Organization	1985-01-28
http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	LAIA	Latin American Integration Association	1980-08-11
http://www.semwebtech.org/mondial/10/organization/NEA/	\N	NEA	Nuclear Energy Agency	1958-01-31
http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	SADC	Southern African Development Community	1992-08-16
http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	APEC	Asia-Pacific Economic Cooperation	1989-11-06
http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	CP	Colombo Plan	1951-07-01
http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	CAN	Andean Community	1969-05-26
http://www.semwebtech.org/mondial/10/organization/IHO/	\N	IHO	International Hydrographic Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNIDO	United Nations Industrial Development Organization	1966-11-16
http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	UNTSO	United Nations Truce Supervision Organization	1948-05-01
http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	UNDOF	United Nations Disengagement Observer Force	1974-05-31
http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	MINURSO	United Nations Mission for the Referendum in Western Sahara	1991-04-28
http://www.semwebtech.org/mondial/10/organization/UNITAR/	\N	UNITAR	United Nations Institute for Training and Research	1963-12-11
http://www.semwebtech.org/mondial/10/organization/CEPGL/	\N	CEPGL	Economic Community of the Great Lakes Countries	1976-09-19
http://www.semwebtech.org/mondial/10/organization/G-3/	\N	G-3	Group of 3	1990-10-01
http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	SICA	Central American Integration System	1991-12-13
http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	FAO	Food and Agriculture Organization	1945-10-16
http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ISO	International Organization for Standardization	1947-02-01
http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	G-24	Group of 24	1989-07-31
http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	IOC	International Olympic Committee	1894-06-22
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNMOGIP	United Nations Military Observer Group in India and Pakistan	1949-01-23
http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OIF	International Organization of the French-speaking World	1970-03-20
http://www.semwebtech.org/mondial/10/organization/AOSIS/	\N	AOSIS	Alliance of Small Island States	\N
http://www.semwebtech.org/mondial/10/organization/CD/	\N	CD	Community of Democracies	2000-06-26
http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	NC	Nordic Council	1952-03-16
http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ILO	International Labor Organization	1919-06-27
http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	UNESCO	United Nations Educational, Scientific, and Cultural Organization	1945-11-15
http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	LAES	Latin American and Caribbean Economic System	1975-10-17
http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	IEA	International Energy Agency	1974-11-14
http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	NIB	Nordic Investment Bank	1975-12-04
http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNSC	United Nations Security Council	1945-06-25
http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	GCTU	General Confederation of Trade Unions	1992-04-15
http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	SACU	Southern African Customs Union	1969-12-11
http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	ABEDA	Arab Bank for Economic Development in Africa	1974-02-17
http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Benelux	Benelux Union	1958-02-02
http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICJ	International Court of Justice	1945-06-25
http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	UPU	Universal Postal Union	1874-10-09
http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	EADB	East African Development Bank	1967-06-05
http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ITUC	International Trade Union Confederation	2006-11-02
http://www.semwebtech.org/mondial/10/organization/WTO/	\N	WTO	World Trade Organization	1994-04-14
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	\N	UNCTAD	United Nations Conference on Trade and Development	1964-12-30
http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EMU	Economic and Monetary Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Mercosur	Southern Cone Common Market	1991-03-26
http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	CE	Council of Europe	1949-05-05
http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IADB	Inter-American Development Bank	1959-04-07
http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	CEMAC	Economic and Monetary Community of Central Africa	1964-12-08
http://www.semwebtech.org/mondial/10/organization/G-5/	\N	G-5	Group of 5	1985-09-21
http://www.semwebtech.org/mondial/10/organization/EurasEC/	\N	EurasEC	Eurasian Economic Community	\N
http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNHCR	United Nations High Commissioner for Refugees	1949-12-03
http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WMO	World Meteorological Organization	1947-10-11
http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	OPANAL	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean	1967-02-13
http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	SELEC	Convention of the Southeast European Law Enforcement Center	2011-10-07
http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	UNWTO	World Tourism Organization	1975-01-01
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	\N	BIMSTEC	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation	\N
http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	IAEA	International Atomic Energy Agency	1956-10-26
http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	WFTU	World Federation of Trade Unions	1945-10-03
http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	MIGA	Multilateral Investment Guarantee Agency	1988-04-11
http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	CSTO	Collective Security Treaty Organization	2002-10-07
http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	NSG	Nuclear Suppliers Group	\N
http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	InOC	Indian Ocean Commission	1982-12-21
http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	UNASUR	Union of South American Nations	2008-05-23
http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	LAS	League of Arab States	1945-03-22
http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ESA	European Space Agency	1975-05-31
http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ACP	African, Caribbean, and Pacific Group of States	1975-06-05
http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMSO	International Mobile Satellite Organization	1999-04-14
http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Interpol	International Criminal Police Organization	1956-06-13
http://www.semwebtech.org/mondial/10/organization/G-7/	\N	G-7	Group of 7	1985-09-21
http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	CICA	Conference of Interaction and Confidence-Building Measures in Asia	1999-09-13
http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IFRCS	International Federation of Red Cross and Red Crescent Societies	1919-05-05
http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	GCC	Gulf Cooperation Council	1981-05-25
http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMO	International Maritime Organization	1948-03-06
http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	AMF	Arab Monetary Fund	1976-04-26
http://www.semwebtech.org/mondial/10/organization/UNMIT/	\N	UNMIT	United Nations Integrated Mission in Timor-Leste	2006-08-24
http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	WCO	World Customs Organization	1950-12-15
http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OSCE	Organization for Security and Cooperation in Europe	1994-12-31
http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	C	Commonwealth	1931-12-31
http://www.semwebtech.org/mondial/10/organization/D-8/	\N	D-8	Developing Eight	1997-06-14
http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	AMU	Arab Maghreb Union	1989-02-16
http://www.semwebtech.org/mondial/10/organization/CELAC/	\N	CELAC	Community of Latin American and Caribbean States	2010-02-22
\.


--
-- TOC entry 5319 (class 0 OID 91078)
-- Dependencies: 830
-- Data for Name: Province; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Province" ("URI", name, capital, area, "isProvinceOf", population) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Sibiu	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	5432	http://www.semwebtech.org/mondial/10/country/RO/	397322
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Gorj	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	5601	http://www.semwebtech.org/mondial/10/country/RO/	341594
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Arad	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	7754	http://www.semwebtech.org/mondial/10/country/RO/	430629
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Argeş	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	6826	http://www.semwebtech.org/mondial/10/country/RO/	612431
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Timiş	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	8696	http://www.semwebtech.org/mondial/10/country/RO/	683540
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Neamţ	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	5896	http://www.semwebtech.org/mondial/10/country/RO/	470766
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Sălaj	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	3864	http://www.semwebtech.org/mondial/10/country/RO/	224384
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Ialomiţa	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	4452	http://www.semwebtech.org/mondial/10/country/RO/	274148
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Dolj	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	7414	http://www.semwebtech.org/mondial/10/country/RO/	660544
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Suceava	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	8553	http://www.semwebtech.org/mondial/10/country/RO/	634810
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Maramureş	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	6304	http://www.semwebtech.org/mondial/10/country/RO/	478659
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Mureş	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	6713	http://www.semwebtech.org/mondial/10/country/RO/	550846
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Vrancea	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	4857	http://www.semwebtech.org/mondial/10/country/RO/	340310
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Brăila	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	4765	http://www.semwebtech.org/mondial/10/country/RO/	321212
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Braşov	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	5363	http://www.semwebtech.org/mondial/10/country/RO/	549217
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Tulcea	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	8498	http://www.semwebtech.org/mondial/10/country/RO/	213083
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Bucureşti	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	237	http://www.semwebtech.org/mondial/10/country/RO/	1883425
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Liaoning	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	151000	http://www.semwebtech.org/mondial/10/country/CN/	43900000
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Chandigarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	114	http://www.semwebtech.org/mondial/10/country/IND/	1055450
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Śląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	12333	http://www.semwebtech.org/mondial/10/country/PL/	4620624
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Orientale	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	503239	http://www.semwebtech.org/mondial/10/country/ZRE/	5566000
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Beni	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	213564	http://www.semwebtech.org/mondial/10/country/BOL/	421196
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Chiba	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	5156	http://www.semwebtech.org/mondial/10/country/J/	6192000
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Fromager	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	6912	http://www.semwebtech.org/mondial/10/country/CI/	542992
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Goiás	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	340086	http://www.semwebtech.org/mondial/10/country/BR/	6523222
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Rio de Janeiro	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	43696	http://www.semwebtech.org/mondial/10/country/BR/	16461173
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	126386	http://www.semwebtech.org/mondial/10/country/Z/	881524
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Oslo	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	454	http://www.semwebtech.org/mondial/10/country/N/	623966
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Kymi	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	\N	http://www.semwebtech.org/mondial/10/country/SF/	345000
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Namur	http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	3666	http://www.semwebtech.org/mondial/10/country/B/	482451
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Brabant Wallon	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	1090	http://www.semwebtech.org/mondial/10/country/B/	388526
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Mato Grosso	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	903358	http://www.semwebtech.org/mondial/10/country/BR/	3224357
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Chelyabinsk	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	87900	http://www.semwebtech.org/mondial/10/country/R/	3490053
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Tamil Nadu	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	130060	http://www.semwebtech.org/mondial/10/country/IND/	72147030
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Gujarat	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	196244	http://www.semwebtech.org/mondial/10/country/IND/	60439692
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Edirne	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	6097	http://www.semwebtech.org/mondial/10/country/TR/	399708
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Jawa Barat	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	35377	http://www.semwebtech.org/mondial/10/country/RI/	46300543
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Minas Gerais	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	586528	http://www.semwebtech.org/mondial/10/country/BR/	20734097
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Erzurum	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	25330	http://www.semwebtech.org/mondial/10/country/TR/	778195
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Kastamonu	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	13157	http://www.semwebtech.org/mondial/10/country/TR/	359808
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Bahia	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	564692	http://www.semwebtech.org/mondial/10/country/BR/	15126371
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Western Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	129462	http://www.semwebtech.org/mondial/10/country/RSA/	5822734
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	North Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	178711	http://www.semwebtech.org/mondial/10/country/USA/	739482
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Orenburg	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	124000	http://www.semwebtech.org/mondial/10/country/R/	2008566
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Libertador General Bernardo O'Higgins	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	16387	http://www.semwebtech.org/mondial/10/country/RCH/	851406
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Bacău	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	6620	http://www.semwebtech.org/mondial/10/country/RO/	616168
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Gansu	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	366500	http://www.semwebtech.org/mondial/10/country/CN/	25821800
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Xinjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	1646900	http://www.semwebtech.org/mondial/10/country/CN/	22643000
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Bihor	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	7544	http://www.semwebtech.org/mondial/10/country/RO/	575398
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Baden-Württemberg	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	35751	http://www.semwebtech.org/mondial/10/country/D/	10486660
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Malanje	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	97602	http://www.semwebtech.org/mondial/10/country/ANG/	968135
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Vâlcea	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	5764	http://www.semwebtech.org/mondial/10/country/RO/	371714
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Paraná	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	199315	http://www.semwebtech.org/mondial/10/country/BR/	11081692
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Sichuan	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	488000	http://www.semwebtech.org/mondial/10/country/CN/	81070000
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Jilin	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	187000	http://www.semwebtech.org/mondial/10/country/CN/	27512800
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Dhaka	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	31177	http://www.semwebtech.org/mondial/10/country/BD/	47424418
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Hunedoara	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	7062	http://www.semwebtech.org/mondial/10/country/RO/	418565
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Nei Mongol	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	1177500	http://www.semwebtech.org/mondial/10/country/CN/	24976100
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Guangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	220400	http://www.semwebtech.org/mondial/10/country/CN/	47190000
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Heilongjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	463600	http://www.semwebtech.org/mondial/10/country/CN/	38350200
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Constanţa	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	7071	http://www.semwebtech.org/mondial/10/country/RO/	684082
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Mehedinţi	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	4932	http://www.semwebtech.org/mondial/10/country/RO/	265390
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Alba	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	6241	http://www.semwebtech.org/mondial/10/country/RO/	342376
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Călăraşi	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	5087	http://www.semwebtech.org/mondial/10/country/RO/	306691
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Dâmboviţa	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	4054	http://www.semwebtech.org/mondial/10/country/RO/	518745
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Zhejiang	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	101800	http://www.semwebtech.org/mondial/10/country/CN/	54980000
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Ilfov	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	1583	http://www.semwebtech.org/mondial/10/country/RO/	388738
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Maranhão	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	331983	http://www.semwebtech.org/mondial/10/country/BR/	6850884
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Arizona	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	294207	http://www.semwebtech.org/mondial/10/country/USA/	6731484
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Pernambuco	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	98311	http://www.semwebtech.org/mondial/10/country/BR/	9277727
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Emilia-Romagna	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	22445	http://www.semwebtech.org/mondial/10/country/I/	4342135
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Vaslui	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	5318	http://www.semwebtech.org/mondial/10/country/RO/	395499
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Teleorman	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	5789	http://www.semwebtech.org/mondial/10/country/RO/	380123
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Buzău	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	6102	http://www.semwebtech.org/mondial/10/country/RO/	451069
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Satu-Mare	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	4417	http://www.semwebtech.org/mondial/10/country/RO/	344360
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Caraş-Severin	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	8519	http://www.semwebtech.org/mondial/10/country/RO/	295579
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Indiana	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	92789	http://www.semwebtech.org/mondial/10/country/USA/	6596855
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Texas	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	676587	http://www.semwebtech.org/mondial/10/country/USA/	26956958
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Bistriţa-Năsăud	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	5355	http://www.semwebtech.org/mondial/10/country/RO/	286225
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Galaţi	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	4466	http://www.semwebtech.org/mondial/10/country/RO/	536167
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Gauteng	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	18178	http://www.semwebtech.org/mondial/10/country/RSA/	12272263
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Hessen	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	21114	http://www.semwebtech.org/mondial/10/country/D/	5971816
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Donets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	26517	http://www.semwebtech.org/mondial/10/country/UA/	4403178
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	North Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	125920	http://www.semwebtech.org/mondial/10/country/USA/	9943964
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Ohio	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	105829	http://www.semwebtech.org/mondial/10/country/USA/	11594163
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Michigan	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	146435	http://www.semwebtech.org/mondial/10/country/USA/	9909877
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Bamako	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	252	http://www.semwebtech.org/mondial/10/country/RMM/	1809106
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Ségou	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	64821	http://www.semwebtech.org/mondial/10/country/RMM/	2336255
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	New York	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	122057	http://www.semwebtech.org/mondial/10/country/USA/	19746227
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Niedersachsen	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	47613	http://www.semwebtech.org/mondial/10/country/D/	7777992
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Sikasso	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	70280	http://www.semwebtech.org/mondial/10/country/RMM/	2625919
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Kayes	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	119743	http://www.semwebtech.org/mondial/10/country/RMM/	1996812
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Gao	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	170572	http://www.semwebtech.org/mondial/10/country/RMM/	544120
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Koulikoro	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	95848	http://www.semwebtech.org/mondial/10/country/RMM/	2418305
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Tombouctou	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	496611	http://www.semwebtech.org/mondial/10/country/RMM/	681691
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Kidal	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	151430	http://www.semwebtech.org/mondial/10/country/RMM/	67638
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Puntarenas	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	11265	http://www.semwebtech.org/mondial/10/country/CR/	461671
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Heredia	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	2656	http://www.semwebtech.org/mondial/10/country/CR/	483154
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Cartago	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	3124	http://www.semwebtech.org/mondial/10/country/CR/	516831
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Moskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	45900	http://www.semwebtech.org/mondial/10/country/R/	7133620
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Limón	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	9188	http://www.semwebtech.org/mondial/10/country/CR/	428103
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Guanacaste	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	10140	http://www.semwebtech.org/mondial/10/country/CR/	359869
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	East Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	15606	http://www.semwebtech.org/mondial/10/country/GB/	4598729
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Yorkshire and the Humber	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	15407	http://www.semwebtech.org/mondial/10/country/GB/	5337710
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	South West	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	23837	http://www.semwebtech.org/mondial/10/country/GB/	5377595
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Alajuela	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	9757	http://www.semwebtech.org/mondial/10/country/CR/	946607
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Dar es Salaam	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	1393	http://www.semwebtech.org/mondial/10/country/EAT/	4364541
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	San José	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	4965	http://www.semwebtech.org/mondial/10/country/CR/	1576884
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Lindi	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	66040	http://www.semwebtech.org/mondial/10/country/EAT/	864652
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Kagera	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	25265	http://www.semwebtech.org/mondial/10/country/EAT/	2458023
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Dodoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	41311	http://www.semwebtech.org/mondial/10/country/EAT/	2083588
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Manyara	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	44522	http://www.semwebtech.org/mondial/10/country/EAT/	1425131
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Kigoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	37040	http://www.semwebtech.org/mondial/10/country/EAT/	2127930
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Morogoro	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	70624	http://www.semwebtech.org/mondial/10/country/EAT/	2218492
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Katavi	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	45843	http://www.semwebtech.org/mondial/10/country/EAT/	564604
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Hubei	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	187500	http://www.semwebtech.org/mondial/10/country/CN/	57990000
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Geita	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	20054	http://www.semwebtech.org/mondial/10/country/EAT/	1739530
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Maharashtra	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	307713	http://www.semwebtech.org/mondial/10/country/IND/	112374333
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Georgia	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	148959	http://www.semwebtech.org/mondial/10/country/USA/	10097343
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Kusini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	332	http://www.semwebtech.org/mondial/10/country/EAT/	195116
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Shandong	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	153300	http://www.semwebtech.org/mondial/10/country/CN/	97333900
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Nordland	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	38482	http://www.semwebtech.org/mondial/10/country/N/	239611
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Souss Massa Daraa	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	70880	http://www.semwebtech.org/mondial/10/country/MA/	3601917
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Doukala Abda	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	13285	http://www.semwebtech.org/mondial/10/country/MA/	2183090
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Rabat Sale Zemmour Zaer	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	9580	http://www.semwebtech.org/mondial/10/country/MA/	2676754
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Gharb Chrarda Beni Hssen	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	8805	http://www.semwebtech.org/mondial/10/country/MA/	1904112
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Taza Al Hoceima Taounate	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	24155	http://www.semwebtech.org/mondial/10/country/MA/	1807036
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Meknes Tafilalet	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	79210	http://www.semwebtech.org/mondial/10/country/MA/	2316865
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Tanger Tetouan	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	11570	http://www.semwebtech.org/mondial/10/country/MA/	3157075
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Chaouia Ouardigha	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	7010	http://www.semwebtech.org/mondial/10/country/MA/	1893950
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Fes Boulemane	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	19795	http://www.semwebtech.org/mondial/10/country/MA/	1808295
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Guelmim Es Semara	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	62825	http://www.semwebtech.org/mondial/10/country/MA/	501921
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Grand Casablanca	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	1615	http://www.semwebtech.org/mondial/10/country/MA/	4270750
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Mendoza	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	148827	http://www.semwebtech.org/mondial/10/country/RA/	1863809
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Poitou Charentes	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	25809	http://www.semwebtech.org/mondial/10/country/F/	1777773
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Languedoc-Roussillon	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	27375	http://www.semwebtech.org/mondial/10/country/F/	2670046
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Alsace	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	8280	http://www.semwebtech.org/mondial/10/country/F/	1852325
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Cluj	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	6674	http://www.semwebtech.org/mondial/10/country/RO/	691106
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Khanty Mansi ao	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	534800	http://www.semwebtech.org/mondial/10/country/R/	1532243
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Covasna	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	3709	http://www.semwebtech.org/mondial/10/country/RO/	210177
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Iaşi	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	5475	http://www.semwebtech.org/mondial/10/country/RO/	772348
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Botoşani	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	4985	http://www.semwebtech.org/mondial/10/country/RO/	412626
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Prahova	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	4715	http://www.semwebtech.org/mondial/10/country/RO/	762886
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Giurgiu	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	3526	http://www.semwebtech.org/mondial/10/country/RO/	281422
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Olt	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	5498	http://www.semwebtech.org/mondial/10/country/RO/	436400
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Harghita	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	6638	http://www.semwebtech.org/mondial/10/country/RO/	310867
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Pwani	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	32547	http://www.semwebtech.org/mondial/10/country/EAT/	1098668
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Kaskazini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	574	http://www.semwebtech.org/mondial/10/country/EAT/	211732
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Mara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	21760	http://www.semwebtech.org/mondial/10/country/EAT/	1743830
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Kaskazini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	470	http://www.semwebtech.org/mondial/10/country/EAT/	187455
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Shinyanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	18901	http://www.semwebtech.org/mondial/10/country/EAT/	1534808
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Njombe	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	21347	http://www.semwebtech.org/mondial/10/country/EAT/	702097
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Tanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	26677	http://www.semwebtech.org/mondial/10/country/EAT/	2045205
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Tabora	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	76150	http://www.semwebtech.org/mondial/10/country/EAT/	2291623
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Mjini Magharibi Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	230	http://www.semwebtech.org/mondial/10/country/EAT/	593678
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Kusini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	854	http://www.semwebtech.org/mondial/10/country/EAT/	115588
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Mbeya	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	60350	http://www.semwebtech.org/mondial/10/country/EAT/	2707410
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Mtwara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	16710	http://www.semwebtech.org/mondial/10/country/EAT/	1270854
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Iringa	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	35503	http://www.semwebtech.org/mondial/10/country/EAT/	941238
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Nara	http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	3691	http://www.semwebtech.org/mondial/10/country/J/	1383000
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Eastern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	168966	http://www.semwebtech.org/mondial/10/country/RSA/	6562053
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Mopti	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	79017	http://www.semwebtech.org/mondial/10/country/RMM/	2037330
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Ruvuma	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	63669	http://www.semwebtech.org/mondial/10/country/EAT/	1376891
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Arusha	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	37576	http://www.semwebtech.org/mondial/10/country/EAT/	1694310
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Santiago de Estero	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	136351	http://www.semwebtech.org/mondial/10/country/RA/	918147
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Kwara	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	34467	http://www.semwebtech.org/mondial/10/country/WAN/	2742093
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Prince Edward Island	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	5685	http://www.semwebtech.org/mondial/10/country/CDN/	145237
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Rio Grande do Norte	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	52796	http://www.semwebtech.org/mondial/10/country/BR/	3408510
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Szabolcs-Szatmár-Bereg	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	5935	http://www.semwebtech.org/mondial/10/country/H/	559272
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Dytikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	9451	http://www.semwebtech.org/mondial/10/country/GR/	283689
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Ionion Nison	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	2306	http://www.semwebtech.org/mondial/10/country/GR/	207855
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Telangana	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	114840	http://www.semwebtech.org/mondial/10/country/IND/	35193978
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Chhattisgarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	135191	http://www.semwebtech.org/mondial/10/country/IND/	25545198
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Sicilia	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	25711	http://www.semwebtech.org/mondial/10/country/I/	5002904
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	As Sulaymaniyah	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	17023	http://www.semwebtech.org/mondial/10/country/IRQ/	942513
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	al-Qadisiya	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	8153	http://www.semwebtech.org/mondial/10/country/IRQ/	1134313
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Grodno	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	25118	http://www.semwebtech.org/mondial/10/country/BY/	1056955
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Nagasaki	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	4105	http://www.semwebtech.org/mondial/10/country/J/	1397000
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Vaud	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	3212	http://www.semwebtech.org/mondial/10/country/CH/	749373
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Dushanbe	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	100	http://www.semwebtech.org/mondial/10/country/TAD/	775800
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Tarija	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	37623	http://www.semwebtech.org/mondial/10/country/BOL/	482196
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Idlib	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	6097	http://www.semwebtech.org/mondial/10/country/SYR/	1464000
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	147826	http://www.semwebtech.org/mondial/10/country/Z/	1759600
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Aktobe	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	300629	http://www.semwebtech.org/mondial/10/country/KAZ/	808878
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Sulawesi Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	13851	http://www.semwebtech.org/mondial/10/country/RI/	2382941
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	DKI Jakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	664	http://www.semwebtech.org/mondial/10/country/RI/	10135030
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Kalimantan Timur	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	204534	http://www.semwebtech.org/mondial/10/country/RI/	4115741
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Aust-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	9157	http://www.semwebtech.org/mondial/10/country/N/	112772
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Tadla Azilal	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	17125	http://www.semwebtech.org/mondial/10/country/MA/	1607506
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Nay Pyi Taw	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	7054	http://www.semwebtech.org/mondial/10/country/MYA/	1158367
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Bago	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	39402	http://www.semwebtech.org/mondial/10/country/MYA/	4863455
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Semnan	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	97491	http://www.semwebtech.org/mondial/10/country/IR/	631218
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Ancash	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	35914	http://www.semwebtech.org/mondial/10/country/PE/	1129391
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Xizang	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	1221600	http://www.semwebtech.org/mondial/10/country/CN/	3120400
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Hatay	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	5831	http://www.semwebtech.org/mondial/10/country/TR/	1483674
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Yalova	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	850	http://www.semwebtech.org/mondial/10/country/TR/	211799
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Osmaniye	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	3195	http://www.semwebtech.org/mondial/10/country/TR/	492135
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Taraba	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	60291	http://www.semwebtech.org/mondial/10/country/WAN/	2647413
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Johor	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	19210	http://www.semwebtech.org/mondial/10/country/MAL/	3348283
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Sinaloa	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	57377	http://www.semwebtech.org/mondial/10/country/MEX/	2767761
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andrés, Providencia y Santa Catalina	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	44	http://www.semwebtech.org/mondial/10/country/CO/	75801
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Tolima	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	23562	http://www.semwebtech.org/mondial/10/country/CO/	1404262
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Toshkent City	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	300	http://www.semwebtech.org/mondial/10/country/UZB/	2352900
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Sirdaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	5100	http://www.semwebtech.org/mondial/10/country/UZB/	763800
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Andijon	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	4200	http://www.semwebtech.org/mondial/10/country/UZB/	2805500
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Tul´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	25700	http://www.semwebtech.org/mondial/10/country/R/	1521497
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Karelia	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	172400	http://www.semwebtech.org/mondial/10/country/R/	634402
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Kirov	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	120800	http://www.semwebtech.org/mondial/10/country/R/	1310929
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Arica y Parinacota	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	16873	http://www.semwebtech.org/mondial/10/country/RCH/	212813
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Värmland	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	17591	http://www.semwebtech.org/mondial/10/country/S/	273080
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Picardie	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	19399	http://www.semwebtech.org/mondial/10/country/F/	1918155
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Lorraine	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	23547	http://www.semwebtech.org/mondial/10/country/F/	2350657
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Kilimanjaro	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	13250	http://www.semwebtech.org/mondial/10/country/EAT/	1640087
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Simiyu	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	25212	http://www.semwebtech.org/mondial/10/country/EAT/	1584157
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Rukwa	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	22792	http://www.semwebtech.org/mondial/10/country/EAT/	1004539
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Mwanza	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	9467	http://www.semwebtech.org/mondial/10/country/EAT/	2772509
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Singida	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	49340	http://www.semwebtech.org/mondial/10/country/EAT/	1370637
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Manica	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	62272	http://www.semwebtech.org/mondial/10/country/MOC/	1735351
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Tete	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	98417	http://www.semwebtech.org/mondial/10/country/MOC/	2228527
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Gaza	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	75334	http://www.semwebtech.org/mondial/10/country/MOC/	1344095
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	22693	http://www.semwebtech.org/mondial/10/country/MOC/	1506442
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Zambézia	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	103478	http://www.semwebtech.org/mondial/10/country/MOC/	4444204
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Niassa	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	122827	http://www.semwebtech.org/mondial/10/country/MOC/	1472387
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Nampula	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	79010	http://www.semwebtech.org/mondial/10/country/MOC/	4647841
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Inhambane	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	68775	http://www.semwebtech.org/mondial/10/country/MOC/	1426684
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Sofala	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	67753	http://www.semwebtech.org/mondial/10/country/MOC/	1903728
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Cidade de Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	347	http://www.semwebtech.org/mondial/10/country/MOC/	1194121
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Cabo Delgado	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	78778	http://www.semwebtech.org/mondial/10/country/MOC/	1797335
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Győr-Moson-Sopron	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	4208	http://www.semwebtech.org/mondial/10/country/H/	447985
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Bács-Kiskun	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	8444	http://www.semwebtech.org/mondial/10/country/H/	520331
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Nógrád	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	2545	http://www.semwebtech.org/mondial/10/country/H/	202427
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Hajdú-Bihar	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	6210	http://www.semwebtech.org/mondial/10/country/H/	546721
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Heves	http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	3637	http://www.semwebtech.org/mondial/10/country/H/	308882
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Békés	http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	5629	http://www.semwebtech.org/mondial/10/country/H/	359948
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Zaire	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	40130	http://www.semwebtech.org/mondial/10/country/ANG/	567225
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Uíge	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	58698	http://www.semwebtech.org/mondial/10/country/ANG/	1426354
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Huíla	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	79023	http://www.semwebtech.org/mondial/10/country/ANG/	2354398
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Huambo	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	34270	http://www.semwebtech.org/mondial/10/country/ANG/	1896147
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Cuanza Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	24110	http://www.semwebtech.org/mondial/10/country/ANG/	427971
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Cunene	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	87342	http://www.semwebtech.org/mondial/10/country/ANG/	965288
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Bengo	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	31371	http://www.semwebtech.org/mondial/10/country/ANG/	351579
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Bié	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	70314	http://www.semwebtech.org/mondial/10/country/ANG/	1338923
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Luanda	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	2417	http://www.semwebtech.org/mondial/10/country/ANG/	6542944
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Cabinda	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	7270	http://www.semwebtech.org/mondial/10/country/ANG/	688285
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Benguela	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	39826	http://www.semwebtech.org/mondial/10/country/ANG/	2036662
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Moxico	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	223023	http://www.semwebtech.org/mondial/10/country/ANG/	727594
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Lunda-Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	77367	http://www.semwebtech.org/mondial/10/country/ANG/	516077
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Cuando Cubango	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	199049	http://www.semwebtech.org/mondial/10/country/ANG/	510369
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Cuanza Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	55600	http://www.semwebtech.org/mondial/10/country/ANG/	1793787
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Namibe	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	57091	http://www.semwebtech.org/mondial/10/country/ANG/	471613
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Lunda-Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	103760	http://www.semwebtech.org/mondial/10/country/ANG/	799950
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Continental	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	26017	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Insular	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	2034	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Cordillera	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	19422	http://www.semwebtech.org/mondial/10/country/RP/	1616867
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Central Luzon	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	22014	http://www.semwebtech.org/mondial/10/country/RP/	10137737
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Boreioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	3835	http://www.semwebtech.org/mondial/10/country/GR/	199231
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Peloponnisos	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	15489	http://www.semwebtech.org/mondial/10/country/GR/	577903
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Cagayan Valley	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	28228	http://www.semwebtech.org/mondial/10/country/RP/	3229163
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Calabarzon	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	16873	http://www.semwebtech.org/mondial/10/country/RP/	12609803
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Northern Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	20496	http://www.semwebtech.org/mondial/10/country/RP/	4297323
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Muslim Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	21065	http://www.semwebtech.org/mondial/10/country/RP/	3256140
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Ilocos	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	13012	http://www.semwebtech.org/mondial/10/country/RP/	4748372
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Central Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	15885	http://www.semwebtech.org/mondial/10/country/RP/	6800180
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Eastern Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	23251	http://www.semwebtech.org/mondial/10/country/RP/	4101322
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Zamboanga Peninsula	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	17046	http://www.semwebtech.org/mondial/10/country/RP/	3407353
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Caraga	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	21478	http://www.semwebtech.org/mondial/10/country/RP/	2429224
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Soccsksargen	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	22513	http://www.semwebtech.org/mondial/10/country/RP/	4109571
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Davao	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	20357	http://www.semwebtech.org/mondial/10/country/RP/	4468563
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Western Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	20794	http://www.semwebtech.org/mondial/10/country/RP/	7102438
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Mimaropa	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	29620	http://www.semwebtech.org/mondial/10/country/RP/	2744671
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Bicol	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	18155	http://www.semwebtech.org/mondial/10/country/RP/	5420411
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Shaanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	195800	http://www.semwebtech.org/mondial/10/country/CN/	37640000
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Guizhou	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	174000	http://www.semwebtech.org/mondial/10/country/CN/	35022200
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Edo	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	19819	http://www.semwebtech.org/mondial/10/country/WAN/	3694087
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Imo	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	5182	http://www.semwebtech.org/mondial/10/country/WAN/	4597500
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Nunavut	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	1877787	http://www.semwebtech.org/mondial/10/country/CDN/	35591
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Querétaro	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	11683	http://www.semwebtech.org/mondial/10/country/MEX/	1827937
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Borsod-Abaúj-Zemplén	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	7249	http://www.semwebtech.org/mondial/10/country/H/	686266
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Komárom-Esztergom	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	2264	http://www.semwebtech.org/mondial/10/country/H/	304568
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Tolna	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	3703	http://www.semwebtech.org/mondial/10/country/H/	230361
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Lakshadweep	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	30	http://www.semwebtech.org/mondial/10/country/IND/	64473
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Delhi	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	1483	http://www.semwebtech.org/mondial/10/country/IND/	16787941
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Thiès	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	6670	http://www.semwebtech.org/mondial/10/country/SN/	1788864
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Sédhiou	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	7341	http://www.semwebtech.org/mondial/10/country/SN/	452994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Lubuskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	13987	http://www.semwebtech.org/mondial/10/country/PL/	1023102
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Ontario	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	908607	http://www.semwebtech.org/mondial/10/country/CDN/	13537994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Lubelskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	25122	http://www.semwebtech.org/mondial/10/country/PL/	2168616
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Atlántida	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	4372	http://www.semwebtech.org/mondial/10/country/HCA/	407551
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Gracias a Dios	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	16997	http://www.semwebtech.org/mondial/10/country/HCA/	88314
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Al-Jouf	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	100212	http://www.semwebtech.org/mondial/10/country/SA/	440009
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Okayama	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	7113	http://www.semwebtech.org/mondial/10/country/J/	1930000
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Genève	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	282	http://www.semwebtech.org/mondial/10/country/CH/	469433
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	133985	http://www.semwebtech.org/mondial/10/country/BOL/	2706359
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	4575	http://www.semwebtech.org/mondial/10/country/PA/	241928
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Hims	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	42223	http://www.semwebtech.org/mondial/10/country/SYR/	1763000
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Kouilou	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	13650	http://www.semwebtech.org/mondial/10/country/RCB/	84165
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Luapula	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	50567	http://www.semwebtech.org/mondial/10/country/Z/	958976
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	YeDebub Biheroch Bihereseboch na Hizboch	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	105887	http://www.semwebtech.org/mondial/10/country/ETH/	17359008
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Tigray	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	85366	http://www.semwebtech.org/mondial/10/country/ETH/	4929999
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Akmola	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	146219	http://www.semwebtech.org/mondial/10/country/KAZ/	735640
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Buenos Aires	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	307571	http://www.semwebtech.org/mondial/10/country/RA/	16476149
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Riau	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	87023	http://www.semwebtech.org/mondial/10/country/RI/	6358636
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Troms	http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	25862	http://www.semwebtech.org/mondial/10/country/N/	160418
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Kärnten	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	9538	http://www.semwebtech.org/mondial/10/country/A/	555969
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Liberecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	3162	http://www.semwebtech.org/mondial/10/country/CZ/	439262
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Hainaut	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	3785	http://www.semwebtech.org/mondial/10/country/B/	1328760
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Kayin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	30382	http://www.semwebtech.org/mondial/10/country/MYA/	1572657
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Hormozgan	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	70697	http://www.semwebtech.org/mondial/10/country/IR/	1578183
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Tumbes	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	4669	http://www.semwebtech.org/mondial/10/country/PE/	228227
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Amasya	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	5703	http://www.semwebtech.org/mondial/10/country/TR/	322283
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Tokat	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	10072	http://www.semwebtech.org/mondial/10/country/TR/	613990
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Balıkesir	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	14472	http://www.semwebtech.org/mondial/10/country/TR/	1160731
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Kilis	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	1427	http://www.semwebtech.org/mondial/10/country/TR/	124320
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Kütahya	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	12013	http://www.semwebtech.org/mondial/10/country/TR/	573421
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Rajasthan	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	342239	http://www.semwebtech.org/mondial/10/country/IND/	68548437
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Sikkim	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	7096	http://www.semwebtech.org/mondial/10/country/IND/	610577
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Selangor	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	8104	http://www.semwebtech.org/mondial/10/country/MAL/	5411324
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	1485	http://www.semwebtech.org/mondial/10/country/MEX/	8851080
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Poltavs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	28750	http://www.semwebtech.org/mondial/10/country/UA/	1477195
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Rivnens´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	20051	http://www.semwebtech.org/mondial/10/country/UA/	1154256
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Iowa	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	144669	http://www.semwebtech.org/mondial/10/country/USA/	3107126
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Oregon	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	248608	http://www.semwebtech.org/mondial/10/country/USA/	3970239
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Schleswig-Holstein	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	15799	http://www.semwebtech.org/mondial/10/country/D/	2800119
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Surxondaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	20800	http://www.semwebtech.org/mondial/10/country/UZB/	2308300
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Leningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	83908	http://www.semwebtech.org/mondial/10/country/R/	1763924
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Omsk	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	139700	http://www.semwebtech.org/mondial/10/country/R/	1973876
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Smolenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	49800	http://www.semwebtech.org/mondial/10/country/R/	967896
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Guidimagha	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	10300	http://www.semwebtech.org/mondial/10/country/RIM/	267029
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Kronoberg	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	8466	http://www.semwebtech.org/mondial/10/country/S/	185887
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Kano	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	21276	http://www.semwebtech.org/mondial/10/country/WAN/	11058314
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Anambra	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	4816	http://www.semwebtech.org/mondial/10/country/WAN/	4796408
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Cross River	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	21636	http://www.semwebtech.org/mondial/10/country/WAN/	3337517
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Oyo	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	28245	http://www.semwebtech.org/mondial/10/country/WAN/	6596392
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Rivers	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	10432	http://www.semwebtech.org/mondial/10/country/WAN/	6144673
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Abuja	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	7753	http://www.semwebtech.org/mondial/10/country/WAN/	2193613
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Bauchi	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	49933	http://www.semwebtech.org/mondial/10/country/WAN/	5499737
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Plateau	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	27216	http://www.semwebtech.org/mondial/10/country/WAN/	3663428
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Sokoto	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	33776	http://www.semwebtech.org/mondial/10/country/WAN/	4292416
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Gombe	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	17982	http://www.semwebtech.org/mondial/10/country/WAN/	2768452
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Akwa Ibom	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	6772	http://www.semwebtech.org/mondial/10/country/WAN/	4612067
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	3496	http://www.semwebtech.org/mondial/10/country/WAN/	10668139
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Abia	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	4902	http://www.semwebtech.org/mondial/10/country/WAN/	3250816
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Borno	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	75480	http://www.semwebtech.org/mondial/10/country/WAN/	4930077
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Enugu	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	7660	http://www.semwebtech.org/mondial/10/country/WAN/	3788319
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Uttar Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	240928	http://www.semwebtech.org/mondial/10/country/IND/	199812341
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Puglia	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	19357	http://www.semwebtech.org/mondial/10/country/I/	4052566
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Ekiti	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	5887	http://www.semwebtech.org/mondial/10/country/WAN/	2794575
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Ebonyi	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	6421	http://www.semwebtech.org/mondial/10/country/WAN/	2499272
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Adamawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	38823	http://www.semwebtech.org/mondial/10/country/WAN/	3667419
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Ogun	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	16980	http://www.semwebtech.org/mondial/10/country/WAN/	4412299
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Nasarawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	27271	http://www.semwebtech.org/mondial/10/country/WAN/	2167120
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Zamfara	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	35170	http://www.semwebtech.org/mondial/10/country/WAN/	3838160
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Katsina	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	24971	http://www.semwebtech.org/mondial/10/country/WAN/	6725626
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Yobe	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	46909	http://www.semwebtech.org/mondial/10/country/WAN/	2757022
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Kaduna	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	45711	http://www.semwebtech.org/mondial/10/country/WAN/	7087226
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Bayelsa	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	9415	http://www.semwebtech.org/mondial/10/country/WAN/	1966426
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Kebbi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	37727	http://www.semwebtech.org/mondial/10/country/WAN/	3793585
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Ondo	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	15195	http://www.semwebtech.org/mondial/10/country/WAN/	4012105
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Jigawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	24515	http://www.semwebtech.org/mondial/10/country/WAN/	5031103
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Kogi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	29581	http://www.semwebtech.org/mondial/10/country/WAN/	3841884
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Benue	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	31276	http://www.semwebtech.org/mondial/10/country/WAN/	4931135
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Niger	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	74108	http://www.semwebtech.org/mondial/10/country/WAN/	4674381
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Delta	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	17239	http://www.semwebtech.org/mondial/10/country/WAN/	4813917
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Manitoba	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	552329	http://www.semwebtech.org/mondial/10/country/CDN/	1265015
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Northwest Territories	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	1143793	http://www.semwebtech.org/mondial/10/country/CDN/	43537
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Yukon	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	474712	http://www.semwebtech.org/mondial/10/country/CDN/	36700
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	New Brunswick	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	71377	http://www.semwebtech.org/mondial/10/country/CDN/	756050
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Newfoundland and Labrador	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	370510	http://www.semwebtech.org/mondial/10/country/CDN/	526702
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Quebec	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	1356547	http://www.semwebtech.org/mondial/10/country/CDN/	8155334
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Nova Scotia	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	52939	http://www.semwebtech.org/mondial/10/country/CDN/	940789
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Saskatchewan	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	588239	http://www.semwebtech.org/mondial/10/country/CDN/	1108303
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	British Columbia	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	922509	http://www.semwebtech.org/mondial/10/country/CDN/	4581978
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Alberta	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	640081	http://www.semwebtech.org/mondial/10/country/CDN/	4025074
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Csongrád	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	4262	http://www.semwebtech.org/mondial/10/country/H/	417456
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Pest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	6391	http://www.semwebtech.org/mondial/10/country/H/	1217476
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Jász-Nagykun-Szolnok	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	5581	http://www.semwebtech.org/mondial/10/country/H/	386594
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Budapest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	525	http://www.semwebtech.org/mondial/10/country/H/	1729040
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Veszprém	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	4463	http://www.semwebtech.org/mondial/10/country/H/	351898
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Somogy	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	6065	http://www.semwebtech.org/mondial/10/country/H/	317307
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Baranya	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	4429	http://www.semwebtech.org/mondial/10/country/H/	386441
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Vas	http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	3336	http://www.semwebtech.org/mondial/10/country/H/	256629
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Fejér	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	4358	http://www.semwebtech.org/mondial/10/country/H/	425847
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Zala	http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	3783	http://www.semwebtech.org/mondial/10/country/H/	282179
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Attikis	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	3808	http://www.semwebtech.org/mondial/10/country/GR/	3828434
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Fukui	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	4189	http://www.semwebtech.org/mondial/10/country/J/	795000
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Anatolikis Makedonias kai Thrakis	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	14157	http://www.semwebtech.org/mondial/10/country/GR/	608182
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Ipeiroy	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	9203	http://www.semwebtech.org/mondial/10/country/GR/	336856
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Trujillo	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	7198	http://www.semwebtech.org/mondial/10/country/YV/	686367
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Tiris Zemmour	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	252900	http://www.semwebtech.org/mondial/10/country/RIM/	53261
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Stereas Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	15549	http://www.semwebtech.org/mondial/10/country/GR/	547390
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Missouri	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	178040	http://www.semwebtech.org/mondial/10/country/USA/	6063589
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Dytikis Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	11350	http://www.semwebtech.org/mondial/10/country/GR/	679796
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Notioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	5285	http://www.semwebtech.org/mondial/10/country/GR/	309015
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Thessalias	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	14036	http://www.semwebtech.org/mondial/10/country/GR/	732762
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Aghion Oros	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	335	http://www.semwebtech.org/mondial/10/country/GR/	1811
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Kritis	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	8335	http://www.semwebtech.org/mondial/10/country/GR/	623065
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Kentrikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	18810	http://www.semwebtech.org/mondial/10/country/GR/	1880297
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	FATA	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	27220	http://www.semwebtech.org/mondial/10/country/PK/	3176331
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	FCT Islamabad	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	906	http://www.semwebtech.org/mondial/10/country/PK/	805235
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Gilgit-Baltistan	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	72520	http://www.semwebtech.org/mondial/10/country/PK/	870347
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Azad Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	13297	http://www.semwebtech.org/mondial/10/country/PK/	2580000
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Khyber Pakhtunkhwa	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	74521	http://www.semwebtech.org/mondial/10/country/PK/	17735912
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Balochistan	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	347190	http://www.semwebtech.org/mondial/10/country/PK/	6565885
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	205345	http://www.semwebtech.org/mondial/10/country/PK/	73621290
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Nagaland	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	16579	http://www.semwebtech.org/mondial/10/country/IND/	1978502
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	222236	http://www.semwebtech.org/mondial/10/country/IND/	12541302
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Antioquia	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	63612	http://www.semwebtech.org/mondial/10/country/CO/	6378132
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Valle	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	1665	http://www.semwebtech.org/mondial/10/country/HCA/	171613
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Islas de la Bahía	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	236	http://www.semwebtech.org/mondial/10/country/HCA/	49158
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Telemark	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	15296	http://www.semwebtech.org/mondial/10/country/N/	170902
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Al-Hudud ash Shamaliyah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	111797	http://www.semwebtech.org/mondial/10/country/SA/	320524
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Solothurn	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	790	http://www.semwebtech.org/mondial/10/country/CH/	261437
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Los Santos	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	3809	http://www.semwebtech.org/mondial/10/country/PA/	89592
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Herrera	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	2362	http://www.semwebtech.org/mondial/10/country/PA/	109955
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Kepulauan Bangka Belitung	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	16424	http://www.semwebtech.org/mondial/10/country/RI/	1380762
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Banten	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	9662	http://www.semwebtech.org/mondial/10/country/RI/	11834087
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Buskerud	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	14910	http://www.semwebtech.org/mondial/10/country/N/	269003
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Aland	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	\N	http://www.semwebtech.org/mondial/10/country/SF/	23000
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	2208	http://www.semwebtech.org/mondial/10/country/NL/	1119412
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Yunnan	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	436200	http://www.semwebtech.org/mondial/10/country/CN/	46866000
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Shanghai	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	6200	http://www.semwebtech.org/mondial/10/country/CN/	24151500
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Pinar del Río	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	8883	http://www.semwebtech.org/mondial/10/country/C/	585452
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Rize	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	3921	http://www.semwebtech.org/mondial/10/country/TR/	324152
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Quintana Roo	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	42360	http://www.semwebtech.org/mondial/10/country/MEX/	1325578
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Odes´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	33313	http://www.semwebtech.org/mondial/10/country/UA/	2388297
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Namangan	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	7900	http://www.semwebtech.org/mondial/10/country/UZB/	2504100
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Kostromskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	60100	http://www.semwebtech.org/mondial/10/country/R/	656389
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Krasnodarskiy	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	76000	http://www.semwebtech.org/mondial/10/country/R/	5404273
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Atacama	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	75176	http://www.semwebtech.org/mondial/10/country/RCH/	284992
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	5045	http://www.semwebtech.org/mondial/10/country/E/	321173
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Cortés	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	3923	http://www.semwebtech.org/mondial/10/country/HCA/	1570291
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Sergipe	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	21910	http://www.semwebtech.org/mondial/10/country/BR/	2219574
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Hebei	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	202700	http://www.semwebtech.org/mondial/10/country/CN/	73326100
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Brandenburg	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	29483	http://www.semwebtech.org/mondial/10/country/D/	2455780
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Kanagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	2415	http://www.semwebtech.org/mondial/10/country/J/	9079000
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Tochigi	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	6408	http://www.semwebtech.org/mondial/10/country/J/	1986000
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Wakayama	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	4726	http://www.semwebtech.org/mondial/10/country/J/	979000
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Fukushima	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	13782	http://www.semwebtech.org/mondial/10/country/J/	1946000
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Gumma	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	6362	http://www.semwebtech.org/mondial/10/country/J/	1984000
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Tambacounda	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	42364	http://www.semwebtech.org/mondial/10/country/SN/	681310
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Glarus	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	685	http://www.semwebtech.org/mondial/10/country/CH/	39593
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	HaMerkaz	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	1294	http://www.semwebtech.org/mondial/10/country/IL/	1814300
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Saga	http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	2439	http://www.semwebtech.org/mondial/10/country/J/	840000
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Hyogo	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	8396	http://www.semwebtech.org/mondial/10/country/J/	5558000
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Basel-Stadt	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	37	http://www.semwebtech.org/mondial/10/country/CH/	189335
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Nidwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	276	http://www.semwebtech.org/mondial/10/country/CH/	41888
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Appenzell Ausserrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	242	http://www.semwebtech.org/mondial/10/country/CH/	53691
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Jura	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	838	http://www.semwebtech.org/mondial/10/country/CH/	71738
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Pointe-Noire	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	44	http://www.semwebtech.org/mondial/10/country/RCB/	829134
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Táchira	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	10812	http://www.semwebtech.org/mondial/10/country/YV/	1168908
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Aragua	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	7014	http://www.semwebtech.org/mondial/10/country/YV/	1630308
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Apure	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	76500	http://www.semwebtech.org/mondial/10/country/YV/	459025
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Gorontalo	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	11257	http://www.semwebtech.org/mondial/10/country/RI/	1134498
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Oriental	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	82900	http://www.semwebtech.org/mondial/10/country/MA/	2097629
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Bruxelles	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	161	http://www.semwebtech.org/mondial/10/country/B/	1154635
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Shan	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	155801	http://www.semwebtech.org/mondial/10/country/MYA/	5815384
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Qom	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	11526	http://www.semwebtech.org/mondial/10/country/IR/	1151672
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Loreto	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	368851	http://www.semwebtech.org/mondial/10/country/PE/	1006953
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Junín	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	44197	http://www.semwebtech.org/mondial/10/country/PE/	1321407
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Ucayali	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	102410	http://www.semwebtech.org/mondial/10/country/PE/	477616
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Tianjin	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	11300	http://www.semwebtech.org/mondial/10/country/CN/	14722100
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Alagoas	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	27767	http://www.semwebtech.org/mondial/10/country/BR/	3321730
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Veracruz	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	71820	http://www.semwebtech.org/mondial/10/country/MEX/	7643194
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	5801	http://www.semwebtech.org/mondial/10/country/BR/	2852372
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Bursa	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	10886	http://www.semwebtech.org/mondial/10/country/TR/	2688171
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Ordu	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	5952	http://www.semwebtech.org/mondial/10/country/TR/	741371
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Çanakkale	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	9950	http://www.semwebtech.org/mondial/10/country/TR/	493691
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Hakkari	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	7178	http://www.semwebtech.org/mondial/10/country/TR/	279982
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Bolu	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	8323	http://www.semwebtech.org/mondial/10/country/TR/	281080
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Bilecik	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	4306	http://www.semwebtech.org/mondial/10/country/TR/	204116
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Ankara	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	25401	http://www.semwebtech.org/mondial/10/country/TR/	4965542
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Putrajaya	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	49	http://www.semwebtech.org/mondial/10/country/MAL/	67964
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Sarawak	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	124450	http://www.semwebtech.org/mondial/10/country/MAL/	2420009
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Caldas	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	7888	http://www.semwebtech.org/mondial/10/country/CO/	986042
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Zaporiz´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	27183	http://www.semwebtech.org/mondial/10/country/UA/	1791668
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Jizzax	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	20500	http://www.semwebtech.org/mondial/10/country/UZB/	1226800
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Toshkent	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	15000	http://www.semwebtech.org/mondial/10/country/UZB/	2725900
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Adygeya	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	7600	http://www.semwebtech.org/mondial/10/country/R/	446406
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Sakha	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	3083523	http://www.semwebtech.org/mondial/10/country/R/	954803
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Kaluzhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	29900	http://www.semwebtech.org/mondial/10/country/R/	1004544
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Sakhalin	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	87100	http://www.semwebtech.org/mondial/10/country/R/	491027
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Kurgan	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	71000	http://www.semwebtech.org/mondial/10/country/R/	877149
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	New South Wales	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	800808	http://www.semwebtech.org/mondial/10/country/AUS/	7410399
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Manipur	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	22327	http://www.semwebtech.org/mondial/10/country/IND/	2855794
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Kerala	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	38852	http://www.semwebtech.org/mondial/10/country/IND/	33406061
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Karnataka	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	191791	http://www.semwebtech.org/mondial/10/country/IND/	61095297
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Haryana	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	44212	http://www.semwebtech.org/mondial/10/country/IND/	25351462
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Arunachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	83743	http://www.semwebtech.org/mondial/10/country/IND/	1383727
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	50362	http://www.semwebtech.org/mondial/10/country/IND/	27743338
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Puducherry	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	490	http://www.semwebtech.org/mondial/10/country/IND/	1247953
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Tripura	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	10486	http://www.semwebtech.org/mondial/10/country/IND/	3673917
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Dadra and Nagar Haveli	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	491	http://www.semwebtech.org/mondial/10/country/IND/	343709
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Uttarakhand	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	53483	http://www.semwebtech.org/mondial/10/country/IND/	10086292
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Goa	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	3702	http://www.semwebtech.org/mondial/10/country/IND/	1458545
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	West Bengal	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	88752	http://www.semwebtech.org/mondial/10/country/IND/	91276115
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Daman and Diu	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	111	http://www.semwebtech.org/mondial/10/country/IND/	243247
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Odisha	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	155707	http://www.semwebtech.org/mondial/10/country/IND/	41974218
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Meghalaya	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	22429	http://www.semwebtech.org/mondial/10/country/IND/	2966889
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Assam	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	78438	http://www.semwebtech.org/mondial/10/country/IND/	31205576
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Andhra Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	160205	http://www.semwebtech.org/mondial/10/country/IND/	49386799
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Jharkhand	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	79716	http://www.semwebtech.org/mondial/10/country/IND/	32988134
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Himachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	55673	http://www.semwebtech.org/mondial/10/country/IND/	6864602
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Mizoram	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	21081	http://www.semwebtech.org/mondial/10/country/IND/	1097206
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Bihar	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	94163	http://www.semwebtech.org/mondial/10/country/IND/	104099452
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Andaman and Nicobar Islands	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	8249	http://www.semwebtech.org/mondial/10/country/IND/	380581
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Kasai-Occidental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	154742	http://www.semwebtech.org/mondial/10/country/ZRE/	3337000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Bandundu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	295658	http://www.semwebtech.org/mondial/10/country/ZRE/	5201000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Sud-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	69130	http://www.semwebtech.org/mondial/10/country/ZRE/	2837779
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Kasai-Oriental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	170302	http://www.semwebtech.org/mondial/10/country/ZRE/	3830000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Nord-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	59483	http://www.semwebtech.org/mondial/10/country/ZRE/	3564434
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Bas-Congo	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	53920	http://www.semwebtech.org/mondial/10/country/ZRE/	2835000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Katanga	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	496877	http://www.semwebtech.org/mondial/10/country/ZRE/	4125000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Maniema	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	132250	http://www.semwebtech.org/mondial/10/country/ZRE/	1246787
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Kinshasa	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	9965	http://www.semwebtech.org/mondial/10/country/ZRE/	4787000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Equateur	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	403292	http://www.semwebtech.org/mondial/10/country/ZRE/	4820000
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Littoral	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	20248	http://www.semwebtech.org/mondial/10/country/CAM/	2865795
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	13892	http://www.semwebtech.org/mondial/10/country/CAM/	1785285
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	68953	http://www.semwebtech.org/mondial/10/country/CAM/	3525664
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Est	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	109002	http://www.semwebtech.org/mondial/10/country/CAM/	801968
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Extrême-Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	34263	http://www.semwebtech.org/mondial/10/country/CAM/	3480414
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Sud	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	47191	http://www.semwebtech.org/mondial/10/country/CAM/	692142
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Adamaoua	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	63701	http://www.semwebtech.org/mondial/10/country/CAM/	1015622
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Nord-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	17300	http://www.semwebtech.org/mondial/10/country/CAM/	1804695
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Sud-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	25410	http://www.semwebtech.org/mondial/10/country/CAM/	1384286
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	66090	http://www.semwebtech.org/mondial/10/country/CAM/	2050229
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Liguria	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	5421	http://www.semwebtech.org/mondial/10/country/I/	1570694
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Piemonte	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	25402	http://www.semwebtech.org/mondial/10/country/I/	4363916
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Umbria	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	8456	http://www.semwebtech.org/mondial/10/country/I/	884268
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Trentino-Alto Adige	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	13606	http://www.semwebtech.org/mondial/10/country/I/	1029475
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Marche	http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	9365	http://www.semwebtech.org/mondial/10/country/I/	1541319
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Sardegna	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	24089	http://www.semwebtech.org/mondial/10/country/I/	1639362
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Lombardia	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	23862	http://www.semwebtech.org/mondial/10/country/I/	9704151
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Molise	http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	4437	http://www.semwebtech.org/mondial/10/country/I/	313660
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Campania	http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	13590	http://www.semwebtech.org/mondial/10/country/I/	5766810
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Veneto	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	18398	http://www.semwebtech.org/mondial/10/country/I/	4857210
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Calabria	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	15080	http://www.semwebtech.org/mondial/10/country/I/	1959050
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Abruzzo	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	10762	http://www.semwebtech.org/mondial/10/country/I/	1307309
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Valle d'Aosta	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	3263	http://www.semwebtech.org/mondial/10/country/I/	126806
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Toscana	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	22993	http://www.semwebtech.org/mondial/10/country/I/	3672202
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Basilicata	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	9994	http://www.semwebtech.org/mondial/10/country/I/	578036
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Friuli-Venezia Giulia	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	7858	http://www.semwebtech.org/mondial/10/country/I/	1218985
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Lazio	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	17235	http://www.semwebtech.org/mondial/10/country/I/	5502886
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Choluteca	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	4360	http://www.semwebtech.org/mondial/10/country/HCA/	459124
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	8248	http://www.semwebtech.org/mondial/10/country/HCA/	293540
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Copán	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	3242	http://www.semwebtech.org/mondial/10/country/HCA/	362226
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Francisco Morazán	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	8618	http://www.semwebtech.org/mondial/10/country/HCA/	1433810
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Ocotepeque	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	1630	http://www.semwebtech.org/mondial/10/country/HCA/	132453
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Santa Bárbara	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	5024	http://www.semwebtech.org/mondial/10/country/HCA/	402367
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Comayagua	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	5124	http://www.semwebtech.org/mondial/10/country/HCA/	442251
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	2330	http://www.semwebtech.org/mondial/10/country/HCA/	196322
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Lempira	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	4234	http://www.semwebtech.org/mondial/10/country/HCA/	315565
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Copperbelt	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	31328	http://www.semwebtech.org/mondial/10/country/Z/	1958623
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Dire Dawa	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	1558	http://www.semwebtech.org/mondial/10/country/ETH/	387000
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Yoro	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	7781	http://www.semwebtech.org/mondial/10/country/HCA/	552100
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Intibucá	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	3122	http://www.semwebtech.org/mondial/10/country/HCA/	232509
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Olancho	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	24057	http://www.semwebtech.org/mondial/10/country/HCA/	509564
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	El Paraíso	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	7489	http://www.semwebtech.org/mondial/10/country/HCA/	427232
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Fatick	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	6849	http://www.semwebtech.org/mondial/10/country/SN/	714392
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Kaolack	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	5357	http://www.semwebtech.org/mondial/10/country/SN/	960875
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Kolda	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	13771	http://www.semwebtech.org/mondial/10/country/SN/	662455
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Dakar	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	547	http://www.semwebtech.org/mondial/10/country/SN/	3137196
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Louga	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	24889	http://www.semwebtech.org/mondial/10/country/SN/	874193
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Saint-Louis	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	19241	http://www.semwebtech.org/mondial/10/country/SN/	908942
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Matam	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	29445	http://www.semwebtech.org/mondial/10/country/SN/	562539
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Ziguinchor	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	7352	http://www.semwebtech.org/mondial/10/country/SN/	549151
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Diourbel	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	4824	http://www.semwebtech.org/mondial/10/country/SN/	1497455
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Kédougou	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	16800	http://www.semwebtech.org/mondial/10/country/SN/	151357
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Kaffrine	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	11262	http://www.semwebtech.org/mondial/10/country/SN/	566992
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Warmińsko-Mazurskie	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	24173	http://www.semwebtech.org/mondial/10/country/PL/	1451950
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Łódzkie	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	18218	http://www.semwebtech.org/mondial/10/country/PL/	2528632
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Świętokrzyskie	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	11710	http://www.semwebtech.org/mondial/10/country/PL/	1275511
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	18310	http://www.semwebtech.org/mondial/10/country/PL/	2286746
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Opolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	9411	http://www.semwebtech.org/mondial/10/country/PL/	1012296
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Wielkopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	29826	http://www.semwebtech.org/mondial/10/country/PL/	3458881
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Podlaskie	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	20187	http://www.semwebtech.org/mondial/10/country/PL/	1199724
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Kujawsko-Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	17971	http://www.semwebtech.org/mondial/10/country/PL/	2097818
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Podkarpackie	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	17845	http://www.semwebtech.org/mondial/10/country/PL/	2128921
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Małopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	15182	http://www.semwebtech.org/mondial/10/country/PL/	3350350
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Mazowieckie	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	35558	http://www.semwebtech.org/mondial/10/country/PL/	5293224
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Zachodniopomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	22892	http://www.semwebtech.org/mondial/10/country/PL/	1722149
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Kalmykiya	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	76100	http://www.semwebtech.org/mondial/10/country/R/	282021
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Dolnośląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	19946	http://www.semwebtech.org/mondial/10/country/PL/	2915245
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Hunan	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	210500	http://www.semwebtech.org/mondial/10/country/CN/	66906000
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Duhouk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	6553	http://www.semwebtech.org/mondial/10/country/IRQ/	1128745
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Maysan	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	16072	http://www.semwebtech.org/mondial/10/country/IRQ/	971448
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Babylon	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	5119	http://www.semwebtech.org/mondial/10/country/IRQ/	1820673
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Erbil	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	15074	http://www.semwebtech.org/mondial/10/country/IRQ/	1612692
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Kerbela	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	5034	http://www.semwebtech.org/mondial/10/country/IRQ/	1066567
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Salah al-Deen	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	24075	http://www.semwebtech.org/mondial/10/country/IRQ/	1408174
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	al-Muthanna	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	51740	http://www.semwebtech.org/mondial/10/country/IRQ/	719069
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Diala	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	17685	http://www.semwebtech.org/mondial/10/country/IRQ/	1443173
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Nineveh	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	37323	http://www.semwebtech.org/mondial/10/country/IRQ/	3270422
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Thi Qar	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	12900	http://www.semwebtech.org/mondial/10/country/IRQ/	1836181
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Wasit	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	17153	http://www.semwebtech.org/mondial/10/country/IRQ/	1210591
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Baghdad	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	4555	http://www.semwebtech.org/mondial/10/country/IRQ/	7055196
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	al-Anbar	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	138288	http://www.semwebtech.org/mondial/10/country/IRQ/	1561407
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Kirkuk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	9679	http://www.semwebtech.org/mondial/10/country/IRQ/	1395614
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	al-Najaf	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	28824	http://www.semwebtech.org/mondial/10/country/IRQ/	1285484
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basrah	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	19070	http://www.semwebtech.org/mondial/10/country/IRQ/	2531997
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Ash Sharqiyah	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	672522	http://www.semwebtech.org/mondial/10/country/SA/	4105780
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jazan	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	11671	http://www.semwebtech.org/mondial/10/country/SA/	1365110
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Najran	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	149511	http://www.semwebtech.org/mondial/10/country/SA/	505652
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Ha'il	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	103887	http://www.semwebtech.org/mondial/10/country/SA/	597144
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Aseer	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	76693	http://www.semwebtech.org/mondial/10/country/SA/	1913392
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Al-Madinah Al-Monawarah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	151990	http://www.semwebtech.org/mondial/10/country/SA/	1777933
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Makkah Al-Mokarramah	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	153128	http://www.semwebtech.org/mondial/10/country/SA/	6915006
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Al-Riyadh	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	404240	http://www.semwebtech.org/mondial/10/country/SA/	6777146
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Al-Qaseem	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	58046	http://www.semwebtech.org/mondial/10/country/SA/	1215858
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al-Baha	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	9921	http://www.semwebtech.org/mondial/10/country/SA/	411888
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Nord-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	22414	http://www.semwebtech.org/mondial/10/country/N/	134443
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Møre og Romsdal	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	15101	http://www.semwebtech.org/mondial/10/country/N/	259404
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Østfold	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	4180	http://www.semwebtech.org/mondial/10/country/N/	282000
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Hordaland	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	15438	http://www.semwebtech.org/mondial/10/country/N/	498135
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Minsk	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	39912	http://www.semwebtech.org/mondial/10/country/BY/	1400717
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Gomel	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	40361	http://www.semwebtech.org/mondial/10/country/BY/	1426674
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Mogilev	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	29079	http://www.semwebtech.org/mondial/10/country/BY/	1075067
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Vitebsk	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	40049	http://www.semwebtech.org/mondial/10/country/BY/	1206022
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Brest	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	32790	http://www.semwebtech.org/mondial/10/country/BY/	1389782
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Minsk City	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	305	http://www.semwebtech.org/mondial/10/country/BY/	1905475
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	HaZafon	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	4473	http://www.semwebtech.org/mondial/10/country/IL/	1257200
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Hefa	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	866	http://www.semwebtech.org/mondial/10/country/IL/	898400
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Tel Aviv	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	172	http://www.semwebtech.org/mondial/10/country/IL/	1277100
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	HaDarom	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	14185	http://www.semwebtech.org/mondial/10/country/IL/	1084200
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Yerushalayim	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	653	http://www.semwebtech.org/mondial/10/country/IL/	924100
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Saitama	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	3798	http://www.semwebtech.org/mondial/10/country/J/	7222000
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Miyazaki	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	7735	http://www.semwebtech.org/mondial/10/country/J/	1120000
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Iwate	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	15278	http://www.semwebtech.org/mondial/10/country/J/	1295000
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Oita	http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	6339	http://www.semwebtech.org/mondial/10/country/J/	1178000
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Hiroshima	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	8479	http://www.semwebtech.org/mondial/10/country/J/	2840000
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Yamaguchi	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	6113	http://www.semwebtech.org/mondial/10/country/J/	1420000
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Shizuoka	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	7780	http://www.semwebtech.org/mondial/10/country/J/	3723000
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Yamagata	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	9323	http://www.semwebtech.org/mondial/10/country/J/	1141000
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Kagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	1876	http://www.semwebtech.org/mondial/10/country/J/	985000
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Kumamoto	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	7404	http://www.semwebtech.org/mondial/10/country/J/	1801000
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Tokyo	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	2187	http://www.semwebtech.org/mondial/10/country/J/	13300000
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Kyoto	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	4613	http://www.semwebtech.org/mondial/10/country/J/	2617000
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Aichi	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	5165	http://www.semwebtech.org/mondial/10/country/J/	7443000
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Niigata	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	12583	http://www.semwebtech.org/mondial/10/country/J/	2330000
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Rostovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	100800	http://www.semwebtech.org/mondial/10/country/R/	4245532
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Toyama	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	4247	http://www.semwebtech.org/mondial/10/country/J/	1076000
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Scotland	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	78133	http://www.semwebtech.org/mondial/10/country/GB/	5327700
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabouk	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	146072	http://www.semwebtech.org/mondial/10/country/SA/	791535
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Mato Grosso do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	357125	http://www.semwebtech.org/mondial/10/country/BR/	2619657
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Mykolaïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	24585	http://www.semwebtech.org/mondial/10/country/UA/	1178223
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Tottori	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	3507	http://www.semwebtech.org/mondial/10/country/J/	578000
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Ibaraki	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	6095	http://www.semwebtech.org/mondial/10/country/J/	2931000
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Aargau	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	1403	http://www.semwebtech.org/mondial/10/country/CH/	636362
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Sankt Gallen	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	2025	http://www.semwebtech.org/mondial/10/country/CH/	491699
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Wisconsin	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	140268	http://www.semwebtech.org/mondial/10/country/USA/	5757564
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Düzce	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	2592	http://www.semwebtech.org/mondial/10/country/TR/	346493
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Maryland	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	25142	http://www.semwebtech.org/mondial/10/country/USA/	5976407
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Bafing	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	9033	http://www.semwebtech.org/mondial/10/country/CI/	139251
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Republika Srpska	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	24857	http://www.semwebtech.org/mondial/10/country/BIH/	1326991
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Lékoumou	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	20950	http://www.semwebtech.org/mondial/10/country/RCB/	85617
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Harari	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	333	http://www.semwebtech.org/mondial/10/country/ETH/	210000
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Zulia	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	50230	http://www.semwebtech.org/mondial/10/country/YV/	3704404
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Guárico	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	64986	http://www.semwebtech.org/mondial/10/country/YV/	747739
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Bengkulu	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	19919	http://www.semwebtech.org/mondial/10/country/RI/	1828291
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Kuopio	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	\N	http://www.semwebtech.org/mondial/10/country/SF/	252000
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Zeeland	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	2933	http://www.semwebtech.org/mondial/10/country/NL/	380735
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Qazvin	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	15567	http://www.semwebtech.org/mondial/10/country/IR/	1201565
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Arequipa	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	63345	http://www.semwebtech.org/mondial/10/country/PE/	1245251
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarem	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	6747	http://www.semwebtech.org/mondial/10/country/P/	442700
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Erzincan	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	11727	http://www.semwebtech.org/mondial/10/country/TR/	217886
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Mersin	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	15512	http://www.semwebtech.org/mondial/10/country/TR/	1682848
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Eskişehir	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	13902	http://www.semwebtech.org/mondial/10/country/TR/	789750
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Denizli	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	11804	http://www.semwebtech.org/mondial/10/country/TR/	950557
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Haeme	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	\N	http://www.semwebtech.org/mondial/10/country/SF/	662000
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Çankırı	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	7491	http://www.semwebtech.org/mondial/10/country/TR/	184406
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Guerrero	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	63620	http://www.semwebtech.org/mondial/10/country/MEX/	3388768
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Tlaxcala	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	3991	http://www.semwebtech.org/mondial/10/country/MEX/	1169936
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Vichada	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	100242	http://www.semwebtech.org/mondial/10/country/CO/	70260
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	New Mexico	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	314161	http://www.semwebtech.org/mondial/10/country/USA/	2085572
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Saarland	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	2568	http://www.semwebtech.org/mondial/10/country/D/	999623
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Mecklenburg-Vorpommern	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	23194	http://www.semwebtech.org/mondial/10/country/D/	1609982
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Voronezhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	52400	http://www.semwebtech.org/mondial/10/country/R/	2328959
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Orlovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	24700	http://www.semwebtech.org/mondial/10/country/R/	769980
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt-Peterburg	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	1431	http://www.semwebtech.org/mondial/10/country/R/	5131942
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Dagestan	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	50300	http://www.semwebtech.org/mondial/10/country/R/	2963918
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Valparaíso	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	16396	http://www.semwebtech.org/mondial/10/country/RCH/	1697581
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Tagant	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	98340	http://www.semwebtech.org/mondial/10/country/RIM/	80962
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Kalmar	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	11217	http://www.semwebtech.org/mondial/10/country/S/	233548
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Corrientes	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	88199	http://www.semwebtech.org/mondial/10/country/RA/	1059836
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Entre Ríos	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	78781	http://www.semwebtech.org/mondial/10/country/RA/	1308290
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Corse	http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	8679	http://www.semwebtech.org/mondial/10/country/F/	314486
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Tokushima	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	4146	http://www.semwebtech.org/mondial/10/country/J/	770000
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Shiga	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	4017	http://www.semwebtech.org/mondial/10/country/J/	1416000
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Kagoshima	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	9188	http://www.semwebtech.org/mondial/10/country/J/	1680000
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Ishikawa	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	4185	http://www.semwebtech.org/mondial/10/country/J/	1159000
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Yamanashi	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	4465	http://www.semwebtech.org/mondial/10/country/J/	847000
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Miyagi	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	7285	http://www.semwebtech.org/mondial/10/country/J/	2328000
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Gifu	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	10621	http://www.semwebtech.org/mondial/10/country/J/	2051000
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Kochi	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	7105	http://www.semwebtech.org/mondial/10/country/J/	745000
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Osaka	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	1898	http://www.semwebtech.org/mondial/10/country/J/	8849000
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Nagano	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	13562	http://www.semwebtech.org/mondial/10/country/J/	2122000
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Fukuoka	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	4977	http://www.semwebtech.org/mondial/10/country/J/	5090000
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Mie	http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	5777	http://www.semwebtech.org/mondial/10/country/J/	1833000
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Akita	http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	11636	http://www.semwebtech.org/mondial/10/country/J/	1050000
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Shimane	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	6707	http://www.semwebtech.org/mondial/10/country/J/	702000
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Kemerov	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	95500	http://www.semwebtech.org/mondial/10/country/R/	2734075
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Ehime	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	5678	http://www.semwebtech.org/mondial/10/country/J/	1405000
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Hokkaido	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	83456	http://www.semwebtech.org/mondial/10/country/J/	5431000
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Okinawa	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	2276	http://www.semwebtech.org/mondial/10/country/J/	1415000
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Aomori	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	9644	http://www.semwebtech.org/mondial/10/country/J/	1335000
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Valais	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	5224	http://www.semwebtech.org/mondial/10/country/CH/	327011
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Uri	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	1076	http://www.semwebtech.org/mondial/10/country/CH/	35865
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Appenzell Innerrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	172	http://www.semwebtech.org/mondial/10/country/CH/	15778
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Obwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	490	http://www.semwebtech.org/mondial/10/country/CH/	36507
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Zug	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	238	http://www.semwebtech.org/mondial/10/country/CH/	118118
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Luzern	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	1493	http://www.semwebtech.org/mondial/10/country/CH/	390349
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Graubünden	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	7105	http://www.semwebtech.org/mondial/10/country/CH/	194959
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Zürich	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	1728	http://www.semwebtech.org/mondial/10/country/CH/	1425538
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Schwyz	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	908	http://www.semwebtech.org/mondial/10/country/CH/	151396
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Schaffhausen	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	298	http://www.semwebtech.org/mondial/10/country/CH/	78783
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Bern	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	5959	http://www.semwebtech.org/mondial/10/country/CH/	1001281
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Basel-Landschaft	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	517	http://www.semwebtech.org/mondial/10/country/CH/	278656
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Neuchâtel	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	803	http://www.semwebtech.org/mondial/10/country/CH/	176402
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Thurgau	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	990	http://www.semwebtech.org/mondial/10/country/CH/	260278
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Fribourg	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	1670	http://www.semwebtech.org/mondial/10/country/CH/	297622
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Ticino	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	2812	http://www.semwebtech.org/mondial/10/country/CH/	346539
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Khatlon	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	24600	http://www.semwebtech.org/mondial/10/country/TAD/	2898600
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Gorno-Badakhshan	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	64100	http://www.semwebtech.org/mondial/10/country/TAD/	212100
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Sughd	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	25200	http://www.semwebtech.org/mondial/10/country/TAD/	2400600
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Regions of Republican Subordination	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	28600	http://www.semwebtech.org/mondial/10/country/TAD/	1874000
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Pando	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	63827	http://www.semwebtech.org/mondial/10/country/BOL/	110436
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Espírito Santo	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	46077	http://www.semwebtech.org/mondial/10/country/BR/	3885049
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Pará	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	1247689	http://www.semwebtech.org/mondial/10/country/BR/	8073924
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Metro Manila	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	633	http://www.semwebtech.org/mondial/10/country/RP/	11855975
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Azores	http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	2247	http://www.semwebtech.org/mondial/10/country/P/	236700
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Cochabamba	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	55631	http://www.semwebtech.org/mondial/10/country/BOL/	1758143
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Chuquisaca	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	51524	http://www.semwebtech.org/mondial/10/country/BOL/	576153
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Sachsen	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	18419	http://www.semwebtech.org/mondial/10/country/D/	4056799
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Sindh	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	140914	http://www.semwebtech.org/mondial/10/country/PK/	30439893
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Potosí	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	118218	http://www.semwebtech.org/mondial/10/country/BOL/	823517
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Oruro	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	53588	http://www.semwebtech.org/mondial/10/country/BOL/	494178
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	370621	http://www.semwebtech.org/mondial/10/country/BOL/	2655084
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	La Habana	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	728	http://www.semwebtech.org/mondial/10/country/C/	2154454
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Bas-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	26969	http://www.semwebtech.org/mondial/10/country/CI/	1395233
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	N'zi-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	19480	http://www.semwebtech.org/mondial/10/country/CI/	633922
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Jiangsu	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	102600	http://www.semwebtech.org/mondial/10/country/CN/	79394900
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Buxoro	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	39400	http://www.semwebtech.org/mondial/10/country/UZB/	1756400
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Aksaray	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	7965	http://www.semwebtech.org/mondial/10/country/TR/	379915
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Karaman	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	8868	http://www.semwebtech.org/mondial/10/country/TR/	235424
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Kırıkkale	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	4569	http://www.semwebtech.org/mondial/10/country/TR/	274727
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Adıyaman	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	7606	http://www.semwebtech.org/mondial/10/country/TR/	595261
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Moyen-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	6900	http://www.semwebtech.org/mondial/10/country/CI/	394741
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Montagnes	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	16600	http://www.semwebtech.org/mondial/10/country/CI/	936502
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Lacs	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	8663	http://www.semwebtech.org/mondial/10/country/CI/	476173
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Zanzan	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	38131	http://www.semwebtech.org/mondial/10/country/CI/	700999
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Lagunes	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	12949	http://www.semwebtech.org/mondial/10/country/CI/	3733362
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Moyen-Cavally	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	14150	http://www.semwebtech.org/mondial/10/country/CI/	508728
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Vallée du Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	28200	http://www.semwebtech.org/mondial/10/country/CI/	1080432
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Sud-Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	10727	http://www.semwebtech.org/mondial/10/country/CI/	682021
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Agnéby	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	9093	http://www.semwebtech.org/mondial/10/country/CI/	525211
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Sud-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	7619	http://www.semwebtech.org/mondial/10/country/CI/	459367
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Savanes	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	40430	http://www.semwebtech.org/mondial/10/country/CI/	929673
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Worodougou	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	22195	http://www.semwebtech.org/mondial/10/country/CI/	378463
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Denguélé	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	21000	http://www.semwebtech.org/mondial/10/country/CI/	222446
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Haut-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	22195	http://www.semwebtech.org/mondial/10/country/CI/	1071977
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Marahoué	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	9114	http://www.semwebtech.org/mondial/10/country/CI/	554805
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Midtjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	13124	http://www.semwebtech.org/mondial/10/country/DK/	1266682
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Minnesota	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	206232	http://www.semwebtech.org/mondial/10/country/USA/	5457173
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	23921	http://www.semwebtech.org/mondial/10/country/GH/	2376021
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	105	http://www.semwebtech.org/mondial/10/country/SYR/	1733000
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Osun	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	8699	http://www.semwebtech.org/mondial/10/country/WAN/	3999800
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Somali	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	327068	http://www.semwebtech.org/mondial/10/country/ETH/	5148989
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Carabobo	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	4369	http://www.semwebtech.org/mondial/10/country/YV/	2245744
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	West Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	151339	http://www.semwebtech.org/mondial/10/country/KAZ/	624001
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Marrakech Tensift Al Haouz	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	31160	http://www.semwebtech.org/mondial/10/country/MA/	3576643
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Niederösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	19186	http://www.semwebtech.org/mondial/10/country/A/	1625400
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Ardebil	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	17800	http://www.semwebtech.org/mondial/10/country/IR/	1248488
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Piura	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	35892	http://www.semwebtech.org/mondial/10/country/PE/	1799607
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Porto	http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	2395	http://www.semwebtech.org/mondial/10/country/P/	1622300
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Qinghai	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	721000	http://www.semwebtech.org/mondial/10/country/CN/	5777900
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Santiago de Cuba	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	6227	http://www.semwebtech.org/mondial/10/country/C/	1053837
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Muş	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	8067	http://www.semwebtech.org/mondial/10/country/TR/	413260
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Konya	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	40813	http://www.semwebtech.org/mondial/10/country/TR/	2052281
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Nuevo Léon	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	64220	http://www.semwebtech.org/mondial/10/country/MEX/	4653458
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Yucatán	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	39612	http://www.semwebtech.org/mondial/10/country/MEX/	1955577
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Luhans´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	26683	http://www.semwebtech.org/mondial/10/country/UA/	2272676
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Kirovohrads´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	24588	http://www.semwebtech.org/mondial/10/country/UA/	1002420
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	New Hampshire	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	23187	http://www.semwebtech.org/mondial/10/country/USA/	1326813
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Bremen	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	419	http://www.semwebtech.org/mondial/10/country/D/	650863
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Tverskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	84100	http://www.semwebtech.org/mondial/10/country/R/	1325249
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Chuvash	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	18300	http://www.semwebtech.org/mondial/10/country/R/	1239984
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Gorgol	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	13600	http://www.semwebtech.org/mondial/10/country/RIM/	335917
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Norrbotten	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	98244	http://www.semwebtech.org/mondial/10/country/S/	248637
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Dalarna	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	28188	http://www.semwebtech.org/mondial/10/country/S/	276555
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Västernorrland	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	21683	http://www.semwebtech.org/mondial/10/country/S/	241981
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	165321	http://www.semwebtech.org/mondial/10/country/RA/	3528687
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	San Juan	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	89651	http://www.semwebtech.org/mondial/10/country/RA/	730408
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Jujuy	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	53219	http://www.semwebtech.org/mondial/10/country/RA/	718971
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Bourgogne	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	31581	http://www.semwebtech.org/mondial/10/country/F/	1642734
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Coquimbo	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	40579	http://www.semwebtech.org/mondial/10/country/RCH/	687806
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Guangdong	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	197100	http://www.semwebtech.org/mondial/10/country/CN/	106440000
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Chihuahua	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	247455	http://www.semwebtech.org/mondial/10/country/MEX/	3406465
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Northern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	372889	http://www.semwebtech.org/mondial/10/country/RSA/	1145861
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	69106	http://www.semwebtech.org/mondial/10/country/Z/	1707731
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Rhode Island	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	2678	http://www.semwebtech.org/mondial/10/country/USA/	1055173
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Jiangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	164800	http://www.semwebtech.org/mondial/10/country/CN/	45221500
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Affar	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	72052	http://www.semwebtech.org/mondial/10/country/ETH/	1602995
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Oromia	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	298164	http://www.semwebtech.org/mondial/10/country/ETH/	31294992
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Benishangul-Gumuz	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	50698	http://www.semwebtech.org/mondial/10/country/ETH/	982004
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	183500	http://www.semwebtech.org/mondial/10/country/YV/	146480
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Almaty	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	223924	http://www.semwebtech.org/mondial/10/country/KAZ/	1985529
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Finnmark	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	48631	http://www.semwebtech.org/mondial/10/country/N/	74534
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Vestfold	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	2225	http://www.semwebtech.org/mondial/10/country/N/	238748
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Pardubický	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	4518	http://www.semwebtech.org/mondial/10/country/CZ/	518228
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Karlovarský	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	3314	http://www.semwebtech.org/mondial/10/country/CZ/	310245
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Ayeyarwady	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	35031	http://www.semwebtech.org/mondial/10/country/MYA/	6175123
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Yangon	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	10276	http://www.semwebtech.org/mondial/10/country/MYA/	7355075
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Fars	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	122608	http://www.semwebtech.org/mondial/10/country/IR/	4596658
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Ilam	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	20133	http://www.semwebtech.org/mondial/10/country/IR/	557599
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Madre de Dios	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	85300	http://www.semwebtech.org/mondial/10/country/PE/	127639
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Ica	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	21327	http://www.semwebtech.org/mondial/10/country/PE/	763558
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Coimbra	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	3947	http://www.semwebtech.org/mondial/10/country/P/	427600
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Santa Catarina	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	95346	http://www.semwebtech.org/mondial/10/country/BR/	6727148
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	1570745	http://www.semwebtech.org/mondial/10/country/BR/	3873743
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Roraima	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	224298	http://www.semwebtech.org/mondial/10/country/BR/	496936
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Matanzas	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	11791	http://www.semwebtech.org/mondial/10/country/C/	697314
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Şırnak	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	7151	http://www.semwebtech.org/mondial/10/country/TR/	466982
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyonkarahisar	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	14718	http://www.semwebtech.org/mondial/10/country/TR/	703948
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Morelos	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	4892	http://www.semwebtech.org/mondial/10/country/MEX/	1777227
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	La Guajira	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	20848	http://www.semwebtech.org/mondial/10/country/CO/	930143
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	25978	http://www.semwebtech.org/mondial/10/country/CO/	2073004
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Louisiana	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	111898	http://www.semwebtech.org/mondial/10/country/USA/	4649676
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Sums´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	23832	http://www.semwebtech.org/mondial/10/country/UA/	1152333
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Vermont	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	23871	http://www.semwebtech.org/mondial/10/country/USA/	626562
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Alabama	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	131171	http://www.semwebtech.org/mondial/10/country/USA/	4849377
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	District of Columbia	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	158	http://www.semwebtech.org/mondial/10/country/USA/	658893
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Khabarov	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	752600	http://www.semwebtech.org/mondial/10/country/R/	1339912
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Buryat	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	351300	http://www.semwebtech.org/mondial/10/country/R/	973860
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Jewish ao.	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	36266	http://www.semwebtech.org/mondial/10/country/R/	170377
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Maule	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	30296	http://www.semwebtech.org/mondial/10/country/RCH/	955048
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Bío-Bío	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	37068	http://www.semwebtech.org/mondial/10/country/RCH/	1950482
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Magallanes	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	116437	http://www.semwebtech.org/mondial/10/country/RCH/	155332
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Tasmania	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	68018	http://www.semwebtech.org/mondial/10/country/AUS/	513159
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Maradi	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	41796	http://www.semwebtech.org/mondial/10/country/RN/	3402094
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Uppsala	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	8207	http://www.semwebtech.org/mondial/10/country/S/	341977
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Västerbotten	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	55186	http://www.semwebtech.org/mondial/10/country/S/	260217
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Neuquén	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	94078	http://www.semwebtech.org/mondial/10/country/RA/	610449
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Santa Fe	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	133007	http://www.semwebtech.org/mondial/10/country/RA/	3369365
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	203	http://www.semwebtech.org/mondial/10/country/RA/	3049229
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Haute-Normandie	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	12317	http://www.semwebtech.org/mondial/10/country/F/	1839393
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Midi-Pyrénées	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	45347	http://www.semwebtech.org/mondial/10/country/F/	2903420
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Basse Normandie	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	17589	http://www.semwebtech.org/mondial/10/country/F/	1475684
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Federacija Bosne i Hercegovine	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	26110	http://www.semwebtech.org/mondial/10/country/BIH/	2371603
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	New Jersey	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	19047	http://www.semwebtech.org/mondial/10/country/USA/	8938175
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Arkhangel´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	587400	http://www.semwebtech.org/mondial/10/country/R/	1191785
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Kaliningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	15100	http://www.semwebtech.org/mondial/10/country/R/	963128
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Hodh Chargui	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	182700	http://www.semwebtech.org/mondial/10/country/RIM/	430668
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Tahoua	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	113371	http://www.semwebtech.org/mondial/10/country/RN/	3328365
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Diffa	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	156906	http://www.semwebtech.org/mondial/10/country/RN/	593821
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Jämtland	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	49341	http://www.semwebtech.org/mondial/10/country/S/	126201
http://www.semwebtech.org/mondial/10/country/GB/province/London/	London	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	1572	http://www.semwebtech.org/mondial/10/country/GB/	8416535
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	14105	http://www.semwebtech.org/mondial/10/country/GB/	7103260
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	North East	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	8573	http://www.semwebtech.org/mondial/10/country/GB/	2610481
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	89680	http://www.semwebtech.org/mondial/10/country/RA/	362605
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Brčko	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	493	http://www.semwebtech.org/mondial/10/country/BIH/	93028
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Volta	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	20570	http://www.semwebtech.org/mondial/10/country/GH/	2118252
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	70384	http://www.semwebtech.org/mondial/10/country/GH/	2479461
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Greater Accra	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	3245	http://www.semwebtech.org/mondial/10/country/GH/	4010054
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Ashanti	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	24389	http://www.semwebtech.org/mondial/10/country/GH/	4780380
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Brong Ahafo	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	39557	http://www.semwebtech.org/mondial/10/country/GH/	2310983
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Upper West	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	18476	http://www.semwebtech.org/mondial/10/country/GH/	702110
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	19323	http://www.semwebtech.org/mondial/10/country/GH/	2633154
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	9826	http://www.semwebtech.org/mondial/10/country/GH/	2201863
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Upper East	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	8842	http://www.semwebtech.org/mondial/10/country/GH/	1046545
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Emberá	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	4393	http://www.semwebtech.org/mondial/10/country/PA/	10001
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Panamá	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	11289	http://www.semwebtech.org/mondial/10/country/PA/	1713070
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Kuna Yala	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	2358	http://www.semwebtech.org/mondial/10/country/PA/	33109
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Madrid	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	8022	http://www.semwebtech.org/mondial/10/country/E/	6421874
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Veraguas	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	10587	http://www.semwebtech.org/mondial/10/country/PA/	226991
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Darién	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	11892	http://www.semwebtech.org/mondial/10/country/PA/	48378
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Bocas del Toro	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	4657	http://www.semwebtech.org/mondial/10/country/PA/	125461
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Ngöbe Buglé	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	6814	http://www.semwebtech.org/mondial/10/country/PA/	156747
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Coclé	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	4946	http://www.semwebtech.org/mondial/10/country/PA/	233708
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Chiriquí	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	6490	http://www.semwebtech.org/mondial/10/country/PA/	416873
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Tartus	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	1892	http://www.semwebtech.org/mondial/10/country/SYR/	785000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Al Hasakah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	23334	http://www.semwebtech.org/mondial/10/country/SYR/	1477000
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Dar`a	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	3730	http://www.semwebtech.org/mondial/10/country/SYR/	998000
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Ar Raqqah	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	19616	http://www.semwebtech.org/mondial/10/country/SYR/	921000
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hamah	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	8883	http://www.semwebtech.org/mondial/10/country/SYR/	1593000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Al Ladhiqiyah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	2297	http://www.semwebtech.org/mondial/10/country/SYR/	991000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Al Qunaytirah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	1861	http://www.semwebtech.org/mondial/10/country/SYR/	87000
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Halab	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	18500	http://www.semwebtech.org/mondial/10/country/SYR/	4744000
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	As Suwayda'	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	5550	http://www.semwebtech.org/mondial/10/country/SYR/	364000
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Rif Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	18032	http://www.semwebtech.org/mondial/10/country/SYR/	2744000
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Dayr az Zawr	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	33060	http://www.semwebtech.org/mondial/10/country/SYR/	1202000
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Akhal	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	97428	http://www.semwebtech.org/mondial/10/country/TM/	779400
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Balkan	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	138500	http://www.semwebtech.org/mondial/10/country/TM/	477600
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Lebap	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	93800	http://www.semwebtech.org/mondial/10/country/TM/	1147000
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Ashgabat	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	100	http://www.semwebtech.org/mondial/10/country/TM/	712000
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Dashhowuz	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	73600	http://www.semwebtech.org/mondial/10/country/TM/	1183100
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Mary	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	86800	http://www.semwebtech.org/mondial/10/country/TM/	1271200
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Likouala	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	66044	http://www.semwebtech.org/mondial/10/country/RCB/	97206
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Pool	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	33955	http://www.semwebtech.org/mondial/10/country/RCB/	436786
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Niari	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	25942	http://www.semwebtech.org/mondial/10/country/RCB/	255120
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Cuvette-Ouest	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	26600	http://www.semwebtech.org/mondial/10/country/RCB/	59728
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Andalucía	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	87585	http://www.semwebtech.org/mondial/10/country/E/	8371271
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	East of England	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	19108	http://www.semwebtech.org/mondial/10/country/GB/	5954169
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Auvergne	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	26012	http://www.semwebtech.org/mondial/10/country/F/	1350682
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Nitriansky	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	6343	http://www.semwebtech.org/mondial/10/country/SK/	689867
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Trnavský	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	4145	http://www.semwebtech.org/mondial/10/country/SK/	554741
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Košický	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	6753	http://www.semwebtech.org/mondial/10/country/SK/	791723
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Bratislavský	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	2052	http://www.semwebtech.org/mondial/10/country/SK/	602436
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Trenčiansky	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	4502	http://www.semwebtech.org/mondial/10/country/SK/	594328
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Žilinský	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	6808	http://www.semwebtech.org/mondial/10/country/SK/	688851
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Banskobystrický	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	9453	http://www.semwebtech.org/mondial/10/country/SK/	660563
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Prešovský	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	8973	http://www.semwebtech.org/mondial/10/country/SK/	814527
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Cuvette	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	48250	http://www.semwebtech.org/mondial/10/country/RCB/	152433
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Brazzaville	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	100	http://www.semwebtech.org/mondial/10/country/RCB/	1408150
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Sangha	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	55800	http://www.semwebtech.org/mondial/10/country/RCB/	81326
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Plateaux	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	38400	http://www.semwebtech.org/mondial/10/country/RCB/	192596
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Bouenza	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	12265	http://www.semwebtech.org/mondial/10/country/RCB/	319570
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	94394	http://www.semwebtech.org/mondial/10/country/Z/	1267803
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	North-Western	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	125826	http://www.semwebtech.org/mondial/10/country/Z/	706462
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Southern	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	85283	http://www.semwebtech.org/mondial/10/country/Z/	1606793
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Lusaka	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	21896	http://www.semwebtech.org/mondial/10/country/Z/	2198996
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambella	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	29782	http://www.semwebtech.org/mondial/10/country/ETH/	385997
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Addis Ababa	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	526	http://www.semwebtech.org/mondial/10/country/ETH/	3041002
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Amhara	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	154708	http://www.semwebtech.org/mondial/10/country/ETH/	18866002
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	11800	http://www.semwebtech.org/mondial/10/country/YV/	896291
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Cojedes	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	14800	http://www.semwebtech.org/mondial/10/country/YV/	323165
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Lara	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	19800	http://www.semwebtech.org/mondial/10/country/YV/	1774867
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	433	http://www.semwebtech.org/mondial/10/country/YV/	1943901
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Portuguesa	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	15200	http://www.semwebtech.org/mondial/10/country/YV/	876496
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	240528	http://www.semwebtech.org/mondial/10/country/YV/	1410964
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Barinas	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	35200	http://www.semwebtech.org/mondial/10/country/YV/	816264
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Vargas	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	1172	http://www.semwebtech.org/mondial/10/country/YV/	352920
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Falcón	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	24800	http://www.semwebtech.org/mondial/10/country/YV/	902847
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Nueva Esparta	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	1151	http://www.semwebtech.org/mondial/10/country/YV/	491610
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Miranda	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	7950	http://www.semwebtech.org/mondial/10/country/YV/	2675165
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Monagas	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	28900	http://www.semwebtech.org/mondial/10/country/YV/	905443
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Yaracuy	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	7100	http://www.semwebtech.org/mondial/10/country/YV/	600852
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Mérida	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	11300	http://www.semwebtech.org/mondial/10/country/YV/	828592
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Anzoátegui	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	43300	http://www.semwebtech.org/mondial/10/country/YV/	1469747
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Delta Amacuro	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	40200	http://www.semwebtech.org/mondial/10/country/YV/	167676
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Atyrau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	118631	http://www.semwebtech.org/mondial/10/country/KAZ/	567938
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Almaty City	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	319	http://www.semwebtech.org/mondial/10/country/KAZ/	1507737
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Baikonur	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	57	http://www.semwebtech.org/mondial/10/country/KAZ/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	East-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	283226	http://www.semwebtech.org/mondial/10/country/KAZ/	1394114
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Pavlodar	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	124800	http://www.semwebtech.org/mondial/10/country/KAZ/	752977
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	North-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	97993	http://www.semwebtech.org/mondial/10/country/KAZ/	575746
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Mangistau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	165642	http://www.semwebtech.org/mondial/10/country/KAZ/	587440
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Astana	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	710	http://www.semwebtech.org/mondial/10/country/KAZ/	814401
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanai	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	196001	http://www.semwebtech.org/mondial/10/country/KAZ/	880889
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Kyzylorda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	226019	http://www.semwebtech.org/mondial/10/country/KAZ/	740389
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Zhambyl	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	144264	http://www.semwebtech.org/mondial/10/country/KAZ/	1084987
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	South-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	117249	http://www.semwebtech.org/mondial/10/country/KAZ/	2734734
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Bali	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	5780	http://www.semwebtech.org/mondial/10/country/RI/	4225384
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Sumatera Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	72981	http://www.semwebtech.org/mondial/10/country/RI/	13527937
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Nusa Tenggara Timur	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	48718	http://www.semwebtech.org/mondial/10/country/RI/	5070746
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Jawa Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	32800	http://www.semwebtech.org/mondial/10/country/RI/	32779832
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Nusa Tenggara Barat	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	18572	http://www.semwebtech.org/mondial/10/country/RI/	4702389
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Sulawesi Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	16787	http://www.semwebtech.org/mondial/10/country/RI/	1284620
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Sulawesi Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	46717	http://www.semwebtech.org/mondial/10/country/RI/	8395747
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Kepulauan Riau	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	8201	http://www.semwebtech.org/mondial/10/country/RI/	2031895
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Papua Barat	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	97024	http://www.semwebtech.org/mondial/10/country/RI/	877437
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Kalimantan Barat	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	147307	http://www.semwebtech.org/mondial/10/country/RI/	4546439
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Sulawesi Tenggara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	38067	http://www.semwebtech.org/mondial/10/country/RI/	2417962
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Maluku	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	46914	http://www.semwebtech.org/mondial/10/country/RI/	1708190
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Maluku Utara	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	31982	http://www.semwebtech.org/mondial/10/country/RI/	1141561
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Jawa Timur	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	47799	http://www.semwebtech.org/mondial/10/country/RI/	38529481
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Aceh	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	57956	http://www.semwebtech.org/mondial/10/country/RI/	4731705
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Sumatera Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	91592	http://www.semwebtech.org/mondial/10/country/RI/	7996535
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Jambi	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	50058	http://www.semwebtech.org/mondial/10/country/RI/	3412459
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Sulawesi Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	61841	http://www.semwebtech.org/mondial/10/country/RI/	2839290
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Kalimantan Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	38744	http://www.semwebtech.org/mondial/10/country/RI/	3913908
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	DI Yogyakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	3133	http://www.semwebtech.org/mondial/10/country/RI/	3594290
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Lampung	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	34623	http://www.semwebtech.org/mondial/10/country/RI/	7972246
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Kalimantan Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	153564	http://www.semwebtech.org/mondial/10/country/RI/	2368654
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Papua	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	319036	http://www.semwebtech.org/mondial/10/country/RI/	3486432
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Catamarca	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	102602	http://www.semwebtech.org/mondial/10/country/RA/	393088
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	São Paulo	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	248209	http://www.semwebtech.org/mondial/10/country/BR/	44035304
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Villa Clara	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	8411	http://www.semwebtech.org/mondial/10/country/C/	783708
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Sumatera Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	42012	http://www.semwebtech.org/mondial/10/country/RI/	5098790
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Bayern	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	70550	http://www.semwebtech.org/mondial/10/country/D/	12397614
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Praha	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	496	http://www.semwebtech.org/mondial/10/country/CZ/	1272690
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Olomoucký	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	5266	http://www.semwebtech.org/mondial/10/country/CZ/	639946
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Mon	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	12296	http://www.semwebtech.org/mondial/10/country/MYA/	2050282
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamedan	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	19368	http://www.semwebtech.org/mondial/10/country/IR/	1758268
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Ayacucho	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	43814	http://www.semwebtech.org/mondial/10/country/PE/	666029
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Lima	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	32126	http://www.semwebtech.org/mondial/10/country/PE/	913734
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Algarve	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	4960	http://www.semwebtech.org/mondial/10/country/P/	340100
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Viseu	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	5007	http://www.semwebtech.org/mondial/10/country/P/	401000
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Leiria	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	3515	http://www.semwebtech.org/mondial/10/country/P/	427800
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Braga	http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	2673	http://www.semwebtech.org/mondial/10/country/P/	746100
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Castelo Branco	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	6675	http://www.semwebtech.org/mondial/10/country/P/	214700
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Ningxia	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	66400	http://www.semwebtech.org/mondial/10/country/CN/	6541900
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Camagüey	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	15386	http://www.semwebtech.org/mondial/10/country/C/	768311
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Van	http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	19414	http://www.semwebtech.org/mondial/10/country/TR/	1051975
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Artvin	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	7367	http://www.semwebtech.org/mondial/10/country/TR/	167082
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Gümüşhane	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	6437	http://www.semwebtech.org/mondial/10/country/TR/	135216
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Karabük	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	4108	http://www.semwebtech.org/mondial/10/country/TR/	225145
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Giresun	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	6831	http://www.semwebtech.org/mondial/10/country/TR/	419555
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Sabah	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	73631	http://www.semwebtech.org/mondial/10/country/MAL/	3120040
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Pahang	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	36137	http://www.semwebtech.org/mondial/10/country/MAL/	1443365
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Sonora	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	179502	http://www.semwebtech.org/mondial/10/country/MEX/	2662480
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Putumayo	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	24885	http://www.semwebtech.org/mondial/10/country/CO/	341034
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	109665	http://www.semwebtech.org/mondial/10/country/CO/	75388
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Norte de Santander	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	21658	http://www.semwebtech.org/mondial/10/country/CO/	1344038
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Vinnyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	26492	http://www.semwebtech.org/mondial/10/country/UA/	1634187
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Khersons´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	28461	http://www.semwebtech.org/mondial/10/country/UA/	1083367
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	KwaZulu-Natal	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	94361	http://www.semwebtech.org/mondial/10/country/RSA/	10267300
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Massachusetts	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	20202	http://www.semwebtech.org/mondial/10/country/USA/	6745408
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Nebraska	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	198974	http://www.semwebtech.org/mondial/10/country/USA/	1881503
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Navoiy	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	110800	http://www.semwebtech.org/mondial/10/country/UZB/	901100
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Kurskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	29800	http://www.semwebtech.org/mondial/10/country/R/	1118915
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Ivanovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	23900	http://www.semwebtech.org/mondial/10/country/R/	1043130
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Tatarstan	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	68000	http://www.semwebtech.org/mondial/10/country/R/	3838230
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Tyumen	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	150100	http://www.semwebtech.org/mondial/10/country/R/	1340608
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Irkutsk	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	767900	http://www.semwebtech.org/mondial/10/country/R/	2418348
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Queensland	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	1729958	http://www.semwebtech.org/mondial/10/country/AUS/	4656803
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	País Vasco	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	7237	http://www.semwebtech.org/mondial/10/country/E/	2185393
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Zinder	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	155778	http://www.semwebtech.org/mondial/10/country/RN/	3539764
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Dosso	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	33844	http://www.semwebtech.org/mondial/10/country/RN/	2037713
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Franche-Comté	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	16202	http://www.semwebtech.org/mondial/10/country/F/	1173440
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Aquitaine	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	41308	http://www.semwebtech.org/mondial/10/country/F/	3254233
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Novgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	55300	http://www.semwebtech.org/mondial/10/country/R/	622430
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Vologodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	145700	http://www.semwebtech.org/mondial/10/country/R/	1193371
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Tocantins	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	277620	http://www.semwebtech.org/mondial/10/country/BR/	1496880
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Vysočina	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	6795	http://www.semwebtech.org/mondial/10/country/CZ/	512727
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Jihočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	10056	http://www.semwebtech.org/mondial/10/country/CZ/	637460
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Plzeňský	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	7560	http://www.semwebtech.org/mondial/10/country/CZ/	574694
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Batman	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	4659	http://www.semwebtech.org/mondial/10/country/TR/	534205
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Středočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	11014	http://www.semwebtech.org/mondial/10/country/CZ/	1274633
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Tirol	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	12640	http://www.semwebtech.org/mondial/10/country/A/	720436
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Steiermark	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	16401	http://www.semwebtech.org/mondial/10/country/A/	1214945
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Burgenland	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	3961	http://www.semwebtech.org/mondial/10/country/A/	287470
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Wien	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	414	http://www.semwebtech.org/mondial/10/country/A/	1761738
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Vorarlberg	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	2601	http://www.semwebtech.org/mondial/10/country/A/	374861
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Salzburg	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	7156	http://www.semwebtech.org/mondial/10/country/A/	534030
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Oberösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	11979	http://www.semwebtech.org/mondial/10/country/A/	1424910
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Královéhradecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	4758	http://www.semwebtech.org/mondial/10/country/CZ/	555683
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Zlínský	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	3963	http://www.semwebtech.org/mondial/10/country/CZ/	590459
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Moravskoslezský	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	5426	http://www.semwebtech.org/mondial/10/country/CZ/	1236028
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Ústecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	5334	http://www.semwebtech.org/mondial/10/country/CZ/	830371
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Jihomoravský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	7194	http://www.semwebtech.org/mondial/10/country/CZ/	1169788
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Turku-Pori	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	\N	http://www.semwebtech.org/mondial/10/country/SF/	702000
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Uusimaa	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	\N	http://www.semwebtech.org/mondial/10/country/SF/	1119000
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Mikkeli	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	\N	http://www.semwebtech.org/mondial/10/country/SF/	209000
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Lappia	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	\N	http://www.semwebtech.org/mondial/10/country/SF/	195000
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Yazd	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	129285	http://www.semwebtech.org/mondial/10/country/IR/	1074428
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Esfahan	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	107018	http://www.semwebtech.org/mondial/10/country/IR/	4879312
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Khorasan-e-Razavi	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	118851	http://www.semwebtech.org/mondial/10/country/IR/	5994402
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Zanjan	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	21773	http://www.semwebtech.org/mondial/10/country/IR/	1015734
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Lisboa	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	2761	http://www.semwebtech.org/mondial/10/country/P/	2063800
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Ardahan	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	4967	http://www.semwebtech.org/mondial/10/country/TR/	106643
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Malatya	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	12102	http://www.semwebtech.org/mondial/10/country/TR/	762366
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Zonguldak	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	3309	http://www.semwebtech.org/mondial/10/country/TR/	606527
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Tabasco	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	24737	http://www.semwebtech.org/mondial/10/country/MEX/	2238603
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Baja California Sur	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	73922	http://www.semwebtech.org/mondial/10/country/MEX/	637026
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Syddanmark	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	12206	http://www.semwebtech.org/mondial/10/country/DK/	1201342
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Cundinamarca	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	22623	http://www.semwebtech.org/mondial/10/country/CO/	2639059
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Sevastopol´	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	864	http://www.semwebtech.org/mondial/10/country/UA/	381234
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Krym	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	26080	http://www.semwebtech.org/mondial/10/country/UA/	1963008
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Qoraqalpogʻiston	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	165590	http://www.semwebtech.org/mondial/10/country/UZB/	1736500
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Moscow	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	1100	http://www.semwebtech.org/mondial/10/country/R/	12108257
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Ingushskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	3750	http://www.semwebtech.org/mondial/10/country/R/	453010
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Bashkortostan	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	143600	http://www.semwebtech.org/mondial/10/country/R/	4069698
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Mordoviya	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	26200	http://www.semwebtech.org/mondial/10/country/R/	812156
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Victoria	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	227495	http://www.semwebtech.org/mondial/10/country/AUS/	5739341
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Trarza	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	67800	http://www.semwebtech.org/mondial/10/country/RIM/	272773
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Niamey	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	402	http://www.semwebtech.org/mondial/10/country/RN/	1026848
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Formosa	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	72066	http://www.semwebtech.org/mondial/10/country/RA/	573823
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Tucumán	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	22524	http://www.semwebtech.org/mondial/10/country/RA/	1572205
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Suomi	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	\N	http://www.semwebtech.org/mondial/10/country/SF/	242000
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Pohjols-Karjala	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	177000
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Oulu	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	415000
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Vaasa	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	\N	http://www.semwebtech.org/mondial/10/country/SF/	430000
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Friesland	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	5748	http://www.semwebtech.org/mondial/10/country/NL/	646452
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Gelderland	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	5136	http://www.semwebtech.org/mondial/10/country/NL/	2020754
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Noord-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	4090	http://www.semwebtech.org/mondial/10/country/NL/	2745613
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Noord-Brabant	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	5081	http://www.semwebtech.org/mondial/10/country/NL/	2482079
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Flevoland	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	2412	http://www.semwebtech.org/mondial/10/country/NL/	400398
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Drenthe	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	2680	http://www.semwebtech.org/mondial/10/country/NL/	488876
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Groningen	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	2959	http://www.semwebtech.org/mondial/10/country/NL/	582156
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Zuid-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	3418	http://www.semwebtech.org/mondial/10/country/NL/	3580735
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	South East	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	19069	http://www.semwebtech.org/mondial/10/country/GB/	8792626
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Utrecht	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	1449	http://www.semwebtech.org/mondial/10/country/NL/	1255661
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	West-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	3144	http://www.semwebtech.org/mondial/10/country/B/	1173019
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	2422	http://www.semwebtech.org/mondial/10/country/B/	853239
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Vlaams-Brabant	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	2106	http://www.semwebtech.org/mondial/10/country/B/	1101280
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Oost-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	2982	http://www.semwebtech.org/mondial/10/country/B/	1460944
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Liège	http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	3862	http://www.semwebtech.org/mondial/10/country/B/	1087729
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Luxembourg	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	4439	http://www.semwebtech.org/mondial/10/country/B/	275594
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Sagaing	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	93704	http://www.semwebtech.org/mondial/10/country/MYA/	5320299
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Kachin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	89041	http://www.semwebtech.org/mondial/10/country/MYA/	1689654
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Rakhine	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	36778	http://www.semwebtech.org/mondial/10/country/MYA/	3188963
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Chin	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	36018	http://www.semwebtech.org/mondial/10/country/MYA/	478690
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Tanintharyi	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	43344	http://www.semwebtech.org/mondial/10/country/MYA/	1406434
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Kayah	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	11731	http://www.semwebtech.org/mondial/10/country/MYA/	286738
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Gillan	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	14042	http://www.semwebtech.org/mondial/10/country/IR/	2480874
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Lorestan	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	28294	http://www.semwebtech.org/mondial/10/country/IR/	1754243
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	North Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	28434	http://www.semwebtech.org/mondial/10/country/IR/	867727
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Bushehr	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	22743	http://www.semwebtech.org/mondial/10/country/IR/	1032949
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	West Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	37411	http://www.semwebtech.org/mondial/10/country/IR/	3080576
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Kurdestan	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	29137	http://www.semwebtech.org/mondial/10/country/IR/	1493645
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Kerman	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	180726	http://www.semwebtech.org/mondial/10/country/IR/	2938988
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Golestan	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	20367	http://www.semwebtech.org/mondial/10/country/IR/	1777014
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	South Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	95385	http://www.semwebtech.org/mondial/10/country/IR/	662534
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Markazi	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	29127	http://www.semwebtech.org/mondial/10/country/IR/	1413959
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Kermanshah	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	25009	http://www.semwebtech.org/mondial/10/country/IR/	1945227
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Mazandaran	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	23842	http://www.semwebtech.org/mondial/10/country/IR/	3073943
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Huancavelica	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	22131	http://www.semwebtech.org/mondial/10/country/PE/	483580
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	San Martín	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	51253	http://www.semwebtech.org/mondial/10/country/PE/	806452
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Callao	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	146	http://www.semwebtech.org/mondial/10/country/PE/	969170
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Cajamarca	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	33317	http://www.semwebtech.org/mondial/10/country/PE/	1513892
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Lambayeque	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	14231	http://www.semwebtech.org/mondial/10/country/PE/	1229260
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Huánuco	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	36848	http://www.semwebtech.org/mondial/10/country/PE/	840984
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Moquegua	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	15733	http://www.semwebtech.org/mondial/10/country/PE/	174859
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Tacna	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	16075	http://www.semwebtech.org/mondial/10/country/PE/	328915
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	La Libertad	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	25499	http://www.semwebtech.org/mondial/10/country/PE/	1791659
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Pasco	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	25319	http://www.semwebtech.org/mondial/10/country/PE/	297591
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Apurímac	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	20895	http://www.semwebtech.org/mondial/10/country/PE/	451881
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Lima City	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	2670	http://www.semwebtech.org/mondial/10/country/PE/	8481415
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Puno	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	71999	http://www.semwebtech.org/mondial/10/country/PE/	1377122
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Cusco	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	71986	http://www.semwebtech.org/mondial/10/country/PE/	1292175
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Shanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	157100	http://www.semwebtech.org/mondial/10/country/CN/	36298000
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magwe	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	44820	http://www.semwebtech.org/mondial/10/country/MYA/	3912711
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Mandalay	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	37945	http://www.semwebtech.org/mondial/10/country/MYA/	6145588
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Amapá	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	142814	http://www.semwebtech.org/mondial/10/country/BR/	750912
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Isla de la Juventud	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	2419	http://www.semwebtech.org/mondial/10/country/C/	84263
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Overijssel	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	3420	http://www.semwebtech.org/mondial/10/country/NL/	1140310
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Tambovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	34300	http://www.semwebtech.org/mondial/10/country/R/	1068934
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Antwerpen	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	2867	http://www.semwebtech.org/mondial/10/country/B/	1793377
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Rondônia	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	237576	http://www.semwebtech.org/mondial/10/country/BR/	1748531
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Kohgiluyeh and Boyerahmad	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	15504	http://www.semwebtech.org/mondial/10/country/IR/	658629
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Chaharmahal and Bakhtiyari	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	16328	http://www.semwebtech.org/mondial/10/country/IR/	895263
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Sistan and Baluchestan	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	181785	http://www.semwebtech.org/mondial/10/country/IR/	2534327
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Alborz	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	5122	http://www.semwebtech.org/mondial/10/country/IR/	2412513
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Tehran	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	13692	http://www.semwebtech.org/mondial/10/country/IR/	12183391
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	East Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	45651	http://www.semwebtech.org/mondial/10/country/IR/	3724620
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	39249	http://www.semwebtech.org/mondial/10/country/PE/	417508
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Madeira	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	794	http://www.semwebtech.org/mondial/10/country/P/	253000
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Viana do Castelo	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	2255	http://www.semwebtech.org/mondial/10/country/P/	248700
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Rangpur	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	16184	http://www.semwebtech.org/mondial/10/country/BD/	15787758
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Chittagong	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	33908	http://www.semwebtech.org/mondial/10/country/BD/	28423019
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Cienfuegos	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	4188	http://www.semwebtech.org/mondial/10/country/C/	400768
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Granma	http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	8374	http://www.semwebtech.org/mondial/10/country/C/	830645
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Bartın	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	2080	http://www.semwebtech.org/mondial/10/country/TR/	188436
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Manisa	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	13228	http://www.semwebtech.org/mondial/10/country/TR/	1346162
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	İstanbul	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	5315	http://www.semwebtech.org/mondial/10/country/TR/	13854740
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Trabzon	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	4664	http://www.semwebtech.org/mondial/10/country/TR/	757898
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Uşak	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	5363	http://www.semwebtech.org/mondial/10/country/TR/	342269
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Bayburt	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	3739	http://www.semwebtech.org/mondial/10/country/TR/	75797
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Chiapas	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	73288	http://www.semwebtech.org/mondial/10/country/MEX/	4796580
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Zacatecas	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	75539	http://www.semwebtech.org/mondial/10/country/MEX/	1490668
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Casanare	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	44640	http://www.semwebtech.org/mondial/10/country/CO/	350239
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	104882	http://www.semwebtech.org/mondial/10/country/RSA/	3509953
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Kansas	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	211754	http://www.semwebtech.org/mondial/10/country/USA/	2904021
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Maine	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	79883	http://www.semwebtech.org/mondial/10/country/USA/	1330089
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Idaho	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	214045	http://www.semwebtech.org/mondial/10/country/USA/	1634464
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Khakasiya	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	61900	http://www.semwebtech.org/mondial/10/country/R/	534079
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Yamalo Nenets ao	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	750300	http://www.semwebtech.org/mondial/10/country/R/	522904
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Antofagasta	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	126049	http://www.semwebtech.org/mondial/10/country/RCH/	530879
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Western Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	2526574	http://www.semwebtech.org/mondial/10/country/AUS/	2519321
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Galicia	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	29559	http://www.semwebtech.org/mondial/10/country/E/	2772927
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Murcia	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	11312	http://www.semwebtech.org/mondial/10/country/E/	1462128
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Asturias	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	10603	http://www.semwebtech.org/mondial/10/country/E/	1075183
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Assaba	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	36600	http://www.semwebtech.org/mondial/10/country/RIM/	325897
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Stockholm	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	6519	http://www.semwebtech.org/mondial/10/country/S/	2127006
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Blekinge	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	2946	http://www.semwebtech.org/mondial/10/country/S/	152315
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	San Luis	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	76748	http://www.semwebtech.org/mondial/10/country/RA/	469889
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Chaco	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	99633	http://www.semwebtech.org/mondial/10/country/RA/	1130608
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Provence-Alpes-Côte d'Azur	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	31399	http://www.semwebtech.org/mondial/10/country/F/	4916069
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Setubal	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	5064	http://www.semwebtech.org/mondial/10/country/P/	713700
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Portalegre	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	6065	http://www.semwebtech.org/mondial/10/country/P/	134300
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Braganca	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	6608	http://www.semwebtech.org/mondial/10/country/P/	158300
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Beja	http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	10225	http://www.semwebtech.org/mondial/10/country/P/	167900
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Guarda	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	5518	http://www.semwebtech.org/mondial/10/country/P/	187800
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Aveiro	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	2808	http://www.semwebtech.org/mondial/10/country/P/	656000
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Vila Real	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	4328	http://www.semwebtech.org/mondial/10/country/P/	237100
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Evora	http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	7393	http://www.semwebtech.org/mondial/10/country/P/	173500
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Madhya Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	308252	http://www.semwebtech.org/mondial/10/country/IND/	72626809
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Rajshahi	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	18153	http://www.semwebtech.org/mondial/10/country/BD/	18484858
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Barisal	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	13225	http://www.semwebtech.org/mondial/10/country/BD/	8325666
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Sylhet	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	12635	http://www.semwebtech.org/mondial/10/country/BD/	9910219
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Khulna	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	22284	http://www.semwebtech.org/mondial/10/country/BD/	15687759
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Piauí	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	251529	http://www.semwebtech.org/mondial/10/country/BR/	3194718
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Hainan	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	34300	http://www.semwebtech.org/mondial/10/country/CN/	8952800
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Beijing	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	16808	http://www.semwebtech.org/mondial/10/country/CN/	21148000
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Chongqing	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	82400	http://www.semwebtech.org/mondial/10/country/CN/	29700000
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Paraíba	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	56439	http://www.semwebtech.org/mondial/10/country/BR/	3943885
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Acre	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	152581	http://www.semwebtech.org/mondial/10/country/BR/	790101
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Las Tunas	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	6592	http://www.semwebtech.org/mondial/10/country/C/	525729
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Artemisa	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	4003	http://www.semwebtech.org/mondial/10/country/C/	487339
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Sancti Spíritus	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	6777	http://www.semwebtech.org/mondial/10/country/C/	462114
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Ciego de Ávila	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	6971	http://www.semwebtech.org/mondial/10/country/C/	424750
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Mayabeque	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	3743	http://www.semwebtech.org/mondial/10/country/C/	371198
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Elazığ	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	9281	http://www.semwebtech.org/mondial/10/country/TR/	562703
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Nevşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	5391	http://www.semwebtech.org/mondial/10/country/TR/	285190
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Jalisco	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	78599	http://www.semwebtech.org/mondial/10/country/MEX/	7350682
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Xorazm	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	6300	http://www.semwebtech.org/mondial/10/country/UZB/	1684100
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Perm	http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	160600	http://www.semwebtech.org/mondial/10/country/R/	2636154
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Lipetskaya	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	24100	http://www.semwebtech.org/mondial/10/country/R/	1159866
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Mariy-El	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	23200	http://www.semwebtech.org/mondial/10/country/R/	688686
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Zabaykalskiy	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	431500	http://www.semwebtech.org/mondial/10/country/R/	1090344
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Tarapacá	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	42225	http://www.semwebtech.org/mondial/10/country/RCH/	295095
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	10917	http://www.semwebtech.org/mondial/10/country/CO/	843202
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Guaviare	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	42327	http://www.semwebtech.org/mondial/10/country/CO/	109490
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Arauca	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	23818	http://www.semwebtech.org/mondial/10/country/CO/	259447
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Boyacá	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	23189	http://www.semwebtech.org/mondial/10/country/CO/	1274615
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Chernivets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	8096	http://www.semwebtech.org/mondial/10/country/UA/	905264
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Ternopil´s´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	13824	http://www.semwebtech.org/mondial/10/country/UA/	1080431
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Free State	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	129825	http://www.semwebtech.org/mondial/10/country/RSA/	2745590
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	South Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	196350	http://www.semwebtech.org/mondial/10/country/USA/	853175
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Extremadura	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	41634	http://www.semwebtech.org/mondial/10/country/E/	1104500
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Navarra	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	10573	http://www.semwebtech.org/mondial/10/country/E/	640129
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Brakna	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	33000	http://www.semwebtech.org/mondial/10/country/RIM/	312277
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Gotland	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	3151	http://www.semwebtech.org/mondial/10/country/S/	57241
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Skåne	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	11034	http://www.semwebtech.org/mondial/10/country/S/	1263088
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Jönköping	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	10495	http://www.semwebtech.org/mondial/10/country/S/	339116
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	39150	http://www.semwebtech.org/mondial/10/country/F/	2556835
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Île-de-France	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	12012	http://www.semwebtech.org/mondial/10/country/F/	11852851
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Guantánamo	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	6167	http://www.semwebtech.org/mondial/10/country/C/	506369
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Holguín	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	9215	http://www.semwebtech.org/mondial/10/country/C/	1027683
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Yozgat	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	14074	http://www.semwebtech.org/mondial/10/country/TR/	453211
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Sivas	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	28567	http://www.semwebtech.org/mondial/10/country/TR/	623535
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Niğde	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	7365	http://www.semwebtech.org/mondial/10/country/TR/	340270
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Iğdır	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	3587	http://www.semwebtech.org/mondial/10/country/TR/	190409
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Burdur	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	7134	http://www.semwebtech.org/mondial/10/country/TR/	254341
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Kahramanmaraş	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	14456	http://www.semwebtech.org/mondial/10/country/TR/	1063174
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Tunceli	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	7685	http://www.semwebtech.org/mondial/10/country/TR/	86276
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Diyarbakır	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	15204	http://www.semwebtech.org/mondial/10/country/TR/	1592167
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Kayseri	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	17109	http://www.semwebtech.org/mondial/10/country/TR/	1274968
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Siirt	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	5473	http://www.semwebtech.org/mondial/10/country/TR/	310879
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Sakarya	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	4880	http://www.semwebtech.org/mondial/10/country/TR/	902267
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Kırşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	6530	http://www.semwebtech.org/mondial/10/country/TR/	221209
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Samsun	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	9364	http://www.semwebtech.org/mondial/10/country/TR/	1251722
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	12015	http://www.semwebtech.org/mondial/10/country/TR/	4005459
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Tekirdağ	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	6342	http://www.semwebtech.org/mondial/10/country/TR/	852321
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Bitlis	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	7094	http://www.semwebtech.org/mondial/10/country/TR/	337253
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Sinop	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	5816	http://www.semwebtech.org/mondial/10/country/TR/	201311
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Kars	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	10139	http://www.semwebtech.org/mondial/10/country/TR/	304821
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Kırklareli	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	6299	http://www.semwebtech.org/mondial/10/country/TR/	341218
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Çorum	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	12796	http://www.semwebtech.org/mondial/10/country/TR/	529975
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Bingöl	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	8253	http://www.semwebtech.org/mondial/10/country/TR/	262507
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Isparta	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	8871	http://www.semwebtech.org/mondial/10/country/TR/	416663
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Mardin	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	8806	http://www.semwebtech.org/mondial/10/country/TR/	773026
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Ağrı	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	11498	http://www.semwebtech.org/mondial/10/country/TR/	552404
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Muğla	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	12949	http://www.semwebtech.org/mondial/10/country/TR/	851145
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Aydın	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	7904	http://www.semwebtech.org/mondial/10/country/TR/	1006541
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Adana	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	14045	http://www.semwebtech.org/mondial/10/country/TR/	2125635
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Kocaeli	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	3625	http://www.semwebtech.org/mondial/10/country/TR/	1634691
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Gaziantep	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	6844	http://www.semwebtech.org/mondial/10/country/TR/	1799558
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Antalya	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	20790	http://www.semwebtech.org/mondial/10/country/TR/	2092537
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Şanlıurfa	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	19336	http://www.semwebtech.org/mondial/10/country/TR/	1762075
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Perak	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	21035	http://www.semwebtech.org/mondial/10/country/MAL/	2258428
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Labuan	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	91	http://www.semwebtech.org/mondial/10/country/MAL/	85272
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Perlis	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	821	http://www.semwebtech.org/mondial/10/country/MAL/	227025
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Pulau Pinang	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	1048	http://www.semwebtech.org/mondial/10/country/MAL/	1520143
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Terengganu	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	13035	http://www.semwebtech.org/mondial/10/country/MAL/	1015776
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Kelantan	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	15099	http://www.semwebtech.org/mondial/10/country/MAL/	1459994
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Kuala Lumpur	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	243	http://www.semwebtech.org/mondial/10/country/MAL/	1627172
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Kedah	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	9500	http://www.semwebtech.org/mondial/10/country/MAL/	1947651
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Negeri Sembilan	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	6686	http://www.semwebtech.org/mondial/10/country/MAL/	997071
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Melaka	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	1664	http://www.semwebtech.org/mondial/10/country/MAL/	788706
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Hidalgo	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	20846	http://www.semwebtech.org/mondial/10/country/MEX/	2665018
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Colima	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	5625	http://www.semwebtech.org/mondial/10/country/MEX/	650555
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Campeche	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	57924	http://www.semwebtech.org/mondial/10/country/MEX/	822441
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Tamaulipas	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	80174	http://www.semwebtech.org/mondial/10/country/MEX/	3268554
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Nayarit	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	27815	http://www.semwebtech.org/mondial/10/country/MEX/	1084979
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Durango	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	123451	http://www.semwebtech.org/mondial/10/country/MEX/	1632934
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Coahuila	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	151562	http://www.semwebtech.org/mondial/10/country/MEX/	2748391
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	México, Estado de	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	22356	http://www.semwebtech.org/mondial/10/country/MEX/	15175862
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Baja California	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	71445	http://www.semwebtech.org/mondial/10/country/MEX/	3155070
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Puebla	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	34289	http://www.semwebtech.org/mondial/10/country/MEX/	5779829
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Michoacán	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	58643	http://www.semwebtech.org/mondial/10/country/MEX/	4351037
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Oaxaca	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	93793	http://www.semwebtech.org/mondial/10/country/MEX/	3801962
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Aguascalientes	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	5617	http://www.semwebtech.org/mondial/10/country/MEX/	1184996
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	San Luis Potosí	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	60982	http://www.semwebtech.org/mondial/10/country/MEX/	2585518
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Kyïv	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	836	http://www.semwebtech.org/mondial/10/country/UA/	2814258
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Illes Balears	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	4991	http://www.semwebtech.org/mondial/10/country/E/	1100503
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Nordjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	7933	http://www.semwebtech.org/mondial/10/country/DK/	579996
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Sjælland	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	7273	http://www.semwebtech.org/mondial/10/country/DK/	817907
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Hovedstaden	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	2561	http://www.semwebtech.org/mondial/10/country/DK/	1714589
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Santa Fe de Bogotá	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	1587	http://www.semwebtech.org/mondial/10/country/CO/	7776845
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Huila	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	19890	http://www.semwebtech.org/mondial/10/country/CO/	1140539
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	25020	http://www.semwebtech.org/mondial/10/country/CO/	1683782
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Chocó	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	46530	http://www.semwebtech.org/mondial/10/country/CO/	495151
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Santander	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	30537	http://www.semwebtech.org/mondial/10/country/CO/	2051022
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Vaupés	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	65268	http://www.semwebtech.org/mondial/10/country/CO/	43240
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Quindío	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	1845	http://www.semwebtech.org/mondial/10/country/CO/	562114
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Cesar	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	22905	http://www.semwebtech.org/mondial/10/country/CO/	1016533
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Nariño	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	33268	http://www.semwebtech.org/mondial/10/country/CO/	1722945
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Risaralda	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	4140	http://www.semwebtech.org/mondial/10/country/CO/	946632
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Guainía	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	72238	http://www.semwebtech.org/mondial/10/country/CO/	40839
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Atlántico	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	3388	http://www.semwebtech.org/mondial/10/country/CO/	2432003
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	29308	http://www.semwebtech.org/mondial/10/country/CO/	1366984
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Caquetá	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	88965	http://www.semwebtech.org/mondial/10/country/CO/	471541
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Magdalena	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	23188	http://www.semwebtech.org/mondial/10/country/CO/	1247514
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Meta	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	85635	http://www.semwebtech.org/mondial/10/country/CO/	943072
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	L´vivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	21831	http://www.semwebtech.org/mondial/10/country/UA/	2540938
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Zakarpats´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	12753	http://www.semwebtech.org/mondial/10/country/UA/	1250759
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Volyns´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	20144	http://www.semwebtech.org/mondial/10/country/UA/	1038598
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Kyïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	28121	http://www.semwebtech.org/mondial/10/country/UA/	1719558
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Kharkivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	31418	http://www.semwebtech.org/mondial/10/country/UA/	2742180
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Chernihivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	31903	http://www.semwebtech.org/mondial/10/country/UA/	1088509
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Cherkas´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	20916	http://www.semwebtech.org/mondial/10/country/UA/	1277303
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Khmel´nyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	20629	http://www.semwebtech.org/mondial/10/country/UA/	1320171
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Zhytomyrs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	29827	http://www.semwebtech.org/mondial/10/country/UA/	1273199
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Dnipropetrovs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	31923	http://www.semwebtech.org/mondial/10/country/UA/	3320299
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Ivano-Frankivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	13927	http://www.semwebtech.org/mondial/10/country/UA/	1380128
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Mpumalanga	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	76495	http://www.semwebtech.org/mondial/10/country/RSA/	4039939
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Limpopo	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	125754	http://www.semwebtech.org/mondial/10/country/RSA/	5404868
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Delaware	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	5047	http://www.semwebtech.org/mondial/10/country/USA/	935614
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Mississippi	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	121531	http://www.semwebtech.org/mondial/10/country/USA/	2994079
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Sachsen-Anhalt	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	20450	http://www.semwebtech.org/mondial/10/country/D/	2287040
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Castilla-La Mancha	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	79408	http://www.semwebtech.org/mondial/10/country/E/	2106331
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Misiones	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	29801	http://www.semwebtech.org/mondial/10/country/RA/	1174542
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Río Negro	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	203013	http://www.semwebtech.org/mondial/10/country/RA/	688873
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Champagne-Ardenne	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	25605	http://www.semwebtech.org/mondial/10/country/F/	1336053
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Pays de la Loire	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	32081	http://www.semwebtech.org/mondial/10/country/F/	3601113
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Hawaii	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	16635	http://www.semwebtech.org/mondial/10/country/USA/	1419561
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Nevada	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	284332	http://www.semwebtech.org/mondial/10/country/USA/	2839099
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Oklahoma	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	177660	http://www.semwebtech.org/mondial/10/country/USA/	3878051
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Montana	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	376962	http://www.semwebtech.org/mondial/10/country/USA/	1023579
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	West Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	62259	http://www.semwebtech.org/mondial/10/country/USA/	1850326
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Wyoming	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	251470	http://www.semwebtech.org/mondial/10/country/USA/	584153
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Alaska	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	1477953	http://www.semwebtech.org/mondial/10/country/USA/	736732
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Arkansas	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	134771	http://www.semwebtech.org/mondial/10/country/USA/	2966369
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Tennessee	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	106798	http://www.semwebtech.org/mondial/10/country/USA/	6549352
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	South Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	77857	http://www.semwebtech.org/mondial/10/country/USA/	4832482
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Utah	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	212818	http://www.semwebtech.org/mondial/10/country/USA/	2942902
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Kentucky	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	102269	http://www.semwebtech.org/mondial/10/country/USA/	4413457
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Rheinland-Pfalz	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	19854	http://www.semwebtech.org/mondial/10/country/D/	3989808
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Thüringen	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	16172	http://www.semwebtech.org/mondial/10/country/D/	2188589
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Hamburg	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	755	http://www.semwebtech.org/mondial/10/country/D/	1706696
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Berlin	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	891	http://www.semwebtech.org/mondial/10/country/D/	3292365
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Pskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	55300	http://www.semwebtech.org/mondial/10/country/R/	656561
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Belgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	27134	http://www.semwebtech.org/mondial/10/country/R/	1544108
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarqand	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	16400	http://www.semwebtech.org/mondial/10/country/UZB/	3445600
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fargʻona	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	6800	http://www.semwebtech.org/mondial/10/country/UZB/	3386500
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Qasqadaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	28400	http://www.semwebtech.org/mondial/10/country/UZB/	2895300
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Kamchatka	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	472300	http://www.semwebtech.org/mondial/10/country/R/	319864
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhnii Novgorod	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	74800	http://www.semwebtech.org/mondial/10/country/R/	3281496
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Primorskiy	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	165900	http://www.semwebtech.org/mondial/10/country/R/	1938516
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Chechenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	12300	http://www.semwebtech.org/mondial/10/country/R/	1346438
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Sverdlov	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	194300	http://www.semwebtech.org/mondial/10/country/R/	4320677
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Amur	http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	363700	http://www.semwebtech.org/mondial/10/country/R/	811274
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Komi	http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	415900	http://www.semwebtech.org/mondial/10/country/R/	872057
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Magadan	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	461400	http://www.semwebtech.org/mondial/10/country/R/	150312
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Yaroslavskaya	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	36400	http://www.semwebtech.org/mondial/10/country/R/	1271766
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Vladimirskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	29084	http://www.semwebtech.org/mondial/10/country/R/	1413321
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Ryazanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	39600	http://www.semwebtech.org/mondial/10/country/R/	1140844
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Samara	http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	53600	http://www.semwebtech.org/mondial/10/country/R/	3211187
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Murmanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	144900	http://www.semwebtech.org/mondial/10/country/R/	771058
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Udmurt	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	42100	http://www.semwebtech.org/mondial/10/country/R/	1517050
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Tyva	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	170500	http://www.semwebtech.org/mondial/10/country/R/	311761
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Kabardino-Balkarskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	12500	http://www.semwebtech.org/mondial/10/country/R/	858397
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Bryanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	34857	http://www.semwebtech.org/mondial/10/country/R/	1242599
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Astrakhanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	44100	http://www.semwebtech.org/mondial/10/country/R/	1016516
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Chukotka	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	737700	http://www.semwebtech.org/mondial/10/country/R/	50555
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Ul´yanovsk	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	37300	http://www.semwebtech.org/mondial/10/country/R/	1267561
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Saratov	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	100200	http://www.semwebtech.org/mondial/10/country/R/	2496552
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Altay	http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	92600	http://www.semwebtech.org/mondial/10/country/R/	211645
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Novosibirsk	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	178200	http://www.semwebtech.org/mondial/10/country/R/	2731176
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Volgogradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	113900	http://www.semwebtech.org/mondial/10/country/R/	2569126
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Karachayevo-Cherkesskaya	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	14100	http://www.semwebtech.org/mondial/10/country/R/	469837
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Tomsk	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	316900	http://www.semwebtech.org/mondial/10/country/R/	1070128
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	North Ossetia-Alania	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	8000	http://www.semwebtech.org/mondial/10/country/R/	703977
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Krasnoyarsk	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	2339700	http://www.semwebtech.org/mondial/10/country/R/	2852810
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Penza	http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	43200	http://www.semwebtech.org/mondial/10/country/R/	1360587
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Altayskiy	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	169100	http://www.semwebtech.org/mondial/10/country/R/	2390638
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	48583	http://www.semwebtech.org/mondial/10/country/RCH/	767714
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Araucanía	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	31842	http://www.semwebtech.org/mondial/10/country/RCH/	889492
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Santiago	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	15403	http://www.semwebtech.org/mondial/10/country/RCH/	6604835
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Ríos	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	18429	http://www.semwebtech.org/mondial/10/country/RCH/	364183
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Aysén	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	108494	http://www.semwebtech.org/mondial/10/country/RCH/	94271
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	South Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	984179	http://www.semwebtech.org/mondial/10/country/AUS/	1670827
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Northern Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	1348198	http://www.semwebtech.org/mondial/10/country/AUS/	240759
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Australia Capital Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	2358	http://www.semwebtech.org/mondial/10/country/AUS/	381488
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Canarias	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	7447	http://www.semwebtech.org/mondial/10/country/E/	2082654
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Cantabria	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	5323	http://www.semwebtech.org/mondial/10/country/E/	592542
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Valenciana	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	23253	http://www.semwebtech.org/mondial/10/country/E/	5009931
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Castilla y León	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	94351	http://www.semwebtech.org/mondial/10/country/E/	2540187
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Aragón	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	47721	http://www.semwebtech.org/mondial/10/country/E/	1344509
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Adrar	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	235002	http://www.semwebtech.org/mondial/10/country/RIM/	62658
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Dakhlet Nouadhibou	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	23090	http://www.semwebtech.org/mondial/10/country/RIM/	123779
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Inchiri	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	46800	http://www.semwebtech.org/mondial/10/country/RIM/	19639
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Hodh El Gharbi	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	53400	http://www.semwebtech.org/mondial/10/country/RIM/	294109
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Nouakchott	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	1000	http://www.semwebtech.org/mondial/10/country/RIM/	958399
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Tillabéri	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	97251	http://www.semwebtech.org/mondial/10/country/RN/	2722482
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Agadez	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	667799	http://www.semwebtech.org/mondial/10/country/RN/	487620
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Örebro	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	8545	http://www.semwebtech.org/mondial/10/country/S/	283113
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Södermanland	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	6102	http://www.semwebtech.org/mondial/10/country/S/	274723
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Gävleborg	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	18198	http://www.semwebtech.org/mondial/10/country/S/	276637
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Östergötland	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	10602	http://www.semwebtech.org/mondial/10/country/S/	433784
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Västra Götaland	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	23948	http://www.semwebtech.org/mondial/10/country/S/	1600447
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Halland	http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	5460	http://www.semwebtech.org/mondial/10/country/S/	304116
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Västmanland	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	5145	http://www.semwebtech.org/mondial/10/country/S/	256224
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Wales	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	20735	http://www.semwebtech.org/mondial/10/country/GB/	3082412
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Northern Ireland	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	14130	http://www.semwebtech.org/mondial/10/country/GB/	1829725
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Salta	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	155488	http://www.semwebtech.org/mondial/10/country/RA/	1314726
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Tierra del Fuego	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	21571	http://www.semwebtech.org/mondial/10/country/RA/	148143
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	La Pampa	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	143440	http://www.semwebtech.org/mondial/10/country/RA/	339895
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Chubut	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	224686	http://www.semwebtech.org/mondial/10/country/RA/	556319
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Anhui	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	139900	http://www.semwebtech.org/mondial/10/country/CN/	60298000
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Fujian	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	123100	http://www.semwebtech.org/mondial/10/country/CN/	37740000
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Pennsylvania	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	115883	http://www.semwebtech.org/mondial/10/country/USA/	12787209
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Illinois	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	143793	http://www.semwebtech.org/mondial/10/country/USA/	12880580
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Colorado	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	268431	http://www.semwebtech.org/mondial/10/country/USA/	5355866
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Nordrhein-Westfalen	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	34097	http://www.semwebtech.org/mondial/10/country/D/	17538251
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	102279	http://www.semwebtech.org/mondial/10/country/USA/	8326289
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Stavropol´skiy	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	66500	http://www.semwebtech.org/mondial/10/country/R/	2794508
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Oppland	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	25192	http://www.semwebtech.org/mondial/10/country/N/	187254
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Vest-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	7276	http://www.semwebtech.org/mondial/10/country/N/	176353
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Rio Grande do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	268887	http://www.semwebtech.org/mondial/10/country/BR/	11207274
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Akershus	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	4917	http://www.semwebtech.org/mondial/10/country/N/	566399
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Sogn og Fjordane	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	18623	http://www.semwebtech.org/mondial/10/country/N/	108700
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Sør-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	18839	http://www.semwebtech.org/mondial/10/country/N/	302755
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Rogaland	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	9375	http://www.semwebtech.org/mondial/10/country/N/	452159
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Hedmark	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	27397	http://www.semwebtech.org/mondial/10/country/N/	193719
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Cataluña	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	32163	http://www.semwebtech.org/mondial/10/country/E/	7519843
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Guanajuato	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	30608	http://www.semwebtech.org/mondial/10/country/MEX/	5486372
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Ceará	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	148825	http://www.semwebtech.org/mondial/10/country/BR/	8842791
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	West Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	12998	http://www.semwebtech.org/mondial/10/country/GB/	5674712
http://www.semwebtech.org/mondial/10/country/USA/province/California/	California	http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	403466	http://www.semwebtech.org/mondial/10/country/USA/	38802500
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karaganda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	427982	http://www.semwebtech.org/mondial/10/country/KAZ/	1369839
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Henan	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	167000	http://www.semwebtech.org/mondial/10/country/CN/	94133500
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Connecticut	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	12542	http://www.semwebtech.org/mondial/10/country/USA/	3596677
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Valle de Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	22140	http://www.semwebtech.org/mondial/10/country/CO/	4566875
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Florida	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	138887	http://www.semwebtech.org/mondial/10/country/USA/	19893297
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Washington	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	172119	http://www.semwebtech.org/mondial/10/country/USA/	7061530
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Khuzestan	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	64055	http://www.semwebtech.org/mondial/10/country/IR/	4531720
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	243943	http://www.semwebtech.org/mondial/10/country/RA/	311444
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Limousin	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	16942	http://www.semwebtech.org/mondial/10/country/F/	741072
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Bretagne	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	27207	http://www.semwebtech.org/mondial/10/country/F/	3217767
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Rhône-Alpes	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	43698	http://www.semwebtech.org/mondial/10/country/F/	6283541
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Nord-Pas-de-Calais	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	12414	http://www.semwebtech.org/mondial/10/country/F/	4042015
\.


--
-- TOC entry 5320 (class 0 OID 91085)
-- Dependencies: 831
-- Data for Name: Religion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Religion" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Presbyterian
http://www.semwebtech.org/mondial/10/religion/Baptist/	Baptist
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Church of God
http://www.semwebtech.org/mondial/10/religion/Hindu/	Hindu
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Armenian Apostolic
http://www.semwebtech.org/mondial/10/religion/Catholic/	Catholic
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Cao Dai
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Roman Catholic
http://www.semwebtech.org/mondial/10/religion/Sikh/	Sikh
http://www.semwebtech.org/mondial/10/religion/Jains/	Jains
http://www.semwebtech.org/mondial/10/religion/Taoist/	Taoist
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Episcopalian
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Christian Congregationalist
http://www.semwebtech.org/mondial/10/religion/Mormon/	Mormon
http://www.semwebtech.org/mondial/10/religion/Druze/	Druze
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Jehovas Witnesses
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Ukrainian Greek Catholic
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Christian Orthodox
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Seventh-Day Adventist
http://www.semwebtech.org/mondial/10/religion/Methodist/	Methodist
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Uniting Church Australia
http://www.semwebtech.org/mondial/10/religion/Christian/	Christian
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Chondogyo
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	United Church
http://www.semwebtech.org/mondial/10/religion/Protestant/	Protestant
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Ekalesia Niue
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Hoa Hao
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Kimbanguist
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Confucianism
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	New Apostolic
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Church Christ
http://www.semwebtech.org/mondial/10/religion/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/religion/Anglican/	Anglican
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Congregational Christian
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Buddhist
http://www.semwebtech.org/mondial/10/religion/Bahai/	Bahai
http://www.semwebtech.org/mondial/10/religion/Mayan/	Mayan
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Church Tuvalu
http://www.semwebtech.org/mondial/10/religion/Adventist/	Adventist
http://www.semwebtech.org/mondial/10/religion/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Coptic Christian
http://www.semwebtech.org/mondial/10/religion/United/	United
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	African Methodist Episcopal
\.


--
-- TOC entry 5321 (class 0 OID 91088)
-- Dependencies: 832
-- Data for Name: Source; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Source" ("URI", "inMountains", longitude, elevation, "hasSource-", latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	608	http://www.semwebtech.org/mondial/10/river/Guadiana/	42
http://www.semwebtech.org/mondial/10/source/Marne/	\N	5.35	406	http://www.semwebtech.org/mondial/10/river/Marne/	47.8
http://www.semwebtech.org/mondial/10/source/Seine/	\N	4.71	470	http://www.semwebtech.org/mondial/10/river/Seine/	47.48
http://www.semwebtech.org/mondial/10/source/Gambia/	\N	-12.3	438	http://www.semwebtech.org/mondial/10/river/Gambia/	11.3
http://www.semwebtech.org/mondial/10/source/SchattalArab/	\N	47.44	20	http://www.semwebtech.org/mondial/10/river/SchattalArab/	31
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-77	\N	http://www.semwebtech.org/mondial/10/river/RioMagdalena/	2
http://www.semwebtech.org/mondial/10/source/Jubba/	\N	39	\N	http://www.semwebtech.org/mondial/10/river/Jubba/	7
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	35.2	474	http://www.semwebtech.org/mondial/10/river/Chire/	-14.2
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148	\N	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-38
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	1830	http://www.semwebtech.org/mondial/10/river/BlueNile/	12
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1375	http://www.semwebtech.org/mondial/10/river/Enns/	47.33
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	7.15	640	http://www.semwebtech.org/mondial/10/river/Saar/	48.5
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	782	http://www.semwebtech.org/mondial/10/river/Lukuga/	-5.9
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	35.7	\N	http://www.semwebtech.org/mondial/10/river/Jordan/	33.7
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	1462	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8
http://www.semwebtech.org/mondial/10/source/Senegal/	\N	-12	\N	http://www.semwebtech.org/mondial/10/river/Senegal/	11.5
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/mountains/SierraParima/	-63.5	\N	http://www.semwebtech.org/mondial/10/river/Orinoco/	2
http://www.semwebtech.org/mondial/10/source/Limmat/	\N	8.64	406	http://www.semwebtech.org/mondial/10/river/Limmat/	47.23
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N	28.75	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.2
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.2	2310	http://www.semwebtech.org/mondial/10/river/Aare/	46.55
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	23	1000	http://www.semwebtech.org/mondial/10/river/Dnjestr/	49
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	73	4130	http://www.semwebtech.org/mondial/10/river/Pjandsh/	37
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.6	\N	http://www.semwebtech.org/mondial/10/river/Save/	46.2
http://www.semwebtech.org/mondial/10/source/Buna/	\N	19.5	1	http://www.semwebtech.org/mondial/10/river/Buna/	42.05
http://www.semwebtech.org/mondial/10/source/Irawaddy/	\N	98	4300	http://www.semwebtech.org/mondial/10/river/Irawaddy/	29
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	30	\N	http://www.semwebtech.org/mondial/10/river/Vaal/	-26
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	72.45	2595	http://www.semwebtech.org/mondial/10/river/Bartang/	38.3
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	\N	-113.9	156	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/SouthernMorava/	42.1
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/mountains/Altai/	86.56	2000	http://www.semwebtech.org/mondial/10/river/Katun/	49.75
http://www.semwebtech.org/mondial/10/source/Kama/	\N	53.75	\N	http://www.semwebtech.org/mondial/10/river/Kama/	58.2
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	16.85	1380	http://www.semwebtech.org/mondial/10/river/March/	50.21
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10	1840	http://www.semwebtech.org/mondial/10/river/Lech/	47.17
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	44.1	1950	http://www.semwebtech.org/mondial/10/river/Murat/	39.55
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N	95	\N	http://www.semwebtech.org/mondial/10/river/Chatanga/	68
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N	30.43	\N	http://www.semwebtech.org/mondial/10/river/WhiteNile/	9.5
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	17.52	634	http://www.semwebtech.org/mondial/10/river/Oder/	49.61
http://www.semwebtech.org/mondial/10/source/Lulua/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Lulua/	-11.3
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7	2770	http://www.semwebtech.org/mondial/10/river/Isere/	45.4
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-74.23	295	http://www.semwebtech.org/mondial/10/river/Tambo/	-11.15
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.52	686	http://www.semwebtech.org/mondial/10/river/Donau/	47.95
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.8	441	http://www.semwebtech.org/mondial/10/river/Drina/	43.35
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.2	451	http://www.semwebtech.org/mondial/10/river/Saone/	48.1
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	\N	-115.85	808	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	50.2
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	\N	-78.9	174	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.9
http://www.semwebtech.org/mondial/10/source/Arkansas/	\N	-106.3	4260	http://www.semwebtech.org/mondial/10/river/Arkansas/	39.25
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	\N	-97.97	218	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77
http://www.semwebtech.org/mondial/10/source/Schari/	\N	21	\N	http://www.semwebtech.org/mondial/10/river/Schari/	8
http://www.semwebtech.org/mondial/10/source/Manicouagan/	\N	-68.7	350	http://www.semwebtech.org/mondial/10/river/Manicouagan/	51.4
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	\N	28.3	119	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/mountains/Jura/	6.2	937	http://www.semwebtech.org/mondial/10/river/Doubs/	46.7
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	12.08	1348	http://www.semwebtech.org/mondial/10/river/Tiber/	43.77
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.89	715	http://www.semwebtech.org/mondial/10/river/Mosel/	47.89
http://www.semwebtech.org/mondial/10/source/Ob/	\N	85	162	http://www.semwebtech.org/mondial/10/river/Ob/	52.43
http://www.semwebtech.org/mondial/10/source/Araguaia/	\N	-53.07	760	http://www.semwebtech.org/mondial/10/river/Araguaia/	-17.97
http://www.semwebtech.org/mondial/10/source/Parana/	\N	-46.5	\N	http://www.semwebtech.org/mondial/10/river/Parana/	-19
http://www.semwebtech.org/mondial/10/source/Saluen/	\N	91.9	5450	http://www.semwebtech.org/mondial/10/river/Saluen/	32.5
http://www.semwebtech.org/mondial/10/source/Volta/	\N	-4.5	\N	http://www.semwebtech.org/mondial/10/river/Volta/	11
http://www.semwebtech.org/mondial/10/source/Ganges/	\N	79.5	\N	http://www.semwebtech.org/mondial/10/river/Ganges/	30.5
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.97	400	http://www.semwebtech.org/mondial/10/river/Ene/	-12.26
http://www.semwebtech.org/mondial/10/source/Selenge/	\N	106	\N	http://www.semwebtech.org/mondial/10/river/Selenge/	52
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.3	2700	http://www.semwebtech.org/mondial/10/river/Akagera/	-2.5
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.6	920	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	41	\N	http://www.semwebtech.org/mondial/10/river/Tigris/	38.3
http://www.semwebtech.org/mondial/10/source/Oulujoki/	\N	27.25	123	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	25.8	1280	http://www.semwebtech.org/mondial/10/river/Olt/	46.65
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Petschora/	62
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	\N	-76.55	75	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	44.2
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.26	1450	http://www.semwebtech.org/mondial/10/river/Drau/	46.73
http://www.semwebtech.org/mondial/10/source/Kwa/	\N	17.4	\N	http://www.semwebtech.org/mondial/10/river/Kwa/	3.3
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.2	\N	http://www.semwebtech.org/mondial/10/river/WhiteDrin/	42.7
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	33	\N	http://www.semwebtech.org/mondial/10/river/Volga/	57
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.82	\N	http://www.semwebtech.org/mondial/10/river/Piva/	43.11
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	\N	http://www.semwebtech.org/mondial/10/river/Atbara/	12.8
http://www.semwebtech.org/mondial/10/source/Lagen/	\N	8.45	611	http://www.semwebtech.org/mondial/10/river/Lagen/	62.19
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1898	http://www.semwebtech.org/mondial/10/river/Mur/	47.13
http://www.semwebtech.org/mondial/10/source/Colorado/	\N	-105.7	2700	http://www.semwebtech.org/mondial/10/river/Colorado/	40.35
http://www.semwebtech.org/mondial/10/source/Pibor/	\N	33.5	\N	http://www.semwebtech.org/mondial/10/river/Pibor/	7
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/mountains/Altai/	90	2930	http://www.semwebtech.org/mondial/10/river/Irtysch/	47.9
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.42	2400	http://www.semwebtech.org/mondial/10/river/Ticino/	46.475
http://www.semwebtech.org/mondial/10/source/Don/	\N	37.5	\N	http://www.semwebtech.org/mondial/10/river/Don/	53
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	\N	-123	1920	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	52.5
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Cuilo/	-11.3
http://www.semwebtech.org/mondial/10/source/Würm/	\N	11.35	596	http://www.semwebtech.org/mondial/10/river/Würm/	48
http://www.semwebtech.org/mondial/10/source/Sobat/	\N	33.2	\N	http://www.semwebtech.org/mondial/10/river/Sobat/	8.45
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/mountains/Ural/	60.8	\N	http://www.semwebtech.org/mondial/10/river/Tobol/	51.2
http://www.semwebtech.org/mondial/10/source/Lena/	\N	107.88	1465	http://www.semwebtech.org/mondial/10/river/Lena/	53.99
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	2160	http://www.semwebtech.org/mondial/10/river/Douro/	42
http://www.semwebtech.org/mondial/10/source/Mekong/	\N	94	5200	http://www.semwebtech.org/mondial/10/river/Mekong/	32.5
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.05	850	http://www.semwebtech.org/mondial/10/river/Ammer/	47.57
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	41.3	1950	http://www.semwebtech.org/mondial/10/river/Karasu/	49.9
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.01	1100	http://www.semwebtech.org/mondial/10/river/Weichsel/	49.61
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.4	1.16	http://www.semwebtech.org/mondial/10/river/Isar/	47.37
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	33	1134	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1
http://www.semwebtech.org/mondial/10/source/Limpopo/	\N	28	1800	http://www.semwebtech.org/mondial/10/river/Limpopo/	-26
http://www.semwebtech.org/mondial/10/source/Glomma/	\N	12	860	http://www.semwebtech.org/mondial/10/river/Glomma/	62.6
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	-3	1400	http://www.semwebtech.org/mondial/10/river/Guadalquivir/	37.8
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-35.8
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-83	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.2
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.7	1140	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	\N	-82.6	176	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	42.1
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.38	1753	http://www.semwebtech.org/mondial/10/river/Rhone/	46.57
http://www.semwebtech.org/mondial/10/source/Bani/	\N	-6.56	285	http://www.semwebtech.org/mondial/10/river/Bani/	12.6
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/mountains/Zagros/	50.1	\N	http://www.semwebtech.org/mondial/10/river/Karun/	32.35
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N	http://www.semwebtech.org/mondial/10/river/Urubamba/	\N
http://www.semwebtech.org/mondial/10/source/Zaire/	\N	25.2	\N	http://www.semwebtech.org/mondial/10/river/Zaire/	0.5
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.3	5800	http://www.semwebtech.org/mondial/10/river/Huallaga/	-10.5
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.5	\N	http://www.semwebtech.org/mondial/10/river/Uelle/	2
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-69	3812	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-16.55
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	85.5	\N	http://www.semwebtech.org/mondial/10/river/Ili/	43.8
http://www.semwebtech.org/mondial/10/source/Neckar/	\N	8.5	706	http://www.semwebtech.org/mondial/10/river/Neckar/	48.05
http://www.semwebtech.org/mondial/10/source/Sanaga/	\N	13.4	628	http://www.semwebtech.org/mondial/10/river/Sanaga/	5.3
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	4.22	1408	http://www.semwebtech.org/mondial/10/river/Loire/	44.84
http://www.semwebtech.org/mondial/10/source/Kymijoki/	\N	25.4	78	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5
http://www.semwebtech.org/mondial/10/source/Niger/	\N	-10.87	490	http://www.semwebtech.org/mondial/10/river/Niger/	9.65
http://www.semwebtech.org/mondial/10/source/Zambezi/	\N	24.2	1500	http://www.semwebtech.org/mondial/10/river/Zambezi/	-11
http://www.semwebtech.org/mondial/10/source/Argun/	\N	122.46	1200	http://www.semwebtech.org/mondial/10/river/Argun/	49.94
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Aruwimi/	-11.3
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.45	88	http://www.semwebtech.org/mondial/10/river/Amazonas/	-4.44
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	\N	-84.6	184	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	46.5
http://www.semwebtech.org/mondial/10/source/Sanga/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Sanga/	6
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.7	695	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41
http://www.semwebtech.org/mondial/10/source/Kemijoki/	\N	28.9525	230	http://www.semwebtech.org/mondial/10/river/Kemijoki/	67.96
http://www.semwebtech.org/mondial/10/source/Okavango/	\N	12.7	\N	http://www.semwebtech.org/mondial/10/river/Okavango/	-18.4
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	74.4	4015	http://www.semwebtech.org/mondial/10/river/Murgab/	37.35
http://www.semwebtech.org/mondial/10/source/Bomu/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Bomu/	5
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Ural/	54
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-66.5	\N	http://www.semwebtech.org/mondial/10/river/RioMamore/	-18
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N	145	\N	http://www.semwebtech.org/mondial/10/river/Kolyma/	61.5
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	13.56	1174	http://www.semwebtech.org/mondial/10/river/Moldau/	48.97
http://www.semwebtech.org/mondial/10/source/Suchona/	\N	59	180	http://www.semwebtech.org/mondial/10/river/Suchona/	39
http://www.semwebtech.org/mondial/10/source/Busira/	\N	20.8	\N	http://www.semwebtech.org/mondial/10/river/Busira/	-0.2
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N	15.1	\N	http://www.semwebtech.org/mondial/10/river/Dalaelv/	60.7
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Lualaba/	-12
http://www.semwebtech.org/mondial/10/source/Hwangho/	\N	96.2	4500	http://www.semwebtech.org/mondial/10/river/Hwangho/	35.3
http://www.semwebtech.org/mondial/10/source/Cuango/	\N	14.2	502	http://www.semwebtech.org/mondial/10/river/Cuango/	-11.5
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	22.93	1000	http://www.semwebtech.org/mondial/10/river/Dnister/	49.2
http://www.semwebtech.org/mondial/10/source/Thames/	\N	-2.03	105	http://www.semwebtech.org/mondial/10/river/Thames/	51.7
http://www.semwebtech.org/mondial/10/source/Klaraelv/	\N	11.9	662	http://www.semwebtech.org/mondial/10/river/Klaraelv/	62.2
http://www.semwebtech.org/mondial/10/source/Amur/	\N	121.48	305	http://www.semwebtech.org/mondial/10/river/Amur/	53.33
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Tshuapa/	-3
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.66	5800	http://www.semwebtech.org/mondial/10/river/Maranon/	-10
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/mountains/Alps/	15.52	1150	http://www.semwebtech.org/mondial/10/river/Raab/	47.35
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N	38.5	\N	http://www.semwebtech.org/mondial/10/river/Shabelle/	7
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	\N	-84.75	176	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	45.8
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N	-99	\N	http://www.semwebtech.org/mondial/10/river/RioLerma/	19
http://www.semwebtech.org/mondial/10/source/Baro/	\N	36.2	\N	http://www.semwebtech.org/mondial/10/river/Baro/	8.5
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	42.76	2650	http://www.semwebtech.org/mondial/10/river/Kura/	40.7
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.4	\N	http://www.semwebtech.org/mondial/10/river/Drin/	42.1
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	15.54	1.386	http://www.semwebtech.org/mondial/10/river/Elbe/	50.78
http://www.semwebtech.org/mondial/10/source/Maas/	\N	5.63	409	http://www.semwebtech.org/mondial/10/river/Maas/	47.97
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N	-16.5	\N	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	64.8
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N	23	\N	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	61.3
http://www.semwebtech.org/mondial/10/source/Nile/	\N	32.5	\N	http://www.semwebtech.org/mondial/10/river/Nile/	15.6
http://www.semwebtech.org/mondial/10/source/Uruguay/	\N	-52	1800	http://www.semwebtech.org/mondial/10/river/Uruguay/	-27.5
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.25	460	http://www.semwebtech.org/mondial/10/river/Theiss/	48.1
http://www.semwebtech.org/mondial/10/source/Newa/	\N	31.53	4	http://www.semwebtech.org/mondial/10/river/Newa/	60.82
http://www.semwebtech.org/mondial/10/source/Swir/	\N	35.49	33	http://www.semwebtech.org/mondial/10/river/Swir/	60.99
http://www.semwebtech.org/mondial/10/source/Kasai/	\N	19.3	\N	http://www.semwebtech.org/mondial/10/river/Kasai/	-10.96
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N	24.1	\N	http://www.semwebtech.org/mondial/10/river/Prypjat/	51.5
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	11.7	1385	http://www.semwebtech.org/mondial/10/river/Arno/	43.9
http://www.semwebtech.org/mondial/10/source/Ruki/	\N	19	\N	http://www.semwebtech.org/mondial/10/river/Ruki/	-0.3
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	-4.37	1.6	http://www.semwebtech.org/mondial/10/river/Ebro/	43.0375
http://www.semwebtech.org/mondial/10/source/OhioRiver/	\N	-80	222	http://www.semwebtech.org/mondial/10/river/OhioRiver/	40.42
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	\N	-43	1200	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-20.3
http://www.semwebtech.org/mondial/10/source/Leine/	\N	10.32	340	http://www.semwebtech.org/mondial/10/river/Leine/	51.39
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	78	\N	http://www.semwebtech.org/mondial/10/river/Naryn/	42
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-75.27	650	http://www.semwebtech.org/mondial/10/river/Perene/	-10.95
http://www.semwebtech.org/mondial/10/source/Aller/	\N	11.23	130	http://www.semwebtech.org/mondial/10/river/Aller/	52.1
http://www.semwebtech.org/mondial/10/source/RioGrande/	\N	-107.5	3900	http://www.semwebtech.org/mondial/10/river/RioGrande/	38
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	152	\N	http://www.semwebtech.org/mondial/10/river/DarlingRiver/	-28
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	\N	23.8	450	http://www.semwebtech.org/mondial/10/river/Ounasjoki/	68.6
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-71.84	5020	http://www.semwebtech.org/mondial/10/river/Apurimac/	-15.24
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N	-71.6	\N	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.4
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/mountains/Rhön/	9.9	850	http://www.semwebtech.org/mondial/10/river/Fulda/	50.5
http://www.semwebtech.org/mondial/10/source/Oka/	\N	36.1	\N	http://www.semwebtech.org/mondial/10/river/Oka/	52.5
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-37
http://www.semwebtech.org/mondial/10/source/Narew/	\N	24	\N	http://www.semwebtech.org/mondial/10/river/Narew/	53
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.7	65	http://www.semwebtech.org/mondial/10/river/Mincio/	45.4
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N	-65.4	\N	http://www.semwebtech.org/mondial/10/river/RioMadeira/	-10.4
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.25	1	http://www.semwebtech.org/mondial/10/river/Moraca/	42.85
http://www.semwebtech.org/mondial/10/source/Missouri/	\N	-111.5	1232	http://www.semwebtech.org/mondial/10/river/Missouri/	45.9
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	\N	-85.35	31	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6
http://www.semwebtech.org/mondial/10/source/Lomami/	\N	24.7	1140	http://www.semwebtech.org/mondial/10/river/Lomami/	-8.7
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.5	1525	http://www.semwebtech.org/mondial/10/river/Etsch/	46.7
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-1.7	1.58	http://www.semwebtech.org/mondial/10/river/Tajo/	40.32
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	10.96	797	http://www.semwebtech.org/mondial/10/river/Werra/	50.5
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	61.8
http://www.semwebtech.org/mondial/10/source/Amudarja/	\N	68.3	310	http://www.semwebtech.org/mondial/10/river/Amudarja/	37.1
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-77.9	759	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	41.9
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N	38.75	\N	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8
http://www.semwebtech.org/mondial/10/source/Narva/	\N	27.49	30	http://www.semwebtech.org/mondial/10/river/Narva/	58.68
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.3	\N	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.5
http://www.semwebtech.org/mondial/10/source/Ischim/	\N	71.5	\N	http://www.semwebtech.org/mondial/10/river/Ischim/	52
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	220	http://www.semwebtech.org/mondial/10/river/Dnepr/	55.5
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	\N	-120	1900	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.35	\N	http://www.semwebtech.org/mondial/10/river/Alz/	47.3
http://www.semwebtech.org/mondial/10/source/Jangtse/	\N	91.2	5405	http://www.semwebtech.org/mondial/10/river/Jangtse/	33.5
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Umeaelv/	66.1
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	62.2
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7.09	2022	http://www.semwebtech.org/mondial/10/river/Po/	44.7
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Lukenie/	-6.8
http://www.semwebtech.org/mondial/10/source/Mississippi/	\N	-95.2	512	http://www.semwebtech.org/mondial/10/river/Mississippi/	47.25
http://www.semwebtech.org/mondial/10/source/Fimi/	\N	18.2	\N	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.7
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.16	1078	http://www.semwebtech.org/mondial/10/river/Breg/	48.1
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	\N	12.34	44	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.4
http://www.semwebtech.org/mondial/10/source/Benue/	\N	12.58	1100	http://www.semwebtech.org/mondial/10/river/Benue/	7.58
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N	20.2	\N	http://www.semwebtech.org/mondial/10/river/WesternMorava/	43.85
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	\N	60.9	180	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	46.3
http://www.semwebtech.org/mondial/10/source/YukonRiver/	\N	-134.5	668	http://www.semwebtech.org/mondial/10/river/YukonRiver/	60.54
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N	28.5	\N	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	5
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.55	\N	http://www.semwebtech.org/mondial/10/river/Pruth/	48.16
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	228	http://www.semwebtech.org/mondial/10/river/WesternDwina/	56
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N	-56.5	\N	http://www.semwebtech.org/mondial/10/river/Paraguay/	-14.5
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N	25.06	\N	http://www.semwebtech.org/mondial/10/river/WesternBug/	49.09
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.9	619	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7
http://www.semwebtech.org/mondial/10/source/Asahan/	\N	98.7	905	http://www.semwebtech.org/mondial/10/river/Asahan/	2.7
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.57	2000	http://www.semwebtech.org/mondial/10/river/Tara/	42.6
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	11.4	887	http://www.semwebtech.org/mondial/10/river/Main/	50.1
http://www.semwebtech.org/mondial/10/source/Indus/	\N	79.7	5300	http://www.semwebtech.org/mondial/10/river/Indus/	32.45
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.27	783	http://www.semwebtech.org/mondial/10/river/Iller/	47.43
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-70	\N	http://www.semwebtech.org/mondial/10/river/RioNegro/	-2
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.3	2235	http://www.semwebtech.org/mondial/10/river/Adda/	46.55
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	\N	-73.3	30	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	45
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.54	2431	http://www.semwebtech.org/mondial/10/river/Reuss/	46.56
http://www.semwebtech.org/mondial/10/source/Morava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/Morava/	43.7
http://www.semwebtech.org/mondial/10/source/Weser/	\N	9.65	116.5	http://www.semwebtech.org/mondial/10/river/Weser/	51.4
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.81	664	http://www.semwebtech.org/mondial/10/river/Waag/	49.02
http://www.semwebtech.org/mondial/10/source/Angara/	\N	113	\N	http://www.semwebtech.org/mondial/10/river/Angara/	56.5
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	28.7	931	http://www.semwebtech.org/mondial/10/river/Luvua/	-9
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N	22.5	\N	http://www.semwebtech.org/mondial/10/river/Ubangi/	4
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.75	287	http://www.semwebtech.org/mondial/10/river/Ucayali/	-10.7
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	-73.95	1309	http://www.semwebtech.org/mondial/10/river/HudsonRiver/	44.1
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.28	940	http://www.semwebtech.org/mondial/10/river/Brigach/	48.11
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N	-18	\N	http://www.semwebtech.org/mondial/10/river/Thjorsa/	65
http://www.semwebtech.org/mondial/10/source/Tocantins/	\N	-49	1070	http://www.semwebtech.org/mondial/10/river/Tocantins/	-16
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.7	2345	http://www.semwebtech.org/mondial/10/river/Rhein/	46.6
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	\N	81.33	6000	http://www.semwebtech.org/mondial/10/river/Brahmaputra/	31.06
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	80.5	\N	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	33.5
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N	-71.21	\N	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	45.25
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.27	4082	http://www.semwebtech.org/mondial/10/river/Mantaro/	-10.92
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	0.8	\N	http://www.semwebtech.org/mondial/10/river/Garonne/	42.73
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N	71.7	\N	http://www.semwebtech.org/mondial/10/river/Syrdarja/	41
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N	97.5	\N	http://www.semwebtech.org/mondial/10/river/Jenissej/	52.33
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.11	2300	http://www.semwebtech.org/mondial/10/river/Salzach/	47.3
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	28.5	1800	http://www.semwebtech.org/mondial/10/river/Oranje/	-28.5
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/mountains/Alps/	9.67	2484	http://www.semwebtech.org/mondial/10/river/Inn/	46.41
http://www.semwebtech.org/mondial/10/source/Schilka/	\N	111	\N	http://www.semwebtech.org/mondial/10/river/Schilka/	49.8
\.


--
-- TOC entry 5322 (class 0 OID 91094)
-- Dependencies: 833
-- Data for Name: SpokenBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "SpokenBy" ("URI", percent, "languageInfo-", "onLanguage") FROM stdin;
7b93e6a1:150814fecb6:21e5	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2141	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21a8	1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Kurd/
7b93e6a1:150814fecb6:216b	75	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:212e	7	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2179	96	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:221c	99	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21d6	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Amerindian/
7b93e6a1:150814fecb6:2132	7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:215c	77	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Luxembourgish/
7b93e6a1:150814fecb6:2220	99	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:211f	1.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:220d	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2160	1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c7	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2123	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:218a	16	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:214d	1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Romansch/
7b93e6a1:150814fecb6:2211	10.8	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2198	26	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:21aa	71	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Georgian/
7b93e6a1:150814fecb6:21f5	8.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2151	37.5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21b8	12.5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217b	50	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:213e	98	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2202	1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Vietnamese/
7b93e6a1:150814fecb6:2189	75.8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:222c	67.6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21e6	90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2142	0.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:21a9	0.9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:216c	18	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2230	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:221d	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2170	29.7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21d7	95	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2133	2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Basque/
7b93e6a1:150814fecb6:219a	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Urdu/
7b93e6a1:150814fecb6:215d	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2221	84.1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:220e	24.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21ba	95.6	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2161	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21c8	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:2124	63.6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:218b	3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Gagauz/
7b93e6a1:150814fecb6:214e	62.8	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2212	9.5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
7b93e6a1:150814fecb6:2199	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21ab	9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f6	99	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2152	82	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Lithuanian/
7b93e6a1:150814fecb6:21b9	1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Dungun/
7b93e6a1:150814fecb6:217c	21.6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Monegasque/
7b93e6a1:150814fecb6:213f	0.7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2203	61.1	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:222d	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2180	2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21e7	10	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2143	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:216d	98	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/Danish/
7b93e6a1:150814fecb6:2231	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21a0	10	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Siraiki/
7b93e6a1:150814fecb6:221e	90	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21ca	18	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Tamil/
7b93e6a1:150814fecb6:2171	90	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:21d8	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2134	88.6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:219b	48	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Punjabi/
7b93e6a1:150814fecb6:215e	6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2222	13	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:220f	23.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
7b93e6a1:150814fecb6:21bb	3.2	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2162	99	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
7b93e6a1:150814fecb6:21c9	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/language/Japanese/
7b93e6a1:150814fecb6:2125	22	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Montenegrin/
7b93e6a1:150814fecb6:218c	4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:214f	36.7	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Belorussian/
7b93e6a1:150814fecb6:2213	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/language/Pitkern/
7b93e6a1:150814fecb6:21ac	7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:2190	35	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21f7	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2153	8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217d	19	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2204	31.4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/Polynesian/
7b93e6a1:150814fecb6:21b0	1.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:222e	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21da	21.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2181	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/language/Icelandic/
7b93e6a1:150814fecb6:21e8	99	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2144	83.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:216e	0.4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21a1	72	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Turkmen/
7b93e6a1:150814fecb6:221f	8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Guarani/
7b93e6a1:150814fecb6:21cb	74	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Sinhala/
7b93e6a1:150814fecb6:2172	5.4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:21d9	58.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2135	2.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:219c	12	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Sindhi/
7b93e6a1:150814fecb6:215f	4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2223	1.7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:21bc	4	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2163	96.1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:2126	5.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:218d	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2214	1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c0	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21ea	99	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21ad	6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2191	50	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/AfghanPersian/
7b93e6a1:150814fecb6:21f8	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2154	5.6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:217e	8.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2205	38.3	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b1	1.5	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:222f	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21db	82.1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2182	95	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e9	99	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2145	10.7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:216f	67.3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:21a2	12	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cc	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2173	1.8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2136	2.2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:219d	3	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2224	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21d0	32.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:21fa	90.6	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:21bd	90	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
7b93e6a1:150814fecb6:2164	1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2127	5.3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218e	95	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2215	58.9	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Wallisian/
7b93e6a1:150814fecb6:21c1	99	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:21eb	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21ae	90.3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2192	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21f9	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2155	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:2118	98.8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:217f	3.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2206	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:21b2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/language/Burmese/
7b93e6a1:150814fecb6:21dc	10.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2183	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2146	1.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:21e0	97.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a3	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21cd	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2174	0.6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:2137	2.5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:219e	2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Hindko/
7b93e6a1:150814fecb6:2225	99	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d1	8.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/MayanDialects/
7b93e6a1:150814fecb6:21fb	2.9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21be	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/language/Nepali/
7b93e6a1:150814fecb6:211a	99	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2165	76.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Bulgarian/
7b93e6a1:150814fecb6:2128	92	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218f	11	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:2216	30.1	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Futunian/
7b93e6a1:150814fecb6:21c2	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ec	81.2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:21af	2.2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Lezgi/
7b93e6a1:150814fecb6:2193	9	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2156	67	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:2119	0.5	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:21f0	2.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:2207	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21b3	30	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21dd	95	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2184	94.5	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2147	1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:21e1	1.7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Miskito/
7b93e6a1:150814fecb6:21a4	74.3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21ce	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212a	44	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:2175	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2138	0.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Slovene/
7b93e6a1:150814fecb6:219f	1	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Brahui/
7b93e6a1:150814fecb6:2226	99	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d2	3.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21fc	2.4	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Tongan/
7b93e6a1:150814fecb6:21bf	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:211b	66.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Macedonian/
7b93e6a1:150814fecb6:2166	8.2	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2129	5	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2217	10.8	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21c3	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ed	2.9	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2194	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2157	24	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f1	67.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2208	91.2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b4	64.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/language/Kazakh/
7b93e6a1:150814fecb6:21de	3.2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213a	94.9	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Czech/
7b93e6a1:150814fecb6:2185	4.6	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2148	91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21e2	84	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a5	14.2	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cf	46	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:212b	33	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2176	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2139	0.1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2227	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21d3	3.4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Garifuna/
7b93e6a1:150814fecb6:21fd	78.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:211c	25.1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:2167	3.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:220a	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:2218	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c4	23	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2120	88.3	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:21ee	8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:214a	20	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2195	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2158	100	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f2	4.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:2209	3.9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Maori/
7b93e6a1:150814fecb6:21b5	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/language/Korean/
7b93e6a1:150814fecb6:21df	99	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213b	2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:2186	90.2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/Maltese/
7b93e6a1:150814fecb6:2149	7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:21e3	14	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21a6	4.4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Tajik/
7b93e6a1:150814fecb6:212c	2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:2177	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Somali/
7b93e6a1:150814fecb6:221a	21.2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:2228	80	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/language/Bambara/
7b93e6a1:150814fecb6:21d4	3.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2130	74	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21fe	2.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:215a	1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:211d	3.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2168	91	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:220b	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2219	60.7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c5	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2121	3.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:21ef	4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:214b	64	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2196	2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Luri/
7b93e6a1:150814fecb6:2159	32	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21f3	12.9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21b6	64.7	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Kyrgyz/
7b93e6a1:150814fecb6:213c	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2200	1.3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2187	6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222a	7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e4	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2140	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21a7	97.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:216a	1.1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:212d	11	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2178	99	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/language/Norwegian/
7b93e6a1:150814fecb6:221b	14.6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:2229	32	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21d5	60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2131	17	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:21ff	1.6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:215b	56	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:211e	1.9	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:2169	6.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:220c	1.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21c6	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2122	1.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:214c	7	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2210	22.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:2197	58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Persian/
7b93e6a1:150814fecb6:21f4	1.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2150	58.2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Latvian/
7b93e6a1:150814fecb6:21b7	13.6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:217a	2.6	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:213d	93.6	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2201	1.2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2188	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222b	60	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/Afrikaans/
\.


--
-- TOC entry 5323 (class 0 OID 91100)
-- Dependencies: 834
-- Data for Name: TOP_area; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_area" ("URI", area) FROM stdin;
\.


--
-- TOC entry 5324 (class 0 OID 91106)
-- Dependencies: 835
-- Data for Name: TOP_bordering; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_bordering" ("URI", bordering) FROM stdin;
\.


--
-- TOC entry 5325 (class 0 OID 91109)
-- Dependencies: 836
-- Data for Name: TOP_capital; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_capital" ("URI", capital) FROM stdin;
\.


--
-- TOC entry 5326 (class 0 OID 91112)
-- Dependencies: 837
-- Data for Name: TOP_elevation; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_elevation" ("URI", elevation) FROM stdin;
\.


--
-- TOC entry 5327 (class 0 OID 91118)
-- Dependencies: 838
-- Data for Name: TOP_hasFather; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasFather" ("URI", "hasFather") FROM stdin;
\.


--
-- TOC entry 5328 (class 0 OID 91121)
-- Dependencies: 839
-- Data for Name: TOP_hasMother; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasMother" ("URI", "hasMother") FROM stdin;
\.


--
-- TOC entry 5329 (class 0 OID 91124)
-- Dependencies: 840
-- Data for Name: TOP_inMountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_inMountains" ("URI", "inMountains") FROM stdin;
\.


--
-- TOC entry 5330 (class 0 OID 91127)
-- Dependencies: 841
-- Data for Name: TOP_invfktprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_invfktprop_Inv" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5331 (class 0 OID 91130)
-- Dependencies: 842
-- Data for Name: TOP_latitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_latitude" ("URI", latitude) FROM stdin;
\.


--
-- TOC entry 5332 (class 0 OID 91136)
-- Dependencies: 843
-- Data for Name: TOP_length; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_length" ("URI", length) FROM stdin;
\.


--
-- TOC entry 5333 (class 0 OID 91142)
-- Dependencies: 844
-- Data for Name: TOP_locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_locatedOnIsland" ("URI", "locatedOnIsland") FROM stdin;
\.


--
-- TOC entry 5334 (class 0 OID 91145)
-- Dependencies: 845
-- Data for Name: TOP_longitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_longitude" ("URI", longitude) FROM stdin;
\.


--
-- TOC entry 5335 (class 0 OID 91151)
-- Dependencies: 846
-- Data for Name: TOP_name; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_name" ("URI", name) FROM stdin;
\.


--
-- TOC entry 5336 (class 0 OID 91154)
-- Dependencies: 847
-- Data for Name: TOP_nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5337 (class 0 OID 91157)
-- Dependencies: 848
-- Data for Name: TOP_nmprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop_Inv" ("URI", "nmprop_Inv") FROM stdin;
\.


--
-- TOC entry 5338 (class 0 OID 91160)
-- Dependencies: 849
-- Data for Name: TOP_onlyfemaleprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_onlyfemaleprop" ("URI", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 5339 (class 0 OID 91166)
-- Dependencies: 850
-- Data for Name: TOP_percent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_percent" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 5340 (class 0 OID 91172)
-- Dependencies: 851
-- Data for Name: TOP_population; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_population" ("URI", population) FROM stdin;
\.


--
-- TOC entry 5341 (class 0 OID 91179)
-- Dependencies: 852
-- Data for Name: TOP_type; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_type" ("URI", type) FROM stdin;
\.


--
-- TOC entry 5342 (class 0 OID 91182)
-- Dependencies: 853
-- Data for Name: U; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "U" ("URI", "totUpartV11prop") FROM stdin;
\.


--
-- TOC entry 5343 (class 0 OID 91185)
-- Dependencies: 854
-- Data for Name: V; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "V" ("URI") FROM stdin;
\.


--
-- TOC entry 5344 (class 0 OID 91188)
-- Dependencies: 855
-- Data for Name: Water; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Water" ("URI", "flowsInto", latitude, "flowsThrough_Inv", type, elevation, length, depth, longitude, area, name, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.9	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	1127	\N	171	-111.5	645	Lake Powell	Lake
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	2334	\N	\N	435122	Arkansas	River
http://www.semwebtech.org/mondial/10/lake/LakeVan/	\N	38.6	\N	salt	1719	\N	457	42.9	3740	Lake Van	Lake
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	145	\N	\N	18404	Paatsjoki	River
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	59.4	\N	\N	0.7	\N	66	17.1	1140	Maelaren	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7	\N	\N	619	\N	48	30.9	5347	Lake Sese Seko/Albertsee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	44.56	\N	\N	30	\N	121	-73.35	1130	Lake Champlain	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	\N	51.4	\N	impact	350	\N	\N	-68.7	1942	Lake Manicouagan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8	\N	\N	\N	\N	\N	38.75	675	Lake Keban	Lake
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	405	\N	\N	\N	Tiber	River
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2845	\N	\N	795686	Donau	River
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	Yellow Sea	Sea
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	50.6	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	\N	\N	8	30.5	922	Kiev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	3650	\N	\N	2972497	Ob	River
http://www.semwebtech.org/mondial/10/lake/CraterLake/	\N	42.9	\N	caldera	1883	\N	594	-122.1	53.2	Crater Lake	Lake
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1091	\N	\N	148268	Elbe	River
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	1591	\N	\N	426000	Tobol	River
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	\N	\N	\N	\N	\N	4036	\N	\N	Sea of Japan	Sea
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	530	\N	\N	\N	Sanga	River
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	\N	42.6	\N	caldera	335	\N	151	11.9	114	Lago di Bolsena	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	\N	42.1	\N	caldera	164	\N	160	12.2	57	Lago di Bracciano	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.05	\N	\N	300	\N	10	18.3	8200	Lake Mai Ndombe	Lake
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.16	\N	\N	174	\N	64	-81.27	25745	Lake Erie	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	44.81	\N	salt	31	\N	35	59.62	17160	Ozero Aral	Lake
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/	\N	\N	\N	\N	58	\N	\N	684000	Niagara River	River
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	37	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-88.3	648	Kentucky Lake	Lake
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/river/Saone/	\N	\N	\N	\N	453	\N	\N	4400	Doubs	River
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	\N	-25.5	\N	salt	\N	\N	0	21	12000	Makarikari Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	\N	37.7	\N	salt	1280	\N	7	45.3	5470	Lake Urmia	Lake
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1287	\N	\N	\N	Aruwimi	River
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	\N	\N	\N	1001	\N	\N	\N	Ili	River
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	1900	\N	\N	375000	Tigris	River
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N	45.76	\N	\N	\N	\N	\N	-82	104	Lake Manitou	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	\N	-20.5	\N	salt	\N	\N	2	23	770	Lake Ngami	Lake
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	107	\N	\N	22.841	Oulujoki	River
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	133	\N	\N	\N	Black Drin	River
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2574	\N	\N	1332574	Zambezi	River
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	517	\N	\N	25700	Inn	River
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	\N	\N	\N	\N	\N	7440	\N	\N	Banda Sea	Sea
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	550	\N	\N	51.127	Kemijoki	River
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	\N	\N	4096	\N	\N	Bering Sea	Sea
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	\N	\N	\N	\N	\N	2635	\N	\N	Red Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/river/Buna/	42.2	\N	\N	7	\N	44	19.3	368	Lake Skutari	Lake
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	40.03	\N	salt	1155	\N	108	-119.57	487	Pyramid Lake	Lake
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3778	\N	\N	7050000	Amazonas	River
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/river/Volta/	6.3	http://www.semwebtech.org/mondial/10/river/Volta/	dam	\N	\N	130	0.5	8502	Lake Volta	Lake
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3778	\N	\N	2981076	Mississippi	River
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4184	\N	\N	2261763	Niger	River
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	\N	\N	450	\N	\N	Barents Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/river/Nile/	22.4	http://www.semwebtech.org/mondial/10/river/Nile/	dam	183	\N	180	31.75	5250	Lake Nasser	Lake
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/river/Reuss/	47	http://www.semwebtech.org/mondial/10/river/Reuss/	\N	434	\N	214	8.4	113.7	Vierwaldstattersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N	40.9	\N	\N	849	\N	54	21	273	Lake Prespa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/river/Asahan/	2.6	\N	caldera	905	\N	505	98.8	1103	Lake Toba	Lake
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/river/Murgab/	38.2	http://www.semwebtech.org/mondial/10/river/Murgab/	naturaldam	3250	\N	500	72.75	80	Koli Sarez	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-16.5	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	\N	\N	32	28.75	5580	Lake Kariba	Lake
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	230	\N	\N	\N	Semliki	River
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/lake/KievReservoir/	\N	\N	\N	\N	775	\N	\N	114300	Prypjat	River
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	\N	-18.8	\N	salt	1000	\N	0	16	6133	Etoscha Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	147	202	Lake Hume	Lake
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	5121	\N	\N	Mediterranean Sea	Sea
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	1049	\N	\N	\N	Tennessee	River
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	\N	\N	4375	\N	\N	Gulf of Mexico	Sea
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	47.45	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	26	34.2	2155	Kakhovka Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N	65.9	\N	\N	156	\N	446	-120.6	31792	Great Bear Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N	6.44	\N	caldera	\N	\N	208	10.3	\N	Lake Nyos	Lake
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	49.2	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	28	32.65	2252	Kremenchuk Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/river/Niger/	10.4	http://www.semwebtech.org/mondial/10/river/Niger/	dam	\N	\N	\N	4.5	1243	Lake Kainji	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7	\N	\N	156	\N	614	-113.9	28568	Great Slave Lake	Lake
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	749	\N	\N	11828	Drau	River
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	\N	\N	11034	\N	\N	Pacific Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N	58.3	\N	\N	88	\N	119	14.5	1900	Vaettern	Lake
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N	14.4	\N	\N	\N	\N	20	121.35	911	Laguna de Bay	Lake
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	162	\N	\N	52.4	Vuoksi	River
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.05	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	372	\N	180	-114.75	640	Lake Mead	Lake
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.4	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-85	147	Chickamauga Lake	Lake
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	\N	\N	\N	\N	\N	1355	\N	\N	Marmara Sea	Sea
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	\N	\N	3372	\N	\N	Sea of Okhotsk	Sea
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/river/RioLerma/	20.22	http://www.semwebtech.org/mondial/10/river/RioLerma/	\N	1520	\N	12	-103.05	1685	Lago de Chapala	Lake
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	62.9	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	\N	\N	\N	27.7	472	Kallavesi	Lake
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	740	\N	\N	225000	Sobat	River
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulu Sea	Sea
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	\N	\N	\N	1400	\N	\N	548747	Schari	River
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	43.69	\N	\N	176	\N	281	-87.08	57800	Lake Michigan	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	\N	41.15	\N	salt	1279	\N	10	-112.6	4400	Great Salt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	100	\N	\N	\N	Kwa	River
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77	\N	\N	218	\N	18	-97.97	24420	Lake Winnipeg	Lake
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/river/Glomma/	\N	\N	\N	\N	322	\N	\N	\N	Lagen	River
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	\N	\N	5420	\N	\N	South China Sea	Sea
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	175	\N	\N	4964	White Drin	River
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/river/Narva/	58.68	\N	\N	30	\N	14.6	27.49	3555	Ozero Pskovskoje	Lake
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	\N	-30.5	\N	salt	71	\N	19	-62.67	5770	Laguna Mar Chiquita	Lake
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N	47.8	\N	\N	115.5	\N	1.8	16.7	320	Neusiedlersee	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/river/Mincio/	45.6	\N	\N	65	\N	346	10.65	370	Lago di Garda	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	\N	11.2	\N	salt	243	\N	37	41.8	320	Lake Abbe	Lake
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.3	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	76	\N	85	28	4370	Saimaa	Lake
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	\N	\N	\N	\N	\N	3970	\N	\N	Norwegian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/river/Volga/	\N	\N	\N	\N	1480	\N	\N	\N	Oka	River
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	North Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	\N	-3.6	\N	salt	1030	\N	\N	35	1050	Lake Eyasi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	\N	10	\N	acid	3200	\N	\N	-83.9	1	Lake Irazu	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	12.35	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	\N	39	\N	20	-86.4	1035	Lake Managua	Lake
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1120	\N	\N	112000	Atbara	River
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/river/Drau/	\N	\N	\N	\N	453	\N	\N	13824	Mur	River
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2170	\N	\N	413674	Irawaddy	River
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	776	\N	\N	75000	Seine	River
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	60.85	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	impact	161	\N	134	14.8	290	Siljan	Lake
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	\N	43.1	\N	caldera	259	\N	7	12.1	128	Lago Trasimeno	Lake
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	1870	\N	\N	425600	Don	River
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	\N	\N	\N	\N	1392	\N	\N	146100	Saskatchewan River	River
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/river/Missouri/	47.48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	55	-101.42	1578	Lake Sakakawea	Lake
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/river/YukonRiver/	59.5	\N	\N	668	\N	283	-133.75	798	Atlin Lake	Lake
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/river/Asahan/	-8.4	\N	caldera	2008	\N	190	116.45	11.3	Segara Anak	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	1.5	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	\N	914	\N	5.7	33	1720	Lake Kioga	Lake
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	897	\N	\N	98400	Douro	River
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	\N	\N	3113	\N	\N	Andaman Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	\N	\N	\N	\N	\N	5143	\N	\N	Gulf of Aden	Sea
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Karasu	River
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	\N	\N	175	\N	\N	The Channel	Sea
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	241	\N	\N	\N	Oesterdalaelv	River
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1047	\N	\N	194424	Weichsel	River
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	\N	34.5	\N	salt	790	\N	1	51.88	1800	Daryacheh ye Namak	Lake
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	\N	\N	\N	\N	Victoria Nile	River
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/river/Ammer/	48	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	533	\N	81.1	11.6	46.6	Ammersee	Lake
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1750	\N	\N	413000	Limpopo	River
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	657	\N	\N	56978	Guadalquivir	River
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/river/Umeaelv/	65.22	http://www.semwebtech.org/mondial/10/river/Umeaelv/	\N	419	\N	139	16.88	173	Storuman	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-35.3	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	dam	556	\N	\N	149.1	6.64	Lake Burley Griffin	Lake
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	2428	\N	\N	244280	Ural	River
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	470	\N	\N	\N	Umeaelv	River
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	\N	\N	\N	\N	83	\N	\N	\N	Eucumbene River	River
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	\N	-22.8	\N	crater	5600	\N	\N	-67.9	0.005	Licancabur Crater Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/river/Ticino/	45.95	http://www.semwebtech.org/mondial/10/river/Ticino/	\N	193	\N	372	8.6	216	Lago Maggiore	Lake
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/river/Jordan/	32.81	http://www.semwebtech.org/mondial/10/river/Jordan/	\N	-212	\N	46	35.6	165	Lake Genezareth	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2	\N	\N	1140	\N	4	29.7	10000	Lake Bangweulu	Lake
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.69	http://www.semwebtech.org/mondial/10/river/Aare/	\N	558	\N	217	7.716	48.3	Thunersee	Lake
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/river/Würm/	47.92	http://www.semwebtech.org/mondial/10/river/Würm/	\N	584	\N	127.7	11.32	56.36	Starnberger See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	\N	-28.6	\N	salt	-17	\N	4	137.3	9500	Lake Eyre	Lake
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	\N	Lukuga	River
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	430	\N	\N	\N	Bani	River
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulawesi Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	\N	\N	\N	\N	\N	3350	\N	\N	Gulf of Oman	Sea
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	1538	\N	\N	263858	Rio Magdalena	River
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/river/BlueNile/	12	\N	\N	1830	\N	14	37.3	3000	Lake Tana	Lake
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/river/Lagen/	60.65	http://www.semwebtech.org/mondial/10/river/Lagen/	\N	123	\N	449	11	368	Mjoesa-See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-15.6	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	326	\N	\N	32.7	2800	Lake Cabora-Bassa	Lake
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	\N	\N	\N	225	\N	\N	\N	Truckee River	River
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/river/Angara/	53	http://www.semwebtech.org/mondial/10/river/Angara/	\N	455	\N	1637	108	31492	Ozero Baikal	Lake
http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	31.3	\N	salt	-422	\N	378	35.5	41650	Dead Sea	Lake
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/river/Rhein/	47.6	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	395	\N	254	9.4	538.5	Bodensee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41	\N	\N	695	\N	289	20.7	367	Lake Ohrid	Lake
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	\N	-20.1	\N	salt	3650	\N	0	-67.5	10582	Salar de Uyuni	Lake
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	965	\N	\N	\N	Rio Lerma	River
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/river/Chire/	-12	\N	\N	474	\N	704	34	29600	Lake Malawi	Lake
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	2511	\N	\N	1016104	Ganges	River
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	\N	3.6	\N	salt	375	\N	73	36.1	6405	Lake Turkana	Lake
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-9.46	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	dam	\N	\N	\N	-40.7	4214	Lago de Sobradinho	Lake
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	\N	36.9	\N	salt	3195	\N	\N	100.2	4583	Qinghai Lake	Lake
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	\N	\N	102	\N	\N	Persian Gulf	Sea
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N	56.08	\N	\N	7.9	\N	190	-4.59	71	Loch Lomond	Lake
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2830	\N	\N	617812	Rio Sao Francisco	River
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	\N	\N	4846	\N	\N	Greenland Sea	Sea
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/river/Syrdarja/	\N	\N	\N	\N	807	\N	\N	\N	Naryn	River
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	45.9	\N	\N	291.2	Breg	River
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	1308	\N	\N	146500	Theiss	River
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	925	\N	\N	34548	Maas	River
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	75	\N	\N	2859	Mincio	River
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	\N	-15.3	\N	salt	474	\N	2	35.7	687	Lake Chilwa	Lake
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95	\N	\N	119	\N	92	27.7	1040	Inari	Lake
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	2739	\N	\N	\N	Darling River	River
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	742	\N	\N	67733	Guadiana	River
http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	-18.55	\N	salt	3686	\N	4	-67.1	1340	Poopo	Lake
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1790	\N	\N	297199	Uruguay	River
http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	40.2	\N	salt	780	\N	0	90.6	5000	Lop Nor	Lake
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/river/Kemijoki/	\N	\N	\N	\N	300	\N	\N	13968	Ounasjoki	River
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	\N	\N	9219	\N	\N	Atlantic Ocean	Sea
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	1579	\N	\N	\N	Murrumbidgee River	River
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	43.695	\N	\N	75	\N	244	-77.96	18960	Lake Ontario	Lake
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	93	\N	\N	50180	Goetaaelv	River
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	\N	\N	5203	\N	\N	Arabian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	36.3	\N	\N	2416	Limmat	River
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/river/Missouri/	48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	67	-106.4	981	Fort Peck Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.45	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	dam	915	\N	\N	148.6	30	Lake Jindabyne	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	\N	6.3	\N	salt	619	\N	13	37.8	1285	Lake Abaya	Lake
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	264	\N	\N	3926	Lech	River
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8	\N	\N	1462	\N	450	29.2	2650	Lake Kivu	Lake
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/river/Narew/	\N	\N	\N	\N	772	\N	\N	39400	Western Bug	River
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	1809	\N	\N	\N	Petschora	River
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	\N	\N	540	\N	\N	East Sibirian Sea	Sea
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N	74.5	\N	\N	5	\N	26	101.6	4560	Ozero Taimyr	Lake
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	200	\N	\N	\N	Fimi	River
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	\N	\N	104	\N	\N	Malakka Strait	Sea
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	\N	\N	\N	\N	99.5	\N	\N	1600	Moraca	River
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N	54.9	\N	\N	10	\N	106	77.5	2500	Ozero Tschany	Lake
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	953	\N	\N	27500	Pruth	River
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	47.95	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	dam	\N	\N	\N	-119	337	Franklin. D. Roosevelt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/river/Seine/	\N	\N	\N	\N	514	\N	\N	12800	Marne	River
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	199	\N	\N	\N	Rio San Juan	River
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	\N	42.4	\N	salt	1609	\N	668	77.2	6236	Issyk-Kul	Lake
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	254	\N	\N	5940	Enns	River
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	1903	\N	\N	886300	Mackenzie River	River
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	\N	\N	459	\N	\N	Baltic Sea	Sea
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/river/Bartang/	\N	\N	\N	\N	395	\N	\N	\N	Murgab	River
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	44	\N	\N	5187	Buna	River
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	\N	\N	2211	\N	\N	Black Sea	Sea
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/river/Zaire/	-4.3	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	272	\N	10	15.5	500	Malebo Pool	Lake
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	\N	-8	\N	salt	800	\N	5	32.35	5760	Lake Rukwa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-15.84	\N	\N	3812	\N	281	-69.33	8372	Lake Titicaca	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	47.7675	\N	\N	184	\N	405	-87.37	82103	Lake Superior	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/river/Adda/	46	http://www.semwebtech.org/mondial/10/river/Adda/	\N	197	\N	425	9.3	146	Lago di Como	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	44.795	\N	\N	176	\N	229	-82.44	59600	Lake Huron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.6	\N	\N	153	\N	55	-71.3	186	Lake Winnipesaukee	Lake
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2450	\N	\N	749200	Tocantins	River
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/river/Alz/	47.9	http://www.semwebtech.org/mondial/10/river/Alz/	\N	518	\N	73	12.4	80	Chiemsee	Lake
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	724	\N	\N	15410	Mantaro	River
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	165	\N	\N	\N	Perene	River
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	221	\N	\N	6947	Fulda	River
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	211	\N	\N	15744	Aller	River
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N	26.94	\N	\N	\N	\N	4	-80.8	1890	Lake Okeechobee	Lake
http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	13.2	\N	salt	250	\N	7	14	23000	Chad Lake	Lake
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	292	\N	\N	5496	Werra	River
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/river/Pjandsh/	\N	\N	\N	\N	133	\N	\N	\N	Bartang	River
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	523	\N	\N	29992	Allegheny River	River
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	320	\N	\N	\N	Vaesterdalaelv	River
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	\N	\N	7240	\N	\N	Caribbean Sea	Sea
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	\N	\N	6400	\N	\N	Indian Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/river/Sanaga/	6.4	http://www.semwebtech.org/mondial/10/river/Sanaga/	dam	\N	\N	\N	12.75	\N	Barrage de Mbakaou	Lake
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	\N	\N	\N	\N	\N	272	\N	\N	Irish Sea	Sea
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/river/Mosel/	\N	\N	\N	\N	227	\N	\N	7431	Saar	River
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/river/Elbe/	\N	\N	\N	\N	440	\N	\N	28000	Moldau	River
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	295	\N	\N	15469	Southern Morava	River
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	78	\N	\N	\N	Narva	River
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	\N	\N	\N	\N	558	\N	\N	50300	Suchona	River
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/river/Missouri/	44.45	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	\N	-100.4	1453	Lake Oahe	Lake
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/river/Volga/	53.5	http://www.semwebtech.org/mondial/10/river/Volga/	dam	53	\N	41	49.45	6450	Kuybyshev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	140	\N	\N	\N	Tara	River
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	\N	-2.4	\N	salt	600	\N	2	36	1040	Lake Natron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	9.72	\N	\N	0	\N	50	-71.55	13000	Lake Maracaibo	Lake
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Lulua	River
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	46.55	\N	salt	342	\N	26	74.88	18428	Ozero Balchash	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/river/Swir/	61.67	\N	\N	33	\N	127	35.485	9616	Ozero Onega	Lake
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	647	\N	\N	55000	Garonne	River
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	\N	4.7	\N	salt	520	\N	7.5	36.85	800	Chew Bahir	Lake
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	950	\N	\N	\N	Karun	River
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	750	\N	\N	\N	Urubamba	River
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.8	\N	\N	44	\N	106	13.3	5648	Vaenern	Lake
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/river/Maranon/	\N	\N	\N	\N	1138	\N	\N	\N	Huallaga	River
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	1130	\N	\N	\N	Uelle	River
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	\N	\N	\N	383	\N	\N	\N	Rio Desaguadero	River
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	367	\N	\N	14000	Neckar	River
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6	\N	\N	31	\N	45	-85.35	8157	Lake Nicaragua	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39	\N	\N	1900	\N	501	-120	497	Lake Tahoe	Lake
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	\N	50.4	\N	caldera	275	\N	53	7.3	3.3	Laacher Maar	Lake
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	41	\N	salt	-28	\N	995	51	386400	Caspian Sea	Lake
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Murat	River
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/river/Mantaro/	-11.02	\N	\N	4082	\N	12	-76.12	175	Lago Junin	Lake
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/river/Limmat/	47.501794	\N	\N	406	\N	136	8.236313	88	Zurichsee	Lake
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	\N	30.8	\N	salt	500	\N	\N	61.2	1600	Hamun e Jaz Murian	Lake
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/river/Rhone/	46.5	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	372	\N	310	6.5	581	Lac Leman	Lake
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	3185	\N	\N	\N	Yukon River	River
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	\N	\N	\N	\N	\N	2333	\N	\N	Java Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5	\N	\N	78	\N	95	25.4	1118	Paeijaenne	Lake
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	2129	\N	\N	782669	Syrdarja	River
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	\N	\N	5608	\N	\N	Arctic Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	\N	6.5	\N	impact	107	\N	81	-1.4	49	Lake Bosumtwi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N	49.83	\N	\N	260	\N	165	-88.5	4848	Lake Nipigon	Lake
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	74	\N	\N	281000	Newa	River
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	224	\N	\N	\N	Swir	River
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	225	\N	\N	6700	Salzach	River
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N	40.96	\N	\N	995	\N	1.5	-1.5	14.4	Laguna de Gallocanta	Lake
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	1953	\N	\N	668217	Columbia River	River
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	480	\N	\N	\N	Saone	River
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N	56	\N	\N	\N	\N	5.6	12.1	40.2	Arresoe	Lake
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	152	\N	\N	11756	Drin	River
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	dam	1200	\N	\N	148.6	145	Lake Eucumbene	Lake
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	493	\N	\N	5405	Hudson River	River
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	\N	10.24	\N	asphalt	\N	\N	75	-61.64	0.4	La Brea Pitch Lake	Lake
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	655	\N	\N	\N	Connecticut River	River
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	403	\N	\N	\N	Snowy River	River
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	1636	\N	\N	275000	Chatanga	River
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/river/Ruki/	\N	\N	\N	\N	830	\N	\N	\N	Busira	River
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	206	\N	\N	\N	Joekulsa a Fjoellum	River
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	\N	3254853	Nile	River
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/river/Luvua/	-9	\N	\N	931	\N	27	28.7	5120	Lake Mweru	Lake
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/river/Save/	\N	\N	\N	\N	346	\N	\N	19926	Drina	River
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	4092	\N	\N	2554482	Jenissej	River
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2160	\N	\N	973000	Oranje	River
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/river/Newa/	60.82	\N	\N	4	\N	225	31.53	18400	Ozero Ladoga	Lake
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1	\N	\N	1134	\N	85	33	68870	Lake Victoria	Lake
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.73	http://www.semwebtech.org/mondial/10/river/Aare/	\N	564	\N	260	7.97	29.8	Brienzersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/river/Lukuga/	-6	\N	\N	782	\N	1470	30	32893	Lake Tanganjika	Lake
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	716	\N	\N	\N	Bahr el-Ghasal	River
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	308	\N	\N	15849	Western Morava	River
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	\N	\N	\N	\N	Lualaba	River
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	346	\N	\N	12935	Thames	River
http://www.semwebtech.org/mondial/10/lake/LacAssal/	\N	11.65	\N	salt	-155	\N	\N	42.4	54	Lac Assal	Lake
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/river/Parana/	\N	\N	\N	\N	2549	\N	\N	1168540	Paraguay	River
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	\N	\N	\N	\N	White Nile	River
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	866	\N	\N	118861	Oder	River
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	\N	\N	\N	\N	Bahr el-Djebel/Albert-Nil	River
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	280	\N	\N	\N	Bomu	River
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1120	\N	\N	69931	Gambia	River
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	\N	\N	\N	\N	\N	4316	\N	\N	Labrador Sea	Sea
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	290	\N	\N	11800	Isere	River
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	1620	\N	\N	164000	Argun	River
http://www.semwebtech.org/mondial/10/river/Okavango/	\N	\N	\N	\N	\N	1700	\N	\N	721.258	Okavango	River
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	3531	\N	\N	1410000	Volga	River
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	544	\N	\N	28286	Mosel	River
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	615	\N	\N	24010	Olt	River
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	120	\N	\N	1270	Piva	River
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	150	\N	\N	\N	Asahan	River
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Kara Sea	Sea
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	150	\N	\N	2197	Alz	River
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/river/Isar/	\N	\N	\N	\N	168	\N	\N	3100	Ammer	River
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N	\N	\N	\N	460	\N	\N	\N	Klaraelv	River
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	160	\N	\N	\N	Tambo	River
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	313	\N	\N	7979	Adda	River
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	320	\N	\N	10000	Pibor	River
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	4400	\N	\N	2306772	Lena	River
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	4350	\N	\N	795000	Mekong	River
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/river/Fimi/	\N	\N	\N	\N	900	\N	\N	\N	Lukenie	River
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	\N	\N	\N	35	\N	\N	3100	Würm	River
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	4248	\N	\N	1673470	Irtysch	River
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	\N	\N	725	\N	\N	Skagerrak	Sea
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	2330	\N	\N	629100	Colorado	River
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Cuilo	River
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	147	\N	\N	2152	Iller	River
http://www.semwebtech.org/mondial/10/lake/NamCo/	\N	30.7	\N	salt	4718	\N	125	90.55	1855	Nam Co	Lake
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	2824	\N	\N	1855000	Amur	River
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	124	\N	\N	23400	Riviere Richelieu	River
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3998	\N	\N	2582672	Parana	River
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	\N	\N	100	\N	\N	Sea of Azov	Sea
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/river/Jubba/	\N	\N	\N	\N	1820	\N	\N	336627	Shabelle	River
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N	45	\N	\N	\N	\N	\N	132.4	4400	Ozero Chanka	Lake
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/river/Busira/	\N	\N	\N	\N	1300	\N	\N	\N	Tshuapa	River
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	185	\N	\N	37444	Morava	River
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Hudson Bay	Sea
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	604	\N	\N	\N	Glomma	River
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N	\N	\N	\N	300	\N	\N	\N	Luapula	River
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	295	\N	\N	8370	Isar	River
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4374	\N	\N	3700000	Zaire	River
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	652	\N	\N	75000	Po	River
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1905	\N	\N	382877	Maranon	River
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	0.1	\N	\N	\N	Straits of Mackinac	River
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	403	\N	\N	10640	Waag	River
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	812	\N	\N	100000	Rhone	River
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	265300	Luvua	River
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	306	\N	\N	41400	Baro	River
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/river/Ganges/	\N	\N	\N	\N	2896	\N	\N	651334	Brahmaputra	River
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3034	\N	\N	607965	Rio Grande	River
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N	\N	\N	\N	200	\N	\N	\N	Detroit River	River
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	\N	\N	\N	251	\N	\N	\N	Jordan	River
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N	\N	\N	\N	104	\N	\N	\N	Ruzizi	River
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	730	\N	\N	\N	Apurimac	River
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	288	\N	\N	17620	Aare	River
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/river/Weichsel/	\N	\N	\N	\N	448	\N	\N	\N	Narew	River
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1013	\N	\N	117000	Loire	River
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	\N	\N	4045	\N	\N	Gulf of Bengal	Sea
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	\N	\N	\N	3260	\N	\N	\N	Tarim-Yarkend	River
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2589	\N	\N	1050111	Murray River	River
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	240	\N	\N	8200	Arno	River
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3	\N	\N	123	\N	35	27.25	928	Oulujaervi	Lake
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	\N	\N	2370	\N	\N	East China Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N	46.8	\N	\N	104	\N	12.5	17.6	594	Balaton	Lake
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1783	\N	\N	\N	Blue Nile	River
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	130	\N	\N	\N	Ruki	River
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	180	\N	\N	\N	Ene	River
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	\N	\N	\N	\N	992	\N	\N	447000	Selenge	River
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	\N	\N	94	\N	\N	Kattegat	Sea
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	1983	\N	\N	\N	Kasai	River
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	664	\N	\N	1093442	Nelson River	River
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	918	\N	\N	\N	Sanaga	River
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	203	\N	\N	\N	Kymijoki	River
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/river/Aller/	\N	\N	\N	\N	281	\N	\N	6512	Leine	River
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	177	\N	\N	12900	Merrimack River	River
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1430	\N	\N	337000	Senegal	River
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	560	\N	\N	\N	Manicouagan	River
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N	57.31	\N	\N	16	\N	226	-4.44	56	Loch Ness	Lake
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	120	\N	\N	\N	Saint Marys River	River
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/river/Tocantins/	\N	\N	\N	\N	2198	\N	\N	384800	Araguaia	River
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2201	\N	\N	531817	Dnepr	River
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1197	\N	\N	1030000	Saint Lawrence River	River
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	248	\N	\N	7228	Ticino	River
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	6380	\N	\N	1722155	Jangtse	River
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	945	\N	\N	95419	Save	River
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	415	\N	\N	12200	Etsch	River
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1007	\N	\N	80600	Tajo	River
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/river/Oranje/	\N	\N	\N	\N	1251	\N	\N	973000	Vaal	River
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnjestr	River
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	2129	\N	\N	526000	Kolyma	River
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2140	\N	\N	\N	Orinoco	River
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1450	\N	\N	\N	Rio Madeira	River
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	2736	\N	\N	\N	Euphrat	River
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	740	\N	\N	357052	Northern Dwina	River
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	358	\N	\N	27633	March	River
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	1400	\N	\N	\N	Benue	River
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/river/Amudarja/	\N	\N	\N	\N	1141	\N	\N	\N	Pjandsh	River
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	4130	\N	\N	1371010	Missouri	River
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1450	\N	\N	\N	Lomami	River
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	1415	\N	\N	465000	Amudarja	River
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	4845	\N	\N	752000	Hwangho	River
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnister	River
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	524	\N	\N	27292	Main	River
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	3180	\N	\N	980000	Indus	River
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/river/Irtysch/	\N	\N	\N	\N	2450	\N	\N	\N	Ischim	River
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	520	\N	\N	\N	Dalaelv	River
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1020	\N	\N	\N	Western Dwina	River
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	250	\N	\N	1020	Raab	River
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	688	\N	\N	60900	Katun	River
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	\N	\N	\N	\N	1805	\N	\N	507000	Kama	River
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	1100	\N	\N	263500	Cuango	River
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	2253	\N	\N	720114	Rio Negro	River
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/river/RioMadeira/	\N	\N	\N	\N	1931	\N	\N	24300	Rio Mamore	River
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2980	\N	\N	320000	Saluen	River
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	193	\N	\N	\N	Schatt al Arab	River
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1500	\N	\N	\N	Volta	River
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	1364	\N	\N	218906	Kura	River
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1658	\N	\N	497626	Jubba	River
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1120	\N	\N	\N	Ubangi	River
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1324	\N	\N	198735	Rhein	River
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	\N	\N	\N	402	\N	\N	\N	Chire	River
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	164	\N	\N	3425	Reuss	River
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	440	\N	\N	41.094	Weser	River
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/river/Jenissej/	\N	\N	\N	\N	1779	\N	\N	1039000	Angara	River
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	121	\N	\N	27046	Kokemaeenjoki	River
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1600	\N	\N	337519	Ucayali	River
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	925	\N	\N	83093	Ebro	River
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35	\N	\N	920	\N	112	29.6	2325	Rutanzige/Eduardsee	Lake
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	560	\N	\N	\N	Schilka	River
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	1579	\N	\N	490574	Ohio River	River
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N	\N	\N	\N	275	\N	\N	\N	Akagera	River
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	43	\N	\N	195	Brigach	River
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	230	\N	\N	7530	Thjorsa	River
\.


--
-- TOC entry 5345 (class 0 OID 91194)
-- Dependencies: 856
-- Data for Name: X1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X1" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5346 (class 0 OID 91197)
-- Dependencies: 857
-- Data for Name: X2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X2" ("URI") FROM stdin;
\.


--
-- TOC entry 5347 (class 0 OID 91200)
-- Dependencies: 858
-- Data for Name: Y1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y1" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5348 (class 0 OID 91203)
-- Dependencies: 859
-- Data for Name: Y2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y2" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5349 (class 0 OID 91206)
-- Dependencies: 860
-- Data for Name: allcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY allcl (subclass, superclass) FROM stdin;
X2	X
Desert	Entity
Source	Entity
Volcano	Mountain
Religion	Entity
SpokenBy	Entity
Continent	Entity
Lake	Water
Organization	Entity
Y1	Y
Encompassed	Entity
Islands	Entity
Sea	Water
Water	Entity
Language	Entity
Person	rdf2sqlTOP
X	rdf2sqlTOP
Estuary	Entity
EthnicGroup	Entity
Female	Person
U	rdf2sqlTOP
Male	Person
Entity	rdf2sqlTOP
BelievedBy	Entity
River	Water
Island	Entity
Y2	Y
Y	rdf2sqlTOP
Border	Entity
City	Entity
Mountains	Entity
Country	Entity
EthnicProportion	Entity
V	rdf2sqlTOP
Mountain	Entity
X1	X
Membership	Entity
Province	Entity
\.


--
-- TOC entry 5350 (class 0 OID 91209)
-- Dependencies: 861
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY borders ("Entity", "LargeArea") FROM stdin;
\.


--
-- TOC entry 5351 (class 0 OID 91212)
-- Dependencies: 862
-- Data for Name: cityIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "cityIn" ("City", "AdministrativeArea") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
\.


--
-- TOC entry 5352 (class 0 OID 91215)
-- Dependencies: 863
-- Data for Name: hasAccountNo; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasAccountNo" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5353 (class 0 OID 91221)
-- Dependencies: 864
-- Data for Name: hasChild; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasChild" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5354 (class 0 OID 91224)
-- Dependencies: 865
-- Data for Name: hasNickname; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasNickname" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5355 (class 0 OID 91227)
-- Dependencies: 866
-- Data for Name: inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY inv (property, inverse) FROM stdin;
spokenInCountry	speakLanguage
speakLanguage	spokenInCountry
invfktprop	invfktprop_Inv
invfktprop_Inv	invfktprop
liveInInfo	onEthnicGroup
onEthnicGroup	liveInInfo
languageInfo	languageInfo-
languageInfo-	languageInfo
locatedOnIsland	locatedOnIsland_Inv
locatedOnIsland_Inv	locatedOnIsland
hasSource-	hasSource
hasSource	hasSource-
cityIn	hasCity
hasCity	cityIn
marriedWith	marriedWith
belongsToIslands_Inv	belongsToIslands
belongsToIslands	belongsToIslands_Inv
locatedInWater_Inv	locatedInWater
locatedInWater	locatedInWater_Inv
hasEstuary	hasEstuary-
hasEstuary-	hasEstuary
locatedIn_Inv	locatedIn
locatedIn	locatedIn_Inv
hasProvince	isProvinceOf
isProvinceOf	hasProvince
hasFather	hasFather_Inv
hasFather_Inv	hasFather
neighbor	neighbor
borders	borders_Inv
borders_Inv	borders
inMountains	inMountains_Inv
inMountains_Inv	inMountains
wasDependentOf_Inv	wasDependentOf
wasDependentOf	wasDependentOf_Inv
isInMembership	ofMember
ofMember	isInMembership
mergesWith	mergesWith
encompasses	encompassed
encompassed	encompasses
locatedAt_Inv	locatedAt
locatedAt	locatedAt_Inv
populationcount	populationcount_Inv
populationcount_Inv	populationcount
onLanguage	spokenInInfo
spokenInInfo	onLanguage
isMember	hasMember
hasMember	isMember
liveInCountry	belongToEthnicGroup
belongToEthnicGroup	liveInCountry
believeInReligion	believedInCountry
believedInCountry	believeInReligion
hasParent	hasChild
hasChild	hasParent
isCapitalOf	capital
capital	isCapitalOf
flowsThrough_Inv	flowsThrough
flowsThrough	flowsThrough_Inv
dependentOf_Inv	dependentOf
dependentOf	dependentOf_Inv
encompassedArea	encompassedByInfo
encompassedByInfo	encompassedArea
totUpartV11prop_Inv	totUpartV11prop
totUpartV11prop	totUpartV11prop_Inv
nmprop	nmprop_Inv
nmprop_Inv	nmprop
hasMother_Inv	hasMother
hasMother	hasMother_Inv
hasBorder	bordering
bordering	hasBorder
religionInfo-	religionInfo
religionInfo	religionInfo-
encompassesInfo	encompassedBy
encompassedBy	encompassesInfo
flowsInto_Inv	flowsInto
flowsInto	flowsInto_Inv
hasHeadq	hasHeadq_Inv
hasHeadq_Inv	hasHeadq
inOrganization	hasMembership
hasMembership	inOrganization
onReligion	followedInInfo
followedInInfo	onReligion
ethnicInfo-	ethnicInfo
ethnicInfo	ethnicInfo-
\.


--
-- TOC entry 5356 (class 0 OID 91230)
-- Dependencies: 867
-- Data for Name: locatedAt; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedAt" ("City", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
\.


--
-- TOC entry 5357 (class 0 OID 91233)
-- Dependencies: 868
-- Data for Name: locatedIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedIn" ("Entity", "Area") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Namib/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Darfur/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Fesan/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LacAssal/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/desert/Djourab/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tahat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Musala/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
\.


--
-- TOC entry 5358 (class 0 OID 91236)
-- Dependencies: 869
-- Data for Name: locatedInWater; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedInWater" ("Island", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
\.


--
-- TOC entry 5359 (class 0 OID 91239)
-- Dependencies: 870
-- Data for Name: locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedOnIsland" ("Entity", "Island") FROM stdin;
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/island/Madeira/
\.


--
-- TOC entry 5360 (class 0 OID 91242)
-- Dependencies: 871
-- Data for Name: marriedWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "marriedWith" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5361 (class 0 OID 91245)
-- Dependencies: 872
-- Data for Name: md; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY md (class, property, range, tablename, lookupattr, inv, isview) FROM stdin;
Islands	latitude	DECIMAL	Islands	latitude	false	false
Islands	population	DECIMAL	Islands	population	false	false
Islands	area	DECIMAL	Islands	area	false	false
Islands	type	VARCHAR(199)	Islands	type	false	false
Islands	longitude	DECIMAL	Islands	longitude	false	false
Islands	elevation	DECIMAL	Islands	elevation	false	false
Islands	name	VARCHAR(199)	Islands	name	false	false
Organization	hasHeadq	VARCHAR(199)	Organization	hasHeadq	false	false
City	hasHeadq_Inv	VARCHAR(199)	Organization	hasHeadq	true	false
Organization	abbrev	VARCHAR(199)	Organization	abbrev	false	false
Organization	name	VARCHAR(199)	Organization	name	false	false
Organization	established	DATE	Organization	established	false	false
Water	flowsInto	VARCHAR(199)	Water	flowsInto	false	false
Water	flowsInto_Inv	VARCHAR(199)	Water	flowsInto	true	false
Water	latitude	DECIMAL	Water	latitude	false	false
Water	flowsThrough_Inv	VARCHAR(199)	Water	flowsThrough_Inv	false	false
Water	flowsThrough	VARCHAR(199)	Water	flowsThrough_Inv	true	false
Water	type	VARCHAR(199)	Water	type	false	false
Water	elevation	DECIMAL	Water	elevation	false	false
Water	length	DECIMAL	Water	length	false	false
Water	depth	DECIMAL	Water	depth	false	false
Water	longitude	DECIMAL	Water	longitude	false	false
Water	area	DECIMAL	Water	area	false	false
Water	name	VARCHAR(199)	Water	name	false	false
Language	name	VARCHAR(199)	Language	name	false	false
Island	population	DECIMAL	Island	population	false	false
Island	latitude	DECIMAL	Island	latitude	false	false
Island	belongsToIslands	VARCHAR(199)	Island	belongsToIslands	false	false
Islands	belongsToIslands_Inv	VARCHAR(199)	Island	belongsToIslands	true	false
Island	area	DECIMAL	Island	area	false	false
Island	name	VARCHAR(199)	Island	name	false	false
Island	longitude	DECIMAL	Island	longitude	false	false
Island	type	VARCHAR(199)	Island	type	false	false
Island	elevation	DECIMAL	Island	elevation	false	false
Country	gdpAgri	DECIMAL	Country	gdpAgri	false	false
Country	inflation	DECIMAL	Country	inflation	false	false
Country	populationGrowth	DECIMAL	Country	populationGrowth	false	false
Country	government	VARCHAR(199)	Country	government	false	false
Country	gdpServ	DECIMAL	Country	gdpServ	false	false
Country	population	DECIMAL	Country	population	false	false
Country	gdpTotal	DECIMAL	Country	gdpTotal	false	false
Country	unemployment	DECIMAL	Country	unemployment	false	false
Country	independenceDate	DATE	Country	independenceDate	false	false
Country	dependentOf	VARCHAR(199)	Country	dependentOf	false	false
Country	dependentOf_Inv	VARCHAR(199)	Country	dependentOf	true	false
Country	infantMortality	DECIMAL	Country	infantMortality	false	false
Country	area	DECIMAL	Country	area	false	false
Country	gdpInd	DECIMAL	Country	gdpInd	false	false
Country	carCode	VARCHAR(199)	Country	carCode	false	false
Country	capital	VARCHAR(199)	Country	capital	false	false
City	isCapitalOf	VARCHAR(199)	Country	capital	true	false
Country	wasDependentOf	VARCHAR(199)	Country	wasDependentOf	false	false
Organization	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	name	VARCHAR(199)	Country	name	false	false
Desert	area	DECIMAL	Desert	area	false	false
Desert	type	VARCHAR(199)	Desert	type	false	false
Desert	latitude	DECIMAL	Desert	latitude	false	false
Desert	longitude	DECIMAL	Desert	longitude	false	false
Desert	name	VARCHAR(199)	Desert	name	false	false
Mountain	locatedOnIsland	VARCHAR(199)	Mountain	locatedOnIsland	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	Mountain	locatedOnIsland	true	false
Mountain	type	VARCHAR(199)	Mountain	type	false	false
Mountain	lastEruption	DATE	Mountain	lastEruption	false	false
Mountain	inMountains	VARCHAR(199)	Mountain	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Mountain	inMountains	true	false
Mountain	name	VARCHAR(199)	Mountain	name	false	false
Mountain	elevation	DECIMAL	Mountain	elevation	false	false
Mountain	longitude	DECIMAL	Mountain	longitude	false	false
Mountain	latitude	DECIMAL	Mountain	latitude	false	false
Female	onlyfemaleprop	DECIMAL	Female	onlyfemaleprop	false	false
Female	hasMother	VARCHAR(199)	Female	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Female	hasMother	true	false
Female	hasFather	VARCHAR(199)	Female	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Female	hasFather	true	false
Border	length	DECIMAL	Border	length	false	false
Continent	name	VARCHAR(199)	Continent	name	false	false
Continent	area	DECIMAL	Continent	area	false	false
Mountains	name	VARCHAR(199)	Mountains	name	false	false
Mountains	latitude	DECIMAL	Mountains	latitude	false	false
Mountains	elevation	DECIMAL	Mountains	elevation	false	false
Mountains	type	VARCHAR(199)	Mountains	type	false	false
Mountains	longitude	DECIMAL	Mountains	longitude	false	false
Mountains	area	DECIMAL	Mountains	area	false	false
Province	name	VARCHAR(199)	Province	name	false	false
Province	capital	VARCHAR(199)	Province	capital	false	false
City	isCapitalOf	VARCHAR(199)	Province	capital	true	false
Province	area	DECIMAL	Province	area	false	false
Province	isProvinceOf	VARCHAR(199)	Province	isProvinceOf	false	false
Country	hasProvince	VARCHAR(199)	Province	isProvinceOf	true	false
Province	population	DECIMAL	Province	population	false	false
Source	inMountains	VARCHAR(199)	Source	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Source	inMountains	true	false
Source	longitude	DECIMAL	Source	longitude	false	false
Source	elevation	DECIMAL	Source	elevation	false	false
Source	hasSource-	VARCHAR(199)	Source	hasSource-	false	false
Water	hasSource	VARCHAR(199)	Source	hasSource-	true	false
Source	latitude	DECIMAL	Source	latitude	false	false
EthnicProportion	ethnicInfo-	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	false
Country	ethnicInfo	VARCHAR(199)	EthnicProportion	ethnicInfo-	true	false
EthnicProportion	onEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	false
EthnicGroup	liveInInfo	VARCHAR(199)	EthnicProportion	onEthnicGroup	true	false
EthnicProportion	percent	DECIMAL	EthnicProportion	percent	false	false
Encompassed	percent	DECIMAL	Encompassed	percent	false	false
Encompassed	encompassedArea	VARCHAR(199)	Encompassed	encompassedArea	false	false
Country	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Province	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Encompassed	encompassedBy	VARCHAR(199)	Encompassed	encompassedBy	false	false
Continent	encompassesInfo	VARCHAR(199)	Encompassed	encompassedBy	true	false
BelievedBy	percent	DECIMAL	BelievedBy	percent	false	false
BelievedBy	religionInfo-	VARCHAR(199)	BelievedBy	religionInfo-	false	false
Country	religionInfo	VARCHAR(199)	BelievedBy	religionInfo-	true	false
BelievedBy	onReligion	VARCHAR(199)	BelievedBy	onReligion	false	false
Religion	followedInInfo	VARCHAR(199)	BelievedBy	onReligion	true	false
Y2	invfktprop_Inv	VARCHAR(199)	Y2	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
Membership	ofMember	VARCHAR(199)	Membership	ofMember	false	false
Country	isInMembership	VARCHAR(199)	Membership	ofMember	true	false
Membership	inOrganization	VARCHAR(199)	Membership	inOrganization	false	false
Organization	hasMembership	VARCHAR(199)	Membership	inOrganization	true	false
Membership	type	VARCHAR(199)	Membership	type	false	false
Male	hasMother	VARCHAR(199)	Male	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Male	hasMother	true	false
Male	hasFather	VARCHAR(199)	Male	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Male	hasFather	true	false
SpokenBy	percent	DECIMAL	SpokenBy	percent	false	false
SpokenBy	languageInfo-	VARCHAR(199)	SpokenBy	languageInfo-	false	false
Country	languageInfo	VARCHAR(199)	SpokenBy	languageInfo-	true	false
SpokenBy	onLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	false
Language	spokenInInfo	VARCHAR(199)	SpokenBy	onLanguage	true	false
EthnicGroup	name	VARCHAR(199)	EthnicGroup	name	false	false
X1	nmprop	VARCHAR(199)	X1	nmprop	false	false
Y1	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Y2	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
City	name	VARCHAR(199)	City	name	false	false
City	population	DECIMAL	City	population	false	false
City	elevation	DECIMAL	City	elevation	false	false
City	longitude	DECIMAL	City	longitude	false	false
City	latitude	DECIMAL	City	latitude	false	false
U	totUpartV11prop	VARCHAR(199)	U	totUpartV11prop	false	false
V	totUpartV11prop_Inv	VARCHAR(199)	U	totUpartV11prop	true	false
Estuary	longitude	DECIMAL	Estuary	longitude	false	false
Estuary	elevation	DECIMAL	Estuary	elevation	false	false
Estuary	latitude	DECIMAL	Estuary	latitude	false	false
Estuary	hasEstuary-	VARCHAR(199)	Estuary	hasEstuary-	false	false
Water	hasEstuary	VARCHAR(199)	Estuary	hasEstuary-	true	false
Religion	name	VARCHAR(199)	Religion	name	false	false
Y1	invfktprop_Inv	VARCHAR(199)	Y1	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
Male	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
ANY	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
Female	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
City	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
ANY	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
X2	nmprop	VARCHAR(199)	nmprop	Y	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
City	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Continent	borders	VARCHAR(199)	borders	LargeArea	false	false
ANY	borders	VARCHAR(199)	borders	LargeArea	false	false
Country	borders	VARCHAR(199)	borders	LargeArea	false	false
Water	borders	VARCHAR(199)	borders	LargeArea	false	false
Province	borders	VARCHAR(199)	borders	LargeArea	false	false
City	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
ANY	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
City	othername	VARCHAR(199)	othername	VALUE	false	false
ANY	othername	VARCHAR(199)	othername	VALUE	false	false
Organization	othername	VARCHAR(199)	othername	VALUE	false	false
Island	othername	VARCHAR(199)	othername	VALUE	false	false
Desert	othername	VARCHAR(199)	othername	VALUE	false	false
Mountains	othername	VARCHAR(199)	othername	VALUE	false	false
Continent	othername	VARCHAR(199)	othername	VALUE	false	false
Mountain	othername	VARCHAR(199)	othername	VALUE	false	false
Islands	othername	VARCHAR(199)	othername	VALUE	false	false
EthnicGroup	othername	VARCHAR(199)	othername	VALUE	false	false
Language	othername	VARCHAR(199)	othername	VALUE	false	false
Water	othername	VARCHAR(199)	othername	VALUE	false	false
Country	othername	VARCHAR(199)	othername	VALUE	false	false
Religion	othername	VARCHAR(199)	othername	VALUE	false	false
Province	othername	VARCHAR(199)	othername	VALUE	false	false
Estuary	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
ANY	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Desert	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountains	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Source	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountain	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
City	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Water	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Islands	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
ANY	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
Female	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
ANY	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasChild	VARCHAR(199)	hasChild	Person2	false	false
ANY	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Female	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Water	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
ANY	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Y1	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Y2	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	locatedOnIsland	Entity	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Water	borders_Inv	VARCHAR(199)	borders	Entity	false	false
ANY	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Country	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Continent	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	hasCity	VARCHAR(199)	cityIn	City	false	false
ANY	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
ANY	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Province	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Island	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Continent	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Mountains	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
City	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Desert	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Islands	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
ANY	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Female	hasParent	VARCHAR(199)	hasChild	Person1	false	false
ANY	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Male	hasParent	VARCHAR(199)	hasChild	Person1	false	false
EthnicGroup	liveInCountry	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	true
Country	belongToEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	true
Country	speakLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	true
Language	spokenInCountry	VARCHAR(199)	SpokenBy	languageInfo-	false	true
Continent	encompasses	VARCHAR(199)	Encompassed	encompassedArea	false	true
Country	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Country	believeInReligion	VARCHAR(199)	BelievedBy	onReligion	false	true
Religion	believedInCountry	VARCHAR(199)	BelievedBy	religionInfo-	false	true
Province	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Organization	hasMember	VARCHAR(199)	Membership	ofMember	false	true
Country	isMember	VARCHAR(199)	Membership	inOrganization	false	true
Border	bordering	VARCHAR(199)	Border	Country1	false	false
Country	hasBorder	VARCHAR(199)	Border	Country1	true	false
Border	bordering	VARCHAR(199)	Border	Country2	false	false
Country	hasBorder	VARCHAR(199)	Border	Country2	true	false
Country	neighbor	VARCHAR(199)	Border	Country1	false	true
Country	neighbor	VARCHAR(199)	Border	Country2	false	true
Lake	rdftype	VARCHAR(199)	Water	rdftype	false	false
Water	rdftype	VARCHAR(199)	Water	rdftype	false	false
Volcano	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Mountain	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
\.


--
-- TOC entry 5362 (class 0 OID 91248)
-- Dependencies: 873
-- Data for Name: mdlastchanged; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY mdlastchanged (at) FROM stdin;
\.


--
-- TOC entry 5363 (class 0 OID 91251)
-- Dependencies: 874
-- Data for Name: mergesWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "mergesWith" ("Sea1", "Sea2") FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
\.


--
-- TOC entry 5364 (class 0 OID 91254)
-- Dependencies: 875
-- Data for Name: nmj; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmj (class, tablename, lookupattr, fkjoinattr) FROM stdin;
Male	hasNickname	VALUE	Person
Female	hasNickname	VALUE	Person
City	locatedAt	Water	City
X2	nmprop	Y	X
Water	mergesWith	Sea2	Sea1
City	locatedOnIsland	Island	Entity
Female	marriedWith	Person2	Person1
Male	marriedWith	Person2	Person1
Continent	borders	LargeArea	Entity
Country	borders	LargeArea	Entity
Water	borders	LargeArea	Entity
Province	borders	LargeArea	Entity
City	cityIn	AdministrativeArea	City
City	othername	VALUE	Entity
Organization	othername	VALUE	Entity
Island	othername	VALUE	Entity
Desert	othername	VALUE	Entity
Mountains	othername	VALUE	Entity
Continent	othername	VALUE	Entity
Mountain	othername	VALUE	Entity
Islands	othername	VALUE	Entity
EthnicGroup	othername	VALUE	Entity
Language	othername	VALUE	Entity
Water	othername	VALUE	Entity
Country	othername	VALUE	Entity
Religion	othername	VALUE	Entity
Province	othername	VALUE	Entity
Estuary	locatedIn	Area	Entity
Desert	locatedIn	Area	Entity
Island	locatedIn	Area	Entity
Mountains	locatedIn	Area	Entity
Source	locatedIn	Area	Entity
Mountain	locatedIn	Area	Entity
City	locatedIn	Area	Entity
Water	locatedIn	Area	Entity
Islands	locatedIn	Area	Entity
Island	locatedInWater	Water	Island
Female	hasAccountNo	VALUE	Person
Male	hasAccountNo	VALUE	Person
Male	hasChild	Person2	Person1
Female	hasChild	Person2	Person1
Water	locatedAt	City	Water
Y1	nmprop	X	Y
Y2	nmprop	X	Y
Water	mergesWith	Sea1	Sea2
Water	mergesWith	Sea1	Sea2
Island	locatedOnIsland	Entity	Island
Male	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Water	borders	Entity	LargeArea
Province	borders	Entity	LargeArea
Country	borders	Entity	LargeArea
Continent	borders	Entity	LargeArea
Province	cityIn	City	AdministrativeArea
Country	cityIn	City	AdministrativeArea
Country	locatedIn	Entity	Area
Province	locatedIn	Entity	Area
Island	locatedIn	Entity	Area
Continent	locatedIn	Entity	Area
Mountains	locatedIn	Entity	Area
Water	locatedIn	Entity	Area
City	locatedIn	Entity	Area
Desert	locatedIn	Entity	Area
Islands	locatedIn	Entity	Area
Water	locatedInWater	Island	Water
Female	hasChild	Person1	Person2
Male	hasChild	Person1	Person2
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
Country	SpokenBy	onLanguage	languageInfo-
Language	SpokenBy	languageInfo-	onLanguage
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
Country	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	BelievedBy	onReligion	religionInfo-
Religion	BelievedBy	religionInfo-	onReligion
Province	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Religion	BelievedBy	religionInfo-	onReligion
Country	BelievedBy	onReligion	religionInfo-
Organization	Membership	ofMember	inOrganization
Country	Membership	inOrganization	ofMember
Continent	Encompassed	encompassedArea	encompassedBy
Province	Encompassed	encompassedBy	encompassedArea
Language	SpokenBy	languageInfo-	onLanguage
Country	SpokenBy	onLanguage	languageInfo-
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	Membership	inOrganization	ofMember
Organization	Membership	ofMember	inOrganization
Country	Border	Country1	Country2
Country	Border	Country2	Country1
\.


--
-- TOC entry 5365 (class 0 OID 91257)
-- Dependencies: 876
-- Data for Name: nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmprop ("X", "Y") FROM stdin;
\.


--
-- TOC entry 5366 (class 0 OID 91260)
-- Dependencies: 877
-- Data for Name: nmtables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmtables (tablename) FROM stdin;
hasNickname
mergesWith
locatedOnIsland
locatedIn
locatedAt
marriedWith
borders
locatedInWater
nmprop
hasAccountNo
hasChild
cityIn
othername
EthnicProportion
EthnicProportion
SpokenBy
SpokenBy
Encompassed
Encompassed
Encompassed
Encompassed
BelievedBy
BelievedBy
Encompassed
Encompassed
BelievedBy
BelievedBy
Membership
Membership
Encompassed
Encompassed
SpokenBy
SpokenBy
EthnicProportion
EthnicProportion
Membership
Membership
Border
\.


--
-- TOC entry 5367 (class 0 OID 91263)
-- Dependencies: 878
-- Data for Name: ocdict; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY ocdict (uri, class) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Province
7b93e6a1:150814fecb6:-260	Membership
7b93e6a1:150814fecb6:20f7	Membership
7b93e6a1:150814fecb6:b37	Membership
7b93e6a1:150814fecb6:1cb4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	City
7b93e6a1:150814fecb6:2053	Membership
7b93e6a1:150814fecb6:765	Membership
7b93e6a1:150814fecb6:1c10	Membership
7b93e6a1:150814fecb6:18e2	Membership
http://www.semwebtech.org/mondial/10/island/Iceland/	Island
7b93e6a1:150814fecb6:d97	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	City
7b93e6a1:150814fecb6:4b1	Membership
7b93e6a1:150814fecb6:11ed	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	EthnicGroup
7b93e6a1:150814fecb6:1e70	Membership
7b93e6a1:150814fecb6:ae3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	City
7b93e6a1:150814fecb6:-bc	Membership
7b93e6a1:150814fecb6:-5a0	Membership
7b93e6a1:150814fecb6:-15f	Membership
7b93e6a1:150814fecb6:2647	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	City
7b93e6a1:150814fecb6:1b0f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	City
7b93e6a1:150814fecb6:25f3	EthnicProportion
7b93e6a1:150814fecb6:173d	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Desert
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	Mountain
7b93e6a1:150814fecb6:30c	Membership
7b93e6a1:150814fecb6:1d6f	Membership
7b93e6a1:150814fecb6:1069	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	EthnicGroup
7b93e6a1:150814fecb6:1abb	Membership
7b93e6a1:150814fecb6:199d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	City
7b93e6a1:150814fecb6:56c	Membership
7b93e6a1:150814fecb6:-6ff	Border
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Province
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	City
7b93e6a1:150814fecb6:b9e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	City
7b93e6a1:150814fecb6:-65b	Border
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	City
7b93e6a1:150814fecb6:13a9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	City
7b93e6a1:150814fecb6:244e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	City
7b93e6a1:150814fecb6:1305	Membership
http://www.semwebtech.org/mondial/10/river/Guadiana/	Water
7b93e6a1:150814fecb6:8ac	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	City
7b93e6a1:150814fecb6:ede	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	City
7b93e6a1:150814fecb6:1d8	Membership
7b93e6a1:150814fecb6:1565	Membership
7b93e6a1:150814fecb6:23fa	BelievedBy
7b93e6a1:150814fecb6:1b97	Membership
7b93e6a1:150814fecb6:e3a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	City
7b93e6a1:150814fecb6:134	Membership
7b93e6a1:150814fecb6:12b1	Membership
7b93e6a1:150814fecb6:-2c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Province
7b93e6a1:150814fecb6:-223	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	City
7b93e6a1:150814fecb6:394	Membership
7b93e6a1:150814fecb6:2016	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	City
7b93e6a1:150814fecb6:ed	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	City
7b93e6a1:150814fecb6:728	Membership
7b93e6a1:150814fecb6:18a5	Membership
7b93e6a1:150814fecb6:-483	Membership
http://www.semwebtech.org/mondial/10/island/Futuna/	Island
7b93e6a1:150814fecb6:1ed7	Membership
7b93e6a1:150814fecb6:1801	Membership
7b93e6a1:150814fecb6:2276	BelievedBy
7b93e6a1:150814fecb6:aa6	Membership
7b93e6a1:150814fecb6:988	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	City
7b93e6a1:150814fecb6:1e33	Membership
7b93e6a1:150814fecb6:110c	Membership
7b93e6a1:150814fecb6:6d4	Membership
7b93e6a1:150814fecb6:a02	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Province
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	Source
http://www.semwebtech.org/mondial/10/river/Mantaro/	Water
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization
7b93e6a1:150814fecb6:630	Membership
7b93e6a1:150814fecb6:-7c3	Encompassed
7b93e6a1:150814fecb6:136c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	City
7b93e6a1:150814fecb6:c62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	City
7b93e6a1:150814fecb6:25b6	EthnicProportion
7b93e6a1:150814fecb6:890	Membership
7b93e6a1:150814fecb6:2512	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Province
7b93e6a1:150814fecb6:19b	Membership
7b93e6a1:150814fecb6:52f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	City
7b93e6a1:150814fecb6:16ac	Membership
7b93e6a1:150814fecb6:-28a	Membership
7b93e6a1:150814fecb6:fa2	Membership
7b93e6a1:150814fecb6:1cde	Membership
7b93e6a1:150814fecb6:-61e	Border
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	Estuary
7b93e6a1:150814fecb6:207d	Membership
7b93e6a1:150814fecb6:78f	Membership
http://www.semwebtech.org/mondial/10/source/Jubba/	Source
7b93e6a1:150814fecb6:1c3a	Membership
7b93e6a1:150814fecb6:4db	Membership
http://www.semwebtech.org/mondial/10/source/Huallaga/	Source
7b93e6a1:150814fecb6:1e9a	Membership
7b93e6a1:150814fecb6:-5ca	Membership
7b93e6a1:150814fecb6:1194	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	City
7b93e6a1:150814fecb6:1528	Membership
7b93e6a1:150814fecb6:-63	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	City
7b93e6a1:150814fecb6:23bd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	City
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Mountains
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Desert
7b93e6a1:150814fecb6:1788	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	City
http://www.semwebtech.org/mondial/10/lake/Inari/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	City
7b93e6a1:150814fecb6:357	Membership
7b93e6a1:150814fecb6:14d4	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	City
http://www.semwebtech.org/mondial/10/source/Rhein/	Source
7b93e6a1:150814fecb6:1430	Membership
7b93e6a1:150814fecb6:-446	Membership
7b93e6a1:150814fecb6:1a62	Membership
7b93e6a1:150814fecb6:2239	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	City
7b93e6a1:150814fecb6:1690	Membership
7b93e6a1:150814fecb6:-3f2	Membership
7b93e6a1:150814fecb6:2499	EthnicProportion
7b93e6a1:150814fecb6:cc9	Membership
7b93e6a1:150814fecb6:132f	Membership
7b93e6a1:150814fecb6:21e5	SpokenBy
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Water
7b93e6a1:150814fecb6:c25	Membership
7b93e6a1:150814fecb6:8f7	Membership
7b93e6a1:150814fecb6:1da2	Membership
7b93e6a1:150814fecb6:2141	SpokenBy
7b93e6a1:150814fecb6:853	Membership
7b93e6a1:150814fecb6:19d0	Membership
7b93e6a1:150814fecb6:158f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	City
7b93e6a1:150814fecb6:e85	Membership
7b93e6a1:150814fecb6:15e	Membership
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	City
http://www.semwebtech.org/mondial/10/lake/LochNess/	Water
7b93e6a1:150814fecb6:12db	Membership
7b93e6a1:150814fecb6:bd1	Membership
7b93e6a1:150814fecb6:-24d	Membership
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Islands
http://www.semwebtech.org/mondial/10/source/Po/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	City
7b93e6a1:150814fecb6:18cf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	City
7b93e6a1:150814fecb6:94	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Province
7b93e6a1:150814fecb6:182b	Membership
7b93e6a1:150814fecb6:1e5d	Membership
7b93e6a1:150814fecb6:1157	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	City
7b93e6a1:150814fecb6:6fe	Membership
7b93e6a1:150814fecb6:a2c	Membership
7b93e6a1:150814fecb6:-26	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	City
7b93e6a1:150814fecb6:65a	Membership
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Islands
7b93e6a1:150814fecb6:-7ed	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	EthnicGroup
7b93e6a1:150814fecb6:c8c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	City
7b93e6a1:150814fecb6:3f1	Membership
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	City
7b93e6a1:150814fecb6:253c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Province
7b93e6a1:150814fecb6:1ac9	Membership
7b93e6a1:150814fecb6:-409	Membership
7b93e6a1:150814fecb6:1a25	Membership
7b93e6a1:150814fecb6:16f7	Membership
http://www.semwebtech.org/mondial/10/island/Olkhon/	Island
7b93e6a1:150814fecb6:fcc	Membership
7b93e6a1:150814fecb6:2c6	Membership
7b93e6a1:150814fecb6:1653	Membership
7b93e6a1:150814fecb6:-669	Border
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Province
7b93e6a1:150814fecb6:222	Membership
7b93e6a1:150814fecb6:1c85	Membership
7b93e6a1:150814fecb6:-3b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	City
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	City
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	Mountain
http://www.semwebtech.org/mondial/10/country/SK/	Country
7b93e6a1:150814fecb6:-311	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	City
7b93e6a1:150814fecb6:21a8	SpokenBy
7b93e6a1:150814fecb6:482	Membership
7b93e6a1:150814fecb6:2104	Membership
7b93e6a1:150814fecb6:816	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	Estuary
7b93e6a1:150814fecb6:-8d	Membership
7b93e6a1:150814fecb6:-571	Membership
http://www.semwebtech.org/mondial/10/mountain/Korab/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	City
7b93e6a1:150814fecb6:e48	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	City
7b93e6a1:150814fecb6:1fc5	Membership
7b93e6a1:150814fecb6:2364	BelievedBy
7b93e6a1:150814fecb6:1f21	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Province
7b93e6a1:150814fecb6:20b0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	City
7b93e6a1:150814fecb6:7c2	Membership
7b93e6a1:150814fecb6:14fe	Membership
7b93e6a1:150814fecb6:df4	Membership
7b93e6a1:150814fecb6:145a	Membership
7b93e6a1:150814fecb6:57	Membership
7b93e6a1:150814fecb6:d50	Membership
7b93e6a1:150814fecb6:1a8c	Membership
7b93e6a1:150814fecb6:-1bc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	City
7b93e6a1:150814fecb6:26a4	EthnicProportion
7b93e6a1:150814fecb6:2600	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	City
7b93e6a1:150814fecb6:61d	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	City
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	City
7b93e6a1:150814fecb6:c4f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Province
7b93e6a1:150814fecb6:1dcc	Membership
7b93e6a1:150814fecb6:-70c	Border
7b93e6a1:150814fecb6:10c6	Membership
7b93e6a1:150814fecb6:216b	SpokenBy
7b93e6a1:150814fecb6:87d	Membership
7b93e6a1:150814fecb6:19fa	Membership
7b93e6a1:150814fecb6:1022	Membership
http://www.semwebtech.org/mondial/10/source/Chire/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	City
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Province
7b93e6a1:150814fecb6:bfb	Membership
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	Mountain
7b93e6a1:150814fecb6:1282	Membership
7b93e6a1:150814fecb6:-298	Membership
http://www.semwebtech.org/mondial/10/estuary/Argun/	Estuary
7b93e6a1:150814fecb6:1616	Membership
7b93e6a1:150814fecb6:24ab	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	City
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Water
7b93e6a1:150814fecb6:1c48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	City
7b93e6a1:150814fecb6:4e9	Membership
7b93e6a1:150814fecb6:1876	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	City
7b93e6a1:150814fecb6:445	Membership
7b93e6a1:150814fecb6:15c2	Membership
7b93e6a1:150814fecb6:-5d8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	City
7b93e6a1:150814fecb6:a77	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	City
7b93e6a1:150814fecb6:1bf4	Membership
7b93e6a1:150814fecb6:-534	Membership
http://www.semwebtech.org/mondial/10/river/Garonne/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	City
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Island
7b93e6a1:150814fecb6:1b50	Membership
7b93e6a1:150814fecb6:2327	BelievedBy
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	City
7b93e6a1:150814fecb6:-794	Encompassed
7b93e6a1:150814fecb6:-4e0	Membership
7b93e6a1:150814fecb6:2587	EthnicProportion
7b93e6a1:150814fecb6:db7	Membership
7b93e6a1:150814fecb6:141d	Membership
7b93e6a1:150814fecb6:22d3	BelievedBy
7b93e6a1:150814fecb6:d13	Membership
7b93e6a1:150814fecb6:9e5	Membership
7b93e6a1:150814fecb6:1a4f	Membership
7b93e6a1:150814fecb6:941	Membership
7b93e6a1:150814fecb6:167d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	City
7b93e6a1:150814fecb6:f73	Membership
7b93e6a1:150814fecb6:24c	Membership
7b93e6a1:150814fecb6:-3df	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	Mountain
7b93e6a1:150814fecb6:-33b	Membership
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Oranje/	Estuary
7b93e6a1:150814fecb6:212e	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	City
7b93e6a1:150814fecb6:19bd	Membership
7b93e6a1:150814fecb6:-59b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	City
7b93e6a1:150814fecb6:1fef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	City
7b93e6a1:150814fecb6:12e9	Membership
7b93e6a1:150814fecb6:238e	BelievedBy
7b93e6a1:150814fecb6:bbe	Membership
7b93e6a1:150814fecb6:1f4b	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Province
7b93e6a1:150814fecb6:1245	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	City
7b93e6a1:150814fecb6:20da	Membership
7b93e6a1:150814fecb6:b1a	Membership
7b93e6a1:150814fecb6:7ec	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Province
7b93e6a1:150814fecb6:d7a	Membership
http://www.semwebtech.org/mondial/10/country/BHT/	Country
7b93e6a1:150814fecb6:1839	Membership
7b93e6a1:150814fecb6:11f1	Membership
7b93e6a1:150814fecb6:408	Membership
7b93e6a1:150814fecb6:-c0	Membership
7b93e6a1:150814fecb6:-163	Membership
7b93e6a1:150814fecb6:262a	EthnicProportion
7b93e6a1:150814fecb6:1bb7	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Province
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Island
http://www.semwebtech.org/mondial/10/island/Phuket/	Island
7b93e6a1:150814fecb6:668	Membership
7b93e6a1:150814fecb6:1b13	Membership
7b93e6a1:150814fecb6:17e5	Membership
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Province
7b93e6a1:150814fecb6:3b4	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	City
7b93e6a1:150814fecb6:1741	Membership
7b93e6a1:150814fecb6:-757	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	City
7b93e6a1:150814fecb6:310	Membership
7b93e6a1:150814fecb6:1d73	Membership
7b93e6a1:150814fecb6:-4a3	Membership
7b93e6a1:150814fecb6:104c	Membership
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	Province
7b93e6a1:150814fecb6:9a8	Membership
7b93e6a1:150814fecb6:570	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Mountains
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Province
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	City
7b93e6a1:150814fecb6:904	Membership
7b93e6a1:150814fecb6:24f6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	City
7b93e6a1:150814fecb6:f36	Membership
7b93e6a1:150814fecb6:20f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	City
7b93e6a1:150814fecb6:2452	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Province
http://www.semwebtech.org/mondial/10/organization/FATF/	Organization
7b93e6a1:150814fecb6:8b0	Membership
7b93e6a1:150814fecb6:46f	Membership
7b93e6a1:150814fecb6:15ec	Membership
7b93e6a1:150814fecb6:ee2	Membership
7b93e6a1:150814fecb6:1bb	Membership
7b93e6a1:150814fecb6:-55e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	City
7b93e6a1:150814fecb6:1b7a	Membership
7b93e6a1:150814fecb6:-2aa	Membership
http://www.semwebtech.org/mondial/10/estuary/Theiss/	Estuary
http://www.semwebtech.org/mondial/10/island/Principe/	Island
7b93e6a1:150814fecb6:1f0e	Membership
7b93e6a1:150814fecb6:1208	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	City
7b93e6a1:150814fecb6:7af	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/	Country
7b93e6a1:150814fecb6:f1	Membership
7b93e6a1:150814fecb6:70b	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	City
7b93e6a1:150814fecb6:1468	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	City
7b93e6a1:150814fecb6:22fd	BelievedBy
7b93e6a1:150814fecb6:d3d	Membership
7b93e6a1:150814fecb6:1eba	Membership
7b93e6a1:150814fecb6:11b4	Membership
7b93e6a1:150814fecb6:96b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Province
7b93e6a1:150814fecb6:1110	Membership
7b93e6a1:150814fecb6:-126	Membership
7b93e6a1:150814fecb6:f9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Province
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Organization
7b93e6a1:150814fecb6:297	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Province
7b93e6a1:150814fecb6:17a8	Membership
7b93e6a1:150814fecb6:1370	Membership
7b93e6a1:150814fecb6:-386	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Province
7b93e6a1:150814fecb6:1704	Membership
7b93e6a1:150814fecb6:2179	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Don/	Estuary
7b93e6a1:150814fecb6:1d36	Membership
7b93e6a1:150814fecb6:100f	Membership
http://www.semwebtech.org/mondial/10/desert/Sonora/	Desert
7b93e6a1:150814fecb6:5d7	Membership
7b93e6a1:150814fecb6:1964	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	City
7b93e6a1:150814fecb6:1f96	Membership
7b93e6a1:150814fecb6:533	Membership
7b93e6a1:150814fecb6:16b0	Membership
7b93e6a1:150814fecb6:-6c6	Border
7b93e6a1:150814fecb6:126f	Membership
7b93e6a1:150814fecb6:b65	Membership
7b93e6a1:150814fecb6:1ce2	Membership
7b93e6a1:150814fecb6:-622	Border
7b93e6a1:150814fecb6:24b9	EthnicProportion
7b93e6a1:150814fecb6:2081	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	City
7b93e6a1:150814fecb6:793	Membership
7b93e6a1:150814fecb6:2415	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Province
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Water
7b93e6a1:150814fecb6:15af	Membership
7b93e6a1:150814fecb6:-ea	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	City
7b93e6a1:150814fecb6:-18d	Membership
7b93e6a1:150814fecb6:2675	EthnicProportion
7b93e6a1:150814fecb6:ea5	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	City
7b93e6a1:150814fecb6:150b	Membership
7b93e6a1:150814fecb6:23c1	BelievedBy
7b93e6a1:150814fecb6:e01	Membership
7b93e6a1:150814fecb6:1b3d	Membership
7b93e6a1:150814fecb6:3de	Membership
7b93e6a1:150814fecb6:176b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	City
7b93e6a1:150814fecb6:33a	Membership
7b93e6a1:150814fecb6:1d9d	Membership
7b93e6a1:150814fecb6:-4cd	Membership
7b93e6a1:150814fecb6:1097	Membership
7b93e6a1:150814fecb6:b4	Membership
7b93e6a1:150814fecb6:10	Membership
7b93e6a1:150814fecb6:59a	Membership
7b93e6a1:150814fecb6:221c	SpokenBy
7b93e6a1:150814fecb6:92e	Membership
7b93e6a1:150814fecb6:13d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	City
7b93e6a1:150814fecb6:247c	EthnicProportion
7b93e6a1:150814fecb6:cac	Membership
7b93e6a1:150814fecb6:1333	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	City
7b93e6a1:150814fecb6:-349	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Province
7b93e6a1:150814fecb6:8da	Membership
http://www.semwebtech.org/mondial/10/organization/IFC/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	City
http://www.semwebtech.org/mondial/10/country/GUAD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	EthnicGroup
7b93e6a1:150814fecb6:1593	Membership
7b93e6a1:150814fecb6:1927	Membership
7b93e6a1:150814fecb6:162	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	City
7b93e6a1:150814fecb6:-2f5	Membership
7b93e6a1:150814fecb6:1f59	Membership
7b93e6a1:150814fecb6:3e2	Membership
http://www.semwebtech.org/mondial/10/country/RO/	Country
7b93e6a1:150814fecb6:-251	Membership
7b93e6a1:150814fecb6:20e8	Membership
7b93e6a1:150814fecb6:b28	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Province
7b93e6a1:150814fecb6:1ca5	Membership
http://www.semwebtech.org/mondial/10/estuary/Missouri/	Estuary
7b93e6a1:150814fecb6:2044	Membership
7b93e6a1:150814fecb6:1c01	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	City
7b93e6a1:150814fecb6:756	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	City
7b93e6a1:150814fecb6:18d3	Membership
7b93e6a1:150814fecb6:d88	Membership
7b93e6a1:150814fecb6:4a2	Membership
7b93e6a1:150814fecb6:11de	Membership
http://www.semwebtech.org/mondial/10/continent/Africa/	Continent
7b93e6a1:150814fecb6:ad4	Membership
7b93e6a1:150814fecb6:1e61	Membership
7b93e6a1:150814fecb6:-ad	Membership
7b93e6a1:150814fecb6:113a	Membership
7b93e6a1:150814fecb6:2638	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	City
7b93e6a1:150814fecb6:a30	Membership
7b93e6a1:150814fecb6:-7f1	Encompassed
7b93e6a1:150814fecb6:139a	Membership
7b93e6a1:150814fecb6:c90	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Province
7b93e6a1:150814fecb6:172e	Membership
7b93e6a1:150814fecb6:25e4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	City
7b93e6a1:150814fecb6:2540	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	City
7b93e6a1:150814fecb6:1aac	Membership
7b93e6a1:150814fecb6:198e	Membership
7b93e6a1:150814fecb6:-3	Membership
7b93e6a1:150814fecb6:55d	Membership
7b93e6a1:150814fecb6:16da	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	City
7b93e6a1:150814fecb6:fd0	Membership
7b93e6a1:150814fecb6:b8f	Membership
7b93e6a1:150814fecb6:-64c	Border
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	Mountain
7b93e6a1:150814fecb6:243f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-11/	Organization
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Province
7b93e6a1:150814fecb6:269f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	City
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	Estuary
7b93e6a1:150814fecb6:ecf	Membership
7b93e6a1:150814fecb6:1c9	Membership
7b93e6a1:150814fecb6:-91	Membership
7b93e6a1:150814fecb6:1556	Membership
7b93e6a1:150814fecb6:23eb	BelievedBy
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Water
7b93e6a1:150814fecb6:e2b	Membership
7b93e6a1:150814fecb6:1b88	Membership
7b93e6a1:150814fecb6:125	Membership
7b93e6a1:150814fecb6:12a2	Membership
7b93e6a1:150814fecb6:-2b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Mountains
7b93e6a1:150814fecb6:-214	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	City
7b93e6a1:150814fecb6:385	Membership
7b93e6a1:150814fecb6:de	Membership
7b93e6a1:150814fecb6:2007	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	City
7b93e6a1:150814fecb6:719	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	City
7b93e6a1:150814fecb6:-474	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	City
7b93e6a1:150814fecb6:1ec8	Membership
7b93e6a1:150814fecb6:1a90	Membership
7b93e6a1:150814fecb6:-808	Encompassed
7b93e6a1:150814fecb6:-1c0	Membership
7b93e6a1:150814fecb6:2267	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	Mountain
7b93e6a1:150814fecb6:979	Membership
7b93e6a1:150814fecb6:1e24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	City
7b93e6a1:150814fecb6:6c5	Membership
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Religion
7b93e6a1:150814fecb6:cf7	Membership
7b93e6a1:150814fecb6:621	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Province
7b93e6a1:150814fecb6:-7b4	Encompassed
7b93e6a1:150814fecb6:135d	Membership
7b93e6a1:150814fecb6:c53	Membership
7b93e6a1:150814fecb6:1dd0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Province
7b93e6a1:150814fecb6:-710	Border
7b93e6a1:150814fecb6:25a7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	City
7b93e6a1:150814fecb6:881	Membership
7b93e6a1:150814fecb6:2503	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	City
7b93e6a1:150814fecb6:18c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	City
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mountains
7b93e6a1:150814fecb6:-27b	Membership
7b93e6a1:150814fecb6:1ccf	Membership
7b93e6a1:150814fecb6:-60f	Border
7b93e6a1:150814fecb6:206e	Membership
7b93e6a1:150814fecb6:1c2b	Membership
7b93e6a1:150814fecb6:18fd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Province
http://www.semwebtech.org/mondial/10/island/Molokai/	Island
7b93e6a1:150814fecb6:4cc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Water
7b93e6a1:150814fecb6:1e8b	Membership
7b93e6a1:150814fecb6:afe	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Province
7b93e6a1:150814fecb6:-f8	Membership
7b93e6a1:150814fecb6:-5bb	Membership
7b93e6a1:150814fecb6:1185	Membership
7b93e6a1:150814fecb6:a5a	Membership
7b93e6a1:150814fecb6:-54	Membership
7b93e6a1:150814fecb6:1519	Membership
7b93e6a1:150814fecb6:23ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	City
7b93e6a1:150814fecb6:230a	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	City
7b93e6a1:150814fecb6:1779	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Province
7b93e6a1:150814fecb6:348	Membership
7b93e6a1:150814fecb6:14c5	Membership
7b93e6a1:150814fecb6:256a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	City
7b93e6a1:150814fecb6:1af7	Membership
7b93e6a1:150814fecb6:1421	Membership
7b93e6a1:150814fecb6:-437	Membership
7b93e6a1:150814fecb6:1a53	Membership
7b93e6a1:150814fecb6:ffa	Membership
7b93e6a1:150814fecb6:2f4	Membership
7b93e6a1:150814fecb6:1681	Membership
7b93e6a1:150814fecb6:-697	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	City
7b93e6a1:150814fecb6:250	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	City
7b93e6a1:150814fecb6:-3e3	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	City
7b93e6a1:150814fecb6:21d6	SpokenBy
7b93e6a1:150814fecb6:c16	Membership
7b93e6a1:150814fecb6:8e8	Membership
7b93e6a1:150814fecb6:2132	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Mountains
http://www.semwebtech.org/mondial/10/island/Lolland/	Island
http://www.semwebtech.org/mondial/10/river/Syrdarja/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	City
7b93e6a1:150814fecb6:844	Membership
7b93e6a1:150814fecb6:19c1	Membership
7b93e6a1:150814fecb6:e76	Membership
7b93e6a1:150814fecb6:1ff3	Membership
7b93e6a1:150814fecb6:14f	Membership
7b93e6a1:150814fecb6:12cc	Membership
7b93e6a1:150814fecb6:2392	BelievedBy
http://www.semwebtech.org/mondial/10/country/SPMI/	Country
7b93e6a1:150814fecb6:bc2	Membership
7b93e6a1:150814fecb6:-23e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	EthnicGroup
7b93e6a1:150814fecb6:7f0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Province
7b93e6a1:150814fecb6:-49e	Membership
7b93e6a1:150814fecb6:85	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Water
7b93e6a1:150814fecb6:181c	Membership
7b93e6a1:150814fecb6:-1ea	Membership
7b93e6a1:150814fecb6:1e4e	Membership
7b93e6a1:150814fecb6:1148	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	City
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Desert
http://www.semwebtech.org/mondial/10/river/Jenissej/	Water
7b93e6a1:150814fecb6:6ef	Membership
7b93e6a1:150814fecb6:a1d	Membership
7b93e6a1:150814fecb6:-17	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	City
7b93e6a1:150814fecb6:64b	Membership
7b93e6a1:150814fecb6:-7de	Encompassed
http://www.semwebtech.org/mondial/10/language/Pitkern/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	City
7b93e6a1:150814fecb6:c7d	Membership
http://www.semwebtech.org/mondial/10/mountain/Brocken/	Mountain
7b93e6a1:150814fecb6:1dfa	Membership
7b93e6a1:150814fecb6:-73a	Encompassed
7b93e6a1:150814fecb6:10f4	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	City
7b93e6a1:150814fecb6:1050	Membership
7b93e6a1:150814fecb6:252d	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	City
7b93e6a1:150814fecb6:1a16	Membership
7b93e6a1:150814fecb6:16e8	Membership
7b93e6a1:150814fecb6:fbd	Membership
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Island
7b93e6a1:150814fecb6:2b7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	City
7b93e6a1:150814fecb6:1644	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Province
7b93e6a1:150814fecb6:213	Membership
7b93e6a1:150814fecb6:1c76	Membership
7b93e6a1:150814fecb6:-3a6	Membership
7b93e6a1:150814fecb6:-302	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	Estuary
7b93e6a1:150814fecb6:473	Membership
http://www.semwebtech.org/mondial/10/river/Salzach/	Water
7b93e6a1:150814fecb6:15f0	Membership
7b93e6a1:150814fecb6:807	Membership
7b93e6a1:150814fecb6:-7e	Membership
7b93e6a1:150814fecb6:-562	Membership
7b93e6a1:150814fecb6:23f9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	Mountain
7b93e6a1:150814fecb6:e39	Membership
http://www.semwebtech.org/mondial/10/source/Waag/	Source
7b93e6a1:150814fecb6:1fb6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Province
7b93e6a1:150814fecb6:2355	BelievedBy
http://www.semwebtech.org/mondial/10/island/Ceram/	Island
http://www.semwebtech.org/mondial/10/island/Langeland/	Island
7b93e6a1:150814fecb6:1f12	Membership
http://www.semwebtech.org/mondial/10/language/Gagauz/	Language
7b93e6a1:150814fecb6:20a1	Membership
7b93e6a1:150814fecb6:7b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanga/	Estuary
7b93e6a1:150814fecb6:14ef	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	City
7b93e6a1:150814fecb6:de5	Membership
http://www.semwebtech.org/mondial/10/organization/CIS/	Organization
7b93e6a1:150814fecb6:144b	Membership
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	City
http://www.semwebtech.org/mondial/10/organization/FZ/	Organization
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	City
7b93e6a1:150814fecb6:48	Membership
7b93e6a1:150814fecb6:d41	Membership
7b93e6a1:150814fecb6:1a7d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	City
7b93e6a1:150814fecb6:-1ad	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	City
7b93e6a1:150814fecb6:27a	Membership
7b93e6a1:150814fecb6:60e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	Province
7b93e6a1:150814fecb6:1dbd	Membership
7b93e6a1:150814fecb6:10b7	Membership
7b93e6a1:150814fecb6:215c	SpokenBy
7b93e6a1:150814fecb6:86e	Membership
7b93e6a1:150814fecb6:19eb	Membership
7b93e6a1:150814fecb6:1013	Membership
7b93e6a1:150814fecb6:5ba	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Province
http://www.semwebtech.org/mondial/10/island/Java/	Island
http://www.semwebtech.org/mondial/10/river/Oranje/	Water
7b93e6a1:150814fecb6:bec	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	City
http://www.semwebtech.org/mondial/10/river/Uruguay/	Water
7b93e6a1:150814fecb6:1273	Membership
7b93e6a1:150814fecb6:-289	Membership
7b93e6a1:150814fecb6:1607	Membership
7b93e6a1:150814fecb6:1c39	Membership
http://www.semwebtech.org/mondial/10/country/OM/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	EthnicGroup
7b93e6a1:150814fecb6:1867	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	City
7b93e6a1:150814fecb6:1e99	Membership
7b93e6a1:150814fecb6:436	Membership
7b93e6a1:150814fecb6:15b3	Membership
7b93e6a1:150814fecb6:-5c9	Membership
7b93e6a1:150814fecb6:-191	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Province
7b93e6a1:150814fecb6:a68	Membership
7b93e6a1:150814fecb6:1be5	Membership
7b93e6a1:150814fecb6:-525	Membership
7b93e6a1:150814fecb6:1b41	Membership
7b93e6a1:150814fecb6:696	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	City
http://www.semwebtech.org/mondial/10/country/SY/	Country
7b93e6a1:150814fecb6:2318	BelievedBy
7b93e6a1:150814fecb6:-785	Encompassed
7b93e6a1:150814fecb6:-4d1	Membership
7b93e6a1:150814fecb6:107a	Membership
7b93e6a1:150814fecb6:2578	EthnicProportion
7b93e6a1:150814fecb6:da8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	City
7b93e6a1:150814fecb6:140e	Membership
7b93e6a1:150814fecb6:22c4	BelievedBy
7b93e6a1:150814fecb6:d04	Membership
7b93e6a1:150814fecb6:9d6	Membership
http://www.semwebtech.org/mondial/10/source/Fulda/	Source
7b93e6a1:150814fecb6:2220	SpokenBy
7b93e6a1:150814fecb6:932	Membership
7b93e6a1:150814fecb6:166e	Membership
7b93e6a1:150814fecb6:f64	Membership
7b93e6a1:150814fecb6:23d	Membership
7b93e6a1:150814fecb6:13ba	Membership
7b93e6a1:150814fecb6:2480	EthnicProportion
7b93e6a1:150814fecb6:cb0	Membership
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	City
7b93e6a1:150814fecb6:-32c	Membership
7b93e6a1:150814fecb6:49d	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Province
7b93e6a1:150814fecb6:211f	SpokenBy
7b93e6a1:150814fecb6:19ae	Membership
7b93e6a1:150814fecb6:-58c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	City
7b93e6a1:150814fecb6:5	Membership
7b93e6a1:150814fecb6:190a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	EthnicGroup
7b93e6a1:150814fecb6:237f	BelievedBy
7b93e6a1:150814fecb6:1f3c	Membership
7b93e6a1:150814fecb6:baf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	City
7b93e6a1:150814fecb6:1236	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Province
7b93e6a1:150814fecb6:20cb	Membership
7b93e6a1:150814fecb6:b0b	Membership
7b93e6a1:150814fecb6:7dd	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	City
http://www.semwebtech.org/mondial/10/river/Theiss/	Water
7b93e6a1:150814fecb6:1496	Membership
7b93e6a1:150814fecb6:d6b	Membership
7b93e6a1:150814fecb6:26bf	EthnicProportion
7b93e6a1:150814fecb6:11e2	Membership
7b93e6a1:150814fecb6:-1f8	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Desert
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	City
7b93e6a1:150814fecb6:-b1	Membership
7b93e6a1:150814fecb6:-154	Membership
7b93e6a1:150814fecb6:261b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	City
7b93e6a1:150814fecb6:1ba8	Membership
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Island
7b93e6a1:150814fecb6:659	Membership
7b93e6a1:150814fecb6:1b04	Membership
7b93e6a1:150814fecb6:17d6	Membership
7b93e6a1:150814fecb6:1732	Membership
7b93e6a1:150814fecb6:3a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	City
7b93e6a1:150814fecb6:-748	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	EthnicGroup
7b93e6a1:150814fecb6:301	Membership
7b93e6a1:150814fecb6:1d64	Membership
7b93e6a1:150814fecb6:103d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	City
7b93e6a1:150814fecb6:1ab0	Membership
7b93e6a1:150814fecb6:1992	Membership
7b93e6a1:150814fecb6:561	Membership
7b93e6a1:150814fecb6:-6f4	Border
7b93e6a1:150814fecb6:129d	Membership
7b93e6a1:150814fecb6:b93	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Province
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Island
7b93e6a1:150814fecb6:-650	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	City
7b93e6a1:150814fecb6:24e7	EthnicProportion
7b93e6a1:150814fecb6:f27	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Province
7b93e6a1:150814fecb6:2443	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	City
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	City
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Island
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Province
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Water
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	City
7b93e6a1:150814fecb6:8a1	Membership
http://www.semwebtech.org/mondial/10/river/Newa/	Water
7b93e6a1:150814fecb6:15dd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	City
7b93e6a1:150814fecb6:ed3	Membership
7b93e6a1:150814fecb6:1ac	Membership
7b93e6a1:150814fecb6:-54f	Membership
7b93e6a1:150814fecb6:1b6b	Membership
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mountains
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	Province
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	City
7b93e6a1:150814fecb6:-4fb	Membership
7b93e6a1:150814fecb6:e2	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	City
7b93e6a1:150814fecb6:1459	Membership
7b93e6a1:150814fecb6:22ee	BelievedBy
7b93e6a1:150814fecb6:1eab	Membership
7b93e6a1:150814fecb6:d2e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	City
7b93e6a1:150814fecb6:11a5	Membership
7b93e6a1:150814fecb6:224a	BelievedBy
7b93e6a1:150814fecb6:95c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	City
7b93e6a1:150814fecb6:1101	Membership
7b93e6a1:150814fecb6:-117	Membership
http://www.semwebtech.org/mondial/10/river/Swir/	Water
7b93e6a1:150814fecb6:f8e	Membership
7b93e6a1:150814fecb6:288	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	City
7b93e6a1:150814fecb6:cda	Membership
7b93e6a1:150814fecb6:1361	Membership
7b93e6a1:150814fecb6:-377	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	City
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	City
http://www.semwebtech.org/mondial/10/country/RMM/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	City
7b93e6a1:150814fecb6:1d27	Membership
7b93e6a1:150814fecb6:19f9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	City
7b93e6a1:150814fecb6:5c8	Membership
7b93e6a1:150814fecb6:190	Membership
7b93e6a1:150814fecb6:1955	Membership
7b93e6a1:150814fecb6:1f87	Membership
7b93e6a1:150814fecb6:524	Membership
7b93e6a1:150814fecb6:16a1	Membership
7b93e6a1:150814fecb6:-6b7	Border
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Province
7b93e6a1:150814fecb6:b56	Membership
7b93e6a1:150814fecb6:1cd3	Membership
7b93e6a1:150814fecb6:-613	Border
7b93e6a1:150814fecb6:2072	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Province
7b93e6a1:150814fecb6:784	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	City
7b93e6a1:150814fecb6:2406	BelievedBy
7b93e6a1:150814fecb6:4d0	Membership
http://www.semwebtech.org/mondial/10/estuary/Mincio/	Estuary
7b93e6a1:150814fecb6:-db	Membership
7b93e6a1:150814fecb6:-17e	Membership
7b93e6a1:150814fecb6:2666	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Province
7b93e6a1:150814fecb6:23b2	BelievedBy
7b93e6a1:150814fecb6:1b2e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	City
7b93e6a1:150814fecb6:3cf	Membership
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	City
7b93e6a1:150814fecb6:175c	Membership
7b93e6a1:150814fecb6:1d8e	Membership
7b93e6a1:150814fecb6:32b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	City
7b93e6a1:150814fecb6:-4be	Membership
7b93e6a1:150814fecb6:1088	Membership
7b93e6a1:150814fecb6:a5	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	EthnicGroup
7b93e6a1:150814fecb6:1ada	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	City
7b93e6a1:150814fecb6:-41a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	EthnicGroup
7b93e6a1:150814fecb6:58b	Membership
7b93e6a1:150814fecb6:220d	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	City
7b93e6a1:150814fecb6:91f	Membership
7b93e6a1:150814fecb6:-67a	Border
http://www.semwebtech.org/mondial/10/island/Singapore/	Island
7b93e6a1:150814fecb6:13c8	Membership
7b93e6a1:150814fecb6:246d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	City
7b93e6a1:150814fecb6:1324	Membership
http://www.semwebtech.org/mondial/10/organization/SAARC/	Organization
http://www.semwebtech.org/mondial/10/island/NorthUist/	Island
7b93e6a1:150814fecb6:8cb	Membership
http://www.semwebtech.org/mondial/10/organization/CAEU/	Organization
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	City
7b93e6a1:150814fecb6:efd	Membership
7b93e6a1:150814fecb6:1f7	Membership
http://www.semwebtech.org/mondial/10/country/HELX/	Country
7b93e6a1:150814fecb6:1584	Membership
http://www.semwebtech.org/mondial/10/country/MACX/	Country
7b93e6a1:150814fecb6:1918	Membership
7b93e6a1:150814fecb6:153	Membership
7b93e6a1:150814fecb6:12d0	Membership
7b93e6a1:150814fecb6:-2e6	Membership
http://www.semwebtech.org/mondial/10/island/Montserrat/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Province
7b93e6a1:150814fecb6:-242	Membership
7b93e6a1:150814fecb6:20d9	Membership
7b93e6a1:150814fecb6:b19	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	City
7b93e6a1:150814fecb6:2035	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Province
7b93e6a1:150814fecb6:747	Membership
7b93e6a1:150814fecb6:18c4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	City
7b93e6a1:150814fecb6:d79	Membership
7b93e6a1:150814fecb6:2295	BelievedBy
7b93e6a1:150814fecb6:1ef6	Membership
7b93e6a1:150814fecb6:1820	Membership
7b93e6a1:150814fecb6:11cf	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Province
7b93e6a1:150814fecb6:ac5	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Province
7b93e6a1:150814fecb6:1e52	Membership
7b93e6a1:150814fecb6:112b	Membership
7b93e6a1:150814fecb6:2629	EthnicProportion
http://www.semwebtech.org/mondial/10/country/AL/	Country
7b93e6a1:150814fecb6:6f3	Membership
7b93e6a1:150814fecb6:a21	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	City
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/NIC/	Country
7b93e6a1:150814fecb6:138b	Membership
7b93e6a1:150814fecb6:-7e2	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	City
http://www.semwebtech.org/mondial/10/country/CR/	Country
7b93e6a1:150814fecb6:c81	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Province
7b93e6a1:150814fecb6:171f	Membership
7b93e6a1:150814fecb6:25d5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	City
7b93e6a1:150814fecb6:2531	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	City
7b93e6a1:150814fecb6:197f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	City
http://www.semwebtech.org/mondial/10/source/Mississippi/	Source
7b93e6a1:150814fecb6:54e	Membership
7b93e6a1:150814fecb6:16cb	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	City
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	Mountain
7b93e6a1:150814fecb6:fc1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	City
7b93e6a1:150814fecb6:1cfd	Membership
7b93e6a1:150814fecb6:-63d	Border
7b93e6a1:150814fecb6:209c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	City
7b93e6a1:150814fecb6:4fa	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	City
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	City
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	Estuary
7b93e6a1:150814fecb6:-82	Membership
7b93e6a1:150814fecb6:1547	Membership
7b93e6a1:150814fecb6:23dc	BelievedBy
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Islands
7b93e6a1:150814fecb6:e1c	Membership
7b93e6a1:150814fecb6:1b79	Membership
7b93e6a1:150814fecb6:116	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Province
7b93e6a1:150814fecb6:-2a9	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	City
http://www.semwebtech.org/mondial/10/mountains/Corse/	Mountains
7b93e6a1:150814fecb6:-205	Membership
http://www.semwebtech.org/mondial/10/estuary/Breg/	Estuary
http://www.semwebtech.org/mondial/10/organization/BSEC/	Organization
http://www.semwebtech.org/mondial/10/organization/EAPC/	Organization
7b93e6a1:150814fecb6:376	Membership
7b93e6a1:150814fecb6:14f3	Membership
7b93e6a1:150814fecb6:cf	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	City
7b93e6a1:150814fecb6:-465	Membership
7b93e6a1:150814fecb6:2b	Membership
7b93e6a1:150814fecb6:2258	BelievedBy
7b93e6a1:150814fecb6:1eb9	Membership
7b93e6a1:150814fecb6:1a81	Membership
7b93e6a1:150814fecb6:-1b1	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	City
7b93e6a1:150814fecb6:1e15	Membership
7b93e6a1:150814fecb6:6b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Damavand/	Mountain
http://www.semwebtech.org/mondial/10/organization/ADB/	Organization
7b93e6a1:150814fecb6:ce8	Membership
7b93e6a1:150814fecb6:612	Membership
7b93e6a1:150814fecb6:-7a5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Province
7b93e6a1:150814fecb6:134e	Membership
7b93e6a1:150814fecb6:c44	Membership
http://www.semwebtech.org/mondial/10/island/Trinidad/	Island
7b93e6a1:150814fecb6:1dc1	Membership
7b93e6a1:150814fecb6:-701	Border
7b93e6a1:150814fecb6:2160	SpokenBy
7b93e6a1:150814fecb6:872	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	City
7b93e6a1:150814fecb6:17d	Membership
7b93e6a1:150814fecb6:12fa	Membership
7b93e6a1:150814fecb6:bf0	Membership
7b93e6a1:150814fecb6:-26c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	City
7b93e6a1:150814fecb6:24a0	EthnicProportion
7b93e6a1:150814fecb6:205f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	City
7b93e6a1:150814fecb6:1c1c	Membership
7b93e6a1:150814fecb6:18ee	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	City
7b93e6a1:150814fecb6:184a	Membership
7b93e6a1:150814fecb6:4bd	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	City
7b93e6a1:150814fecb6:aef	Membership
7b93e6a1:150814fecb6:1e7c	Membership
7b93e6a1:150814fecb6:-e9	Membership
7b93e6a1:150814fecb6:-5ac	Membership
7b93e6a1:150814fecb6:1176	Membership
7b93e6a1:150814fecb6:a4b	Membership
7b93e6a1:150814fecb6:-45	Membership
7b93e6a1:150814fecb6:25ff	EthnicProportion
7b93e6a1:150814fecb6:339	Membership
7b93e6a1:150814fecb6:14b6	Membership
7b93e6a1:150814fecb6:255b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	City
7b93e6a1:150814fecb6:1ae8	Membership
7b93e6a1:150814fecb6:1412	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	City
7b93e6a1:150814fecb6:-428	Membership
7b93e6a1:150814fecb6:599	Membership
7b93e6a1:150814fecb6:1a44	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	Estuary
7b93e6a1:150814fecb6:feb	Membership
7b93e6a1:150814fecb6:2e5	Membership
7b93e6a1:150814fecb6:1672	Membership
7b93e6a1:150814fecb6:-688	Border
7b93e6a1:150814fecb6:241	Membership
7b93e6a1:150814fecb6:-3d4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	City
7b93e6a1:150814fecb6:-330	Membership
7b93e6a1:150814fecb6:21c7	SpokenBy
7b93e6a1:150814fecb6:c07	Membership
7b93e6a1:150814fecb6:8d9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	City
7b93e6a1:150814fecb6:2123	SpokenBy
7b93e6a1:150814fecb6:835	Membership
7b93e6a1:150814fecb6:19b2	Membership
7b93e6a1:150814fecb6:-590	Membership
http://www.semwebtech.org/mondial/10/island/Skye/	Island
7b93e6a1:150814fecb6:e67	Membership
7b93e6a1:150814fecb6:1fe4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	City
7b93e6a1:150814fecb6:12bd	Membership
7b93e6a1:150814fecb6:2383	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	City
7b93e6a1:150814fecb6:bb3	Membership
7b93e6a1:150814fecb6:1f40	Membership
7b93e6a1:150814fecb6:-22f	Membership
7b93e6a1:150814fecb6:7e1	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	City
7b93e6a1:150814fecb6:-48f	Membership
7b93e6a1:150814fecb6:76	Membership
7b93e6a1:150814fecb6:180d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	City
7b93e6a1:150814fecb6:-1db	Membership
7b93e6a1:150814fecb6:26c3	EthnicProportion
7b93e6a1:150814fecb6:1e3f	Membership
7b93e6a1:150814fecb6:1139	Membership
7b93e6a1:150814fecb6:a0e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	City
http://www.semwebtech.org/mondial/10/island/Rugen/	Island
7b93e6a1:150814fecb6:63c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	City
7b93e6a1:150814fecb6:-7cf	Encompassed
7b93e6a1:150814fecb6:1399	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	City
7b93e6a1:150814fecb6:c6e	Membership
7b93e6a1:150814fecb6:1deb	Membership
7b93e6a1:150814fecb6:-72b	Encompassed
7b93e6a1:150814fecb6:10e5	Membership
7b93e6a1:150814fecb6:218a	SpokenBy
7b93e6a1:150814fecb6:89c	Membership
7b93e6a1:150814fecb6:1041	Membership
7b93e6a1:150814fecb6:251e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	City
http://www.semwebtech.org/mondial/10/religion/Baptist/	Religion
7b93e6a1:150814fecb6:1a07	Membership
7b93e6a1:150814fecb6:16d9	Membership
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Organization
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	City
7b93e6a1:150814fecb6:fae	Membership
http://www.semwebtech.org/mondial/10/country/EAT/	Country
7b93e6a1:150814fecb6:2a8	Membership
7b93e6a1:150814fecb6:1635	Membership
7b93e6a1:150814fecb6:24ca	EthnicProportion
7b93e6a1:150814fecb6:f0a	Membership
http://www.semwebtech.org/mondial/10/source/Jangtse/	Source
7b93e6a1:150814fecb6:204	Membership
7b93e6a1:150814fecb6:1c67	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	City
7b93e6a1:150814fecb6:1895	Membership
7b93e6a1:150814fecb6:464	Membership
7b93e6a1:150814fecb6:15e1	Membership
7b93e6a1:150814fecb6:-5f7	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Province
7b93e6a1:150814fecb6:a96	Membership
7b93e6a1:150814fecb6:1b0	Membership
7b93e6a1:150814fecb6:-6f	Membership
7b93e6a1:150814fecb6:-553	Membership
http://www.semwebtech.org/mondial/10/country/MOC/	Country
7b93e6a1:150814fecb6:1fa7	Membership
http://www.semwebtech.org/mondial/10/source/Ischim/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Province
7b93e6a1:150814fecb6:2346	BelievedBy
7b93e6a1:150814fecb6:1f03	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Province
7b93e6a1:150814fecb6:7a4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	City
7b93e6a1:150814fecb6:dd6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	City
7b93e6a1:150814fecb6:700	Membership
7b93e6a1:150814fecb6:143c	Membership
7b93e6a1:150814fecb6:22f2	BelievedBy
7b93e6a1:150814fecb6:39	Membership
http://www.semwebtech.org/mondial/10/river/Kasai/	Water
7b93e6a1:150814fecb6:d32	Membership
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	Islands
7b93e6a1:150814fecb6:1a6e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/river/Drina/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	City
7b93e6a1:150814fecb6:960	Membership
7b93e6a1:150814fecb6:169c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	EthnicGroup
7b93e6a1:150814fecb6:f92	Membership
7b93e6a1:150814fecb6:26b	Membership
7b93e6a1:150814fecb6:-3fe	Membership
http://www.semwebtech.org/mondial/10/island/Ponape/	Island
7b93e6a1:150814fecb6:-35a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	City
7b93e6a1:150814fecb6:1dae	Membership
7b93e6a1:150814fecb6:10a8	Membership
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	Mountain
7b93e6a1:150814fecb6:214d	SpokenBy
7b93e6a1:150814fecb6:85f	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	City
7b93e6a1:150814fecb6:1d0a	Membership
7b93e6a1:150814fecb6:19dc	Membership
7b93e6a1:150814fecb6:1004	Membership
7b93e6a1:150814fecb6:5ab	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	City
7b93e6a1:150814fecb6:bdd	Membership
7b93e6a1:150814fecb6:1f6a	Membership
7b93e6a1:150814fecb6:1264	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	City
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	City
7b93e6a1:150814fecb6:1858	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Province
7b93e6a1:150814fecb6:427	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Religion
7b93e6a1:150814fecb6:15a4	Membership
7b93e6a1:150814fecb6:-182	Membership
http://www.semwebtech.org/mondial/10/language/Brahui/	Language
7b93e6a1:150814fecb6:a59	Membership
7b93e6a1:150814fecb6:1bd6	Membership
7b93e6a1:150814fecb6:1500	Membership
7b93e6a1:150814fecb6:-516	Membership
7b93e6a1:150814fecb6:687	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Province
7b93e6a1:150814fecb6:1b32	Membership
7b93e6a1:150814fecb6:2309	BelievedBy
7b93e6a1:150814fecb6:1760	Membership
7b93e6a1:150814fecb6:3d3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	City
7b93e6a1:150814fecb6:-776	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Province
7b93e6a1:150814fecb6:1d92	Membership
7b93e6a1:150814fecb6:-4c2	Membership
7b93e6a1:150814fecb6:106b	Membership
7b93e6a1:150814fecb6:2569	EthnicProportion
7b93e6a1:150814fecb6:22b5	BelievedBy
7b93e6a1:150814fecb6:9c7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	City
7b93e6a1:150814fecb6:2211	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	City
http://www.semwebtech.org/mondial/10/estuary/Schari/	Estuary
7b93e6a1:150814fecb6:ff9	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Province
7b93e6a1:150814fecb6:923	Membership
7b93e6a1:150814fecb6:165f	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	City
7b93e6a1:150814fecb6:f55	Membership
7b93e6a1:150814fecb6:22e	Membership
7b93e6a1:150814fecb6:13ab	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	City
7b93e6a1:150814fecb6:2471	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Province
7b93e6a1:150814fecb6:ca1	Membership
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Islands
7b93e6a1:150814fecb6:-31d	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	City
7b93e6a1:150814fecb6:48e	Membership
http://www.semwebtech.org/mondial/10/island/Lefkas/	Island
7b93e6a1:150814fecb6:1da	Membership
7b93e6a1:150814fecb6:-57d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	City
7b93e6a1:150814fecb6:1f2d	Membership
7b93e6a1:150814fecb6:1227	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	City
7b93e6a1:150814fecb6:20bc	Membership
7b93e6a1:150814fecb6:7ce	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Water
7b93e6a1:150814fecb6:72a	Membership
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Mountains
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Province
7b93e6a1:150814fecb6:1487	Membership
7b93e6a1:150814fecb6:d5c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	City
7b93e6a1:150814fecb6:11d3	Membership
7b93e6a1:150814fecb6:-1e9	Membership
7b93e6a1:150814fecb6:98a	Membership
7b93e6a1:150814fecb6:-a2	Membership
7b93e6a1:150814fecb6:-145	Membership
7b93e6a1:150814fecb6:260c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Province
7b93e6a1:150814fecb6:17c7	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Province
7b93e6a1:150814fecb6:1df9	Membership
7b93e6a1:150814fecb6:1723	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	City
http://www.semwebtech.org/mondial/10/country/RB/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	City
7b93e6a1:150814fecb6:-739	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	City
http://www.semwebtech.org/mondial/10/source/Fimi/	Source
7b93e6a1:150814fecb6:2198	SpokenBy
http://www.semwebtech.org/mondial/10/organization/Entente/	Organization
7b93e6a1:150814fecb6:1d55	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	City
http://www.semwebtech.org/mondial/10/religion/Hindu/	Religion
7b93e6a1:150814fecb6:102e	Membership
7b93e6a1:150814fecb6:5f6	Membership
7b93e6a1:150814fecb6:1aa1	Membership
7b93e6a1:150814fecb6:1983	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	EthnicGroup
7b93e6a1:150814fecb6:552	Membership
7b93e6a1:150814fecb6:-6e5	Border
7b93e6a1:150814fecb6:128e	Membership
http://www.semwebtech.org/mondial/10/island/Palawan/	Island
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	City
7b93e6a1:150814fecb6:b84	Membership
http://www.semwebtech.org/mondial/10/river/Saone/	Water
http://www.semwebtech.org/mondial/10/country/VN/	Country
7b93e6a1:150814fecb6:-641	Border
7b93e6a1:150814fecb6:24d8	EthnicProportion
7b93e6a1:150814fecb6:57c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	City
7b93e6a1:150814fecb6:f18	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	City
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	Mountain
7b93e6a1:150814fecb6:2434	BelievedBy
7b93e6a1:150814fecb6:15ce	Membership
7b93e6a1:150814fecb6:2694	EthnicProportion
7b93e6a1:150814fecb6:ec4	Membership
7b93e6a1:150814fecb6:152a	Membership
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	Mountain
7b93e6a1:150814fecb6:23e0	BelievedBy
7b93e6a1:150814fecb6:e20	Membership
7b93e6a1:150814fecb6:1b5c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Province
7b93e6a1:150814fecb6:3fd	Membership
7b93e6a1:150814fecb6:178a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	City
7b93e6a1:150814fecb6:-4ec	Membership
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	City
7b93e6a1:150814fecb6:d3	Membership
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Island
7b93e6a1:150814fecb6:22df	BelievedBy
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	City
http://www.semwebtech.org/mondial/10/country/ANG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Province
7b93e6a1:150814fecb6:d1f	Membership
7b93e6a1:150814fecb6:223b	BelievedBy
7b93e6a1:150814fecb6:94d	Membership
http://www.semwebtech.org/mondial/10/desert/Talak/	Desert
7b93e6a1:150814fecb6:-108	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	City
7b93e6a1:150814fecb6:f7f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	City
7b93e6a1:150814fecb6:279	Membership
7b93e6a1:150814fecb6:13f6	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	City
7b93e6a1:150814fecb6:249b	EthnicProportion
7b93e6a1:150814fecb6:ccb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	City
7b93e6a1:150814fecb6:1352	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	City
7b93e6a1:150814fecb6:-368	Membership
http://www.semwebtech.org/mondial/10/country/G/	Country
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Water
7b93e6a1:150814fecb6:1d18	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Province
7b93e6a1:150814fecb6:5b9	Membership
7b93e6a1:150814fecb6:181	Membership
7b93e6a1:150814fecb6:1946	Membership
7b93e6a1:150814fecb6:1f78	Membership
7b93e6a1:150814fecb6:515	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Province
7b93e6a1:150814fecb6:-6a8	Border
7b93e6a1:150814fecb6:-270	Membership
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Water
7b93e6a1:150814fecb6:b47	Membership
7b93e6a1:150814fecb6:1cc4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Province
7b93e6a1:150814fecb6:-604	Border
7b93e6a1:150814fecb6:2063	Membership
7b93e6a1:150814fecb6:1c20	Membership
7b93e6a1:150814fecb6:775	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Province
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	City
7b93e6a1:150814fecb6:18f2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	EthnicGroup
7b93e6a1:150814fecb6:4c1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	City
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Water
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	Source
7b93e6a1:150814fecb6:11fd	Membership
7b93e6a1:150814fecb6:1e80	Membership
7b93e6a1:150814fecb6:af3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	City
7b93e6a1:150814fecb6:-cc	Membership
7b93e6a1:150814fecb6:-5b0	Membership
7b93e6a1:150814fecb6:-16f	Membership
7b93e6a1:150814fecb6:2657	EthnicProportion
7b93e6a1:150814fecb6:23a3	BelievedBy
7b93e6a1:150814fecb6:1b1f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	City
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	Water
7b93e6a1:150814fecb6:174d	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	City
7b93e6a1:150814fecb6:1d7f	Membership
7b93e6a1:150814fecb6:31c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	City
7b93e6a1:150814fecb6:-4af	Membership
7b93e6a1:150814fecb6:1079	Membership
7b93e6a1:150814fecb6:1acb	Membership
7b93e6a1:150814fecb6:-40b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Province
7b93e6a1:150814fecb6:-66b	Border
http://www.semwebtech.org/mondial/10/source/Alz/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	City
7b93e6a1:150814fecb6:13b9	Membership
7b93e6a1:150814fecb6:245e	EthnicProportion
7b93e6a1:150814fecb6:1315	Membership
7b93e6a1:150814fecb6:21aa	SpokenBy
7b93e6a1:150814fecb6:8bc	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	City
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	Mountain
7b93e6a1:150814fecb6:eee	Membership
7b93e6a1:150814fecb6:1e8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	City
7b93e6a1:150814fecb6:1575	Membership
http://www.semwebtech.org/mondial/10/language/English/	Language
7b93e6a1:150814fecb6:e4a	Membership
7b93e6a1:150814fecb6:1909	Membership
7b93e6a1:150814fecb6:144	Membership
7b93e6a1:150814fecb6:12c1	Membership
7b93e6a1:150814fecb6:-2d7	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	City
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	Estuary
7b93e6a1:150814fecb6:-233	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	City
7b93e6a1:150814fecb6:2026	Membership
7b93e6a1:150814fecb6:fd	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	City
7b93e6a1:150814fecb6:738	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Province
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Island
7b93e6a1:150814fecb6:18b5	Membership
7b93e6a1:150814fecb6:-493	Membership
http://www.semwebtech.org/mondial/10/country/MNG/	Country
7b93e6a1:150814fecb6:1ee7	Membership
7b93e6a1:150814fecb6:1811	Membership
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Water
7b93e6a1:150814fecb6:2286	BelievedBy
7b93e6a1:150814fecb6:ab6	Membership
7b93e6a1:150814fecb6:998	Membership
7b93e6a1:150814fecb6:1e43	Membership
7b93e6a1:150814fecb6:111c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	City
7b93e6a1:150814fecb6:6e4	Membership
7b93e6a1:150814fecb6:a12	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	City
http://www.semwebtech.org/mondial/10/estuary/Inn/	Estuary
7b93e6a1:150814fecb6:640	Membership
7b93e6a1:150814fecb6:-7d3	Encompassed
7b93e6a1:150814fecb6:137c	Membership
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	Water
7b93e6a1:150814fecb6:c72	Membership
http://www.semwebtech.org/mondial/10/source/Limpopo/	Source
7b93e6a1:150814fecb6:25c6	EthnicProportion
7b93e6a1:150814fecb6:2522	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	City
7b93e6a1:150814fecb6:53f	Membership
7b93e6a1:150814fecb6:16bc	Membership
7b93e6a1:150814fecb6:-29a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	City
7b93e6a1:150814fecb6:fb2	Membership
7b93e6a1:150814fecb6:1cee	Membership
7b93e6a1:150814fecb6:-62e	Border
7b93e6a1:150814fecb6:208d	Membership
7b93e6a1:150814fecb6:79f	Membership
7b93e6a1:150814fecb6:1c4a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	EthnicGroup
7b93e6a1:150814fecb6:4eb	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	City
7b93e6a1:150814fecb6:-5da	Border
http://www.semwebtech.org/mondial/10/language/Slovene/	Language
7b93e6a1:150814fecb6:1538	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	City
7b93e6a1:150814fecb6:-73	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	City
7b93e6a1:150814fecb6:23cd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	City
7b93e6a1:150814fecb6:e0d	Membership
7b93e6a1:150814fecb6:107	Membership
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	City
http://www.semwebtech.org/mondial/10/mountain/Schchara/	Mountain
7b93e6a1:150814fecb6:1798	Membership
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Islands
7b93e6a1:150814fecb6:367	Membership
7b93e6a1:150814fecb6:14e4	Membership
http://www.semwebtech.org/mondial/10/estuary/Lomami/	Estuary
7b93e6a1:150814fecb6:1440	Membership
7b93e6a1:150814fecb6:-456	Membership
7b93e6a1:150814fecb6:1c	Membership
7b93e6a1:150814fecb6:1a72	Membership
7b93e6a1:150814fecb6:-1a2	Membership
7b93e6a1:150814fecb6:2249	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	City
http://www.semwebtech.org/mondial/10/language/Arabic/	Language
7b93e6a1:150814fecb6:1e06	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	Mountain
http://www.semwebtech.org/mondial/10/river/Arkansas/	Water
7b93e6a1:150814fecb6:6a7	Membership
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mountains
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Religion
7b93e6a1:150814fecb6:21f5	SpokenBy
http://www.semwebtech.org/mondial/10/organization/BA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	City
7b93e6a1:150814fecb6:cd9	Membership
7b93e6a1:150814fecb6:603	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	City
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	Water
7b93e6a1:150814fecb6:133f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Province
7b93e6a1:150814fecb6:c35	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	City
7b93e6a1:150814fecb6:1db2	Membership
7b93e6a1:150814fecb6:2151	SpokenBy
http://www.semwebtech.org/mondial/10/country/AZ/	Country
7b93e6a1:150814fecb6:863	Membership
7b93e6a1:150814fecb6:19e0	Membership
7b93e6a1:150814fecb6:159f	Membership
7b93e6a1:150814fecb6:e95	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	City
7b93e6a1:150814fecb6:16e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Province
7b93e6a1:150814fecb6:12eb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Province
7b93e6a1:150814fecb6:be1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	City
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	City
7b93e6a1:150814fecb6:-25d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	City
7b93e6a1:150814fecb6:1c0d	Membership
7b93e6a1:150814fecb6:18df	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	City
7b93e6a1:150814fecb6:4ae	Membership
7b93e6a1:150814fecb6:183b	Membership
http://www.semwebtech.org/mondial/10/island/Reunion/	Island
7b93e6a1:150814fecb6:40a	Membership
7b93e6a1:150814fecb6:1e6d	Membership
7b93e6a1:150814fecb6:1167	Membership
http://www.semwebtech.org/mondial/10/mountain/Illampu/	Mountain
7b93e6a1:150814fecb6:a3c	Membership
7b93e6a1:150814fecb6:-36	Membership
7b93e6a1:150814fecb6:66a	Membership
7b93e6a1:150814fecb6:-7fd	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	City
7b93e6a1:150814fecb6:c9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	City
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Water
http://www.semwebtech.org/mondial/10/estuary/Bartang/	Estuary
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	City
7b93e6a1:150814fecb6:14a7	Membership
7b93e6a1:150814fecb6:254c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Province
7b93e6a1:150814fecb6:1ad9	Membership
7b93e6a1:150814fecb6:1403	Membership
7b93e6a1:150814fecb6:-419	Membership
7b93e6a1:150814fecb6:-f	Membership
7b93e6a1:150814fecb6:9aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	City
7b93e6a1:150814fecb6:1a35	Membership
7b93e6a1:150814fecb6:fdc	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Water
7b93e6a1:150814fecb6:2d6	Membership
7b93e6a1:150814fecb6:1663	Membership
7b93e6a1:150814fecb6:-679	Border
7b93e6a1:150814fecb6:1c95	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Province
7b93e6a1:150814fecb6:232	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	City
7b93e6a1:150814fecb6:-3c5	Membership
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	City
7b93e6a1:150814fecb6:-321	Membership
7b93e6a1:150814fecb6:21b8	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	City
7b93e6a1:150814fecb6:492	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	City
7b93e6a1:150814fecb6:2114	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Province
7b93e6a1:150814fecb6:19a3	Membership
7b93e6a1:150814fecb6:826	Membership
7b93e6a1:150814fecb6:-9d	Membership
7b93e6a1:150814fecb6:-581	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	City
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	City
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Water
7b93e6a1:150814fecb6:e58	Membership
7b93e6a1:150814fecb6:1fd5	Membership
7b93e6a1:150814fecb6:2374	BelievedBy
7b93e6a1:150814fecb6:12ae	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	City
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	City
7b93e6a1:150814fecb6:ba4	Membership
7b93e6a1:150814fecb6:1f31	Membership
7b93e6a1:150814fecb6:120a	Membership
7b93e6a1:150814fecb6:20c0	Membership
7b93e6a1:150814fecb6:b00	Membership
7b93e6a1:150814fecb6:7d2	Membership
http://www.semwebtech.org/mondial/10/religion/Catholic/	Religion
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	City
7b93e6a1:150814fecb6:146a	Membership
http://www.semwebtech.org/mondial/10/island/Fongafale/	Island
7b93e6a1:150814fecb6:67	Membership
7b93e6a1:150814fecb6:d60	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Province
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	City
7b93e6a1:150814fecb6:1a9c	Membership
7b93e6a1:150814fecb6:-1cc	Membership
7b93e6a1:150814fecb6:26b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	City
7b93e6a1:150814fecb6:2610	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Island
7b93e6a1:150814fecb6:62d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Province
7b93e6a1:150814fecb6:17aa	Membership
7b93e6a1:150814fecb6:c5f	Membership
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	Estuary
7b93e6a1:150814fecb6:1ddc	Membership
7b93e6a1:150814fecb6:-71c	Border
7b93e6a1:150814fecb6:10d6	Membership
7b93e6a1:150814fecb6:217b	SpokenBy
7b93e6a1:150814fecb6:88d	Membership
7b93e6a1:150814fecb6:1032	Membership
7b93e6a1:150814fecb6:250f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	City
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Desert
7b93e6a1:150814fecb6:1292	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Province
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Province
7b93e6a1:150814fecb6:1626	Membership
7b93e6a1:150814fecb6:24bb	EthnicProportion
7b93e6a1:150814fecb6:1c58	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	City
7b93e6a1:150814fecb6:4f9	Membership
7b93e6a1:150814fecb6:1886	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Province
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Island
7b93e6a1:150814fecb6:455	Membership
7b93e6a1:150814fecb6:15d2	Membership
7b93e6a1:150814fecb6:-5e8	Border
7b93e6a1:150814fecb6:a87	Membership
7b93e6a1:150814fecb6:1a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	City
7b93e6a1:150814fecb6:-544	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	City
7b93e6a1:150814fecb6:1b60	Membership
7b93e6a1:150814fecb6:2337	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	City
7b93e6a1:150814fecb6:-4f0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Province
7b93e6a1:150814fecb6:2597	EthnicProportion
7b93e6a1:150814fecb6:dc7	Membership
7b93e6a1:150814fecb6:142d	Membership
7b93e6a1:150814fecb6:22e3	BelievedBy
7b93e6a1:150814fecb6:d23	Membership
7b93e6a1:150814fecb6:9f5	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	City
7b93e6a1:150814fecb6:1ea0	Membership
7b93e6a1:150814fecb6:1a5f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Province
7b93e6a1:150814fecb6:951	Membership
7b93e6a1:150814fecb6:168d	Membership
7b93e6a1:150814fecb6:f83	Membership
7b93e6a1:150814fecb6:25c	Membership
7b93e6a1:150814fecb6:-3ef	Membership
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	City
http://www.semwebtech.org/mondial/10/river/Schari/	Water
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Province
7b93e6a1:150814fecb6:-34b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Province
http://www.semwebtech.org/mondial/10/mountain/Etna/	Mountain
7b93e6a1:150814fecb6:213e	SpokenBy
7b93e6a1:150814fecb6:19cd	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	City
7b93e6a1:150814fecb6:1fff	Membership
7b93e6a1:150814fecb6:12f9	Membership
7b93e6a1:150814fecb6:239e	BelievedBy
http://www.semwebtech.org/mondial/10/source/SchattalArab/	Source
7b93e6a1:150814fecb6:bce	Membership
7b93e6a1:150814fecb6:20ea	Membership
7b93e6a1:150814fecb6:1f5b	Membership
7b93e6a1:150814fecb6:1255	Membership
7b93e6a1:150814fecb6:b2a	Membership
7b93e6a1:150814fecb6:7fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Province
7b93e6a1:150814fecb6:d8a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	City
7b93e6a1:150814fecb6:1849	Membership
7b93e6a1:150814fecb6:263a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	City
http://www.semwebtech.org/mondial/10/estuary/Volga/	Estuary
7b93e6a1:150814fecb6:418	Membership
7b93e6a1:150814fecb6:-d0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	City
7b93e6a1:150814fecb6:-173	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Province
7b93e6a1:150814fecb6:1bc7	Membership
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	City
7b93e6a1:150814fecb6:-507	Membership
7b93e6a1:150814fecb6:678	Membership
7b93e6a1:150814fecb6:1b23	Membership
7b93e6a1:150814fecb6:17f5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Province
7b93e6a1:150814fecb6:3c4	Membership
7b93e6a1:150814fecb6:1751	Membership
7b93e6a1:150814fecb6:-767	Encompassed
7b93e6a1:150814fecb6:320	Membership
7b93e6a1:150814fecb6:1d83	Membership
7b93e6a1:150814fecb6:-4b3	Membership
7b93e6a1:150814fecb6:105c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	City
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	City
7b93e6a1:150814fecb6:22a6	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Province
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	Source
7b93e6a1:150814fecb6:9b8	Membership
7b93e6a1:150814fecb6:580	Membership
7b93e6a1:150814fecb6:2202	SpokenBy
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	City
7b93e6a1:150814fecb6:914	Membership
7b93e6a1:150814fecb6:f46	Membership
7b93e6a1:150814fecb6:21f	Membership
7b93e6a1:150814fecb6:2462	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	City
7b93e6a1:150814fecb6:-30e	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Province
7b93e6a1:150814fecb6:8c0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	City
7b93e6a1:150814fecb6:47f	Membership
7b93e6a1:150814fecb6:15fc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	City
7b93e6a1:150814fecb6:ef2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Province
7b93e6a1:150814fecb6:1cb	Membership
7b93e6a1:150814fecb6:-56e	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Province
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	City
7b93e6a1:150814fecb6:1b8a	Membership
7b93e6a1:150814fecb6:-2ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	EthnicGroup
7b93e6a1:150814fecb6:1f1e	Membership
7b93e6a1:150814fecb6:1218	Membership
7b93e6a1:150814fecb6:20ad	Membership
7b93e6a1:150814fecb6:7bf	Membership
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Religion
7b93e6a1:150814fecb6:71b	Membership
7b93e6a1:150814fecb6:1478	Membership
7b93e6a1:150814fecb6:d4d	Membership
7b93e6a1:150814fecb6:1eca	Membership
7b93e6a1:150814fecb6:-80a	Encompassed
7b93e6a1:150814fecb6:11c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	City
7b93e6a1:150814fecb6:97b	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	City
7b93e6a1:150814fecb6:1120	Membership
7b93e6a1:150814fecb6:-136	Membership
7b93e6a1:150814fecb6:17b8	Membership
7b93e6a1:150814fecb6:1380	Membership
7b93e6a1:150814fecb6:-396	Membership
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Water
7b93e6a1:150814fecb6:1714	Membership
http://www.semwebtech.org/mondial/10/source/Umeaelv/	Source
7b93e6a1:150814fecb6:2189	SpokenBy
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Province
7b93e6a1:150814fecb6:1d46	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	City
7b93e6a1:150814fecb6:101f	Membership
7b93e6a1:150814fecb6:5e7	Membership
7b93e6a1:150814fecb6:1974	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Province
http://www.semwebtech.org/mondial/10/river/Manicouagan/	Water
7b93e6a1:150814fecb6:543	Membership
7b93e6a1:150814fecb6:16c0	Membership
7b93e6a1:150814fecb6:-6d6	Border
7b93e6a1:150814fecb6:127f	Membership
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	Source
7b93e6a1:150814fecb6:b75	Membership
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Water
7b93e6a1:150814fecb6:1cf2	Membership
7b93e6a1:150814fecb6:-632	Border
7b93e6a1:150814fecb6:24c9	EthnicProportion
7b93e6a1:150814fecb6:2091	Membership
7b93e6a1:150814fecb6:f09	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	EthnicGroup
7b93e6a1:150814fecb6:2425	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Province
7b93e6a1:150814fecb6:15bf	Membership
7b93e6a1:150814fecb6:-fa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	City
7b93e6a1:150814fecb6:-19d	Membership
7b93e6a1:150814fecb6:2685	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	City
7b93e6a1:150814fecb6:eb5	Membership
7b93e6a1:150814fecb6:151b	Membership
7b93e6a1:150814fecb6:23d1	BelievedBy
7b93e6a1:150814fecb6:e11	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	City
7b93e6a1:150814fecb6:1b4d	Membership
7b93e6a1:150814fecb6:3ee	Membership
7b93e6a1:150814fecb6:177b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Province
http://www.semwebtech.org/mondial/10/country/GQ/	Country
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Islands
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	City
7b93e6a1:150814fecb6:34a	Membership
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mountains
7b93e6a1:150814fecb6:-4dd	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	City
7b93e6a1:150814fecb6:c4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	City
7b93e6a1:150814fecb6:20	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	City
7b93e6a1:150814fecb6:222c	SpokenBy
7b93e6a1:150814fecb6:93e	Membership
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	City
7b93e6a1:150814fecb6:13e7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Province
7b93e6a1:150814fecb6:248c	EthnicProportion
7b93e6a1:150814fecb6:cbc	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	Mountain
7b93e6a1:150814fecb6:1343	Membership
7b93e6a1:150814fecb6:-359	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	City
7b93e6a1:150814fecb6:8ea	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	City
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Mountains
7b93e6a1:150814fecb6:1d09	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	City
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	Water
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	Mountain
7b93e6a1:150814fecb6:1937	Membership
7b93e6a1:150814fecb6:172	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	City
7b93e6a1:150814fecb6:1b51	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	City
7b93e6a1:150814fecb6:1f69	Membership
7b93e6a1:150814fecb6:506	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	City
http://www.semwebtech.org/mondial/10/country/RP/	Country
7b93e6a1:150814fecb6:-261	Membership
7b93e6a1:150814fecb6:20f8	Membership
7b93e6a1:150814fecb6:b38	Membership
7b93e6a1:150814fecb6:1cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	EthnicGroup
7b93e6a1:150814fecb6:2054	Membership
7b93e6a1:150814fecb6:766	Membership
7b93e6a1:150814fecb6:1c11	Membership
7b93e6a1:150814fecb6:18e3	Membership
7b93e6a1:150814fecb6:d98	Membership
7b93e6a1:150814fecb6:4b2	Membership
7b93e6a1:150814fecb6:11ee	Membership
7b93e6a1:150814fecb6:1e71	Membership
7b93e6a1:150814fecb6:ae4	Membership
7b93e6a1:150814fecb6:-bd	Membership
7b93e6a1:150814fecb6:-5a1	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	City
7b93e6a1:150814fecb6:114a	Membership
7b93e6a1:150814fecb6:2648	EthnicProportion
7b93e6a1:150814fecb6:a40	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	EthnicGroup
7b93e6a1:150814fecb6:173e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Province
7b93e6a1:150814fecb6:25f4	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Bintan/	Island
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Water
7b93e6a1:150814fecb6:30d	Membership
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Religion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	City
7b93e6a1:150814fecb6:2550	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	City
7b93e6a1:150814fecb6:1abc	Membership
7b93e6a1:150814fecb6:199e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	City
7b93e6a1:150814fecb6:56d	Membership
7b93e6a1:150814fecb6:16ea	Membership
7b93e6a1:150814fecb6:fe0	Membership
7b93e6a1:150814fecb6:b9f	Membership
http://www.semwebtech.org/mondial/10/country/THA/	Country
7b93e6a1:150814fecb6:-65c	Border
http://www.semwebtech.org/mondial/10/country/WAN/	Country
7b93e6a1:150814fecb6:244f	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	City
7b93e6a1:150814fecb6:1306	Membership
7b93e6a1:150814fecb6:8ad	Membership
http://www.semwebtech.org/mondial/10/source/Benue/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	EthnicGroup
7b93e6a1:150814fecb6:edf	Membership
7b93e6a1:150814fecb6:1566	Membership
7b93e6a1:150814fecb6:1d9	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Province
http://www.semwebtech.org/mondial/10/country/DJI/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	City
7b93e6a1:150814fecb6:23fb	BelievedBy
7b93e6a1:150814fecb6:e3b	Membership
7b93e6a1:150814fecb6:1b98	Membership
7b93e6a1:150814fecb6:135	Membership
7b93e6a1:150814fecb6:12b2	Membership
7b93e6a1:150814fecb6:-2c8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Province
7b93e6a1:150814fecb6:-224	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Province
7b93e6a1:150814fecb6:395	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	City
7b93e6a1:150814fecb6:ee	Membership
7b93e6a1:150814fecb6:2017	Membership
7b93e6a1:150814fecb6:729	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	Mountain
7b93e6a1:150814fecb6:18a6	Membership
7b93e6a1:150814fecb6:-484	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	EthnicGroup
7b93e6a1:150814fecb6:4a	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	City
7b93e6a1:150814fecb6:1ed8	Membership
7b93e6a1:150814fecb6:1802	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	City
7b93e6a1:150814fecb6:-1d0	Membership
7b93e6a1:150814fecb6:2277	BelievedBy
7b93e6a1:150814fecb6:aa7	Membership
7b93e6a1:150814fecb6:989	Membership
7b93e6a1:150814fecb6:1e34	Membership
7b93e6a1:150814fecb6:110d	Membership
7b93e6a1:150814fecb6:6d5	Membership
7b93e6a1:150814fecb6:a03	Membership
7b93e6a1:150814fecb6:631	Membership
http://www.semwebtech.org/mondial/10/source/Marne/	Source
7b93e6a1:150814fecb6:-7c4	Encompassed
7b93e6a1:150814fecb6:136d	Membership
7b93e6a1:150814fecb6:c63	Membership
7b93e6a1:150814fecb6:1de0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	City
7b93e6a1:150814fecb6:-720	Encompassed
7b93e6a1:150814fecb6:25b7	EthnicProportion
7b93e6a1:150814fecb6:891	Membership
7b93e6a1:150814fecb6:2513	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	EthnicGroup
7b93e6a1:150814fecb6:19c	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Province
7b93e6a1:150814fecb6:16ad	Membership
7b93e6a1:150814fecb6:-28b	Membership
7b93e6a1:150814fecb6:fa3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	Province
7b93e6a1:150814fecb6:1cdf	Membership
7b93e6a1:150814fecb6:-61f	Border
http://www.semwebtech.org/mondial/10/mountain/Tambora/	Mountain
7b93e6a1:150814fecb6:207e	Membership
7b93e6a1:150814fecb6:1c3b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Province
http://www.semwebtech.org/mondial/10/language/Punjabi/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Province
7b93e6a1:150814fecb6:4dc	Membership
http://www.semwebtech.org/mondial/10/river/Doubs/	Water
7b93e6a1:150814fecb6:1e9b	Membership
7b93e6a1:150814fecb6:-5cb	Membership
7b93e6a1:150814fecb6:1195	Membership
7b93e6a1:150814fecb6:a6a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Province
7b93e6a1:150814fecb6:-64	Membership
7b93e6a1:150814fecb6:1529	Membership
7b93e6a1:150814fecb6:23be	BelievedBy
http://www.semwebtech.org/mondial/10/country/UAE/	Country
http://www.semwebtech.org/mondial/10/island/Samosir/	Island
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Province
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Mountains
7b93e6a1:150814fecb6:231a	BelievedBy
7b93e6a1:150814fecb6:1789	Membership
7b93e6a1:150814fecb6:358	Membership
7b93e6a1:150814fecb6:14d5	Membership
7b93e6a1:150814fecb6:257a	EthnicProportion
7b93e6a1:150814fecb6:daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	EthnicGroup
7b93e6a1:150814fecb6:1431	Membership
7b93e6a1:150814fecb6:-447	Membership
7b93e6a1:150814fecb6:1a63	Membership
7b93e6a1:150814fecb6:1691	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	City
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Island
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	City
7b93e6a1:150814fecb6:260	Membership
7b93e6a1:150814fecb6:-3f3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	City
7b93e6a1:150814fecb6:21e6	SpokenBy
7b93e6a1:150814fecb6:c26	Membership
7b93e6a1:150814fecb6:8f8	Membership
7b93e6a1:150814fecb6:1da3	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	City
7b93e6a1:150814fecb6:2142	SpokenBy
7b93e6a1:150814fecb6:854	Membership
7b93e6a1:150814fecb6:19d1	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	City
7b93e6a1:150814fecb6:e86	Membership
7b93e6a1:150814fecb6:5a0	Membership
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization
7b93e6a1:150814fecb6:15f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Province
7b93e6a1:150814fecb6:12dc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	City
7b93e6a1:150814fecb6:bd2	Membership
7b93e6a1:150814fecb6:-24e	Membership
http://www.semwebtech.org/mondial/10/island/Ambon/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	City
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Water
7b93e6a1:150814fecb6:95	Membership
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	City
7b93e6a1:150814fecb6:182c	Membership
7b93e6a1:150814fecb6:-1fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	City
http://www.semwebtech.org/mondial/10/river/Tiber/	Water
7b93e6a1:150814fecb6:1e5e	Membership
7b93e6a1:150814fecb6:1158	Membership
7b93e6a1:150814fecb6:6ff	Membership
http://www.semwebtech.org/mondial/10/country/BERM/	Country
7b93e6a1:150814fecb6:a2d	Membership
7b93e6a1:150814fecb6:1baa	Membership
7b93e6a1:150814fecb6:-27	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	City
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Water
7b93e6a1:150814fecb6:65b	Membership
7b93e6a1:150814fecb6:2328	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	City
7b93e6a1:150814fecb6:-7ee	Encompassed
7b93e6a1:150814fecb6:c8d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Province
7b93e6a1:150814fecb6:-74a	Encompassed
http://www.semwebtech.org/mondial/10/organization/ICAO/	Organization
7b93e6a1:150814fecb6:1060	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	City
7b93e6a1:150814fecb6:253d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	City
7b93e6a1:150814fecb6:1a26	Membership
7b93e6a1:150814fecb6:16f8	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Province
7b93e6a1:150814fecb6:fcd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	City
7b93e6a1:150814fecb6:2c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	City
7b93e6a1:150814fecb6:1654	Membership
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Island
7b93e6a1:150814fecb6:1c86	Membership
7b93e6a1:150814fecb6:223	Membership
7b93e6a1:150814fecb6:13a0	Membership
7b93e6a1:150814fecb6:-3b6	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	City
http://www.semwebtech.org/mondial/10/river/Mosel/	Water
http://www.semwebtech.org/mondial/10/estuary/Lagen/	Estuary
7b93e6a1:150814fecb6:-312	Membership
7b93e6a1:150814fecb6:21a9	SpokenBy
7b93e6a1:150814fecb6:483	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	City
7b93e6a1:150814fecb6:2105	Membership
7b93e6a1:150814fecb6:817	Membership
7b93e6a1:150814fecb6:-8e	Membership
7b93e6a1:150814fecb6:-572	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	City
7b93e6a1:150814fecb6:e49	Membership
7b93e6a1:150814fecb6:1fc6	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	City
7b93e6a1:150814fecb6:2365	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	City
7b93e6a1:150814fecb6:1f22	Membership
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	Estuary
7b93e6a1:150814fecb6:20b1	Membership
http://www.semwebtech.org/mondial/10/country/BI/	Country
7b93e6a1:150814fecb6:7c3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	City
7b93e6a1:150814fecb6:14ff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	City
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	Mountain
7b93e6a1:150814fecb6:df5	Membership
7b93e6a1:150814fecb6:145b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	City
7b93e6a1:150814fecb6:58	Membership
7b93e6a1:150814fecb6:d51	Membership
7b93e6a1:150814fecb6:1a8d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Province
7b93e6a1:150814fecb6:-1bd	Membership
7b93e6a1:150814fecb6:26a5	EthnicProportion
7b93e6a1:150814fecb6:2601	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	EthnicGroup
7b93e6a1:150814fecb6:28a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Province
7b93e6a1:150814fecb6:61e	Membership
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	Mountain
7b93e6a1:150814fecb6:1dcd	Membership
7b93e6a1:150814fecb6:-70d	Border
7b93e6a1:150814fecb6:10c7	Membership
7b93e6a1:150814fecb6:216c	SpokenBy
7b93e6a1:150814fecb6:87e	Membership
7b93e6a1:150814fecb6:19fb	Membership
7b93e6a1:150814fecb6:1023	Membership
7b93e6a1:150814fecb6:5ca	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	City
7b93e6a1:150814fecb6:bfc	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Province
7b93e6a1:150814fecb6:1283	Membership
http://www.semwebtech.org/mondial/10/country/MH/	Country
7b93e6a1:150814fecb6:-299	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	EthnicGroup
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Desert
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	City
7b93e6a1:150814fecb6:1617	Membership
7b93e6a1:150814fecb6:24ac	EthnicProportion
7b93e6a1:150814fecb6:1c49	Membership
http://www.semwebtech.org/mondial/10/river/Ob/	Water
7b93e6a1:150814fecb6:1877	Membership
7b93e6a1:150814fecb6:446	Membership
7b93e6a1:150814fecb6:15c3	Membership
7b93e6a1:150814fecb6:-5d9	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	City
7b93e6a1:150814fecb6:a78	Membership
7b93e6a1:150814fecb6:1bf5	Membership
7b93e6a1:150814fecb6:-535	Membership
7b93e6a1:150814fecb6:3f2	Membership
7b93e6a1:150814fecb6:-795	Encompassed
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	EthnicGroup
7b93e6a1:150814fecb6:-4e1	Membership
7b93e6a1:150814fecb6:108a	Membership
7b93e6a1:150814fecb6:2588	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	EthnicGroup
7b93e6a1:150814fecb6:db8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Province
7b93e6a1:150814fecb6:22d4	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	Estuary
7b93e6a1:150814fecb6:141e	Membership
7b93e6a1:150814fecb6:d14	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	City
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	City
7b93e6a1:150814fecb6:9e6	Membership
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	Estuary
7b93e6a1:150814fecb6:2230	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	Estuary
7b93e6a1:150814fecb6:942	Membership
7b93e6a1:150814fecb6:167e	Membership
7b93e6a1:150814fecb6:f74	Membership
7b93e6a1:150814fecb6:24d	Membership
7b93e6a1:150814fecb6:13ca	Membership
7b93e6a1:150814fecb6:2490	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	Mountain
7b93e6a1:150814fecb6:cc0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Province
7b93e6a1:150814fecb6:-33c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	City
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	Mountain
7b93e6a1:150814fecb6:212f	SpokenBy
7b93e6a1:150814fecb6:19be	Membership
7b93e6a1:150814fecb6:-59c	Membership
7b93e6a1:150814fecb6:191a	Membership
7b93e6a1:150814fecb6:238f	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	Mountain
7b93e6a1:150814fecb6:bbf	Membership
7b93e6a1:150814fecb6:1f4c	Membership
7b93e6a1:150814fecb6:1246	Membership
7b93e6a1:150814fecb6:20db	Membership
7b93e6a1:150814fecb6:b1b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	City
7b93e6a1:150814fecb6:7ed	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Province
7b93e6a1:150814fecb6:d7b	Membership
7b93e6a1:150814fecb6:11f2	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Province
7b93e6a1:150814fecb6:409	Membership
7b93e6a1:150814fecb6:-c1	Membership
7b93e6a1:150814fecb6:-164	Membership
7b93e6a1:150814fecb6:262b	EthnicProportion
7b93e6a1:150814fecb6:1bb8	Membership
http://www.semwebtech.org/mondial/10/river/Araguaia/	Water
7b93e6a1:150814fecb6:669	Membership
7b93e6a1:150814fecb6:1b14	Membership
7b93e6a1:150814fecb6:17e6	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	City
7b93e6a1:150814fecb6:3b5	Membership
7b93e6a1:150814fecb6:1742	Membership
7b93e6a1:150814fecb6:-758	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Mountains
7b93e6a1:150814fecb6:311	Membership
7b93e6a1:150814fecb6:1d74	Membership
7b93e6a1:150814fecb6:-4a4	Membership
7b93e6a1:150814fecb6:104d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Water
7b93e6a1:150814fecb6:1ac0	Membership
7b93e6a1:150814fecb6:-400	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Province
7b93e6a1:150814fecb6:9a9	Membership
7b93e6a1:150814fecb6:571	Membership
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	Mountain
7b93e6a1:150814fecb6:905	Membership
7b93e6a1:150814fecb6:-660	Border
7b93e6a1:150814fecb6:24f7	EthnicProportion
7b93e6a1:150814fecb6:f37	Membership
7b93e6a1:150814fecb6:2453	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	City
7b93e6a1:150814fecb6:8b1	Membership
7b93e6a1:150814fecb6:15ed	Membership
7b93e6a1:150814fecb6:ee3	Membership
7b93e6a1:150814fecb6:1bc	Membership
7b93e6a1:150814fecb6:-55f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	City
7b93e6a1:150814fecb6:1b7b	Membership
7b93e6a1:150814fecb6:-2ab	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	City
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	City
7b93e6a1:150814fecb6:1f0f	Membership
http://www.semwebtech.org/mondial/10/organization/CPLP/	Organization
7b93e6a1:150814fecb6:1209	Membership
7b93e6a1:150814fecb6:f2	Membership
7b93e6a1:150814fecb6:70c	Membership
7b93e6a1:150814fecb6:1469	Membership
7b93e6a1:150814fecb6:22fe	BelievedBy
7b93e6a1:150814fecb6:d3e	Membership
7b93e6a1:150814fecb6:1ebb	Membership
7b93e6a1:150814fecb6:11b5	Membership
7b93e6a1:150814fecb6:225a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	City
7b93e6a1:150814fecb6:96c	Membership
7b93e6a1:150814fecb6:1111	Membership
7b93e6a1:150814fecb6:-127	Membership
7b93e6a1:150814fecb6:f9e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	City
7b93e6a1:150814fecb6:298	Membership
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	City
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Water
7b93e6a1:150814fecb6:cea	Membership
7b93e6a1:150814fecb6:17a9	Membership
7b93e6a1:150814fecb6:1371	Membership
7b93e6a1:150814fecb6:-387	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	City
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Province
7b93e6a1:150814fecb6:1705	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	City
7b93e6a1:150814fecb6:1d37	Membership
http://www.semwebtech.org/mondial/10/island/Gozo/	Island
7b93e6a1:150814fecb6:5d8	Membership
7b93e6a1:150814fecb6:1965	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	City
7b93e6a1:150814fecb6:1f97	Membership
7b93e6a1:150814fecb6:534	Membership
7b93e6a1:150814fecb6:16b1	Membership
7b93e6a1:150814fecb6:-6c7	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Province
7b93e6a1:150814fecb6:b66	Membership
7b93e6a1:150814fecb6:1ce3	Membership
7b93e6a1:150814fecb6:-623	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	City
7b93e6a1:150814fecb6:2082	Membership
7b93e6a1:150814fecb6:794	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Province
http://www.semwebtech.org/mondial/10/organization/EIB/	Organization
7b93e6a1:150814fecb6:2416	BelievedBy
7b93e6a1:150814fecb6:4e0	Membership
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	City
http://www.semwebtech.org/mondial/10/estuary/Pibor/	Estuary
7b93e6a1:150814fecb6:-eb	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	City
7b93e6a1:150814fecb6:-18e	Membership
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	City
7b93e6a1:150814fecb6:2676	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	City
7b93e6a1:150814fecb6:ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	City
7b93e6a1:150814fecb6:150c	Membership
7b93e6a1:150814fecb6:23c2	BelievedBy
7b93e6a1:150814fecb6:e02	Membership
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Island
http://www.semwebtech.org/mondial/10/source/Lukenie/	Source
7b93e6a1:150814fecb6:1b3e	Membership
7b93e6a1:150814fecb6:3df	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Province
7b93e6a1:150814fecb6:176c	Membership
7b93e6a1:150814fecb6:1d9e	Membership
7b93e6a1:150814fecb6:33b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	City
7b93e6a1:150814fecb6:-4ce	Membership
7b93e6a1:150814fecb6:1098	Membership
7b93e6a1:150814fecb6:b5	Membership
7b93e6a1:150814fecb6:1aea	Membership
7b93e6a1:150814fecb6:-42a	Membership
7b93e6a1:150814fecb6:11	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Water
7b93e6a1:150814fecb6:59b	Membership
7b93e6a1:150814fecb6:221d	SpokenBy
7b93e6a1:150814fecb6:92f	Membership
7b93e6a1:150814fecb6:-68a	Border
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	City
http://www.semwebtech.org/mondial/10/organization/PFP/	Organization
7b93e6a1:150814fecb6:13d8	Membership
7b93e6a1:150814fecb6:247d	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Island
7b93e6a1:150814fecb6:cad	Membership
7b93e6a1:150814fecb6:1334	Membership
7b93e6a1:150814fecb6:8db	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	City
7b93e6a1:150814fecb6:1594	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	City
7b93e6a1:150814fecb6:1928	Membership
7b93e6a1:150814fecb6:163	Membership
7b93e6a1:150814fecb6:12e0	Membership
7b93e6a1:150814fecb6:-2f6	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	City
7b93e6a1:150814fecb6:10aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	City
7b93e6a1:150814fecb6:-252	Membership
7b93e6a1:150814fecb6:20e9	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	City
7b93e6a1:150814fecb6:b29	Membership
7b93e6a1:150814fecb6:1ca6	Membership
7b93e6a1:150814fecb6:2045	Membership
7b93e6a1:150814fecb6:757	Membership
7b93e6a1:150814fecb6:1c02	Membership
7b93e6a1:150814fecb6:18d4	Membership
http://www.semwebtech.org/mondial/10/country/CDN/	Country
http://www.semwebtech.org/mondial/10/river/Zambezi/	Water
7b93e6a1:150814fecb6:d89	Membership
7b93e6a1:150814fecb6:4a3	Membership
7b93e6a1:150814fecb6:1830	Membership
7b93e6a1:150814fecb6:11df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Province
7b93e6a1:150814fecb6:1e62	Membership
7b93e6a1:150814fecb6:ad5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	City
7b93e6a1:150814fecb6:-ae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Province
7b93e6a1:150814fecb6:113b	Membership
7b93e6a1:150814fecb6:2639	EthnicProportion
7b93e6a1:150814fecb6:a31	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	City
7b93e6a1:150814fecb6:-7f2	Encompassed
7b93e6a1:150814fecb6:139b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Province
7b93e6a1:150814fecb6:c91	Membership
7b93e6a1:150814fecb6:172f	Membership
http://www.semwebtech.org/mondial/10/estuary/Save/	Estuary
7b93e6a1:150814fecb6:25e5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SME/	Country
7b93e6a1:150814fecb6:2541	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	City
7b93e6a1:150814fecb6:1aad	Membership
7b93e6a1:150814fecb6:198f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	City
7b93e6a1:150814fecb6:-4	Membership
7b93e6a1:150814fecb6:55e	Membership
7b93e6a1:150814fecb6:16db	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	City
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Water
7b93e6a1:150814fecb6:fd1	Membership
7b93e6a1:150814fecb6:2aa	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:-64d	Border
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	City
http://www.semwebtech.org/mondial/10/country/COM/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Province
7b93e6a1:150814fecb6:-92	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	City
7b93e6a1:150814fecb6:1557	Membership
7b93e6a1:150814fecb6:23ec	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	City
7b93e6a1:150814fecb6:1b89	Membership
7b93e6a1:150814fecb6:e2c	Membership
7b93e6a1:150814fecb6:126	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	City
7b93e6a1:150814fecb6:12a3	Membership
7b93e6a1:150814fecb6:-2b9	Membership
7b93e6a1:150814fecb6:-215	Membership
7b93e6a1:150814fecb6:386	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	City
7b93e6a1:150814fecb6:df	Membership
7b93e6a1:150814fecb6:2008	Membership
http://www.semwebtech.org/mondial/10/language/Futunian/	Language
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Mountains
http://www.semwebtech.org/mondial/10/river/Argun/	Water
7b93e6a1:150814fecb6:-475	Membership
7b93e6a1:150814fecb6:3b	Membership
7b93e6a1:150814fecb6:1ec9	Membership
7b93e6a1:150814fecb6:1a91	Membership
7b93e6a1:150814fecb6:-809	Encompassed
7b93e6a1:150814fecb6:-1c1	Membership
7b93e6a1:150814fecb6:2268	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Water
7b93e6a1:150814fecb6:1e25	Membership
7b93e6a1:150814fecb6:6c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	EthnicGroup
7b93e6a1:150814fecb6:25a8	EthnicProportion
7b93e6a1:150814fecb6:cf8	Membership
7b93e6a1:150814fecb6:622	Membership
7b93e6a1:150814fecb6:2170	SpokenBy
7b93e6a1:150814fecb6:-7b5	Encompassed
7b93e6a1:150814fecb6:135e	Membership
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	Source
http://www.semwebtech.org/mondial/10/source/Apurimac/	Source
7b93e6a1:150814fecb6:1dd1	Membership
7b93e6a1:150814fecb6:c54	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	City
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Province
7b93e6a1:150814fecb6:-711	Border
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	City
7b93e6a1:150814fecb6:882	Membership
7b93e6a1:150814fecb6:2504	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	City
7b93e6a1:150814fecb6:18d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	City
7b93e6a1:150814fecb6:-27c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	City
7b93e6a1:150814fecb6:24b0	EthnicProportion
7b93e6a1:150814fecb6:206f	Membership
7b93e6a1:150814fecb6:1c2c	Membership
7b93e6a1:150814fecb6:18fe	Membership
http://www.semwebtech.org/mondial/10/island/Mayotte/	Island
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Province
7b93e6a1:150814fecb6:4cd	Membership
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	Estuary
7b93e6a1:150814fecb6:185a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	EthnicGroup
7b93e6a1:150814fecb6:aff	Membership
7b93e6a1:150814fecb6:1e8c	Membership
7b93e6a1:150814fecb6:-f9	Membership
7b93e6a1:150814fecb6:-5bc	Membership
7b93e6a1:150814fecb6:1186	Membership
7b93e6a1:150814fecb6:a5b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	City
7b93e6a1:150814fecb6:-55	Membership
http://www.semwebtech.org/mondial/10/estuary/Buna/	Estuary
7b93e6a1:150814fecb6:23af	BelievedBy
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	City
7b93e6a1:150814fecb6:230b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Breg/	Source
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	Mountain
7b93e6a1:150814fecb6:349	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	City
7b93e6a1:150814fecb6:14c6	Membership
7b93e6a1:150814fecb6:256b	EthnicProportion
7b93e6a1:150814fecb6:1af8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	City
7b93e6a1:150814fecb6:1422	Membership
7b93e6a1:150814fecb6:-438	Membership
7b93e6a1:150814fecb6:1a54	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	City
7b93e6a1:150814fecb6:ffb	Membership
http://www.semwebtech.org/mondial/10/island/Anglesey/	Island
7b93e6a1:150814fecb6:2f5	Membership
7b93e6a1:150814fecb6:1682	Membership
7b93e6a1:150814fecb6:-698	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Province
http://www.semwebtech.org/mondial/10/islands/Malta/	Islands
7b93e6a1:150814fecb6:251	Membership
7b93e6a1:150814fecb6:-3e4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Province
7b93e6a1:150814fecb6:-340	Membership
7b93e6a1:150814fecb6:21d7	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Tajo/	Estuary
7b93e6a1:150814fecb6:c17	Membership
7b93e6a1:150814fecb6:8e9	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Province
7b93e6a1:150814fecb6:2133	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	City
7b93e6a1:150814fecb6:845	Membership
7b93e6a1:150814fecb6:19c2	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	City
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Island
7b93e6a1:150814fecb6:e77	Membership
7b93e6a1:150814fecb6:1ff4	Membership
7b93e6a1:150814fecb6:12cd	Membership
7b93e6a1:150814fecb6:2393	BelievedBy
7b93e6a1:150814fecb6:bc3	Membership
7b93e6a1:150814fecb6:1f50	Membership
7b93e6a1:150814fecb6:-23f	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Province
7b93e6a1:150814fecb6:7f1	Membership
7b93e6a1:150814fecb6:-49f	Membership
7b93e6a1:150814fecb6:86	Membership
http://www.semwebtech.org/mondial/10/source/Mekong/	Source
7b93e6a1:150814fecb6:181d	Membership
7b93e6a1:150814fecb6:-1eb	Membership
7b93e6a1:150814fecb6:1e4f	Membership
7b93e6a1:150814fecb6:1149	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	City
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	Estuary
http://www.semwebtech.org/mondial/10/source/BlueNile/	Source
7b93e6a1:150814fecb6:a1e	Membership
7b93e6a1:150814fecb6:-18	Membership
7b93e6a1:150814fecb6:64c	Membership
7b93e6a1:150814fecb6:-7df	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	EthnicGroup
7b93e6a1:150814fecb6:c7e	Membership
7b93e6a1:150814fecb6:1dfb	Membership
7b93e6a1:150814fecb6:-73b	Encompassed
7b93e6a1:150814fecb6:10f5	Membership
7b93e6a1:150814fecb6:219a	SpokenBy
7b93e6a1:150814fecb6:1051	Membership
7b93e6a1:150814fecb6:252e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Province
7b93e6a1:150814fecb6:1a17	Membership
7b93e6a1:150814fecb6:16e9	Membership
http://www.semwebtech.org/mondial/10/language/Estonian/	Language
http://www.semwebtech.org/mondial/10/organization/EAS/	Organization
7b93e6a1:150814fecb6:fbe	Membership
http://www.semwebtech.org/mondial/10/country/EAU/	Country
7b93e6a1:150814fecb6:2b8	Membership
7b93e6a1:150814fecb6:1645	Membership
7b93e6a1:150814fecb6:24da	EthnicProportion
7b93e6a1:150814fecb6:f1a	Membership
7b93e6a1:150814fecb6:1c77	Membership
7b93e6a1:150814fecb6:214	Membership
7b93e6a1:150814fecb6:-3a7	Membership
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	City
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	City
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Water
7b93e6a1:150814fecb6:-303	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	City
7b93e6a1:150814fecb6:474	Membership
7b93e6a1:150814fecb6:15f1	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Province
7b93e6a1:150814fecb6:808	Membership
7b93e6a1:150814fecb6:1c0	Membership
7b93e6a1:150814fecb6:-7f	Membership
7b93e6a1:150814fecb6:-563	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	City
7b93e6a1:150814fecb6:1fb7	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	City
7b93e6a1:150814fecb6:2356	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Province
7b93e6a1:150814fecb6:1f13	Membership
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Islands
7b93e6a1:150814fecb6:20a2	Membership
7b93e6a1:150814fecb6:7b4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	City
7b93e6a1:150814fecb6:de6	Membership
7b93e6a1:150814fecb6:710	Membership
7b93e6a1:150814fecb6:144c	Membership
http://www.semwebtech.org/mondial/10/island/Flores/	Island
7b93e6a1:150814fecb6:49	Membership
7b93e6a1:150814fecb6:d42	Membership
7b93e6a1:150814fecb6:1a7e	Membership
7b93e6a1:150814fecb6:-1ae	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	City
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Province
7b93e6a1:150814fecb6:970	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	EthnicGroup
7b93e6a1:150814fecb6:-10a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	City
7b93e6a1:150814fecb6:27b	Membership
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Province
7b93e6a1:150814fecb6:60f	Membership
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Island
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	City
7b93e6a1:150814fecb6:-36a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Province
7b93e6a1:150814fecb6:1dbe	Membership
7b93e6a1:150814fecb6:10b8	Membership
7b93e6a1:150814fecb6:215d	SpokenBy
7b93e6a1:150814fecb6:86f	Membership
7b93e6a1:150814fecb6:1d1a	Membership
7b93e6a1:150814fecb6:19ec	Membership
7b93e6a1:150814fecb6:1014	Membership
7b93e6a1:150814fecb6:5bb	Membership
7b93e6a1:150814fecb6:bed	Membership
7b93e6a1:150814fecb6:1f7a	Membership
7b93e6a1:150814fecb6:-6aa	Border
7b93e6a1:150814fecb6:1274	Membership
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	Mountain
7b93e6a1:150814fecb6:1608	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	City
7b93e6a1:150814fecb6:1868	Membership
7b93e6a1:150814fecb6:437	Membership
http://www.semwebtech.org/mondial/10/country/NAU/	Country
7b93e6a1:150814fecb6:15b4	Membership
7b93e6a1:150814fecb6:-192	Membership
7b93e6a1:150814fecb6:a69	Membership
7b93e6a1:150814fecb6:1be6	Membership
7b93e6a1:150814fecb6:1510	Membership
7b93e6a1:150814fecb6:-526	Membership
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	Estuary
7b93e6a1:150814fecb6:697	Membership
7b93e6a1:150814fecb6:1b42	Membership
7b93e6a1:150814fecb6:2319	BelievedBy
7b93e6a1:150814fecb6:3e3	Membership
7b93e6a1:150814fecb6:1770	Membership
7b93e6a1:150814fecb6:-786	Encompassed
7b93e6a1:150814fecb6:-4d2	Membership
7b93e6a1:150814fecb6:107b	Membership
7b93e6a1:150814fecb6:2579	EthnicProportion
7b93e6a1:150814fecb6:da9	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	Estuary
7b93e6a1:150814fecb6:140f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	City
http://www.semwebtech.org/mondial/10/island/Ameland/	Island
7b93e6a1:150814fecb6:22c5	BelievedBy
7b93e6a1:150814fecb6:d05	Membership
7b93e6a1:150814fecb6:9d7	Membership
7b93e6a1:150814fecb6:2221	SpokenBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Province
http://www.semwebtech.org/mondial/10/organization/COMESA/	Organization
7b93e6a1:150814fecb6:933	Membership
7b93e6a1:150814fecb6:166f	Membership
7b93e6a1:150814fecb6:f65	Membership
7b93e6a1:150814fecb6:23e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Province
7b93e6a1:150814fecb6:13bb	Membership
7b93e6a1:150814fecb6:2481	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	City
7b93e6a1:150814fecb6:cb1	Membership
7b93e6a1:150814fecb6:-32d	Membership
7b93e6a1:150814fecb6:49e	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	City
7b93e6a1:150814fecb6:1ea	Membership
7b93e6a1:150814fecb6:19af	Membership
7b93e6a1:150814fecb6:-58d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Province
7b93e6a1:150814fecb6:6	Membership
7b93e6a1:150814fecb6:190b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Province
7b93e6a1:150814fecb6:1f3d	Membership
7b93e6a1:150814fecb6:1237	Membership
7b93e6a1:150814fecb6:20cc	Membership
7b93e6a1:150814fecb6:b0c	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Province
7b93e6a1:150814fecb6:7de	Membership
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Island
7b93e6a1:150814fecb6:73a	Membership
7b93e6a1:150814fecb6:1497	Membership
7b93e6a1:150814fecb6:d6c	Membership
7b93e6a1:150814fecb6:11e3	Membership
http://www.semwebtech.org/mondial/10/country/MV/	Country
7b93e6a1:150814fecb6:-1f9	Membership
http://www.semwebtech.org/mondial/10/island/Mindoro/	Island
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Islands
7b93e6a1:150814fecb6:99a	Membership
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Island
7b93e6a1:150814fecb6:-b2	Membership
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	City
7b93e6a1:150814fecb6:-155	Membership
7b93e6a1:150814fecb6:261c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Province
7b93e6a1:150814fecb6:1ba9	Membership
http://www.semwebtech.org/mondial/10/language/Creole/	Language
7b93e6a1:150814fecb6:1b05	Membership
7b93e6a1:150814fecb6:17d7	Membership
7b93e6a1:150814fecb6:1733	Membership
7b93e6a1:150814fecb6:3a6	Membership
http://www.semwebtech.org/mondial/10/country/RC/	Country
7b93e6a1:150814fecb6:-749	Encompassed
7b93e6a1:150814fecb6:302	Membership
7b93e6a1:150814fecb6:1d65	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	City
7b93e6a1:150814fecb6:103e	Membership
7b93e6a1:150814fecb6:1ab1	Membership
7b93e6a1:150814fecb6:1993	Membership
http://www.semwebtech.org/mondial/10/religion/Sikh/	Religion
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Province
7b93e6a1:150814fecb6:562	Membership
7b93e6a1:150814fecb6:129e	Membership
7b93e6a1:150814fecb6:-6f5	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	City
http://www.semwebtech.org/mondial/10/river/Aruwimi/	Water
7b93e6a1:150814fecb6:b94	Membership
7b93e6a1:150814fecb6:-651	Border
7b93e6a1:150814fecb6:24e8	EthnicProportion
7b93e6a1:150814fecb6:f28	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	City
7b93e6a1:150814fecb6:2444	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	Estuary
7b93e6a1:150814fecb6:8a2	Membership
7b93e6a1:150814fecb6:15de	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	City
http://www.semwebtech.org/mondial/10/organization/IPU/	Organization
http://www.semwebtech.org/mondial/10/source/Gambia/	Source
7b93e6a1:150814fecb6:ed4	Membership
7b93e6a1:150814fecb6:1ad	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	City
7b93e6a1:150814fecb6:153a	Membership
7b93e6a1:150814fecb6:23f0	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Province
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Language
7b93e6a1:150814fecb6:e30	Membership
7b93e6a1:150814fecb6:1b6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Province
http://www.semwebtech.org/mondial/10/island/Labuan/	Island
7b93e6a1:150814fecb6:179a	Membership
7b93e6a1:150814fecb6:-4fc	Membership
7b93e6a1:150814fecb6:e3	Membership
7b93e6a1:150814fecb6:22ef	BelievedBy
7b93e6a1:150814fecb6:d2f	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	City
7b93e6a1:150814fecb6:1eac	Membership
7b93e6a1:150814fecb6:11a6	Membership
7b93e6a1:150814fecb6:224b	BelievedBy
http://www.semwebtech.org/mondial/10/island/Streymoy/	Island
7b93e6a1:150814fecb6:95d	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	City
7b93e6a1:150814fecb6:1102	Membership
7b93e6a1:150814fecb6:-118	Membership
7b93e6a1:150814fecb6:f8f	Membership
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Water
7b93e6a1:150814fecb6:289	Membership
http://www.semwebtech.org/mondial/10/source/Karasu/	Source
7b93e6a1:150814fecb6:cdb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Province
7b93e6a1:150814fecb6:1362	Membership
7b93e6a1:150814fecb6:-378	Membership
http://www.semwebtech.org/mondial/10/country/H/	Country
http://www.semwebtech.org/mondial/10/sea/RedSea/	Water
7b93e6a1:150814fecb6:1d28	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	City
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Province
http://www.semwebtech.org/mondial/10/river/Amazonas/	Water
7b93e6a1:150814fecb6:1956	Membership
7b93e6a1:150814fecb6:5c9	Membership
7b93e6a1:150814fecb6:191	Membership
http://www.semwebtech.org/mondial/10/organization/G-77/	Organization
7b93e6a1:150814fecb6:1f88	Membership
7b93e6a1:150814fecb6:525	Membership
7b93e6a1:150814fecb6:16a2	Membership
7b93e6a1:150814fecb6:-6b8	Border
7b93e6a1:150814fecb6:-280	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Province
7b93e6a1:150814fecb6:b57	Membership
7b93e6a1:150814fecb6:1cd4	Membership
7b93e6a1:150814fecb6:-614	Border
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	City
7b93e6a1:150814fecb6:2073	Membership
7b93e6a1:150814fecb6:785	Membership
7b93e6a1:150814fecb6:1c30	Membership
7b93e6a1:150814fecb6:2407	BelievedBy
7b93e6a1:150814fecb6:4d1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Province
7b93e6a1:150814fecb6:2667	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Province
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	Mountain
7b93e6a1:150814fecb6:1e90	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	City
7b93e6a1:150814fecb6:-dc	Membership
7b93e6a1:150814fecb6:-5c0	Membership
7b93e6a1:150814fecb6:-17f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	City
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Island
7b93e6a1:150814fecb6:23b3	BelievedBy
7b93e6a1:150814fecb6:1b2f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Province
7b93e6a1:150814fecb6:175d	Membership
7b93e6a1:150814fecb6:1d8f	Membership
7b93e6a1:150814fecb6:32c	Membership
7b93e6a1:150814fecb6:-4bf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Province
7b93e6a1:150814fecb6:1089	Membership
7b93e6a1:150814fecb6:a6	Membership
7b93e6a1:150814fecb6:1adb	Membership
7b93e6a1:150814fecb6:-41b	Membership
7b93e6a1:150814fecb6:58c	Membership
7b93e6a1:150814fecb6:220e	SpokenBy
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	City
7b93e6a1:150814fecb6:-67b	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	City
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	EthnicGroup
7b93e6a1:150814fecb6:13c9	Membership
7b93e6a1:150814fecb6:246e	EthnicProportion
7b93e6a1:150814fecb6:21ba	SpokenBy
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	Water
7b93e6a1:150814fecb6:1325	Membership
http://www.semwebtech.org/mondial/10/island/Cebu/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Province
7b93e6a1:150814fecb6:8cc	Membership
7b93e6a1:150814fecb6:efe	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	City
7b93e6a1:150814fecb6:1f8	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	Mountain
7b93e6a1:150814fecb6:1585	Membership
7b93e6a1:150814fecb6:1919	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	City
7b93e6a1:150814fecb6:e5a	Membership
7b93e6a1:150814fecb6:154	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	City
7b93e6a1:150814fecb6:12d1	Membership
7b93e6a1:150814fecb6:-2e7	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Province
7b93e6a1:150814fecb6:-243	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Province
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Province
7b93e6a1:150814fecb6:2036	Membership
7b93e6a1:150814fecb6:748	Membership
7b93e6a1:150814fecb6:18c5	Membership
http://www.semwebtech.org/mondial/10/estuary/Ili/	Estuary
7b93e6a1:150814fecb6:1ef7	Membership
7b93e6a1:150814fecb6:1821	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	City
http://www.semwebtech.org/mondial/10/source/Petschora/	Source
7b93e6a1:150814fecb6:2296	BelievedBy
7b93e6a1:150814fecb6:ac6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Province
7b93e6a1:150814fecb6:1e53	Membership
7b93e6a1:150814fecb6:112c	Membership
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Desert
7b93e6a1:150814fecb6:a22	Membership
7b93e6a1:150814fecb6:6f4	Membership
http://www.semwebtech.org/mondial/10/lake/Storuman/	Water
7b93e6a1:150814fecb6:650	Membership
7b93e6a1:150814fecb6:-7e3	Encompassed
7b93e6a1:150814fecb6:138c	Membership
7b93e6a1:150814fecb6:c82	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	City
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Water
7b93e6a1:150814fecb6:25d6	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Water
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Province
7b93e6a1:150814fecb6:2532	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Sanga/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	City
7b93e6a1:150814fecb6:54f	Membership
7b93e6a1:150814fecb6:16cc	Membership
7b93e6a1:150814fecb6:fc2	Membership
7b93e6a1:150814fecb6:1cfe	Membership
7b93e6a1:150814fecb6:-63e	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	City
7b93e6a1:150814fecb6:209d	Membership
7b93e6a1:150814fecb6:1c5a	Membership
7b93e6a1:150814fecb6:4fb	Membership
http://www.semwebtech.org/mondial/10/estuary/Sobat/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Province
7b93e6a1:150814fecb6:-5ea	Border
7b93e6a1:150814fecb6:-83	Membership
7b93e6a1:150814fecb6:1548	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Province
7b93e6a1:150814fecb6:23dd	BelievedBy
7b93e6a1:150814fecb6:e1d	Membership
7b93e6a1:150814fecb6:117	Membership
http://www.semwebtech.org/mondial/10/river/BlackDrin/	Water
7b93e6a1:150814fecb6:-206	Membership
http://www.semwebtech.org/mondial/10/religion/Jains/	Religion
7b93e6a1:150814fecb6:377	Membership
7b93e6a1:150814fecb6:14f4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	City
7b93e6a1:150814fecb6:1450	Membership
http://www.semwebtech.org/mondial/10/country/KIR/	Country
7b93e6a1:150814fecb6:-466	Membership
7b93e6a1:150814fecb6:2c	Membership
7b93e6a1:150814fecb6:1a82	Membership
7b93e6a1:150814fecb6:-1b2	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Province
7b93e6a1:150814fecb6:2259	BelievedBy
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	City
7b93e6a1:150814fecb6:1e16	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	City
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	City
7b93e6a1:150814fecb6:6b7	Membership
7b93e6a1:150814fecb6:ce9	Membership
7b93e6a1:150814fecb6:613	Membership
7b93e6a1:150814fecb6:-7a6	Encompassed
7b93e6a1:150814fecb6:134f	Membership
7b93e6a1:150814fecb6:c45	Membership
7b93e6a1:150814fecb6:1dc2	Membership
7b93e6a1:150814fecb6:-702	Border
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	City
7b93e6a1:150814fecb6:2161	SpokenBy
7b93e6a1:150814fecb6:873	Membership
7b93e6a1:150814fecb6:19f0	Membership
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Islands
7b93e6a1:150814fecb6:17e	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	City
7b93e6a1:150814fecb6:12fb	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	Mountain
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	City
7b93e6a1:150814fecb6:bf1	Membership
7b93e6a1:150814fecb6:-26d	Membership
7b93e6a1:150814fecb6:24a1	EthnicProportion
7b93e6a1:150814fecb6:1c1d	Membership
7b93e6a1:150814fecb6:18ef	Membership
http://www.semwebtech.org/mondial/10/island/Fohr/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	City
7b93e6a1:150814fecb6:4be	Membership
7b93e6a1:150814fecb6:184b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	City
http://www.semwebtech.org/mondial/10/mountain/Irazu/	Mountain
7b93e6a1:150814fecb6:41a	Membership
7b93e6a1:150814fecb6:1e7d	Membership
7b93e6a1:150814fecb6:-5ad	Membership
7b93e6a1:150814fecb6:1177	Membership
7b93e6a1:150814fecb6:a4c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Province
7b93e6a1:150814fecb6:-46	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	City
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	City
7b93e6a1:150814fecb6:67a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	City
http://www.semwebtech.org/mondial/10/river/Kemijoki/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	City
7b93e6a1:150814fecb6:14b7	Membership
7b93e6a1:150814fecb6:255c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Province
7b93e6a1:150814fecb6:1ae9	Membership
7b93e6a1:150814fecb6:1413	Membership
7b93e6a1:150814fecb6:-429	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Province
7b93e6a1:150814fecb6:9ba	Membership
7b93e6a1:150814fecb6:1a45	Membership
7b93e6a1:150814fecb6:fec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	City
7b93e6a1:150814fecb6:2e6	Membership
7b93e6a1:150814fecb6:1673	Membership
7b93e6a1:150814fecb6:-689	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Province
7b93e6a1:150814fecb6:242	Membership
7b93e6a1:150814fecb6:-3d5	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	City
7b93e6a1:150814fecb6:-331	Membership
7b93e6a1:150814fecb6:21c8	SpokenBy
7b93e6a1:150814fecb6:c08	Membership
7b93e6a1:150814fecb6:2124	SpokenBy
7b93e6a1:150814fecb6:836	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Province
7b93e6a1:150814fecb6:19b3	Membership
7b93e6a1:150814fecb6:-591	Membership
http://www.semwebtech.org/mondial/10/source/Asahan/	Source
7b93e6a1:150814fecb6:e68	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Province
7b93e6a1:150814fecb6:1fe5	Membership
7b93e6a1:150814fecb6:12be	Membership
7b93e6a1:150814fecb6:2384	BelievedBy
7b93e6a1:150814fecb6:bb4	Membership
7b93e6a1:150814fecb6:1f41	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	City
7b93e6a1:150814fecb6:121a	Membership
7b93e6a1:150814fecb6:20d0	Membership
7b93e6a1:150814fecb6:b10	Membership
7b93e6a1:150814fecb6:7e2	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Province
http://www.semwebtech.org/mondial/10/estuary/Tobol/	Estuary
7b93e6a1:150814fecb6:147a	Membership
7b93e6a1:150814fecb6:77	Membership
http://www.semwebtech.org/mondial/10/source/Seine/	Source
7b93e6a1:150814fecb6:d70	Membership
7b93e6a1:150814fecb6:180e	Membership
7b93e6a1:150814fecb6:-1dc	Membership
7b93e6a1:150814fecb6:26c4	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Mountains
7b93e6a1:150814fecb6:2620	EthnicProportion
7b93e6a1:150814fecb6:a0f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Province
7b93e6a1:150814fecb6:63d	Membership
7b93e6a1:150814fecb6:17ba	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	City
7b93e6a1:150814fecb6:c6f	Membership
7b93e6a1:150814fecb6:1dec	Membership
7b93e6a1:150814fecb6:-72c	Encompassed
7b93e6a1:150814fecb6:10e6	Membership
7b93e6a1:150814fecb6:218b	SpokenBy
7b93e6a1:150814fecb6:89d	Membership
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	Source
7b93e6a1:150814fecb6:1042	Membership
7b93e6a1:150814fecb6:251f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	City
7b93e6a1:150814fecb6:1a08	Membership
http://www.semwebtech.org/mondial/10/country/GBM/	Country
http://www.semwebtech.org/mondial/10/estuary/Tigris/	Estuary
7b93e6a1:150814fecb6:faf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	City
7b93e6a1:150814fecb6:2a9	Membership
7b93e6a1:150814fecb6:1636	Membership
7b93e6a1:150814fecb6:24cb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	City
7b93e6a1:150814fecb6:f0b	Membership
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Mountains
7b93e6a1:150814fecb6:205	Membership
7b93e6a1:150814fecb6:1c68	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Province
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Mountains
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Water
7b93e6a1:150814fecb6:1896	Membership
7b93e6a1:150814fecb6:15e2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Province
7b93e6a1:150814fecb6:465	Membership
7b93e6a1:150814fecb6:-5f8	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	City
7b93e6a1:150814fecb6:a97	Membership
7b93e6a1:150814fecb6:1b1	Membership
7b93e6a1:150814fecb6:-554	Membership
7b93e6a1:150814fecb6:1fa8	Membership
7b93e6a1:150814fecb6:1b70	Membership
7b93e6a1:150814fecb6:-2a0	Membership
7b93e6a1:150814fecb6:2347	BelievedBy
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	City
7b93e6a1:150814fecb6:1f04	Membership
7b93e6a1:150814fecb6:7a5	Membership
7b93e6a1:150814fecb6:dd7	Membership
7b93e6a1:150814fecb6:701	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	EthnicGroup
7b93e6a1:150814fecb6:143d	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	City
7b93e6a1:150814fecb6:22f3	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	City
7b93e6a1:150814fecb6:d33	Membership
7b93e6a1:150814fecb6:1eb0	Membership
7b93e6a1:150814fecb6:1a6f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	City
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Desert
7b93e6a1:150814fecb6:961	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	City
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Mountains
7b93e6a1:150814fecb6:169d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	Estuary
7b93e6a1:150814fecb6:f93	Membership
7b93e6a1:150814fecb6:26c	Membership
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Islands
7b93e6a1:150814fecb6:-3ff	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	City
7b93e6a1:150814fecb6:-35b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	Source
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	Estuary
7b93e6a1:150814fecb6:1daf	Membership
7b93e6a1:150814fecb6:214e	SpokenBy
7b93e6a1:150814fecb6:10a9	Membership
http://www.semwebtech.org/mondial/10/lake/Siljan/	Water
7b93e6a1:150814fecb6:1d0b	Membership
7b93e6a1:150814fecb6:19dd	Membership
7b93e6a1:150814fecb6:1005	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Province
7b93e6a1:150814fecb6:5ac	Membership
7b93e6a1:150814fecb6:bde	Membership
7b93e6a1:150814fecb6:1f6b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	City
http://www.semwebtech.org/mondial/10/river/Okavango/	Water
7b93e6a1:150814fecb6:1265	Membership
7b93e6a1:150814fecb6:20fa	Membership
7b93e6a1:150814fecb6:b3a	Membership
http://www.semwebtech.org/mondial/10/country/JOR/	Country
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Province
7b93e6a1:150814fecb6:d9a	Membership
7b93e6a1:150814fecb6:1859	Membership
7b93e6a1:150814fecb6:428	Membership
7b93e6a1:150814fecb6:-e0	Membership
7b93e6a1:150814fecb6:15a5	Membership
7b93e6a1:150814fecb6:-183	Membership
7b93e6a1:150814fecb6:264a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	Estuary
7b93e6a1:150814fecb6:1bd7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Province
7b93e6a1:150814fecb6:1501	Membership
7b93e6a1:150814fecb6:-517	Membership
http://www.semwebtech.org/mondial/10/source/Doubs/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	EthnicGroup
7b93e6a1:150814fecb6:688	Membership
7b93e6a1:150814fecb6:1b33	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	City
7b93e6a1:150814fecb6:3d4	Membership
7b93e6a1:150814fecb6:1761	Membership
7b93e6a1:150814fecb6:-777	Encompassed
7b93e6a1:150814fecb6:330	Membership
7b93e6a1:150814fecb6:1d93	Membership
7b93e6a1:150814fecb6:-4c3	Membership
7b93e6a1:150814fecb6:106c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	City
7b93e6a1:150814fecb6:22b6	BelievedBy
7b93e6a1:150814fecb6:9c8	Membership
7b93e6a1:150814fecb6:590	Membership
7b93e6a1:150814fecb6:2212	SpokenBy
7b93e6a1:150814fecb6:924	Membership
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Water
7b93e6a1:150814fecb6:f56	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	City
7b93e6a1:150814fecb6:22f	Membership
7b93e6a1:150814fecb6:13ac	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Water
7b93e6a1:150814fecb6:2472	EthnicProportion
7b93e6a1:150814fecb6:ca2	Membership
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	Estuary
7b93e6a1:150814fecb6:-31e	Membership
7b93e6a1:150814fecb6:8d0	Membership
7b93e6a1:150814fecb6:48f	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	City
7b93e6a1:150814fecb6:1db	Membership
7b93e6a1:150814fecb6:-57e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Province
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	Estuary
7b93e6a1:150814fecb6:1b9a	Membership
7b93e6a1:150814fecb6:-2ca	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	City
7b93e6a1:150814fecb6:1f2e	Membership
7b93e6a1:150814fecb6:1228	Membership
7b93e6a1:150814fecb6:20bd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	Province
7b93e6a1:150814fecb6:7cf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Province
7b93e6a1:150814fecb6:72b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	Province
7b93e6a1:150814fecb6:1488	Membership
7b93e6a1:150814fecb6:d5d	Membership
7b93e6a1:150814fecb6:1eda	Membership
7b93e6a1:150814fecb6:11d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	City
7b93e6a1:150814fecb6:98b	Membership
7b93e6a1:150814fecb6:-a3	Membership
7b93e6a1:150814fecb6:1130	Membership
7b93e6a1:150814fecb6:-146	Membership
7b93e6a1:150814fecb6:260d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	City
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	Estuary
http://www.semwebtech.org/mondial/10/river/Prypjat/	Water
7b93e6a1:150814fecb6:17c8	Membership
7b93e6a1:150814fecb6:1390	Membership
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Water
7b93e6a1:150814fecb6:1724	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Province
7b93e6a1:150814fecb6:2199	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Water
7b93e6a1:150814fecb6:1d56	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	City
7b93e6a1:150814fecb6:102f	Membership
7b93e6a1:150814fecb6:5f7	Membership
7b93e6a1:150814fecb6:1aa2	Membership
7b93e6a1:150814fecb6:1984	Membership
7b93e6a1:150814fecb6:553	Membership
7b93e6a1:150814fecb6:16d0	Membership
7b93e6a1:150814fecb6:-6e6	Border
7b93e6a1:150814fecb6:128f	Membership
7b93e6a1:150814fecb6:b85	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	City
7b93e6a1:150814fecb6:-642	Border
7b93e6a1:150814fecb6:24d9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	Estuary
7b93e6a1:150814fecb6:f19	Membership
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	City
http://www.semwebtech.org/mondial/10/estuary/Douro/	Estuary
7b93e6a1:150814fecb6:2435	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	City
http://www.semwebtech.org/mondial/10/language/Albanian/	Language
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	City
7b93e6a1:150814fecb6:15cf	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	City
7b93e6a1:150814fecb6:2695	EthnicProportion
7b93e6a1:150814fecb6:ec5	Membership
7b93e6a1:150814fecb6:152b	Membership
7b93e6a1:150814fecb6:23e1	BelievedBy
7b93e6a1:150814fecb6:e21	Membership
7b93e6a1:150814fecb6:1b5d	Membership
7b93e6a1:150814fecb6:3fe	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	City
7b93e6a1:150814fecb6:178b	Membership
http://www.semwebtech.org/mondial/10/country/GR/	Country
7b93e6a1:150814fecb6:-4ed	Membership
7b93e6a1:150814fecb6:35a	Membership
http://www.semwebtech.org/mondial/10/organization/NAM/	Organization
7b93e6a1:150814fecb6:d4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Province
7b93e6a1:150814fecb6:30	Membership
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	City
7b93e6a1:150814fecb6:223c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	City
7b93e6a1:150814fecb6:94e	Membership
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	Estuary
7b93e6a1:150814fecb6:-109	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	City
7b93e6a1:150814fecb6:13f7	Membership
7b93e6a1:150814fecb6:249c	EthnicProportion
7b93e6a1:150814fecb6:ccc	Membership
7b93e6a1:150814fecb6:1353	Membership
7b93e6a1:150814fecb6:-369	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	City
7b93e6a1:150814fecb6:8fa	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Province
http://www.semwebtech.org/mondial/10/country/CUR/	Country
7b93e6a1:150814fecb6:1d19	Membership
http://www.semwebtech.org/mondial/10/country/PK/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	City
7b93e6a1:150814fecb6:182	Membership
7b93e6a1:150814fecb6:1947	Membership
7b93e6a1:150814fecb6:1f79	Membership
7b93e6a1:150814fecb6:516	Membership
7b93e6a1:150814fecb6:-6a9	Border
7b93e6a1:150814fecb6:-271	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	City
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Island
7b93e6a1:150814fecb6:b48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	City
7b93e6a1:150814fecb6:1cc5	Membership
7b93e6a1:150814fecb6:-605	Border
http://www.semwebtech.org/mondial/10/river/Dnepr/	Water
7b93e6a1:150814fecb6:2064	Membership
7b93e6a1:150814fecb6:1c21	Membership
7b93e6a1:150814fecb6:776	Membership
7b93e6a1:150814fecb6:18f3	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	City
7b93e6a1:150814fecb6:4c2	Membership
7b93e6a1:150814fecb6:2658	EthnicProportion
7b93e6a1:150814fecb6:11fe	Membership
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	Estuary
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Mountains
7b93e6a1:150814fecb6:af4	Membership
http://www.semwebtech.org/mondial/10/organization/BCIE/	Organization
7b93e6a1:150814fecb6:1e81	Membership
7b93e6a1:150814fecb6:-cd	Membership
7b93e6a1:150814fecb6:-5b1	Membership
7b93e6a1:150814fecb6:115a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Province
7b93e6a1:150814fecb6:a50	Membership
7b93e6a1:150814fecb6:23a4	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Province
7b93e6a1:150814fecb6:2300	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	City
7b93e6a1:150814fecb6:174e	Membership
http://www.semwebtech.org/mondial/10/country/FALK/	Country
7b93e6a1:150814fecb6:31d	Membership
7b93e6a1:150814fecb6:2560	EthnicProportion
7b93e6a1:150814fecb6:1acc	Membership
7b93e6a1:150814fecb6:-40c	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	City
7b93e6a1:150814fecb6:57d	Membership
7b93e6a1:150814fecb6:16fa	Membership
7b93e6a1:150814fecb6:ff0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Province
7b93e6a1:150814fecb6:-66c	Border
http://www.semwebtech.org/mondial/10/estuary/Vaal/	Estuary
7b93e6a1:150814fecb6:245f	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Water
7b93e6a1:150814fecb6:1316	Membership
7b93e6a1:150814fecb6:21ab	SpokenBy
7b93e6a1:150814fecb6:8bd	Membership
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	Water
7b93e6a1:150814fecb6:eef	Membership
7b93e6a1:150814fecb6:1e9	Membership
7b93e6a1:150814fecb6:1576	Membership
http://www.semwebtech.org/mondial/10/island/Linosa/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	City
7b93e6a1:150814fecb6:e4b	Membership
7b93e6a1:150814fecb6:145	Membership
7b93e6a1:150814fecb6:12c2	Membership
7b93e6a1:150814fecb6:-2d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	City
http://www.semwebtech.org/mondial/10/country/V/	Country
7b93e6a1:150814fecb6:-234	Membership
7b93e6a1:150814fecb6:2027	Membership
7b93e6a1:150814fecb6:fe	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	City
7b93e6a1:150814fecb6:739	Membership
http://www.semwebtech.org/mondial/10/island/Antigua/	Island
7b93e6a1:150814fecb6:18b6	Membership
7b93e6a1:150814fecb6:-494	Membership
7b93e6a1:150814fecb6:5a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	City
7b93e6a1:150814fecb6:1ee8	Membership
7b93e6a1:150814fecb6:1812	Membership
7b93e6a1:150814fecb6:-1e0	Membership
7b93e6a1:150814fecb6:2287	BelievedBy
7b93e6a1:150814fecb6:ab7	Membership
7b93e6a1:150814fecb6:999	Membership
7b93e6a1:150814fecb6:1e44	Membership
7b93e6a1:150814fecb6:111d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Province
7b93e6a1:150814fecb6:a13	Membership
7b93e6a1:150814fecb6:6e5	Membership
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Organization
7b93e6a1:150814fecb6:641	Membership
7b93e6a1:150814fecb6:-7d4	Encompassed
7b93e6a1:150814fecb6:137d	Membership
7b93e6a1:150814fecb6:c73	Membership
7b93e6a1:150814fecb6:1df0	Membership
7b93e6a1:150814fecb6:-730	Encompassed
7b93e6a1:150814fecb6:25c7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	City
7b93e6a1:150814fecb6:2523	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	City
http://www.semwebtech.org/mondial/10/island/EastFalkland/	Island
7b93e6a1:150814fecb6:16bd	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	City
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	City
7b93e6a1:150814fecb6:-29b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	City
http://www.semwebtech.org/mondial/10/country/WSA/	Country
7b93e6a1:150814fecb6:fb3	Membership
7b93e6a1:150814fecb6:1cef	Membership
7b93e6a1:150814fecb6:-62f	Border
7b93e6a1:150814fecb6:208e	Membership
7b93e6a1:150814fecb6:1c4b	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Province
7b93e6a1:150814fecb6:4ec	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	City
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Water
7b93e6a1:150814fecb6:-5db	Border
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	City
7b93e6a1:150814fecb6:a7a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	City
7b93e6a1:150814fecb6:-74	Membership
7b93e6a1:150814fecb6:1539	Membership
7b93e6a1:150814fecb6:23ce	BelievedBy
http://www.semwebtech.org/mondial/10/source/Aare/	Source
7b93e6a1:150814fecb6:e0e	Membership
7b93e6a1:150814fecb6:108	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	City
7b93e6a1:150814fecb6:232a	BelievedBy
7b93e6a1:150814fecb6:1799	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Province
http://www.semwebtech.org/mondial/10/organization/WIPO/	Organization
7b93e6a1:150814fecb6:368	Membership
7b93e6a1:150814fecb6:14e5	Membership
7b93e6a1:150814fecb6:258a	EthnicProportion
7b93e6a1:150814fecb6:dba	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	City
http://www.semwebtech.org/mondial/10/estuary/Ammer/	Estuary
7b93e6a1:150814fecb6:1441	Membership
7b93e6a1:150814fecb6:-457	Membership
7b93e6a1:150814fecb6:1d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	City
7b93e6a1:150814fecb6:1a73	Membership
7b93e6a1:150814fecb6:-1a3	Membership
7b93e6a1:150814fecb6:1e07	Membership
7b93e6a1:150814fecb6:6a8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	City
7b93e6a1:150814fecb6:270	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	City
7b93e6a1:150814fecb6:604	Membership
7b93e6a1:150814fecb6:21f6	SpokenBy
7b93e6a1:150814fecb6:c36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	EthnicGroup
7b93e6a1:150814fecb6:1db3	Membership
http://www.semwebtech.org/mondial/10/river/Semliki/	Water
7b93e6a1:150814fecb6:2152	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	City
7b93e6a1:150814fecb6:864	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	City
7b93e6a1:150814fecb6:19e1	Membership
7b93e6a1:150814fecb6:e96	Membership
7b93e6a1:150814fecb6:5b0	Membership
7b93e6a1:150814fecb6:16f	Membership
7b93e6a1:150814fecb6:12ec	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	City
7b93e6a1:150814fecb6:be2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	City
7b93e6a1:150814fecb6:-25e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	City
7b93e6a1:150814fecb6:1c0e	Membership
7b93e6a1:150814fecb6:4af	Membership
7b93e6a1:150814fecb6:183c	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	City
http://www.semwebtech.org/mondial/10/organization/PCA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	City
7b93e6a1:150814fecb6:40b	Membership
7b93e6a1:150814fecb6:1e6e	Membership
7b93e6a1:150814fecb6:1168	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	City
7b93e6a1:150814fecb6:a3d	Membership
7b93e6a1:150814fecb6:1bba	Membership
7b93e6a1:150814fecb6:-37	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	City
7b93e6a1:150814fecb6:66b	Membership
7b93e6a1:150814fecb6:-7fe	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Water
7b93e6a1:150814fecb6:c9d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	City
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Province
7b93e6a1:150814fecb6:-75a	Encompassed
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	City
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	Estuary
7b93e6a1:150814fecb6:14a8	Membership
7b93e6a1:150814fecb6:1070	Membership
7b93e6a1:150814fecb6:254d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	City
7b93e6a1:150814fecb6:1404	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	City
7b93e6a1:150814fecb6:9ab	Membership
7b93e6a1:150814fecb6:1a36	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/	Country
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	EthnicGroup
7b93e6a1:150814fecb6:fdd	Membership
7b93e6a1:150814fecb6:2d7	Membership
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	Mountain
7b93e6a1:150814fecb6:1664	Membership
7b93e6a1:150814fecb6:1c96	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	City
7b93e6a1:150814fecb6:13b0	Membership
7b93e6a1:150814fecb6:233	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	City
7b93e6a1:150814fecb6:-3c6	Membership
http://www.semwebtech.org/mondial/10/river/Tigris/	Water
7b93e6a1:150814fecb6:-322	Membership
7b93e6a1:150814fecb6:21b9	SpokenBy
7b93e6a1:150814fecb6:493	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Water
7b93e6a1:150814fecb6:2115	Membership
7b93e6a1:150814fecb6:19a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	City
7b93e6a1:150814fecb6:827	Membership
http://www.semwebtech.org/mondial/10/organization/CEI/	Organization
7b93e6a1:150814fecb6:-9e	Membership
7b93e6a1:150814fecb6:-582	Membership
7b93e6a1:150814fecb6:e59	Membership
7b93e6a1:150814fecb6:1fd6	Membership
7b93e6a1:150814fecb6:1900	Membership
7b93e6a1:150814fecb6:12af	Membership
7b93e6a1:150814fecb6:2375	BelievedBy
7b93e6a1:150814fecb6:ba5	Membership
7b93e6a1:150814fecb6:1f32	Membership
7b93e6a1:150814fecb6:20c1	Membership
7b93e6a1:150814fecb6:120b	Membership
7b93e6a1:150814fecb6:b01	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Province
7b93e6a1:150814fecb6:7d3	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Province
7b93e6a1:150814fecb6:146b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Province
7b93e6a1:150814fecb6:68	Membership
7b93e6a1:150814fecb6:d61	Membership
7b93e6a1:150814fecb6:26b5	EthnicProportion
7b93e6a1:150814fecb6:1a9d	Membership
7b93e6a1:150814fecb6:-1cd	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	City
7b93e6a1:150814fecb6:2611	EthnicProportion
7b93e6a1:150814fecb6:29a	Membership
7b93e6a1:150814fecb6:62e	Membership
7b93e6a1:150814fecb6:17ab	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Province
7b93e6a1:150814fecb6:1ddd	Membership
7b93e6a1:150814fecb6:-71d	Border
7b93e6a1:150814fecb6:10d7	Membership
7b93e6a1:150814fecb6:217c	SpokenBy
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	City
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Islands
7b93e6a1:150814fecb6:88e	Membership
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	City
7b93e6a1:150814fecb6:1033	Membership
7b93e6a1:150814fecb6:5da	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	City
http://www.semwebtech.org/mondial/10/organization/ICC/	Organization
7b93e6a1:150814fecb6:1293	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Province
http://www.semwebtech.org/mondial/10/island/Savaii/	Island
7b93e6a1:150814fecb6:1627	Membership
7b93e6a1:150814fecb6:24bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	City
7b93e6a1:150814fecb6:1c59	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	City
7b93e6a1:150814fecb6:1887	Membership
http://www.semwebtech.org/mondial/10/language/Garifuna/	Language
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Water
7b93e6a1:150814fecb6:15d3	Membership
7b93e6a1:150814fecb6:456	Membership
7b93e6a1:150814fecb6:-5e9	Border
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	City
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	Mountain
7b93e6a1:150814fecb6:a88	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	City
7b93e6a1:150814fecb6:1a2	Membership
7b93e6a1:150814fecb6:-545	Membership
7b93e6a1:150814fecb6:1b61	Membership
7b93e6a1:150814fecb6:2338	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	City
7b93e6a1:150814fecb6:-4f1	Membership
7b93e6a1:150814fecb6:109a	Membership
7b93e6a1:150814fecb6:2598	EthnicProportion
7b93e6a1:150814fecb6:dc8	Membership
7b93e6a1:150814fecb6:22e4	BelievedBy
7b93e6a1:150814fecb6:142e	Membership
7b93e6a1:150814fecb6:d24	Membership
http://www.semwebtech.org/mondial/10/country/IND/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	City
7b93e6a1:150814fecb6:9f6	Membership
7b93e6a1:150814fecb6:1ea1	Membership
7b93e6a1:150814fecb6:2240	BelievedBy
http://www.semwebtech.org/mondial/10/source/Argun/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	City
7b93e6a1:150814fecb6:952	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	Province
7b93e6a1:150814fecb6:168e	Membership
7b93e6a1:150814fecb6:f84	Membership
7b93e6a1:150814fecb6:25d	Membership
7b93e6a1:150814fecb6:13da	Membership
http://www.semwebtech.org/mondial/10/river/Oulujoki/	Water
7b93e6a1:150814fecb6:cd0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	City
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	City
7b93e6a1:150814fecb6:-34c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	City
7b93e6a1:150814fecb6:213f	SpokenBy
7b93e6a1:150814fecb6:19ce	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	City
7b93e6a1:150814fecb6:192a	Membership
7b93e6a1:150814fecb6:239f	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Tenere/	Desert
7b93e6a1:150814fecb6:bcf	Membership
7b93e6a1:150814fecb6:1f5c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	City
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	Source
7b93e6a1:150814fecb6:1256	Membership
7b93e6a1:150814fecb6:20eb	Membership
7b93e6a1:150814fecb6:b2b	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	City
7b93e6a1:150814fecb6:7fd	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	City
7b93e6a1:150814fecb6:d8b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	City
http://www.semwebtech.org/mondial/10/estuary/Enns/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:263b	EthnicProportion
7b93e6a1:150814fecb6:419	Membership
7b93e6a1:150814fecb6:-d1	Membership
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization
7b93e6a1:150814fecb6:-174	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	City
7b93e6a1:150814fecb6:1bc8	Membership
7b93e6a1:150814fecb6:-508	Membership
7b93e6a1:150814fecb6:679	Membership
7b93e6a1:150814fecb6:1b24	Membership
7b93e6a1:150814fecb6:17f6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	City
7b93e6a1:150814fecb6:3c5	Membership
7b93e6a1:150814fecb6:1752	Membership
7b93e6a1:150814fecb6:-768	Encompassed
7b93e6a1:150814fecb6:321	Membership
7b93e6a1:150814fecb6:1d84	Membership
7b93e6a1:150814fecb6:-4b4	Membership
7b93e6a1:150814fecb6:105d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	City
7b93e6a1:150814fecb6:1ad0	Membership
7b93e6a1:150814fecb6:-410	Membership
7b93e6a1:150814fecb6:22a7	BelievedBy
7b93e6a1:150814fecb6:9b9	Membership
7b93e6a1:150814fecb6:581	Membership
7b93e6a1:150814fecb6:2203	SpokenBy
7b93e6a1:150814fecb6:915	Membership
http://www.semwebtech.org/mondial/10/organization/UNOCI/	Organization
7b93e6a1:150814fecb6:-670	Border
7b93e6a1:150814fecb6:f47	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	City
7b93e6a1:150814fecb6:2463	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Province
http://www.semwebtech.org/mondial/10/source/Syrdarja/	Source
7b93e6a1:150814fecb6:-30f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	City
7b93e6a1:150814fecb6:8c1	Membership
7b93e6a1:150814fecb6:15fd	Membership
7b93e6a1:150814fecb6:ef3	Membership
7b93e6a1:150814fecb6:1cc	Membership
7b93e6a1:150814fecb6:-56f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Province
http://www.semwebtech.org/mondial/10/river/Olt/	Water
7b93e6a1:150814fecb6:1b8b	Membership
7b93e6a1:150814fecb6:-2bb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Province
7b93e6a1:150814fecb6:1f1f	Membership
7b93e6a1:150814fecb6:1219	Membership
7b93e6a1:150814fecb6:20ae	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Province
7b93e6a1:150814fecb6:200a	Membership
7b93e6a1:150814fecb6:71c	Membership
7b93e6a1:150814fecb6:1479	Membership
7b93e6a1:150814fecb6:d4e	Membership
http://www.semwebtech.org/mondial/10/source/Jenissej/	Source
7b93e6a1:150814fecb6:1ecb	Membership
7b93e6a1:150814fecb6:-80b	Encompassed
7b93e6a1:150814fecb6:11c5	Membership
7b93e6a1:150814fecb6:226a	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	City
7b93e6a1:150814fecb6:97c	Membership
http://www.semwebtech.org/mondial/10/river/Petschora/	Water
7b93e6a1:150814fecb6:1121	Membership
7b93e6a1:150814fecb6:-137	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	City
7b93e6a1:150814fecb6:cfa	Membership
7b93e6a1:150814fecb6:17b9	Membership
7b93e6a1:150814fecb6:1381	Membership
7b93e6a1:150814fecb6:-397	Membership
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	City
7b93e6a1:150814fecb6:25aa	EthnicProportion
7b93e6a1:150814fecb6:1715	Membership
http://www.semwebtech.org/mondial/10/desert/Negev/	Desert
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Province
7b93e6a1:150814fecb6:1d47	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Water
7b93e6a1:150814fecb6:5e8	Membership
7b93e6a1:150814fecb6:1975	Membership
http://www.semwebtech.org/mondial/10/country/ROU/	Country
7b93e6a1:150814fecb6:544	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	City
7b93e6a1:150814fecb6:16c1	Membership
7b93e6a1:150814fecb6:-6d7	Border
http://www.semwebtech.org/mondial/10/estuary/Atbara/	Estuary
http://www.semwebtech.org/mondial/10/river/Drau/	Water
7b93e6a1:150814fecb6:1cf3	Membership
7b93e6a1:150814fecb6:b76	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	City
7b93e6a1:150814fecb6:-633	Border
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	City
7b93e6a1:150814fecb6:2092	Membership
7b93e6a1:150814fecb6:2426	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Province
7b93e6a1:150814fecb6:4f0	Membership
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Desert
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Province
7b93e6a1:150814fecb6:-fb	Membership
7b93e6a1:150814fecb6:-19e	Membership
7b93e6a1:150814fecb6:2686	EthnicProportion
7b93e6a1:150814fecb6:eb6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	City
http://www.semwebtech.org/mondial/10/island/Barra/	Island
7b93e6a1:150814fecb6:151c	Membership
7b93e6a1:150814fecb6:23d2	BelievedBy
7b93e6a1:150814fecb6:e12	Membership
7b93e6a1:150814fecb6:1b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	City
7b93e6a1:150814fecb6:3ef	Membership
7b93e6a1:150814fecb6:177c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	EthnicGroup
7b93e6a1:150814fecb6:34b	Membership
7b93e6a1:150814fecb6:-4de	Membership
http://www.semwebtech.org/mondial/10/organization/UNRWA/	Organization
7b93e6a1:150814fecb6:c5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	City
7b93e6a1:150814fecb6:1afa	Membership
7b93e6a1:150814fecb6:-43a	Membership
7b93e6a1:150814fecb6:21	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Mountains
http://www.semwebtech.org/mondial/10/island/Krakatau/	Island
7b93e6a1:150814fecb6:222d	SpokenBy
7b93e6a1:150814fecb6:93f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	City
7b93e6a1:150814fecb6:-69a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	City
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	Mountain
7b93e6a1:150814fecb6:13e8	Membership
7b93e6a1:150814fecb6:248d	EthnicProportion
7b93e6a1:150814fecb6:cbd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	City
7b93e6a1:150814fecb6:1344	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Province
7b93e6a1:150814fecb6:8eb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Province
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Water
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Province
7b93e6a1:150814fecb6:173	Membership
7b93e6a1:150814fecb6:1938	Membership
7b93e6a1:150814fecb6:12f0	Membership
7b93e6a1:150814fecb6:507	Membership
7b93e6a1:150814fecb6:-262	Membership
7b93e6a1:150814fecb6:20f9	Membership
7b93e6a1:150814fecb6:b39	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:1cb6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	City
7b93e6a1:150814fecb6:2055	Membership
7b93e6a1:150814fecb6:767	Membership
7b93e6a1:150814fecb6:1c12	Membership
7b93e6a1:150814fecb6:18e4	Membership
http://www.semwebtech.org/mondial/10/mountain/Olympos/	Mountain
http://www.semwebtech.org/mondial/10/island/Upolu/	Island
7b93e6a1:150814fecb6:d99	Membership
7b93e6a1:150814fecb6:4b3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	City
7b93e6a1:150814fecb6:1840	Membership
7b93e6a1:150814fecb6:11ef	Membership
7b93e6a1:150814fecb6:207f	Membership
http://www.semwebtech.org/mondial/10/source/Newa/	Source
7b93e6a1:150814fecb6:ae5	Membership
7b93e6a1:150814fecb6:1e72	Membership
7b93e6a1:150814fecb6:-be	Membership
7b93e6a1:150814fecb6:-5a2	Membership
7b93e6a1:150814fecb6:114b	Membership
7b93e6a1:150814fecb6:2649	EthnicProportion
7b93e6a1:150814fecb6:a41	Membership
7b93e6a1:150814fecb6:-1a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	City
7b93e6a1:150814fecb6:173f	Membership
7b93e6a1:150814fecb6:25f5	EthnicProportion
7b93e6a1:150814fecb6:30e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	City
7b93e6a1:150814fecb6:2551	EthnicProportion
7b93e6a1:150814fecb6:1abd	Membership
7b93e6a1:150814fecb6:199f	Membership
7b93e6a1:150814fecb6:56e	Membership
7b93e6a1:150814fecb6:16eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Province
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Water
7b93e6a1:150814fecb6:fe1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	City
7b93e6a1:150814fecb6:2ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	City
7b93e6a1:150814fecb6:-65d	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	City
7b93e6a1:150814fecb6:1307	Membership
http://www.semwebtech.org/mondial/10/island/Korfu/	Island
7b93e6a1:150814fecb6:8ae	Membership
http://www.semwebtech.org/mondial/10/religion/Taoist/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	City
7b93e6a1:150814fecb6:80a	Membership
7b93e6a1:150814fecb6:1567	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	City
7b93e6a1:150814fecb6:23fc	BelievedBy
7b93e6a1:150814fecb6:1b99	Membership
7b93e6a1:150814fecb6:e3c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	City
7b93e6a1:150814fecb6:136	Membership
7b93e6a1:150814fecb6:12b3	Membership
7b93e6a1:150814fecb6:-2c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	City
7b93e6a1:150814fecb6:-225	Membership
7b93e6a1:150814fecb6:396	Membership
http://www.semwebtech.org/mondial/10/country/PY/	Country
7b93e6a1:150814fecb6:ef	Membership
7b93e6a1:150814fecb6:2018	Membership
7b93e6a1:150814fecb6:18a7	Membership
7b93e6a1:150814fecb6:-485	Membership
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Religion
7b93e6a1:150814fecb6:4b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	City
7b93e6a1:150814fecb6:1ed9	Membership
7b93e6a1:150814fecb6:1803	Membership
7b93e6a1:150814fecb6:-1d1	Membership
7b93e6a1:150814fecb6:2278	BelievedBy
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	City
7b93e6a1:150814fecb6:aa8	Membership
7b93e6a1:150814fecb6:1e35	Membership
7b93e6a1:150814fecb6:110e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	City
7b93e6a1:150814fecb6:a04	Membership
7b93e6a1:150814fecb6:6d6	Membership
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	City
http://www.semwebtech.org/mondial/10/river/Kwa/	Water
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Province
7b93e6a1:150814fecb6:632	Membership
7b93e6a1:150814fecb6:136e	Membership
7b93e6a1:150814fecb6:-7c5	Encompassed
http://www.semwebtech.org/mondial/10/organization/IMF/	Organization
http://www.semwebtech.org/mondial/10/source/Save/	Source
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Islands
7b93e6a1:150814fecb6:c64	Membership
7b93e6a1:150814fecb6:1de1	Membership
http://www.semwebtech.org/mondial/10/country/WL/	Country
7b93e6a1:150814fecb6:-721	Encompassed
7b93e6a1:150814fecb6:10ba	Membership
7b93e6a1:150814fecb6:25b8	EthnicProportion
7b93e6a1:150814fecb6:2180	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	Mountain
7b93e6a1:150814fecb6:892	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	City
7b93e6a1:150814fecb6:2514	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	City
7b93e6a1:150814fecb6:19d	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Province
7b93e6a1:150814fecb6:16ae	Membership
7b93e6a1:150814fecb6:-28c	Membership
7b93e6a1:150814fecb6:fa4	Membership
7b93e6a1:150814fecb6:160a	Membership
7b93e6a1:150814fecb6:24c0	EthnicProportion
7b93e6a1:150814fecb6:f00	Membership
7b93e6a1:150814fecb6:1c3c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	City
7b93e6a1:150814fecb6:4dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	EthnicGroup
7b93e6a1:150814fecb6:186a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	City
7b93e6a1:150814fecb6:1e9c	Membership
7b93e6a1:150814fecb6:-5cc	Membership
7b93e6a1:150814fecb6:1196	Membership
7b93e6a1:150814fecb6:a6b	Membership
7b93e6a1:150814fecb6:-65	Membership
7b93e6a1:150814fecb6:23bf	BelievedBy
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	City
7b93e6a1:150814fecb6:231b	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	Mountain
http://www.semwebtech.org/mondial/10/language/Maori/	Language
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Province
7b93e6a1:150814fecb6:359	Membership
7b93e6a1:150814fecb6:14d6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	City
7b93e6a1:150814fecb6:257b	EthnicProportion
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	Water
7b93e6a1:150814fecb6:dab	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	City
7b93e6a1:150814fecb6:1432	Membership
7b93e6a1:150814fecb6:-448	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	City
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	City
http://www.semwebtech.org/mondial/10/estuary/Dnister/	Estuary
7b93e6a1:150814fecb6:1a64	Membership
7b93e6a1:150814fecb6:1692	Membership
7b93e6a1:150814fecb6:261	Membership
7b93e6a1:150814fecb6:-3f4	Membership
http://www.semwebtech.org/mondial/10/river/Volga/	Water
7b93e6a1:150814fecb6:-350	Membership
7b93e6a1:150814fecb6:21e7	SpokenBy
7b93e6a1:150814fecb6:c27	Membership
7b93e6a1:150814fecb6:8f9	Membership
7b93e6a1:150814fecb6:1da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	City
7b93e6a1:150814fecb6:2143	SpokenBy
7b93e6a1:150814fecb6:855	Membership
7b93e6a1:150814fecb6:1d00	Membership
7b93e6a1:150814fecb6:19d2	Membership
7b93e6a1:150814fecb6:e87	Membership
7b93e6a1:150814fecb6:5a1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	City
7b93e6a1:150814fecb6:12dd	Membership
7b93e6a1:150814fecb6:bd3	Membership
7b93e6a1:150814fecb6:1f60	Membership
7b93e6a1:150814fecb6:-24f	Membership
7b93e6a1:150814fecb6:96	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	City
7b93e6a1:150814fecb6:182d	Membership
7b93e6a1:150814fecb6:-1fb	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Water
7b93e6a1:150814fecb6:1e5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Province
7b93e6a1:150814fecb6:1159	Membership
http://www.semwebtech.org/mondial/10/source/Buna/	Source
7b93e6a1:150814fecb6:a2e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	City
7b93e6a1:150814fecb6:1bab	Membership
7b93e6a1:150814fecb6:-28	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	City
7b93e6a1:150814fecb6:65c	Membership
7b93e6a1:150814fecb6:-7ef	Encompassed
http://www.semwebtech.org/mondial/10/source/Parana/	Source
7b93e6a1:150814fecb6:c8e	Membership
7b93e6a1:150814fecb6:-74b	Encompassed
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	City
7b93e6a1:150814fecb6:1061	Membership
7b93e6a1:150814fecb6:253e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	City
7b93e6a1:150814fecb6:1a27	Membership
7b93e6a1:150814fecb6:16f9	Membership
7b93e6a1:150814fecb6:fce	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	City
7b93e6a1:150814fecb6:2c8	Membership
7b93e6a1:150814fecb6:1655	Membership
7b93e6a1:150814fecb6:24ea	EthnicProportion
7b93e6a1:150814fecb6:f2a	Membership
7b93e6a1:150814fecb6:1c87	Membership
7b93e6a1:150814fecb6:224	Membership
7b93e6a1:150814fecb6:13a1	Membership
7b93e6a1:150814fecb6:-3b7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Province
7b93e6a1:150814fecb6:-313	Membership
7b93e6a1:150814fecb6:cc1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	City
7b93e6a1:150814fecb6:484	Membership
7b93e6a1:150814fecb6:2106	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	City
7b93e6a1:150814fecb6:818	Membership
7b93e6a1:150814fecb6:1d0	Membership
7b93e6a1:150814fecb6:-8f	Membership
7b93e6a1:150814fecb6:-573	Membership
7b93e6a1:150814fecb6:1fc7	Membership
7b93e6a1:150814fecb6:2366	BelievedBy
7b93e6a1:150814fecb6:1f23	Membership
http://www.semwebtech.org/mondial/10/source/Saluen/	Source
7b93e6a1:150814fecb6:20b2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	City
7b93e6a1:150814fecb6:7c4	Membership
http://www.semwebtech.org/mondial/10/sea/NorthSea/	Water
7b93e6a1:150814fecb6:df6	Membership
7b93e6a1:150814fecb6:720	Membership
7b93e6a1:150814fecb6:145c	Membership
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	City
7b93e6a1:150814fecb6:59	Membership
7b93e6a1:150814fecb6:d52	Membership
7b93e6a1:150814fecb6:26a6	EthnicProportion
7b93e6a1:150814fecb6:1a8e	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Province
7b93e6a1:150814fecb6:-1be	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Province
http://www.semwebtech.org/mondial/10/estuary/Saar/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	City
7b93e6a1:150814fecb6:980	Membership
7b93e6a1:150814fecb6:-11a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	City
7b93e6a1:150814fecb6:2602	EthnicProportion
7b93e6a1:150814fecb6:28b	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	City
7b93e6a1:150814fecb6:61f	Membership
7b93e6a1:150814fecb6:-37a	Membership
http://www.semwebtech.org/mondial/10/language/French/	Language
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Island
7b93e6a1:150814fecb6:1dce	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	City
7b93e6a1:150814fecb6:-70e	Border
7b93e6a1:150814fecb6:10c8	Membership
7b93e6a1:150814fecb6:216d	SpokenBy
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Province
7b93e6a1:150814fecb6:1d2a	Membership
7b93e6a1:150814fecb6:87f	Membership
7b93e6a1:150814fecb6:19fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	City
7b93e6a1:150814fecb6:1024	Membership
7b93e6a1:150814fecb6:5cb	Membership
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	City
7b93e6a1:150814fecb6:bfd	Membership
7b93e6a1:150814fecb6:1f8a	Membership
7b93e6a1:150814fecb6:-6ba	Border
7b93e6a1:150814fecb6:1284	Membership
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Desert
7b93e6a1:150814fecb6:1618	Membership
7b93e6a1:150814fecb6:24ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	City
7b93e6a1:150814fecb6:1878	Membership
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization
http://www.semwebtech.org/mondial/10/organization/SCO/	Organization
7b93e6a1:150814fecb6:447	Membership
7b93e6a1:150814fecb6:15c4	Membership
http://www.semwebtech.org/mondial/10/country/CAM/	Country
7b93e6a1:150814fecb6:1bf6	Membership
7b93e6a1:150814fecb6:a79	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	City
7b93e6a1:150814fecb6:1520	Membership
7b93e6a1:150814fecb6:-536	Membership
7b93e6a1:150814fecb6:1b52	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	City
7b93e6a1:150814fecb6:2329	BelievedBy
7b93e6a1:150814fecb6:3f3	Membership
7b93e6a1:150814fecb6:1780	Membership
7b93e6a1:150814fecb6:-796	Encompassed
http://www.semwebtech.org/mondial/10/river/Piva/	Water
http://www.semwebtech.org/mondial/10/island/Jersey/	Island
7b93e6a1:150814fecb6:-4e2	Membership
7b93e6a1:150814fecb6:108b	Membership
7b93e6a1:150814fecb6:2589	EthnicProportion
7b93e6a1:150814fecb6:db9	Membership
7b93e6a1:150814fecb6:141f	Membership
7b93e6a1:150814fecb6:22d5	BelievedBy
7b93e6a1:150814fecb6:d15	Membership
7b93e6a1:150814fecb6:9e7	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Province
7b93e6a1:150814fecb6:2231	SpokenBy
7b93e6a1:150814fecb6:943	Membership
7b93e6a1:150814fecb6:167f	Membership
7b93e6a1:150814fecb6:f75	Membership
7b93e6a1:150814fecb6:24e	Membership
7b93e6a1:150814fecb6:13cb	Membership
7b93e6a1:150814fecb6:2491	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	Estuary
7b93e6a1:150814fecb6:-33d	Membership
http://www.semwebtech.org/mondial/10/country/GE/	Country
7b93e6a1:150814fecb6:1fa	Membership
7b93e6a1:150814fecb6:19bf	Membership
7b93e6a1:150814fecb6:-59d	Membership
7b93e6a1:150814fecb6:191b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	City
http://www.semwebtech.org/mondial/10/country/KWT/	Country
7b93e6a1:150814fecb6:1f4d	Membership
7b93e6a1:150814fecb6:1247	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	City
7b93e6a1:150814fecb6:20dc	Membership
7b93e6a1:150814fecb6:b1c	Membership
7b93e6a1:150814fecb6:7ee	Membership
7b93e6a1:150814fecb6:74a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	City
7b93e6a1:150814fecb6:d7c	Membership
7b93e6a1:150814fecb6:11f3	Membership
http://www.semwebtech.org/mondial/10/country/MW/	Country
7b93e6a1:150814fecb6:-c2	Membership
7b93e6a1:150814fecb6:-165	Membership
7b93e6a1:150814fecb6:262c	EthnicProportion
7b93e6a1:150814fecb6:1bb9	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	City
http://www.semwebtech.org/mondial/10/country/AMSA/	Country
7b93e6a1:150814fecb6:1b15	Membership
7b93e6a1:150814fecb6:17e7	Membership
7b93e6a1:150814fecb6:3b6	Membership
7b93e6a1:150814fecb6:1743	Membership
7b93e6a1:150814fecb6:-759	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Province
7b93e6a1:150814fecb6:312	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Province
7b93e6a1:150814fecb6:1d75	Membership
7b93e6a1:150814fecb6:-4a5	Membership
7b93e6a1:150814fecb6:104e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Province
7b93e6a1:150814fecb6:1ac1	Membership
7b93e6a1:150814fecb6:-401	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	City
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	City
7b93e6a1:150814fecb6:572	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	City
7b93e6a1:150814fecb6:906	Membership
7b93e6a1:150814fecb6:-661	Border
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	City
7b93e6a1:150814fecb6:24f8	EthnicProportion
7b93e6a1:150814fecb6:f38	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	EthnicGroup
7b93e6a1:150814fecb6:2454	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	City
http://www.semwebtech.org/mondial/10/river/Atbara/	Water
7b93e6a1:150814fecb6:21a0	SpokenBy
http://www.semwebtech.org/mondial/10/island/BishopRock/	Island
7b93e6a1:150814fecb6:8b2	Membership
http://www.semwebtech.org/mondial/10/estuary/Drau/	Estuary
7b93e6a1:150814fecb6:15ee	Membership
http://www.semwebtech.org/mondial/10/country/TCH/	Country
7b93e6a1:150814fecb6:ee4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	City
7b93e6a1:150814fecb6:1bd	Membership
7b93e6a1:150814fecb6:154a	Membership
7b93e6a1:150814fecb6:e40	Membership
7b93e6a1:150814fecb6:1b7c	Membership
7b93e6a1:150814fecb6:-2ac	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Province
7b93e6a1:150814fecb6:f3	Membership
7b93e6a1:150814fecb6:70d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	City
7b93e6a1:150814fecb6:22ff	BelievedBy
7b93e6a1:150814fecb6:d3f	Membership
7b93e6a1:150814fecb6:1ebc	Membership
7b93e6a1:150814fecb6:11b6	Membership
7b93e6a1:150814fecb6:225b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	City
7b93e6a1:150814fecb6:96d	Membership
7b93e6a1:150814fecb6:1112	Membership
7b93e6a1:150814fecb6:-128	Membership
7b93e6a1:150814fecb6:f9f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	City
7b93e6a1:150814fecb6:299	Membership
7b93e6a1:150814fecb6:ceb	Membership
7b93e6a1:150814fecb6:1372	Membership
7b93e6a1:150814fecb6:-388	Membership
http://www.semwebtech.org/mondial/10/country/ARU/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	City
7b93e6a1:150814fecb6:f1b	Membership
http://www.semwebtech.org/mondial/10/country/I/	Country
7b93e6a1:150814fecb6:1706	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Province
7b93e6a1:150814fecb6:1d38	Membership
7b93e6a1:150814fecb6:5d9	Membership
7b93e6a1:150814fecb6:1966	Membership
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	Mountain
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Water
7b93e6a1:150814fecb6:1f98	Membership
7b93e6a1:150814fecb6:16b2	Membership
7b93e6a1:150814fecb6:535	Membership
7b93e6a1:150814fecb6:-6c8	Border
7b93e6a1:150814fecb6:-290	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Province
7b93e6a1:150814fecb6:b67	Membership
7b93e6a1:150814fecb6:1ce4	Membership
7b93e6a1:150814fecb6:-624	Border
7b93e6a1:150814fecb6:2083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	City
7b93e6a1:150814fecb6:795	Membership
7b93e6a1:150814fecb6:1c40	Membership
7b93e6a1:150814fecb6:2417	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Islands
7b93e6a1:150814fecb6:4e1	Membership
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Island
7b93e6a1:150814fecb6:-ec	Membership
7b93e6a1:150814fecb6:-5d0	Membership
7b93e6a1:150814fecb6:-18f	Membership
7b93e6a1:150814fecb6:2677	EthnicProportion
7b93e6a1:150814fecb6:ea7	Membership
7b93e6a1:150814fecb6:150d	Membership
7b93e6a1:150814fecb6:23c3	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	City
7b93e6a1:150814fecb6:e03	Membership
http://www.semwebtech.org/mondial/10/source/Lukuga/	Source
7b93e6a1:150814fecb6:1b3f	Membership
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	Mountain
7b93e6a1:150814fecb6:176d	Membership
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Water
7b93e6a1:150814fecb6:1d9f	Membership
7b93e6a1:150814fecb6:33c	Membership
7b93e6a1:150814fecb6:-4cf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	City
7b93e6a1:150814fecb6:1099	Membership
7b93e6a1:150814fecb6:b6	Membership
7b93e6a1:150814fecb6:1aeb	Membership
7b93e6a1:150814fecb6:-42b	Membership
7b93e6a1:150814fecb6:12	Membership
7b93e6a1:150814fecb6:59c	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Province
7b93e6a1:150814fecb6:221e	SpokenBy
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	City
7b93e6a1:150814fecb6:-68b	Border
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	EthnicGroup
7b93e6a1:150814fecb6:13d9	Membership
7b93e6a1:150814fecb6:247e	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Katun/	Source
7b93e6a1:150814fecb6:cae	Membership
7b93e6a1:150814fecb6:1335	Membership
7b93e6a1:150814fecb6:21ca	SpokenBy
7b93e6a1:150814fecb6:c0a	Membership
7b93e6a1:150814fecb6:8dc	Membership
http://www.semwebtech.org/mondial/10/organization/AfDB/	Organization
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	City
7b93e6a1:150814fecb6:1595	Membership
7b93e6a1:150814fecb6:e6a	Membership
7b93e6a1:150814fecb6:1929	Membership
7b93e6a1:150814fecb6:164	Membership
7b93e6a1:150814fecb6:12e1	Membership
7b93e6a1:150814fecb6:-2f7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	City
7b93e6a1:150814fecb6:-253	Membership
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Province
7b93e6a1:150814fecb6:1ca7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	City
7b93e6a1:150814fecb6:2046	Membership
7b93e6a1:150814fecb6:758	Membership
7b93e6a1:150814fecb6:1c03	Membership
7b93e6a1:150814fecb6:18d5	Membership
7b93e6a1:150814fecb6:4a4	Membership
7b93e6a1:150814fecb6:1831	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	City
7b93e6a1:150814fecb6:1e63	Membership
7b93e6a1:150814fecb6:ad6	Membership
7b93e6a1:150814fecb6:400	Membership
7b93e6a1:150814fecb6:-af	Membership
http://www.semwebtech.org/mondial/10/river/Lagen/	Water
7b93e6a1:150814fecb6:113c	Membership
7b93e6a1:150814fecb6:a32	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	City
7b93e6a1:150814fecb6:660	Membership
7b93e6a1:150814fecb6:-7f3	Encompassed
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	City
7b93e6a1:150814fecb6:139c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/	Country
7b93e6a1:150814fecb6:9d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	City
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	City
7b93e6a1:150814fecb6:c92	Membership
7b93e6a1:150814fecb6:25e6	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:2542	EthnicProportion
7b93e6a1:150814fecb6:1aae	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	City
7b93e6a1:150814fecb6:-5	Membership
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Water
7b93e6a1:150814fecb6:9a0	Membership
7b93e6a1:150814fecb6:55f	Membership
7b93e6a1:150814fecb6:1a0a	Membership
7b93e6a1:150814fecb6:16dc	Membership
7b93e6a1:150814fecb6:fd2	Membership
7b93e6a1:150814fecb6:2ab	Membership
7b93e6a1:150814fecb6:-64e	Border
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	City
7b93e6a1:150814fecb6:1c6a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Province
http://www.semwebtech.org/mondial/10/organization/AFESD/	Organization
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	City
7b93e6a1:150814fecb6:-5fa	Border
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	EthnicGroup
7b93e6a1:150814fecb6:-93	Membership
7b93e6a1:150814fecb6:1558	Membership
7b93e6a1:150814fecb6:23ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Islands
7b93e6a1:150814fecb6:e2d	Membership
7b93e6a1:150814fecb6:1faa	Membership
7b93e6a1:150814fecb6:127	Membership
7b93e6a1:150814fecb6:12a4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Mountains
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	City
http://www.semwebtech.org/mondial/10/organization/PIF/	Organization
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	City
7b93e6a1:150814fecb6:1200	Membership
7b93e6a1:150814fecb6:-216	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	City
7b93e6a1:150814fecb6:387	Membership
7b93e6a1:150814fecb6:2009	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Province
7b93e6a1:150814fecb6:1460	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	City
7b93e6a1:150814fecb6:-476	Membership
7b93e6a1:150814fecb6:3c	Membership
http://www.semwebtech.org/mondial/10/river/Mur/	Water
7b93e6a1:150814fecb6:1a92	Membership
http://www.semwebtech.org/mondial/10/country/NCA/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	City
7b93e6a1:150814fecb6:-1c2	Membership
7b93e6a1:150814fecb6:2269	BelievedBy
7b93e6a1:150814fecb6:1e26	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	City
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization
7b93e6a1:150814fecb6:6c7	Membership
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Islands
7b93e6a1:150814fecb6:cf9	Membership
7b93e6a1:150814fecb6:623	Membership
7b93e6a1:150814fecb6:17a0	Membership
7b93e6a1:150814fecb6:-7b6	Encompassed
7b93e6a1:150814fecb6:135f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	City
7b93e6a1:150814fecb6:c55	Membership
7b93e6a1:150814fecb6:25a9	EthnicProportion
7b93e6a1:150814fecb6:1dd2	Membership
7b93e6a1:150814fecb6:-712	Border
7b93e6a1:150814fecb6:10ab	Membership
7b93e6a1:150814fecb6:2171	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	City
7b93e6a1:150814fecb6:883	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	EthnicGroup
7b93e6a1:150814fecb6:2505	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	City
7b93e6a1:150814fecb6:18e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Language
7b93e6a1:150814fecb6:-27d	Membership
http://www.semwebtech.org/mondial/10/estuary/Ticino/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	City
7b93e6a1:150814fecb6:24b1	EthnicProportion
7b93e6a1:150814fecb6:1c2d	Membership
7b93e6a1:150814fecb6:18ff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	City
7b93e6a1:150814fecb6:4ce	Membership
7b93e6a1:150814fecb6:185b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Province
http://www.semwebtech.org/mondial/10/island/Tasmania/	Island
7b93e6a1:150814fecb6:42a	Membership
7b93e6a1:150814fecb6:1e8d	Membership
7b93e6a1:150814fecb6:-5bd	Membership
7b93e6a1:150814fecb6:1187	Membership
http://www.semwebtech.org/mondial/10/source/Irawaddy/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	City
7b93e6a1:150814fecb6:a5c	Membership
7b93e6a1:150814fecb6:-56	Membership
http://www.semwebtech.org/mondial/10/river/Colorado/	Water
7b93e6a1:150814fecb6:68a	Membership
7b93e6a1:150814fecb6:230c	BelievedBy
7b93e6a1:150814fecb6:14c7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	City
7b93e6a1:150814fecb6:256c	EthnicProportion
7b93e6a1:150814fecb6:1af9	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Province
7b93e6a1:150814fecb6:1423	Membership
7b93e6a1:150814fecb6:-439	Membership
7b93e6a1:150814fecb6:9ca	Membership
7b93e6a1:150814fecb6:1a55	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	City
7b93e6a1:150814fecb6:ffc	Membership
7b93e6a1:150814fecb6:2f6	Membership
7b93e6a1:150814fecb6:1683	Membership
7b93e6a1:150814fecb6:-699	Border
7b93e6a1:150814fecb6:252	Membership
7b93e6a1:150814fecb6:-3e5	Membership
http://www.semwebtech.org/mondial/10/country/SN/	Country
7b93e6a1:150814fecb6:-341	Membership
7b93e6a1:150814fecb6:21d8	SpokenBy
7b93e6a1:150814fecb6:c18	Membership
http://www.semwebtech.org/mondial/10/source/WhiteNile/	Source
7b93e6a1:150814fecb6:2134	SpokenBy
7b93e6a1:150814fecb6:846	Membership
7b93e6a1:150814fecb6:19c3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Ene/	Source
7b93e6a1:150814fecb6:e78	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	City
7b93e6a1:150814fecb6:1ff5	Membership
7b93e6a1:150814fecb6:12ce	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	City
7b93e6a1:150814fecb6:2394	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	City
7b93e6a1:150814fecb6:bc4	Membership
7b93e6a1:150814fecb6:1f51	Membership
7b93e6a1:150814fecb6:122a	Membership
7b93e6a1:150814fecb6:20e0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	City
7b93e6a1:150814fecb6:b20	Membership
7b93e6a1:150814fecb6:7f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Province
7b93e6a1:150814fecb6:148a	Membership
7b93e6a1:150814fecb6:87	Membership
7b93e6a1:150814fecb6:d80	Membership
7b93e6a1:150814fecb6:181e	Membership
7b93e6a1:150814fecb6:-1ec	Membership
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	City
http://www.semwebtech.org/mondial/10/desert/Thar/	Desert
7b93e6a1:150814fecb6:2630	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Province
7b93e6a1:150814fecb6:a1f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Province
7b93e6a1:150814fecb6:-19	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	City
7b93e6a1:150814fecb6:64d	Membership
7b93e6a1:150814fecb6:17ca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	EthnicGroup
7b93e6a1:150814fecb6:c7f	Membership
7b93e6a1:150814fecb6:1dfc	Membership
7b93e6a1:150814fecb6:-73c	Encompassed
7b93e6a1:150814fecb6:10f6	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Water
7b93e6a1:150814fecb6:219b	SpokenBy
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	City
7b93e6a1:150814fecb6:1052	Membership
7b93e6a1:150814fecb6:252f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	City
http://www.semwebtech.org/mondial/10/organization/G-20/	Organization
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	City
http://www.semwebtech.org/mondial/10/language/Quechua/	Language
7b93e6a1:150814fecb6:1a18	Membership
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	Mountain
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	EthnicGroup
7b93e6a1:150814fecb6:fbf	Membership
7b93e6a1:150814fecb6:2b9	Membership
7b93e6a1:150814fecb6:1646	Membership
7b93e6a1:150814fecb6:24db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Mountains
7b93e6a1:150814fecb6:215	Membership
7b93e6a1:150814fecb6:1c78	Membership
7b93e6a1:150814fecb6:-3a8	Membership
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Province
7b93e6a1:150814fecb6:-304	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Province
7b93e6a1:150814fecb6:475	Membership
7b93e6a1:150814fecb6:15f2	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	Mountain
7b93e6a1:150814fecb6:809	Membership
7b93e6a1:150814fecb6:1c1	Membership
7b93e6a1:150814fecb6:-564	Membership
7b93e6a1:150814fecb6:1fb8	Membership
7b93e6a1:150814fecb6:1b80	Membership
7b93e6a1:150814fecb6:-2b0	Membership
7b93e6a1:150814fecb6:2357	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	City
7b93e6a1:150814fecb6:1f14	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	City
7b93e6a1:150814fecb6:20a3	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	City
7b93e6a1:150814fecb6:7b5	Membership
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Island
http://www.semwebtech.org/mondial/10/island/Lavan/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	City
7b93e6a1:150814fecb6:de7	Membership
7b93e6a1:150814fecb6:711	Membership
7b93e6a1:150814fecb6:144d	Membership
7b93e6a1:150814fecb6:d43	Membership
7b93e6a1:150814fecb6:1ec0	Membership
7b93e6a1:150814fecb6:1a7f	Membership
7b93e6a1:150814fecb6:-800	Encompassed
7b93e6a1:150814fecb6:-1af	Membership
http://www.semwebtech.org/mondial/10/island/Ibiza/	Island
7b93e6a1:150814fecb6:971	Membership
7b93e6a1:150814fecb6:-10b	Membership
7b93e6a1:150814fecb6:27c	Membership
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Island
http://www.semwebtech.org/mondial/10/river/Pibor/	Water
7b93e6a1:150814fecb6:-36b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Province
7b93e6a1:150814fecb6:1dbf	Membership
7b93e6a1:150814fecb6:10b9	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	City
7b93e6a1:150814fecb6:215e	SpokenBy
7b93e6a1:150814fecb6:1d1b	Membership
7b93e6a1:150814fecb6:19ed	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	City
7b93e6a1:150814fecb6:1015	Membership
7b93e6a1:150814fecb6:5bc	Membership
7b93e6a1:150814fecb6:bee	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	City
7b93e6a1:150814fecb6:1f7b	Membership
7b93e6a1:150814fecb6:-6ab	Border
7b93e6a1:150814fecb6:1275	Membership
7b93e6a1:150814fecb6:b4a	Membership
7b93e6a1:150814fecb6:1609	Membership
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	City
7b93e6a1:150814fecb6:1869	Membership
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	Estuary
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	City
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Religion
7b93e6a1:150814fecb6:438	Membership
7b93e6a1:150814fecb6:-f0	Membership
7b93e6a1:150814fecb6:15b5	Membership
7b93e6a1:150814fecb6:-193	Membership
7b93e6a1:150814fecb6:265a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Irtysch/	Water
7b93e6a1:150814fecb6:1be7	Membership
7b93e6a1:150814fecb6:1511	Membership
7b93e6a1:150814fecb6:-527	Membership
7b93e6a1:150814fecb6:698	Membership
7b93e6a1:150814fecb6:1b43	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Water
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Island
7b93e6a1:150814fecb6:3e4	Membership
7b93e6a1:150814fecb6:1771	Membership
7b93e6a1:150814fecb6:-787	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	City
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Water
7b93e6a1:150814fecb6:107c	Membership
7b93e6a1:150814fecb6:340	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	City
7b93e6a1:150814fecb6:-4d3	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Province
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Province
7b93e6a1:150814fecb6:22c6	BelievedBy
7b93e6a1:150814fecb6:d06	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhone/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	City
7b93e6a1:150814fecb6:2222	SpokenBy
7b93e6a1:150814fecb6:934	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	City
7b93e6a1:150814fecb6:f66	Membership
7b93e6a1:150814fecb6:23f	Membership
7b93e6a1:150814fecb6:2482	EthnicProportion
7b93e6a1:150814fecb6:13bc	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Province
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	Mountain
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	City
7b93e6a1:150814fecb6:cb2	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Province
7b93e6a1:150814fecb6:-32e	Membership
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	City
7b93e6a1:150814fecb6:8e0	Membership
7b93e6a1:150814fecb6:49f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	City
7b93e6a1:150814fecb6:1eb	Membership
7b93e6a1:150814fecb6:-58e	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	City
7b93e6a1:150814fecb6:7	Membership
7b93e6a1:150814fecb6:190c	Membership
7b93e6a1:150814fecb6:-2da	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	City
7b93e6a1:150814fecb6:1f3e	Membership
7b93e6a1:150814fecb6:1238	Membership
7b93e6a1:150814fecb6:20cd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	City
7b93e6a1:150814fecb6:b0d	Membership
7b93e6a1:150814fecb6:7df	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	City
http://www.semwebtech.org/mondial/10/estuary/Karun/	Estuary
7b93e6a1:150814fecb6:73b	Membership
7b93e6a1:150814fecb6:1498	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	EthnicGroup
7b93e6a1:150814fecb6:d6d	Membership
7b93e6a1:150814fecb6:1eea	Membership
7b93e6a1:150814fecb6:11e4	Membership
7b93e6a1:150814fecb6:99b	Membership
7b93e6a1:150814fecb6:-b3	Membership
7b93e6a1:150814fecb6:1140	Membership
7b93e6a1:150814fecb6:-156	Membership
7b93e6a1:150814fecb6:261d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	Province
7b93e6a1:150814fecb6:1b06	Membership
7b93e6a1:150814fecb6:17d8	Membership
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Islands
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Province
7b93e6a1:150814fecb6:3a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	City
7b93e6a1:150814fecb6:1734	Membership
7b93e6a1:150814fecb6:303	Membership
7b93e6a1:150814fecb6:1d66	Membership
7b93e6a1:150814fecb6:103f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	City
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	City
7b93e6a1:150814fecb6:1ab2	Membership
7b93e6a1:150814fecb6:1994	Membership
http://www.semwebtech.org/mondial/10/organization/AG/	Organization
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	City
7b93e6a1:150814fecb6:563	Membership
7b93e6a1:150814fecb6:16e0	Membership
7b93e6a1:150814fecb6:-6f6	Border
7b93e6a1:150814fecb6:129f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Province
7b93e6a1:150814fecb6:b95	Membership
7b93e6a1:150814fecb6:-652	Border
7b93e6a1:150814fecb6:24e9	EthnicProportion
7b93e6a1:150814fecb6:f29	Membership
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Mountains
7b93e6a1:150814fecb6:2445	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mountains
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	City
7b93e6a1:150814fecb6:8a3	Membership
7b93e6a1:150814fecb6:15df	Membership
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Desert
7b93e6a1:150814fecb6:ed5	Membership
7b93e6a1:150814fecb6:1ae	Membership
7b93e6a1:150814fecb6:153b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	City
7b93e6a1:150814fecb6:23f1	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Province
7b93e6a1:150814fecb6:e31	Membership
7b93e6a1:150814fecb6:10a	Membership
7b93e6a1:150814fecb6:1b6d	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	Mountain
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	City
7b93e6a1:150814fecb6:179b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	City
7b93e6a1:150814fecb6:36a	Membership
7b93e6a1:150814fecb6:-4fd	Membership
7b93e6a1:150814fecb6:e4	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	City
7b93e6a1:150814fecb6:40	Membership
7b93e6a1:150814fecb6:1ead	Membership
7b93e6a1:150814fecb6:11a7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Province
7b93e6a1:150814fecb6:224c	BelievedBy
7b93e6a1:150814fecb6:95e	Membership
7b93e6a1:150814fecb6:1103	Membership
7b93e6a1:150814fecb6:-119	Membership
7b93e6a1:150814fecb6:6aa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	City
7b93e6a1:150814fecb6:cdc	Membership
7b93e6a1:150814fecb6:1363	Membership
7b93e6a1:150814fecb6:-379	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	City
7b93e6a1:150814fecb6:1d29	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Province
http://www.semwebtech.org/mondial/10/country/PL/	Country
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	City
7b93e6a1:150814fecb6:192	Membership
7b93e6a1:150814fecb6:1957	Membership
7b93e6a1:150814fecb6:1f89	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Province
7b93e6a1:150814fecb6:526	Membership
7b93e6a1:150814fecb6:16a3	Membership
7b93e6a1:150814fecb6:-6b9	Border
7b93e6a1:150814fecb6:-281	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Province
7b93e6a1:150814fecb6:b58	Membership
7b93e6a1:150814fecb6:1cd5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	City
7b93e6a1:150814fecb6:-615	Border
7b93e6a1:150814fecb6:2074	Membership
7b93e6a1:150814fecb6:786	Membership
7b93e6a1:150814fecb6:1c31	Membership
7b93e6a1:150814fecb6:2408	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	City
http://www.semwebtech.org/mondial/10/country/FSM/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	City
7b93e6a1:150814fecb6:4d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	City
7b93e6a1:150814fecb6:1e91	Membership
7b93e6a1:150814fecb6:-dd	Membership
7b93e6a1:150814fecb6:-5c1	Membership
7b93e6a1:150814fecb6:116a	Membership
7b93e6a1:150814fecb6:2668	EthnicProportion
7b93e6a1:150814fecb6:a60	Membership
7b93e6a1:150814fecb6:23b4	BelievedBy
http://www.semwebtech.org/mondial/10/country/YE/	Country
7b93e6a1:150814fecb6:2310	BelievedBy
7b93e6a1:150814fecb6:175e	Membership
7b93e6a1:150814fecb6:32d	Membership
7b93e6a1:150814fecb6:14aa	Membership
7b93e6a1:150814fecb6:2570	EthnicProportion
7b93e6a1:150814fecb6:a7	Membership
7b93e6a1:150814fecb6:da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Province
7b93e6a1:150814fecb6:1adc	Membership
7b93e6a1:150814fecb6:-41c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	City
7b93e6a1:150814fecb6:58d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Province
7b93e6a1:150814fecb6:220f	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	City
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	City
7b93e6a1:150814fecb6:-67c	Border
http://www.semwebtech.org/mondial/10/religion/Mormon/	Religion
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Island
7b93e6a1:150814fecb6:246f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	City
7b93e6a1:150814fecb6:1326	Membership
http://www.semwebtech.org/mondial/10/source/March/	Source
7b93e6a1:150814fecb6:21bb	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	City
7b93e6a1:150814fecb6:8cd	Membership
7b93e6a1:150814fecb6:eff	Membership
7b93e6a1:150814fecb6:1f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Province
7b93e6a1:150814fecb6:1586	Membership
7b93e6a1:150814fecb6:e5b	Membership
7b93e6a1:150814fecb6:155	Membership
7b93e6a1:150814fecb6:12d2	Membership
7b93e6a1:150814fecb6:-2e8	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	City
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	City
7b93e6a1:150814fecb6:-244	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	City
7b93e6a1:150814fecb6:2037	Membership
7b93e6a1:150814fecb6:749	Membership
7b93e6a1:150814fecb6:18c6	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	City
7b93e6a1:150814fecb6:6a	Membership
http://www.semwebtech.org/mondial/10/source/Jordan/	Source
7b93e6a1:150814fecb6:1ef8	Membership
7b93e6a1:150814fecb6:1822	Membership
7b93e6a1:150814fecb6:-1f0	Membership
7b93e6a1:150814fecb6:2297	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	City
7b93e6a1:150814fecb6:ac7	Membership
7b93e6a1:150814fecb6:1e54	Membership
7b93e6a1:150814fecb6:112d	Membership
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	Estuary
7b93e6a1:150814fecb6:a23	Membership
7b93e6a1:150814fecb6:6f5	Membership
7b93e6a1:150814fecb6:1ba0	Membership
http://www.semwebtech.org/mondial/10/island/Jamaica/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:651	Membership
7b93e6a1:150814fecb6:-7e4	Encompassed
7b93e6a1:150814fecb6:138d	Membership
7b93e6a1:150814fecb6:c83	Membership
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Mountains
7b93e6a1:150814fecb6:-740	Encompassed
7b93e6a1:150814fecb6:25d7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Province
7b93e6a1:150814fecb6:2533	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Province
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Water
7b93e6a1:150814fecb6:16cd	Membership
7b93e6a1:150814fecb6:fc3	Membership
7b93e6a1:150814fecb6:1cff	Membership
7b93e6a1:150814fecb6:-63f	Border
http://www.semwebtech.org/mondial/10/source/Vaal/	Source
7b93e6a1:150814fecb6:209e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Province
7b93e6a1:150814fecb6:1c5b	Membership
http://www.semwebtech.org/mondial/10/river/Ticino/	Water
7b93e6a1:150814fecb6:4fc	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	City
http://www.semwebtech.org/mondial/10/river/Don/	Water
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	City
7b93e6a1:150814fecb6:-5eb	Border
7b93e6a1:150814fecb6:a8a	Membership
7b93e6a1:150814fecb6:1549	Membership
7b93e6a1:150814fecb6:-84	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	City
7b93e6a1:150814fecb6:23de	BelievedBy
7b93e6a1:150814fecb6:e1e	Membership
7b93e6a1:150814fecb6:118	Membership
http://www.semwebtech.org/mondial/10/estuary/Kama/	Estuary
7b93e6a1:150814fecb6:233a	BelievedBy
7b93e6a1:150814fecb6:-207	Membership
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	Organization
7b93e6a1:150814fecb6:378	Membership
7b93e6a1:150814fecb6:14f5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	City
7b93e6a1:150814fecb6:259a	EthnicProportion
7b93e6a1:150814fecb6:dca	Membership
http://www.semwebtech.org/mondial/10/estuary/Zaire/	Estuary
7b93e6a1:150814fecb6:1451	Membership
7b93e6a1:150814fecb6:-467	Membership
7b93e6a1:150814fecb6:2d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Province
7b93e6a1:150814fecb6:1a83	Membership
7b93e6a1:150814fecb6:-1b3	Membership
http://www.semwebtech.org/mondial/10/language/Chinese/	Language
7b93e6a1:150814fecb6:1e17	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	City
7b93e6a1:150814fecb6:6b8	Membership
7b93e6a1:150814fecb6:280	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	City
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	City
7b93e6a1:150814fecb6:614	Membership
7b93e6a1:150814fecb6:-7a7	Encompassed
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	City
7b93e6a1:150814fecb6:1dc3	Membership
7b93e6a1:150814fecb6:c46	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	City
7b93e6a1:150814fecb6:-703	Border
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Province
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	City
7b93e6a1:150814fecb6:2162	SpokenBy
7b93e6a1:150814fecb6:874	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	City
7b93e6a1:150814fecb6:19f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	Estuary
7b93e6a1:150814fecb6:5c0	Membership
7b93e6a1:150814fecb6:17f	Membership
7b93e6a1:150814fecb6:12fc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Province
7b93e6a1:150814fecb6:bf2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	City
7b93e6a1:150814fecb6:-26e	Membership
http://www.semwebtech.org/mondial/10/language/Belorussian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	City
7b93e6a1:150814fecb6:24a2	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Curacao/	Island
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Island
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Province
7b93e6a1:150814fecb6:1c1e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	City
7b93e6a1:150814fecb6:4bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	City
7b93e6a1:150814fecb6:184c	Membership
7b93e6a1:150814fecb6:1e7e	Membership
7b93e6a1:150814fecb6:41b	Membership
7b93e6a1:150814fecb6:1178	Membership
7b93e6a1:150814fecb6:-5ae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	City
7b93e6a1:150814fecb6:a4d	Membership
7b93e6a1:150814fecb6:1bca	Membership
7b93e6a1:150814fecb6:-47	Membership
7b93e6a1:150814fecb6:-50a	Membership
7b93e6a1:150814fecb6:67b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	City
7b93e6a1:150814fecb6:-76a	Encompassed
http://www.semwebtech.org/mondial/10/island/Gheschm/	Island
7b93e6a1:150814fecb6:14b8	Membership
7b93e6a1:150814fecb6:1080	Membership
7b93e6a1:150814fecb6:255d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	City
7b93e6a1:150814fecb6:1414	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	City
7b93e6a1:150814fecb6:9bb	Membership
7b93e6a1:150814fecb6:1a46	Membership
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	Mountain
7b93e6a1:150814fecb6:fed	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	City
http://www.semwebtech.org/mondial/10/source/Murat/	Source
7b93e6a1:150814fecb6:2e7	Membership
7b93e6a1:150814fecb6:1674	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	City
7b93e6a1:150814fecb6:243	Membership
7b93e6a1:150814fecb6:13c0	Membership
7b93e6a1:150814fecb6:-3d6	Membership
7b93e6a1:150814fecb6:-332	Membership
7b93e6a1:150814fecb6:21c9	SpokenBy
7b93e6a1:150814fecb6:c09	Membership
7b93e6a1:150814fecb6:2125	SpokenBy
http://www.semwebtech.org/mondial/10/country/SGP/	Country
7b93e6a1:150814fecb6:837	Membership
7b93e6a1:150814fecb6:19b4	Membership
7b93e6a1:150814fecb6:-592	Membership
7b93e6a1:150814fecb6:e69	Membership
7b93e6a1:150814fecb6:1fe6	Membership
7b93e6a1:150814fecb6:1910	Membership
7b93e6a1:150814fecb6:12bf	Membership
7b93e6a1:150814fecb6:2385	BelievedBy
7b93e6a1:150814fecb6:bb5	Membership
7b93e6a1:150814fecb6:1f42	Membership
7b93e6a1:150814fecb6:121b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Province
7b93e6a1:150814fecb6:20d1	Membership
7b93e6a1:150814fecb6:b11	Membership
7b93e6a1:150814fecb6:7e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Province
7b93e6a1:150814fecb6:147b	Membership
7b93e6a1:150814fecb6:78	Membership
7b93e6a1:150814fecb6:d71	Membership
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	Water
7b93e6a1:150814fecb6:180f	Membership
7b93e6a1:150814fecb6:-1dd	Membership
7b93e6a1:150814fecb6:26c5	EthnicProportion
7b93e6a1:150814fecb6:2621	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Cuilo/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	City
7b93e6a1:150814fecb6:63e	Membership
7b93e6a1:150814fecb6:17bb	Membership
7b93e6a1:150814fecb6:1ded	Membership
7b93e6a1:150814fecb6:-72d	Encompassed
7b93e6a1:150814fecb6:10e7	Membership
7b93e6a1:150814fecb6:218c	SpokenBy
7b93e6a1:150814fecb6:89e	Membership
7b93e6a1:150814fecb6:1043	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	City
7b93e6a1:150814fecb6:5ea	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Province
7b93e6a1:150814fecb6:1a09	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	City
7b93e6a1:150814fecb6:1637	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	City
7b93e6a1:150814fecb6:24cc	EthnicProportion
7b93e6a1:150814fecb6:f0c	Membership
7b93e6a1:150814fecb6:206	Membership
7b93e6a1:150814fecb6:1c69	Membership
7b93e6a1:150814fecb6:1897	Membership
http://www.semwebtech.org/mondial/10/source/Ruzizi/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	City
http://www.semwebtech.org/mondial/10/estuary/Uelle/	Estuary
7b93e6a1:150814fecb6:466	Membership
7b93e6a1:150814fecb6:15e3	Membership
7b93e6a1:150814fecb6:-5f9	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	City
7b93e6a1:150814fecb6:a98	Membership
7b93e6a1:150814fecb6:1b2	Membership
7b93e6a1:150814fecb6:-555	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Island
7b93e6a1:150814fecb6:1fa9	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	City
7b93e6a1:150814fecb6:1b71	Membership
7b93e6a1:150814fecb6:-2a1	Membership
7b93e6a1:150814fecb6:2348	BelievedBy
7b93e6a1:150814fecb6:1f05	Membership
7b93e6a1:150814fecb6:7a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	EthnicGroup
7b93e6a1:150814fecb6:dd8	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	City
7b93e6a1:150814fecb6:702	Membership
7b93e6a1:150814fecb6:143e	Membership
7b93e6a1:150814fecb6:22f4	BelievedBy
7b93e6a1:150814fecb6:d34	Membership
7b93e6a1:150814fecb6:1eb1	Membership
7b93e6a1:150814fecb6:2250	BelievedBy
7b93e6a1:150814fecb6:962	Membership
7b93e6a1:150814fecb6:169e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Province
7b93e6a1:150814fecb6:f94	Membership
7b93e6a1:150814fecb6:26d	Membership
7b93e6a1:150814fecb6:13ea	Membership
http://www.semwebtech.org/mondial/10/river/Würm/	Water
7b93e6a1:150814fecb6:ce0	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Province
7b93e6a1:150814fecb6:-35c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/	Country
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/Meru/	Mountain
http://www.semwebtech.org/mondial/10/religion/Druze/	Religion
7b93e6a1:150814fecb6:214f	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	Mountain
7b93e6a1:150814fecb6:1d0c	Membership
7b93e6a1:150814fecb6:19de	Membership
http://www.semwebtech.org/mondial/10/organization/ITU/	Organization
7b93e6a1:150814fecb6:1006	Membership
7b93e6a1:150814fecb6:5ad	Membership
7b93e6a1:150814fecb6:193a	Membership
7b93e6a1:150814fecb6:bdf	Membership
7b93e6a1:150814fecb6:1f6c	Membership
7b93e6a1:150814fecb6:1266	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Water
7b93e6a1:150814fecb6:20fb	Membership
7b93e6a1:150814fecb6:b3b	Membership
http://www.semwebtech.org/mondial/10/estuary/Mekong/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	EthnicGroup
7b93e6a1:150814fecb6:d9b	Membership
http://www.semwebtech.org/mondial/10/organization/ARF/	Organization
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	City
7b93e6a1:150814fecb6:15a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	City
7b93e6a1:150814fecb6:429	Membership
7b93e6a1:150814fecb6:-e1	Membership
7b93e6a1:150814fecb6:-184	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	City
7b93e6a1:150814fecb6:264b	EthnicProportion
7b93e6a1:150814fecb6:1bd8	Membership
7b93e6a1:150814fecb6:1502	Membership
7b93e6a1:150814fecb6:-518	Membership
7b93e6a1:150814fecb6:689	Membership
7b93e6a1:150814fecb6:1b34	Membership
7b93e6a1:150814fecb6:3d5	Membership
7b93e6a1:150814fecb6:1762	Membership
7b93e6a1:150814fecb6:-778	Encompassed
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Desert
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Religion
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	City
7b93e6a1:150814fecb6:331	Membership
7b93e6a1:150814fecb6:1d94	Membership
7b93e6a1:150814fecb6:-4c4	Membership
7b93e6a1:150814fecb6:106d	Membership
http://www.semwebtech.org/mondial/10/island/Ireland/	Island
7b93e6a1:150814fecb6:1ae0	Membership
7b93e6a1:150814fecb6:-420	Membership
7b93e6a1:150814fecb6:22b7	BelievedBy
7b93e6a1:150814fecb6:9c9	Membership
7b93e6a1:150814fecb6:591	Membership
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	Mountain
7b93e6a1:150814fecb6:2213	SpokenBy
7b93e6a1:150814fecb6:925	Membership
7b93e6a1:150814fecb6:-680	Border
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	City
7b93e6a1:150814fecb6:f57	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Province
7b93e6a1:150814fecb6:13ad	Membership
7b93e6a1:150814fecb6:2473	EthnicProportion
7b93e6a1:150814fecb6:ca3	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	City
7b93e6a1:150814fecb6:-31f	Membership
7b93e6a1:150814fecb6:8d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lech/	Estuary
7b93e6a1:150814fecb6:1dc	Membership
7b93e6a1:150814fecb6:-57f	Membership
7b93e6a1:150814fecb6:1b9b	Membership
7b93e6a1:150814fecb6:-2cb	Membership
7b93e6a1:150814fecb6:1f2f	Membership
7b93e6a1:150814fecb6:1229	Membership
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Province
7b93e6a1:150814fecb6:20be	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Province
7b93e6a1:150814fecb6:201a	Membership
7b93e6a1:150814fecb6:72c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Enns/	Source
7b93e6a1:150814fecb6:1489	Membership
7b93e6a1:150814fecb6:d5e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	EthnicGroup
7b93e6a1:150814fecb6:1edb	Membership
7b93e6a1:150814fecb6:260e	EthnicProportion
7b93e6a1:150814fecb6:11d5	Membership
7b93e6a1:150814fecb6:227a	BelievedBy
7b93e6a1:150814fecb6:aaa	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	City
7b93e6a1:150814fecb6:98c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	City
7b93e6a1:150814fecb6:-a4	Membership
7b93e6a1:150814fecb6:1131	Membership
7b93e6a1:150814fecb6:-147	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	City
http://www.semwebtech.org/mondial/10/river/Sobat/	Water
7b93e6a1:150814fecb6:17c9	Membership
7b93e6a1:150814fecb6:1391	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	City
7b93e6a1:150814fecb6:1725	Membership
7b93e6a1:150814fecb6:25ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	City
7b93e6a1:150814fecb6:1d57	Membership
7b93e6a1:150814fecb6:5f8	Membership
7b93e6a1:150814fecb6:1aa3	Membership
7b93e6a1:150814fecb6:1985	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Province
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Religion
7b93e6a1:150814fecb6:16d1	Membership
7b93e6a1:150814fecb6:554	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	Province
7b93e6a1:150814fecb6:-6e7	Border
7b93e6a1:150814fecb6:b86	Membership
7b93e6a1:150814fecb6:2a0	Membership
7b93e6a1:150814fecb6:-643	Border
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	City
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Province
7b93e6a1:150814fecb6:2436	BelievedBy
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	City
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	EthnicGroup
7b93e6a1:150814fecb6:2696	EthnicProportion
7b93e6a1:150814fecb6:ec6	Membership
7b93e6a1:150814fecb6:23e2	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	City
7b93e6a1:150814fecb6:152c	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	City
7b93e6a1:150814fecb6:e22	Membership
7b93e6a1:150814fecb6:1b5e	Membership
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	Estuary
http://www.semwebtech.org/mondial/10/language/Amerindian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	City
7b93e6a1:150814fecb6:3ff	Membership
7b93e6a1:150814fecb6:178c	Membership
7b93e6a1:150814fecb6:35b	Membership
7b93e6a1:150814fecb6:-4ee	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	City
7b93e6a1:150814fecb6:d5	Membership
7b93e6a1:150814fecb6:-44a	Membership
7b93e6a1:150814fecb6:31	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	City
7b93e6a1:150814fecb6:223d	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	City
7b93e6a1:150814fecb6:94f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	City
7b93e6a1:150814fecb6:13f8	Membership
7b93e6a1:150814fecb6:249d	EthnicProportion
7b93e6a1:150814fecb6:ccd	Membership
7b93e6a1:150814fecb6:1354	Membership
7b93e6a1:150814fecb6:8fb	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	City
7b93e6a1:150814fecb6:10a0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	City
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	City
7b93e6a1:150814fecb6:1948	Membership
7b93e6a1:150814fecb6:183	Membership
http://www.semwebtech.org/mondial/10/organization/NATO/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	City
7b93e6a1:150814fecb6:517	Membership
7b93e6a1:150814fecb6:-272	Membership
7b93e6a1:150814fecb6:b49	Membership
7b93e6a1:150814fecb6:1cc6	Membership
7b93e6a1:150814fecb6:-606	Border
http://www.semwebtech.org/mondial/10/source/Selenge/	Source
7b93e6a1:150814fecb6:2065	Membership
7b93e6a1:150814fecb6:1c22	Membership
7b93e6a1:150814fecb6:777	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	City
7b93e6a1:150814fecb6:18f4	Membership
http://www.semwebtech.org/mondial/10/organization/AU/	Organization
7b93e6a1:150814fecb6:4c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	City
7b93e6a1:150814fecb6:1850	Membership
7b93e6a1:150814fecb6:11ff	Membership
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Language
7b93e6a1:150814fecb6:1e82	Membership
7b93e6a1:150814fecb6:af5	Membership
7b93e6a1:150814fecb6:115b	Membership
7b93e6a1:150814fecb6:-ce	Membership
7b93e6a1:150814fecb6:-5b2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	City
7b93e6a1:150814fecb6:2659	EthnicProportion
7b93e6a1:150814fecb6:a51	Membership
http://www.semwebtech.org/mondial/10/island/Mull/	Island
7b93e6a1:150814fecb6:-2a	Membership
7b93e6a1:150814fecb6:23a5	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Gobi/	Desert
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	City
7b93e6a1:150814fecb6:2301	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	City
7b93e6a1:150814fecb6:174f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	City
7b93e6a1:150814fecb6:31e	Membership
7b93e6a1:150814fecb6:2561	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Senegal/	Source
7b93e6a1:150814fecb6:1acd	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	City
7b93e6a1:150814fecb6:-40d	Membership
7b93e6a1:150814fecb6:57e	Membership
7b93e6a1:150814fecb6:16fb	Membership
http://www.semwebtech.org/mondial/10/river/Tobol/	Water
7b93e6a1:150814fecb6:ff1	Membership
7b93e6a1:150814fecb6:2ca	Membership
7b93e6a1:150814fecb6:-66d	Border
http://www.semwebtech.org/mondial/10/estuary/Gambia/	Estuary
7b93e6a1:150814fecb6:1317	Membership
7b93e6a1:150814fecb6:21ac	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	City
7b93e6a1:150814fecb6:8be	Membership
7b93e6a1:150814fecb6:81a	Membership
7b93e6a1:150814fecb6:1577	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	City
7b93e6a1:150814fecb6:e4c	Membership
7b93e6a1:150814fecb6:146	Membership
7b93e6a1:150814fecb6:12c3	Membership
7b93e6a1:150814fecb6:-2d9	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	City
http://www.semwebtech.org/mondial/10/organization/UNMISS/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	City
7b93e6a1:150814fecb6:-235	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	City
7b93e6a1:150814fecb6:ff	Membership
7b93e6a1:150814fecb6:2028	Membership
7b93e6a1:150814fecb6:18b7	Membership
7b93e6a1:150814fecb6:-495	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	City
7b93e6a1:150814fecb6:5b	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	Mountain
7b93e6a1:150814fecb6:1ee9	Membership
7b93e6a1:150814fecb6:1813	Membership
7b93e6a1:150814fecb6:-1e1	Membership
http://www.semwebtech.org/mondial/10/country/SA/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	Mountain
7b93e6a1:150814fecb6:2288	BelievedBy
7b93e6a1:150814fecb6:5b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	Estuary
7b93e6a1:150814fecb6:ab8	Membership
7b93e6a1:150814fecb6:1e45	Membership
http://www.semwebtech.org/mondial/10/estuary/Karasu/	Estuary
7b93e6a1:150814fecb6:111e	Membership
7b93e6a1:150814fecb6:a14	Membership
7b93e6a1:150814fecb6:6e6	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	EthnicGroup
7b93e6a1:150814fecb6:642	Membership
7b93e6a1:150814fecb6:137e	Membership
7b93e6a1:150814fecb6:-7d5	Encompassed
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	City
7b93e6a1:150814fecb6:c74	Membership
7b93e6a1:150814fecb6:1df1	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	City
7b93e6a1:150814fecb6:-731	Encompassed
7b93e6a1:150814fecb6:10ca	Membership
7b93e6a1:150814fecb6:25c8	EthnicProportion
7b93e6a1:150814fecb6:2190	SpokenBy
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	City
http://www.semwebtech.org/mondial/10/organization/IOM/	Organization
7b93e6a1:150814fecb6:2524	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Lena/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	City
7b93e6a1:150814fecb6:16be	Membership
7b93e6a1:150814fecb6:-29c	Membership
7b93e6a1:150814fecb6:fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	City
7b93e6a1:150814fecb6:161a	Membership
7b93e6a1:150814fecb6:24d0	EthnicProportion
7b93e6a1:150814fecb6:208f	Membership
7b93e6a1:150814fecb6:f10	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	City
7b93e6a1:150814fecb6:1c4c	Membership
7b93e6a1:150814fecb6:4ed	Membership
7b93e6a1:150814fecb6:187a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Province
http://www.semwebtech.org/mondial/10/source/Akagera/	Source
7b93e6a1:150814fecb6:-5dc	Border
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	EthnicGroup
7b93e6a1:150814fecb6:a7b	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Province
7b93e6a1:150814fecb6:-75	Membership
7b93e6a1:150814fecb6:23cf	BelievedBy
7b93e6a1:150814fecb6:e0f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	City
7b93e6a1:150814fecb6:109	Membership
7b93e6a1:150814fecb6:232b	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	City
7b93e6a1:150814fecb6:369	Membership
7b93e6a1:150814fecb6:14e6	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	City
7b93e6a1:150814fecb6:258b	EthnicProportion
7b93e6a1:150814fecb6:dbb	Membership
7b93e6a1:150814fecb6:1442	Membership
7b93e6a1:150814fecb6:-458	Membership
7b93e6a1:150814fecb6:1e	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	City
7b93e6a1:150814fecb6:1a74	Membership
7b93e6a1:150814fecb6:-1a4	Membership
http://www.semwebtech.org/mondial/10/organization/WHO/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:1e08	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	City
7b93e6a1:150814fecb6:-100	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Province
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization
7b93e6a1:150814fecb6:6a9	Membership
7b93e6a1:150814fecb6:271	Membership
7b93e6a1:150814fecb6:605	Membership
7b93e6a1:150814fecb6:-360	Membership
7b93e6a1:150814fecb6:21f7	SpokenBy
7b93e6a1:150814fecb6:c37	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	City
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	City
7b93e6a1:150814fecb6:1db4	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	City
7b93e6a1:150814fecb6:2153	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	City
7b93e6a1:150814fecb6:865	Membership
7b93e6a1:150814fecb6:1d10	Membership
7b93e6a1:150814fecb6:19e2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Province
7b93e6a1:150814fecb6:e97	Membership
http://www.semwebtech.org/mondial/10/country/TUV/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	City
7b93e6a1:150814fecb6:12ed	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	City
7b93e6a1:150814fecb6:be3	Membership
7b93e6a1:150814fecb6:1f70	Membership
7b93e6a1:150814fecb6:-6a0	Border
7b93e6a1:150814fecb6:-25f	Membership
http://www.semwebtech.org/mondial/10/island/Santiago/	Island
http://www.semwebtech.org/mondial/10/language/Korean/	Language
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	City
7b93e6a1:150814fecb6:1c0f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	City
7b93e6a1:150814fecb6:183d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HONX/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Province
7b93e6a1:150814fecb6:40c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	City
7b93e6a1:150814fecb6:1e6f	Membership
7b93e6a1:150814fecb6:1169	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	City
7b93e6a1:150814fecb6:a3e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	City
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Province
7b93e6a1:150814fecb6:1bbb	Membership
7b93e6a1:150814fecb6:-38	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	City
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Desert
7b93e6a1:150814fecb6:66c	Membership
7b93e6a1:150814fecb6:-7ff	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	Estuary
7b93e6a1:150814fecb6:c9e	Membership
7b93e6a1:150814fecb6:-75b	Encompassed
7b93e6a1:150814fecb6:254e	EthnicProportion
7b93e6a1:150814fecb6:14a9	Membership
7b93e6a1:150814fecb6:1071	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	City
7b93e6a1:150814fecb6:1405	Membership
7b93e6a1:150814fecb6:9ac	Membership
7b93e6a1:150814fecb6:1a37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	City
7b93e6a1:150814fecb6:fde	Membership
7b93e6a1:150814fecb6:2d8	Membership
7b93e6a1:150814fecb6:1665	Membership
7b93e6a1:150814fecb6:24fa	EthnicProportion
7b93e6a1:150814fecb6:1c97	Membership
7b93e6a1:150814fecb6:f3a	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	City
7b93e6a1:150814fecb6:234	Membership
7b93e6a1:150814fecb6:13b1	Membership
7b93e6a1:150814fecb6:-3c7	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIL/	Organization
7b93e6a1:150814fecb6:-323	Membership
7b93e6a1:150814fecb6:494	Membership
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Province
7b93e6a1:150814fecb6:2116	Membership
7b93e6a1:150814fecb6:19a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	City
7b93e6a1:150814fecb6:828	Membership
7b93e6a1:150814fecb6:1e0	Membership
7b93e6a1:150814fecb6:-9f	Membership
7b93e6a1:150814fecb6:-583	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	City
http://www.semwebtech.org/mondial/10/island/Sokotra/	Island
7b93e6a1:150814fecb6:1fd7	Membership
7b93e6a1:150814fecb6:1901	Membership
7b93e6a1:150814fecb6:2376	BelievedBy
7b93e6a1:150814fecb6:ba6	Membership
7b93e6a1:150814fecb6:1f33	Membership
7b93e6a1:150814fecb6:120c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	EthnicGroup
7b93e6a1:150814fecb6:20c2	Membership
7b93e6a1:150814fecb6:b02	Membership
7b93e6a1:150814fecb6:7d4	Membership
7b93e6a1:150814fecb6:730	Membership
7b93e6a1:150814fecb6:146c	Membership
7b93e6a1:150814fecb6:69	Membership
7b93e6a1:150814fecb6:d62	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	EthnicGroup
7b93e6a1:150814fecb6:26b6	EthnicProportion
7b93e6a1:150814fecb6:1a9e	Membership
7b93e6a1:150814fecb6:-1ce	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	City
http://www.semwebtech.org/mondial/10/river/Douro/	Water
7b93e6a1:150814fecb6:990	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Province
7b93e6a1:150814fecb6:-12a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Province
7b93e6a1:150814fecb6:2612	EthnicProportion
7b93e6a1:150814fecb6:151d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	City
7b93e6a1:150814fecb6:29b	Membership
http://www.semwebtech.org/mondial/10/country/PAL/	Country
7b93e6a1:150814fecb6:62f	Membership
7b93e6a1:150814fecb6:17ac	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	City
7b93e6a1:150814fecb6:-38a	Membership
7b93e6a1:150814fecb6:217d	SpokenBy
http://www.semwebtech.org/mondial/10/island/St.Martin/	Island
7b93e6a1:150814fecb6:1dde	Membership
7b93e6a1:150814fecb6:-71e	Encompassed
7b93e6a1:150814fecb6:10d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	City
7b93e6a1:150814fecb6:88f	Membership
7b93e6a1:150814fecb6:1d3a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	City
7b93e6a1:150814fecb6:1034	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	City
7b93e6a1:150814fecb6:5db	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Province
http://www.semwebtech.org/mondial/10/language/Swedish/	Language
7b93e6a1:150814fecb6:1f9a	Membership
7b93e6a1:150814fecb6:-6ca	Border
7b93e6a1:150814fecb6:1294	Membership
http://www.semwebtech.org/mondial/10/estuary/Oka/	Estuary
7b93e6a1:150814fecb6:1628	Membership
7b93e6a1:150814fecb6:24bd	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Namib/	Desert
7b93e6a1:150814fecb6:1888	Membership
http://www.semwebtech.org/mondial/10/river/Mekong/	Water
7b93e6a1:150814fecb6:457	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	City
7b93e6a1:150814fecb6:15d4	Membership
7b93e6a1:150814fecb6:1530	Membership
7b93e6a1:150814fecb6:a89	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	City
7b93e6a1:150814fecb6:1a3	Membership
7b93e6a1:150814fecb6:-546	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	City
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	City
7b93e6a1:150814fecb6:1b62	Membership
7b93e6a1:150814fecb6:2339	BelievedBy
7b93e6a1:150814fecb6:1790	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	Province
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	City
http://www.semwebtech.org/mondial/10/language/Portuguese/	Language
7b93e6a1:150814fecb6:-4f2	Membership
7b93e6a1:150814fecb6:109b	Membership
7b93e6a1:150814fecb6:2599	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Province
7b93e6a1:150814fecb6:dc9	Membership
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Religion
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mountains
7b93e6a1:150814fecb6:142f	Membership
7b93e6a1:150814fecb6:22e5	BelievedBy
7b93e6a1:150814fecb6:d25	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	City
7b93e6a1:150814fecb6:9f7	Membership
http://www.semwebtech.org/mondial/10/source/Saar/	Source
7b93e6a1:150814fecb6:1ea2	Membership
7b93e6a1:150814fecb6:2241	BelievedBy
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Island
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Province
http://www.semwebtech.org/mondial/10/country/BY/	Country
7b93e6a1:150814fecb6:953	Membership
7b93e6a1:150814fecb6:168f	Membership
7b93e6a1:150814fecb6:f85	Membership
7b93e6a1:150814fecb6:25e	Membership
7b93e6a1:150814fecb6:13db	Membership
7b93e6a1:150814fecb6:cd1	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	City
7b93e6a1:150814fecb6:-34d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	City
7b93e6a1:150814fecb6:19cf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Province
7b93e6a1:150814fecb6:192b	Membership
http://www.semwebtech.org/mondial/10/country/IL/	Country
7b93e6a1:150814fecb6:1f5d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	City
7b93e6a1:150814fecb6:1257	Membership
7b93e6a1:150814fecb6:20ec	Membership
7b93e6a1:150814fecb6:b2c	Membership
7b93e6a1:150814fecb6:7fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	City
7b93e6a1:150814fecb6:75a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Province
http://www.semwebtech.org/mondial/10/country/SUD/	Country
7b93e6a1:150814fecb6:d8c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	City
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Province
7b93e6a1:150814fecb6:-d2	Membership
7b93e6a1:150814fecb6:-175	Membership
7b93e6a1:150814fecb6:263c	EthnicProportion
7b93e6a1:150814fecb6:1bc9	Membership
7b93e6a1:150814fecb6:-509	Membership
7b93e6a1:150814fecb6:1b25	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	City
7b93e6a1:150814fecb6:17f7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Province
http://www.semwebtech.org/mondial/10/source/Orinoco/	Source
7b93e6a1:150814fecb6:3c6	Membership
7b93e6a1:150814fecb6:1753	Membership
7b93e6a1:150814fecb6:-769	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	City
7b93e6a1:150814fecb6:322	Membership
7b93e6a1:150814fecb6:1d85	Membership
7b93e6a1:150814fecb6:-4b5	Membership
7b93e6a1:150814fecb6:105e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Province
7b93e6a1:150814fecb6:1ad1	Membership
7b93e6a1:150814fecb6:-411	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	City
7b93e6a1:150814fecb6:22a8	BelievedBy
7b93e6a1:150814fecb6:582	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Province
7b93e6a1:150814fecb6:2204	SpokenBy
7b93e6a1:150814fecb6:916	Membership
7b93e6a1:150814fecb6:-671	Border
http://www.semwebtech.org/mondial/10/estuary/Loire/	Estuary
7b93e6a1:150814fecb6:f48	Membership
7b93e6a1:150814fecb6:2464	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	City
7b93e6a1:150814fecb6:21b0	SpokenBy
7b93e6a1:150814fecb6:8c2	Membership
7b93e6a1:150814fecb6:15fe	Membership
7b93e6a1:150814fecb6:ef4	Membership
7b93e6a1:150814fecb6:1cd	Membership
7b93e6a1:150814fecb6:155a	Membership
7b93e6a1:150814fecb6:e50	Membership
7b93e6a1:150814fecb6:1b8c	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Province
7b93e6a1:150814fecb6:-2bc	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Province
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Water
7b93e6a1:150814fecb6:20af	Membership
http://www.semwebtech.org/mondial/10/island/Islay/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	City
7b93e6a1:150814fecb6:200b	Membership
7b93e6a1:150814fecb6:71d	Membership
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Water
http://www.semwebtech.org/mondial/10/island/Hawaii/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Province
7b93e6a1:150814fecb6:d4f	Membership
7b93e6a1:150814fecb6:1ecc	Membership
7b93e6a1:150814fecb6:-80c	Encompassed
7b93e6a1:150814fecb6:11c6	Membership
7b93e6a1:150814fecb6:226b	BelievedBy
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Island
7b93e6a1:150814fecb6:97d	Membership
7b93e6a1:150814fecb6:1122	Membership
7b93e6a1:150814fecb6:-138	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Province
7b93e6a1:150814fecb6:cfb	Membership
7b93e6a1:150814fecb6:1382	Membership
7b93e6a1:150814fecb6:-398	Membership
http://www.semwebtech.org/mondial/10/country/J/	Country
7b93e6a1:150814fecb6:1716	Membership
7b93e6a1:150814fecb6:25ab	EthnicProportion
7b93e6a1:150814fecb6:1d48	Membership
7b93e6a1:150814fecb6:5e9	Membership
7b93e6a1:150814fecb6:1976	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	City
7b93e6a1:150814fecb6:545	Membership
7b93e6a1:150814fecb6:16c2	Membership
7b93e6a1:150814fecb6:-6d8	Border
http://www.semwebtech.org/mondial/10/river/Ammer/	Water
7b93e6a1:150814fecb6:b77	Membership
7b93e6a1:150814fecb6:1cf4	Membership
7b93e6a1:150814fecb6:-634	Border
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	Water
7b93e6a1:150814fecb6:2093	Membership
7b93e6a1:150814fecb6:1c50	Membership
http://www.semwebtech.org/mondial/10/river/Alz/	Water
7b93e6a1:150814fecb6:2427	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Province
7b93e6a1:150814fecb6:4f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	Estuary
http://www.semwebtech.org/mondial/10/language/Finnish/	Language
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	Mountain
7b93e6a1:150814fecb6:-fc	Membership
7b93e6a1:150814fecb6:-5e0	Border
7b93e6a1:150814fecb6:-19f	Membership
7b93e6a1:150814fecb6:2687	EthnicProportion
7b93e6a1:150814fecb6:eb7	Membership
7b93e6a1:150814fecb6:23d3	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	City
7b93e6a1:150814fecb6:e13	Membership
7b93e6a1:150814fecb6:1b4f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	City
http://www.semwebtech.org/mondial/10/source/Lulua/	Source
7b93e6a1:150814fecb6:177d	Membership
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Water
7b93e6a1:150814fecb6:34c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	City
7b93e6a1:150814fecb6:-4df	Membership
7b93e6a1:150814fecb6:c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	EthnicGroup
7b93e6a1:150814fecb6:1afb	Membership
7b93e6a1:150814fecb6:-43b	Membership
7b93e6a1:150814fecb6:22	Membership
7b93e6a1:150814fecb6:222e	SpokenBy
7b93e6a1:150814fecb6:-69b	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	City
7b93e6a1:150814fecb6:13e9	Membership
7b93e6a1:150814fecb6:248e	EthnicProportion
7b93e6a1:150814fecb6:cbe	Membership
7b93e6a1:150814fecb6:1345	Membership
7b93e6a1:150814fecb6:21da	SpokenBy
7b93e6a1:150814fecb6:c1a	Membership
7b93e6a1:150814fecb6:8ec	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	EthnicGroup
7b93e6a1:150814fecb6:e7a	Membership
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	Mountain
7b93e6a1:150814fecb6:174	Membership
7b93e6a1:150814fecb6:1939	Membership
7b93e6a1:150814fecb6:12f1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Province
7b93e6a1:150814fecb6:508	Membership
7b93e6a1:150814fecb6:-263	Membership
http://www.semwebtech.org/mondial/10/island/Oeland/	Island
7b93e6a1:150814fecb6:1cb7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Province
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	City
7b93e6a1:150814fecb6:2056	Membership
7b93e6a1:150814fecb6:768	Membership
7b93e6a1:150814fecb6:1c13	Membership
7b93e6a1:150814fecb6:18e5	Membership
7b93e6a1:150814fecb6:4b4	Membership
7b93e6a1:150814fecb6:1841	Membership
7b93e6a1:150814fecb6:1e73	Membership
7b93e6a1:150814fecb6:ae6	Membership
7b93e6a1:150814fecb6:410	Membership
7b93e6a1:150814fecb6:-bf	Membership
7b93e6a1:150814fecb6:-5a3	Membership
7b93e6a1:150814fecb6:114c	Membership
7b93e6a1:150814fecb6:a42	Membership
7b93e6a1:150814fecb6:-1b	Membership
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Water
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	City
7b93e6a1:150814fecb6:670	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	Mountain
http://www.semwebtech.org/mondial/10/river/Karasu/	Water
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	Estuary
7b93e6a1:150814fecb6:25f6	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Weichsel/	Water
http://www.semwebtech.org/mondial/10/estuary/Oder/	Estuary
7b93e6a1:150814fecb6:30f	Membership
7b93e6a1:150814fecb6:2552	EthnicProportion
7b93e6a1:150814fecb6:1abe	Membership
http://www.semwebtech.org/mondial/10/river/Isar/	Water
7b93e6a1:150814fecb6:1a1a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	City
7b93e6a1:150814fecb6:9b0	Membership
7b93e6a1:150814fecb6:56f	Membership
7b93e6a1:150814fecb6:16ec	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	City
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Desert
http://www.semwebtech.org/mondial/10/island/Ascension/	Island
7b93e6a1:150814fecb6:fe2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	City
7b93e6a1:150814fecb6:2bb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	City
7b93e6a1:150814fecb6:-65e	Border
7b93e6a1:150814fecb6:1c7a	Membership
7b93e6a1:150814fecb6:-3aa	Membership
7b93e6a1:150814fecb6:1308	Membership
7b93e6a1:150814fecb6:8af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	City
7b93e6a1:150814fecb6:80b	Membership
7b93e6a1:150814fecb6:1568	Membership
7b93e6a1:150814fecb6:23fd	BelievedBy
7b93e6a1:150814fecb6:e3d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Province
7b93e6a1:150814fecb6:1fba	Membership
7b93e6a1:150814fecb6:137	Membership
7b93e6a1:150814fecb6:12b4	Membership
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	Estuary
7b93e6a1:150814fecb6:1210	Membership
7b93e6a1:150814fecb6:21e8	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	City
7b93e6a1:150814fecb6:-226	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/	Country
7b93e6a1:150814fecb6:397	Membership
http://www.semwebtech.org/mondial/10/estuary/Niger/	Estuary
7b93e6a1:150814fecb6:2019	Membership
7b93e6a1:150814fecb6:18a8	Membership
7b93e6a1:150814fecb6:1470	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Province
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	City
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization
7b93e6a1:150814fecb6:-486	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	City
7b93e6a1:150814fecb6:4c	Membership
7b93e6a1:150814fecb6:1804	Membership
7b93e6a1:150814fecb6:-1d2	Membership
7b93e6a1:150814fecb6:2279	BelievedBy
http://www.semwebtech.org/mondial/10/source/Manicouagan/	Source
7b93e6a1:150814fecb6:aa9	Membership
http://www.semwebtech.org/mondial/10/organization/IFAD/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	City
7b93e6a1:150814fecb6:1e36	Membership
7b93e6a1:150814fecb6:110f	Membership
7b93e6a1:150814fecb6:a05	Membership
7b93e6a1:150814fecb6:6d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Serbian/	Language
7b93e6a1:150814fecb6:633	Membership
7b93e6a1:150814fecb6:17b0	Membership
7b93e6a1:150814fecb6:-7c6	Encompassed
7b93e6a1:150814fecb6:136f	Membership
7b93e6a1:150814fecb6:c65	Membership
7b93e6a1:150814fecb6:1de2	Membership
7b93e6a1:150814fecb6:-722	Encompassed
7b93e6a1:150814fecb6:10bb	Membership
7b93e6a1:150814fecb6:25b9	EthnicProportion
7b93e6a1:150814fecb6:2181	SpokenBy
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Desert
7b93e6a1:150814fecb6:893	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Province
7b93e6a1:150814fecb6:2515	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	City
7b93e6a1:150814fecb6:19e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	City
7b93e6a1:150814fecb6:16af	Membership
7b93e6a1:150814fecb6:-28d	Membership
7b93e6a1:150814fecb6:fa5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Province
7b93e6a1:150814fecb6:160b	Membership
7b93e6a1:150814fecb6:24c1	EthnicProportion
7b93e6a1:150814fecb6:f01	Membership
7b93e6a1:150814fecb6:1c3d	Membership
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	Water
http://www.semwebtech.org/mondial/10/river/Jangtse/	Water
7b93e6a1:150814fecb6:4de	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Province
7b93e6a1:150814fecb6:186b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	EthnicGroup
7b93e6a1:150814fecb6:1e9d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	City
7b93e6a1:150814fecb6:1197	Membership
7b93e6a1:150814fecb6:43a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	City
7b93e6a1:150814fecb6:-5cd	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Province
http://www.semwebtech.org/mondial/10/country/SRB/	Country
7b93e6a1:150814fecb6:a6c	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	City
7b93e6a1:150814fecb6:-66	Membership
7b93e6a1:150814fecb6:69a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	City
7b93e6a1:150814fecb6:231c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Province
http://www.semwebtech.org/mondial/10/estuary/Maranon/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	City
7b93e6a1:150814fecb6:14d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	EthnicGroup
7b93e6a1:150814fecb6:257c	EthnicProportion
7b93e6a1:150814fecb6:dac	Membership
7b93e6a1:150814fecb6:1433	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	City
7b93e6a1:150814fecb6:-449	Membership
7b93e6a1:150814fecb6:9da	Membership
7b93e6a1:150814fecb6:1a65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	City
7b93e6a1:150814fecb6:1693	Membership
7b93e6a1:150814fecb6:262	Membership
http://www.semwebtech.org/mondial/10/estuary/Glomma/	Estuary
7b93e6a1:150814fecb6:-3f5	Membership
7b93e6a1:150814fecb6:-351	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	City
7b93e6a1:150814fecb6:c28	Membership
7b93e6a1:150814fecb6:1da5	Membership
http://www.semwebtech.org/mondial/10/source/Amazonas/	Source
7b93e6a1:150814fecb6:2144	SpokenBy
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	City
7b93e6a1:150814fecb6:856	Membership
7b93e6a1:150814fecb6:1d01	Membership
7b93e6a1:150814fecb6:19d3	Membership
7b93e6a1:150814fecb6:e88	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	City
7b93e6a1:150814fecb6:5a2	Membership
7b93e6a1:150814fecb6:12de	Membership
7b93e6a1:150814fecb6:bd4	Membership
7b93e6a1:150814fecb6:1f61	Membership
7b93e6a1:150814fecb6:123a	Membership
7b93e6a1:150814fecb6:20f0	Membership
7b93e6a1:150814fecb6:b30	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	City
7b93e6a1:150814fecb6:149a	Membership
7b93e6a1:150814fecb6:97	Membership
7b93e6a1:150814fecb6:d90	Membership
7b93e6a1:150814fecb6:182e	Membership
7b93e6a1:150814fecb6:-1fc	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	City
7b93e6a1:150814fecb6:2640	EthnicProportion
7b93e6a1:150814fecb6:a2f	Membership
7b93e6a1:150814fecb6:1bac	Membership
7b93e6a1:150814fecb6:-29	Membership
7b93e6a1:150814fecb6:65d	Membership
7b93e6a1:150814fecb6:17da	Membership
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Province
7b93e6a1:150814fecb6:c8f	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	City
7b93e6a1:150814fecb6:-74c	Encompassed
http://www.semwebtech.org/mondial/10/language/Bosnian/	Language
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	Mountain
7b93e6a1:150814fecb6:1062	Membership
7b93e6a1:150814fecb6:253f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	City
7b93e6a1:150814fecb6:1a28	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	City
7b93e6a1:150814fecb6:fcf	Membership
7b93e6a1:150814fecb6:2c9	Membership
http://www.semwebtech.org/mondial/10/river/Inn/	Water
7b93e6a1:150814fecb6:1656	Membership
7b93e6a1:150814fecb6:24eb	EthnicProportion
7b93e6a1:150814fecb6:f2b	Membership
7b93e6a1:150814fecb6:1c88	Membership
7b93e6a1:150814fecb6:225	Membership
7b93e6a1:150814fecb6:13a2	Membership
7b93e6a1:150814fecb6:-3b8	Membership
7b93e6a1:150814fecb6:-314	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	City
7b93e6a1:150814fecb6:485	Membership
7b93e6a1:150814fecb6:2107	Membership
7b93e6a1:150814fecb6:819	Membership
7b93e6a1:150814fecb6:1d1	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	Mountain
7b93e6a1:150814fecb6:-574	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	Estuary
7b93e6a1:150814fecb6:1fc8	Membership
7b93e6a1:150814fecb6:1b90	Membership
7b93e6a1:150814fecb6:-2c0	Membership
7b93e6a1:150814fecb6:2367	BelievedBy
7b93e6a1:150814fecb6:1f24	Membership
7b93e6a1:150814fecb6:20b3	Membership
7b93e6a1:150814fecb6:7c5	Membership
7b93e6a1:150814fecb6:df7	Membership
7b93e6a1:150814fecb6:721	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	City
7b93e6a1:150814fecb6:145d	Membership
7b93e6a1:150814fecb6:d53	Membership
7b93e6a1:150814fecb6:1ed0	Membership
7b93e6a1:150814fecb6:1a8f	Membership
7b93e6a1:150814fecb6:-810	Encompassed
7b93e6a1:150814fecb6:-1bf	Membership
7b93e6a1:150814fecb6:26a7	EthnicProportion
7b93e6a1:150814fecb6:981	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	City
7b93e6a1:150814fecb6:-11b	Membership
7b93e6a1:150814fecb6:2603	EthnicProportion
7b93e6a1:150814fecb6:28c	Membership
7b93e6a1:150814fecb6:-37b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	City
7b93e6a1:150814fecb6:1dcf	Membership
7b93e6a1:150814fecb6:-70f	Border
7b93e6a1:150814fecb6:10c9	Membership
7b93e6a1:150814fecb6:216e	SpokenBy
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	City
7b93e6a1:150814fecb6:1d2b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	City
7b93e6a1:150814fecb6:19fd	Membership
7b93e6a1:150814fecb6:1025	Membership
7b93e6a1:150814fecb6:5cc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	City
7b93e6a1:150814fecb6:bfe	Membership
7b93e6a1:150814fecb6:1f8b	Membership
7b93e6a1:150814fecb6:-6bb	Border
7b93e6a1:150814fecb6:1285	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	City
7b93e6a1:150814fecb6:b5a	Membership
http://www.semwebtech.org/mondial/10/island/SaoTome/	Island
7b93e6a1:150814fecb6:1619	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Province
7b93e6a1:150814fecb6:24ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Ganges/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	City
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Islands
7b93e6a1:150814fecb6:240a	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Water
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Desert
7b93e6a1:150814fecb6:1879	Membership
http://www.semwebtech.org/mondial/10/organization/CERN/	Organization
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	City
7b93e6a1:150814fecb6:448	Membership
7b93e6a1:150814fecb6:15c5	Membership
7b93e6a1:150814fecb6:266a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Province
http://www.semwebtech.org/mondial/10/source/Dnjestr/	Source
7b93e6a1:150814fecb6:1bf7	Membership
7b93e6a1:150814fecb6:1521	Membership
7b93e6a1:150814fecb6:-537	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	City
7b93e6a1:150814fecb6:1b53	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Province
7b93e6a1:150814fecb6:3f4	Membership
7b93e6a1:150814fecb6:1781	Membership
7b93e6a1:150814fecb6:-797	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	City
7b93e6a1:150814fecb6:350	Membership
7b93e6a1:150814fecb6:-4e3	Membership
7b93e6a1:150814fecb6:108c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Province
7b93e6a1:150814fecb6:22d6	BelievedBy
7b93e6a1:150814fecb6:d16	Membership
7b93e6a1:150814fecb6:9e8	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	City
7b93e6a1:150814fecb6:2232	BelievedBy
7b93e6a1:150814fecb6:944	Membership
7b93e6a1:150814fecb6:f76	Membership
7b93e6a1:150814fecb6:24f	Membership
7b93e6a1:150814fecb6:13cc	Membership
7b93e6a1:150814fecb6:2492	EthnicProportion
7b93e6a1:150814fecb6:cc2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	City
7b93e6a1:150814fecb6:-33e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	City
7b93e6a1:150814fecb6:8f0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	City
7b93e6a1:150814fecb6:1fb	Membership
7b93e6a1:150814fecb6:-59e	Membership
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	City
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	Mountain
7b93e6a1:150814fecb6:191c	Membership
7b93e6a1:150814fecb6:-2ea	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Province
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	Mountain
7b93e6a1:150814fecb6:1f4e	Membership
7b93e6a1:150814fecb6:1248	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	City
7b93e6a1:150814fecb6:20dd	Membership
7b93e6a1:150814fecb6:b1d	Membership
7b93e6a1:150814fecb6:7ef	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	City
http://www.semwebtech.org/mondial/10/source/Isere/	Source
7b93e6a1:150814fecb6:74b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	City
7b93e6a1:150814fecb6:d7d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	City
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	Mountain
7b93e6a1:150814fecb6:1efa	Membership
7b93e6a1:150814fecb6:11f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	City
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	Mountain
7b93e6a1:150814fecb6:-c3	Membership
7b93e6a1:150814fecb6:1150	Membership
7b93e6a1:150814fecb6:-166	Membership
7b93e6a1:150814fecb6:262d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kemijoki/	Source
7b93e6a1:150814fecb6:1b16	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	City
7b93e6a1:150814fecb6:17e8	Membership
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Water
7b93e6a1:150814fecb6:3b7	Membership
7b93e6a1:150814fecb6:1744	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	EthnicGroup
7b93e6a1:150814fecb6:313	Membership
7b93e6a1:150814fecb6:1d76	Membership
7b93e6a1:150814fecb6:-4a6	Membership
7b93e6a1:150814fecb6:104f	Membership
7b93e6a1:150814fecb6:1ac2	Membership
7b93e6a1:150814fecb6:-402	Membership
7b93e6a1:150814fecb6:573	Membership
7b93e6a1:150814fecb6:16f0	Membership
7b93e6a1:150814fecb6:24f9	EthnicProportion
7b93e6a1:150814fecb6:907	Membership
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	Mountain
7b93e6a1:150814fecb6:f39	Membership
7b93e6a1:150814fecb6:-662	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	City
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Province
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Province
7b93e6a1:150814fecb6:2455	EthnicProportion
7b93e6a1:150814fecb6:21a1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/	Country
7b93e6a1:150814fecb6:8b3	Membership
7b93e6a1:150814fecb6:15ef	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	City
7b93e6a1:150814fecb6:ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	City
7b93e6a1:150814fecb6:1be	Membership
7b93e6a1:150814fecb6:154b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	City
7b93e6a1:150814fecb6:e41	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Province
7b93e6a1:150814fecb6:11a	Membership
7b93e6a1:150814fecb6:1b7d	Membership
7b93e6a1:150814fecb6:-2ad	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	City
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	City
7b93e6a1:150814fecb6:37a	Membership
7b93e6a1:150814fecb6:f4	Membership
http://www.semwebtech.org/mondial/10/country/NOK/	Country
7b93e6a1:150814fecb6:70e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Province
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Mountains
7b93e6a1:150814fecb6:50	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	City
7b93e6a1:150814fecb6:225c	BelievedBy
7b93e6a1:150814fecb6:1ebd	Membership
7b93e6a1:150814fecb6:11b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	City
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	City
http://www.semwebtech.org/mondial/10/continent/Asia/	Continent
7b93e6a1:150814fecb6:96e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	City
7b93e6a1:150814fecb6:1113	Membership
7b93e6a1:150814fecb6:-129	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	City
7b93e6a1:150814fecb6:6ba	Membership
http://www.semwebtech.org/mondial/10/organization/IDA/	Organization
7b93e6a1:150814fecb6:cec	Membership
7b93e6a1:150814fecb6:1373	Membership
7b93e6a1:150814fecb6:-389	Membership
http://www.semwebtech.org/mondial/10/source/Cuilo/	Source
7b93e6a1:150814fecb6:1707	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	City
http://www.semwebtech.org/mondial/10/island/Alicudi/	Island
http://www.semwebtech.org/mondial/10/river/Limpopo/	Water
7b93e6a1:150814fecb6:1d39	Membership
http://www.semwebtech.org/mondial/10/estuary/Bomu/	Estuary
7b93e6a1:150814fecb6:1967	Membership
7b93e6a1:150814fecb6:1f99	Membership
7b93e6a1:150814fecb6:536	Membership
7b93e6a1:150814fecb6:16b3	Membership
7b93e6a1:150814fecb6:-6c9	Border
7b93e6a1:150814fecb6:-291	Membership
7b93e6a1:150814fecb6:b68	Membership
http://www.semwebtech.org/mondial/10/island/Svalbard/	Island
7b93e6a1:150814fecb6:1ce5	Membership
7b93e6a1:150814fecb6:-625	Border
7b93e6a1:150814fecb6:2084	Membership
http://www.semwebtech.org/mondial/10/mountains/Harz/	Mountains
7b93e6a1:150814fecb6:796	Membership
7b93e6a1:150814fecb6:1c41	Membership
7b93e6a1:150814fecb6:2418	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	City
7b93e6a1:150814fecb6:4e2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	City
7b93e6a1:150814fecb6:-ed	Membership
7b93e6a1:150814fecb6:-5d1	Membership
7b93e6a1:150814fecb6:117a	Membership
7b93e6a1:150814fecb6:2678	EthnicProportion
7b93e6a1:150814fecb6:ea8	Membership
7b93e6a1:150814fecb6:a70	Membership
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Island
7b93e6a1:150814fecb6:150e	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	City
7b93e6a1:150814fecb6:23c4	BelievedBy
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Water
7b93e6a1:150814fecb6:e04	Membership
7b93e6a1:150814fecb6:2320	BelievedBy
7b93e6a1:150814fecb6:176e	Membership
7b93e6a1:150814fecb6:33d	Membership
http://www.semwebtech.org/mondial/10/language/Siraiki/	Language
7b93e6a1:150814fecb6:14ba	Membership
7b93e6a1:150814fecb6:2580	EthnicProportion
7b93e6a1:150814fecb6:b7	Membership
7b93e6a1:150814fecb6:db0	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	City
7b93e6a1:150814fecb6:1aec	Membership
7b93e6a1:150814fecb6:-42c	Membership
7b93e6a1:150814fecb6:13	Membership
7b93e6a1:150814fecb6:59d	Membership
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	Mountain
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Religion
7b93e6a1:150814fecb6:221f	SpokenBy
7b93e6a1:150814fecb6:-68c	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	City
7b93e6a1:150814fecb6:247f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	City
7b93e6a1:150814fecb6:caf	Membership
7b93e6a1:150814fecb6:1336	Membership
http://www.semwebtech.org/mondial/10/organization/G-15/	Organization
7b93e6a1:150814fecb6:21cb	SpokenBy
7b93e6a1:150814fecb6:c0b	Membership
7b93e6a1:150814fecb6:8dd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	City
7b93e6a1:150814fecb6:1596	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	Mountain
http://www.semwebtech.org/mondial/10/source/Okavango/	Source
7b93e6a1:150814fecb6:e6b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	EthnicGroup
7b93e6a1:150814fecb6:165	Membership
7b93e6a1:150814fecb6:12e2	Membership
7b93e6a1:150814fecb6:-2f8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	City
7b93e6a1:150814fecb6:-254	Membership
7b93e6a1:150814fecb6:1ca8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	EthnicGroup
7b93e6a1:150814fecb6:2047	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	EthnicGroup
7b93e6a1:150814fecb6:759	Membership
7b93e6a1:150814fecb6:1c04	Membership
7b93e6a1:150814fecb6:18d6	Membership
7b93e6a1:150814fecb6:7a	Membership
7b93e6a1:150814fecb6:4a5	Membership
7b93e6a1:150814fecb6:1832	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Province
7b93e6a1:150814fecb6:ad7	Membership
7b93e6a1:150814fecb6:401	Membership
7b93e6a1:150814fecb6:1e64	Membership
7b93e6a1:150814fecb6:113d	Membership
7b93e6a1:150814fecb6:a33	Membership
7b93e6a1:150814fecb6:1bb0	Membership
http://www.semwebtech.org/mondial/10/island/Corse/	Island
7b93e6a1:150814fecb6:661	Membership
7b93e6a1:150814fecb6:139d	Membership
7b93e6a1:150814fecb6:-7f4	Encompassed
http://www.semwebtech.org/mondial/10/organization/Caricom/	Organization
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Province
7b93e6a1:150814fecb6:c93	Membership
7b93e6a1:150814fecb6:-750	Encompassed
7b93e6a1:150814fecb6:25e7	EthnicProportion
7b93e6a1:150814fecb6:2543	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	Estuary
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	City
7b93e6a1:150814fecb6:1aaf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	City
7b93e6a1:150814fecb6:-6	Membership
7b93e6a1:150814fecb6:9a1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Province
7b93e6a1:150814fecb6:1a0b	Membership
7b93e6a1:150814fecb6:16dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	EthnicGroup
7b93e6a1:150814fecb6:fd3	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	Mountain
7b93e6a1:150814fecb6:2ac	Membership
7b93e6a1:150814fecb6:-64f	Border
7b93e6a1:150814fecb6:1c6b	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Province
7b93e6a1:150814fecb6:2075	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	City
7b93e6a1:150814fecb6:-5fb	Border
7b93e6a1:150814fecb6:a9a	Membership
7b93e6a1:150814fecb6:-94	Membership
7b93e6a1:150814fecb6:1559	Membership
7b93e6a1:150814fecb6:23ee	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Province
7b93e6a1:150814fecb6:e2e	Membership
7b93e6a1:150814fecb6:1fab	Membership
7b93e6a1:150814fecb6:128	Membership
7b93e6a1:150814fecb6:12a5	Membership
7b93e6a1:150814fecb6:234a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mountains
7b93e6a1:150814fecb6:1201	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	City
7b93e6a1:150814fecb6:-217	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Province
7b93e6a1:150814fecb6:388	Membership
7b93e6a1:150814fecb6:dda	Membership
7b93e6a1:150814fecb6:1461	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	City
7b93e6a1:150814fecb6:-477	Membership
7b93e6a1:150814fecb6:3d	Membership
7b93e6a1:150814fecb6:1a93	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	City
7b93e6a1:150814fecb6:-1c3	Membership
7b93e6a1:150814fecb6:1e27	Membership
7b93e6a1:150814fecb6:6c8	Membership
7b93e6a1:150814fecb6:290	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Province
7b93e6a1:150814fecb6:624	Membership
7b93e6a1:150814fecb6:17a1	Membership
7b93e6a1:150814fecb6:-7b7	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Japanese/	Language
7b93e6a1:150814fecb6:c56	Membership
http://www.semwebtech.org/mondial/10/river/Glomma/	Water
7b93e6a1:150814fecb6:1dd3	Membership
7b93e6a1:150814fecb6:-713	Border
7b93e6a1:150814fecb6:10ac	Membership
7b93e6a1:150814fecb6:2172	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Olymp/	Mountain
7b93e6a1:150814fecb6:884	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	City
7b93e6a1:150814fecb6:2506	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	City
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Province
7b93e6a1:150814fecb6:5d0	Membership
7b93e6a1:150814fecb6:18f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	City
7b93e6a1:150814fecb6:-27e	Membership
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	City
7b93e6a1:150814fecb6:24b2	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	Water
7b93e6a1:150814fecb6:1c2e	Membership
7b93e6a1:150814fecb6:4cf	Membership
7b93e6a1:150814fecb6:185c	Membership
http://www.semwebtech.org/mondial/10/island/Impalila/	Island
7b93e6a1:150814fecb6:42b	Membership
7b93e6a1:150814fecb6:1e8e	Membership
7b93e6a1:150814fecb6:-5be	Membership
7b93e6a1:150814fecb6:1188	Membership
http://www.semwebtech.org/mondial/10/source/Pjandsh/	Source
7b93e6a1:150814fecb6:a5d	Membership
7b93e6a1:150814fecb6:1bda	Membership
7b93e6a1:150814fecb6:-57	Membership
7b93e6a1:150814fecb6:-51a	Membership
http://www.semwebtech.org/mondial/10/source/Kama/	Source
7b93e6a1:150814fecb6:68b	Membership
7b93e6a1:150814fecb6:230d	BelievedBy
7b93e6a1:150814fecb6:-77a	Encompassed
7b93e6a1:150814fecb6:256d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Tambo/	Source
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	City
7b93e6a1:150814fecb6:14c8	Membership
7b93e6a1:150814fecb6:1090	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	City
7b93e6a1:150814fecb6:1424	Membership
7b93e6a1:150814fecb6:9cb	Membership
7b93e6a1:150814fecb6:1a56	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Leine/	Estuary
7b93e6a1:150814fecb6:ffd	Membership
7b93e6a1:150814fecb6:2f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	City
7b93e6a1:150814fecb6:1684	Membership
7b93e6a1:150814fecb6:253	Membership
7b93e6a1:150814fecb6:13d0	Membership
7b93e6a1:150814fecb6:-3e6	Membership
7b93e6a1:150814fecb6:787	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	City
7b93e6a1:150814fecb6:-342	Membership
7b93e6a1:150814fecb6:21d9	SpokenBy
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	City
7b93e6a1:150814fecb6:c19	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	City
http://www.semwebtech.org/mondial/10/language/Basque/	Language
7b93e6a1:150814fecb6:2135	SpokenBy
7b93e6a1:150814fecb6:847	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Province
7b93e6a1:150814fecb6:19c4	Membership
7b93e6a1:150814fecb6:e79	Membership
7b93e6a1:150814fecb6:1ff6	Membership
7b93e6a1:150814fecb6:1920	Membership
7b93e6a1:150814fecb6:12cf	Membership
7b93e6a1:150814fecb6:2395	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	Mountain
7b93e6a1:150814fecb6:bc5	Membership
7b93e6a1:150814fecb6:20e1	Membership
7b93e6a1:150814fecb6:1f52	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	City
7b93e6a1:150814fecb6:122b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Province
7b93e6a1:150814fecb6:b21	Membership
7b93e6a1:150814fecb6:7f3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	City
7b93e6a1:150814fecb6:148b	Membership
7b93e6a1:150814fecb6:88	Membership
7b93e6a1:150814fecb6:d81	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	City
7b93e6a1:150814fecb6:181f	Membership
7b93e6a1:150814fecb6:-1ed	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	City
7b93e6a1:150814fecb6:2631	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	City
7b93e6a1:150814fecb6:64e	Membership
7b93e6a1:150814fecb6:17cb	Membership
7b93e6a1:150814fecb6:1dfd	Membership
7b93e6a1:150814fecb6:-73d	Encompassed
7b93e6a1:150814fecb6:10f7	Membership
7b93e6a1:150814fecb6:219c	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	City
7b93e6a1:150814fecb6:1053	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	City
7b93e6a1:150814fecb6:5fa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	EthnicGroup
7b93e6a1:150814fecb6:1a19	Membership
http://www.semwebtech.org/mondial/10/country/MK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Province
7b93e6a1:150814fecb6:24dc	EthnicProportion
7b93e6a1:150814fecb6:1647	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Province
7b93e6a1:150814fecb6:f1c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Province
7b93e6a1:150814fecb6:216	Membership
7b93e6a1:150814fecb6:1c79	Membership
7b93e6a1:150814fecb6:-3a9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Province
7b93e6a1:150814fecb6:-305	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Province
7b93e6a1:150814fecb6:476	Membership
7b93e6a1:150814fecb6:15f3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	City
7b93e6a1:150814fecb6:1c2	Membership
7b93e6a1:150814fecb6:-565	Membership
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	Estuary
7b93e6a1:150814fecb6:1fb9	Membership
7b93e6a1:150814fecb6:1b81	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Province
7b93e6a1:150814fecb6:-2b1	Membership
7b93e6a1:150814fecb6:2358	BelievedBy
7b93e6a1:150814fecb6:1f15	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	City
7b93e6a1:150814fecb6:20a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	City
7b93e6a1:150814fecb6:7b6	Membership
7b93e6a1:150814fecb6:2000	Membership
7b93e6a1:150814fecb6:de8	Membership
7b93e6a1:150814fecb6:712	Membership
7b93e6a1:150814fecb6:144e	Membership
7b93e6a1:150814fecb6:d44	Membership
7b93e6a1:150814fecb6:1ec1	Membership
7b93e6a1:150814fecb6:-801	Encompassed
7b93e6a1:150814fecb6:2260	BelievedBy
7b93e6a1:150814fecb6:972	Membership
7b93e6a1:150814fecb6:-10c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	City
7b93e6a1:150814fecb6:27d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Province
7b93e6a1:150814fecb6:13fa	Membership
7b93e6a1:150814fecb6:cf0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	City
7b93e6a1:150814fecb6:-36c	Membership
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	City
7b93e6a1:150814fecb6:25a0	EthnicProportion
7b93e6a1:150814fecb6:215f	SpokenBy
7b93e6a1:150814fecb6:1d1c	Membership
7b93e6a1:150814fecb6:19ee	Membership
7b93e6a1:150814fecb6:1016	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	City
http://www.semwebtech.org/mondial/10/river/Umeaelv/	Water
7b93e6a1:150814fecb6:5bd	Membership
7b93e6a1:150814fecb6:194a	Membership
7b93e6a1:150814fecb6:bef	Membership
7b93e6a1:150814fecb6:1f7c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Province
7b93e6a1:150814fecb6:-6ac	Border
7b93e6a1:150814fecb6:1276	Membership
7b93e6a1:150814fecb6:b4b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	City
http://www.semwebtech.org/mondial/10/island/Sansibar/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Province
7b93e6a1:150814fecb6:439	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	City
7b93e6a1:150814fecb6:-f1	Membership
7b93e6a1:150814fecb6:15b6	Membership
7b93e6a1:150814fecb6:-194	Membership
7b93e6a1:150814fecb6:265b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	City
http://www.semwebtech.org/mondial/10/estuary/Parana/	Estuary
7b93e6a1:150814fecb6:1be8	Membership
7b93e6a1:150814fecb6:1512	Membership
7b93e6a1:150814fecb6:-528	Membership
7b93e6a1:150814fecb6:699	Membership
7b93e6a1:150814fecb6:1b44	Membership
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	Water
7b93e6a1:150814fecb6:3e5	Membership
7b93e6a1:150814fecb6:1772	Membership
7b93e6a1:150814fecb6:-788	Encompassed
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	City
7b93e6a1:150814fecb6:341	Membership
7b93e6a1:150814fecb6:-4d4	Membership
7b93e6a1:150814fecb6:107d	Membership
7b93e6a1:150814fecb6:1af0	Membership
7b93e6a1:150814fecb6:-430	Membership
7b93e6a1:150814fecb6:22c7	BelievedBy
7b93e6a1:150814fecb6:d07	Membership
7b93e6a1:150814fecb6:9d9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	City
7b93e6a1:150814fecb6:2223	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	City
7b93e6a1:150814fecb6:935	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/SouthUist/	Island
7b93e6a1:150814fecb6:-690	Border
7b93e6a1:150814fecb6:f67	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	City
7b93e6a1:150814fecb6:13bd	Membership
7b93e6a1:150814fecb6:2483	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	EthnicGroup
7b93e6a1:150814fecb6:cb3	Membership
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	City
7b93e6a1:150814fecb6:-32f	Membership
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization
7b93e6a1:150814fecb6:8e1	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/	Country
7b93e6a1:150814fecb6:1ec	Membership
7b93e6a1:150814fecb6:-58f	Membership
http://www.semwebtech.org/mondial/10/estuary/Tara/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	City
7b93e6a1:150814fecb6:8	Membership
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Language
7b93e6a1:150814fecb6:190d	Membership
7b93e6a1:150814fecb6:-2db	Membership
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	Estuary
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	City
7b93e6a1:150814fecb6:1f3f	Membership
7b93e6a1:150814fecb6:1239	Membership
7b93e6a1:150814fecb6:20ce	Membership
7b93e6a1:150814fecb6:b0e	Membership
http://www.semwebtech.org/mondial/10/island/Sylt/	Island
7b93e6a1:150814fecb6:202a	Membership
7b93e6a1:150814fecb6:73c	Membership
7b93e6a1:150814fecb6:1499	Membership
7b93e6a1:150814fecb6:d6e	Membership
7b93e6a1:150814fecb6:1eeb	Membership
7b93e6a1:150814fecb6:228a	BelievedBy
7b93e6a1:150814fecb6:11e5	Membership
7b93e6a1:150814fecb6:aba	Membership
7b93e6a1:150814fecb6:99c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Province
7b93e6a1:150814fecb6:-b4	Membership
7b93e6a1:150814fecb6:1141	Membership
7b93e6a1:150814fecb6:-157	Membership
7b93e6a1:150814fecb6:261e	EthnicProportion
7b93e6a1:150814fecb6:-10	Membership
7b93e6a1:150814fecb6:1b07	Membership
7b93e6a1:150814fecb6:17d9	Membership
7b93e6a1:150814fecb6:3a8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	EthnicGroup
7b93e6a1:150814fecb6:1735	Membership
7b93e6a1:150814fecb6:25ca	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	City
7b93e6a1:150814fecb6:304	Membership
7b93e6a1:150814fecb6:1d67	Membership
7b93e6a1:150814fecb6:1ab3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Province
7b93e6a1:150814fecb6:1995	Membership
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Province
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	City
7b93e6a1:150814fecb6:16e1	Membership
7b93e6a1:150814fecb6:564	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	City
7b93e6a1:150814fecb6:-6f7	Border
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	City
7b93e6a1:150814fecb6:b96	Membership
7b93e6a1:150814fecb6:2b0	Membership
7b93e6a1:150814fecb6:-653	Border
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	City
7b93e6a1:150814fecb6:2446	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Main/	Estuary
http://www.semwebtech.org/mondial/10/source/Lech/	Source
7b93e6a1:150814fecb6:8a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	City
7b93e6a1:150814fecb6:ed6	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	City
7b93e6a1:150814fecb6:800	Membership
7b93e6a1:150814fecb6:1af	Membership
7b93e6a1:150814fecb6:153c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	City
7b93e6a1:150814fecb6:23f2	BelievedBy
7b93e6a1:150814fecb6:e32	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	City
http://www.semwebtech.org/mondial/10/religion/Methodist/	Religion
7b93e6a1:150814fecb6:10b	Membership
7b93e6a1:150814fecb6:1b6e	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	City
7b93e6a1:150814fecb6:179c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	City
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	City
7b93e6a1:150814fecb6:36b	Membership
7b93e6a1:150814fecb6:-4fe	Membership
7b93e6a1:150814fecb6:e5	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	City
7b93e6a1:150814fecb6:-45a	Membership
7b93e6a1:150814fecb6:41	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	City
7b93e6a1:150814fecb6:1eae	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	City
7b93e6a1:150814fecb6:11a8	Membership
7b93e6a1:150814fecb6:224d	BelievedBy
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Province
7b93e6a1:150814fecb6:95f	Membership
7b93e6a1:150814fecb6:1e0a	Membership
7b93e6a1:150814fecb6:1104	Membership
7b93e6a1:150814fecb6:6ab	Membership
http://www.semwebtech.org/mondial/10/source/Douro/	Source
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	City
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Province
7b93e6a1:150814fecb6:cdd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	EthnicGroup
7b93e6a1:150814fecb6:1364	Membership
7b93e6a1:150814fecb6:10b0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	City
7b93e6a1:150814fecb6:193	Membership
7b93e6a1:150814fecb6:1958	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	City
7b93e6a1:150814fecb6:527	Membership
7b93e6a1:150814fecb6:16a4	Membership
7b93e6a1:150814fecb6:-282	Membership
7b93e6a1:150814fecb6:b59	Membership
7b93e6a1:150814fecb6:1cd6	Membership
7b93e6a1:150814fecb6:1600	Membership
7b93e6a1:150814fecb6:-616	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Province
7b93e6a1:150814fecb6:1c32	Membership
7b93e6a1:150814fecb6:2409	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	Mountain
7b93e6a1:150814fecb6:4d3	Membership
7b93e6a1:150814fecb6:1860	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	City
7b93e6a1:150814fecb6:1e92	Membership
7b93e6a1:150814fecb6:-de	Membership
7b93e6a1:150814fecb6:-5c2	Membership
7b93e6a1:150814fecb6:116b	Membership
7b93e6a1:150814fecb6:2669	EthnicProportion
7b93e6a1:150814fecb6:a61	Membership
7b93e6a1:150814fecb6:-3a	Membership
7b93e6a1:150814fecb6:23b5	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Province
7b93e6a1:150814fecb6:2311	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Mountains
http://www.semwebtech.org/mondial/10/country/CV/	Country
http://www.semwebtech.org/mondial/10/estuary/Naryn/	Estuary
7b93e6a1:150814fecb6:175f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	City
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	Estuary
7b93e6a1:150814fecb6:32e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	City
7b93e6a1:150814fecb6:14ab	Membership
7b93e6a1:150814fecb6:2571	EthnicProportion
7b93e6a1:150814fecb6:a8	Membership
7b93e6a1:150814fecb6:da1	Membership
7b93e6a1:150814fecb6:1add	Membership
7b93e6a1:150814fecb6:-41d	Membership
7b93e6a1:150814fecb6:58e	Membership
7b93e6a1:150814fecb6:2da	Membership
http://www.semwebtech.org/mondial/10/source/Oulujoki/	Source
7b93e6a1:150814fecb6:-67d	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Mountains
7b93e6a1:150814fecb6:1327	Membership
7b93e6a1:150814fecb6:21bc	SpokenBy
7b93e6a1:150814fecb6:8ce	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Province
7b93e6a1:150814fecb6:82a	Membership
7b93e6a1:150814fecb6:1587	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	City
7b93e6a1:150814fecb6:e5c	Membership
7b93e6a1:150814fecb6:156	Membership
7b93e6a1:150814fecb6:12d3	Membership
7b93e6a1:150814fecb6:-2e9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Province
7b93e6a1:150814fecb6:-245	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	City
http://www.semwebtech.org/mondial/10/river/Po/	Water
7b93e6a1:150814fecb6:2038	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	City
7b93e6a1:150814fecb6:18c7	Membership
7b93e6a1:150814fecb6:6b	Membership
7b93e6a1:150814fecb6:1ef9	Membership
http://www.semwebtech.org/mondial/10/organization/UN/	Organization
7b93e6a1:150814fecb6:1823	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	City
7b93e6a1:150814fecb6:-1f1	Membership
7b93e6a1:150814fecb6:2298	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	City
7b93e6a1:150814fecb6:ac8	Membership
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	Estuary
7b93e6a1:150814fecb6:1e55	Membership
http://www.semwebtech.org/mondial/10/river/Tennessee/	Water
7b93e6a1:150814fecb6:112e	Membership
http://www.semwebtech.org/mondial/10/island/Borneo/	Island
7b93e6a1:150814fecb6:6f6	Membership
7b93e6a1:150814fecb6:a24	Membership
7b93e6a1:150814fecb6:1ba1	Membership
7b93e6a1:150814fecb6:138e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	City
7b93e6a1:150814fecb6:652	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	City
7b93e6a1:150814fecb6:-7e5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	City
7b93e6a1:150814fecb6:c84	Membership
7b93e6a1:150814fecb6:-741	Encompassed
7b93e6a1:150814fecb6:10da	Membership
7b93e6a1:150814fecb6:25d8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Province
7b93e6a1:150814fecb6:2534	EthnicProportion
7b93e6a1:150814fecb6:16ce	Membership
7b93e6a1:150814fecb6:fc4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	City
7b93e6a1:150814fecb6:24e0	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Desert
7b93e6a1:150814fecb6:162a	Membership
7b93e6a1:150814fecb6:209f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	City
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	Province
7b93e6a1:150814fecb6:f20	Membership
7b93e6a1:150814fecb6:1c5c	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	City
http://www.semwebtech.org/mondial/10/river/Luapula/	Water
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	City
7b93e6a1:150814fecb6:4fd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	City
7b93e6a1:150814fecb6:188a	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Water
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Island
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	City
7b93e6a1:150814fecb6:-5ec	Border
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	Estuary
7b93e6a1:150814fecb6:a8b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	City
7b93e6a1:150814fecb6:-85	Membership
http://www.semwebtech.org/mondial/10/language/Greek/	Language
7b93e6a1:150814fecb6:23df	BelievedBy
7b93e6a1:150814fecb6:e1f	Membership
7b93e6a1:150814fecb6:119	Membership
http://www.semwebtech.org/mondial/10/island/Tortola/	Island
7b93e6a1:150814fecb6:233b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	City
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Water
7b93e6a1:150814fecb6:-208	Membership
7b93e6a1:150814fecb6:379	Membership
7b93e6a1:150814fecb6:14f6	Membership
http://www.semwebtech.org/mondial/10/mountain/Kailash/	Mountain
7b93e6a1:150814fecb6:259b	EthnicProportion
7b93e6a1:150814fecb6:dcb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	City
7b93e6a1:150814fecb6:1452	Membership
7b93e6a1:150814fecb6:-468	Membership
7b93e6a1:150814fecb6:2e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	City
7b93e6a1:150814fecb6:1a84	Membership
7b93e6a1:150814fecb6:-1b4	Membership
7b93e6a1:150814fecb6:1e18	Membership
7b93e6a1:150814fecb6:-110	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Province
7b93e6a1:150814fecb6:6b9	Membership
7b93e6a1:150814fecb6:281	Membership
http://www.semwebtech.org/mondial/10/language/Hebrew/	Language
7b93e6a1:150814fecb6:615	Membership
7b93e6a1:150814fecb6:-7a8	Encompassed
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	City
7b93e6a1:150814fecb6:-370	Membership
7b93e6a1:150814fecb6:c47	Membership
7b93e6a1:150814fecb6:1dc4	Membership
7b93e6a1:150814fecb6:-704	Border
7b93e6a1:150814fecb6:2163	SpokenBy
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	Water
7b93e6a1:150814fecb6:1d20	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	City
7b93e6a1:150814fecb6:875	Membership
7b93e6a1:150814fecb6:19f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	City
7b93e6a1:150814fecb6:5c1	Membership
7b93e6a1:150814fecb6:12fd	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	City
7b93e6a1:150814fecb6:bf3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	City
7b93e6a1:150814fecb6:1f80	Membership
7b93e6a1:150814fecb6:-6b0	Border
7b93e6a1:150814fecb6:-26f	Membership
http://www.semwebtech.org/mondial/10/river/Rhone/	Water
7b93e6a1:150814fecb6:24a3	EthnicProportion
7b93e6a1:150814fecb6:1c1f	Membership
http://www.semwebtech.org/mondial/10/river/Bani/	Water
http://www.semwebtech.org/mondial/10/organization/EBRD/	Organization
7b93e6a1:150814fecb6:184d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	EthnicGroup
7b93e6a1:150814fecb6:41c	Membership
7b93e6a1:150814fecb6:1e7f	Membership
7b93e6a1:150814fecb6:-5af	Membership
7b93e6a1:150814fecb6:1179	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	City
7b93e6a1:150814fecb6:a4e	Membership
7b93e6a1:150814fecb6:1bcb	Membership
7b93e6a1:150814fecb6:-48	Membership
7b93e6a1:150814fecb6:-50b	Membership
7b93e6a1:150814fecb6:67c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	City
7b93e6a1:150814fecb6:-76b	Encompassed
http://www.semwebtech.org/mondial/10/country/GUY/	Country
7b93e6a1:150814fecb6:14b9	Membership
7b93e6a1:150814fecb6:1081	Membership
7b93e6a1:150814fecb6:255e	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Religion
7b93e6a1:150814fecb6:1415	Membership
7b93e6a1:150814fecb6:22aa	BelievedBy
7b93e6a1:150814fecb6:9bc	Membership
http://www.semwebtech.org/mondial/10/river/Karun/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	City
7b93e6a1:150814fecb6:1a47	Membership
http://www.semwebtech.org/mondial/10/mountain/K2/	Mountain
7b93e6a1:150814fecb6:fee	Membership
7b93e6a1:150814fecb6:2e8	Membership
7b93e6a1:150814fecb6:1675	Membership
7b93e6a1:150814fecb6:f4a	Membership
7b93e6a1:150814fecb6:244	Membership
7b93e6a1:150814fecb6:13c1	Membership
7b93e6a1:150814fecb6:-3d7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	Province
7b93e6a1:150814fecb6:-333	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Province
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	Mountain
7b93e6a1:150814fecb6:2126	SpokenBy
7b93e6a1:150814fecb6:838	Membership
7b93e6a1:150814fecb6:1f0	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Province
7b93e6a1:150814fecb6:19b5	Membership
7b93e6a1:150814fecb6:-593	Membership
7b93e6a1:150814fecb6:1fe7	Membership
7b93e6a1:150814fecb6:1911	Membership
7b93e6a1:150814fecb6:2386	BelievedBy
7b93e6a1:150814fecb6:bb6	Membership
7b93e6a1:150814fecb6:1f43	Membership
http://www.semwebtech.org/mondial/10/river/Urubamba/	Water
7b93e6a1:150814fecb6:121c	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Water
7b93e6a1:150814fecb6:20d2	Membership
7b93e6a1:150814fecb6:b12	Membership
7b93e6a1:150814fecb6:7e4	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	City
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	Mountain
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	City
7b93e6a1:150814fecb6:740	Membership
7b93e6a1:150814fecb6:147c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	City
7b93e6a1:150814fecb6:79	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Province
7b93e6a1:150814fecb6:d72	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	City
7b93e6a1:150814fecb6:-1de	Membership
7b93e6a1:150814fecb6:26c6	EthnicProportion
7b93e6a1:150814fecb6:-13a	Membership
7b93e6a1:150814fecb6:2622	EthnicProportion
7b93e6a1:150814fecb6:63f	Membership
7b93e6a1:150814fecb6:17bc	Membership
7b93e6a1:150814fecb6:-39a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	EthnicGroup
7b93e6a1:150814fecb6:1dee	Membership
7b93e6a1:150814fecb6:-72e	Encompassed
7b93e6a1:150814fecb6:10e8	Membership
7b93e6a1:150814fecb6:218d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Chatanga/	Source
7b93e6a1:150814fecb6:89f	Membership
7b93e6a1:150814fecb6:1d4a	Membership
7b93e6a1:150814fecb6:1044	Membership
7b93e6a1:150814fecb6:5eb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	City
http://www.semwebtech.org/mondial/10/country/COCO/	Country
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	City
7b93e6a1:150814fecb6:-6da	Border
7b93e6a1:150814fecb6:1638	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Province
7b93e6a1:150814fecb6:24cd	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Aller/	Estuary
7b93e6a1:150814fecb6:f0d	Membership
7b93e6a1:150814fecb6:207	Membership
7b93e6a1:150814fecb6:1898	Membership
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	Mountain
http://www.semwebtech.org/mondial/10/island/Sumatra/	Island
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	City
7b93e6a1:150814fecb6:467	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	City
7b93e6a1:150814fecb6:15e4	Membership
7b93e6a1:150814fecb6:1540	Membership
7b93e6a1:150814fecb6:a99	Membership
7b93e6a1:150814fecb6:1b3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Province
7b93e6a1:150814fecb6:-556	Membership
http://www.semwebtech.org/mondial/10/language/Turkic/	Language
7b93e6a1:150814fecb6:1b72	Membership
7b93e6a1:150814fecb6:-2a2	Membership
7b93e6a1:150814fecb6:2349	BelievedBy
7b93e6a1:150814fecb6:18aa	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	City
7b93e6a1:150814fecb6:1f06	Membership
7b93e6a1:150814fecb6:7a7	Membership
http://www.semwebtech.org/mondial/10/island/Cyprus/	Island
7b93e6a1:150814fecb6:dd9	Membership
7b93e6a1:150814fecb6:703	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Water
7b93e6a1:150814fecb6:143f	Membership
7b93e6a1:150814fecb6:22f5	BelievedBy
7b93e6a1:150814fecb6:d35	Membership
7b93e6a1:150814fecb6:1eb2	Membership
7b93e6a1:150814fecb6:2251	BelievedBy
http://www.semwebtech.org/mondial/10/country/BZ/	Country
7b93e6a1:150814fecb6:963	Membership
7b93e6a1:150814fecb6:169f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	City
7b93e6a1:150814fecb6:f95	Membership
http://www.semwebtech.org/mondial/10/organization/EFTA/	Organization
7b93e6a1:150814fecb6:26e	Membership
7b93e6a1:150814fecb6:13eb	Membership
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Water
7b93e6a1:150814fecb6:ce1	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	City
7b93e6a1:150814fecb6:-35d	Membership
7b93e6a1:150814fecb6:1d0d	Membership
7b93e6a1:150814fecb6:19df	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Province
7b93e6a1:150814fecb6:1007	Membership
7b93e6a1:150814fecb6:5ae	Membership
7b93e6a1:150814fecb6:193b	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Province
7b93e6a1:150814fecb6:50a	Membership
7b93e6a1:150814fecb6:1f6d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	EthnicGroup
7b93e6a1:150814fecb6:1267	Membership
7b93e6a1:150814fecb6:20fc	Membership
7b93e6a1:150814fecb6:b3c	Membership
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/Ural/	Estuary
7b93e6a1:150814fecb6:76a	Membership
http://www.semwebtech.org/mondial/10/source/Donau/	Source
7b93e6a1:150814fecb6:d9c	Membership
7b93e6a1:150814fecb6:-e2	Membership
7b93e6a1:150814fecb6:15a7	Membership
7b93e6a1:150814fecb6:-185	Membership
7b93e6a1:150814fecb6:264c	EthnicProportion
7b93e6a1:150814fecb6:1bd9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	City
7b93e6a1:150814fecb6:1503	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	City
7b93e6a1:150814fecb6:-519	Membership
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	Estuary
7b93e6a1:150814fecb6:1b35	Membership
http://www.semwebtech.org/mondial/10/river/Lukenie/	Water
7b93e6a1:150814fecb6:3d6	Membership
7b93e6a1:150814fecb6:1763	Membership
7b93e6a1:150814fecb6:-779	Encompassed
http://www.semwebtech.org/mondial/10/country/LAO/	Country
7b93e6a1:150814fecb6:332	Membership
7b93e6a1:150814fecb6:1d95	Membership
7b93e6a1:150814fecb6:-4c5	Membership
7b93e6a1:150814fecb6:106e	Membership
7b93e6a1:150814fecb6:1ae1	Membership
http://www.semwebtech.org/mondial/10/country/TL/	Country
7b93e6a1:150814fecb6:-421	Membership
7b93e6a1:150814fecb6:22b8	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Tahan/	Mountain
7b93e6a1:150814fecb6:592	Membership
7b93e6a1:150814fecb6:2214	SpokenBy
7b93e6a1:150814fecb6:926	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Province
7b93e6a1:150814fecb6:-681	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	City
7b93e6a1:150814fecb6:f58	Membership
7b93e6a1:150814fecb6:13ae	Membership
http://www.semwebtech.org/mondial/10/country/TAD/	Country
7b93e6a1:150814fecb6:2474	EthnicProportion
7b93e6a1:150814fecb6:ca4	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	City
7b93e6a1:150814fecb6:130a	Membership
7b93e6a1:150814fecb6:21c0	SpokenBy
7b93e6a1:150814fecb6:c00	Membership
7b93e6a1:150814fecb6:8d2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	City
7b93e6a1:150814fecb6:1dd	Membership
7b93e6a1:150814fecb6:156a	Membership
http://www.semwebtech.org/mondial/10/island/Timor/	Island
7b93e6a1:150814fecb6:e60	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	City
7b93e6a1:150814fecb6:1b9c	Membership
7b93e6a1:150814fecb6:-2cc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Province
7b93e6a1:150814fecb6:20bf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	City
7b93e6a1:150814fecb6:201b	Membership
7b93e6a1:150814fecb6:72d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	EthnicGroup
7b93e6a1:150814fecb6:d5f	Membership
7b93e6a1:150814fecb6:1edc	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	City
7b93e6a1:150814fecb6:11d6	Membership
7b93e6a1:150814fecb6:227b	BelievedBy
7b93e6a1:150814fecb6:aab	Membership
7b93e6a1:150814fecb6:98d	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	City
7b93e6a1:150814fecb6:-a5	Membership
7b93e6a1:150814fecb6:1132	Membership
7b93e6a1:150814fecb6:-148	Membership
7b93e6a1:150814fecb6:260f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	City
7b93e6a1:150814fecb6:1392	Membership
http://www.semwebtech.org/mondial/10/country/K/	Country
7b93e6a1:150814fecb6:1726	Membership
7b93e6a1:150814fecb6:25bb	EthnicProportion
7b93e6a1:150814fecb6:1d58	Membership
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	City
7b93e6a1:150814fecb6:5f9	Membership
7b93e6a1:150814fecb6:1aa4	Membership
7b93e6a1:150814fecb6:1986	Membership
http://www.semwebtech.org/mondial/10/river/Zaire/	Water
7b93e6a1:150814fecb6:1a00	Membership
7b93e6a1:150814fecb6:555	Membership
7b93e6a1:150814fecb6:16d2	Membership
7b93e6a1:150814fecb6:-6e8	Border
7b93e6a1:150814fecb6:b87	Membership
7b93e6a1:150814fecb6:2a1	Membership
7b93e6a1:150814fecb6:-644	Border
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Mountains
7b93e6a1:150814fecb6:1c60	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	City
7b93e6a1:150814fecb6:2437	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Adda/	Estuary
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Province
7b93e6a1:150814fecb6:-5f0	Border
7b93e6a1:150814fecb6:2697	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Zhima/	Mountain
7b93e6a1:150814fecb6:ec7	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Province
7b93e6a1:150814fecb6:152d	Membership
7b93e6a1:150814fecb6:23e3	BelievedBy
7b93e6a1:150814fecb6:e23	Membership
7b93e6a1:150814fecb6:1fa0	Membership
7b93e6a1:150814fecb6:1b5f	Membership
7b93e6a1:150814fecb6:178d	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	City
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	City
http://www.semwebtech.org/mondial/10/country/RCA/	Country
7b93e6a1:150814fecb6:35c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Province
7b93e6a1:150814fecb6:-4ef	Membership
7b93e6a1:150814fecb6:d6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	City
7b93e6a1:150814fecb6:-44b	Membership
7b93e6a1:150814fecb6:32	Membership
7b93e6a1:150814fecb6:223e	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Province
7b93e6a1:150814fecb6:13f9	Membership
7b93e6a1:150814fecb6:249e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Province
7b93e6a1:150814fecb6:cce	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	City
http://www.semwebtech.org/mondial/10/language/Danish/	Language
7b93e6a1:150814fecb6:1355	Membership
7b93e6a1:150814fecb6:21ea	SpokenBy
7b93e6a1:150814fecb6:c2a	Membership
7b93e6a1:150814fecb6:8fc	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	City
7b93e6a1:150814fecb6:10a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Province
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Language
http://www.semwebtech.org/mondial/10/mountains/Andes/	Mountains
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	City
http://www.semwebtech.org/mondial/10/organization/BIS/	Organization
7b93e6a1:150814fecb6:e8a	Membership
7b93e6a1:150814fecb6:1949	Membership
7b93e6a1:150814fecb6:184	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	City
7b93e6a1:150814fecb6:518	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	City
7b93e6a1:150814fecb6:-273	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	City
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	City
7b93e6a1:150814fecb6:1cc7	Membership
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Continent
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	City
7b93e6a1:150814fecb6:-607	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	City
7b93e6a1:150814fecb6:2066	Membership
7b93e6a1:150814fecb6:778	Membership
7b93e6a1:150814fecb6:1c23	Membership
7b93e6a1:150814fecb6:18f5	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	City
7b93e6a1:150814fecb6:4c4	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	City
7b93e6a1:150814fecb6:1851	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	City
http://www.semwebtech.org/mondial/10/religion/Christian/	Religion
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mountains
7b93e6a1:150814fecb6:1e83	Membership
7b93e6a1:150814fecb6:af6	Membership
7b93e6a1:150814fecb6:420	Membership
7b93e6a1:150814fecb6:-cf	Membership
7b93e6a1:150814fecb6:-5b3	Membership
7b93e6a1:150814fecb6:115c	Membership
7b93e6a1:150814fecb6:a52	Membership
7b93e6a1:150814fecb6:-2b	Membership
7b93e6a1:150814fecb6:23a6	BelievedBy
7b93e6a1:150814fecb6:680	Membership
7b93e6a1:150814fecb6:2302	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRN/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	City
7b93e6a1:150814fecb6:31f	Membership
7b93e6a1:150814fecb6:2562	EthnicProportion
7b93e6a1:150814fecb6:1ace	Membership
7b93e6a1:150814fecb6:-40e	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	Mountain
7b93e6a1:150814fecb6:9c0	Membership
7b93e6a1:150814fecb6:57f	Membership
7b93e6a1:150814fecb6:1a2a	Membership
7b93e6a1:150814fecb6:16fc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	City
7b93e6a1:150814fecb6:ff2	Membership
7b93e6a1:150814fecb6:2cb	Membership
7b93e6a1:150814fecb6:-66e	Border
7b93e6a1:150814fecb6:1c8a	Membership
7b93e6a1:150814fecb6:-3ba	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	City
http://www.semwebtech.org/mondial/10/language/Dungun/	Language
7b93e6a1:150814fecb6:1318	Membership
http://www.semwebtech.org/mondial/10/source/Volta/	Source
7b93e6a1:150814fecb6:21ad	SpokenBy
7b93e6a1:150814fecb6:8bf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	City
7b93e6a1:150814fecb6:81b	Membership
7b93e6a1:150814fecb6:1578	Membership
7b93e6a1:150814fecb6:1fca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	City
7b93e6a1:150814fecb6:e4d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	City
7b93e6a1:150814fecb6:147	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	City
7b93e6a1:150814fecb6:12c4	Membership
http://www.semwebtech.org/mondial/10/river/Lukuga/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	City
7b93e6a1:150814fecb6:1220	Membership
7b93e6a1:150814fecb6:-236	Membership
http://www.semwebtech.org/mondial/10/river/Huallaga/	Water
http://www.semwebtech.org/mondial/10/river/Mississippi/	Water
7b93e6a1:150814fecb6:2029	Membership
7b93e6a1:150814fecb6:18b8	Membership
7b93e6a1:150814fecb6:1480	Membership
7b93e6a1:150814fecb6:-496	Membership
7b93e6a1:150814fecb6:5c	Membership
7b93e6a1:150814fecb6:1814	Membership
7b93e6a1:150814fecb6:-1e2	Membership
7b93e6a1:150814fecb6:2289	BelievedBy
http://www.semwebtech.org/mondial/10/island/Rhum/	Island
7b93e6a1:150814fecb6:ab9	Membership
7b93e6a1:150814fecb6:1e46	Membership
7b93e6a1:150814fecb6:111f	Membership
7b93e6a1:150814fecb6:6e7	Membership
7b93e6a1:150814fecb6:a15	Membership
http://www.semwebtech.org/mondial/10/estuary/Amur/	Estuary
http://www.semwebtech.org/mondial/10/river/Uelle/	Water
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Province
7b93e6a1:150814fecb6:643	Membership
7b93e6a1:150814fecb6:17c0	Membership
7b93e6a1:150814fecb6:-7d6	Encompassed
7b93e6a1:150814fecb6:137f	Membership
http://www.semwebtech.org/mondial/10/island/Panay/	Island
7b93e6a1:150814fecb6:25c9	EthnicProportion
7b93e6a1:150814fecb6:c75	Membership
http://www.semwebtech.org/mondial/10/source/Oder/	Source
7b93e6a1:150814fecb6:1df2	Membership
7b93e6a1:150814fecb6:-732	Encompassed
7b93e6a1:150814fecb6:10cb	Membership
7b93e6a1:150814fecb6:2191	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	City
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	City
7b93e6a1:150814fecb6:2525	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	Water
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Language
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Water
7b93e6a1:150814fecb6:16bf	Membership
7b93e6a1:150814fecb6:-29d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	City
7b93e6a1:150814fecb6:fb5	Membership
7b93e6a1:150814fecb6:161b	Membership
7b93e6a1:150814fecb6:24d1	EthnicProportion
7b93e6a1:150814fecb6:f11	Membership
7b93e6a1:150814fecb6:1c4d	Membership
7b93e6a1:150814fecb6:4ee	Membership
7b93e6a1:150814fecb6:187b	Membership
7b93e6a1:150814fecb6:44a	Membership
7b93e6a1:150814fecb6:-5dd	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	City
7b93e6a1:150814fecb6:a7c	Membership
7b93e6a1:150814fecb6:-76	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Province
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	City
7b93e6a1:150814fecb6:232c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	City
7b93e6a1:150814fecb6:14e7	Membership
7b93e6a1:150814fecb6:258c	EthnicProportion
7b93e6a1:150814fecb6:dbc	Membership
7b93e6a1:150814fecb6:1443	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	City
7b93e6a1:150814fecb6:-459	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	City
7b93e6a1:150814fecb6:1f	Membership
7b93e6a1:150814fecb6:9ea	Membership
7b93e6a1:150814fecb6:1a75	Membership
7b93e6a1:150814fecb6:-1a5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Province
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	City
7b93e6a1:150814fecb6:1e09	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	City
7b93e6a1:150814fecb6:-101	Membership
7b93e6a1:150814fecb6:272	Membership
7b93e6a1:150814fecb6:606	Membership
http://www.semwebtech.org/mondial/10/country/SP/	Country
7b93e6a1:150814fecb6:-361	Membership
7b93e6a1:150814fecb6:21f8	SpokenBy
7b93e6a1:150814fecb6:1db5	Membership
7b93e6a1:150814fecb6:c38	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	City
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Province
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Desert
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	City
7b93e6a1:150814fecb6:2154	SpokenBy
7b93e6a1:150814fecb6:866	Membership
7b93e6a1:150814fecb6:1d11	Membership
7b93e6a1:150814fecb6:19e3	Membership
http://www.semwebtech.org/mondial/10/island/Providenciales/	Island
7b93e6a1:150814fecb6:e98	Membership
7b93e6a1:150814fecb6:5b2	Membership
7b93e6a1:150814fecb6:12ee	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	City
7b93e6a1:150814fecb6:be4	Membership
7b93e6a1:150814fecb6:1f71	Membership
7b93e6a1:150814fecb6:-6a1	Border
7b93e6a1:150814fecb6:124a	Membership
7b93e6a1:150814fecb6:b40	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	City
http://www.semwebtech.org/mondial/10/estuary/Jordan/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	City
7b93e6a1:150814fecb6:183e	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	City
7b93e6a1:150814fecb6:40d	Membership
7b93e6a1:150814fecb6:2650	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	Estuary
7b93e6a1:150814fecb6:a3f	Membership
7b93e6a1:150814fecb6:1bbc	Membership
7b93e6a1:150814fecb6:-39	Membership
7b93e6a1:150814fecb6:66d	Membership
7b93e6a1:150814fecb6:17ea	Membership
7b93e6a1:150814fecb6:c9f	Membership
7b93e6a1:150814fecb6:-75c	Encompassed
7b93e6a1:150814fecb6:254f	EthnicProportion
7b93e6a1:150814fecb6:1072	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Province
http://www.semwebtech.org/mondial/10/river/Ili/	Water
7b93e6a1:150814fecb6:1406	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Province
7b93e6a1:150814fecb6:9ad	Membership
7b93e6a1:150814fecb6:1a38	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	City
http://www.semwebtech.org/mondial/10/source/Limmat/	Source
7b93e6a1:150814fecb6:fdf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	City
7b93e6a1:150814fecb6:2d9	Membership
7b93e6a1:150814fecb6:24fb	EthnicProportion
7b93e6a1:150814fecb6:1666	Membership
7b93e6a1:150814fecb6:1c98	Membership
7b93e6a1:150814fecb6:13b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	City
7b93e6a1:150814fecb6:f3b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	City
7b93e6a1:150814fecb6:235	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	City
7b93e6a1:150814fecb6:-3c8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Province
7b93e6a1:150814fecb6:-324	Membership
7b93e6a1:150814fecb6:495	Membership
7b93e6a1:150814fecb6:2117	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Province
7b93e6a1:150814fecb6:829	Membership
7b93e6a1:150814fecb6:1e1	Membership
7b93e6a1:150814fecb6:19a6	Membership
7b93e6a1:150814fecb6:-584	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	City
7b93e6a1:150814fecb6:1fd8	Membership
7b93e6a1:150814fecb6:1902	Membership
7b93e6a1:150814fecb6:-2d0	Membership
7b93e6a1:150814fecb6:2377	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	Mountain
7b93e6a1:150814fecb6:ba7	Membership
7b93e6a1:150814fecb6:1f34	Membership
7b93e6a1:150814fecb6:120d	Membership
7b93e6a1:150814fecb6:20c3	Membership
7b93e6a1:150814fecb6:b03	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	Province
7b93e6a1:150814fecb6:7d5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	City
7b93e6a1:150814fecb6:731	Membership
7b93e6a1:150814fecb6:146d	Membership
7b93e6a1:150814fecb6:d63	Membership
http://www.semwebtech.org/mondial/10/island/Helgoland/	Island
7b93e6a1:150814fecb6:1ee0	Membership
7b93e6a1:150814fecb6:1a9f	Membership
7b93e6a1:150814fecb6:-1cf	Membership
7b93e6a1:150814fecb6:26b7	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Island
7b93e6a1:150814fecb6:991	Membership
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Island
7b93e6a1:150814fecb6:-12b	Membership
7b93e6a1:150814fecb6:2613	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	City
7b93e6a1:150814fecb6:29c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	City
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	City
http://www.semwebtech.org/mondial/10/island/Tahiti/	Island
7b93e6a1:150814fecb6:17ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	City
7b93e6a1:150814fecb6:-38b	Membership
7b93e6a1:150814fecb6:1ddf	Membership
7b93e6a1:150814fecb6:-71f	Encompassed
7b93e6a1:150814fecb6:10d9	Membership
7b93e6a1:150814fecb6:217e	SpokenBy
http://www.semwebtech.org/mondial/10/source/Bartang/	Source
7b93e6a1:150814fecb6:1d3b	Membership
7b93e6a1:150814fecb6:1035	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Province
7b93e6a1:150814fecb6:5dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Province
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	City
7b93e6a1:150814fecb6:1f9b	Membership
7b93e6a1:150814fecb6:-6cb	Border
7b93e6a1:150814fecb6:1295	Membership
7b93e6a1:150814fecb6:b6a	Membership
7b93e6a1:150814fecb6:1629	Membership
7b93e6a1:150814fecb6:24be	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	City
7b93e6a1:150814fecb6:241a	BelievedBy
7b93e6a1:150814fecb6:1889	Membership
7b93e6a1:150814fecb6:458	Membership
7b93e6a1:150814fecb6:15d5	Membership
7b93e6a1:150814fecb6:267a	EthnicProportion
7b93e6a1:150814fecb6:eaa	Membership
7b93e6a1:150814fecb6:1a4	Membership
7b93e6a1:150814fecb6:1531	Membership
7b93e6a1:150814fecb6:-547	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	City
7b93e6a1:150814fecb6:100	Membership
7b93e6a1:150814fecb6:1b63	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Province
http://www.semwebtech.org/mondial/10/organization/IBRD/	Organization
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	City
7b93e6a1:150814fecb6:1791	Membership
7b93e6a1:150814fecb6:360	Membership
7b93e6a1:150814fecb6:-4f3	Membership
7b93e6a1:150814fecb6:109c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/	Country
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	EthnicGroup
7b93e6a1:150814fecb6:22e6	BelievedBy
http://www.semwebtech.org/mondial/10/source/Vuoksi/	Source
7b93e6a1:150814fecb6:d26	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	City
7b93e6a1:150814fecb6:9f8	Membership
7b93e6a1:150814fecb6:1ea3	Membership
7b93e6a1:150814fecb6:2242	BelievedBy
7b93e6a1:150814fecb6:954	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	City
7b93e6a1:150814fecb6:f86	Membership
7b93e6a1:150814fecb6:6a0	Membership
7b93e6a1:150814fecb6:25f	Membership
7b93e6a1:150814fecb6:13dc	Membership
7b93e6a1:150814fecb6:cd2	Membership
7b93e6a1:150814fecb6:-34e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	City
http://www.semwebtech.org/mondial/10/organization/LAIA/	Organization
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	Source
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	City
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	City
7b93e6a1:150814fecb6:192c	Membership
7b93e6a1:150814fecb6:-2fa	Membership
7b93e6a1:150814fecb6:1f5e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	City
7b93e6a1:150814fecb6:1258	Membership
http://www.semwebtech.org/mondial/10/river/Neckar/	Water
7b93e6a1:150814fecb6:20ed	Membership
7b93e6a1:150814fecb6:b2d	Membership
7b93e6a1:150814fecb6:7ff	Membership
7b93e6a1:150814fecb6:1caa	Membership
7b93e6a1:150814fecb6:75b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	City
7b93e6a1:150814fecb6:d8d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	City
7b93e6a1:150814fecb6:-d3	Membership
7b93e6a1:150814fecb6:1160	Membership
7b93e6a1:150814fecb6:-176	Membership
7b93e6a1:150814fecb6:263d	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/ICCt/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	City
7b93e6a1:150814fecb6:1b26	Membership
7b93e6a1:150814fecb6:17f8	Membership
7b93e6a1:150814fecb6:3c7	Membership
7b93e6a1:150814fecb6:1754	Membership
7b93e6a1:150814fecb6:1d86	Membership
7b93e6a1:150814fecb6:14a0	Membership
7b93e6a1:150814fecb6:323	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	City
7b93e6a1:150814fecb6:105f	Membership
7b93e6a1:150814fecb6:-4b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	City
http://www.semwebtech.org/mondial/10/mountain/Merapi/	Mountain
7b93e6a1:150814fecb6:1ad2	Membership
http://www.semwebtech.org/mondial/10/organization/CDB/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	City
7b93e6a1:150814fecb6:-412	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	City
7b93e6a1:150814fecb6:22a9	BelievedBy
7b93e6a1:150814fecb6:583	Membership
7b93e6a1:150814fecb6:2205	SpokenBy
7b93e6a1:150814fecb6:917	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	City
7b93e6a1:150814fecb6:-672	Border
7b93e6a1:150814fecb6:f49	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	Estuary
7b93e6a1:150814fecb6:2465	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EU/	Organization
7b93e6a1:150814fecb6:21b1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CI/	Country
7b93e6a1:150814fecb6:8c3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	City
7b93e6a1:150814fecb6:15ff	Membership
7b93e6a1:150814fecb6:ef5	Membership
7b93e6a1:150814fecb6:1ce	Membership
7b93e6a1:150814fecb6:155b	Membership
7b93e6a1:150814fecb6:e51	Membership
7b93e6a1:150814fecb6:12a	Membership
7b93e6a1:150814fecb6:1b8d	Membership
7b93e6a1:150814fecb6:-2bd	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	City
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Province
7b93e6a1:150814fecb6:38a	Membership
7b93e6a1:150814fecb6:200c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	City
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	City
7b93e6a1:150814fecb6:71e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	EthnicGroup
7b93e6a1:150814fecb6:60	Membership
http://www.semwebtech.org/mondial/10/language/Hindko/	Language
7b93e6a1:150814fecb6:1ecd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	City
7b93e6a1:150814fecb6:-80d	Encompassed
7b93e6a1:150814fecb6:11c7	Membership
7b93e6a1:150814fecb6:226c	BelievedBy
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Province
7b93e6a1:150814fecb6:97e	Membership
7b93e6a1:150814fecb6:1123	Membership
http://www.semwebtech.org/mondial/10/country/LB/	Country
7b93e6a1:150814fecb6:-139	Membership
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	Mountain
7b93e6a1:150814fecb6:6ca	Membership
http://www.semwebtech.org/mondial/10/organization/IDB/	Organization
7b93e6a1:150814fecb6:cfc	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	City
7b93e6a1:150814fecb6:1383	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Province
7b93e6a1:150814fecb6:-399	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	City
7b93e6a1:150814fecb6:1717	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Province
7b93e6a1:150814fecb6:25ac	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	City
7b93e6a1:150814fecb6:1d49	Membership
7b93e6a1:150814fecb6:1977	Membership
7b93e6a1:150814fecb6:16c3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	City
7b93e6a1:150814fecb6:546	Membership
http://www.semwebtech.org/mondial/10/country/RT/	Country
7b93e6a1:150814fecb6:-6d9	Border
7b93e6a1:150814fecb6:1cf5	Membership
7b93e6a1:150814fecb6:b78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	City
7b93e6a1:150814fecb6:-635	Border
7b93e6a1:150814fecb6:2094	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	City
7b93e6a1:150814fecb6:1c51	Membership
7b93e6a1:150814fecb6:2428	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Fulda/	Estuary
7b93e6a1:150814fecb6:4f2	Membership
7b93e6a1:150814fecb6:-fd	Membership
7b93e6a1:150814fecb6:-5e1	Border
7b93e6a1:150814fecb6:118a	Membership
7b93e6a1:150814fecb6:2688	EthnicProportion
7b93e6a1:150814fecb6:eb8	Membership
7b93e6a1:150814fecb6:a80	Membership
7b93e6a1:150814fecb6:151e	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Province
7b93e6a1:150814fecb6:23d4	BelievedBy
7b93e6a1:150814fecb6:e14	Membership
7b93e6a1:150814fecb6:2330	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	EthnicGroup
7b93e6a1:150814fecb6:177e	Membership
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	Mountain
7b93e6a1:150814fecb6:34d	Membership
7b93e6a1:150814fecb6:2590	EthnicProportion
7b93e6a1:150814fecb6:14ca	Membership
7b93e6a1:150814fecb6:c7	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	Province
7b93e6a1:150814fecb6:dc0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1afc	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Province
7b93e6a1:150814fecb6:-43c	Membership
7b93e6a1:150814fecb6:23	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	City
7b93e6a1:150814fecb6:222f	SpokenBy
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Province
7b93e6a1:150814fecb6:-69c	Border
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	City
7b93e6a1:150814fecb6:248f	EthnicProportion
7b93e6a1:150814fecb6:cbf	Membership
7b93e6a1:150814fecb6:1346	Membership
7b93e6a1:150814fecb6:21db	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Province
7b93e6a1:150814fecb6:c1b	Membership
7b93e6a1:150814fecb6:8ed	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	City
http://www.semwebtech.org/mondial/10/source/Bomu/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	City
7b93e6a1:150814fecb6:e7b	Membership
7b93e6a1:150814fecb6:175	Membership
7b93e6a1:150814fecb6:12f2	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Province
7b93e6a1:150814fecb6:509	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Province
7b93e6a1:150814fecb6:-264	Membership
7b93e6a1:150814fecb6:1cb8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Province
7b93e6a1:150814fecb6:2057	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Water
7b93e6a1:150814fecb6:769	Membership
7b93e6a1:150814fecb6:1c14	Membership
7b93e6a1:150814fecb6:18e6	Membership
7b93e6a1:150814fecb6:8a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Jordan/	Water
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Province
7b93e6a1:150814fecb6:4b5	Membership
7b93e6a1:150814fecb6:1842	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Province
7b93e6a1:150814fecb6:ae7	Membership
7b93e6a1:150814fecb6:411	Membership
7b93e6a1:150814fecb6:1e74	Membership
7b93e6a1:150814fecb6:-5a4	Membership
7b93e6a1:150814fecb6:114d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	City
7b93e6a1:150814fecb6:a43	Membership
7b93e6a1:150814fecb6:1bc0	Membership
7b93e6a1:150814fecb6:-1c	Membership
7b93e6a1:150814fecb6:-500	Membership
7b93e6a1:150814fecb6:671	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	City
7b93e6a1:150814fecb6:-760	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	City
7b93e6a1:150814fecb6:25f7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	EthnicGroup
7b93e6a1:150814fecb6:2553	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	City
http://www.semwebtech.org/mondial/10/island/Ternate/	Island
7b93e6a1:150814fecb6:1abf	Membership
7b93e6a1:150814fecb6:9b1	Membership
7b93e6a1:150814fecb6:1a1b	Membership
7b93e6a1:150814fecb6:16ed	Membership
7b93e6a1:150814fecb6:fe3	Membership
7b93e6a1:150814fecb6:2bc	Membership
7b93e6a1:150814fecb6:-65f	Border
7b93e6a1:150814fecb6:1c7b	Membership
7b93e6a1:150814fecb6:-3ab	Membership
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	City
7b93e6a1:150814fecb6:1309	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	City
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Island
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	City
7b93e6a1:150814fecb6:80c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	City
7b93e6a1:150814fecb6:1569	Membership
7b93e6a1:150814fecb6:23fe	BelievedBy
7b93e6a1:150814fecb6:e3e	Membership
7b93e6a1:150814fecb6:1fbb	Membership
7b93e6a1:150814fecb6:138	Membership
7b93e6a1:150814fecb6:12b5	Membership
7b93e6a1:150814fecb6:235a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	City
7b93e6a1:150814fecb6:1211	Membership
7b93e6a1:150814fecb6:-227	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	City
http://www.semwebtech.org/mondial/10/country/EAK/	Country
7b93e6a1:150814fecb6:398	Membership
7b93e6a1:150814fecb6:dea	Membership
7b93e6a1:150814fecb6:18a9	Membership
7b93e6a1:150814fecb6:1471	Membership
7b93e6a1:150814fecb6:-487	Membership
7b93e6a1:150814fecb6:4d	Membership
http://www.semwebtech.org/mondial/10/organization/ECO/	Organization
7b93e6a1:150814fecb6:1805	Membership
7b93e6a1:150814fecb6:-1d3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	City
7b93e6a1:150814fecb6:1e37	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Province
7b93e6a1:150814fecb6:6d8	Membership
7b93e6a1:150814fecb6:a06	Membership
7b93e6a1:150814fecb6:17b1	Membership
7b93e6a1:150814fecb6:634	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Province
7b93e6a1:150814fecb6:-7c7	Encompassed
http://www.semwebtech.org/mondial/10/language/Azeri/	Language
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Province
7b93e6a1:150814fecb6:c66	Membership
7b93e6a1:150814fecb6:1de3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Province
7b93e6a1:150814fecb6:-723	Encompassed
7b93e6a1:150814fecb6:10bc	Membership
7b93e6a1:150814fecb6:2182	SpokenBy
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Province
7b93e6a1:150814fecb6:894	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Province
7b93e6a1:150814fecb6:2516	EthnicProportion
7b93e6a1:150814fecb6:5e0	Membership
7b93e6a1:150814fecb6:19f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Province
7b93e6a1:150814fecb6:-28e	Membership
http://www.semwebtech.org/mondial/10/language/Kurdish/	Language
7b93e6a1:150814fecb6:fa6	Membership
7b93e6a1:150814fecb6:160c	Membership
7b93e6a1:150814fecb6:24c2	EthnicProportion
7b93e6a1:150814fecb6:f02	Membership
7b93e6a1:150814fecb6:1c3e	Membership
7b93e6a1:150814fecb6:4df	Membership
7b93e6a1:150814fecb6:186c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	City
7b93e6a1:150814fecb6:43b	Membership
7b93e6a1:150814fecb6:1e9e	Membership
7b93e6a1:150814fecb6:-5ce	Membership
7b93e6a1:150814fecb6:1198	Membership
7b93e6a1:150814fecb6:1bea	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	City
7b93e6a1:150814fecb6:a6d	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	City
7b93e6a1:150814fecb6:-67	Membership
7b93e6a1:150814fecb6:-52a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	City
7b93e6a1:150814fecb6:69b	Membership
7b93e6a1:150814fecb6:231d	BelievedBy
http://www.semwebtech.org/mondial/10/river/Sanaga/	Water
7b93e6a1:150814fecb6:-78a	Encompassed
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	City
http://www.semwebtech.org/mondial/10/source/RioMamore/	Source
7b93e6a1:150814fecb6:14d8	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	City
7b93e6a1:150814fecb6:257d	EthnicProportion
7b93e6a1:150814fecb6:dad	Membership
7b93e6a1:150814fecb6:1434	Membership
7b93e6a1:150814fecb6:9db	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	City
7b93e6a1:150814fecb6:1a66	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	City
7b93e6a1:150814fecb6:1694	Membership
7b93e6a1:150814fecb6:263	Membership
7b93e6a1:150814fecb6:13e0	Membership
7b93e6a1:150814fecb6:-3f6	Membership
http://www.semwebtech.org/mondial/10/language/Slovenian/	Language
7b93e6a1:150814fecb6:-352	Membership
7b93e6a1:150814fecb6:21e9	SpokenBy
7b93e6a1:150814fecb6:2145	SpokenBy
7b93e6a1:150814fecb6:c29	Membership
http://www.semwebtech.org/mondial/10/source/Euphrat/	Source
7b93e6a1:150814fecb6:1da6	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Province
7b93e6a1:150814fecb6:1d02	Membership
7b93e6a1:150814fecb6:857	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	City
7b93e6a1:150814fecb6:19d4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	City
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Province
7b93e6a1:150814fecb6:e89	Membership
7b93e6a1:150814fecb6:5a3	Membership
7b93e6a1:150814fecb6:a	Membership
7b93e6a1:150814fecb6:1930	Membership
7b93e6a1:150814fecb6:12df	Membership
7b93e6a1:150814fecb6:bd5	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Province
http://www.semwebtech.org/mondial/10/island/Taiwan/	Island
7b93e6a1:150814fecb6:1f62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	City
7b93e6a1:150814fecb6:123b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	City
7b93e6a1:150814fecb6:20f1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	City
7b93e6a1:150814fecb6:b31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	City
7b93e6a1:150814fecb6:149b	Membership
7b93e6a1:150814fecb6:98	Membership
http://www.semwebtech.org/mondial/10/river/Loire/	Water
7b93e6a1:150814fecb6:d91	Membership
7b93e6a1:150814fecb6:182f	Membership
7b93e6a1:150814fecb6:-1fd	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Province
http://www.semwebtech.org/mondial/10/river/Kymijoki/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	City
7b93e6a1:150814fecb6:2641	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Tobago/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	City
7b93e6a1:150814fecb6:1bad	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	EthnicGroup
7b93e6a1:150814fecb6:65e	Membership
7b93e6a1:150814fecb6:17db	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	Province
7b93e6a1:150814fecb6:3aa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	EthnicGroup
7b93e6a1:150814fecb6:-74d	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Water
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	City
7b93e6a1:150814fecb6:1063	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	City
http://www.semwebtech.org/mondial/10/organization/NEA/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	City
7b93e6a1:150814fecb6:1a29	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	City
7b93e6a1:150814fecb6:1657	Membership
7b93e6a1:150814fecb6:24ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Efate/	Island
7b93e6a1:150814fecb6:f2c	Membership
7b93e6a1:150814fecb6:1c89	Membership
7b93e6a1:150814fecb6:226	Membership
7b93e6a1:150814fecb6:13a3	Membership
7b93e6a1:150814fecb6:-3b9	Membership
7b93e6a1:150814fecb6:-315	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Province
7b93e6a1:150814fecb6:486	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	City
7b93e6a1:150814fecb6:2108	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	City
7b93e6a1:150814fecb6:1d2	Membership
7b93e6a1:150814fecb6:-575	Membership
http://www.semwebtech.org/mondial/10/estuary/Raab/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	City
7b93e6a1:150814fecb6:1fc9	Membership
7b93e6a1:150814fecb6:1b91	Membership
7b93e6a1:150814fecb6:-2c1	Membership
7b93e6a1:150814fecb6:2368	BelievedBy
7b93e6a1:150814fecb6:1f25	Membership
7b93e6a1:150814fecb6:20b4	Membership
7b93e6a1:150814fecb6:7c6	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Province
7b93e6a1:150814fecb6:2010	Membership
7b93e6a1:150814fecb6:df8	Membership
http://www.semwebtech.org/mondial/10/country/GROX/	Country
7b93e6a1:150814fecb6:722	Membership
7b93e6a1:150814fecb6:145e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Province
7b93e6a1:150814fecb6:26a8	EthnicProportion
7b93e6a1:150814fecb6:2270	BelievedBy
7b93e6a1:150814fecb6:d54	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Province
7b93e6a1:150814fecb6:1ed1	Membership
7b93e6a1:150814fecb6:-811	Encompassed
7b93e6a1:150814fecb6:11aa	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Province
7b93e6a1:150814fecb6:aa0	Membership
7b93e6a1:150814fecb6:982	Membership
7b93e6a1:150814fecb6:-11c	Membership
7b93e6a1:150814fecb6:2604	EthnicProportion
7b93e6a1:150814fecb6:28d	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Province
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	City
7b93e6a1:150814fecb6:-37c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Province
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Desert
http://www.semwebtech.org/mondial/10/estuary/Ob/	Estuary
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	City
7b93e6a1:150814fecb6:25b0	EthnicProportion
7b93e6a1:150814fecb6:216f	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	City
7b93e6a1:150814fecb6:1d2c	Membership
7b93e6a1:150814fecb6:19fe	Membership
7b93e6a1:150814fecb6:1026	Membership
7b93e6a1:150814fecb6:5cd	Membership
7b93e6a1:150814fecb6:195a	Membership
http://www.semwebtech.org/mondial/10/source/Moraca/	Source
7b93e6a1:150814fecb6:bff	Membership
7b93e6a1:150814fecb6:1f8c	Membership
7b93e6a1:150814fecb6:-6bc	Border
7b93e6a1:150814fecb6:1286	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	Mountain
7b93e6a1:150814fecb6:b5b	Membership
7b93e6a1:150814fecb6:24af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	City
7b93e6a1:150814fecb6:240b	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	City
7b93e6a1:150814fecb6:449	Membership
7b93e6a1:150814fecb6:15c6	Membership
7b93e6a1:150814fecb6:266b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Altai/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	City
7b93e6a1:150814fecb6:1bf8	Membership
7b93e6a1:150814fecb6:1522	Membership
7b93e6a1:150814fecb6:-538	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	City
7b93e6a1:150814fecb6:1b54	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	EthnicGroup
7b93e6a1:150814fecb6:3f5	Membership
7b93e6a1:150814fecb6:1782	Membership
7b93e6a1:150814fecb6:-798	Encompassed
7b93e6a1:150814fecb6:351	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	City
7b93e6a1:150814fecb6:-4e4	Membership
7b93e6a1:150814fecb6:108d	Membership
7b93e6a1:150814fecb6:aa	Membership
7b93e6a1:150814fecb6:-440	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	EthnicGroup
7b93e6a1:150814fecb6:22d7	BelievedBy
7b93e6a1:150814fecb6:d17	Membership
7b93e6a1:150814fecb6:9e9	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	City
7b93e6a1:150814fecb6:2233	BelievedBy
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	City
7b93e6a1:150814fecb6:945	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Province
7b93e6a1:150814fecb6:f77	Membership
7b93e6a1:150814fecb6:13cd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	City
7b93e6a1:150814fecb6:2493	EthnicProportion
7b93e6a1:150814fecb6:cc3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Province
7b93e6a1:150814fecb6:-33f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	EthnicGroup
7b93e6a1:150814fecb6:8f1	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Province
http://www.semwebtech.org/mondial/10/river/Ruzizi/	Water
7b93e6a1:150814fecb6:1fc	Membership
7b93e6a1:150814fecb6:-59f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	City
7b93e6a1:150814fecb6:191d	Membership
7b93e6a1:150814fecb6:-2eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	City
7b93e6a1:150814fecb6:1f4f	Membership
http://www.semwebtech.org/mondial/10/source/Oranje/	Source
7b93e6a1:150814fecb6:1249	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	City
7b93e6a1:150814fecb6:20de	Membership
7b93e6a1:150814fecb6:b1e	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	City
7b93e6a1:150814fecb6:203a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	City
7b93e6a1:150814fecb6:74c	Membership
7b93e6a1:150814fecb6:d7e	Membership
7b93e6a1:150814fecb6:1efb	Membership
7b93e6a1:150814fecb6:11f5	Membership
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	Mountain
7b93e6a1:150814fecb6:229a	BelievedBy
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	Water
7b93e6a1:150814fecb6:aca	Membership
7b93e6a1:150814fecb6:262e	EthnicProportion
7b93e6a1:150814fecb6:-c4	Membership
7b93e6a1:150814fecb6:1151	Membership
7b93e6a1:150814fecb6:-167	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Province
7b93e6a1:150814fecb6:-20	Membership
http://www.semwebtech.org/mondial/10/country/BIH/	Country
7b93e6a1:150814fecb6:1b17	Membership
7b93e6a1:150814fecb6:17e9	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	EthnicGroup
7b93e6a1:150814fecb6:3b8	Membership
7b93e6a1:150814fecb6:1745	Membership
7b93e6a1:150814fecb6:25da	EthnicProportion
7b93e6a1:150814fecb6:314	Membership
7b93e6a1:150814fecb6:1d77	Membership
7b93e6a1:150814fecb6:-4a7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	City
7b93e6a1:150814fecb6:1ac3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	City
7b93e6a1:150814fecb6:-403	Membership
http://www.semwebtech.org/mondial/10/island/Juist/	Island
7b93e6a1:150814fecb6:574	Membership
7b93e6a1:150814fecb6:16f1	Membership
http://www.semwebtech.org/mondial/10/river/Niger/	Water
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Water
7b93e6a1:150814fecb6:908	Membership
7b93e6a1:150814fecb6:2c0	Membership
7b93e6a1:150814fecb6:-663	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	City
7b93e6a1:150814fecb6:2456	EthnicProportion
7b93e6a1:150814fecb6:21a2	SpokenBy
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	Province
7b93e6a1:150814fecb6:8b4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	City
7b93e6a1:150814fecb6:ee6	Membership
7b93e6a1:150814fecb6:810	Membership
7b93e6a1:150814fecb6:1bf	Membership
7b93e6a1:150814fecb6:154c	Membership
7b93e6a1:150814fecb6:1b7e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	City
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Province
7b93e6a1:150814fecb6:e42	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	City
7b93e6a1:150814fecb6:11b	Membership
7b93e6a1:150814fecb6:10ad	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Province
7b93e6a1:150814fecb6:-2ae	Membership
http://www.semwebtech.org/mondial/10/estuary/Narew/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	City
7b93e6a1:150814fecb6:-20a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	EthnicGroup
7b93e6a1:150814fecb6:37b	Membership
7b93e6a1:150814fecb6:f5	Membership
7b93e6a1:150814fecb6:70f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Province
7b93e6a1:150814fecb6:-46a	Membership
7b93e6a1:150814fecb6:51	Membership
http://www.semwebtech.org/mondial/10/source/Theiss/	Source
7b93e6a1:150814fecb6:1ebe	Membership
7b93e6a1:150814fecb6:11b8	Membership
7b93e6a1:150814fecb6:225d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	EthnicGroup
7b93e6a1:150814fecb6:96f	Membership
7b93e6a1:150814fecb6:1e1a	Membership
7b93e6a1:150814fecb6:1114	Membership
7b93e6a1:150814fecb6:6bb	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	City
7b93e6a1:150814fecb6:ced	Membership
7b93e6a1:150814fecb6:-7aa	Encompassed
7b93e6a1:150814fecb6:1374	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	City
7b93e6a1:150814fecb6:1708	Membership
7b93e6a1:150814fecb6:10c0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Province
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Water
7b93e6a1:150814fecb6:1968	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	City
7b93e6a1:150814fecb6:537	Membership
7b93e6a1:150814fecb6:16b4	Membership
7b93e6a1:150814fecb6:-292	Membership
7b93e6a1:150814fecb6:1ce6	Membership
7b93e6a1:150814fecb6:b69	Membership
7b93e6a1:150814fecb6:1610	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	City
7b93e6a1:150814fecb6:-626	Border
7b93e6a1:150814fecb6:2085	Membership
http://www.semwebtech.org/mondial/10/source/Main/	Source
7b93e6a1:150814fecb6:797	Membership
7b93e6a1:150814fecb6:1c42	Membership
7b93e6a1:150814fecb6:2419	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	Mountain
7b93e6a1:150814fecb6:4e3	Membership
7b93e6a1:150814fecb6:1870	Membership
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	Mountain
7b93e6a1:150814fecb6:-ee	Membership
7b93e6a1:150814fecb6:-5d2	Membership
7b93e6a1:150814fecb6:117b	Membership
7b93e6a1:150814fecb6:2679	EthnicProportion
7b93e6a1:150814fecb6:ea9	Membership
7b93e6a1:150814fecb6:a71	Membership
7b93e6a1:150814fecb6:-4a	Membership
7b93e6a1:150814fecb6:150f	Membership
7b93e6a1:150814fecb6:23c5	BelievedBy
http://www.semwebtech.org/mondial/10/country/COOK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	City
7b93e6a1:150814fecb6:e05	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	City
7b93e6a1:150814fecb6:2321	BelievedBy
7b93e6a1:150814fecb6:176f	Membership
7b93e6a1:150814fecb6:2581	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	City
7b93e6a1:150814fecb6:33e	Membership
7b93e6a1:150814fecb6:14bb	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	City
7b93e6a1:150814fecb6:b8	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	Province
7b93e6a1:150814fecb6:db1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	City
7b93e6a1:150814fecb6:1aed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	City
7b93e6a1:150814fecb6:-42d	Membership
7b93e6a1:150814fecb6:14	Membership
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Island
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Desert
7b93e6a1:150814fecb6:59e	Membership
7b93e6a1:150814fecb6:2ea	Membership
7b93e6a1:150814fecb6:-68d	Border
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	EthnicGroup
7b93e6a1:150814fecb6:1337	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	City
7b93e6a1:150814fecb6:21cc	SpokenBy
7b93e6a1:150814fecb6:c0c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	City
7b93e6a1:150814fecb6:8de	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	City
7b93e6a1:150814fecb6:83a	Membership
7b93e6a1:150814fecb6:1597	Membership
7b93e6a1:150814fecb6:e6c	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	City
7b93e6a1:150814fecb6:166	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	City
7b93e6a1:150814fecb6:12e3	Membership
7b93e6a1:150814fecb6:-2f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	City
http://www.semwebtech.org/mondial/10/island/Niue/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	City
7b93e6a1:150814fecb6:-255	Membership
7b93e6a1:150814fecb6:1ca9	Membership
7b93e6a1:150814fecb6:2048	Membership
7b93e6a1:150814fecb6:1c05	Membership
7b93e6a1:150814fecb6:18d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	City
7b93e6a1:150814fecb6:7b	Membership
7b93e6a1:150814fecb6:4a6	Membership
7b93e6a1:150814fecb6:1833	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	City
7b93e6a1:150814fecb6:ad8	Membership
7b93e6a1:150814fecb6:402	Membership
7b93e6a1:150814fecb6:1e65	Membership
7b93e6a1:150814fecb6:113e	Membership
7b93e6a1:150814fecb6:a34	Membership
7b93e6a1:150814fecb6:1bb1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	City
7b93e6a1:150814fecb6:662	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	City
7b93e6a1:150814fecb6:-7f5	Encompassed
7b93e6a1:150814fecb6:139e	Membership
7b93e6a1:150814fecb6:c94	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	City
7b93e6a1:150814fecb6:-751	Encompassed
7b93e6a1:150814fecb6:10ea	Membership
7b93e6a1:150814fecb6:25e8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	City
7b93e6a1:150814fecb6:2544	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	City
7b93e6a1:150814fecb6:-7	Membership
7b93e6a1:150814fecb6:9a2	Membership
7b93e6a1:150814fecb6:1a0c	Membership
7b93e6a1:150814fecb6:16de	Membership
7b93e6a1:150814fecb6:fd4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	City
7b93e6a1:150814fecb6:2ad	Membership
7b93e6a1:150814fecb6:24f0	EthnicProportion
7b93e6a1:150814fecb6:163a	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	City
7b93e6a1:150814fecb6:f30	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Province
7b93e6a1:150814fecb6:1c6c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	City
7b93e6a1:150814fecb6:189a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Province
7b93e6a1:150814fecb6:-5fc	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	City
7b93e6a1:150814fecb6:a9b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	City
7b93e6a1:150814fecb6:-95	Membership
7b93e6a1:150814fecb6:23ef	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	Mountain
7b93e6a1:150814fecb6:1fac	Membership
7b93e6a1:150814fecb6:e2f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	City
7b93e6a1:150814fecb6:129	Membership
7b93e6a1:150814fecb6:12a6	Membership
7b93e6a1:150814fecb6:234b	BelievedBy
7b93e6a1:150814fecb6:1202	Membership
7b93e6a1:150814fecb6:-218	Membership
7b93e6a1:150814fecb6:389	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	City
7b93e6a1:150814fecb6:ddb	Membership
7b93e6a1:150814fecb6:1462	Membership
7b93e6a1:150814fecb6:3e	Membership
7b93e6a1:150814fecb6:-478	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	City
7b93e6a1:150814fecb6:1a94	Membership
7b93e6a1:150814fecb6:-1c4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Province
7b93e6a1:150814fecb6:1e28	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	City
7b93e6a1:150814fecb6:-120	Membership
7b93e6a1:150814fecb6:6c9	Membership
7b93e6a1:150814fecb6:291	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Province
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Province
7b93e6a1:150814fecb6:17a2	Membership
7b93e6a1:150814fecb6:625	Membership
7b93e6a1:150814fecb6:-7b8	Encompassed
7b93e6a1:150814fecb6:-380	Membership
http://www.semwebtech.org/mondial/10/country/AXA/	Country
7b93e6a1:150814fecb6:c57	Membership
7b93e6a1:150814fecb6:1dd4	Membership
7b93e6a1:150814fecb6:-714	Border
7b93e6a1:150814fecb6:2173	SpokenBy
7b93e6a1:150814fecb6:885	Membership
7b93e6a1:150814fecb6:1d30	Membership
7b93e6a1:150814fecb6:2507	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Island
http://www.semwebtech.org/mondial/10/organization/APEC/	Organization
7b93e6a1:150814fecb6:5d1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	EthnicGroup
7b93e6a1:150814fecb6:1f90	Membership
7b93e6a1:150814fecb6:-6c0	Border
7b93e6a1:150814fecb6:-27f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Province
7b93e6a1:150814fecb6:24b3	EthnicProportion
7b93e6a1:150814fecb6:1c2f	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Province
7b93e6a1:150814fecb6:185d	Membership
7b93e6a1:150814fecb6:42c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	City
7b93e6a1:150814fecb6:1e8f	Membership
7b93e6a1:150814fecb6:-5bf	Membership
7b93e6a1:150814fecb6:1189	Membership
http://www.semwebtech.org/mondial/10/source/Murgab/	Source
http://www.semwebtech.org/mondial/10/estuary/Petschora/	Estuary
7b93e6a1:150814fecb6:a5e	Membership
7b93e6a1:150814fecb6:1bdb	Membership
7b93e6a1:150814fecb6:-58	Membership
7b93e6a1:150814fecb6:-51b	Membership
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Island
7b93e6a1:150814fecb6:68c	Membership
7b93e6a1:150814fecb6:230e	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	Province
7b93e6a1:150814fecb6:-77b	Encompassed
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Language
7b93e6a1:150814fecb6:14c9	Membership
7b93e6a1:150814fecb6:1091	Membership
7b93e6a1:150814fecb6:256e	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Desert
7b93e6a1:150814fecb6:1425	Membership
7b93e6a1:150814fecb6:22ba	BelievedBy
7b93e6a1:150814fecb6:9cc	Membership
7b93e6a1:150814fecb6:1a57	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	City
7b93e6a1:150814fecb6:ffe	Membership
7b93e6a1:150814fecb6:2f8	Membership
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Island
7b93e6a1:150814fecb6:1685	Membership
7b93e6a1:150814fecb6:f5a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	City
7b93e6a1:150814fecb6:254	Membership
7b93e6a1:150814fecb6:13d1	Membership
7b93e6a1:150814fecb6:-3e7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	City
7b93e6a1:150814fecb6:-343	Membership
7b93e6a1:150814fecb6:2136	SpokenBy
7b93e6a1:150814fecb6:848	Membership
7b93e6a1:150814fecb6:19c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	City
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Island
7b93e6a1:150814fecb6:1ff7	Membership
7b93e6a1:150814fecb6:1921	Membership
7b93e6a1:150814fecb6:2396	BelievedBy
7b93e6a1:150814fecb6:bc6	Membership
7b93e6a1:150814fecb6:1f53	Membership
7b93e6a1:150814fecb6:122c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Province
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	City
7b93e6a1:150814fecb6:20e2	Membership
7b93e6a1:150814fecb6:b22	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Province
7b93e6a1:150814fecb6:7f4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Province
7b93e6a1:150814fecb6:750	Membership
7b93e6a1:150814fecb6:148c	Membership
7b93e6a1:150814fecb6:89	Membership
7b93e6a1:150814fecb6:d82	Membership
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	Estuary
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	City
7b93e6a1:150814fecb6:-1ee	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	City
7b93e6a1:150814fecb6:-14a	Membership
7b93e6a1:150814fecb6:2632	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	City
7b93e6a1:150814fecb6:64f	Membership
7b93e6a1:150814fecb6:17cc	Membership
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Religion
7b93e6a1:150814fecb6:1dfe	Membership
7b93e6a1:150814fecb6:-73e	Encompassed
7b93e6a1:150814fecb6:10f8	Membership
7b93e6a1:150814fecb6:219d	SpokenBy
7b93e6a1:150814fecb6:1d5a	Membership
7b93e6a1:150814fecb6:1054	Membership
7b93e6a1:150814fecb6:5fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	City
7b93e6a1:150814fecb6:-6ea	Border
7b93e6a1:150814fecb6:1648	Membership
7b93e6a1:150814fecb6:24dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Province
7b93e6a1:150814fecb6:f1d	Membership
7b93e6a1:150814fecb6:217	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	City
7b93e6a1:150814fecb6:-306	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	City
7b93e6a1:150814fecb6:477	Membership
http://www.semwebtech.org/mondial/10/organization/CAN/	Organization
7b93e6a1:150814fecb6:15f4	Membership
http://www.semwebtech.org/mondial/10/estuary/Waag/	Estuary
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Province
7b93e6a1:150814fecb6:1c3	Membership
7b93e6a1:150814fecb6:1550	Membership
7b93e6a1:150814fecb6:-566	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	City
7b93e6a1:150814fecb6:1b82	Membership
7b93e6a1:150814fecb6:-2b2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	City
7b93e6a1:150814fecb6:2359	BelievedBy
7b93e6a1:150814fecb6:1f16	Membership
http://www.semwebtech.org/mondial/10/island/Guernsey/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	City
7b93e6a1:150814fecb6:20a5	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Province
7b93e6a1:150814fecb6:7b7	Membership
http://www.semwebtech.org/mondial/10/language/Italian/	Language
7b93e6a1:150814fecb6:2001	Membership
7b93e6a1:150814fecb6:de9	Membership
7b93e6a1:150814fecb6:713	Membership
7b93e6a1:150814fecb6:144f	Membership
7b93e6a1:150814fecb6:d45	Membership
7b93e6a1:150814fecb6:1ec2	Membership
7b93e6a1:150814fecb6:-802	Encompassed
7b93e6a1:150814fecb6:2261	BelievedBy
7b93e6a1:150814fecb6:973	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	City
7b93e6a1:150814fecb6:-10d	Membership
7b93e6a1:150814fecb6:27e	Membership
7b93e6a1:150814fecb6:13fb	Membership
7b93e6a1:150814fecb6:cf1	Membership
7b93e6a1:150814fecb6:-36d	Membership
http://www.semwebtech.org/mondial/10/source/Uelle/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	City
7b93e6a1:150814fecb6:25a1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/	Country
7b93e6a1:150814fecb6:1d1d	Membership
7b93e6a1:150814fecb6:19ef	Membership
7b93e6a1:150814fecb6:1017	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Province
7b93e6a1:150814fecb6:5be	Membership
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	Mountain
7b93e6a1:150814fecb6:194b	Membership
http://www.semwebtech.org/mondial/10/language/Persian/	Language
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	City
7b93e6a1:150814fecb6:51a	Membership
7b93e6a1:150814fecb6:1f7d	Membership
7b93e6a1:150814fecb6:-6ad	Border
7b93e6a1:150814fecb6:1277	Membership
7b93e6a1:150814fecb6:b4c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	Mountain
7b93e6a1:150814fecb6:77a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Province
http://www.semwebtech.org/mondial/10/country/FJI/	Country
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Island
7b93e6a1:150814fecb6:15b7	Membership
7b93e6a1:150814fecb6:-f2	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Province
7b93e6a1:150814fecb6:-195	Membership
7b93e6a1:150814fecb6:265c	EthnicProportion
7b93e6a1:150814fecb6:1be9	Membership
7b93e6a1:150814fecb6:1513	Membership
http://www.semwebtech.org/mondial/10/country/PA/	Country
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Province
7b93e6a1:150814fecb6:-529	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Province
http://www.semwebtech.org/mondial/10/organization/UNIDO/	Organization
7b93e6a1:150814fecb6:1b45	Membership
http://www.semwebtech.org/mondial/10/country/SYR/	Country
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Islands
7b93e6a1:150814fecb6:1773	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Province
7b93e6a1:150814fecb6:3e6	Membership
http://www.semwebtech.org/mondial/10/country/RG/	Country
7b93e6a1:150814fecb6:-789	Encompassed
7b93e6a1:150814fecb6:342	Membership
7b93e6a1:150814fecb6:-4d5	Membership
7b93e6a1:150814fecb6:107e	Membership
7b93e6a1:150814fecb6:1af1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Province
http://www.semwebtech.org/mondial/10/country/TM/	Country
7b93e6a1:150814fecb6:-431	Membership
7b93e6a1:150814fecb6:22c8	BelievedBy
7b93e6a1:150814fecb6:d08	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	City
7b93e6a1:150814fecb6:2224	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	City
7b93e6a1:150814fecb6:936	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	City
7b93e6a1:150814fecb6:-691	Border
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	City
7b93e6a1:150814fecb6:f68	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	City
7b93e6a1:150814fecb6:13be	Membership
7b93e6a1:150814fecb6:2484	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	City
7b93e6a1:150814fecb6:cb4	Membership
7b93e6a1:150814fecb6:131a	Membership
7b93e6a1:150814fecb6:21d0	SpokenBy
7b93e6a1:150814fecb6:c10	Membership
7b93e6a1:150814fecb6:8e2	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Province
7b93e6a1:150814fecb6:1ed	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Province
7b93e6a1:150814fecb6:157a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	EthnicGroup
7b93e6a1:150814fecb6:e70	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Province
7b93e6a1:150814fecb6:9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Province
7b93e6a1:150814fecb6:190e	Membership
7b93e6a1:150814fecb6:-2dc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Province
http://www.semwebtech.org/mondial/10/source/Ural/	Source
7b93e6a1:150814fecb6:20cf	Membership
7b93e6a1:150814fecb6:b0f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Province
7b93e6a1:150814fecb6:202b	Membership
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	Mountain
7b93e6a1:150814fecb6:73d	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	City
7b93e6a1:150814fecb6:18ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	City
7b93e6a1:150814fecb6:d6f	Membership
7b93e6a1:150814fecb6:1eec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	City
7b93e6a1:150814fecb6:11e6	Membership
7b93e6a1:150814fecb6:228b	BelievedBy
7b93e6a1:150814fecb6:abb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	City
7b93e6a1:150814fecb6:99d	Membership
7b93e6a1:150814fecb6:-b5	Membership
7b93e6a1:150814fecb6:1142	Membership
7b93e6a1:150814fecb6:-158	Membership
7b93e6a1:150814fecb6:261f	EthnicProportion
7b93e6a1:150814fecb6:-11	Membership
7b93e6a1:150814fecb6:1b08	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	City
7b93e6a1:150814fecb6:3a9	Membership
http://www.semwebtech.org/mondial/10/country/L/	Country
7b93e6a1:150814fecb6:1736	Membership
7b93e6a1:150814fecb6:25cb	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Perene/	Estuary
7b93e6a1:150814fecb6:305	Membership
7b93e6a1:150814fecb6:1d68	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	City
7b93e6a1:150814fecb6:1ab4	Membership
7b93e6a1:150814fecb6:1996	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	City
7b93e6a1:150814fecb6:1a10	Membership
7b93e6a1:150814fecb6:565	Membership
7b93e6a1:150814fecb6:16e2	Membership
7b93e6a1:150814fecb6:-6f8	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Province
http://www.semwebtech.org/mondial/10/estuary/Ganges/	Estuary
7b93e6a1:150814fecb6:b97	Membership
7b93e6a1:150814fecb6:2b1	Membership
7b93e6a1:150814fecb6:-654	Border
7b93e6a1:150814fecb6:1c70	Membership
7b93e6a1:150814fecb6:-3a0	Membership
7b93e6a1:150814fecb6:2447	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	City
7b93e6a1:150814fecb6:8a5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	Province
http://www.semwebtech.org/mondial/10/organization/UNTSO/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	City
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Mountains
7b93e6a1:150814fecb6:ed7	Membership
7b93e6a1:150814fecb6:801	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	City
7b93e6a1:150814fecb6:153d	Membership
7b93e6a1:150814fecb6:23f3	BelievedBy
7b93e6a1:150814fecb6:e33	Membership
7b93e6a1:150814fecb6:1fb0	Membership
7b93e6a1:150814fecb6:10c	Membership
7b93e6a1:150814fecb6:1b6f	Membership
http://www.semwebtech.org/mondial/10/island/Faial/	Island
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	City
7b93e6a1:150814fecb6:179d	Membership
http://www.semwebtech.org/mondial/10/country/RCB/	Country
7b93e6a1:150814fecb6:36c	Membership
7b93e6a1:150814fecb6:-4ff	Membership
7b93e6a1:150814fecb6:e6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	City
7b93e6a1:150814fecb6:-45b	Membership
7b93e6a1:150814fecb6:42	Membership
http://www.semwebtech.org/mondial/10/source/Suchona/	Source
http://www.semwebtech.org/mondial/10/river/Fimi/	Water
7b93e6a1:150814fecb6:1eaf	Membership
http://www.semwebtech.org/mondial/10/language/Slovak/	Language
7b93e6a1:150814fecb6:11a9	Membership
7b93e6a1:150814fecb6:224e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	Mountain
7b93e6a1:150814fecb6:1e0b	Membership
7b93e6a1:150814fecb6:1105	Membership
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	Mountain
7b93e6a1:150814fecb6:6ac	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	City
7b93e6a1:150814fecb6:cde	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Province
7b93e6a1:150814fecb6:1365	Membership
7b93e6a1:150814fecb6:21fa	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	Estuary
7b93e6a1:150814fecb6:c3a	Membership
7b93e6a1:150814fecb6:10b1	Membership
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	Water
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	City
7b93e6a1:150814fecb6:e9a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	EthnicGroup
7b93e6a1:150814fecb6:194	Membership
7b93e6a1:150814fecb6:1959	Membership
http://www.semwebtech.org/mondial/10/estuary/Selenge/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	City
http://www.semwebtech.org/mondial/10/organization/ECB/	Organization
7b93e6a1:150814fecb6:528	Membership
7b93e6a1:150814fecb6:16a5	Membership
7b93e6a1:150814fecb6:-283	Membership
7b93e6a1:150814fecb6:1cd7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Province
7b93e6a1:150814fecb6:1601	Membership
7b93e6a1:150814fecb6:-617	Border
7b93e6a1:150814fecb6:2076	Membership
7b93e6a1:150814fecb6:788	Membership
http://www.semwebtech.org/mondial/10/river/Leine/	Water
7b93e6a1:150814fecb6:1c33	Membership
7b93e6a1:150814fecb6:4d4	Membership
7b93e6a1:150814fecb6:1861	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	EthnicGroup
7b93e6a1:150814fecb6:1e93	Membership
7b93e6a1:150814fecb6:430	Membership
7b93e6a1:150814fecb6:-df	Membership
7b93e6a1:150814fecb6:-5c3	Membership
7b93e6a1:150814fecb6:116c	Membership
http://www.semwebtech.org/mondial/10/language/Sinhala/	Language
7b93e6a1:150814fecb6:a62	Membership
7b93e6a1:150814fecb6:-3b	Membership
7b93e6a1:150814fecb6:23b6	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Province
7b93e6a1:150814fecb6:690	Membership
7b93e6a1:150814fecb6:2312	BelievedBy
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Water
7b93e6a1:150814fecb6:32f	Membership
7b93e6a1:150814fecb6:14ac	Membership
7b93e6a1:150814fecb6:2572	EthnicProportion
7b93e6a1:150814fecb6:a9	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	City
7b93e6a1:150814fecb6:da2	Membership
7b93e6a1:150814fecb6:1ade	Membership
7b93e6a1:150814fecb6:-41e	Membership
7b93e6a1:150814fecb6:9d0	Membership
7b93e6a1:150814fecb6:58f	Membership
7b93e6a1:150814fecb6:1a3a	Membership
7b93e6a1:150814fecb6:2db	Membership
7b93e6a1:150814fecb6:-67e	Border
7b93e6a1:150814fecb6:1c9a	Membership
7b93e6a1:150814fecb6:-3ca	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	City
http://www.semwebtech.org/mondial/10/language/Georgian/	Language
7b93e6a1:150814fecb6:1328	Membership
http://www.semwebtech.org/mondial/10/source/Olt/	Source
7b93e6a1:150814fecb6:21bd	SpokenBy
7b93e6a1:150814fecb6:8cf	Membership
7b93e6a1:150814fecb6:82b	Membership
7b93e6a1:150814fecb6:1588	Membership
7b93e6a1:150814fecb6:e5d	Membership
7b93e6a1:150814fecb6:1fda	Membership
7b93e6a1:150814fecb6:157	Membership
7b93e6a1:150814fecb6:12d4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	City
7b93e6a1:150814fecb6:1230	Membership
7b93e6a1:150814fecb6:-246	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Province
7b93e6a1:150814fecb6:2039	Membership
7b93e6a1:150814fecb6:18c8	Membership
7b93e6a1:150814fecb6:1490	Membership
7b93e6a1:150814fecb6:6c	Membership
7b93e6a1:150814fecb6:1824	Membership
7b93e6a1:150814fecb6:-1f2	Membership
7b93e6a1:150814fecb6:2299	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Province
7b93e6a1:150814fecb6:ac9	Membership
7b93e6a1:150814fecb6:1e56	Membership
7b93e6a1:150814fecb6:112f	Membership
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Mountains
7b93e6a1:150814fecb6:6f7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Province
7b93e6a1:150814fecb6:a25	Membership
7b93e6a1:150814fecb6:1ba2	Membership
7b93e6a1:150814fecb6:17d0	Membership
7b93e6a1:150814fecb6:653	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	City
7b93e6a1:150814fecb6:-7e6	Encompassed
7b93e6a1:150814fecb6:138f	Membership
7b93e6a1:150814fecb6:c85	Membership
7b93e6a1:150814fecb6:10db	Membership
7b93e6a1:150814fecb6:-742	Encompassed
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	City
7b93e6a1:150814fecb6:25d9	EthnicProportion
7b93e6a1:150814fecb6:2535	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Pulog/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Island
7b93e6a1:150814fecb6:16cf	Membership
7b93e6a1:150814fecb6:fc5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	City
7b93e6a1:150814fecb6:162b	Membership
7b93e6a1:150814fecb6:24e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/FL/	Country
http://www.semwebtech.org/mondial/10/estuary/Akagera/	Estuary
7b93e6a1:150814fecb6:f21	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	City
7b93e6a1:150814fecb6:1c5d	Membership
http://www.semwebtech.org/mondial/10/organization/NAFTA/	Organization
7b93e6a1:150814fecb6:4fe	Membership
7b93e6a1:150814fecb6:188b	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Province
http://www.semwebtech.org/mondial/10/country/HR/	Country
7b93e6a1:150814fecb6:45a	Membership
7b93e6a1:150814fecb6:-5ed	Border
7b93e6a1:150814fecb6:a8c	Membership
7b93e6a1:150814fecb6:-86	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	City
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Islands
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Province
7b93e6a1:150814fecb6:233c	BelievedBy
7b93e6a1:150814fecb6:-209	Membership
http://www.semwebtech.org/mondial/10/island/Lipari/	Island
7b93e6a1:150814fecb6:14f7	Membership
7b93e6a1:150814fecb6:259c	EthnicProportion
7b93e6a1:150814fecb6:dcc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Province
7b93e6a1:150814fecb6:1453	Membership
7b93e6a1:150814fecb6:-469	Membership
7b93e6a1:150814fecb6:2f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	City
7b93e6a1:150814fecb6:9fa	Membership
http://www.semwebtech.org/mondial/10/source/Klaraelv/	Source
7b93e6a1:150814fecb6:1a85	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Province
7b93e6a1:150814fecb6:-1b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Province
7b93e6a1:150814fecb6:1e19	Membership
http://www.semwebtech.org/mondial/10/source/Amur/	Source
7b93e6a1:150814fecb6:-111	Membership
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Desert
7b93e6a1:150814fecb6:282	Membership
7b93e6a1:150814fecb6:616	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	City
7b93e6a1:150814fecb6:-7a9	Encompassed
7b93e6a1:150814fecb6:-371	Membership
7b93e6a1:150814fecb6:c48	Membership
7b93e6a1:150814fecb6:1dc5	Membership
7b93e6a1:150814fecb6:-705	Border
7b93e6a1:150814fecb6:2164	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	EthnicGroup
7b93e6a1:150814fecb6:876	Membership
7b93e6a1:150814fecb6:1d21	Membership
7b93e6a1:150814fecb6:19f3	Membership
http://www.semwebtech.org/mondial/10/mountain/Fogo/	Mountain
7b93e6a1:150814fecb6:5c2	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	City
http://www.semwebtech.org/mondial/10/island/Unalaska/	Island
7b93e6a1:150814fecb6:12fe	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Province
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	Estuary
7b93e6a1:150814fecb6:1f81	Membership
7b93e6a1:150814fecb6:bf4	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	City
7b93e6a1:150814fecb6:-6b1	Border
7b93e6a1:150814fecb6:125a	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Province
7b93e6a1:150814fecb6:b50	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Province
7b93e6a1:150814fecb6:24a4	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Schilka/	Estuary
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Province
7b93e6a1:150814fecb6:2400	BelievedBy
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	City
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Mountains
7b93e6a1:150814fecb6:184e	Membership
7b93e6a1:150814fecb6:41d	Membership
7b93e6a1:150814fecb6:2660	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Water
7b93e6a1:150814fecb6:a4f	Membership
7b93e6a1:150814fecb6:1bcc	Membership
7b93e6a1:150814fecb6:-49	Membership
7b93e6a1:150814fecb6:-50c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	EthnicGroup
7b93e6a1:150814fecb6:67d	Membership
7b93e6a1:150814fecb6:17fa	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Province
http://www.semwebtech.org/mondial/10/estuary/Benue/	Estuary
7b93e6a1:150814fecb6:-76c	Encompassed
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	City
7b93e6a1:150814fecb6:1082	Membership
7b93e6a1:150814fecb6:255f	EthnicProportion
7b93e6a1:150814fecb6:1416	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Province
7b93e6a1:150814fecb6:22ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	City
7b93e6a1:150814fecb6:9bd	Membership
7b93e6a1:150814fecb6:1a48	Membership
7b93e6a1:150814fecb6:fef	Membership
7b93e6a1:150814fecb6:2e9	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	Mountain
7b93e6a1:150814fecb6:1676	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	City
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Islands
7b93e6a1:150814fecb6:f4b	Membership
http://www.semwebtech.org/mondial/10/estuary/Brigach/	Estuary
7b93e6a1:150814fecb6:245	Membership
7b93e6a1:150814fecb6:13c2	Membership
7b93e6a1:150814fecb6:-3d8	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	City
7b93e6a1:150814fecb6:-334	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	City
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	Estuary
7b93e6a1:150814fecb6:2127	SpokenBy
7b93e6a1:150814fecb6:839	Membership
7b93e6a1:150814fecb6:1f1	Membership
7b93e6a1:150814fecb6:19b6	Membership
7b93e6a1:150814fecb6:-594	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	City
http://www.semwebtech.org/mondial/10/estuary/Marne/	Estuary
7b93e6a1:150814fecb6:1fe8	Membership
7b93e6a1:150814fecb6:1912	Membership
7b93e6a1:150814fecb6:-2e0	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	City
7b93e6a1:150814fecb6:2387	BelievedBy
7b93e6a1:150814fecb6:bb7	Membership
7b93e6a1:150814fecb6:1f44	Membership
7b93e6a1:150814fecb6:121d	Membership
7b93e6a1:150814fecb6:20d3	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	City
7b93e6a1:150814fecb6:b13	Membership
7b93e6a1:150814fecb6:7e5	Membership
7b93e6a1:150814fecb6:741	Membership
7b93e6a1:150814fecb6:147d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Province
7b93e6a1:150814fecb6:d73	Membership
7b93e6a1:150814fecb6:26c7	EthnicProportion
7b93e6a1:150814fecb6:1ef0	Membership
http://www.semwebtech.org/mondial/10/source/Kwa/	Source
7b93e6a1:150814fecb6:-1df	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	City
7b93e6a1:150814fecb6:-13b	Membership
7b93e6a1:150814fecb6:2623	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	City
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Water
http://www.semwebtech.org/mondial/10/source/Weichsel/	Source
7b93e6a1:150814fecb6:17bd	Membership
7b93e6a1:150814fecb6:-39b	Membership
7b93e6a1:150814fecb6:1def	Membership
7b93e6a1:150814fecb6:-72f	Encompassed
7b93e6a1:150814fecb6:10e9	Membership
7b93e6a1:150814fecb6:218e	SpokenBy
7b93e6a1:150814fecb6:1d4b	Membership
7b93e6a1:150814fecb6:1045	Membership
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	City
7b93e6a1:150814fecb6:5ec	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Province
7b93e6a1:150814fecb6:b6b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	City
7b93e6a1:150814fecb6:-6db	Border
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	Estuary
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	City
7b93e6a1:150814fecb6:b7a	Membership
7b93e6a1:150814fecb6:1639	Membership
7b93e6a1:150814fecb6:24ce	EthnicProportion
7b93e6a1:150814fecb6:f0e	Membership
7b93e6a1:150814fecb6:208	Membership
7b93e6a1:150814fecb6:242a	BelievedBy
7b93e6a1:150814fecb6:1899	Membership
7b93e6a1:150814fecb6:468	Membership
7b93e6a1:150814fecb6:15e5	Membership
7b93e6a1:150814fecb6:268a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	City
7b93e6a1:150814fecb6:eba	Membership
7b93e6a1:150814fecb6:1b4	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	City
7b93e6a1:150814fecb6:1541	Membership
7b93e6a1:150814fecb6:-557	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Province
7b93e6a1:150814fecb6:110	Membership
7b93e6a1:150814fecb6:1b73	Membership
7b93e6a1:150814fecb6:-2a3	Membership
http://www.semwebtech.org/mondial/10/country/ROK/	Country
7b93e6a1:150814fecb6:1f07	Membership
7b93e6a1:150814fecb6:7a8	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	City
7b93e6a1:150814fecb6:370	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Guam/	Island
7b93e6a1:150814fecb6:704	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	City
7b93e6a1:150814fecb6:22f6	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	Mountain
7b93e6a1:150814fecb6:d36	Membership
7b93e6a1:150814fecb6:1eb3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	EthnicGroup
7b93e6a1:150814fecb6:2252	BelievedBy
http://www.semwebtech.org/mondial/10/island/Bangka/	Island
7b93e6a1:150814fecb6:964	Membership
7b93e6a1:150814fecb6:f96	Membership
7b93e6a1:150814fecb6:6b0	Membership
7b93e6a1:150814fecb6:26f	Membership
7b93e6a1:150814fecb6:13ec	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	City
7b93e6a1:150814fecb6:ce2	Membership
7b93e6a1:150814fecb6:-35e	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Province
http://www.semwebtech.org/mondial/10/river/Naryn/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	City
7b93e6a1:150814fecb6:1d0e	Membership
7b93e6a1:150814fecb6:1008	Membership
7b93e6a1:150814fecb6:5af	Membership
7b93e6a1:150814fecb6:193c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	City
7b93e6a1:150814fecb6:50b	Membership
7b93e6a1:150814fecb6:1f6e	Membership
7b93e6a1:150814fecb6:1268	Membership
7b93e6a1:150814fecb6:20fd	Membership
7b93e6a1:150814fecb6:b3d	Membership
7b93e6a1:150814fecb6:1cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	City
7b93e6a1:150814fecb6:76b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	City
7b93e6a1:150814fecb6:d9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Province
7b93e6a1:150814fecb6:15a8	Membership
7b93e6a1:150814fecb6:-e3	Membership
7b93e6a1:150814fecb6:1170	Membership
7b93e6a1:150814fecb6:-186	Membership
7b93e6a1:150814fecb6:264d	EthnicProportion
7b93e6a1:150814fecb6:1504	Membership
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Water
7b93e6a1:150814fecb6:1b36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Province
7b93e6a1:150814fecb6:3d7	Membership
7b93e6a1:150814fecb6:1764	Membership
7b93e6a1:150814fecb6:1d96	Membership
7b93e6a1:150814fecb6:333	Membership
7b93e6a1:150814fecb6:14b0	Membership
7b93e6a1:150814fecb6:-4c6	Membership
7b93e6a1:150814fecb6:106f	Membership
7b93e6a1:150814fecb6:1ae2	Membership
7b93e6a1:150814fecb6:-422	Membership
7b93e6a1:150814fecb6:22b9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	Mountain
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	City
http://www.semwebtech.org/mondial/10/river/Perene/	Water
7b93e6a1:150814fecb6:593	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	City
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Islands
7b93e6a1:150814fecb6:2215	SpokenBy
7b93e6a1:150814fecb6:927	Membership
7b93e6a1:150814fecb6:-682	Border
http://www.semwebtech.org/mondial/10/organization/CP/	Organization
http://www.semwebtech.org/mondial/10/estuary/Baro/	Estuary
7b93e6a1:150814fecb6:f59	Membership
7b93e6a1:150814fecb6:13af	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	City
7b93e6a1:150814fecb6:2475	EthnicProportion
7b93e6a1:150814fecb6:ca5	Membership
7b93e6a1:150814fecb6:130b	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	City
7b93e6a1:150814fecb6:21c1	SpokenBy
7b93e6a1:150814fecb6:c01	Membership
7b93e6a1:150814fecb6:8d3	Membership
http://www.semwebtech.org/mondial/10/source/Schari/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	City
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	City
7b93e6a1:150814fecb6:1de	Membership
7b93e6a1:150814fecb6:156b	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Province
7b93e6a1:150814fecb6:e61	Membership
7b93e6a1:150814fecb6:13a	Membership
7b93e6a1:150814fecb6:1b9d	Membership
7b93e6a1:150814fecb6:-2cd	Membership
7b93e6a1:150814fecb6:39a	Membership
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	City
http://www.semwebtech.org/mondial/10/estuary/Etsch/	Estuary
7b93e6a1:150814fecb6:201c	Membership
7b93e6a1:150814fecb6:72e	Membership
7b93e6a1:150814fecb6:18ab	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	City
7b93e6a1:150814fecb6:70	Membership
7b93e6a1:150814fecb6:1edd	Membership
7b93e6a1:150814fecb6:11d7	Membership
7b93e6a1:150814fecb6:227c	BelievedBy
7b93e6a1:150814fecb6:aac	Membership
7b93e6a1:150814fecb6:98e	Membership
7b93e6a1:150814fecb6:-a6	Membership
7b93e6a1:150814fecb6:1133	Membership
7b93e6a1:150814fecb6:-149	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	City
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	City
7b93e6a1:150814fecb6:6da	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	EthnicGroup
7b93e6a1:150814fecb6:1393	Membership
7b93e6a1:150814fecb6:1727	Membership
7b93e6a1:150814fecb6:25bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	City
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	Island
7b93e6a1:150814fecb6:1d59	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Water
http://www.semwebtech.org/mondial/10/source/Semliki/	Source
7b93e6a1:150814fecb6:1aa5	Membership
7b93e6a1:150814fecb6:1987	Membership
http://www.semwebtech.org/mondial/10/organization/IHO/	Organization
7b93e6a1:150814fecb6:1a01	Membership
7b93e6a1:150814fecb6:556	Membership
7b93e6a1:150814fecb6:16d3	Membership
7b93e6a1:150814fecb6:-6e9	Border
7b93e6a1:150814fecb6:b88	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Province
7b93e6a1:150814fecb6:2a2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	City
7b93e6a1:150814fecb6:-645	Border
http://www.semwebtech.org/mondial/10/source/Dalaelv/	Source
7b93e6a1:150814fecb6:1c61	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Province
7b93e6a1:150814fecb6:2438	BelievedBy
http://www.semwebtech.org/mondial/10/source/Lualaba/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	City
7b93e6a1:150814fecb6:-5f1	Border
7b93e6a1:150814fecb6:119a	Membership
7b93e6a1:150814fecb6:2698	EthnicProportion
7b93e6a1:150814fecb6:ec8	Membership
7b93e6a1:150814fecb6:a90	Membership
7b93e6a1:150814fecb6:152e	Membership
7b93e6a1:150814fecb6:23e4	BelievedBy
7b93e6a1:150814fecb6:e24	Membership
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	City
http://www.semwebtech.org/mondial/10/source/Hwangho/	Source
7b93e6a1:150814fecb6:1fa1	Membership
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	City
7b93e6a1:150814fecb6:2340	BelievedBy
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Islands
7b93e6a1:150814fecb6:178e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Province
7b93e6a1:150814fecb6:35d	Membership
7b93e6a1:150814fecb6:14da	Membership
7b93e6a1:150814fecb6:d7	Membership
7b93e6a1:150814fecb6:dd0	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	City
7b93e6a1:150814fecb6:-44c	Membership
7b93e6a1:150814fecb6:33	Membership
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Water
7b93e6a1:150814fecb6:223f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	City
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Mountains
7b93e6a1:150814fecb6:249f	EthnicProportion
7b93e6a1:150814fecb6:ccf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	City
7b93e6a1:150814fecb6:1356	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	City
7b93e6a1:150814fecb6:21eb	SpokenBy
7b93e6a1:150814fecb6:c2b	Membership
7b93e6a1:150814fecb6:8fd	Membership
http://www.semwebtech.org/mondial/10/organization/MINURSO/	Organization
7b93e6a1:150814fecb6:10a2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	City
7b93e6a1:150814fecb6:e8b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	City
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	City
7b93e6a1:150814fecb6:185	Membership
http://www.semwebtech.org/mondial/10/language/Russian/	Language
7b93e6a1:150814fecb6:519	Membership
http://www.semwebtech.org/mondial/10/country/Z/	Country
7b93e6a1:150814fecb6:-274	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Province
7b93e6a1:150814fecb6:1cc8	Membership
7b93e6a1:150814fecb6:-608	Border
7b93e6a1:150814fecb6:2067	Membership
7b93e6a1:150814fecb6:779	Membership
7b93e6a1:150814fecb6:1c24	Membership
7b93e6a1:150814fecb6:18f6	Membership
7b93e6a1:150814fecb6:9a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	City
7b93e6a1:150814fecb6:4c5	Membership
7b93e6a1:150814fecb6:1852	Membership
http://www.semwebtech.org/mondial/10/source/OhioRiver/	Source
7b93e6a1:150814fecb6:1e84	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	City
7b93e6a1:150814fecb6:af7	Membership
7b93e6a1:150814fecb6:421	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	City
7b93e6a1:150814fecb6:-5b4	Membership
7b93e6a1:150814fecb6:115d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:a53	Membership
7b93e6a1:150814fecb6:1bd0	Membership
7b93e6a1:150814fecb6:-2c	Membership
7b93e6a1:150814fecb6:-510	Membership
7b93e6a1:150814fecb6:23a7	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	City
7b93e6a1:150814fecb6:681	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	EthnicGroup
7b93e6a1:150814fecb6:2303	BelievedBy
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Islands
7b93e6a1:150814fecb6:-770	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Elbe/	Estuary
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	City
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	City
7b93e6a1:150814fecb6:2563	EthnicProportion
7b93e6a1:150814fecb6:1acf	Membership
7b93e6a1:150814fecb6:-40f	Membership
7b93e6a1:150814fecb6:9c1	Membership
7b93e6a1:150814fecb6:1a2b	Membership
7b93e6a1:150814fecb6:16fd	Membership
7b93e6a1:150814fecb6:ff3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	City
7b93e6a1:150814fecb6:2cc	Membership
7b93e6a1:150814fecb6:-66f	Border
7b93e6a1:150814fecb6:1c8b	Membership
7b93e6a1:150814fecb6:-3bb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Province
7b93e6a1:150814fecb6:1319	Membership
7b93e6a1:150814fecb6:21ae	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Garonne/	Estuary
7b93e6a1:150814fecb6:210a	Membership
7b93e6a1:150814fecb6:81c	Membership
7b93e6a1:150814fecb6:1579	Membership
7b93e6a1:150814fecb6:1fcb	Membership
7b93e6a1:150814fecb6:e4e	Membership
7b93e6a1:150814fecb6:148	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Province
7b93e6a1:150814fecb6:12c5	Membership
7b93e6a1:150814fecb6:236a	BelievedBy
7b93e6a1:150814fecb6:1221	Membership
7b93e6a1:150814fecb6:-237	Membership
http://www.semwebtech.org/mondial/10/estuary/Maas/	Estuary
7b93e6a1:150814fecb6:dfa	Membership
7b93e6a1:150814fecb6:18b9	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	City
7b93e6a1:150814fecb6:1481	Membership
7b93e6a1:150814fecb6:-497	Membership
7b93e6a1:150814fecb6:5d	Membership
http://www.semwebtech.org/mondial/10/desert/Mojave/	Desert
http://www.semwebtech.org/mondial/10/river/Aller/	Water
7b93e6a1:150814fecb6:1815	Membership
7b93e6a1:150814fecb6:-1e3	Membership
7b93e6a1:150814fecb6:26aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	City
7b93e6a1:150814fecb6:1e47	Membership
7b93e6a1:150814fecb6:6e8	Membership
7b93e6a1:150814fecb6:a16	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	City
7b93e6a1:150814fecb6:644	Membership
7b93e6a1:150814fecb6:17c1	Membership
7b93e6a1:150814fecb6:-7d7	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Mountains
7b93e6a1:150814fecb6:c76	Membership
7b93e6a1:150814fecb6:1df3	Membership
http://www.semwebtech.org/mondial/10/country/PITC/	Country
7b93e6a1:150814fecb6:-733	Encompassed
7b93e6a1:150814fecb6:10cc	Membership
7b93e6a1:150814fecb6:2192	SpokenBy
7b93e6a1:150814fecb6:2526	EthnicProportion
7b93e6a1:150814fecb6:5f0	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Province
7b93e6a1:150814fecb6:-29e	Membership
7b93e6a1:150814fecb6:fb6	Membership
7b93e6a1:150814fecb6:161c	Membership
http://www.semwebtech.org/mondial/10/organization/UNITAR/	Organization
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Province
7b93e6a1:150814fecb6:24d2	EthnicProportion
7b93e6a1:150814fecb6:f12	Membership
http://www.semwebtech.org/mondial/10/source/Niger/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Province
7b93e6a1:150814fecb6:1c4e	Membership
7b93e6a1:150814fecb6:4ef	Membership
7b93e6a1:150814fecb6:187c	Membership
7b93e6a1:150814fecb6:44b	Membership
7b93e6a1:150814fecb6:-5de	Border
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	City
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	City
7b93e6a1:150814fecb6:a7d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	City
7b93e6a1:150814fecb6:1bfa	Membership
7b93e6a1:150814fecb6:-77	Membership
7b93e6a1:150814fecb6:-53a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	Province
7b93e6a1:150814fecb6:232d	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	City
7b93e6a1:150814fecb6:-79a	Encompassed
http://www.semwebtech.org/mondial/10/river/RioGrande/	Water
7b93e6a1:150814fecb6:14e8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	City
7b93e6a1:150814fecb6:258d	EthnicProportion
7b93e6a1:150814fecb6:dbd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	City
7b93e6a1:150814fecb6:1444	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Province
7b93e6a1:150814fecb6:9eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	City
7b93e6a1:150814fecb6:1a76	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Province
7b93e6a1:150814fecb6:-1a6	Membership
7b93e6a1:150814fecb6:-102	Membership
7b93e6a1:150814fecb6:273	Membership
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	City
7b93e6a1:150814fecb6:13f0	Membership
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	Mountain
7b93e6a1:150814fecb6:607	Membership
7b93e6a1:150814fecb6:-362	Membership
7b93e6a1:150814fecb6:21f9	SpokenBy
7b93e6a1:150814fecb6:c39	Membership
7b93e6a1:150814fecb6:1db6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	City
7b93e6a1:150814fecb6:2155	SpokenBy
7b93e6a1:150814fecb6:867	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Province
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Organization
7b93e6a1:150814fecb6:1d12	Membership
7b93e6a1:150814fecb6:19e4	Membership
7b93e6a1:150814fecb6:e99	Membership
7b93e6a1:150814fecb6:5b3	Membership
7b93e6a1:150814fecb6:1940	Membership
7b93e6a1:150814fecb6:12ef	Membership
7b93e6a1:150814fecb6:be5	Membership
7b93e6a1:150814fecb6:1f72	Membership
7b93e6a1:150814fecb6:124b	Membership
7b93e6a1:150814fecb6:-6a2	Border
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Province
7b93e6a1:150814fecb6:b41	Membership
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	City
7b93e6a1:150814fecb6:24bf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	City
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Province
7b93e6a1:150814fecb6:183f	Membership
7b93e6a1:150814fecb6:40e	Membership
7b93e6a1:150814fecb6:2651	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	City
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	City
7b93e6a1:150814fecb6:1bbd	Membership
7b93e6a1:150814fecb6:66e	Membership
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	Mountain
7b93e6a1:150814fecb6:17eb	Membership
7b93e6a1:150814fecb6:3ba	Membership
http://www.semwebtech.org/mondial/10/country/FGU/	Country
7b93e6a1:150814fecb6:-75d	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	EthnicGroup
7b93e6a1:150814fecb6:1073	Membership
http://www.semwebtech.org/mondial/10/island/Westray/	Island
http://www.semwebtech.org/mondial/10/estuary/Werra/	Estuary
7b93e6a1:150814fecb6:1407	Membership
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Island
7b93e6a1:150814fecb6:9ae	Membership
7b93e6a1:150814fecb6:1a39	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Province
7b93e6a1:150814fecb6:90a	Membership
7b93e6a1:150814fecb6:1667	Membership
7b93e6a1:150814fecb6:24fc	EthnicProportion
7b93e6a1:150814fecb6:1c99	Membership
7b93e6a1:150814fecb6:13b3	Membership
7b93e6a1:150814fecb6:f3c	Membership
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	City
7b93e6a1:150814fecb6:236	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	City
7b93e6a1:150814fecb6:-3c9	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	City
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	Mountain
7b93e6a1:150814fecb6:-325	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Province
http://www.semwebtech.org/mondial/10/continent/America/	Continent
7b93e6a1:150814fecb6:496	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	City
7b93e6a1:150814fecb6:2118	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	City
7b93e6a1:150814fecb6:1e2	Membership
7b93e6a1:150814fecb6:19a7	Membership
7b93e6a1:150814fecb6:-585	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	City
7b93e6a1:150814fecb6:2378	BelievedBy
7b93e6a1:150814fecb6:1fd9	Membership
7b93e6a1:150814fecb6:1903	Membership
7b93e6a1:150814fecb6:-2d1	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	City
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	Mountain
7b93e6a1:150814fecb6:ba8	Membership
7b93e6a1:150814fecb6:1f35	Membership
http://www.semwebtech.org/mondial/10/source/Mur/	Source
7b93e6a1:150814fecb6:120e	Membership
7b93e6a1:150814fecb6:20c4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	City
7b93e6a1:150814fecb6:b04	Membership
7b93e6a1:150814fecb6:7d6	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	City
7b93e6a1:150814fecb6:2020	Membership
7b93e6a1:150814fecb6:732	Membership
7b93e6a1:150814fecb6:146e	Membership
http://www.semwebtech.org/mondial/10/estuary/Nile/	Estuary
7b93e6a1:150814fecb6:d64	Membership
7b93e6a1:150814fecb6:1ee1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	City
7b93e6a1:150814fecb6:11ba	Membership
7b93e6a1:150814fecb6:26b8	EthnicProportion
7b93e6a1:150814fecb6:2280	BelievedBy
7b93e6a1:150814fecb6:ab0	Membership
7b93e6a1:150814fecb6:992	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	City
7b93e6a1:150814fecb6:-12c	Membership
7b93e6a1:150814fecb6:2614	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	City
7b93e6a1:150814fecb6:29d	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	City
7b93e6a1:150814fecb6:17ae	Membership
7b93e6a1:150814fecb6:-38c	Membership
7b93e6a1:150814fecb6:170a	Membership
7b93e6a1:150814fecb6:25c0	EthnicProportion
7b93e6a1:150814fecb6:217f	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Province
7b93e6a1:150814fecb6:1d3c	Membership
7b93e6a1:150814fecb6:1036	Membership
7b93e6a1:150814fecb6:5dd	Membership
7b93e6a1:150814fecb6:196a	Membership
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	Estuary
http://www.semwebtech.org/mondial/10/organization/SICA/	Organization
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	City
7b93e6a1:150814fecb6:1f9c	Membership
7b93e6a1:150814fecb6:-6cc	Border
7b93e6a1:150814fecb6:1296	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Water
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	City
7b93e6a1:150814fecb6:241b	BelievedBy
7b93e6a1:150814fecb6:459	Membership
7b93e6a1:150814fecb6:15d6	Membership
7b93e6a1:150814fecb6:267b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	Mountain
7b93e6a1:150814fecb6:eab	Membership
http://www.semwebtech.org/mondial/10/source/Raab/	Source
7b93e6a1:150814fecb6:1a5	Membership
7b93e6a1:150814fecb6:1532	Membership
7b93e6a1:150814fecb6:-548	Membership
7b93e6a1:150814fecb6:101	Membership
7b93e6a1:150814fecb6:1b64	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	City
7b93e6a1:150814fecb6:1792	Membership
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Province
7b93e6a1:150814fecb6:361	Membership
7b93e6a1:150814fecb6:-4f4	Membership
7b93e6a1:150814fecb6:109d	Membership
7b93e6a1:150814fecb6:ba	Membership
7b93e6a1:150814fecb6:-450	Membership
7b93e6a1:150814fecb6:22e7	BelievedBy
7b93e6a1:150814fecb6:d27	Membership
7b93e6a1:150814fecb6:9f9	Membership
7b93e6a1:150814fecb6:1ea4	Membership
7b93e6a1:150814fecb6:2243	BelievedBy
7b93e6a1:150814fecb6:955	Membership
7b93e6a1:150814fecb6:1e00	Membership
7b93e6a1:150814fecb6:f87	Membership
7b93e6a1:150814fecb6:6a1	Membership
7b93e6a1:150814fecb6:13dd	Membership
7b93e6a1:150814fecb6:cd3	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	City
7b93e6a1:150814fecb6:-34f	Membership
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Province
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	City
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	Water
7b93e6a1:150814fecb6:192d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Province
7b93e6a1:150814fecb6:-2fb	Membership
7b93e6a1:150814fecb6:1f5f	Membership
7b93e6a1:150814fecb6:1259	Membership
7b93e6a1:150814fecb6:20ee	Membership
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Islands
7b93e6a1:150814fecb6:b2e	Membership
7b93e6a1:150814fecb6:1cab	Membership
7b93e6a1:150814fecb6:204a	Membership
7b93e6a1:150814fecb6:75c	Membership
http://www.semwebtech.org/mondial/10/island/Filicudi/	Island
http://www.semwebtech.org/mondial/10/island/Langeoog/	Island
7b93e6a1:150814fecb6:d8e	Membership
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	City
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	City
7b93e6a1:150814fecb6:ada	Membership
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	Mountain
7b93e6a1:150814fecb6:-d4	Membership
7b93e6a1:150814fecb6:1161	Membership
7b93e6a1:150814fecb6:-177	Membership
7b93e6a1:150814fecb6:263e	EthnicProportion
7b93e6a1:150814fecb6:-30	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	City
7b93e6a1:150814fecb6:1b27	Membership
7b93e6a1:150814fecb6:17f9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	City
7b93e6a1:150814fecb6:3c8	Membership
7b93e6a1:150814fecb6:25ea	EthnicProportion
7b93e6a1:150814fecb6:1755	Membership
7b93e6a1:150814fecb6:1d87	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Province
7b93e6a1:150814fecb6:324	Membership
7b93e6a1:150814fecb6:14a1	Membership
7b93e6a1:150814fecb6:-4b7	Membership
7b93e6a1:150814fecb6:1ad3	Membership
7b93e6a1:150814fecb6:-413	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	City
7b93e6a1:150814fecb6:584	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Province
7b93e6a1:150814fecb6:2206	SpokenBy
7b93e6a1:150814fecb6:918	Membership
7b93e6a1:150814fecb6:2d0	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	City
7b93e6a1:150814fecb6:-673	Border
7b93e6a1:150814fecb6:2466	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	Mountain
7b93e6a1:150814fecb6:21b2	SpokenBy
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Province
7b93e6a1:150814fecb6:8c4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Mountains
7b93e6a1:150814fecb6:ef6	Membership
7b93e6a1:150814fecb6:820	Membership
7b93e6a1:150814fecb6:1cf	Membership
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Water
7b93e6a1:150814fecb6:155c	Membership
7b93e6a1:150814fecb6:e52	Membership
7b93e6a1:150814fecb6:12b	Membership
7b93e6a1:150814fecb6:1b8e	Membership
7b93e6a1:150814fecb6:-2be	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	City
7b93e6a1:150814fecb6:-21a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	City
7b93e6a1:150814fecb6:38b	Membership
http://www.semwebtech.org/mondial/10/island/Salina/	Island
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	Estuary
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	City
7b93e6a1:150814fecb6:200d	Membership
7b93e6a1:150814fecb6:71f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Province
7b93e6a1:150814fecb6:-47a	Membership
7b93e6a1:150814fecb6:61	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	City
7b93e6a1:150814fecb6:1ece	Membership
7b93e6a1:150814fecb6:-80e	Encompassed
7b93e6a1:150814fecb6:11c8	Membership
7b93e6a1:150814fecb6:226d	BelievedBy
7b93e6a1:150814fecb6:97f	Membership
7b93e6a1:150814fecb6:1e2a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	City
7b93e6a1:150814fecb6:1124	Membership
7b93e6a1:150814fecb6:6cb	Membership
http://www.semwebtech.org/mondial/10/country/ETH/	Country
7b93e6a1:150814fecb6:cfd	Membership
7b93e6a1:150814fecb6:-7ba	Encompassed
7b93e6a1:150814fecb6:1384	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Water
7b93e6a1:150814fecb6:1718	Membership
7b93e6a1:150814fecb6:10d0	Membership
7b93e6a1:150814fecb6:25ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	EthnicGroup
7b93e6a1:150814fecb6:1978	Membership
7b93e6a1:150814fecb6:547	Membership
7b93e6a1:150814fecb6:16c4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	City
7b93e6a1:150814fecb6:b79	Membership
7b93e6a1:150814fecb6:1cf6	Membership
7b93e6a1:150814fecb6:1620	Membership
7b93e6a1:150814fecb6:-636	Border
7b93e6a1:150814fecb6:2095	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Province
7b93e6a1:150814fecb6:2429	BelievedBy
7b93e6a1:150814fecb6:1c52	Membership
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	City
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Province
7b93e6a1:150814fecb6:4f3	Membership
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	Water
7b93e6a1:150814fecb6:1880	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	City
http://www.semwebtech.org/mondial/10/island/Hierro/	Island
7b93e6a1:150814fecb6:-fe	Membership
7b93e6a1:150814fecb6:-5e2	Border
7b93e6a1:150814fecb6:118b	Membership
7b93e6a1:150814fecb6:2689	EthnicProportion
7b93e6a1:150814fecb6:eb9	Membership
7b93e6a1:150814fecb6:a81	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	City
7b93e6a1:150814fecb6:-5a	Membership
7b93e6a1:150814fecb6:151f	Membership
7b93e6a1:150814fecb6:23d5	BelievedBy
7b93e6a1:150814fecb6:e15	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	Mountain
7b93e6a1:150814fecb6:2331	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	City
7b93e6a1:150814fecb6:177f	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	City
7b93e6a1:150814fecb6:34e	Membership
7b93e6a1:150814fecb6:2591	EthnicProportion
7b93e6a1:150814fecb6:14cb	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	City
7b93e6a1:150814fecb6:c8	Membership
7b93e6a1:150814fecb6:dc1	Membership
7b93e6a1:150814fecb6:1afd	Membership
7b93e6a1:150814fecb6:-43d	Membership
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Desert
7b93e6a1:150814fecb6:24	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	City
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	Mountain
7b93e6a1:150814fecb6:2fa	Membership
7b93e6a1:150814fecb6:-69d	Border
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	City
http://www.semwebtech.org/mondial/10/estuary/Salzach/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Province
7b93e6a1:150814fecb6:21dc	SpokenBy
7b93e6a1:150814fecb6:1347	Membership
7b93e6a1:150814fecb6:-488	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Island
7b93e6a1:150814fecb6:c1c	Membership
7b93e6a1:150814fecb6:8ee	Membership
7b93e6a1:150814fecb6:84a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	City
7b93e6a1:150814fecb6:e7c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	EthnicGroup
7b93e6a1:150814fecb6:176	Membership
7b93e6a1:150814fecb6:12f3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	Province
7b93e6a1:150814fecb6:-265	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	City
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	Mountain
7b93e6a1:150814fecb6:1cb9	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	City
7b93e6a1:150814fecb6:2058	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	City
7b93e6a1:150814fecb6:1c15	Membership
7b93e6a1:150814fecb6:18e7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	City
7b93e6a1:150814fecb6:8b	Membership
7b93e6a1:150814fecb6:1843	Membership
7b93e6a1:150814fecb6:4b6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	City
http://www.semwebtech.org/mondial/10/country/SD/	Country
http://www.semwebtech.org/mondial/10/island/Koror/	Island
7b93e6a1:150814fecb6:1e75	Membership
7b93e6a1:150814fecb6:ae8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Province
7b93e6a1:150814fecb6:412	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	City
7b93e6a1:150814fecb6:-5a5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	City
7b93e6a1:150814fecb6:114e	Membership
7b93e6a1:150814fecb6:a44	Membership
7b93e6a1:150814fecb6:1bc1	Membership
7b93e6a1:150814fecb6:-1d	Membership
7b93e6a1:150814fecb6:-501	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	City
7b93e6a1:150814fecb6:672	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Province
7b93e6a1:150814fecb6:-761	Encompassed
7b93e6a1:150814fecb6:10fa	Membership
7b93e6a1:150814fecb6:25f8	EthnicProportion
7b93e6a1:150814fecb6:2554	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	City
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	Estuary
http://www.semwebtech.org/mondial/10/country/YV/	Country
7b93e6a1:150814fecb6:22a0	BelievedBy
7b93e6a1:150814fecb6:9b2	Membership
7b93e6a1:150814fecb6:1a1c	Membership
7b93e6a1:150814fecb6:16ee	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	City
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	Mountain
7b93e6a1:150814fecb6:fe4	Membership
7b93e6a1:150814fecb6:2bd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	EthnicGroup
7b93e6a1:150814fecb6:164a	Membership
http://www.semwebtech.org/mondial/10/river/Apurimac/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	City
7b93e6a1:150814fecb6:f40	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Province
7b93e6a1:150814fecb6:1c7c	Membership
7b93e6a1:150814fecb6:-3ac	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Terschelling/	Island
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	Mountain
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Province
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Water
7b93e6a1:150814fecb6:80d	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	City
7b93e6a1:150814fecb6:23ff	BelievedBy
7b93e6a1:150814fecb6:1fbc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Province
7b93e6a1:150814fecb6:e3f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Province
7b93e6a1:150814fecb6:139	Membership
7b93e6a1:150814fecb6:12b6	Membership
7b93e6a1:150814fecb6:235b	BelievedBy
7b93e6a1:150814fecb6:1212	Membership
7b93e6a1:150814fecb6:-228	Membership
7b93e6a1:150814fecb6:399	Membership
http://www.semwebtech.org/mondial/10/desert/Ryn/	Desert
7b93e6a1:150814fecb6:deb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	Province
7b93e6a1:150814fecb6:1472	Membership
7b93e6a1:150814fecb6:4e	Membership
7b93e6a1:150814fecb6:1806	Membership
7b93e6a1:150814fecb6:-1d4	Membership
7b93e6a1:150814fecb6:1e38	Membership
7b93e6a1:150814fecb6:-130	Membership
7b93e6a1:150814fecb6:6d9	Membership
7b93e6a1:150814fecb6:a07	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	City
7b93e6a1:150814fecb6:635	Membership
7b93e6a1:150814fecb6:17b2	Membership
7b93e6a1:150814fecb6:-7c8	Encompassed
7b93e6a1:150814fecb6:-390	Membership
7b93e6a1:150814fecb6:c67	Membership
7b93e6a1:150814fecb6:1de4	Membership
7b93e6a1:150814fecb6:-724	Encompassed
7b93e6a1:150814fecb6:10bd	Membership
7b93e6a1:150814fecb6:2183	SpokenBy
http://www.semwebtech.org/mondial/10/source/Shabelle/	Source
7b93e6a1:150814fecb6:895	Membership
7b93e6a1:150814fecb6:1d40	Membership
7b93e6a1:150814fecb6:2517	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Desert
7b93e6a1:150814fecb6:5e1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	City
7b93e6a1:150814fecb6:-6d0	Border
7b93e6a1:150814fecb6:-28f	Membership
7b93e6a1:150814fecb6:160d	Membership
7b93e6a1:150814fecb6:fa7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	City
7b93e6a1:150814fecb6:24c3	EthnicProportion
7b93e6a1:150814fecb6:f03	Membership
7b93e6a1:150814fecb6:1c3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	Mountain
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	City
7b93e6a1:150814fecb6:186d	Membership
7b93e6a1:150814fecb6:1e9f	Membership
7b93e6a1:150814fecb6:43c	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	City
7b93e6a1:150814fecb6:-5cf	Membership
7b93e6a1:150814fecb6:1199	Membership
7b93e6a1:150814fecb6:a6e	Membership
7b93e6a1:150814fecb6:1beb	Membership
7b93e6a1:150814fecb6:-68	Membership
7b93e6a1:150814fecb6:-52b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Province
7b93e6a1:150814fecb6:69c	Membership
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Province
7b93e6a1:150814fecb6:231e	BelievedBy
7b93e6a1:150814fecb6:-78b	Encompassed
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Island
7b93e6a1:150814fecb6:14d9	Membership
7b93e6a1:150814fecb6:257e	EthnicProportion
7b93e6a1:150814fecb6:dae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	City
7b93e6a1:150814fecb6:1435	Membership
7b93e6a1:150814fecb6:22ca	BelievedBy
7b93e6a1:150814fecb6:d0a	Membership
7b93e6a1:150814fecb6:9dc	Membership
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	Source
7b93e6a1:150814fecb6:1a67	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	City
7b93e6a1:150814fecb6:1695	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	City
7b93e6a1:150814fecb6:f6a	Membership
7b93e6a1:150814fecb6:13e1	Membership
7b93e6a1:150814fecb6:264	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	City
7b93e6a1:150814fecb6:-3f7	Membership
http://www.semwebtech.org/mondial/10/island/Luzon/	Island
7b93e6a1:150814fecb6:-353	Membership
7b93e6a1:150814fecb6:1da7	Membership
7b93e6a1:150814fecb6:2146	SpokenBy
7b93e6a1:150814fecb6:1d03	Membership
7b93e6a1:150814fecb6:858	Membership
7b93e6a1:150814fecb6:19d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	City
7b93e6a1:150814fecb6:5a4	Membership
7b93e6a1:150814fecb6:b	Membership
7b93e6a1:150814fecb6:1931	Membership
7b93e6a1:150814fecb6:bd6	Membership
7b93e6a1:150814fecb6:500	Membership
7b93e6a1:150814fecb6:1f63	Membership
7b93e6a1:150814fecb6:123c	Membership
7b93e6a1:150814fecb6:20f2	Membership
7b93e6a1:150814fecb6:b32	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	City
7b93e6a1:150814fecb6:760	Membership
7b93e6a1:150814fecb6:149c	Membership
http://www.semwebtech.org/mondial/10/river/Breg/	Water
7b93e6a1:150814fecb6:99	Membership
7b93e6a1:150814fecb6:d92	Membership
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mountains
7b93e6a1:150814fecb6:-1fe	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Province
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	City
7b93e6a1:150814fecb6:-15a	Membership
7b93e6a1:150814fecb6:2642	EthnicProportion
7b93e6a1:150814fecb6:1bae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	City
7b93e6a1:150814fecb6:65f	Membership
7b93e6a1:150814fecb6:1b0a	Membership
7b93e6a1:150814fecb6:17dc	Membership
7b93e6a1:150814fecb6:3ab	Membership
7b93e6a1:150814fecb6:-74e	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/	Country
7b93e6a1:150814fecb6:1d6a	Membership
7b93e6a1:150814fecb6:1064	Membership
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Desert
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	City
http://www.semwebtech.org/mondial/10/source/Dnister/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	City
7b93e6a1:150814fecb6:-6fa	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	City
7b93e6a1:150814fecb6:1658	Membership
7b93e6a1:150814fecb6:24ed	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kolyma/	Source
http://www.semwebtech.org/mondial/10/source/Don/	Source
7b93e6a1:150814fecb6:f2d	Membership
7b93e6a1:150814fecb6:227	Membership
7b93e6a1:150814fecb6:13a4	Membership
7b93e6a1:150814fecb6:1300	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	City
7b93e6a1:150814fecb6:-316	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	City
7b93e6a1:150814fecb6:487	Membership
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	City
7b93e6a1:150814fecb6:2109	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	City
7b93e6a1:150814fecb6:1d3	Membership
7b93e6a1:150814fecb6:1560	Membership
7b93e6a1:150814fecb6:-576	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Province
7b93e6a1:150814fecb6:1b92	Membership
7b93e6a1:150814fecb6:-2c2	Membership
7b93e6a1:150814fecb6:2369	BelievedBy
7b93e6a1:150814fecb6:1f26	Membership
7b93e6a1:150814fecb6:20b5	Membership
7b93e6a1:150814fecb6:7c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Province
7b93e6a1:150814fecb6:2011	Membership
7b93e6a1:150814fecb6:df9	Membership
7b93e6a1:150814fecb6:723	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Province
7b93e6a1:150814fecb6:18a0	Membership
7b93e6a1:150814fecb6:145f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	EthnicGroup
7b93e6a1:150814fecb6:d55	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Province
7b93e6a1:150814fecb6:26a9	EthnicProportion
7b93e6a1:150814fecb6:1ed2	Membership
7b93e6a1:150814fecb6:-812	Encompassed
7b93e6a1:150814fecb6:11ab	Membership
7b93e6a1:150814fecb6:2271	BelievedBy
7b93e6a1:150814fecb6:aa1	Membership
7b93e6a1:150814fecb6:983	Membership
http://www.semwebtech.org/mondial/10/organization/FAO/	Organization
http://www.semwebtech.org/mondial/10/language/Galician/	Language
http://www.semwebtech.org/mondial/10/river/Fulda/	Water
7b93e6a1:150814fecb6:2605	EthnicProportion
7b93e6a1:150814fecb6:-11d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	City
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	City
7b93e6a1:150814fecb6:28e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	City
http://www.semwebtech.org/mondial/10/country/EC/	Country
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	City
http://www.semwebtech.org/mondial/10/lake/Poopo/	Water
7b93e6a1:150814fecb6:-37d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	City
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Province
7b93e6a1:150814fecb6:25b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	City
7b93e6a1:150814fecb6:1d2d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Province
7b93e6a1:150814fecb6:19ff	Membership
7b93e6a1:150814fecb6:1027	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	Estuary
7b93e6a1:150814fecb6:5ce	Membership
7b93e6a1:150814fecb6:195b	Membership
7b93e6a1:150814fecb6:52a	Membership
7b93e6a1:150814fecb6:1f8d	Membership
7b93e6a1:150814fecb6:-6bd	Border
7b93e6a1:150814fecb6:1287	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	City
7b93e6a1:150814fecb6:b5c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	City
7b93e6a1:150814fecb6:78a	Membership
7b93e6a1:150814fecb6:240c	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	EthnicGroup
7b93e6a1:150814fecb6:15c7	Membership
7b93e6a1:150814fecb6:266c	EthnicProportion
7b93e6a1:150814fecb6:1bf9	Membership
7b93e6a1:150814fecb6:1523	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	City
7b93e6a1:150814fecb6:-539	Membership
http://www.semwebtech.org/mondial/10/language/Miskito/	Language
7b93e6a1:150814fecb6:1b55	Membership
7b93e6a1:150814fecb6:1783	Membership
7b93e6a1:150814fecb6:3f6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	City
http://www.semwebtech.org/mondial/10/country/RH/	Country
7b93e6a1:150814fecb6:-799	Encompassed
7b93e6a1:150814fecb6:352	Membership
7b93e6a1:150814fecb6:-4e5	Membership
7b93e6a1:150814fecb6:108e	Membership
7b93e6a1:150814fecb6:ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	City
http://www.semwebtech.org/mondial/10/country/TN/	Country
7b93e6a1:150814fecb6:-441	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	City
7b93e6a1:150814fecb6:22d8	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Limmat/	Estuary
7b93e6a1:150814fecb6:d18	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/	Country
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	City
7b93e6a1:150814fecb6:2234	BelievedBy
7b93e6a1:150814fecb6:946	Membership
7b93e6a1:150814fecb6:f78	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	City
7b93e6a1:150814fecb6:13ce	Membership
7b93e6a1:150814fecb6:2494	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Seine/	Estuary
7b93e6a1:150814fecb6:cc4	Membership
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	Religion
7b93e6a1:150814fecb6:132a	Membership
7b93e6a1:150814fecb6:21e0	SpokenBy
7b93e6a1:150814fecb6:c20	Membership
7b93e6a1:150814fecb6:8f2	Membership
http://www.semwebtech.org/mondial/10/source/Moldau/	Source
7b93e6a1:150814fecb6:1fd	Membership
7b93e6a1:150814fecb6:158a	Membership
7b93e6a1:150814fecb6:e80	Membership
7b93e6a1:150814fecb6:191e	Membership
7b93e6a1:150814fecb6:-2ec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	City
7b93e6a1:150814fecb6:20df	Membership
7b93e6a1:150814fecb6:b1f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	City
7b93e6a1:150814fecb6:203b	Membership
7b93e6a1:150814fecb6:74d	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	City
7b93e6a1:150814fecb6:18ca	Membership
7b93e6a1:150814fecb6:d7f	Membership
7b93e6a1:150814fecb6:1efc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Province
7b93e6a1:150814fecb6:11f6	Membership
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	City
7b93e6a1:150814fecb6:229b	BelievedBy
7b93e6a1:150814fecb6:acb	Membership
7b93e6a1:150814fecb6:-c5	Membership
7b93e6a1:150814fecb6:1152	Membership
7b93e6a1:150814fecb6:-168	Membership
7b93e6a1:150814fecb6:262f	EthnicProportion
7b93e6a1:150814fecb6:-21	Membership
7b93e6a1:150814fecb6:1b18	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	City
7b93e6a1:150814fecb6:3b9	Membership
http://www.semwebtech.org/mondial/10/country/M/	Country
7b93e6a1:150814fecb6:1746	Membership
7b93e6a1:150814fecb6:25db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Hekla/	Mountain
7b93e6a1:150814fecb6:315	Membership
7b93e6a1:150814fecb6:1d78	Membership
7b93e6a1:150814fecb6:-4a8	Membership
7b93e6a1:150814fecb6:1ac4	Membership
7b93e6a1:150814fecb6:-404	Membership
http://www.semwebtech.org/mondial/10/river/Senegal/	Water
http://www.semwebtech.org/mondial/10/mountain/Joekul/	Mountain
7b93e6a1:150814fecb6:575	Membership
7b93e6a1:150814fecb6:1a20	Membership
7b93e6a1:150814fecb6:16f2	Membership
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Mountains
7b93e6a1:150814fecb6:909	Membership
7b93e6a1:150814fecb6:2c1	Membership
7b93e6a1:150814fecb6:-664	Border
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	City
7b93e6a1:150814fecb6:2457	EthnicProportion
7b93e6a1:150814fecb6:1c80	Membership
7b93e6a1:150814fecb6:-3b0	Membership
http://www.semwebtech.org/mondial/10/organization/UNDOF/	Organization
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	Source
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Province
7b93e6a1:150814fecb6:16e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	City
7b93e6a1:150814fecb6:21a3	SpokenBy
7b93e6a1:150814fecb6:8b5	Membership
7b93e6a1:150814fecb6:ee7	Membership
7b93e6a1:150814fecb6:811	Membership
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Mountains
7b93e6a1:150814fecb6:154d	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	City
http://www.semwebtech.org/mondial/10/source/Urubamba/	Source
7b93e6a1:150814fecb6:e43	Membership
7b93e6a1:150814fecb6:1fc0	Membership
7b93e6a1:150814fecb6:11c	Membership
7b93e6a1:150814fecb6:1b7f	Membership
7b93e6a1:150814fecb6:-2af	Membership
http://www.semwebtech.org/mondial/10/river/Oka/	Water
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	City
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	City
7b93e6a1:150814fecb6:-20b	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	Estuary
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	City
7b93e6a1:150814fecb6:37c	Membership
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	Estuary
7b93e6a1:150814fecb6:f6	Membership
7b93e6a1:150814fecb6:-46b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Province
7b93e6a1:150814fecb6:52	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	City
7b93e6a1:150814fecb6:1ebf	Membership
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Mountains
7b93e6a1:150814fecb6:11b9	Membership
7b93e6a1:150814fecb6:225e	BelievedBy
7b93e6a1:150814fecb6:1e1b	Membership
7b93e6a1:150814fecb6:1115	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Province
7b93e6a1:150814fecb6:6bc	Membership
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Islands
7b93e6a1:150814fecb6:cee	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	City
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	City
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	City
7b93e6a1:150814fecb6:-7ab	Encompassed
7b93e6a1:150814fecb6:1375	Membership
7b93e6a1:150814fecb6:c4a	Membership
7b93e6a1:150814fecb6:1709	Membership
7b93e6a1:150814fecb6:10c1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	City
7b93e6a1:150814fecb6:1969	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Province
7b93e6a1:150814fecb6:538	Membership
7b93e6a1:150814fecb6:16b5	Membership
7b93e6a1:150814fecb6:-293	Membership
7b93e6a1:150814fecb6:1ce7	Membership
7b93e6a1:150814fecb6:1611	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Province
7b93e6a1:150814fecb6:-627	Border
7b93e6a1:150814fecb6:2086	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	City
7b93e6a1:150814fecb6:798	Membership
7b93e6a1:150814fecb6:1c43	Membership
7b93e6a1:150814fecb6:4e4	Membership
7b93e6a1:150814fecb6:1871	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Province
7b93e6a1:150814fecb6:440	Membership
7b93e6a1:150814fecb6:-ef	Membership
7b93e6a1:150814fecb6:-5d3	Membership
7b93e6a1:150814fecb6:117c	Membership
7b93e6a1:150814fecb6:a72	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Province
7b93e6a1:150814fecb6:-4b	Membership
7b93e6a1:150814fecb6:23c6	BelievedBy
7b93e6a1:150814fecb6:e06	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	City
7b93e6a1:150814fecb6:2322	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	EthnicGroup
7b93e6a1:150814fecb6:33f	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Province
7b93e6a1:150814fecb6:2582	EthnicProportion
7b93e6a1:150814fecb6:14bc	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	City
7b93e6a1:150814fecb6:b9	Membership
7b93e6a1:150814fecb6:db2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	City
7b93e6a1:150814fecb6:1aee	Membership
7b93e6a1:150814fecb6:1a4a	Membership
7b93e6a1:150814fecb6:9e0	Membership
7b93e6a1:150814fecb6:-42e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	City
7b93e6a1:150814fecb6:15	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	City
7b93e6a1:150814fecb6:59f	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	City
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	Water
7b93e6a1:150814fecb6:2eb	Membership
7b93e6a1:150814fecb6:-68e	Border
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	City
7b93e6a1:150814fecb6:-3da	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	City
7b93e6a1:150814fecb6:1338	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	City
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	City
7b93e6a1:150814fecb6:21cd	SpokenBy
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	City
7b93e6a1:150814fecb6:c0d	Membership
7b93e6a1:150814fecb6:8df	Membership
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Desert
http://www.semwebtech.org/mondial/10/island/Kauai/	Island
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Language
7b93e6a1:150814fecb6:83b	Membership
7b93e6a1:150814fecb6:1598	Membership
http://www.semwebtech.org/mondial/10/mountain/Athos/	Mountain
7b93e6a1:150814fecb6:e6d	Membership
7b93e6a1:150814fecb6:1fea	Membership
7b93e6a1:150814fecb6:167	Membership
7b93e6a1:150814fecb6:12e4	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	City
http://www.semwebtech.org/mondial/10/source/Naryn/	Source
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Water
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Province
7b93e6a1:150814fecb6:1240	Membership
7b93e6a1:150814fecb6:-256	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	City
7b93e6a1:150814fecb6:2049	Membership
7b93e6a1:150814fecb6:1c06	Membership
7b93e6a1:150814fecb6:18d8	Membership
7b93e6a1:150814fecb6:7c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Province
7b93e6a1:150814fecb6:4a7	Membership
7b93e6a1:150814fecb6:1834	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	City
7b93e6a1:150814fecb6:ad9	Membership
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	City
7b93e6a1:150814fecb6:403	Membership
7b93e6a1:150814fecb6:1e66	Membership
7b93e6a1:150814fecb6:113f	Membership
7b93e6a1:150814fecb6:a35	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	City
7b93e6a1:150814fecb6:1bb2	Membership
http://www.semwebtech.org/mondial/10/mountain/Makalu/	Mountain
http://www.semwebtech.org/mondial/10/island/Lombok/	Island
7b93e6a1:150814fecb6:663	Membership
7b93e6a1:150814fecb6:17e0	Membership
7b93e6a1:150814fecb6:-7f6	Encompassed
7b93e6a1:150814fecb6:139f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	EthnicGroup
7b93e6a1:150814fecb6:c95	Membership
http://www.semwebtech.org/mondial/10/source/RioLerma/	Source
7b93e6a1:150814fecb6:-752	Encompassed
7b93e6a1:150814fecb6:10eb	Membership
7b93e6a1:150814fecb6:25e9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	City
7b93e6a1:150814fecb6:2545	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Honshu/	Island
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	Mountain
7b93e6a1:150814fecb6:-8	Membership
7b93e6a1:150814fecb6:9a3	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	City
7b93e6a1:150814fecb6:1a0d	Membership
7b93e6a1:150814fecb6:16df	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	City
7b93e6a1:150814fecb6:fd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	City
7b93e6a1:150814fecb6:2ae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	City
7b93e6a1:150814fecb6:163b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	City
7b93e6a1:150814fecb6:24f1	EthnicProportion
7b93e6a1:150814fecb6:1c6d	Membership
7b93e6a1:150814fecb6:f31	Membership
7b93e6a1:150814fecb6:20a	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	City
7b93e6a1:150814fecb6:189b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	City
7b93e6a1:150814fecb6:46a	Membership
7b93e6a1:150814fecb6:-5fd	Border
7b93e6a1:150814fecb6:a9c	Membership
7b93e6a1:150814fecb6:-96	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mountains
7b93e6a1:150814fecb6:1fad	Membership
7b93e6a1:150814fecb6:12a7	Membership
7b93e6a1:150814fecb6:234c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Protestant/	Religion
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	City
7b93e6a1:150814fecb6:1203	Membership
7b93e6a1:150814fecb6:-219	Membership
http://www.semwebtech.org/mondial/10/organization/G-3/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Province
7b93e6a1:150814fecb6:7aa	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	City
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Water
7b93e6a1:150814fecb6:ddc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Province
http://www.semwebtech.org/mondial/10/island/Arran/	Island
7b93e6a1:150814fecb6:1463	Membership
7b93e6a1:150814fecb6:-479	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	Province
7b93e6a1:150814fecb6:3f	Membership
7b93e6a1:150814fecb6:1a95	Membership
7b93e6a1:150814fecb6:-1c5	Membership
7b93e6a1:150814fecb6:1e29	Membership
7b93e6a1:150814fecb6:-121	Membership
7b93e6a1:150814fecb6:292	Membership
7b93e6a1:150814fecb6:17a3	Membership
7b93e6a1:150814fecb6:626	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	City
7b93e6a1:150814fecb6:-7b9	Encompassed
7b93e6a1:150814fecb6:-381	Membership
7b93e6a1:150814fecb6:c58	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Water
7b93e6a1:150814fecb6:1dd5	Membership
7b93e6a1:150814fecb6:-715	Border
7b93e6a1:150814fecb6:10ae	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	City
7b93e6a1:150814fecb6:2174	SpokenBy
7b93e6a1:150814fecb6:1d31	Membership
7b93e6a1:150814fecb6:886	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	City
7b93e6a1:150814fecb6:100a	Membership
7b93e6a1:150814fecb6:2508	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	City
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	City
7b93e6a1:150814fecb6:5d2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	City
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	Water
7b93e6a1:150814fecb6:1f91	Membership
7b93e6a1:150814fecb6:126a	Membership
7b93e6a1:150814fecb6:-6c1	Border
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	City
7b93e6a1:150814fecb6:b60	Membership
7b93e6a1:150814fecb6:24b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	City
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	City
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	City
7b93e6a1:150814fecb6:2410	BelievedBy
7b93e6a1:150814fecb6:185e	Membership
7b93e6a1:150814fecb6:42d	Membership
7b93e6a1:150814fecb6:15aa	Membership
7b93e6a1:150814fecb6:2670	EthnicProportion
7b93e6a1:150814fecb6:1bdc	Membership
7b93e6a1:150814fecb6:ea0	Membership
7b93e6a1:150814fecb6:a5f	Membership
7b93e6a1:150814fecb6:-59	Membership
7b93e6a1:150814fecb6:-51c	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	City
7b93e6a1:150814fecb6:68d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	EthnicGroup
7b93e6a1:150814fecb6:230f	BelievedBy
7b93e6a1:150814fecb6:-77c	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	City
7b93e6a1:150814fecb6:1092	Membership
7b93e6a1:150814fecb6:256f	EthnicProportion
7b93e6a1:150814fecb6:1426	Membership
http://www.semwebtech.org/mondial/10/organization/G-24/	Organization
7b93e6a1:150814fecb6:22bb	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Karthala/	Mountain
7b93e6a1:150814fecb6:9cd	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/	Country
7b93e6a1:150814fecb6:1a58	Membership
7b93e6a1:150814fecb6:fff	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Province
7b93e6a1:150814fecb6:2f9	Membership
7b93e6a1:150814fecb6:1686	Membership
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	City
7b93e6a1:150814fecb6:f5b	Membership
7b93e6a1:150814fecb6:255	Membership
7b93e6a1:150814fecb6:13d2	Membership
7b93e6a1:150814fecb6:-3e8	Membership
7b93e6a1:150814fecb6:-344	Membership
7b93e6a1:150814fecb6:2137	SpokenBy
http://www.semwebtech.org/mondial/10/island/WestFalkland/	Island
7b93e6a1:150814fecb6:849	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Province
7b93e6a1:150814fecb6:19c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	EthnicGroup
7b93e6a1:150814fecb6:1ff8	Membership
7b93e6a1:150814fecb6:1922	Membership
7b93e6a1:150814fecb6:-2f0	Membership
7b93e6a1:150814fecb6:2397	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	City
7b93e6a1:150814fecb6:bc7	Membership
7b93e6a1:150814fecb6:1f54	Membership
7b93e6a1:150814fecb6:122d	Membership
7b93e6a1:150814fecb6:20e3	Membership
7b93e6a1:150814fecb6:b23	Membership
7b93e6a1:150814fecb6:7f5	Membership
7b93e6a1:150814fecb6:1ca0	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	City
7b93e6a1:150814fecb6:751	Membership
7b93e6a1:150814fecb6:148d	Membership
7b93e6a1:150814fecb6:d83	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	City
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	Source
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	City
7b93e6a1:150814fecb6:-1ef	Membership
7b93e6a1:150814fecb6:-14b	Membership
7b93e6a1:150814fecb6:2633	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	City
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	Mountain
7b93e6a1:150814fecb6:17cd	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	City
7b93e6a1:150814fecb6:1dff	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	City
7b93e6a1:150814fecb6:-73f	Encompassed
7b93e6a1:150814fecb6:10f9	Membership
7b93e6a1:150814fecb6:219e	SpokenBy
http://www.semwebtech.org/mondial/10/river/Narew/	Water
http://www.semwebtech.org/mondial/10/river/Orinoco/	Water
7b93e6a1:150814fecb6:1d5b	Membership
7b93e6a1:150814fecb6:1055	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	City
http://www.semwebtech.org/mondial/10/island/Lanai/	Island
7b93e6a1:150814fecb6:5fc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	City
7b93e6a1:150814fecb6:-6eb	Border
7b93e6a1:150814fecb6:b8a	Membership
7b93e6a1:150814fecb6:1649	Membership
7b93e6a1:150814fecb6:24de	EthnicProportion
7b93e6a1:150814fecb6:f1e	Membership
7b93e6a1:150814fecb6:218	Membership
7b93e6a1:150814fecb6:243a	BelievedBy
7b93e6a1:150814fecb6:-307	Membership
7b93e6a1:150814fecb6:478	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Province
7b93e6a1:150814fecb6:15f5	Membership
7b93e6a1:150814fecb6:269a	EthnicProportion
7b93e6a1:150814fecb6:eca	Membership
7b93e6a1:150814fecb6:1c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	City
7b93e6a1:150814fecb6:1551	Membership
7b93e6a1:150814fecb6:-567	Membership
7b93e6a1:150814fecb6:120	Membership
7b93e6a1:150814fecb6:1b83	Membership
7b93e6a1:150814fecb6:-2b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Arno/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Province
7b93e6a1:150814fecb6:1f17	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Province
7b93e6a1:150814fecb6:20a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	City
7b93e6a1:150814fecb6:7b8	Membership
7b93e6a1:150814fecb6:380	Membership
7b93e6a1:150814fecb6:2002	Membership
7b93e6a1:150814fecb6:714	Membership
7b93e6a1:150814fecb6:d46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruki/	Estuary
7b93e6a1:150814fecb6:1ec3	Membership
7b93e6a1:150814fecb6:-803	Encompassed
7b93e6a1:150814fecb6:2262	BelievedBy
7b93e6a1:150814fecb6:974	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Province
http://www.semwebtech.org/mondial/10/source/Aller/	Source
7b93e6a1:150814fecb6:-10e	Membership
http://www.semwebtech.org/mondial/10/river/Limmat/	Water
7b93e6a1:150814fecb6:6c0	Membership
7b93e6a1:150814fecb6:27f	Membership
7b93e6a1:150814fecb6:13fc	Membership
7b93e6a1:150814fecb6:cf2	Membership
7b93e6a1:150814fecb6:-36e	Membership
7b93e6a1:150814fecb6:25a2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	City
7b93e6a1:150814fecb6:1d1e	Membership
7b93e6a1:150814fecb6:1018	Membership
7b93e6a1:150814fecb6:5bf	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	City
7b93e6a1:150814fecb6:194c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Province
7b93e6a1:150814fecb6:-6f9	Border
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	City
7b93e6a1:150814fecb6:51b	Membership
7b93e6a1:150814fecb6:1f7e	Membership
7b93e6a1:150814fecb6:-6ae	Border
7b93e6a1:150814fecb6:1278	Membership
7b93e6a1:150814fecb6:b4d	Membership
7b93e6a1:150814fecb6:1cca	Membership
7b93e6a1:150814fecb6:-60a	Border
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	City
7b93e6a1:150814fecb6:77b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Province
7b93e6a1:150814fecb6:265d	EthnicProportion
7b93e6a1:150814fecb6:15b8	Membership
7b93e6a1:150814fecb6:-f3	Membership
7b93e6a1:150814fecb6:1180	Membership
7b93e6a1:150814fecb6:-196	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	City
7b93e6a1:150814fecb6:1514	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	City
7b93e6a1:150814fecb6:1b46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ebro/	Estuary
7b93e6a1:150814fecb6:3e7	Membership
7b93e6a1:150814fecb6:1774	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Religion
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	Estuary
7b93e6a1:150814fecb6:343	Membership
7b93e6a1:150814fecb6:14c0	Membership
7b93e6a1:150814fecb6:-4d6	Membership
7b93e6a1:150814fecb6:107f	Membership
7b93e6a1:150814fecb6:1af2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Province
7b93e6a1:150814fecb6:-432	Membership
7b93e6a1:150814fecb6:22c9	BelievedBy
7b93e6a1:150814fecb6:d09	Membership
7b93e6a1:150814fecb6:2225	SpokenBy
7b93e6a1:150814fecb6:937	Membership
7b93e6a1:150814fecb6:-692	Border
7b93e6a1:150814fecb6:f69	Membership
7b93e6a1:150814fecb6:13bf	Membership
7b93e6a1:150814fecb6:2485	EthnicProportion
7b93e6a1:150814fecb6:cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	City
7b93e6a1:150814fecb6:131b	Membership
7b93e6a1:150814fecb6:21d1	SpokenBy
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	City
7b93e6a1:150814fecb6:c11	Membership
7b93e6a1:150814fecb6:8e3	Membership
7b93e6a1:150814fecb6:1ee	Membership
7b93e6a1:150814fecb6:157b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	EthnicGroup
7b93e6a1:150814fecb6:e71	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Water
7b93e6a1:150814fecb6:14a	Membership
7b93e6a1:150814fecb6:190f	Membership
7b93e6a1:150814fecb6:-2dd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	City
7b93e6a1:150814fecb6:202c	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	City
7b93e6a1:150814fecb6:73e	Membership
7b93e6a1:150814fecb6:18bb	Membership
7b93e6a1:150814fecb6:80	Membership
7b93e6a1:150814fecb6:1eed	Membership
7b93e6a1:150814fecb6:228c	BelievedBy
7b93e6a1:150814fecb6:11e7	Membership
http://www.semwebtech.org/mondial/10/river/Vuoksi/	Water
7b93e6a1:150814fecb6:abc	Membership
7b93e6a1:150814fecb6:99e	Membership
7b93e6a1:150814fecb6:-b6	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	City
7b93e6a1:150814fecb6:1143	Membership
7b93e6a1:150814fecb6:-159	Membership
7b93e6a1:150814fecb6:6ea	Membership
7b93e6a1:150814fecb6:-12	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	EthnicGroup
7b93e6a1:150814fecb6:1b09	Membership
7b93e6a1:150814fecb6:1737	Membership
7b93e6a1:150814fecb6:25cc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAYO/	Country
7b93e6a1:150814fecb6:306	Membership
7b93e6a1:150814fecb6:1d69	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	City
http://www.semwebtech.org/mondial/10/estuary/Moraca/	Estuary
7b93e6a1:150814fecb6:1ab5	Membership
7b93e6a1:150814fecb6:1997	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	City
7b93e6a1:150814fecb6:1a11	Membership
7b93e6a1:150814fecb6:566	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Province
http://www.semwebtech.org/mondial/10/source/Baro/	Source
7b93e6a1:150814fecb6:b98	Membership
7b93e6a1:150814fecb6:2b2	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Province
7b93e6a1:150814fecb6:-655	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	City
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	Source
7b93e6a1:150814fecb6:1c71	Membership
7b93e6a1:150814fecb6:-3a1	Membership
7b93e6a1:150814fecb6:2448	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	EthnicGroup
7b93e6a1:150814fecb6:8a6	Membership
7b93e6a1:150814fecb6:ed8	Membership
7b93e6a1:150814fecb6:802	Membership
7b93e6a1:150814fecb6:153e	Membership
http://www.semwebtech.org/mondial/10/organization/IOC/	Organization
7b93e6a1:150814fecb6:23f4	BelievedBy
7b93e6a1:150814fecb6:e34	Membership
7b93e6a1:150814fecb6:1fb1	Membership
7b93e6a1:150814fecb6:10d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	EthnicGroup
7b93e6a1:150814fecb6:2350	BelievedBy
7b93e6a1:150814fecb6:179e	Membership
7b93e6a1:150814fecb6:36d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Province
7b93e6a1:150814fecb6:14ea	Membership
7b93e6a1:150814fecb6:e7	Membership
7b93e6a1:150814fecb6:de0	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Province
http://www.semwebtech.org/mondial/10/organization/ISO/	Organization
7b93e6a1:150814fecb6:-45c	Membership
7b93e6a1:150814fecb6:43	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	City
http://www.semwebtech.org/mondial/10/source/Kura/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	City
7b93e6a1:150814fecb6:224f	BelievedBy
7b93e6a1:150814fecb6:1e0c	Membership
7b93e6a1:150814fecb6:1106	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	City
7b93e6a1:150814fecb6:6ad	Membership
7b93e6a1:150814fecb6:cdf	Membership
7b93e6a1:150814fecb6:1366	Membership
7b93e6a1:150814fecb6:21fb	SpokenBy
7b93e6a1:150814fecb6:c3b	Membership
7b93e6a1:150814fecb6:10b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	City
7b93e6a1:150814fecb6:e9b	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	City
7b93e6a1:150814fecb6:195	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Drin/	Source
7b93e6a1:150814fecb6:529	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Province
7b93e6a1:150814fecb6:16a6	Membership
7b93e6a1:150814fecb6:-284	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	City
7b93e6a1:150814fecb6:1cd8	Membership
7b93e6a1:150814fecb6:1602	Membership
7b93e6a1:150814fecb6:-618	Border
7b93e6a1:150814fecb6:2077	Membership
7b93e6a1:150814fecb6:789	Membership
7b93e6a1:150814fecb6:1c34	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	City
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	City
7b93e6a1:150814fecb6:4d5	Membership
7b93e6a1:150814fecb6:1862	Membership
http://www.semwebtech.org/mondial/10/river/Mincio/	Water
7b93e6a1:150814fecb6:431	Membership
7b93e6a1:150814fecb6:1e94	Membership
7b93e6a1:150814fecb6:-5c4	Membership
7b93e6a1:150814fecb6:116d	Membership
7b93e6a1:150814fecb6:a63	Membership
7b93e6a1:150814fecb6:1be0	Membership
7b93e6a1:150814fecb6:-3c	Membership
7b93e6a1:150814fecb6:-520	Membership
7b93e6a1:150814fecb6:23b7	BelievedBy
7b93e6a1:150814fecb6:691	Membership
7b93e6a1:150814fecb6:2313	BelievedBy
7b93e6a1:150814fecb6:-780	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	City
7b93e6a1:150814fecb6:14ad	Membership
7b93e6a1:150814fecb6:2573	EthnicProportion
7b93e6a1:150814fecb6:da3	Membership
7b93e6a1:150814fecb6:1adf	Membership
7b93e6a1:150814fecb6:-41f	Membership
7b93e6a1:150814fecb6:9d1	Membership
7b93e6a1:150814fecb6:1a3b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	City
7b93e6a1:150814fecb6:2dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	City
7b93e6a1:150814fecb6:-67f	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	City
7b93e6a1:150814fecb6:1c9b	Membership
7b93e6a1:150814fecb6:-3cb	Membership
7b93e6a1:150814fecb6:1329	Membership
7b93e6a1:150814fecb6:21be	SpokenBy
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	City
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Island
7b93e6a1:150814fecb6:211a	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Province
7b93e6a1:150814fecb6:82c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	EthnicGroup
7b93e6a1:150814fecb6:1589	Membership
7b93e6a1:150814fecb6:1fdb	Membership
7b93e6a1:150814fecb6:e5e	Membership
7b93e6a1:150814fecb6:0	Membership
7b93e6a1:150814fecb6:158	Membership
7b93e6a1:150814fecb6:12d5	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Province
7b93e6a1:150814fecb6:237a	BelievedBy
7b93e6a1:150814fecb6:baa	Membership
7b93e6a1:150814fecb6:1231	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	City
7b93e6a1:150814fecb6:-247	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	City
7b93e6a1:150814fecb6:18c9	Membership
7b93e6a1:150814fecb6:1491	Membership
7b93e6a1:150814fecb6:6d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	City
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	Mountain
7b93e6a1:150814fecb6:1825	Membership
7b93e6a1:150814fecb6:-1f3	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	Province
7b93e6a1:150814fecb6:26ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	EthnicGroup
7b93e6a1:150814fecb6:1e57	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	City
7b93e6a1:150814fecb6:6f8	Membership
7b93e6a1:150814fecb6:a26	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Province
7b93e6a1:150814fecb6:1ba3	Membership
http://www.semwebtech.org/mondial/10/source/Busira/	Source
7b93e6a1:150814fecb6:654	Membership
7b93e6a1:150814fecb6:17d1	Membership
7b93e6a1:150814fecb6:-7e7	Encompassed
7b93e6a1:150814fecb6:c86	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Province
7b93e6a1:150814fecb6:3a0	Membership
http://www.semwebtech.org/mondial/10/source/Elbe/	Source
7b93e6a1:150814fecb6:-743	Encompassed
7b93e6a1:150814fecb6:10dc	Membership
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Mountains
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Mountains
7b93e6a1:150814fecb6:2536	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	Mountain
http://www.semwebtech.org/mondial/10/mountains/Jura/	Mountains
7b93e6a1:150814fecb6:fc6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	City
7b93e6a1:150814fecb6:162c	Membership
7b93e6a1:150814fecb6:24e2	EthnicProportion
7b93e6a1:150814fecb6:f22	Membership
7b93e6a1:150814fecb6:1c5e	Membership
http://www.semwebtech.org/mondial/10/island/Saipan/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	City
7b93e6a1:150814fecb6:4ff	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	EthnicGroup
7b93e6a1:150814fecb6:188c	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	City
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	City
7b93e6a1:150814fecb6:45b	Membership
7b93e6a1:150814fecb6:-5ee	Border
7b93e6a1:150814fecb6:a8d	Membership
7b93e6a1:150814fecb6:-87	Membership
7b93e6a1:150814fecb6:-54a	Membership
7b93e6a1:150814fecb6:233d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Maas/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	City
http://www.semwebtech.org/mondial/10/country/CAYM/	Country
7b93e6a1:150814fecb6:14f8	Membership
7b93e6a1:150814fecb6:259d	EthnicProportion
7b93e6a1:150814fecb6:dcd	Membership
7b93e6a1:150814fecb6:1454	Membership
7b93e6a1:150814fecb6:9fb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	City
7b93e6a1:150814fecb6:1a86	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	City
7b93e6a1:150814fecb6:11a0	Membership
7b93e6a1:150814fecb6:-1b6	Membership
http://www.semwebtech.org/mondial/10/country/NAM/	Country
7b93e6a1:150814fecb6:-112	Membership
7b93e6a1:150814fecb6:283	Membership
7b93e6a1:150814fecb6:617	Membership
7b93e6a1:150814fecb6:-372	Membership
7b93e6a1:150814fecb6:1dc6	Membership
7b93e6a1:150814fecb6:c49	Membership
http://www.semwebtech.org/mondial/10/country/PNG/	Country
7b93e6a1:150814fecb6:-706	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	City
7b93e6a1:150814fecb6:2165	SpokenBy
7b93e6a1:150814fecb6:1d22	Membership
7b93e6a1:150814fecb6:877	Membership
7b93e6a1:150814fecb6:19f4	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	City
http://www.semwebtech.org/mondial/10/river/RioMadeira/	Water
7b93e6a1:150814fecb6:5c3	Membership
http://www.semwebtech.org/mondial/10/estuary/Narva/	Estuary
7b93e6a1:150814fecb6:1950	Membership
7b93e6a1:150814fecb6:12ff	Membership
7b93e6a1:150814fecb6:bf5	Membership
7b93e6a1:150814fecb6:1f82	Membership
7b93e6a1:150814fecb6:-6b2	Border
7b93e6a1:150814fecb6:125b	Membership
7b93e6a1:150814fecb6:b51	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	City
http://www.semwebtech.org/mondial/10/river/Aare/	Water
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	City
7b93e6a1:150814fecb6:24a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	City
7b93e6a1:150814fecb6:2401	BelievedBy
7b93e6a1:150814fecb6:184f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Province
7b93e6a1:150814fecb6:41e	Membership
7b93e6a1:150814fecb6:2661	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	City
7b93e6a1:150814fecb6:1bcd	Membership
7b93e6a1:150814fecb6:-50d	Membership
7b93e6a1:150814fecb6:67e	Membership
http://www.semwebtech.org/mondial/10/river/Dnjestr/	Water
7b93e6a1:150814fecb6:17fb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	City
7b93e6a1:150814fecb6:3ca	Membership
7b93e6a1:150814fecb6:-76d	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Province
7b93e6a1:150814fecb6:1083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	City
7b93e6a1:150814fecb6:a0	Membership
7b93e6a1:150814fecb6:1417	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	EthnicGroup
7b93e6a1:150814fecb6:22ac	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	City
7b93e6a1:150814fecb6:9be	Membership
7b93e6a1:150814fecb6:1a49	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Province
7b93e6a1:150814fecb6:91a	Membership
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	City
7b93e6a1:150814fecb6:1677	Membership
7b93e6a1:150814fecb6:f4c	Membership
7b93e6a1:150814fecb6:246	Membership
7b93e6a1:150814fecb6:13c3	Membership
7b93e6a1:150814fecb6:-3d9	Membership
7b93e6a1:150814fecb6:-335	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	City
7b93e6a1:150814fecb6:2128	SpokenBy
7b93e6a1:150814fecb6:19b7	Membership
7b93e6a1:150814fecb6:1f2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	City
7b93e6a1:150814fecb6:-595	Membership
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	Mountain
7b93e6a1:150814fecb6:1fe9	Membership
7b93e6a1:150814fecb6:1913	Membership
7b93e6a1:150814fecb6:-2e1	Membership
7b93e6a1:150814fecb6:2388	BelievedBy
7b93e6a1:150814fecb6:bb8	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	City
7b93e6a1:150814fecb6:1f45	Membership
7b93e6a1:150814fecb6:121e	Membership
7b93e6a1:150814fecb6:20d4	Membership
7b93e6a1:150814fecb6:b14	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	City
7b93e6a1:150814fecb6:7e6	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	City
7b93e6a1:150814fecb6:2030	Membership
7b93e6a1:150814fecb6:742	Membership
7b93e6a1:150814fecb6:147e	Membership
7b93e6a1:150814fecb6:d74	Membership
7b93e6a1:150814fecb6:1ef1	Membership
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Desert
7b93e6a1:150814fecb6:11ca	Membership
7b93e6a1:150814fecb6:26c8	EthnicProportion
7b93e6a1:150814fecb6:2290	BelievedBy
7b93e6a1:150814fecb6:ac0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	EthnicGroup
7b93e6a1:150814fecb6:-13c	Membership
7b93e6a1:150814fecb6:2624	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	City
7b93e6a1:150814fecb6:1134	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	City
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Water
7b93e6a1:150814fecb6:17be	Membership
7b93e6a1:150814fecb6:-39c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Province
7b93e6a1:150814fecb6:171a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	City
7b93e6a1:150814fecb6:25d0	EthnicProportion
7b93e6a1:150814fecb6:218f	SpokenBy
7b93e6a1:150814fecb6:1d4c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	City
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	City
7b93e6a1:150814fecb6:1046	Membership
7b93e6a1:150814fecb6:197a	Membership
7b93e6a1:150814fecb6:5ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Province
7b93e6a1:150814fecb6:-6dc	Border
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	City
7b93e6a1:150814fecb6:b7b	Membership
7b93e6a1:150814fecb6:24cf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Province
7b93e6a1:150814fecb6:f0f	Membership
7b93e6a1:150814fecb6:209	Membership
7b93e6a1:150814fecb6:242b	BelievedBy
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	City
http://www.semwebtech.org/mondial/10/country/GCA/	Country
http://www.semwebtech.org/mondial/10/estuary/Murgab/	Estuary
7b93e6a1:150814fecb6:469	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	City
http://www.semwebtech.org/mondial/10/source/Tigris/	Source
7b93e6a1:150814fecb6:15e6	Membership
7b93e6a1:150814fecb6:268b	EthnicProportion
7b93e6a1:150814fecb6:ebb	Membership
7b93e6a1:150814fecb6:1b5	Membership
7b93e6a1:150814fecb6:1542	Membership
7b93e6a1:150814fecb6:-558	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	Province
7b93e6a1:150814fecb6:111	Membership
7b93e6a1:150814fecb6:1b74	Membership
7b93e6a1:150814fecb6:-2a4	Membership
7b93e6a1:150814fecb6:1f08	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	City
7b93e6a1:150814fecb6:-200	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	City
7b93e6a1:150814fecb6:7a9	Membership
7b93e6a1:150814fecb6:371	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	City
7b93e6a1:150814fecb6:ca	Membership
http://www.semwebtech.org/mondial/10/source/Nile/	Source
7b93e6a1:150814fecb6:705	Membership
7b93e6a1:150814fecb6:-460	Membership
7b93e6a1:150814fecb6:22f7	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Mountains
7b93e6a1:150814fecb6:d37	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	City
7b93e6a1:150814fecb6:1eb4	Membership
7b93e6a1:150814fecb6:2253	BelievedBy
7b93e6a1:150814fecb6:965	Membership
7b93e6a1:150814fecb6:1e10	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	City
http://www.semwebtech.org/mondial/10/language/Luri/	Language
7b93e6a1:150814fecb6:f97	Membership
7b93e6a1:150814fecb6:6b1	Membership
7b93e6a1:150814fecb6:13ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	City
7b93e6a1:150814fecb6:ce3	Membership
7b93e6a1:150814fecb6:-7a0	Encompassed
7b93e6a1:150814fecb6:-35f	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	City
http://www.semwebtech.org/mondial/10/organization/OIF/	Organization
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	City
7b93e6a1:150814fecb6:1d0f	Membership
7b93e6a1:150814fecb6:1009	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	City
7b93e6a1:150814fecb6:193d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	City
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	Mountain
7b93e6a1:150814fecb6:a54	Membership
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	Mountain
7b93e6a1:150814fecb6:50c	Membership
7b93e6a1:150814fecb6:1f6f	Membership
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Island
7b93e6a1:150814fecb6:1269	Membership
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Province
7b93e6a1:150814fecb6:20fe	Membership
http://www.semwebtech.org/mondial/10/island/Nantucket/	Island
7b93e6a1:150814fecb6:b3e	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Province
7b93e6a1:150814fecb6:1cbb	Membership
7b93e6a1:150814fecb6:205a	Membership
7b93e6a1:150814fecb6:76c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	City
7b93e6a1:150814fecb6:d9e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	EthnicGroup
7b93e6a1:150814fecb6:aea	Membership
7b93e6a1:150814fecb6:15a9	Membership
7b93e6a1:150814fecb6:-e4	Membership
7b93e6a1:150814fecb6:1171	Membership
7b93e6a1:150814fecb6:-187	Membership
7b93e6a1:150814fecb6:264e	EthnicProportion
7b93e6a1:150814fecb6:-40	Membership
7b93e6a1:150814fecb6:1505	Membership
7b93e6a1:150814fecb6:1b37	Membership
7b93e6a1:150814fecb6:1765	Membership
7b93e6a1:150814fecb6:3d8	Membership
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Province
7b93e6a1:150814fecb6:25fa	EthnicProportion
7b93e6a1:150814fecb6:1d97	Membership
7b93e6a1:150814fecb6:334	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	City
7b93e6a1:150814fecb6:14b1	Membership
7b93e6a1:150814fecb6:-4c7	Membership
http://www.semwebtech.org/mondial/10/source/Inn/	Source
7b93e6a1:150814fecb6:1ae3	Membership
7b93e6a1:150814fecb6:-423	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	City
7b93e6a1:150814fecb6:594	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	City
7b93e6a1:150814fecb6:2216	SpokenBy
http://www.semwebtech.org/mondial/10/river/Moraca/	Water
7b93e6a1:150814fecb6:928	Membership
7b93e6a1:150814fecb6:2e0	Membership
7b93e6a1:150814fecb6:-683	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Province
7b93e6a1:150814fecb6:2476	EthnicProportion
7b93e6a1:150814fecb6:ca6	Membership
7b93e6a1:150814fecb6:21c2	SpokenBy
7b93e6a1:150814fecb6:130c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	City
7b93e6a1:150814fecb6:c02	Membership
7b93e6a1:150814fecb6:8d4	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Province
http://www.semwebtech.org/mondial/10/mountain/Elgon/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	City
7b93e6a1:150814fecb6:830	Membership
7b93e6a1:150814fecb6:1df	Membership
7b93e6a1:150814fecb6:156c	Membership
7b93e6a1:150814fecb6:e62	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	City
7b93e6a1:150814fecb6:13b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Province
7b93e6a1:150814fecb6:1b9e	Membership
7b93e6a1:150814fecb6:-2ce	Membership
7b93e6a1:150814fecb6:-22a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	City
7b93e6a1:150814fecb6:39b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Province
7b93e6a1:150814fecb6:201d	Membership
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Islands
7b93e6a1:150814fecb6:72f	Membership
http://www.semwebtech.org/mondial/10/source/Kymijoki/	Source
7b93e6a1:150814fecb6:18ac	Membership
7b93e6a1:150814fecb6:-48a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	City
7b93e6a1:150814fecb6:71	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Province
7b93e6a1:150814fecb6:1ede	Membership
7b93e6a1:150814fecb6:11d8	Membership
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	City
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	City
7b93e6a1:150814fecb6:227d	BelievedBy
7b93e6a1:150814fecb6:aad	Membership
7b93e6a1:150814fecb6:98f	Membership
7b93e6a1:150814fecb6:1e3a	Membership
7b93e6a1:150814fecb6:-a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	City
7b93e6a1:150814fecb6:6db	Membership
http://www.semwebtech.org/mondial/10/desert/Darfur/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Province
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Island
7b93e6a1:150814fecb6:-7ca	Encompassed
7b93e6a1:150814fecb6:1394	Membership
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Mountains
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Province
7b93e6a1:150814fecb6:1728	Membership
7b93e6a1:150814fecb6:10e0	Membership
7b93e6a1:150814fecb6:25bd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	City
7b93e6a1:150814fecb6:1aa6	Membership
7b93e6a1:150814fecb6:1988	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Province
http://www.semwebtech.org/mondial/10/language/Kurd/	Language
7b93e6a1:150814fecb6:1a02	Membership
7b93e6a1:150814fecb6:557	Membership
7b93e6a1:150814fecb6:16d4	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	City
http://www.semwebtech.org/mondial/10/country/FPOL/	Country
7b93e6a1:150814fecb6:1630	Membership
7b93e6a1:150814fecb6:b89	Membership
7b93e6a1:150814fecb6:2a3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	City
7b93e6a1:150814fecb6:-646	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	City
http://www.semwebtech.org/mondial/10/language/Bambara/	Language
7b93e6a1:150814fecb6:1c62	Membership
7b93e6a1:150814fecb6:2439	BelievedBy
7b93e6a1:150814fecb6:1890	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Province
7b93e6a1:150814fecb6:-5f2	Border
7b93e6a1:150814fecb6:119b	Membership
7b93e6a1:150814fecb6:2699	EthnicProportion
7b93e6a1:150814fecb6:ec9	Membership
7b93e6a1:150814fecb6:a91	Membership
7b93e6a1:150814fecb6:-6a	Membership
7b93e6a1:150814fecb6:152f	Membership
7b93e6a1:150814fecb6:23e5	BelievedBy
7b93e6a1:150814fecb6:e25	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	City
7b93e6a1:150814fecb6:1fa2	Membership
7b93e6a1:150814fecb6:2341	BelievedBy
http://www.semwebtech.org/mondial/10/country/CY/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	City
7b93e6a1:150814fecb6:178f	Membership
7b93e6a1:150814fecb6:35e	Membership
7b93e6a1:150814fecb6:14db	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	City
7b93e6a1:150814fecb6:d8	Membership
7b93e6a1:150814fecb6:dd1	Membership
7b93e6a1:150814fecb6:-44d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Water
7b93e6a1:150814fecb6:34	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Water
7b93e6a1:150814fecb6:1357	Membership
7b93e6a1:150814fecb6:21ec	SpokenBy
7b93e6a1:150814fecb6:c2c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Province
7b93e6a1:150814fecb6:8fe	Membership
7b93e6a1:150814fecb6:10a3	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	City
7b93e6a1:150814fecb6:85a	Membership
http://www.semwebtech.org/mondial/10/river/Benue/	Water
7b93e6a1:150814fecb6:e8c	Membership
7b93e6a1:150814fecb6:186	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Province
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Religion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	City
7b93e6a1:150814fecb6:-275	Membership
7b93e6a1:150814fecb6:1cc9	Membership
7b93e6a1:150814fecb6:-609	Border
7b93e6a1:150814fecb6:2068	Membership
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	Organization
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Water
7b93e6a1:150814fecb6:1c25	Membership
7b93e6a1:150814fecb6:18f7	Membership
7b93e6a1:150814fecb6:9b	Membership
http://www.semwebtech.org/mondial/10/island/Khark/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Province
7b93e6a1:150814fecb6:4c6	Membership
7b93e6a1:150814fecb6:1853	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	City
7b93e6a1:150814fecb6:af8	Membership
7b93e6a1:150814fecb6:422	Membership
7b93e6a1:150814fecb6:1e85	Membership
7b93e6a1:150814fecb6:-5b5	Membership
7b93e6a1:150814fecb6:115e	Membership
http://www.semwebtech.org/mondial/10/river/Missouri/	Water
7b93e6a1:150814fecb6:1bd1	Membership
7b93e6a1:150814fecb6:-2d	Membership
7b93e6a1:150814fecb6:-511	Membership
7b93e6a1:150814fecb6:23a8	BelievedBy
http://www.semwebtech.org/mondial/10/river/Pjandsh/	Water
7b93e6a1:150814fecb6:682	Membership
7b93e6a1:150814fecb6:2304	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Province
http://www.semwebtech.org/mondial/10/river/Marne/	Water
7b93e6a1:150814fecb6:-771	Encompassed
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	City
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	Water
7b93e6a1:150814fecb6:2564	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Islands
7b93e6a1:150814fecb6:22b0	BelievedBy
7b93e6a1:150814fecb6:9c2	Membership
7b93e6a1:150814fecb6:1a2c	Membership
7b93e6a1:150814fecb6:16fe	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Province
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	City
7b93e6a1:150814fecb6:ff4	Membership
7b93e6a1:150814fecb6:2cd	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	City
7b93e6a1:150814fecb6:165a	Membership
7b93e6a1:150814fecb6:f50	Membership
7b93e6a1:150814fecb6:1c8c	Membership
7b93e6a1:150814fecb6:-3bc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	City
7b93e6a1:150814fecb6:21af	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	EthnicGroup
7b93e6a1:150814fecb6:210b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	City
7b93e6a1:150814fecb6:81d	Membership
7b93e6a1:150814fecb6:e4f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Province
7b93e6a1:150814fecb6:1fcc	Membership
7b93e6a1:150814fecb6:149	Membership
http://www.semwebtech.org/mondial/10/island/Mallorca/	Island
7b93e6a1:150814fecb6:12c6	Membership
7b93e6a1:150814fecb6:236b	BelievedBy
7b93e6a1:150814fecb6:1222	Membership
7b93e6a1:150814fecb6:-238	Membership
7b93e6a1:150814fecb6:dfb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	City
7b93e6a1:150814fecb6:1482	Membership
7b93e6a1:150814fecb6:-498	Membership
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	Estuary
7b93e6a1:150814fecb6:5e	Membership
7b93e6a1:150814fecb6:26ab	EthnicProportion
7b93e6a1:150814fecb6:1816	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	City
7b93e6a1:150814fecb6:-1e4	Membership
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Province
7b93e6a1:150814fecb6:1e48	Membership
7b93e6a1:150814fecb6:-140	Membership
7b93e6a1:150814fecb6:6e9	Membership
7b93e6a1:150814fecb6:a17	Membership
http://www.semwebtech.org/mondial/10/organization/SADC/	Organization
7b93e6a1:150814fecb6:645	Membership
7b93e6a1:150814fecb6:17c2	Membership
7b93e6a1:150814fecb6:-7d8	Encompassed
7b93e6a1:150814fecb6:c77	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	EthnicGroup
7b93e6a1:150814fecb6:1df4	Membership
7b93e6a1:150814fecb6:-734	Encompassed
7b93e6a1:150814fecb6:10cd	Membership
7b93e6a1:150814fecb6:2193	SpokenBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Province
7b93e6a1:150814fecb6:1d50	Membership
7b93e6a1:150814fecb6:2527	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Province
7b93e6a1:150814fecb6:5f1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	City
7b93e6a1:150814fecb6:-6e0	Border
7b93e6a1:150814fecb6:-29f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	City
7b93e6a1:150814fecb6:fb7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	City
7b93e6a1:150814fecb6:161d	Membership
7b93e6a1:150814fecb6:24d3	EthnicProportion
7b93e6a1:150814fecb6:f13	Membership
7b93e6a1:150814fecb6:1c4f	Membership
7b93e6a1:150814fecb6:187d	Membership
http://www.semwebtech.org/mondial/10/estuary/Aare/	Estuary
7b93e6a1:150814fecb6:44c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Province
7b93e6a1:150814fecb6:-5df	Border
http://www.semwebtech.org/mondial/10/estuary/Katun/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Province
7b93e6a1:150814fecb6:1bfb	Membership
7b93e6a1:150814fecb6:a7e	Membership
7b93e6a1:150814fecb6:-78	Membership
7b93e6a1:150814fecb6:-53b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	City
7b93e6a1:150814fecb6:232e	BelievedBy
7b93e6a1:150814fecb6:-79b	Encompassed
7b93e6a1:150814fecb6:14e9	Membership
http://www.semwebtech.org/mondial/10/river/Lomami/	Water
7b93e6a1:150814fecb6:258e	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Water
7b93e6a1:150814fecb6:dbe	Membership
http://www.semwebtech.org/mondial/10/river/Save/	Water
7b93e6a1:150814fecb6:1445	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	EthnicGroup
7b93e6a1:150814fecb6:22da	BelievedBy
7b93e6a1:150814fecb6:d1a	Membership
7b93e6a1:150814fecb6:9ec	Membership
7b93e6a1:150814fecb6:1a77	Membership
7b93e6a1:150814fecb6:-1a7	Membership
7b93e6a1:150814fecb6:-103	Membership
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	Estuary
7b93e6a1:150814fecb6:f7a	Membership
7b93e6a1:150814fecb6:274	Membership
7b93e6a1:150814fecb6:13f1	Membership
7b93e6a1:150814fecb6:608	Membership
7b93e6a1:150814fecb6:-363	Membership
7b93e6a1:150814fecb6:1db7	Membership
7b93e6a1:150814fecb6:2156	SpokenBy
7b93e6a1:150814fecb6:868	Membership
7b93e6a1:150814fecb6:1d13	Membership
7b93e6a1:150814fecb6:19e5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	City
7b93e6a1:150814fecb6:5b4	Membership
7b93e6a1:150814fecb6:1941	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Province
7b93e6a1:150814fecb6:be6	Membership
7b93e6a1:150814fecb6:510	Membership
7b93e6a1:150814fecb6:1f73	Membership
7b93e6a1:150814fecb6:-6a3	Border
7b93e6a1:150814fecb6:124c	Membership
7b93e6a1:150814fecb6:b42	Membership
7b93e6a1:150814fecb6:770	Membership
7b93e6a1:150814fecb6:40f	Membership
7b93e6a1:150814fecb6:-16a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Province
7b93e6a1:150814fecb6:2652	EthnicProportion
7b93e6a1:150814fecb6:1bbe	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Province
7b93e6a1:150814fecb6:1b1a	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Province
7b93e6a1:150814fecb6:66f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	City
7b93e6a1:150814fecb6:17ec	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	City
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	City
7b93e6a1:150814fecb6:3bb	Membership
7b93e6a1:150814fecb6:-75e	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	City
7b93e6a1:150814fecb6:1d7a	Membership
7b93e6a1:150814fecb6:-4aa	Membership
7b93e6a1:150814fecb6:1074	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	City
7b93e6a1:150814fecb6:1408	Membership
http://www.semwebtech.org/mondial/10/river/Etsch/	Water
7b93e6a1:150814fecb6:9af	Membership
7b93e6a1:150814fecb6:90b	Membership
7b93e6a1:150814fecb6:1668	Membership
7b93e6a1:150814fecb6:24fd	EthnicProportion
7b93e6a1:150814fecb6:f3d	Membership
7b93e6a1:150814fecb6:237	Membership
7b93e6a1:150814fecb6:13b4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Province
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	Mountain
7b93e6a1:150814fecb6:1310	Membership
7b93e6a1:150814fecb6:-326	Membership
7b93e6a1:150814fecb6:497	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	City
7b93e6a1:150814fecb6:2119	SpokenBy
7b93e6a1:150814fecb6:19a8	Membership
7b93e6a1:150814fecb6:1e3	Membership
7b93e6a1:150814fecb6:1570	Membership
7b93e6a1:150814fecb6:-586	Membership
http://www.semwebtech.org/mondial/10/river/Murgab/	Water
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	City
7b93e6a1:150814fecb6:1904	Membership
7b93e6a1:150814fecb6:-2d2	Membership
7b93e6a1:150814fecb6:2379	BelievedBy
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Water
7b93e6a1:150814fecb6:ba9	Membership
http://www.semwebtech.org/mondial/10/river/Buna/	Water
7b93e6a1:150814fecb6:1f36	Membership
7b93e6a1:150814fecb6:120f	Membership
7b93e6a1:150814fecb6:20c5	Membership
7b93e6a1:150814fecb6:b05	Membership
7b93e6a1:150814fecb6:7d7	Membership
http://www.semwebtech.org/mondial/10/organization/CD/	Organization
7b93e6a1:150814fecb6:2021	Membership
7b93e6a1:150814fecb6:733	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/	Country
7b93e6a1:150814fecb6:18b0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	City
7b93e6a1:150814fecb6:146f	Membership
7b93e6a1:150814fecb6:d65	Membership
7b93e6a1:150814fecb6:1ee2	Membership
7b93e6a1:150814fecb6:11bb	Membership
7b93e6a1:150814fecb6:26b9	EthnicProportion
7b93e6a1:150814fecb6:2281	BelievedBy
7b93e6a1:150814fecb6:ab1	Membership
7b93e6a1:150814fecb6:993	Membership
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Island
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	City
7b93e6a1:150814fecb6:-12d	Membership
7b93e6a1:150814fecb6:2615	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLO/	Country
7b93e6a1:150814fecb6:29e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	City
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Water
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	City
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Islands
7b93e6a1:150814fecb6:17af	Membership
7b93e6a1:150814fecb6:-38d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	City
7b93e6a1:150814fecb6:170b	Membership
7b93e6a1:150814fecb6:25c1	EthnicProportion
7b93e6a1:150814fecb6:1d3d	Membership
http://www.semwebtech.org/mondial/10/river/Tajo/	Water
7b93e6a1:150814fecb6:1037	Membership
7b93e6a1:150814fecb6:5de	Membership
7b93e6a1:150814fecb6:196b	Membership
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	Source
7b93e6a1:150814fecb6:1f9d	Membership
7b93e6a1:150814fecb6:53a	Membership
7b93e6a1:150814fecb6:-6cd	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	City
7b93e6a1:150814fecb6:1297	Membership
7b93e6a1:150814fecb6:b6c	Membership
http://www.semwebtech.org/mondial/10/organization/NC/	Organization
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Province
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	Estuary
7b93e6a1:150814fecb6:79a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	City
7b93e6a1:150814fecb6:241c	BelievedBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	City
7b93e6a1:150814fecb6:15d7	Membership
7b93e6a1:150814fecb6:267c	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Water
7b93e6a1:150814fecb6:eac	Membership
7b93e6a1:150814fecb6:1a6	Membership
7b93e6a1:150814fecb6:1533	Membership
7b93e6a1:150814fecb6:-549	Membership
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	Island
7b93e6a1:150814fecb6:102	Membership
7b93e6a1:150814fecb6:1b65	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	City
7b93e6a1:150814fecb6:1793	Membership
http://www.semwebtech.org/mondial/10/country/RI/	Country
http://www.semwebtech.org/mondial/10/mountain/Illimani/	Mountain
http://www.semwebtech.org/mondial/10/country/LAR/	Country
7b93e6a1:150814fecb6:362	Membership
7b93e6a1:150814fecb6:-4f5	Membership
7b93e6a1:150814fecb6:109e	Membership
7b93e6a1:150814fecb6:bb	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	City
http://www.semwebtech.org/mondial/10/country/TO/	Country
7b93e6a1:150814fecb6:-451	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Province
7b93e6a1:150814fecb6:22e8	BelievedBy
7b93e6a1:150814fecb6:d28	Membership
7b93e6a1:150814fecb6:1ea5	Membership
http://www.semwebtech.org/mondial/10/organization/ILO/	Organization
7b93e6a1:150814fecb6:2244	BelievedBy
7b93e6a1:150814fecb6:956	Membership
7b93e6a1:150814fecb6:1e01	Membership
http://www.semwebtech.org/mondial/10/country/VU/	Country
http://www.semwebtech.org/mondial/10/island/Tinian/	Island
7b93e6a1:150814fecb6:f88	Membership
7b93e6a1:150814fecb6:6a2	Membership
7b93e6a1:150814fecb6:13de	Membership
7b93e6a1:150814fecb6:cd4	Membership
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	Mountain
7b93e6a1:150814fecb6:133a	Membership
7b93e6a1:150814fecb6:21f0	SpokenBy
7b93e6a1:150814fecb6:c30	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	EthnicGroup
7b93e6a1:150814fecb6:159a	Membership
7b93e6a1:150814fecb6:e90	Membership
7b93e6a1:150814fecb6:192e	Membership
7b93e6a1:150814fecb6:-2fc	Membership
http://www.semwebtech.org/mondial/10/language/Aymara/	Language
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Water
7b93e6a1:150814fecb6:1a68	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	City
7b93e6a1:150814fecb6:20ef	Membership
7b93e6a1:150814fecb6:b2f	Membership
7b93e6a1:150814fecb6:1cac	Membership
7b93e6a1:150814fecb6:204b	Membership
7b93e6a1:150814fecb6:75d	Membership
http://www.semwebtech.org/mondial/10/country/WAG/	Country
7b93e6a1:150814fecb6:18da	Membership
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Mountains
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Province
7b93e6a1:150814fecb6:d8f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Province
7b93e6a1:150814fecb6:adb	Membership
7b93e6a1:150814fecb6:-d5	Membership
7b93e6a1:150814fecb6:1162	Membership
7b93e6a1:150814fecb6:-178	Membership
7b93e6a1:150814fecb6:263f	EthnicProportion
7b93e6a1:150814fecb6:-31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	EthnicGroup
7b93e6a1:150814fecb6:1b28	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Province
7b93e6a1:150814fecb6:3c9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	City
http://www.semwebtech.org/mondial/10/country/N/	Country
7b93e6a1:150814fecb6:1756	Membership
7b93e6a1:150814fecb6:25eb	EthnicProportion
7b93e6a1:150814fecb6:1d88	Membership
7b93e6a1:150814fecb6:325	Membership
7b93e6a1:150814fecb6:14a2	Membership
7b93e6a1:150814fecb6:-4b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Province
7b93e6a1:150814fecb6:1ad4	Membership
7b93e6a1:150814fecb6:-414	Membership
7b93e6a1:150814fecb6:-a	Membership
7b93e6a1:150814fecb6:585	Membership
7b93e6a1:150814fecb6:1a30	Membership
7b93e6a1:150814fecb6:2207	SpokenBy
7b93e6a1:150814fecb6:919	Membership
7b93e6a1:150814fecb6:2d1	Membership
http://www.semwebtech.org/mondial/10/organization/UNESCO/	Organization
7b93e6a1:150814fecb6:-674	Border
7b93e6a1:150814fecb6:1c90	Membership
7b93e6a1:150814fecb6:-3c0	Membership
7b93e6a1:150814fecb6:2467	EthnicProportion
7b93e6a1:150814fecb6:21b3	SpokenBy
7b93e6a1:150814fecb6:8c5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Province
7b93e6a1:150814fecb6:ef7	Membership
7b93e6a1:150814fecb6:821	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Province
7b93e6a1:150814fecb6:155d	Membership
7b93e6a1:150814fecb6:1fd0	Membership
7b93e6a1:150814fecb6:e53	Membership
7b93e6a1:150814fecb6:1b8f	Membership
7b93e6a1:150814fecb6:12c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	City
7b93e6a1:150814fecb6:-2bf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	City
7b93e6a1:150814fecb6:-21b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	City
7b93e6a1:150814fecb6:38c	Membership
7b93e6a1:150814fecb6:200e	Membership
7b93e6a1:150814fecb6:-47b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Province
7b93e6a1:150814fecb6:62	Membership
7b93e6a1:150814fecb6:1ecf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	City
7b93e6a1:150814fecb6:-80f	Encompassed
7b93e6a1:150814fecb6:11c9	Membership
7b93e6a1:150814fecb6:226e	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Province
7b93e6a1:150814fecb6:1e2b	Membership
7b93e6a1:150814fecb6:1125	Membership
7b93e6a1:150814fecb6:6cc	Membership
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	City
7b93e6a1:150814fecb6:cfe	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	City
7b93e6a1:150814fecb6:-7bb	Encompassed
7b93e6a1:150814fecb6:1385	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	City
7b93e6a1:150814fecb6:c5a	Membership
7b93e6a1:150814fecb6:1719	Membership
7b93e6a1:150814fecb6:10d1	Membership
7b93e6a1:150814fecb6:25ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Cuango/	Source
7b93e6a1:150814fecb6:250a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Alz/	Estuary
http://www.semwebtech.org/mondial/10/source/Narew/	Source
7b93e6a1:150814fecb6:1979	Membership
7b93e6a1:150814fecb6:548	Membership
7b93e6a1:150814fecb6:16c5	Membership
7b93e6a1:150814fecb6:1cf7	Membership
7b93e6a1:150814fecb6:1621	Membership
7b93e6a1:150814fecb6:-637	Border
7b93e6a1:150814fecb6:b0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Province
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	Source
7b93e6a1:150814fecb6:2096	Membership
7b93e6a1:150814fecb6:1c53	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	Mountain
7b93e6a1:150814fecb6:4f4	Membership
7b93e6a1:150814fecb6:1881	Membership
http://www.semwebtech.org/mondial/10/source/Atbara/	Source
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	City
7b93e6a1:150814fecb6:450	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	City
7b93e6a1:150814fecb6:-ff	Membership
7b93e6a1:150814fecb6:-5e3	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	City
7b93e6a1:150814fecb6:118c	Membership
7b93e6a1:150814fecb6:a82	Membership
7b93e6a1:150814fecb6:-5b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	City
7b93e6a1:150814fecb6:23d6	BelievedBy
7b93e6a1:150814fecb6:e16	Membership
http://www.semwebtech.org/mondial/10/organization/LAES/	Organization
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Province
7b93e6a1:150814fecb6:2332	BelievedBy
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Province
7b93e6a1:150814fecb6:34f	Membership
7b93e6a1:150814fecb6:14cc	Membership
7b93e6a1:150814fecb6:2592	EthnicProportion
7b93e6a1:150814fecb6:c9	Membership
7b93e6a1:150814fecb6:dc2	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Province
7b93e6a1:150814fecb6:1afe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Province
7b93e6a1:150814fecb6:-43e	Membership
7b93e6a1:150814fecb6:25	Membership
7b93e6a1:150814fecb6:9f0	Membership
7b93e6a1:150814fecb6:1a5a	Membership
7b93e6a1:150814fecb6:2fb	Membership
7b93e6a1:150814fecb6:-69e	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	City
http://www.semwebtech.org/mondial/10/island/Bougainville/	Island
7b93e6a1:150814fecb6:-3ea	Membership
7b93e6a1:150814fecb6:1348	Membership
7b93e6a1:150814fecb6:21dd	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Crete/	Mountains
7b93e6a1:150814fecb6:c1d	Membership
7b93e6a1:150814fecb6:8ef	Membership
7b93e6a1:150814fecb6:84b	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	City
7b93e6a1:150814fecb6:e7d	Membership
7b93e6a1:150814fecb6:1ffa	Membership
7b93e6a1:150814fecb6:177	Membership
7b93e6a1:150814fecb6:12f4	Membership
7b93e6a1:150814fecb6:1250	Membership
7b93e6a1:150814fecb6:-266	Membership
http://www.semwebtech.org/mondial/10/river/Werra/	Water
7b93e6a1:150814fecb6:2059	Membership
7b93e6a1:150814fecb6:1c16	Membership
7b93e6a1:150814fecb6:18e8	Membership
http://www.semwebtech.org/mondial/10/estuary/Newa/	Estuary
7b93e6a1:150814fecb6:8c	Membership
http://www.semwebtech.org/mondial/10/islands/NewZealand/	Islands
7b93e6a1:150814fecb6:4b7	Membership
7b93e6a1:150814fecb6:1844	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Province
7b93e6a1:150814fecb6:ae9	Membership
7b93e6a1:150814fecb6:413	Membership
7b93e6a1:150814fecb6:1e76	Membership
7b93e6a1:150814fecb6:-5a6	Membership
7b93e6a1:150814fecb6:114f	Membership
7b93e6a1:150814fecb6:1bc2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	City
7b93e6a1:150814fecb6:a45	Membership
7b93e6a1:150814fecb6:-1e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Province
7b93e6a1:150814fecb6:-502	Membership
7b93e6a1:150814fecb6:673	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	City
7b93e6a1:150814fecb6:17f0	Membership
7b93e6a1:150814fecb6:-762	Encompassed
7b93e6a1:150814fecb6:10fb	Membership
7b93e6a1:150814fecb6:25f9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	City
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Religion
7b93e6a1:150814fecb6:2555	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kasai/	Source
7b93e6a1:150814fecb6:22a1	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Water
http://www.semwebtech.org/mondial/10/estuary/Swir/	Estuary
http://www.semwebtech.org/mondial/10/source/Drina/	Source
7b93e6a1:150814fecb6:9b3	Membership
7b93e6a1:150814fecb6:1a1d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	City
7b93e6a1:150814fecb6:16ef	Membership
7b93e6a1:150814fecb6:-2de	Membership
http://www.semwebtech.org/mondial/10/language/Latvian/	Language
7b93e6a1:150814fecb6:fe5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Province
7b93e6a1:150814fecb6:2be	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Province
7b93e6a1:150814fecb6:164b	Membership
7b93e6a1:150814fecb6:f41	Membership
7b93e6a1:150814fecb6:21a	Membership
7b93e6a1:150814fecb6:1c7d	Membership
7b93e6a1:150814fecb6:-3ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	City
7b93e6a1:150814fecb6:47a	Membership
http://www.semwebtech.org/mondial/10/island/Grenada/	Island
7b93e6a1:150814fecb6:80e	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/	Country
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Desert
7b93e6a1:150814fecb6:1fbd	Membership
7b93e6a1:150814fecb6:12b7	Membership
7b93e6a1:150814fecb6:235c	BelievedBy
7b93e6a1:150814fecb6:1213	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Province
http://www.semwebtech.org/mondial/10/country/MA/	Country
7b93e6a1:150814fecb6:-229	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Province
7b93e6a1:150814fecb6:7ba	Membership
http://www.semwebtech.org/mondial/10/river/Irawaddy/	Water
http://www.semwebtech.org/mondial/10/organization/IEA/	Organization
7b93e6a1:150814fecb6:dec	Membership
7b93e6a1:150814fecb6:1473	Membership
7b93e6a1:150814fecb6:-489	Membership
http://www.semwebtech.org/mondial/10/island/LaPalma/	Island
7b93e6a1:150814fecb6:4f	Membership
7b93e6a1:150814fecb6:1807	Membership
7b93e6a1:150814fecb6:-1d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	City
http://www.semwebtech.org/mondial/10/organization/NIB/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Province
7b93e6a1:150814fecb6:1e39	Membership
7b93e6a1:150814fecb6:-131	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Province
7b93e6a1:150814fecb6:a08	Membership
http://www.semwebtech.org/mondial/10/mountains/Ural/	Mountains
7b93e6a1:150814fecb6:636	Membership
7b93e6a1:150814fecb6:17b3	Membership
7b93e6a1:150814fecb6:-7c9	Encompassed
7b93e6a1:150814fecb6:-391	Membership
7b93e6a1:150814fecb6:c68	Membership
7b93e6a1:150814fecb6:1de5	Membership
7b93e6a1:150814fecb6:-725	Encompassed
7b93e6a1:150814fecb6:10be	Membership
7b93e6a1:150814fecb6:2184	SpokenBy
7b93e6a1:150814fecb6:896	Membership
7b93e6a1:150814fecb6:1d41	Membership
7b93e6a1:150814fecb6:101a	Membership
7b93e6a1:150814fecb6:2518	EthnicProportion
7b93e6a1:150814fecb6:5e2	Membership
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	Mountain
7b93e6a1:150814fecb6:-6d1	Border
7b93e6a1:150814fecb6:127a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	City
7b93e6a1:150814fecb6:fa8	Membership
7b93e6a1:150814fecb6:b70	Membership
7b93e6a1:150814fecb6:160e	Membership
7b93e6a1:150814fecb6:24c4	EthnicProportion
7b93e6a1:150814fecb6:f04	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Province
7b93e6a1:150814fecb6:2420	BelievedBy
7b93e6a1:150814fecb6:186e	Membership
7b93e6a1:150814fecb6:43d	Membership
7b93e6a1:150814fecb6:15ba	Membership
7b93e6a1:150814fecb6:2680	EthnicProportion
7b93e6a1:150814fecb6:1bec	Membership
7b93e6a1:150814fecb6:eb0	Membership
7b93e6a1:150814fecb6:a6f	Membership
7b93e6a1:150814fecb6:-69	Membership
7b93e6a1:150814fecb6:-52c	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Province
7b93e6a1:150814fecb6:69d	Membership
http://www.semwebtech.org/mondial/10/estuary/March/	Estuary
7b93e6a1:150814fecb6:231f	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	City
http://www.semwebtech.org/mondial/10/source/Tshuapa/	Source
http://www.semwebtech.org/mondial/10/island/Bornholm/	Island
http://www.semwebtech.org/mondial/10/island/Malta/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	City
7b93e6a1:150814fecb6:-78c	Encompassed
7b93e6a1:150814fecb6:257f	EthnicProportion
7b93e6a1:150814fecb6:daf	Membership
7b93e6a1:150814fecb6:1436	Membership
7b93e6a1:150814fecb6:22cb	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	Estuary
7b93e6a1:150814fecb6:d0b	Membership
7b93e6a1:150814fecb6:9dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	City
7b93e6a1:150814fecb6:1696	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	City
7b93e6a1:150814fecb6:f6b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	City
7b93e6a1:150814fecb6:265	Membership
7b93e6a1:150814fecb6:13e2	Membership
7b93e6a1:150814fecb6:-3f8	Membership
7b93e6a1:150814fecb6:-354	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Province
7b93e6a1:150814fecb6:1da8	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	City
7b93e6a1:150814fecb6:2147	SpokenBy
7b93e6a1:150814fecb6:859	Membership
7b93e6a1:150814fecb6:1d04	Membership
7b93e6a1:150814fecb6:19d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	City
7b93e6a1:150814fecb6:5a5	Membership
7b93e6a1:150814fecb6:c	Membership
7b93e6a1:150814fecb6:1932	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	City
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mountains
http://www.semwebtech.org/mondial/10/source/Saone/	Source
7b93e6a1:150814fecb6:bd7	Membership
7b93e6a1:150814fecb6:501	Membership
7b93e6a1:150814fecb6:1f64	Membership
7b93e6a1:150814fecb6:123d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	City
7b93e6a1:150814fecb6:20f3	Membership
7b93e6a1:150814fecb6:b33	Membership
7b93e6a1:150814fecb6:1cb0	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	City
7b93e6a1:150814fecb6:761	Membership
7b93e6a1:150814fecb6:149d	Membership
7b93e6a1:150814fecb6:d93	Membership
7b93e6a1:150814fecb6:-1ff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	City
7b93e6a1:150814fecb6:-15b	Membership
7b93e6a1:150814fecb6:2643	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	City
7b93e6a1:150814fecb6:1baf	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	City
7b93e6a1:150814fecb6:1b0b	Membership
7b93e6a1:150814fecb6:17dd	Membership
7b93e6a1:150814fecb6:3ac	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Province
7b93e6a1:150814fecb6:-74f	Encompassed
http://www.semwebtech.org/mondial/10/source/Maranon/	Source
7b93e6a1:150814fecb6:1d6b	Membership
7b93e6a1:150814fecb6:1065	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Province
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	City
http://www.semwebtech.org/mondial/10/island/Martinique/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Province
7b93e6a1:150814fecb6:-6fb	Border
http://www.semwebtech.org/mondial/10/islands/Maldives/	Islands
7b93e6a1:150814fecb6:b9a	Membership
7b93e6a1:150814fecb6:1659	Membership
7b93e6a1:150814fecb6:24ee	EthnicProportion
7b93e6a1:150814fecb6:f2e	Membership
7b93e6a1:150814fecb6:228	Membership
7b93e6a1:150814fecb6:13a5	Membership
7b93e6a1:150814fecb6:244a	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Province
7b93e6a1:150814fecb6:1301	Membership
7b93e6a1:150814fecb6:-317	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	Province
http://www.semwebtech.org/mondial/10/island/Madeira/	Island
7b93e6a1:150814fecb6:488	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	Province
7b93e6a1:150814fecb6:eda	Membership
7b93e6a1:150814fecb6:1d4	Membership
7b93e6a1:150814fecb6:1561	Membership
7b93e6a1:150814fecb6:-577	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Province
7b93e6a1:150814fecb6:130	Membership
7b93e6a1:150814fecb6:1b93	Membership
7b93e6a1:150814fecb6:-2c3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	City
7b93e6a1:150814fecb6:1f27	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Province
http://www.semwebtech.org/mondial/10/islands/Sporades/	Islands
7b93e6a1:150814fecb6:20b6	Membership
7b93e6a1:150814fecb6:7c8	Membership
7b93e6a1:150814fecb6:390	Membership
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Island
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Island
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	City
7b93e6a1:150814fecb6:2012	Membership
7b93e6a1:150814fecb6:724	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	City
7b93e6a1:150814fecb6:18a1	Membership
7b93e6a1:150814fecb6:1367	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	City
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Province
7b93e6a1:150814fecb6:d56	Membership
7b93e6a1:150814fecb6:1ed3	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	City
7b93e6a1:150814fecb6:-813	Encompassed
7b93e6a1:150814fecb6:11ac	Membership
7b93e6a1:150814fecb6:2272	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	City
7b93e6a1:150814fecb6:aa2	Membership
7b93e6a1:150814fecb6:984	Membership
7b93e6a1:150814fecb6:-11e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	City
7b93e6a1:150814fecb6:2606	EthnicProportion
7b93e6a1:150814fecb6:6d0	Membership
7b93e6a1:150814fecb6:28f	Membership
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Island
7b93e6a1:150814fecb6:-37e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Province
7b93e6a1:150814fecb6:25b2	EthnicProportion
7b93e6a1:150814fecb6:1d2e	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	City
7b93e6a1:150814fecb6:1028	Membership
7b93e6a1:150814fecb6:5cf	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	City
7b93e6a1:150814fecb6:195c	Membership
7b93e6a1:150814fecb6:52b	Membership
7b93e6a1:150814fecb6:1f8e	Membership
7b93e6a1:150814fecb6:-6be	Border
7b93e6a1:150814fecb6:1288	Membership
7b93e6a1:150814fecb6:b5d	Membership
7b93e6a1:150814fecb6:1cda	Membership
7b93e6a1:150814fecb6:-61a	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Province
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	Mountain
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	Province
7b93e6a1:150814fecb6:78b	Membership
7b93e6a1:150814fecb6:240d	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	City
http://www.semwebtech.org/mondial/10/estuary/Murat/	Estuary
7b93e6a1:150814fecb6:15c8	Membership
7b93e6a1:150814fecb6:1190	Membership
7b93e6a1:150814fecb6:266d	EthnicProportion
7b93e6a1:150814fecb6:1524	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	City
http://www.semwebtech.org/mondial/10/source/Arno/	Source
7b93e6a1:150814fecb6:1b56	Membership
7b93e6a1:150814fecb6:3f7	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	City
7b93e6a1:150814fecb6:1784	Membership
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Islands
http://www.semwebtech.org/mondial/10/organization/GCTU/	Organization
7b93e6a1:150814fecb6:14d0	Membership
7b93e6a1:150814fecb6:353	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Province
7b93e6a1:150814fecb6:-4e6	Membership
7b93e6a1:150814fecb6:108f	Membership
7b93e6a1:150814fecb6:ac	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	City
7b93e6a1:150814fecb6:-442	Membership
http://www.semwebtech.org/mondial/10/source/Ruki/	Source
7b93e6a1:150814fecb6:22d9	BelievedBy
7b93e6a1:150814fecb6:d19	Membership
7b93e6a1:150814fecb6:2235	BelievedBy
7b93e6a1:150814fecb6:947	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Province
7b93e6a1:150814fecb6:f79	Membership
7b93e6a1:150814fecb6:13cf	Membership
7b93e6a1:150814fecb6:2495	EthnicProportion
7b93e6a1:150814fecb6:cc5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	City
7b93e6a1:150814fecb6:21e1	SpokenBy
7b93e6a1:150814fecb6:132b	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBona/	Mountain
http://www.semwebtech.org/mondial/10/country/CL/	Country
7b93e6a1:150814fecb6:c21	Membership
7b93e6a1:150814fecb6:8f3	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Province
7b93e6a1:150814fecb6:1fe	Membership
7b93e6a1:150814fecb6:158b	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/	Country
http://www.semwebtech.org/mondial/10/country/ER/	Country
7b93e6a1:150814fecb6:191f	Membership
7b93e6a1:150814fecb6:e81	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	City
7b93e6a1:150814fecb6:15a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	City
7b93e6a1:150814fecb6:-2ed	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	Mountain
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Mountains
7b93e6a1:150814fecb6:203c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	City
7b93e6a1:150814fecb6:74e	Membership
7b93e6a1:150814fecb6:18cb	Membership
7b93e6a1:150814fecb6:90	Membership
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	City
7b93e6a1:150814fecb6:1efd	Membership
7b93e6a1:150814fecb6:11f7	Membership
7b93e6a1:150814fecb6:229c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Water
7b93e6a1:150814fecb6:acc	Membership
http://www.semwebtech.org/mondial/10/sea/TheChannel/	Water
7b93e6a1:150814fecb6:-c6	Membership
7b93e6a1:150814fecb6:1153	Membership
7b93e6a1:150814fecb6:-169	Membership
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	Source
7b93e6a1:150814fecb6:6fa	Membership
7b93e6a1:150814fecb6:-22	Membership
http://www.semwebtech.org/mondial/10/source/Ebro/	Source
http://www.semwebtech.org/mondial/10/source/Thames/	Source
7b93e6a1:150814fecb6:1b19	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Province
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	Mountain
7b93e6a1:150814fecb6:1747	Membership
7b93e6a1:150814fecb6:25dc	EthnicProportion
7b93e6a1:150814fecb6:316	Membership
7b93e6a1:150814fecb6:1d79	Membership
7b93e6a1:150814fecb6:-4a9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Water
7b93e6a1:150814fecb6:1ac5	Membership
7b93e6a1:150814fecb6:-405	Membership
7b93e6a1:150814fecb6:576	Membership
7b93e6a1:150814fecb6:1a21	Membership
7b93e6a1:150814fecb6:16f3	Membership
7b93e6a1:150814fecb6:2c2	Membership
7b93e6a1:150814fecb6:-665	Border
http://www.semwebtech.org/mondial/10/island/Mauritius/	Island
7b93e6a1:150814fecb6:1c81	Membership
7b93e6a1:150814fecb6:-3b1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Province
7b93e6a1:150814fecb6:2458	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	City
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	Mountain
7b93e6a1:150814fecb6:21a4	SpokenBy
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Water
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Province
7b93e6a1:150814fecb6:8b6	Membership
http://www.semwebtech.org/mondial/10/country/WD/	Country
7b93e6a1:150814fecb6:2100	Membership
7b93e6a1:150814fecb6:ee8	Membership
7b93e6a1:150814fecb6:812	Membership
7b93e6a1:150814fecb6:154e	Membership
7b93e6a1:150814fecb6:e44	Membership
7b93e6a1:150814fecb6:1fc1	Membership
7b93e6a1:150814fecb6:11d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	City
7b93e6a1:150814fecb6:2360	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Suchona/	Estuary
7b93e6a1:150814fecb6:-20c	Membership
7b93e6a1:150814fecb6:37d	Membership
7b93e6a1:150814fecb6:14fa	Membership
7b93e6a1:150814fecb6:f7	Membership
7b93e6a1:150814fecb6:df0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	City
7b93e6a1:150814fecb6:-46c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	City
7b93e6a1:150814fecb6:53	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Province
7b93e6a1:150814fecb6:26a0	EthnicProportion
7b93e6a1:150814fecb6:225f	BelievedBy
7b93e6a1:150814fecb6:1e1c	Membership
7b93e6a1:150814fecb6:1116	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	City
7b93e6a1:150814fecb6:6bd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	City
7b93e6a1:150814fecb6:cef	Membership
7b93e6a1:150814fecb6:-7ac	Encompassed
7b93e6a1:150814fecb6:1376	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	City
7b93e6a1:150814fecb6:c4b	Membership
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	Water
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Water
7b93e6a1:150814fecb6:10c2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	City
7b93e6a1:150814fecb6:539	Membership
7b93e6a1:150814fecb6:16b6	Membership
7b93e6a1:150814fecb6:-294	Membership
7b93e6a1:150814fecb6:1ce8	Membership
7b93e6a1:150814fecb6:1612	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	City
7b93e6a1:150814fecb6:-628	Border
7b93e6a1:150814fecb6:2087	Membership
7b93e6a1:150814fecb6:799	Membership
7b93e6a1:150814fecb6:1c44	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	City
http://www.semwebtech.org/mondial/10/organization/SACU/	Organization
7b93e6a1:150814fecb6:4e5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	City
7b93e6a1:150814fecb6:1872	Membership
http://www.semwebtech.org/mondial/10/organization/Benelux/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	City
7b93e6a1:150814fecb6:441	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	City
7b93e6a1:150814fecb6:-5d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Province
7b93e6a1:150814fecb6:117d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Province
7b93e6a1:150814fecb6:a73	Membership
7b93e6a1:150814fecb6:1bf0	Membership
7b93e6a1:150814fecb6:-4c	Membership
7b93e6a1:150814fecb6:-530	Membership
7b93e6a1:150814fecb6:23c7	BelievedBy
7b93e6a1:150814fecb6:e07	Membership
7b93e6a1:150814fecb6:2323	BelievedBy
7b93e6a1:150814fecb6:-790	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Province
7b93e6a1:150814fecb6:14bd	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Province
7b93e6a1:150814fecb6:2583	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Barbados/	Island
7b93e6a1:150814fecb6:db3	Membership
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Desert
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Desert
7b93e6a1:150814fecb6:1aef	Membership
7b93e6a1:150814fecb6:-42f	Membership
7b93e6a1:150814fecb6:16	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Province
7b93e6a1:150814fecb6:9e1	Membership
7b93e6a1:150814fecb6:1a4b	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	City
7b93e6a1:150814fecb6:2ec	Membership
7b93e6a1:150814fecb6:-68f	Border
7b93e6a1:150814fecb6:-3db	Membership
7b93e6a1:150814fecb6:1339	Membership
7b93e6a1:150814fecb6:21ce	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Okavango/	Estuary
7b93e6a1:150814fecb6:c0e	Membership
7b93e6a1:150814fecb6:212a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	City
7b93e6a1:150814fecb6:83c	Membership
7b93e6a1:150814fecb6:1599	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	City
http://www.semwebtech.org/mondial/10/mountains/Alps/	Mountains
7b93e6a1:150814fecb6:e6e	Membership
7b93e6a1:150814fecb6:1feb	Membership
7b93e6a1:150814fecb6:168	Membership
7b93e6a1:150814fecb6:12e5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Province
7b93e6a1:150814fecb6:238a	BelievedBy
7b93e6a1:150814fecb6:bba	Membership
7b93e6a1:150814fecb6:1241	Membership
7b93e6a1:150814fecb6:-257	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	City
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Language
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	City
7b93e6a1:150814fecb6:1c07	Membership
7b93e6a1:150814fecb6:18d9	Membership
7b93e6a1:150814fecb6:7d	Membership
7b93e6a1:150814fecb6:4a8	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Province
7b93e6a1:150814fecb6:1835	Membership
7b93e6a1:150814fecb6:404	Membership
7b93e6a1:150814fecb6:1e67	Membership
7b93e6a1:150814fecb6:1bb3	Membership
7b93e6a1:150814fecb6:a36	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	City
7b93e6a1:150814fecb6:664	Membership
7b93e6a1:150814fecb6:17e1	Membership
7b93e6a1:150814fecb6:-7f7	Encompassed
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	Mountain
7b93e6a1:150814fecb6:c96	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	City
7b93e6a1:150814fecb6:3b0	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	City
7b93e6a1:150814fecb6:-753	Encompassed
7b93e6a1:150814fecb6:10ec	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Province
http://www.semwebtech.org/mondial/10/estuary/Pruth/	Estuary
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	City
7b93e6a1:150814fecb6:2546	EthnicProportion
7b93e6a1:150814fecb6:-9	Membership
7b93e6a1:150814fecb6:9a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	City
7b93e6a1:150814fecb6:1a0e	Membership
7b93e6a1:150814fecb6:fd6	Membership
7b93e6a1:150814fecb6:900	Membership
7b93e6a1:150814fecb6:2af	Membership
7b93e6a1:150814fecb6:163c	Membership
7b93e6a1:150814fecb6:24f2	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Water
7b93e6a1:150814fecb6:1c6e	Membership
7b93e6a1:150814fecb6:f32	Membership
7b93e6a1:150814fecb6:1543	Membership
http://www.semwebtech.org/mondial/10/organization/UPU/	Organization
7b93e6a1:150814fecb6:20b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	City
7b93e6a1:150814fecb6:189c	Membership
7b93e6a1:150814fecb6:46b	Membership
7b93e6a1:150814fecb6:-5fe	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	EthnicGroup
7b93e6a1:150814fecb6:a9d	Membership
7b93e6a1:150814fecb6:-97	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	City
7b93e6a1:150814fecb6:-55a	Membership
7b93e6a1:150814fecb6:1fae	Membership
7b93e6a1:150814fecb6:234d	BelievedBy
7b93e6a1:150814fecb6:12a8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	City
7b93e6a1:150814fecb6:1f0a	Membership
7b93e6a1:150814fecb6:1204	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Province
7b93e6a1:150814fecb6:7ab	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Province
7b93e6a1:150814fecb6:ddd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	City
http://www.semwebtech.org/mondial/10/language/Somali/	Language
7b93e6a1:150814fecb6:1464	Membership
7b93e6a1:150814fecb6:1a96	Membership
7b93e6a1:150814fecb6:11b0	Membership
7b93e6a1:150814fecb6:-1c6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	City
7b93e6a1:150814fecb6:-122	Membership
7b93e6a1:150814fecb6:293	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	City
7b93e6a1:150814fecb6:627	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Water
7b93e6a1:150814fecb6:17a4	Membership
7b93e6a1:150814fecb6:-382	Membership
http://www.semwebtech.org/mondial/10/river/Vaal/	Water
7b93e6a1:150814fecb6:1dd6	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	City
7b93e6a1:150814fecb6:c59	Membership
7b93e6a1:150814fecb6:1700	Membership
7b93e6a1:150814fecb6:10af	Membership
7b93e6a1:150814fecb6:-716	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	City
7b93e6a1:150814fecb6:2175	SpokenBy
7b93e6a1:150814fecb6:887	Membership
7b93e6a1:150814fecb6:1d32	Membership
7b93e6a1:150814fecb6:100b	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Province
7b93e6a1:150814fecb6:2509	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	Mountain
http://www.semwebtech.org/mondial/10/river/Bartang/	Water
7b93e6a1:150814fecb6:5d3	Membership
7b93e6a1:150814fecb6:1960	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	EthnicGroup
7b93e6a1:150814fecb6:1f92	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	City
7b93e6a1:150814fecb6:-6c2	Border
7b93e6a1:150814fecb6:126b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	City
7b93e6a1:150814fecb6:b61	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	City
7b93e6a1:150814fecb6:24b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLB/	Country
http://www.semwebtech.org/mondial/10/organization/EADB/	Organization
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Province
7b93e6a1:150814fecb6:2411	BelievedBy
7b93e6a1:150814fecb6:185f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Province
http://www.semwebtech.org/mondial/10/river/Seine/	Water
http://www.semwebtech.org/mondial/10/source/Ticino/	Source
7b93e6a1:150814fecb6:42e	Membership
7b93e6a1:150814fecb6:15ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	City
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	City
7b93e6a1:150814fecb6:2671	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	Estuary
7b93e6a1:150814fecb6:ea1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	City
7b93e6a1:150814fecb6:1bdd	Membership
7b93e6a1:150814fecb6:-51d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	City
7b93e6a1:150814fecb6:68e	Membership
7b93e6a1:150814fecb6:3da	Membership
7b93e6a1:150814fecb6:-77d	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	City
7b93e6a1:150814fecb6:1093	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	City
7b93e6a1:150814fecb6:1427	Membership
7b93e6a1:150814fecb6:22bc	BelievedBy
7b93e6a1:150814fecb6:9ce	Membership
7b93e6a1:150814fecb6:1a59	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	City
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	Estuary
7b93e6a1:150814fecb6:92a	Membership
7b93e6a1:150814fecb6:1687	Membership
7b93e6a1:150814fecb6:13d3	Membership
7b93e6a1:150814fecb6:f5c	Membership
7b93e6a1:150814fecb6:256	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Province
7b93e6a1:150814fecb6:-3e9	Membership
7b93e6a1:150814fecb6:-345	Membership
7b93e6a1:150814fecb6:2138	SpokenBy
7b93e6a1:150814fecb6:19c7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	City
7b93e6a1:150814fecb6:1ff9	Membership
7b93e6a1:150814fecb6:1923	Membership
7b93e6a1:150814fecb6:-2f1	Membership
7b93e6a1:150814fecb6:2398	BelievedBy
7b93e6a1:150814fecb6:bc8	Membership
7b93e6a1:150814fecb6:1f55	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	City
7b93e6a1:150814fecb6:122e	Membership
7b93e6a1:150814fecb6:20e4	Membership
7b93e6a1:150814fecb6:1ca1	Membership
7b93e6a1:150814fecb6:b24	Membership
7b93e6a1:150814fecb6:7f6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	City
7b93e6a1:150814fecb6:2040	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	City
7b93e6a1:150814fecb6:752	Membership
7b93e6a1:150814fecb6:148e	Membership
7b93e6a1:150814fecb6:d84	Membership
7b93e6a1:150814fecb6:11da	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	City
7b93e6a1:150814fecb6:ad0	Membership
7b93e6a1:150814fecb6:-14c	Membership
7b93e6a1:150814fecb6:2634	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Wallisian/	Language
7b93e6a1:150814fecb6:17ce	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	City
7b93e6a1:150814fecb6:172a	Membership
7b93e6a1:150814fecb6:25e0	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Mountains
7b93e6a1:150814fecb6:219f	SpokenBy
7b93e6a1:150814fecb6:1d5c	Membership
7b93e6a1:150814fecb6:1056	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Province
7b93e6a1:150814fecb6:5fd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	City
7b93e6a1:150814fecb6:198a	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Province
7b93e6a1:150814fecb6:-6ec	Border
http://www.semwebtech.org/mondial/10/river/Amudarja/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	City
7b93e6a1:150814fecb6:b8b	Membership
7b93e6a1:150814fecb6:24df	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Fesan/	Desert
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	City
7b93e6a1:150814fecb6:f1f	Membership
7b93e6a1:150814fecb6:219	Membership
7b93e6a1:150814fecb6:243b	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Province
7b93e6a1:150814fecb6:-308	Membership
http://www.semwebtech.org/mondial/10/country/ARM/	Country
7b93e6a1:150814fecb6:479	Membership
http://www.semwebtech.org/mondial/10/country/A/	Country
7b93e6a1:150814fecb6:15f6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	City
7b93e6a1:150814fecb6:269b	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Sindhi/	Language
7b93e6a1:150814fecb6:ecb	Membership
7b93e6a1:150814fecb6:1c5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	City
7b93e6a1:150814fecb6:1552	Membership
7b93e6a1:150814fecb6:-568	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	City
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	Mountain
http://www.semwebtech.org/mondial/10/organization/ITUC/	Organization
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	Water
7b93e6a1:150814fecb6:1b84	Membership
7b93e6a1:150814fecb6:121	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	City
7b93e6a1:150814fecb6:-2b4	Membership
http://www.semwebtech.org/mondial/10/island/Rhodos/	Island
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	EthnicGroup
7b93e6a1:150814fecb6:1f18	Membership
7b93e6a1:150814fecb6:-210	Membership
7b93e6a1:150814fecb6:20a7	Membership
7b93e6a1:150814fecb6:7b9	Membership
7b93e6a1:150814fecb6:381	Membership
7b93e6a1:150814fecb6:da	Membership
7b93e6a1:150814fecb6:2003	Membership
7b93e6a1:150814fecb6:715	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Province
7b93e6a1:150814fecb6:-470	Membership
7b93e6a1:150814fecb6:d47	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	City
7b93e6a1:150814fecb6:1ec4	Membership
7b93e6a1:150814fecb6:-804	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	City
7b93e6a1:150814fecb6:2263	BelievedBy
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	City
7b93e6a1:150814fecb6:975	Membership
7b93e6a1:150814fecb6:1e20	Membership
7b93e6a1:150814fecb6:-10f	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	City
7b93e6a1:150814fecb6:6c1	Membership
7b93e6a1:150814fecb6:13fd	Membership
7b93e6a1:150814fecb6:cf3	Membership
7b93e6a1:150814fecb6:-7b0	Encompassed
7b93e6a1:150814fecb6:-36f	Membership
7b93e6a1:150814fecb6:25a3	EthnicProportion
7b93e6a1:150814fecb6:1d1f	Membership
7b93e6a1:150814fecb6:1019	Membership
7b93e6a1:150814fecb6:194d	Membership
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	City
http://www.semwebtech.org/mondial/10/organization/WTO/	Organization
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Water
http://www.semwebtech.org/mondial/10/source/Guadiana/	Source
7b93e6a1:150814fecb6:51c	Membership
7b93e6a1:150814fecb6:1f7f	Membership
7b93e6a1:150814fecb6:-6af	Border
7b93e6a1:150814fecb6:1279	Membership
7b93e6a1:150814fecb6:b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	City
7b93e6a1:150814fecb6:1ccb	Membership
7b93e6a1:150814fecb6:-60b	Border
7b93e6a1:150814fecb6:206a	Membership
7b93e6a1:150814fecb6:77c	Membership
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Water
7b93e6a1:150814fecb6:265e	EthnicProportion
7b93e6a1:150814fecb6:afa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Province
7b93e6a1:150814fecb6:15b9	Membership
7b93e6a1:150814fecb6:-f4	Membership
7b93e6a1:150814fecb6:1181	Membership
7b93e6a1:150814fecb6:-197	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	Mountain
7b93e6a1:150814fecb6:1515	Membership
7b93e6a1:150814fecb6:-50	Membership
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	Organization
7b93e6a1:150814fecb6:23aa	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Province
7b93e6a1:150814fecb6:1b47	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Province
http://www.semwebtech.org/mondial/10/source/Ili/	Source
7b93e6a1:150814fecb6:3e8	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Water
7b93e6a1:150814fecb6:1775	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	City
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Province
7b93e6a1:150814fecb6:14c1	Membership
7b93e6a1:150814fecb6:344	Membership
7b93e6a1:150814fecb6:-4d7	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	City
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	City
7b93e6a1:150814fecb6:1af3	Membership
7b93e6a1:150814fecb6:-433	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	City
7b93e6a1:150814fecb6:2226	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	Estuary
7b93e6a1:150814fecb6:938	Membership
7b93e6a1:150814fecb6:2f0	Membership
7b93e6a1:150814fecb6:-693	Border
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	City
7b93e6a1:150814fecb6:2486	EthnicProportion
7b93e6a1:150814fecb6:cb6	Membership
7b93e6a1:150814fecb6:131c	Membership
7b93e6a1:150814fecb6:21d2	SpokenBy
http://www.semwebtech.org/mondial/10/source/Luapula/	Source
7b93e6a1:150814fecb6:c12	Membership
7b93e6a1:150814fecb6:8e4	Membership
7b93e6a1:150814fecb6:840	Membership
7b93e6a1:150814fecb6:1ef	Membership
7b93e6a1:150814fecb6:157c	Membership
7b93e6a1:150814fecb6:e72	Membership
7b93e6a1:150814fecb6:14b	Membership
http://www.semwebtech.org/mondial/10/organization/EMU/	Organization
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	City
7b93e6a1:150814fecb6:-23a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	EthnicGroup
7b93e6a1:150814fecb6:202d	Membership
http://www.semwebtech.org/mondial/10/source/BlackDrin/	Source
7b93e6a1:150814fecb6:73f	Membership
7b93e6a1:150814fecb6:18bc	Membership
7b93e6a1:150814fecb6:-49a	Membership
7b93e6a1:150814fecb6:81	Membership
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	Source
7b93e6a1:150814fecb6:1eee	Membership
7b93e6a1:150814fecb6:11e8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	EthnicGroup
7b93e6a1:150814fecb6:228d	BelievedBy
7b93e6a1:150814fecb6:abd	Membership
7b93e6a1:150814fecb6:99f	Membership
7b93e6a1:150814fecb6:1e4a	Membership
7b93e6a1:150814fecb6:-b7	Membership
7b93e6a1:150814fecb6:1144	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Province
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Water
7b93e6a1:150814fecb6:6eb	Membership
7b93e6a1:150814fecb6:-13	Membership
http://www.semwebtech.org/mondial/10/estuary/Semliki/	Estuary
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Province
7b93e6a1:150814fecb6:-7da	Encompassed
7b93e6a1:150814fecb6:1738	Membership
7b93e6a1:150814fecb6:10f0	Membership
7b93e6a1:150814fecb6:25cd	EthnicProportion
7b93e6a1:150814fecb6:307	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	City
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	Source
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	Estuary
7b93e6a1:150814fecb6:1ab6	Membership
7b93e6a1:150814fecb6:1998	Membership
7b93e6a1:150814fecb6:567	Membership
7b93e6a1:150814fecb6:1a12	Membership
7b93e6a1:150814fecb6:16e4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	City
http://www.semwebtech.org/mondial/10/source/Etsch/	Source
7b93e6a1:150814fecb6:b99	Membership
7b93e6a1:150814fecb6:2b3	Membership
7b93e6a1:150814fecb6:1640	Membership
7b93e6a1:150814fecb6:-656	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	City
7b93e6a1:150814fecb6:1c72	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	City
7b93e6a1:150814fecb6:-3a2	Membership
7b93e6a1:150814fecb6:2449	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	City
7b93e6a1:150814fecb6:8a7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	City
http://www.semwebtech.org/mondial/10/river/Enns/	Water
7b93e6a1:150814fecb6:ed9	Membership
7b93e6a1:150814fecb6:803	Membership
7b93e6a1:150814fecb6:-7a	Membership
7b93e6a1:150814fecb6:153f	Membership
7b93e6a1:150814fecb6:23f5	BelievedBy
7b93e6a1:150814fecb6:1fb2	Membership
7b93e6a1:150814fecb6:e35	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Province
7b93e6a1:150814fecb6:10e	Membership
7b93e6a1:150814fecb6:2351	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	City
7b93e6a1:150814fecb6:179f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Province
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	Mountain
7b93e6a1:150814fecb6:36e	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	City
7b93e6a1:150814fecb6:14eb	Membership
7b93e6a1:150814fecb6:e8	Membership
7b93e6a1:150814fecb6:de1	Membership
http://www.semwebtech.org/mondial/10/source/Tiber/	Source
7b93e6a1:150814fecb6:-45d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	City
7b93e6a1:150814fecb6:44	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	City
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Province
7b93e6a1:150814fecb6:1e0d	Membership
7b93e6a1:150814fecb6:1107	Membership
7b93e6a1:150814fecb6:6ae	Membership
7b93e6a1:150814fecb6:60a	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Province
http://www.semwebtech.org/mondial/10/estuary/Moldau/	Estuary
7b93e6a1:150814fecb6:21fc	SpokenBy
7b93e6a1:150814fecb6:c3c	Membership
7b93e6a1:150814fecb6:10b3	Membership
http://www.semwebtech.org/mondial/10/country/LS/	Country
7b93e6a1:150814fecb6:86a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	City
7b93e6a1:150814fecb6:e9c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	City
7b93e6a1:150814fecb6:196	Membership
7b93e6a1:150814fecb6:16a7	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	Province
7b93e6a1:150814fecb6:-285	Membership
7b93e6a1:150814fecb6:1cd9	Membership
7b93e6a1:150814fecb6:1603	Membership
7b93e6a1:150814fecb6:-619	Border
7b93e6a1:150814fecb6:2078	Membership
http://www.semwebtech.org/mondial/10/source/Mosel/	Source
7b93e6a1:150814fecb6:1c35	Membership
http://www.semwebtech.org/mondial/10/island/NewProvidence/	Island
7b93e6a1:150814fecb6:4d6	Membership
7b93e6a1:150814fecb6:1863	Membership
http://www.semwebtech.org/mondial/10/country/SF/	Country
7b93e6a1:150814fecb6:432	Membership
7b93e6a1:150814fecb6:1e95	Membership
7b93e6a1:150814fecb6:-5c5	Membership
7b93e6a1:150814fecb6:116e	Membership
7b93e6a1:150814fecb6:1be1	Membership
7b93e6a1:150814fecb6:a64	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Province
7b93e6a1:150814fecb6:-3d	Membership
7b93e6a1:150814fecb6:-521	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Province
7b93e6a1:150814fecb6:23b8	BelievedBy
7b93e6a1:150814fecb6:692	Membership
7b93e6a1:150814fecb6:2314	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	City
7b93e6a1:150814fecb6:-781	Encompassed
7b93e6a1:150814fecb6:14ae	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	City
7b93e6a1:150814fecb6:2574	EthnicProportion
7b93e6a1:150814fecb6:da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	City
7b93e6a1:150814fecb6:140a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Province
7b93e6a1:150814fecb6:22c0	BelievedBy
http://www.semwebtech.org/mondial/10/island/Menorca/	Island
7b93e6a1:150814fecb6:d00	Membership
7b93e6a1:150814fecb6:9d2	Membership
7b93e6a1:150814fecb6:1a3c	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	City
7b93e6a1:150814fecb6:2dd	Membership
7b93e6a1:150814fecb6:166a	Membership
7b93e6a1:150814fecb6:f60	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	City
7b93e6a1:150814fecb6:1c9c	Membership
7b93e6a1:150814fecb6:-3cc	Membership
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	City
http://www.semwebtech.org/mondial/10/estuary/Po/	Estuary
7b93e6a1:150814fecb6:21bf	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	City
7b93e6a1:150814fecb6:211b	SpokenBy
7b93e6a1:150814fecb6:82d	Membership
http://www.semwebtech.org/mondial/10/river/Euphrat/	Water
7b93e6a1:150814fecb6:19aa	Membership
7b93e6a1:150814fecb6:1fdc	Membership
7b93e6a1:150814fecb6:e5f	Membership
7b93e6a1:150814fecb6:1	Membership
7b93e6a1:150814fecb6:159	Membership
7b93e6a1:150814fecb6:12d6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	City
7b93e6a1:150814fecb6:237b	BelievedBy
7b93e6a1:150814fecb6:bab	Membership
7b93e6a1:150814fecb6:1232	Membership
7b93e6a1:150814fecb6:-248	Membership
7b93e6a1:150814fecb6:1492	Membership
7b93e6a1:150814fecb6:6e	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Province
7b93e6a1:150814fecb6:1826	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	City
7b93e6a1:150814fecb6:-1f4	Membership
7b93e6a1:150814fecb6:26bb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Province
7b93e6a1:150814fecb6:1e58	Membership
7b93e6a1:150814fecb6:-150	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Province
7b93e6a1:150814fecb6:a27	Membership
7b93e6a1:150814fecb6:6f9	Membership
7b93e6a1:150814fecb6:1ba4	Membership
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Water
7b93e6a1:150814fecb6:1b00	Membership
7b93e6a1:150814fecb6:655	Membership
7b93e6a1:150814fecb6:17d2	Membership
7b93e6a1:150814fecb6:-7e8	Encompassed
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	Mountain
7b93e6a1:150814fecb6:c87	Membership
7b93e6a1:150814fecb6:3a1	Membership
7b93e6a1:150814fecb6:-744	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Province
7b93e6a1:150814fecb6:10dd	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	City
7b93e6a1:150814fecb6:1d60	Membership
7b93e6a1:150814fecb6:2537	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	City
http://www.semwebtech.org/mondial/10/estuary/Lulua/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	City
7b93e6a1:150814fecb6:-6f0	Border
7b93e6a1:150814fecb6:fc7	Membership
7b93e6a1:150814fecb6:162d	Membership
7b93e6a1:150814fecb6:24e3	EthnicProportion
7b93e6a1:150814fecb6:f23	Membership
http://www.semwebtech.org/mondial/10/language/Armenian/	Language
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Water
7b93e6a1:150814fecb6:1c5f	Membership
7b93e6a1:150814fecb6:188d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	City
7b93e6a1:150814fecb6:45c	Membership
7b93e6a1:150814fecb6:-5ef	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	City
7b93e6a1:150814fecb6:a8e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	City
7b93e6a1:150814fecb6:-88	Membership
7b93e6a1:150814fecb6:-54b	Membership
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	Mountain
http://www.semwebtech.org/mondial/10/country/NIUE/	Country
7b93e6a1:150814fecb6:233e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	EthnicGroup
7b93e6a1:150814fecb6:14f9	Membership
7b93e6a1:150814fecb6:259e	EthnicProportion
7b93e6a1:150814fecb6:dce	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	Estuary
7b93e6a1:150814fecb6:1455	Membership
7b93e6a1:150814fecb6:22ea	BelievedBy
7b93e6a1:150814fecb6:d2a	Membership
7b93e6a1:150814fecb6:9fc	Membership
7b93e6a1:150814fecb6:1a87	Membership
7b93e6a1:150814fecb6:11a1	Membership
7b93e6a1:150814fecb6:-1b7	Membership
http://www.semwebtech.org/mondial/10/island/Negros/	Island
7b93e6a1:150814fecb6:-113	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	City
7b93e6a1:150814fecb6:f8a	Membership
7b93e6a1:150814fecb6:284	Membership
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	City
7b93e6a1:150814fecb6:618	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	EthnicGroup
7b93e6a1:150814fecb6:-373	Membership
7b93e6a1:150814fecb6:1dc7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Province
7b93e6a1:150814fecb6:-707	Border
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Province
7b93e6a1:150814fecb6:2166	SpokenBy
7b93e6a1:150814fecb6:878	Membership
7b93e6a1:150814fecb6:1d23	Membership
7b93e6a1:150814fecb6:19f5	Membership
7b93e6a1:150814fecb6:5c4	Membership
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	Estuary
7b93e6a1:150814fecb6:1951	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	City
7b93e6a1:150814fecb6:bf6	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Province
7b93e6a1:150814fecb6:520	Membership
7b93e6a1:150814fecb6:1f83	Membership
7b93e6a1:150814fecb6:-6b3	Border
7b93e6a1:150814fecb6:125c	Membership
7b93e6a1:150814fecb6:b52	Membership
7b93e6a1:150814fecb6:24a6	EthnicProportion
7b93e6a1:150814fecb6:780	Membership
7b93e6a1:150814fecb6:2402	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	City
7b93e6a1:150814fecb6:41f	Membership
7b93e6a1:150814fecb6:-17a	Membership
7b93e6a1:150814fecb6:2662	EthnicProportion
7b93e6a1:150814fecb6:1bce	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	City
7b93e6a1:150814fecb6:-50e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	City
7b93e6a1:150814fecb6:67f	Membership
7b93e6a1:150814fecb6:1b2a	Membership
7b93e6a1:150814fecb6:17fc	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	City
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Desert
7b93e6a1:150814fecb6:3cb	Membership
7b93e6a1:150814fecb6:-76e	Encompassed
7b93e6a1:150814fecb6:-559	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	City
7b93e6a1:150814fecb6:1d8a	Membership
7b93e6a1:150814fecb6:1084	Membership
7b93e6a1:150814fecb6:-4ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Province
7b93e6a1:150814fecb6:a1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	EthnicGroup
7b93e6a1:150814fecb6:22ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	City
7b93e6a1:150814fecb6:1418	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	City
7b93e6a1:150814fecb6:9bf	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	City
7b93e6a1:150814fecb6:91b	Membership
7b93e6a1:150814fecb6:1678	Membership
7b93e6a1:150814fecb6:f4d	Membership
7b93e6a1:150814fecb6:247	Membership
7b93e6a1:150814fecb6:13c4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	City
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Desert
7b93e6a1:150814fecb6:1320	Membership
7b93e6a1:150814fecb6:-336	Membership
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	City
7b93e6a1:150814fecb6:2129	SpokenBy
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Province
7b93e6a1:150814fecb6:19b8	Membership
7b93e6a1:150814fecb6:1f3	Membership
7b93e6a1:150814fecb6:1580	Membership
7b93e6a1:150814fecb6:-596	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Province
7b93e6a1:150814fecb6:1914	Membership
7b93e6a1:150814fecb6:-2e2	Membership
7b93e6a1:150814fecb6:2389	BelievedBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	City
7b93e6a1:150814fecb6:bb9	Membership
7b93e6a1:150814fecb6:1f46	Membership
7b93e6a1:150814fecb6:121f	Membership
7b93e6a1:150814fecb6:20d5	Membership
7b93e6a1:150814fecb6:b15	Membership
7b93e6a1:150814fecb6:7e7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	City
http://www.semwebtech.org/mondial/10/organization/CE/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	City
7b93e6a1:150814fecb6:2031	Membership
http://www.semwebtech.org/mondial/10/source/Werra/	Source
7b93e6a1:150814fecb6:743	Membership
7b93e6a1:150814fecb6:18c0	Membership
7b93e6a1:150814fecb6:147f	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Province
7b93e6a1:150814fecb6:d75	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Province
7b93e6a1:150814fecb6:1ef2	Membership
7b93e6a1:150814fecb6:11cb	Membership
7b93e6a1:150814fecb6:2291	BelievedBy
7b93e6a1:150814fecb6:ac1	Membership
7b93e6a1:150814fecb6:-13d	Membership
7b93e6a1:150814fecb6:2625	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Karakum/	Desert
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Language
7b93e6a1:150814fecb6:17bf	Membership
7b93e6a1:150814fecb6:-39d	Membership
http://www.semwebtech.org/mondial/10/island/Fogo/	Island
7b93e6a1:150814fecb6:171b	Membership
7b93e6a1:150814fecb6:25d1	EthnicProportion
7b93e6a1:150814fecb6:1d4d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	City
7b93e6a1:150814fecb6:1047	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Province
7b93e6a1:150814fecb6:5ee	Membership
7b93e6a1:150814fecb6:197b	Membership
7b93e6a1:150814fecb6:54a	Membership
7b93e6a1:150814fecb6:-6dd	Border
7b93e6a1:150814fecb6:b7c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Province
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	City
7b93e6a1:150814fecb6:242c	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	City
7b93e6a1:150814fecb6:15e7	Membership
7b93e6a1:150814fecb6:268c	EthnicProportion
7b93e6a1:150814fecb6:ebc	Membership
7b93e6a1:150814fecb6:1b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	Mountain
http://www.semwebtech.org/mondial/10/organization/IADB/	Organization
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Province
7b93e6a1:150814fecb6:1b75	Membership
7b93e6a1:150814fecb6:112	Membership
7b93e6a1:150814fecb6:-2a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	EthnicGroup
7b93e6a1:150814fecb6:1f09	Membership
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	City
7b93e6a1:150814fecb6:-201	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	City
7b93e6a1:150814fecb6:372	Membership
7b93e6a1:150814fecb6:cb	Membership
7b93e6a1:150814fecb6:706	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	City
7b93e6a1:150814fecb6:-461	Membership
7b93e6a1:150814fecb6:22f8	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	City
7b93e6a1:150814fecb6:d38	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Province
7b93e6a1:150814fecb6:1eb5	Membership
7b93e6a1:150814fecb6:2254	BelievedBy
http://www.semwebtech.org/mondial/10/island/Niihau/	Island
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	City
7b93e6a1:150814fecb6:966	Membership
7b93e6a1:150814fecb6:1e11	Membership
7b93e6a1:150814fecb6:f98	Membership
7b93e6a1:150814fecb6:6b2	Membership
7b93e6a1:150814fecb6:13ee	Membership
http://www.semwebtech.org/mondial/10/river/Kolyma/	Water
7b93e6a1:150814fecb6:ce4	Membership
7b93e6a1:150814fecb6:-7a1	Encompassed
7b93e6a1:150814fecb6:134a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Province
7b93e6a1:150814fecb6:c40	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Province
http://www.semwebtech.org/mondial/10/island/Batam/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	City
7b93e6a1:150814fecb6:193e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	City
7b93e6a1:150814fecb6:50d	Membership
7b93e6a1:150814fecb6:20ff	Membership
7b93e6a1:150814fecb6:b3f	Membership
7b93e6a1:150814fecb6:1cbc	Membership
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	City
http://www.semwebtech.org/mondial/10/language/Polish/	Language
7b93e6a1:150814fecb6:205b	Membership
7b93e6a1:150814fecb6:76d	Membership
7b93e6a1:150814fecb6:18ea	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Water
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Province
7b93e6a1:150814fecb6:d9f	Membership
http://www.semwebtech.org/mondial/10/islands/Baleares/	Islands
7b93e6a1:150814fecb6:aeb	Membership
7b93e6a1:150814fecb6:1172	Membership
7b93e6a1:150814fecb6:-e5	Membership
7b93e6a1:150814fecb6:-188	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	City
7b93e6a1:150814fecb6:264f	EthnicProportion
7b93e6a1:150814fecb6:-41	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Province
7b93e6a1:150814fecb6:1506	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	City
http://www.semwebtech.org/mondial/10/river/Saar/	Water
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	City
7b93e6a1:150814fecb6:1b38	Membership
7b93e6a1:150814fecb6:3d9	Membership
7b93e6a1:150814fecb6:1766	Membership
7b93e6a1:150814fecb6:25fb	EthnicProportion
7b93e6a1:150814fecb6:1d98	Membership
7b93e6a1:150814fecb6:335	Membership
7b93e6a1:150814fecb6:14b2	Membership
7b93e6a1:150814fecb6:-4c8	Membership
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	Mountain
7b93e6a1:150814fecb6:1ae4	Membership
7b93e6a1:150814fecb6:-424	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Province
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	City
7b93e6a1:150814fecb6:595	Membership
7b93e6a1:150814fecb6:1a40	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	City
7b93e6a1:150814fecb6:2217	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Province
7b93e6a1:150814fecb6:929	Membership
7b93e6a1:150814fecb6:2e1	Membership
7b93e6a1:150814fecb6:-684	Border
7b93e6a1:150814fecb6:-3d0	Membership
7b93e6a1:150814fecb6:2477	EthnicProportion
7b93e6a1:150814fecb6:ca7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Province
7b93e6a1:150814fecb6:130d	Membership
7b93e6a1:150814fecb6:21c3	SpokenBy
7b93e6a1:150814fecb6:c03	Membership
7b93e6a1:150814fecb6:8d5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	City
7b93e6a1:150814fecb6:831	Membership
7b93e6a1:150814fecb6:1fe0	Membership
7b93e6a1:150814fecb6:156d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	City
7b93e6a1:150814fecb6:1b9f	Membership
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	City
7b93e6a1:150814fecb6:e63	Membership
7b93e6a1:150814fecb6:13c	Membership
7b93e6a1:150814fecb6:-2cf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	City
7b93e6a1:150814fecb6:-22b	Membership
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	Mountain
7b93e6a1:150814fecb6:39c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	City
7b93e6a1:150814fecb6:201e	Membership
7b93e6a1:150814fecb6:18ad	Membership
7b93e6a1:150814fecb6:-48b	Membership
7b93e6a1:150814fecb6:72	Membership
7b93e6a1:150814fecb6:1edf	Membership
7b93e6a1:150814fecb6:11d9	Membership
7b93e6a1:150814fecb6:227e	BelievedBy
7b93e6a1:150814fecb6:aae	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	City
7b93e6a1:150814fecb6:1e3b	Membership
7b93e6a1:150814fecb6:-a8	Membership
7b93e6a1:150814fecb6:1135	Membership
7b93e6a1:150814fecb6:a0a	Membership
7b93e6a1:150814fecb6:6dc	Membership
7b93e6a1:150814fecb6:-7cb	Encompassed
7b93e6a1:150814fecb6:1395	Membership
7b93e6a1:150814fecb6:c6a	Membership
7b93e6a1:150814fecb6:1729	Membership
7b93e6a1:150814fecb6:10e1	Membership
7b93e6a1:150814fecb6:25be	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Organization
7b93e6a1:150814fecb6:251a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Moldau/	Water
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Province
7b93e6a1:150814fecb6:1aa7	Membership
7b93e6a1:150814fecb6:1989	Membership
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	City
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	Water
7b93e6a1:150814fecb6:558	Membership
7b93e6a1:150814fecb6:1a03	Membership
7b93e6a1:150814fecb6:16d5	Membership
7b93e6a1:150814fecb6:faa	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	City
7b93e6a1:150814fecb6:2a4	Membership
7b93e6a1:150814fecb6:1631	Membership
7b93e6a1:150814fecb6:-647	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Province
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Province
7b93e6a1:150814fecb6:200	Membership
7b93e6a1:150814fecb6:1c63	Membership
http://www.semwebtech.org/mondial/10/estuary/Ischim/	Estuary
7b93e6a1:150814fecb6:1891	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	City
7b93e6a1:150814fecb6:460	Membership
7b93e6a1:150814fecb6:-5f3	Border
7b93e6a1:150814fecb6:119c	Membership
7b93e6a1:150814fecb6:a92	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Province
7b93e6a1:150814fecb6:-6b	Membership
7b93e6a1:150814fecb6:23e6	BelievedBy
7b93e6a1:150814fecb6:1fa3	Membership
7b93e6a1:150814fecb6:e26	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Province
7b93e6a1:150814fecb6:2342	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Province
http://www.semwebtech.org/mondial/10/river/Narva/	Water
7b93e6a1:150814fecb6:7a0	Membership
7b93e6a1:150814fecb6:35f	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	City
7b93e6a1:150814fecb6:14dc	Membership
7b93e6a1:150814fecb6:d9	Membership
7b93e6a1:150814fecb6:dd2	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	City
7b93e6a1:150814fecb6:-44e	Membership
7b93e6a1:150814fecb6:35	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	City
7b93e6a1:150814fecb6:1a6a	Membership
http://www.semwebtech.org/mondial/10/island/Tarawa/	Island
http://www.semwebtech.org/mondial/10/estuary/Isere/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	City
7b93e6a1:150814fecb6:-3fa	Membership
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Mountains
7b93e6a1:150814fecb6:1358	Membership
7b93e6a1:150814fecb6:21ed	SpokenBy
7b93e6a1:150814fecb6:c2d	Membership
7b93e6a1:150814fecb6:8ff	Membership
7b93e6a1:150814fecb6:1daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	EthnicGroup
7b93e6a1:150814fecb6:10a4	Membership
7b93e6a1:150814fecb6:85b	Membership
7b93e6a1:150814fecb6:1000	Membership
7b93e6a1:150814fecb6:e8d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	City
7b93e6a1:150814fecb6:187	Membership
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Islands
7b93e6a1:150814fecb6:1260	Membership
7b93e6a1:150814fecb6:-276	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Province
7b93e6a1:150814fecb6:2069	Membership
7b93e6a1:150814fecb6:1c26	Membership
7b93e6a1:150814fecb6:18f8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	City
7b93e6a1:150814fecb6:9c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	City
7b93e6a1:150814fecb6:4c7	Membership
7b93e6a1:150814fecb6:1854	Membership
7b93e6a1:150814fecb6:1e86	Membership
7b93e6a1:150814fecb6:15a0	Membership
7b93e6a1:150814fecb6:af9	Membership
7b93e6a1:150814fecb6:423	Membership
7b93e6a1:150814fecb6:-5b6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	City
7b93e6a1:150814fecb6:115f	Membership
7b93e6a1:150814fecb6:a55	Membership
7b93e6a1:150814fecb6:1bd2	Membership
7b93e6a1:150814fecb6:-2e	Membership
7b93e6a1:150814fecb6:-512	Membership
7b93e6a1:150814fecb6:23a9	BelievedBy
7b93e6a1:150814fecb6:683	Membership
7b93e6a1:150814fecb6:2305	BelievedBy
7b93e6a1:150814fecb6:-772	Encompassed
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	City
7b93e6a1:150814fecb6:2565	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MountApo/	Mountain
7b93e6a1:150814fecb6:22b1	BelievedBy
http://www.semwebtech.org/mondial/10/island/Nauru/	Island
7b93e6a1:150814fecb6:9c3	Membership
7b93e6a1:150814fecb6:1a2d	Membership
7b93e6a1:150814fecb6:16ff	Membership
7b93e6a1:150814fecb6:ff5	Membership
7b93e6a1:150814fecb6:2ce	Membership
7b93e6a1:150814fecb6:165b	Membership
7b93e6a1:150814fecb6:f51	Membership
7b93e6a1:150814fecb6:22a	Membership
7b93e6a1:150814fecb6:1c8d	Membership
7b93e6a1:150814fecb6:-3bd	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Province
7b93e6a1:150814fecb6:48a	Membership
7b93e6a1:150814fecb6:210c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	City
7b93e6a1:150814fecb6:81e	Membership
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Water
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	City
7b93e6a1:150814fecb6:1fcd	Membership
7b93e6a1:150814fecb6:12c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Province
7b93e6a1:150814fecb6:236c	BelievedBy
7b93e6a1:150814fecb6:1223	Membership
7b93e6a1:150814fecb6:-239	Membership
http://www.semwebtech.org/mondial/10/organization/G-5/	Organization
7b93e6a1:150814fecb6:7ca	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	City
7b93e6a1:150814fecb6:dfc	Membership
7b93e6a1:150814fecb6:1483	Membership
7b93e6a1:150814fecb6:-499	Membership
7b93e6a1:150814fecb6:5f	Membership
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	Mountain
7b93e6a1:150814fecb6:1817	Membership
7b93e6a1:150814fecb6:-1e5	Membership
7b93e6a1:150814fecb6:26ac	EthnicProportion
7b93e6a1:150814fecb6:1e49	Membership
7b93e6a1:150814fecb6:-141	Membership
7b93e6a1:150814fecb6:a18	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	City
7b93e6a1:150814fecb6:646	Membership
7b93e6a1:150814fecb6:17c3	Membership
7b93e6a1:150814fecb6:-7d9	Encompassed
7b93e6a1:150814fecb6:c78	Membership
7b93e6a1:150814fecb6:1df5	Membership
7b93e6a1:150814fecb6:-735	Encompassed
7b93e6a1:150814fecb6:10ce	Membership
7b93e6a1:150814fecb6:2194	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	City
7b93e6a1:150814fecb6:1d51	Membership
7b93e6a1:150814fecb6:102a	Membership
7b93e6a1:150814fecb6:2528	EthnicProportion
7b93e6a1:150814fecb6:5f2	Membership
http://www.semwebtech.org/mondial/10/source/Swir/	Source
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	City
7b93e6a1:150814fecb6:-6e1	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	City
7b93e6a1:150814fecb6:128a	Membership
7b93e6a1:150814fecb6:fb8	Membership
7b93e6a1:150814fecb6:b80	Membership
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Desert
7b93e6a1:150814fecb6:161e	Membership
7b93e6a1:150814fecb6:24d4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	City
7b93e6a1:150814fecb6:f14	Membership
http://www.semwebtech.org/mondial/10/island/Dagoe/	Island
7b93e6a1:150814fecb6:2430	BelievedBy
http://www.semwebtech.org/mondial/10/country/REUN/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	City
7b93e6a1:150814fecb6:187e	Membership
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	Religion
7b93e6a1:150814fecb6:44d	Membership
7b93e6a1:150814fecb6:15ca	Membership
7b93e6a1:150814fecb6:2690	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Borkum/	Island
7b93e6a1:150814fecb6:ec0	Membership
7b93e6a1:150814fecb6:a7f	Membership
7b93e6a1:150814fecb6:1bfc	Membership
7b93e6a1:150814fecb6:-79	Membership
7b93e6a1:150814fecb6:-53c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Province
7b93e6a1:150814fecb6:232f	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Province
7b93e6a1:150814fecb6:-79c	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	City
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Province
7b93e6a1:150814fecb6:258f	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	Mountain
7b93e6a1:150814fecb6:dbf	Membership
7b93e6a1:150814fecb6:22db	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	Mountain
7b93e6a1:150814fecb6:1446	Membership
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	Estuary
7b93e6a1:150814fecb6:d1b	Membership
7b93e6a1:150814fecb6:9ed	Membership
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Language
7b93e6a1:150814fecb6:1a78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	City
7b93e6a1:150814fecb6:-1a8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Province
7b93e6a1:150814fecb6:-104	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	City
7b93e6a1:150814fecb6:f7b	Membership
7b93e6a1:150814fecb6:275	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	Mountain
7b93e6a1:150814fecb6:13f2	Membership
7b93e6a1:150814fecb6:609	Membership
7b93e6a1:150814fecb6:-364	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	City
http://www.semwebtech.org/mondial/10/mountain/Leuser/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Province
7b93e6a1:150814fecb6:1db8	Membership
7b93e6a1:150814fecb6:2157	SpokenBy
7b93e6a1:150814fecb6:869	Membership
7b93e6a1:150814fecb6:1d14	Membership
7b93e6a1:150814fecb6:19e6	Membership
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Islands
7b93e6a1:150814fecb6:5b5	Membership
7b93e6a1:150814fecb6:1942	Membership
7b93e6a1:150814fecb6:1f74	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Province
7b93e6a1:150814fecb6:be7	Membership
7b93e6a1:150814fecb6:511	Membership
7b93e6a1:150814fecb6:124d	Membership
7b93e6a1:150814fecb6:-6a4	Border
http://www.semwebtech.org/mondial/10/organization/WMO/	Organization
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Province
http://www.semwebtech.org/mondial/10/desert/Nefud/	Desert
7b93e6a1:150814fecb6:b43	Membership
7b93e6a1:150814fecb6:1cc0	Membership
7b93e6a1:150814fecb6:-600	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	EthnicGroup
7b93e6a1:150814fecb6:771	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	City
7b93e6a1:150814fecb6:-16b	Membership
7b93e6a1:150814fecb6:2653	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Busira/	Estuary
7b93e6a1:150814fecb6:1bbf	Membership
7b93e6a1:150814fecb6:1b1b	Membership
7b93e6a1:150814fecb6:17ed	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	Mountain
7b93e6a1:150814fecb6:3bc	Membership
7b93e6a1:150814fecb6:-75f	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	City
7b93e6a1:150814fecb6:1d7b	Membership
7b93e6a1:150814fecb6:-4ab	Membership
7b93e6a1:150814fecb6:1075	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Province
7b93e6a1:150814fecb6:1409	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	City
7b93e6a1:150814fecb6:90c	Membership
7b93e6a1:150814fecb6:1669	Membership
7b93e6a1:150814fecb6:24fe	EthnicProportion
7b93e6a1:150814fecb6:f3e	Membership
http://www.semwebtech.org/mondial/10/desert/Atacama/	Desert
7b93e6a1:150814fecb6:238	Membership
7b93e6a1:150814fecb6:13b5	Membership
7b93e6a1:150814fecb6:245a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Province
7b93e6a1:150814fecb6:1311	Membership
7b93e6a1:150814fecb6:-327	Membership
http://www.semwebtech.org/mondial/10/country/NLSM/	Country
7b93e6a1:150814fecb6:498	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Province
7b93e6a1:150814fecb6:19a9	Membership
7b93e6a1:150814fecb6:eea	Membership
7b93e6a1:150814fecb6:1571	Membership
7b93e6a1:150814fecb6:1e4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	City
7b93e6a1:150814fecb6:-587	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Romanian/	Language
7b93e6a1:150814fecb6:1905	Membership
7b93e6a1:150814fecb6:140	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	City
7b93e6a1:150814fecb6:-2d3	Membership
7b93e6a1:150814fecb6:1f37	Membership
7b93e6a1:150814fecb6:20c6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	City
7b93e6a1:150814fecb6:b06	Membership
7b93e6a1:150814fecb6:7d8	Membership
7b93e6a1:150814fecb6:2022	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	City
7b93e6a1:150814fecb6:734	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Province
7b93e6a1:150814fecb6:18b1	Membership
7b93e6a1:150814fecb6:d66	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	Estuary
7b93e6a1:150814fecb6:1ee3	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mountains
7b93e6a1:150814fecb6:11bc	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Province
7b93e6a1:150814fecb6:2282	BelievedBy
7b93e6a1:150814fecb6:ab2	Membership
7b93e6a1:150814fecb6:994	Membership
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	Estuary
7b93e6a1:150814fecb6:-12e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	City
7b93e6a1:150814fecb6:2616	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	City
7b93e6a1:150814fecb6:6e0	Membership
7b93e6a1:150814fecb6:29f	Membership
7b93e6a1:150814fecb6:-38e	Membership
7b93e6a1:150814fecb6:170c	Membership
7b93e6a1:150814fecb6:25c2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Tajik/	Language
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	Water
7b93e6a1:150814fecb6:1d3e	Membership
7b93e6a1:150814fecb6:1038	Membership
7b93e6a1:150814fecb6:5df	Membership
7b93e6a1:150814fecb6:196c	Membership
7b93e6a1:150814fecb6:53b	Membership
7b93e6a1:150814fecb6:1f9e	Membership
7b93e6a1:150814fecb6:-6ce	Border
7b93e6a1:150814fecb6:1298	Membership
7b93e6a1:150814fecb6:b6d	Membership
http://www.semwebtech.org/mondial/10/estuary/Tambo/	Estuary
7b93e6a1:150814fecb6:1cea	Membership
7b93e6a1:150814fecb6:-62a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Province
7b93e6a1:150814fecb6:79b	Membership
7b93e6a1:150814fecb6:241d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	City
7b93e6a1:150814fecb6:15d8	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	City
7b93e6a1:150814fecb6:267d	EthnicProportion
7b93e6a1:150814fecb6:ead	Membership
7b93e6a1:150814fecb6:1a7	Membership
7b93e6a1:150814fecb6:1534	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Province
7b93e6a1:150814fecb6:103	Membership
7b93e6a1:150814fecb6:1b66	Membership
7b93e6a1:150814fecb6:1794	Membership
http://www.semwebtech.org/mondial/10/estuary/Indus/	Estuary
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Province
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Water
7b93e6a1:150814fecb6:363	Membership
7b93e6a1:150814fecb6:14e0	Membership
7b93e6a1:150814fecb6:-4f6	Membership
7b93e6a1:150814fecb6:109f	Membership
7b93e6a1:150814fecb6:bc	Membership
7b93e6a1:150814fecb6:-452	Membership
7b93e6a1:150814fecb6:22e9	BelievedBy
7b93e6a1:150814fecb6:d29	Membership
7b93e6a1:150814fecb6:1ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	EthnicGroup
7b93e6a1:150814fecb6:2245	BelievedBy
http://www.semwebtech.org/mondial/10/river/Suchona/	Water
7b93e6a1:150814fecb6:957	Membership
7b93e6a1:150814fecb6:1e02	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/AG/	Country
7b93e6a1:150814fecb6:f89	Membership
7b93e6a1:150814fecb6:6a3	Membership
7b93e6a1:150814fecb6:13df	Membership
7b93e6a1:150814fecb6:cd5	Membership
7b93e6a1:150814fecb6:133b	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Province
7b93e6a1:150814fecb6:21f1	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Province
7b93e6a1:150814fecb6:c31	Membership
http://www.semwebtech.org/mondial/10/language/Spanish/	Language
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Water
http://www.semwebtech.org/mondial/10/source/Sanga/	Source
7b93e6a1:150814fecb6:159b	Membership
http://www.semwebtech.org/mondial/10/country/ES/	Country
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	City
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	Mountain
7b93e6a1:150814fecb6:e91	Membership
7b93e6a1:150814fecb6:192f	Membership
7b93e6a1:150814fecb6:16a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Province
7b93e6a1:150814fecb6:-2fd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	City
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	City
7b93e6a1:150814fecb6:1cad	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Water
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Organization
7b93e6a1:150814fecb6:204c	Membership
7b93e6a1:150814fecb6:75e	Membership
7b93e6a1:150814fecb6:18db	Membership
http://www.semwebtech.org/mondial/10/estuary/Colorado/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	EthnicGroup
7b93e6a1:150814fecb6:4aa	Membership
7b93e6a1:150814fecb6:adc	Membership
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Island
7b93e6a1:150814fecb6:-d6	Membership
7b93e6a1:150814fecb6:1163	Membership
7b93e6a1:150814fecb6:-179	Membership
7b93e6a1:150814fecb6:-32	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Province
7b93e6a1:150814fecb6:1b29	Membership
http://www.semwebtech.org/mondial/10/country/NL/	Country
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	Water
7b93e6a1:150814fecb6:1757	Membership
7b93e6a1:150814fecb6:25ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Kyushu/	Island
7b93e6a1:150814fecb6:1d89	Membership
7b93e6a1:150814fecb6:14a3	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/	Country
7b93e6a1:150814fecb6:326	Membership
http://www.semwebtech.org/mondial/10/country/PR/	Country
7b93e6a1:150814fecb6:-4b9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Province
7b93e6a1:150814fecb6:1ad5	Membership
7b93e6a1:150814fecb6:-415	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	City
7b93e6a1:150814fecb6:-b	Membership
7b93e6a1:150814fecb6:586	Membership
7b93e6a1:150814fecb6:1a31	Membership
7b93e6a1:150814fecb6:2208	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	EthnicGroup
7b93e6a1:150814fecb6:2d2	Membership
7b93e6a1:150814fecb6:-675	Border
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	City
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Mountains
7b93e6a1:150814fecb6:1c91	Membership
7b93e6a1:150814fecb6:-3c1	Membership
7b93e6a1:150814fecb6:2468	EthnicProportion
7b93e6a1:150814fecb6:21b4	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	Mountain
http://www.semwebtech.org/mondial/10/river/Ischim/	Water
7b93e6a1:150814fecb6:8c6	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Province
7b93e6a1:150814fecb6:2110	Membership
7b93e6a1:150814fecb6:ef8	Membership
7b93e6a1:150814fecb6:822	Membership
7b93e6a1:150814fecb6:155e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	City
7b93e6a1:150814fecb6:e54	Membership
7b93e6a1:150814fecb6:1fd1	Membership
7b93e6a1:150814fecb6:12d	Membership
7b93e6a1:150814fecb6:12aa	Membership
7b93e6a1:150814fecb6:2370	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Province
7b93e6a1:150814fecb6:ba0	Membership
7b93e6a1:150814fecb6:-21c	Membership
7b93e6a1:150814fecb6:38d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	City
7b93e6a1:150814fecb6:200f	Membership
7b93e6a1:150814fecb6:-47c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	City
7b93e6a1:150814fecb6:63	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Province
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	Source
7b93e6a1:150814fecb6:26b0	EthnicProportion
7b93e6a1:150814fecb6:226f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	City
7b93e6a1:150814fecb6:1e2c	Membership
7b93e6a1:150814fecb6:1126	Membership
7b93e6a1:150814fecb6:6cd	Membership
http://www.semwebtech.org/mondial/10/mountain/Kongur/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	Mountain
7b93e6a1:150814fecb6:cff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	City
7b93e6a1:150814fecb6:-7bc	Encompassed
7b93e6a1:150814fecb6:1386	Membership
http://www.semwebtech.org/mondial/10/river/Katun/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	EthnicGroup
7b93e6a1:150814fecb6:c5b	Membership
7b93e6a1:150814fecb6:25af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	City
7b93e6a1:150814fecb6:10d2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Province
7b93e6a1:150814fecb6:250b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	City
7b93e6a1:150814fecb6:549	Membership
7b93e6a1:150814fecb6:16c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	EthnicGroup
7b93e6a1:150814fecb6:1cf8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	City
7b93e6a1:150814fecb6:1622	Membership
7b93e6a1:150814fecb6:-638	Border
7b93e6a1:150814fecb6:2097	Membership
7b93e6a1:150814fecb6:1c54	Membership
7b93e6a1:150814fecb6:4f5	Membership
7b93e6a1:150814fecb6:1882	Membership
http://www.semwebtech.org/mondial/10/continent/Europe/	Continent
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	City
7b93e6a1:150814fecb6:451	Membership
7b93e6a1:150814fecb6:-5e4	Border
7b93e6a1:150814fecb6:118d	Membership
7b93e6a1:150814fecb6:a83	Membership
7b93e6a1:150814fecb6:-5c	Membership
7b93e6a1:150814fecb6:-540	Membership
7b93e6a1:150814fecb6:23d7	BelievedBy
7b93e6a1:150814fecb6:e17	Membership
http://www.semwebtech.org/mondial/10/organization/UNSC/	Organization
7b93e6a1:150814fecb6:2333	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Province
7b93e6a1:150814fecb6:14cd	Membership
7b93e6a1:150814fecb6:2593	EthnicProportion
7b93e6a1:150814fecb6:dc3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	City
7b93e6a1:150814fecb6:1aff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	City
7b93e6a1:150814fecb6:-43f	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	Mountain
7b93e6a1:150814fecb6:26	Membership
7b93e6a1:150814fecb6:9f1	Membership
7b93e6a1:150814fecb6:1a5b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	City
7b93e6a1:150814fecb6:2fc	Membership
7b93e6a1:150814fecb6:-69f	Border
7b93e6a1:150814fecb6:-3eb	Membership
7b93e6a1:150814fecb6:1349	Membership
7b93e6a1:150814fecb6:21de	SpokenBy
7b93e6a1:150814fecb6:c1e	Membership
7b93e6a1:150814fecb6:213a	SpokenBy
7b93e6a1:150814fecb6:84c	Membership
7b93e6a1:150814fecb6:e7e	Membership
7b93e6a1:150814fecb6:1ffb	Membership
7b93e6a1:150814fecb6:178	Membership
7b93e6a1:150814fecb6:12f5	Membership
7b93e6a1:150814fecb6:239a	BelievedBy
7b93e6a1:150814fecb6:bca	Membership
7b93e6a1:150814fecb6:1251	Membership
7b93e6a1:150814fecb6:-267	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	City
http://www.semwebtech.org/mondial/10/estuary/Iller/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	City
7b93e6a1:150814fecb6:1c17	Membership
7b93e6a1:150814fecb6:18e9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	City
7b93e6a1:150814fecb6:8d	Membership
7b93e6a1:150814fecb6:5e3	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	City
7b93e6a1:150814fecb6:4b8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	EthnicGroup
7b93e6a1:150814fecb6:1845	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	City
7b93e6a1:150814fecb6:414	Membership
7b93e6a1:150814fecb6:1e77	Membership
7b93e6a1:150814fecb6:-5a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Province
http://www.semwebtech.org/mondial/10/island/Hainan/	Island
7b93e6a1:150814fecb6:a46	Membership
7b93e6a1:150814fecb6:1bc3	Membership
7b93e6a1:150814fecb6:-1f	Membership
7b93e6a1:150814fecb6:-503	Membership
http://www.semwebtech.org/mondial/10/island/Sicilia/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	City
7b93e6a1:150814fecb6:674	Membership
7b93e6a1:150814fecb6:17f1	Membership
7b93e6a1:150814fecb6:3c0	Membership
7b93e6a1:150814fecb6:-763	Encompassed
7b93e6a1:150814fecb6:10fc	Membership
http://www.semwebtech.org/mondial/10/island/Samos/	Island
7b93e6a1:150814fecb6:2556	EthnicProportion
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	City
7b93e6a1:150814fecb6:22a2	BelievedBy
7b93e6a1:150814fecb6:9b4	Membership
7b93e6a1:150814fecb6:1a1e	Membership
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Islands
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	City
7b93e6a1:150814fecb6:fe6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Province
7b93e6a1:150814fecb6:910	Membership
7b93e6a1:150814fecb6:2bf	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	City
7b93e6a1:150814fecb6:164c	Membership
7b93e6a1:150814fecb6:f42	Membership
7b93e6a1:150814fecb6:1c7e	Membership
7b93e6a1:150814fecb6:21b	Membership
7b93e6a1:150814fecb6:-3ae	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	City
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	Mountain
http://www.semwebtech.org/mondial/10/island/Gomera/	Island
7b93e6a1:150814fecb6:-30a	Membership
http://www.semwebtech.org/mondial/10/desert/Ordos/	Desert
7b93e6a1:150814fecb6:47b	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	City
7b93e6a1:150814fecb6:80f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Province
7b93e6a1:150814fecb6:-56a	Membership
7b93e6a1:150814fecb6:1fbe	Membership
7b93e6a1:150814fecb6:235d	BelievedBy
7b93e6a1:150814fecb6:12b8	Membership
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	City
7b93e6a1:150814fecb6:1f1a	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Religion
7b93e6a1:150814fecb6:1214	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	EthnicGroup
7b93e6a1:150814fecb6:7bb	Membership
7b93e6a1:150814fecb6:ded	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Province
7b93e6a1:150814fecb6:1474	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Province
7b93e6a1:150814fecb6:1808	Membership
7b93e6a1:150814fecb6:11c0	Membership
7b93e6a1:150814fecb6:-1d6	Membership
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mountains
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	City
7b93e6a1:150814fecb6:-132	Membership
7b93e6a1:150814fecb6:a09	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	City
7b93e6a1:150814fecb6:637	Membership
7b93e6a1:150814fecb6:17b4	Membership
7b93e6a1:150814fecb6:-392	Membership
7b93e6a1:150814fecb6:1de6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	City
7b93e6a1:150814fecb6:c69	Membership
7b93e6a1:150814fecb6:1710	Membership
7b93e6a1:150814fecb6:10bf	Membership
7b93e6a1:150814fecb6:-726	Encompassed
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	City
7b93e6a1:150814fecb6:2185	SpokenBy
7b93e6a1:150814fecb6:897	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Province
7b93e6a1:150814fecb6:1d42	Membership
7b93e6a1:150814fecb6:101b	Membership
7b93e6a1:150814fecb6:2519	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	City
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	Source
7b93e6a1:150814fecb6:1970	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	City
7b93e6a1:150814fecb6:-6d2	Border
7b93e6a1:150814fecb6:127b	Membership
7b93e6a1:150814fecb6:fa9	Membership
7b93e6a1:150814fecb6:b71	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	City
7b93e6a1:150814fecb6:160f	Membership
7b93e6a1:150814fecb6:24c5	EthnicProportion
7b93e6a1:150814fecb6:f05	Membership
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Island
7b93e6a1:150814fecb6:2421	BelievedBy
7b93e6a1:150814fecb6:186f	Membership
7b93e6a1:150814fecb6:43e	Membership
7b93e6a1:150814fecb6:15bb	Membership
7b93e6a1:150814fecb6:2681	EthnicProportion
7b93e6a1:150814fecb6:eb1	Membership
7b93e6a1:150814fecb6:1bed	Membership
7b93e6a1:150814fecb6:-52d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	City
7b93e6a1:150814fecb6:69e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	City
http://www.semwebtech.org/mondial/10/river/Busira/	Water
7b93e6a1:150814fecb6:3ea	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	City
7b93e6a1:150814fecb6:-78d	Encompassed
7b93e6a1:150814fecb6:c0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	City
7b93e6a1:150814fecb6:22cc	BelievedBy
7b93e6a1:150814fecb6:1437	Membership
7b93e6a1:150814fecb6:d0c	Membership
http://www.semwebtech.org/mondial/10/organization/ICJ/	Organization
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	City
7b93e6a1:150814fecb6:9de	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	City
7b93e6a1:150814fecb6:1a69	Membership
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	Source
7b93e6a1:150814fecb6:93a	Membership
7b93e6a1:150814fecb6:1697	Membership
http://www.semwebtech.org/mondial/10/island/Anguilla/	Island
http://www.semwebtech.org/mondial/10/mountain/Pico/	Mountain
7b93e6a1:150814fecb6:f6c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	City
7b93e6a1:150814fecb6:266	Membership
7b93e6a1:150814fecb6:13e3	Membership
7b93e6a1:150814fecb6:-3f9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	City
7b93e6a1:150814fecb6:-355	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	City
7b93e6a1:150814fecb6:1da9	Membership
7b93e6a1:150814fecb6:2148	SpokenBy
7b93e6a1:150814fecb6:1d05	Membership
7b93e6a1:150814fecb6:19d7	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Province
http://www.semwebtech.org/mondial/10/source/Glomma/	Source
7b93e6a1:150814fecb6:d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	City
7b93e6a1:150814fecb6:5a6	Membership
7b93e6a1:150814fecb6:1933	Membership
7b93e6a1:150814fecb6:bd8	Membership
7b93e6a1:150814fecb6:502	Membership
7b93e6a1:150814fecb6:1f65	Membership
7b93e6a1:150814fecb6:123e	Membership
7b93e6a1:150814fecb6:20f4	Membership
http://www.semwebtech.org/mondial/10/river/Kama/	Water
7b93e6a1:150814fecb6:b34	Membership
7b93e6a1:150814fecb6:1cb1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	City
7b93e6a1:150814fecb6:2050	Membership
7b93e6a1:150814fecb6:762	Membership
7b93e6a1:150814fecb6:149e	Membership
7b93e6a1:150814fecb6:d94	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	City
7b93e6a1:150814fecb6:11ea	Membership
7b93e6a1:150814fecb6:ae0	Membership
7b93e6a1:150814fecb6:-15c	Membership
7b93e6a1:150814fecb6:2644	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	City
7b93e6a1:150814fecb6:1b0c	Membership
7b93e6a1:150814fecb6:17de	Membership
7b93e6a1:150814fecb6:3ad	Membership
7b93e6a1:150814fecb6:173a	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	City
7b93e6a1:150814fecb6:25f0	EthnicProportion
7b93e6a1:150814fecb6:1d6c	Membership
7b93e6a1:150814fecb6:1066	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Province
7b93e6a1:150814fecb6:199a	Membership
7b93e6a1:150814fecb6:16f4	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	City
7b93e6a1:150814fecb6:-6fc	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Province
http://www.semwebtech.org/mondial/10/language/German/	Language
7b93e6a1:150814fecb6:b9b	Membership
7b93e6a1:150814fecb6:24ef	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	City
http://www.semwebtech.org/mondial/10/river/WesternMorava/	Water
7b93e6a1:150814fecb6:f2f	Membership
7b93e6a1:150814fecb6:229	Membership
7b93e6a1:150814fecb6:13a6	Membership
7b93e6a1:150814fecb6:244b	BelievedBy
7b93e6a1:150814fecb6:1302	Membership
7b93e6a1:150814fecb6:-318	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Province
7b93e6a1:150814fecb6:489	Membership
http://www.semwebtech.org/mondial/10/country/B/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Province
7b93e6a1:150814fecb6:edb	Membership
7b93e6a1:150814fecb6:1d5	Membership
7b93e6a1:150814fecb6:1562	Membership
7b93e6a1:150814fecb6:-578	Membership
http://www.semwebtech.org/mondial/10/island/Nevis/	Island
7b93e6a1:150814fecb6:131	Membership
7b93e6a1:150814fecb6:1b94	Membership
7b93e6a1:150814fecb6:-2c4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	City
7b93e6a1:150814fecb6:1f28	Membership
http://www.semwebtech.org/mondial/10/source/Dnepr/	Source
7b93e6a1:150814fecb6:-220	Membership
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	Water
7b93e6a1:150814fecb6:20b7	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	City
7b93e6a1:150814fecb6:7c9	Membership
7b93e6a1:150814fecb6:391	Membership
http://www.semwebtech.org/mondial/10/organization/SACEP/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	City
7b93e6a1:150814fecb6:2013	Membership
7b93e6a1:150814fecb6:ea	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	City
7b93e6a1:150814fecb6:725	Membership
7b93e6a1:150814fecb6:18a2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	City
7b93e6a1:150814fecb6:-480	Membership
7b93e6a1:150814fecb6:2273	BelievedBy
7b93e6a1:150814fecb6:d57	Membership
7b93e6a1:150814fecb6:1ed4	Membership
7b93e6a1:150814fecb6:11ad	Membership
7b93e6a1:150814fecb6:-814	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	City
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Province
7b93e6a1:150814fecb6:aa3	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	City
7b93e6a1:150814fecb6:985	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	City
7b93e6a1:150814fecb6:1e30	Membership
7b93e6a1:150814fecb6:-11f	Membership
7b93e6a1:150814fecb6:2607	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	City
7b93e6a1:150814fecb6:6d1	Membership
7b93e6a1:150814fecb6:-7c0	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	City
http://www.semwebtech.org/mondial/10/country/GNB/	Country
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	City
7b93e6a1:150814fecb6:-37f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	City
7b93e6a1:150814fecb6:25b3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Mohilla/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	City
7b93e6a1:150814fecb6:1d2f	Membership
7b93e6a1:150814fecb6:1029	Membership
7b93e6a1:150814fecb6:195d	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	City
http://www.semwebtech.org/mondial/10/island/Samar/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Province
7b93e6a1:150814fecb6:1f8f	Membership
7b93e6a1:150814fecb6:52c	Membership
7b93e6a1:150814fecb6:1289	Membership
7b93e6a1:150814fecb6:-6bf	Border
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	City
7b93e6a1:150814fecb6:b5e	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	EthnicGroup
7b93e6a1:150814fecb6:1cdb	Membership
7b93e6a1:150814fecb6:-61b	Border
7b93e6a1:150814fecb6:207a	Membership
7b93e6a1:150814fecb6:78c	Membership
7b93e6a1:150814fecb6:240e	BelievedBy
http://www.semwebtech.org/mondial/10/river/Dalaelv/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Province
http://www.semwebtech.org/mondial/10/river/Lualaba/	Water
7b93e6a1:150814fecb6:15c9	Membership
7b93e6a1:150814fecb6:1191	Membership
7b93e6a1:150814fecb6:266e	EthnicProportion
7b93e6a1:150814fecb6:-60	Membership
7b93e6a1:150814fecb6:1525	Membership
7b93e6a1:150814fecb6:23ba	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Province
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Province
7b93e6a1:150814fecb6:1b57	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	City
http://www.semwebtech.org/mondial/10/river/Hwangho/	Water
7b93e6a1:150814fecb6:3f8	Membership
7b93e6a1:150814fecb6:1785	Membership
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Organization
7b93e6a1:150814fecb6:354	Membership
7b93e6a1:150814fecb6:14d1	Membership
7b93e6a1:150814fecb6:-4e7	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Province
7b93e6a1:150814fecb6:ad	Membership
7b93e6a1:150814fecb6:-443	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Province
7b93e6a1:150814fecb6:2236	BelievedBy
http://www.semwebtech.org/mondial/10/source/RioMadeira/	Source
7b93e6a1:150814fecb6:948	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Province
7b93e6a1:150814fecb6:2496	EthnicProportion
7b93e6a1:150814fecb6:cc6	Membership
7b93e6a1:150814fecb6:132c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	City
7b93e6a1:150814fecb6:21e2	SpokenBy
7b93e6a1:150814fecb6:c22	Membership
7b93e6a1:150814fecb6:8f4	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	City
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	City
7b93e6a1:150814fecb6:850	Membership
7b93e6a1:150814fecb6:1ff	Membership
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	Mountain
7b93e6a1:150814fecb6:158c	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	City
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Water
7b93e6a1:150814fecb6:e82	Membership
7b93e6a1:150814fecb6:15b	Membership
7b93e6a1:150814fecb6:-2ee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	City
http://www.semwebtech.org/mondial/10/organization/UNHCR/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	City
7b93e6a1:150814fecb6:-24a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	City
7b93e6a1:150814fecb6:203d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	City
7b93e6a1:150814fecb6:74f	Membership
7b93e6a1:150814fecb6:18cc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Province
http://www.semwebtech.org/mondial/10/country/MYA/	Country
7b93e6a1:150814fecb6:91	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Province
7b93e6a1:150814fecb6:1efe	Membership
7b93e6a1:150814fecb6:11f8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	City
7b93e6a1:150814fecb6:229d	BelievedBy
7b93e6a1:150814fecb6:1e5a	Membership
7b93e6a1:150814fecb6:acd	Membership
7b93e6a1:150814fecb6:1154	Membership
7b93e6a1:150814fecb6:-c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	City
7b93e6a1:150814fecb6:6fb	Membership
7b93e6a1:150814fecb6:-23	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	City
7b93e6a1:150814fecb6:-7ea	Encompassed
http://www.semwebtech.org/mondial/10/desert/Trarza/	Desert
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Province
7b93e6a1:150814fecb6:1748	Membership
7b93e6a1:150814fecb6:25dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Province
http://www.semwebtech.org/mondial/10/source/Arkansas/	Source
7b93e6a1:150814fecb6:317	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	City
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Province
7b93e6a1:150814fecb6:1ac6	Membership
7b93e6a1:150814fecb6:-406	Membership
http://www.semwebtech.org/mondial/10/source/Ucayali/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	EthnicGroup
7b93e6a1:150814fecb6:577	Membership
7b93e6a1:150814fecb6:1a22	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	City
7b93e6a1:150814fecb6:2c3	Membership
7b93e6a1:150814fecb6:1650	Membership
7b93e6a1:150814fecb6:-666	Border
7b93e6a1:150814fecb6:1c82	Membership
7b93e6a1:150814fecb6:-3b2	Membership
7b93e6a1:150814fecb6:2459	EthnicProportion
7b93e6a1:150814fecb6:21a5	SpokenBy
7b93e6a1:150814fecb6:8b7	Membership
7b93e6a1:150814fecb6:2101	Membership
7b93e6a1:150814fecb6:ee9	Membership
7b93e6a1:150814fecb6:813	Membership
7b93e6a1:150814fecb6:154f	Membership
7b93e6a1:150814fecb6:-8a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	City
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Island
7b93e6a1:150814fecb6:e45	Membership
7b93e6a1:150814fecb6:1fc2	Membership
7b93e6a1:150814fecb6:11e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	City
7b93e6a1:150814fecb6:2361	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	City
7b93e6a1:150814fecb6:-20d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	City
7b93e6a1:150814fecb6:37e	Membership
7b93e6a1:150814fecb6:14fb	Membership
7b93e6a1:150814fecb6:f8	Membership
7b93e6a1:150814fecb6:df1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Province
7b93e6a1:150814fecb6:-46d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	City
7b93e6a1:150814fecb6:54	Membership
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	Mountain
7b93e6a1:150814fecb6:26a1	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Jewish/	Religion
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Province
7b93e6a1:150814fecb6:1e1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	City
7b93e6a1:150814fecb6:1117	Membership
7b93e6a1:150814fecb6:6be	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	City
http://www.semwebtech.org/mondial/10/estuary/Donau/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	City
7b93e6a1:150814fecb6:61a	Membership
7b93e6a1:150814fecb6:-7ad	Encompassed
7b93e6a1:150814fecb6:1377	Membership
7b93e6a1:150814fecb6:c4c	Membership
http://www.semwebtech.org/mondial/10/river/March/	Water
7b93e6a1:150814fecb6:10c3	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	City
http://www.semwebtech.org/mondial/10/country/LT/	Country
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	City
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	City
7b93e6a1:150814fecb6:87a	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Province
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	City
http://www.semwebtech.org/mondial/10/river/Lech/	Water
http://www.semwebtech.org/mondial/10/country/NZ/	Country
7b93e6a1:150814fecb6:16b7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	City
7b93e6a1:150814fecb6:-295	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	EthnicGroup
7b93e6a1:150814fecb6:1ce9	Membership
7b93e6a1:150814fecb6:1613	Membership
7b93e6a1:150814fecb6:-629	Border
7b93e6a1:150814fecb6:2088	Membership
7b93e6a1:150814fecb6:1c45	Membership
7b93e6a1:150814fecb6:4e6	Membership
7b93e6a1:150814fecb6:1873	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	City
7b93e6a1:150814fecb6:442	Membership
7b93e6a1:150814fecb6:-5d5	Membership
7b93e6a1:150814fecb6:117e	Membership
7b93e6a1:150814fecb6:a74	Membership
7b93e6a1:150814fecb6:1bf1	Membership
7b93e6a1:150814fecb6:-4d	Membership
7b93e6a1:150814fecb6:-531	Membership
7b93e6a1:150814fecb6:23c8	BelievedBy
7b93e6a1:150814fecb6:e08	Membership
7b93e6a1:150814fecb6:2324	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	City
7b93e6a1:150814fecb6:-791	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	City
http://www.semwebtech.org/mondial/10/country/WS/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	City
7b93e6a1:150814fecb6:14be	Membership
7b93e6a1:150814fecb6:2584	EthnicProportion
7b93e6a1:150814fecb6:db4	Membership
7b93e6a1:150814fecb6:22d0	BelievedBy
7b93e6a1:150814fecb6:141a	Membership
7b93e6a1:150814fecb6:d10	Membership
7b93e6a1:150814fecb6:17	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Province
7b93e6a1:150814fecb6:9e2	Membership
7b93e6a1:150814fecb6:1a4c	Membership
7b93e6a1:150814fecb6:167a	Membership
7b93e6a1:150814fecb6:2ed	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	City
7b93e6a1:150814fecb6:f70	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Province
7b93e6a1:150814fecb6:-3dc	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Province
7b93e6a1:150814fecb6:21cf	SpokenBy
7b93e6a1:150814fecb6:c0f	Membership
7b93e6a1:150814fecb6:212b	SpokenBy
7b93e6a1:150814fecb6:83d	Membership
7b93e6a1:150814fecb6:19ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	City
7b93e6a1:150814fecb6:e6f	Membership
7b93e6a1:150814fecb6:1fec	Membership
7b93e6a1:150814fecb6:169	Membership
7b93e6a1:150814fecb6:12e6	Membership
7b93e6a1:150814fecb6:238b	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	EthnicGroup
7b93e6a1:150814fecb6:bbb	Membership
7b93e6a1:150814fecb6:1242	Membership
7b93e6a1:150814fecb6:-258	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	City
http://www.semwebtech.org/mondial/10/country/GBG/	Country
7b93e6a1:150814fecb6:1c08	Membership
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Province
7b93e6a1:150814fecb6:7e	Membership
7b93e6a1:150814fecb6:4a9	Membership
7b93e6a1:150814fecb6:1836	Membership
7b93e6a1:150814fecb6:405	Membership
7b93e6a1:150814fecb6:1e68	Membership
7b93e6a1:150814fecb6:-160	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	City
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	Source
7b93e6a1:150814fecb6:a37	Membership
7b93e6a1:150814fecb6:1bb4	Membership
7b93e6a1:150814fecb6:1b10	Membership
7b93e6a1:150814fecb6:665	Membership
7b93e6a1:150814fecb6:17e2	Membership
7b93e6a1:150814fecb6:-7f8	Encompassed
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	Estuary
7b93e6a1:150814fecb6:c97	Membership
7b93e6a1:150814fecb6:3b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Cuango/	Estuary
7b93e6a1:150814fecb6:-754	Encompassed
7b93e6a1:150814fecb6:10ed	Membership
http://www.semwebtech.org/mondial/10/language/Kazakh/	Language
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	City
7b93e6a1:150814fecb6:1d70	Membership
7b93e6a1:150814fecb6:-4a0	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	City
7b93e6a1:150814fecb6:2547	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	City
7b93e6a1:150814fecb6:9a5	Membership
7b93e6a1:150814fecb6:1a0f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	City
7b93e6a1:150814fecb6:fd7	Membership
7b93e6a1:150814fecb6:901	Membership
7b93e6a1:150814fecb6:163d	Membership
7b93e6a1:150814fecb6:24f3	EthnicProportion
7b93e6a1:150814fecb6:f33	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	City
7b93e6a1:150814fecb6:20c	Membership
7b93e6a1:150814fecb6:1c6f	Membership
7b93e6a1:150814fecb6:189d	Membership
7b93e6a1:150814fecb6:46c	Membership
http://www.semwebtech.org/mondial/10/source/Morava/	Source
7b93e6a1:150814fecb6:-5ff	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	City
7b93e6a1:150814fecb6:a9e	Membership
7b93e6a1:150814fecb6:-98	Membership
7b93e6a1:150814fecb6:-55b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	City
7b93e6a1:150814fecb6:1faf	Membership
7b93e6a1:150814fecb6:12a9	Membership
7b93e6a1:150814fecb6:234e	BelievedBy
http://www.semwebtech.org/mondial/10/organization/UNWTO/	Organization
7b93e6a1:150814fecb6:1f0b	Membership
7b93e6a1:150814fecb6:1205	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	City
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	EthnicGroup
7b93e6a1:150814fecb6:7ac	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	City
7b93e6a1:150814fecb6:dde	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Province
7b93e6a1:150814fecb6:1465	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	City
7b93e6a1:150814fecb6:22fa	BelievedBy
7b93e6a1:150814fecb6:d3a	Membership
7b93e6a1:150814fecb6:1a97	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	City
7b93e6a1:150814fecb6:11b1	Membership
7b93e6a1:150814fecb6:-1c7	Membership
7b93e6a1:150814fecb6:-123	Membership
7b93e6a1:150814fecb6:f9a	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Province
http://www.semwebtech.org/mondial/10/river/Murat/	Water
7b93e6a1:150814fecb6:294	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	City
7b93e6a1:150814fecb6:628	Membership
7b93e6a1:150814fecb6:17a5	Membership
7b93e6a1:150814fecb6:-383	Membership
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Islands
7b93e6a1:150814fecb6:1dd7	Membership
7b93e6a1:150814fecb6:1701	Membership
7b93e6a1:150814fecb6:-717	Border
7b93e6a1:150814fecb6:2176	SpokenBy
7b93e6a1:150814fecb6:888	Membership
7b93e6a1:150814fecb6:1d33	Membership
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	City
7b93e6a1:150814fecb6:100c	Membership
7b93e6a1:150814fecb6:5d4	Membership
7b93e6a1:150814fecb6:1961	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Province
7b93e6a1:150814fecb6:1f93	Membership
7b93e6a1:150814fecb6:530	Membership
7b93e6a1:150814fecb6:126c	Membership
7b93e6a1:150814fecb6:-6c3	Border
http://www.semwebtech.org/mondial/10/country/RSM/	Country
7b93e6a1:150814fecb6:b62	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	City
7b93e6a1:150814fecb6:24b6	EthnicProportion
7b93e6a1:150814fecb6:790	Membership
7b93e6a1:150814fecb6:2412	BelievedBy
7b93e6a1:150814fecb6:42f	Membership
7b93e6a1:150814fecb6:15ac	Membership
7b93e6a1:150814fecb6:-18a	Membership
7b93e6a1:150814fecb6:2672	EthnicProportion
7b93e6a1:150814fecb6:ea2	Membership
7b93e6a1:150814fecb6:1bde	Membership
7b93e6a1:150814fecb6:-51e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	EthnicGroup
7b93e6a1:150814fecb6:68f	Membership
http://www.semwebtech.org/mondial/10/estuary/Volta/	Estuary
7b93e6a1:150814fecb6:1b3a	Membership
7b93e6a1:150814fecb6:3db	Membership
7b93e6a1:150814fecb6:-77e	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Province
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	City
http://www.semwebtech.org/mondial/10/source/Narva/	Source
7b93e6a1:150814fecb6:1d9a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Province
7b93e6a1:150814fecb6:-4ca	Membership
7b93e6a1:150814fecb6:1094	Membership
7b93e6a1:150814fecb6:b1	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	City
7b93e6a1:150814fecb6:1428	Membership
http://www.semwebtech.org/mondial/10/river/YukonRiver/	Water
7b93e6a1:150814fecb6:22bd	BelievedBy
http://www.semwebtech.org/mondial/10/island/Sardegna/	Island
7b93e6a1:150814fecb6:9cf	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	City
7b93e6a1:150814fecb6:92b	Membership
http://www.semwebtech.org/mondial/10/river/Chatanga/	Water
7b93e6a1:150814fecb6:1688	Membership
7b93e6a1:150814fecb6:f5d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	City
7b93e6a1:150814fecb6:257	Membership
7b93e6a1:150814fecb6:13d4	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	City
7b93e6a1:150814fecb6:1330	Membership
7b93e6a1:150814fecb6:-346	Membership
7b93e6a1:150814fecb6:2139	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	City
7b93e6a1:150814fecb6:19c8	Membership
7b93e6a1:150814fecb6:1590	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:1924	Membership
7b93e6a1:150814fecb6:-2f2	Membership
7b93e6a1:150814fecb6:2399	BelievedBy
7b93e6a1:150814fecb6:bc9	Membership
7b93e6a1:150814fecb6:1f56	Membership
7b93e6a1:150814fecb6:122f	Membership
7b93e6a1:150814fecb6:20e5	Membership
7b93e6a1:150814fecb6:b25	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	City
7b93e6a1:150814fecb6:7f7	Membership
7b93e6a1:150814fecb6:1ca2	Membership
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	City
7b93e6a1:150814fecb6:2041	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	City
7b93e6a1:150814fecb6:753	Membership
7b93e6a1:150814fecb6:18d0	Membership
7b93e6a1:150814fecb6:148f	Membership
7b93e6a1:150814fecb6:d85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Province
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	Mountain
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	Source
7b93e6a1:150814fecb6:11db	Membership
http://www.semwebtech.org/mondial/10/source/Missouri/	Source
7b93e6a1:150814fecb6:ad1	Membership
7b93e6a1:150814fecb6:-aa	Membership
7b93e6a1:150814fecb6:-14d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	City
7b93e6a1:150814fecb6:2635	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	Province
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	Mountain
7b93e6a1:150814fecb6:17cf	Membership
7b93e6a1:150814fecb6:172b	Membership
7b93e6a1:150814fecb6:25e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	City
7b93e6a1:150814fecb6:1d5d	Membership
7b93e6a1:150814fecb6:1057	Membership
7b93e6a1:150814fecb6:5fe	Membership
7b93e6a1:150814fecb6:198b	Membership
http://www.semwebtech.org/mondial/10/country/IR/	Country
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Water
7b93e6a1:150814fecb6:55a	Membership
7b93e6a1:150814fecb6:-6ed	Border
http://www.semwebtech.org/mondial/10/country/SSD/	Country
7b93e6a1:150814fecb6:b8c	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	City
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	Water
7b93e6a1:150814fecb6:243c	BelievedBy
7b93e6a1:150814fecb6:-309	Membership
http://www.semwebtech.org/mondial/10/island/Panarea/	Island
7b93e6a1:150814fecb6:15f7	Membership
7b93e6a1:150814fecb6:269c	EthnicProportion
7b93e6a1:150814fecb6:ecc	Membership
7b93e6a1:150814fecb6:1553	Membership
7b93e6a1:150814fecb6:1c6	Membership
7b93e6a1:150814fecb6:-569	Membership
http://www.semwebtech.org/mondial/10/country/PE/	Country
http://www.semwebtech.org/mondial/10/language/Tongan/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	City
7b93e6a1:150814fecb6:122	Membership
7b93e6a1:150814fecb6:1b85	Membership
7b93e6a1:150814fecb6:-2b5	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Province
7b93e6a1:150814fecb6:1f19	Membership
7b93e6a1:150814fecb6:-211	Membership
7b93e6a1:150814fecb6:20a8	Membership
7b93e6a1:150814fecb6:382	Membership
7b93e6a1:150814fecb6:db	Membership
7b93e6a1:150814fecb6:2004	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	City
7b93e6a1:150814fecb6:716	Membership
http://www.semwebtech.org/mondial/10/island/Mindanao/	Island
7b93e6a1:150814fecb6:-471	Membership
7b93e6a1:150814fecb6:d48	Membership
7b93e6a1:150814fecb6:1ec5	Membership
7b93e6a1:150814fecb6:-805	Encompassed
7b93e6a1:150814fecb6:2264	BelievedBy
7b93e6a1:150814fecb6:976	Membership
7b93e6a1:150814fecb6:1e21	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	City
7b93e6a1:150814fecb6:6c2	Membership
7b93e6a1:150814fecb6:13fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	City
7b93e6a1:150814fecb6:cf4	Membership
7b93e6a1:150814fecb6:-7b1	Encompassed
7b93e6a1:150814fecb6:135a	Membership
7b93e6a1:150814fecb6:c50	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Province
7b93e6a1:150814fecb6:25a4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	EthnicGroup
7b93e6a1:150814fecb6:2500	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Island
7b93e6a1:150814fecb6:194e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	City
7b93e6a1:150814fecb6:51d	Membership
7b93e6a1:150814fecb6:b4f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	Province
7b93e6a1:150814fecb6:1ccc	Membership
7b93e6a1:150814fecb6:-60c	Border
7b93e6a1:150814fecb6:206b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	City
7b93e6a1:150814fecb6:77d	Membership
7b93e6a1:150814fecb6:18fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Province
7b93e6a1:150814fecb6:afb	Membership
7b93e6a1:150814fecb6:-f5	Membership
7b93e6a1:150814fecb6:1182	Membership
7b93e6a1:150814fecb6:-198	Membership
7b93e6a1:150814fecb6:265f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	City
7b93e6a1:150814fecb6:-51	Membership
7b93e6a1:150814fecb6:1516	Membership
7b93e6a1:150814fecb6:23ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	City
7b93e6a1:150814fecb6:1b48	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Province
7b93e6a1:150814fecb6:3e9	Membership
http://www.semwebtech.org/mondial/10/country/P/	Country
7b93e6a1:150814fecb6:1776	Membership
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Organization
7b93e6a1:150814fecb6:345	Membership
7b93e6a1:150814fecb6:14c2	Membership
7b93e6a1:150814fecb6:-4d8	Membership
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	Estuary
7b93e6a1:150814fecb6:1af4	Membership
7b93e6a1:150814fecb6:-434	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Province
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Water
7b93e6a1:150814fecb6:1a50	Membership
7b93e6a1:150814fecb6:2227	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	City
7b93e6a1:150814fecb6:939	Membership
7b93e6a1:150814fecb6:2f1	Membership
7b93e6a1:150814fecb6:-694	Border
7b93e6a1:150814fecb6:-3e0	Membership
7b93e6a1:150814fecb6:2487	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Mountains
7b93e6a1:150814fecb6:cb7	Membership
http://www.semwebtech.org/mondial/10/island/Jura/	Island
7b93e6a1:150814fecb6:131d	Membership
7b93e6a1:150814fecb6:21d3	SpokenBy
7b93e6a1:150814fecb6:c13	Membership
7b93e6a1:150814fecb6:8e5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	City
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	City
7b93e6a1:150814fecb6:841	Membership
http://www.semwebtech.org/mondial/10/source/Tajo/	Source
7b93e6a1:150814fecb6:157d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	City
http://www.semwebtech.org/mondial/10/river/Pruth/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	City
7b93e6a1:150814fecb6:e73	Membership
7b93e6a1:150814fecb6:1ff0	Membership
7b93e6a1:150814fecb6:14c	Membership
7b93e6a1:150814fecb6:-2df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	City
7b93e6a1:150814fecb6:-23b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Province
7b93e6a1:150814fecb6:202e	Membership
7b93e6a1:150814fecb6:18bd	Membership
7b93e6a1:150814fecb6:-49b	Membership
http://www.semwebtech.org/mondial/10/estuary/Reuss/	Estuary
7b93e6a1:150814fecb6:82	Membership
7b93e6a1:150814fecb6:1eef	Membership
7b93e6a1:150814fecb6:228e	BelievedBy
7b93e6a1:150814fecb6:11e9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Water
7b93e6a1:150814fecb6:1e4b	Membership
7b93e6a1:150814fecb6:abe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	City
7b93e6a1:150814fecb6:-b8	Membership
7b93e6a1:150814fecb6:1145	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	City
7b93e6a1:150814fecb6:a1a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Province
http://www.semwebtech.org/mondial/10/organization/WFTU/	Organization
7b93e6a1:150814fecb6:6ec	Membership
http://www.semwebtech.org/mondial/10/country/BEN/	Country
7b93e6a1:150814fecb6:-14	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	City
7b93e6a1:150814fecb6:-7db	Encompassed
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	City
7b93e6a1:150814fecb6:c7a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Province
7b93e6a1:150814fecb6:1739	Membership
7b93e6a1:150814fecb6:10f1	Membership
7b93e6a1:150814fecb6:25ce	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	Estuary
7b93e6a1:150814fecb6:308	Membership
http://www.semwebtech.org/mondial/10/religion/Anglican/	Religion
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Province
7b93e6a1:150814fecb6:252a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	City
7b93e6a1:150814fecb6:1ab7	Membership
7b93e6a1:150814fecb6:1999	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	City
7b93e6a1:150814fecb6:568	Membership
7b93e6a1:150814fecb6:1a13	Membership
7b93e6a1:150814fecb6:16e5	Membership
7b93e6a1:150814fecb6:fba	Membership
7b93e6a1:150814fecb6:2b4	Membership
7b93e6a1:150814fecb6:1641	Membership
7b93e6a1:150814fecb6:-657	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	City
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	City
http://www.semwebtech.org/mondial/10/source/Volga/	Source
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	Mountain
7b93e6a1:150814fecb6:210	Membership
7b93e6a1:150814fecb6:1c73	Membership
7b93e6a1:150814fecb6:-3a3	Membership
7b93e6a1:150814fecb6:8a8	Membership
7b93e6a1:150814fecb6:470	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Province
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Island
7b93e6a1:150814fecb6:804	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	City
7b93e6a1:150814fecb6:-7b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	City
7b93e6a1:150814fecb6:23f6	BelievedBy
7b93e6a1:150814fecb6:e36	Membership
7b93e6a1:150814fecb6:1fb3	Membership
7b93e6a1:150814fecb6:10f	Membership
7b93e6a1:150814fecb6:2352	BelievedBy
7b93e6a1:150814fecb6:7b0	Membership
7b93e6a1:150814fecb6:36f	Membership
7b93e6a1:150814fecb6:14ec	Membership
7b93e6a1:150814fecb6:e9	Membership
7b93e6a1:150814fecb6:de2	Membership
7b93e6a1:150814fecb6:-45e	Membership
7b93e6a1:150814fecb6:45	Membership
7b93e6a1:150814fecb6:1a7a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Province
7b93e6a1:150814fecb6:-1aa	Membership
7b93e6a1:150814fecb6:1e0e	Membership
7b93e6a1:150814fecb6:1108	Membership
http://www.semwebtech.org/mondial/10/country/WEST/	Country
7b93e6a1:150814fecb6:6af	Membership
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	City
7b93e6a1:150814fecb6:60b	Membership
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	Estuary
7b93e6a1:150814fecb6:1368	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	City
7b93e6a1:150814fecb6:21fd	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	Mountain
7b93e6a1:150814fecb6:c3d	Membership
7b93e6a1:150814fecb6:1dba	Membership
7b93e6a1:150814fecb6:10b4	Membership
7b93e6a1:150814fecb6:86b	Membership
7b93e6a1:150814fecb6:1010	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Province
7b93e6a1:150814fecb6:e9d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	City
7b93e6a1:150814fecb6:197	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	City
7b93e6a1:150814fecb6:16a8	Membership
7b93e6a1:150814fecb6:1270	Membership
7b93e6a1:150814fecb6:-286	Membership
7b93e6a1:150814fecb6:1604	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Province
7b93e6a1:150814fecb6:2079	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	EthnicGroup
7b93e6a1:150814fecb6:1c36	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	City
7b93e6a1:150814fecb6:4d7	Membership
7b93e6a1:150814fecb6:1864	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	City
7b93e6a1:150814fecb6:1e96	Membership
7b93e6a1:150814fecb6:433	Membership
7b93e6a1:150814fecb6:15b0	Membership
7b93e6a1:150814fecb6:-5c6	Membership
7b93e6a1:150814fecb6:116f	Membership
http://www.semwebtech.org/mondial/10/language/Urdu/	Language
http://www.semwebtech.org/mondial/10/estuary/Thames/	Estuary
7b93e6a1:150814fecb6:a65	Membership
7b93e6a1:150814fecb6:1be2	Membership
7b93e6a1:150814fecb6:-3e	Membership
7b93e6a1:150814fecb6:-522	Membership
7b93e6a1:150814fecb6:23b9	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	City
7b93e6a1:150814fecb6:693	Membership
7b93e6a1:150814fecb6:2315	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Province
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Desert
7b93e6a1:150814fecb6:-782	Encompassed
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	City
http://www.semwebtech.org/mondial/10/country/BD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	EthnicGroup
7b93e6a1:150814fecb6:14af	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	City
7b93e6a1:150814fecb6:2575	EthnicProportion
7b93e6a1:150814fecb6:da5	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Province
http://www.semwebtech.org/mondial/10/river/Cuango/	Water
7b93e6a1:150814fecb6:140b	Membership
7b93e6a1:150814fecb6:22c1	BelievedBy
7b93e6a1:150814fecb6:d01	Membership
7b93e6a1:150814fecb6:9d3	Membership
7b93e6a1:150814fecb6:1a3d	Membership
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	City
7b93e6a1:150814fecb6:2de	Membership
7b93e6a1:150814fecb6:166b	Membership
7b93e6a1:150814fecb6:f61	Membership
7b93e6a1:150814fecb6:23a	Membership
7b93e6a1:150814fecb6:1c9d	Membership
7b93e6a1:150814fecb6:-3cd	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	City
7b93e6a1:150814fecb6:49a	Membership
7b93e6a1:150814fecb6:211c	SpokenBy
7b93e6a1:150814fecb6:82e	Membership
7b93e6a1:150814fecb6:19ab	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	Mountain
http://www.semwebtech.org/mondial/10/islands/Madeira/	Islands
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	City
7b93e6a1:150814fecb6:2	Membership
7b93e6a1:150814fecb6:1fdd	Membership
7b93e6a1:150814fecb6:12d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	EthnicGroup
7b93e6a1:150814fecb6:237c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Religion
7b93e6a1:150814fecb6:bac	Membership
7b93e6a1:150814fecb6:1233	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	City
http://www.semwebtech.org/mondial/10/country/MC/	Country
7b93e6a1:150814fecb6:-249	Membership
7b93e6a1:150814fecb6:7da	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	City
7b93e6a1:150814fecb6:1493	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	Mountain
7b93e6a1:150814fecb6:6f	Membership
7b93e6a1:150814fecb6:1827	Membership
7b93e6a1:150814fecb6:-1f5	Membership
7b93e6a1:150814fecb6:26bc	EthnicProportion
7b93e6a1:150814fecb6:1e59	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	City
7b93e6a1:150814fecb6:-151	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Province
7b93e6a1:150814fecb6:a28	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	EthnicGroup
7b93e6a1:150814fecb6:1ba5	Membership
7b93e6a1:150814fecb6:1b01	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	City
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	City
7b93e6a1:150814fecb6:656	Membership
7b93e6a1:150814fecb6:17d3	Membership
7b93e6a1:150814fecb6:-7e9	Encompassed
7b93e6a1:150814fecb6:c88	Membership
7b93e6a1:150814fecb6:3a2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	EthnicGroup
7b93e6a1:150814fecb6:-745	Encompassed
7b93e6a1:150814fecb6:10de	Membership
7b93e6a1:150814fecb6:2538	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	City
http://www.semwebtech.org/mondial/10/island/Fuenen/	Island
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Province
7b93e6a1:150814fecb6:1d61	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Water
7b93e6a1:150814fecb6:103a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	City
7b93e6a1:150814fecb6:14f0	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Province
http://www.semwebtech.org/mondial/10/island/Syros/	Island
http://www.semwebtech.org/mondial/10/river/Dnister/	Water
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Water
7b93e6a1:150814fecb6:-6f1	Border
7b93e6a1:150814fecb6:129a	Membership
7b93e6a1:150814fecb6:fc8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	City
7b93e6a1:150814fecb6:b90	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	City
7b93e6a1:150814fecb6:162e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	City
7b93e6a1:150814fecb6:24e4	EthnicProportion
7b93e6a1:150814fecb6:f24	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	City
http://www.semwebtech.org/mondial/10/estuary/Ene/	Estuary
7b93e6a1:150814fecb6:2440	BelievedBy
http://www.semwebtech.org/mondial/10/river/WhiteNile/	Water
7b93e6a1:150814fecb6:188e	Membership
http://www.semwebtech.org/mondial/10/island/Majuro/	Island
7b93e6a1:150814fecb6:45d	Membership
7b93e6a1:150814fecb6:15da	Membership
7b93e6a1:150814fecb6:ed0	Membership
7b93e6a1:150814fecb6:a8f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	City
7b93e6a1:150814fecb6:-89	Membership
7b93e6a1:150814fecb6:-54c	Membership
http://www.semwebtech.org/mondial/10/language/Turkish/	Language
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	City
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	Estuary
7b93e6a1:150814fecb6:233f	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	City
7b93e6a1:150814fecb6:259f	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	EthnicGroup
7b93e6a1:150814fecb6:dcf	Membership
7b93e6a1:150814fecb6:22eb	BelievedBy
http://www.semwebtech.org/mondial/10/source/Araguaia/	Source
http://www.semwebtech.org/mondial/10/source/Angara/	Source
7b93e6a1:150814fecb6:1456	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	City
http://www.semwebtech.org/mondial/10/river/Oder/	Water
7b93e6a1:150814fecb6:d2b	Membership
7b93e6a1:150814fecb6:9fd	Membership
7b93e6a1:150814fecb6:1a88	Membership
7b93e6a1:150814fecb6:11a2	Membership
7b93e6a1:150814fecb6:-1b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	City
7b93e6a1:150814fecb6:-114	Membership
http://www.semwebtech.org/mondial/10/islands/Comores/	Islands
7b93e6a1:150814fecb6:f8b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	City
7b93e6a1:150814fecb6:285	Membership
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	Mountain
7b93e6a1:150814fecb6:619	Membership
7b93e6a1:150814fecb6:-374	Membership
7b93e6a1:150814fecb6:1dc8	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Province
7b93e6a1:150814fecb6:-708	Border
7b93e6a1:150814fecb6:2167	SpokenBy
http://www.semwebtech.org/mondial/10/desert/Tanami/	Desert
7b93e6a1:150814fecb6:879	Membership
7b93e6a1:150814fecb6:1d24	Membership
7b93e6a1:150814fecb6:19f6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	City
7b93e6a1:150814fecb6:5c5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	City
7b93e6a1:150814fecb6:1952	Membership
7b93e6a1:150814fecb6:bf7	Membership
7b93e6a1:150814fecb6:521	Membership
7b93e6a1:150814fecb6:1f84	Membership
7b93e6a1:150814fecb6:-6b4	Border
7b93e6a1:150814fecb6:125d	Membership
7b93e6a1:150814fecb6:b53	Membership
7b93e6a1:150814fecb6:1cd0	Membership
7b93e6a1:150814fecb6:-610	Border
7b93e6a1:150814fecb6:24a7	EthnicProportion
7b93e6a1:150814fecb6:781	Membership
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Island
7b93e6a1:150814fecb6:2403	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	City
7b93e6a1:150814fecb6:2663	EthnicProportion
7b93e6a1:150814fecb6:-17b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	City
7b93e6a1:150814fecb6:1bcf	Membership
7b93e6a1:150814fecb6:-50f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Province
http://www.semwebtech.org/mondial/10/island/Oesel/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Province
7b93e6a1:150814fecb6:1b2b	Membership
7b93e6a1:150814fecb6:17fd	Membership
7b93e6a1:150814fecb6:3cc	Membership
7b93e6a1:150814fecb6:-76f	Encompassed
http://www.semwebtech.org/mondial/10/river/WesternDwina/	Water
7b93e6a1:150814fecb6:1d8b	Membership
7b93e6a1:150814fecb6:1085	Membership
7b93e6a1:150814fecb6:-4bb	Membership
7b93e6a1:150814fecb6:373	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	City
7b93e6a1:150814fecb6:a2	Membership
7b93e6a1:150814fecb6:1419	Membership
7b93e6a1:150814fecb6:22ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	City
7b93e6a1:150814fecb6:220a	SpokenBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	City
7b93e6a1:150814fecb6:91c	Membership
7b93e6a1:150814fecb6:1679	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Province
7b93e6a1:150814fecb6:f4e	Membership
7b93e6a1:150814fecb6:248	Membership
7b93e6a1:150814fecb6:13c5	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	City
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Water
7b93e6a1:150814fecb6:246a	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Lesbos/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	City
7b93e6a1:150814fecb6:1321	Membership
7b93e6a1:150814fecb6:-337	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Maui/	Island
7b93e6a1:150814fecb6:efa	Membership
7b93e6a1:150814fecb6:19b9	Membership
7b93e6a1:150814fecb6:1f4	Membership
7b93e6a1:150814fecb6:1581	Membership
7b93e6a1:150814fecb6:-597	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Province
7b93e6a1:150814fecb6:150	Membership
7b93e6a1:150814fecb6:1915	Membership
7b93e6a1:150814fecb6:-2e3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Province
7b93e6a1:150814fecb6:1f47	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	City
7b93e6a1:150814fecb6:20d6	Membership
7b93e6a1:150814fecb6:b16	Membership
7b93e6a1:150814fecb6:7e8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Province
7b93e6a1:150814fecb6:2032	Membership
http://www.semwebtech.org/mondial/10/source/Schilka/	Source
7b93e6a1:150814fecb6:744	Membership
7b93e6a1:150814fecb6:18c1	Membership
7b93e6a1:150814fecb6:d76	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	City
7b93e6a1:150814fecb6:1ef3	Membership
7b93e6a1:150814fecb6:11cc	Membership
7b93e6a1:150814fecb6:2292	BelievedBy
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Province
7b93e6a1:150814fecb6:ac2	Membership
7b93e6a1:150814fecb6:2626	EthnicProportion
7b93e6a1:150814fecb6:-13e	Membership
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	Estuary
7b93e6a1:150814fecb6:6f0	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	City
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Province
7b93e6a1:150814fecb6:-39e	Membership
7b93e6a1:150814fecb6:171c	Membership
7b93e6a1:150814fecb6:25d2	EthnicProportion
7b93e6a1:150814fecb6:1d4e	Membership
7b93e6a1:150814fecb6:1048	Membership
7b93e6a1:150814fecb6:5ef	Membership
7b93e6a1:150814fecb6:197c	Membership
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	Islands
7b93e6a1:150814fecb6:54b	Membership
7b93e6a1:150814fecb6:-6de	Border
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	City
http://www.semwebtech.org/mondial/10/island/Usedom/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Province
7b93e6a1:150814fecb6:b7d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	City
7b93e6a1:150814fecb6:1cfa	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	City
7b93e6a1:150814fecb6:-63a	Border
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	City
http://www.semwebtech.org/mondial/10/source/Brigach/	Source
7b93e6a1:150814fecb6:242d	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	City
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	Source
7b93e6a1:150814fecb6:15e8	Membership
http://www.semwebtech.org/mondial/10/language/Tamil/	Language
7b93e6a1:150814fecb6:268d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Thjorsa/	Source
7b93e6a1:150814fecb6:ebd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	City
7b93e6a1:150814fecb6:1b7	Membership
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	City
7b93e6a1:150814fecb6:1544	Membership
7b93e6a1:150814fecb6:1b76	Membership
7b93e6a1:150814fecb6:113	Membership
7b93e6a1:150814fecb6:-2a6	Membership
http://www.semwebtech.org/mondial/10/organization/CSTO/	Organization
7b93e6a1:150814fecb6:-202	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Province
7b93e6a1:150814fecb6:cc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	City
7b93e6a1:150814fecb6:707	Membership
7b93e6a1:150814fecb6:-462	Membership
7b93e6a1:150814fecb6:22f9	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	City
7b93e6a1:150814fecb6:d39	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	City
7b93e6a1:150814fecb6:1eb6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Province
http://www.semwebtech.org/mondial/10/source/Lagen/	Source
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	City
7b93e6a1:150814fecb6:2255	BelievedBy
7b93e6a1:150814fecb6:967	Membership
7b93e6a1:150814fecb6:1e12	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	City
7b93e6a1:150814fecb6:f99	Membership
7b93e6a1:150814fecb6:6b3	Membership
7b93e6a1:150814fecb6:13ef	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Province
7b93e6a1:150814fecb6:ce5	Membership
7b93e6a1:150814fecb6:-7a2	Encompassed
7b93e6a1:150814fecb6:134b	Membership
http://www.semwebtech.org/mondial/10/country/CN/	Country
7b93e6a1:150814fecb6:c41	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	City
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	City
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Water
http://www.semwebtech.org/mondial/10/country/ET/	Country
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Province
7b93e6a1:150814fecb6:17a	Membership
7b93e6a1:150814fecb6:193f	Membership
http://www.semwebtech.org/mondial/10/river/Paraguay/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	City
7b93e6a1:150814fecb6:50e	Membership
http://www.semwebtech.org/mondial/10/mountain/Fako/	Mountain
http://www.semwebtech.org/mondial/10/river/WesternBug/	Water
7b93e6a1:150814fecb6:1cbd	Membership
http://www.semwebtech.org/mondial/10/language/Chamorro/	Language
7b93e6a1:150814fecb6:205c	Membership
7b93e6a1:150814fecb6:76e	Membership
7b93e6a1:150814fecb6:18eb	Membership
http://www.semwebtech.org/mondial/10/country/JA/	Country
7b93e6a1:150814fecb6:4ba	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Province
7b93e6a1:150814fecb6:aec	Membership
7b93e6a1:150814fecb6:-e6	Membership
7b93e6a1:150814fecb6:1173	Membership
7b93e6a1:150814fecb6:-189	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	City
7b93e6a1:150814fecb6:-42	Membership
7b93e6a1:150814fecb6:1507	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	EthnicGroup
7b93e6a1:150814fecb6:1b39	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	Mountain
7b93e6a1:150814fecb6:1767	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	City
7b93e6a1:150814fecb6:25fc	EthnicProportion
7b93e6a1:150814fecb6:1d99	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Province
7b93e6a1:150814fecb6:336	Membership
7b93e6a1:150814fecb6:14b3	Membership
7b93e6a1:150814fecb6:-4c9	Membership
7b93e6a1:150814fecb6:1ae5	Membership
7b93e6a1:150814fecb6:-425	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	EthnicGroup
7b93e6a1:150814fecb6:596	Membership
7b93e6a1:150814fecb6:1a41	Membership
7b93e6a1:150814fecb6:2218	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Province
7b93e6a1:150814fecb6:2e2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Province
7b93e6a1:150814fecb6:-685	Border
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	City
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	Estuary
7b93e6a1:150814fecb6:-3d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Asahan/	Estuary
7b93e6a1:150814fecb6:2478	EthnicProportion
7b93e6a1:150814fecb6:ca8	Membership
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Islands
7b93e6a1:150814fecb6:130e	Membership
7b93e6a1:150814fecb6:21c4	SpokenBy
7b93e6a1:150814fecb6:c04	Membership
7b93e6a1:150814fecb6:8d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Province
7b93e6a1:150814fecb6:2120	SpokenBy
7b93e6a1:150814fecb6:832	Membership
7b93e6a1:150814fecb6:156e	Membership
7b93e6a1:150814fecb6:1fe1	Membership
7b93e6a1:150814fecb6:e64	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Province
7b93e6a1:150814fecb6:13d	Membership
7b93e6a1:150814fecb6:12ba	Membership
7b93e6a1:150814fecb6:2380	BelievedBy
7b93e6a1:150814fecb6:bb0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Province
http://www.semwebtech.org/mondial/10/organization/NSG/	Organization
7b93e6a1:150814fecb6:-22c	Membership
http://www.semwebtech.org/mondial/10/river/Lulua/	Water
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Province
7b93e6a1:150814fecb6:39d	Membership
http://www.semwebtech.org/mondial/10/island/Falster/	Island
7b93e6a1:150814fecb6:201f	Membership
http://www.semwebtech.org/mondial/10/source/Neckar/	Source
7b93e6a1:150814fecb6:18ae	Membership
7b93e6a1:150814fecb6:-48c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	City
7b93e6a1:150814fecb6:73	Membership
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Religion
7b93e6a1:150814fecb6:26c0	EthnicProportion
7b93e6a1:150814fecb6:227f	BelievedBy
7b93e6a1:150814fecb6:180a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	City
http://www.semwebtech.org/mondial/10/estuary/Weser/	Estuary
7b93e6a1:150814fecb6:aaf	Membership
7b93e6a1:150814fecb6:1e3c	Membership
7b93e6a1:150814fecb6:-a9	Membership
7b93e6a1:150814fecb6:1136	Membership
http://www.semwebtech.org/mondial/10/source/Mantaro/	Source
7b93e6a1:150814fecb6:a0b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Province
7b93e6a1:150814fecb6:6dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	City
http://www.semwebtech.org/mondial/10/estuary/Piva/	Estuary
7b93e6a1:150814fecb6:-7cc	Encompassed
7b93e6a1:150814fecb6:1396	Membership
7b93e6a1:150814fecb6:c6b	Membership
7b93e6a1:150814fecb6:10e2	Membership
7b93e6a1:150814fecb6:25bf	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	EthnicGroup
7b93e6a1:150814fecb6:251b	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Uvea/	Island
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Water
7b93e6a1:150814fecb6:1aa8	Membership
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Desert
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Water
7b93e6a1:150814fecb6:559	Membership
7b93e6a1:150814fecb6:1a04	Membership
7b93e6a1:150814fecb6:16d6	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	City
http://www.semwebtech.org/mondial/10/desert/Djourab/	Desert
7b93e6a1:150814fecb6:fab	Membership
7b93e6a1:150814fecb6:1632	Membership
7b93e6a1:150814fecb6:2a5	Membership
7b93e6a1:150814fecb6:-648	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	City
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Province
7b93e6a1:150814fecb6:201	Membership
7b93e6a1:150814fecb6:1c64	Membership
7b93e6a1:150814fecb6:1892	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	City
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Water
7b93e6a1:150814fecb6:461	Membership
7b93e6a1:150814fecb6:-5f4	Border
7b93e6a1:150814fecb6:119d	Membership
7b93e6a1:150814fecb6:a93	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Province
7b93e6a1:150814fecb6:-6c	Membership
7b93e6a1:150814fecb6:-550	Membership
7b93e6a1:150814fecb6:23e7	BelievedBy
7b93e6a1:150814fecb6:e27	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Province
7b93e6a1:150814fecb6:1fa4	Membership
7b93e6a1:150814fecb6:2343	BelievedBy
7b93e6a1:150814fecb6:1f00	Membership
http://www.semwebtech.org/mondial/10/river/Thames/	Water
7b93e6a1:150814fecb6:7a1	Membership
7b93e6a1:150814fecb6:14dd	Membership
7b93e6a1:150814fecb6:dd3	Membership
7b93e6a1:150814fecb6:-44f	Membership
7b93e6a1:150814fecb6:36	Membership
7b93e6a1:150814fecb6:1a6b	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	City
7b93e6a1:150814fecb6:-3fb	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	City
7b93e6a1:150814fecb6:1359	Membership
7b93e6a1:150814fecb6:21ee	SpokenBy
7b93e6a1:150814fecb6:c2e	Membership
7b93e6a1:150814fecb6:1dab	Membership
7b93e6a1:150814fecb6:10a5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	City
7b93e6a1:150814fecb6:214a	SpokenBy
7b93e6a1:150814fecb6:85c	Membership
http://www.semwebtech.org/mondial/10/language/Polynesian/	Language
7b93e6a1:150814fecb6:1001	Membership
7b93e6a1:150814fecb6:e8e	Membership
7b93e6a1:150814fecb6:188	Membership
7b93e6a1:150814fecb6:bda	Membership
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	Water
7b93e6a1:150814fecb6:1261	Membership
7b93e6a1:150814fecb6:-277	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	City
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Province
7b93e6a1:150814fecb6:1c27	Membership
7b93e6a1:150814fecb6:18f9	Membership
7b93e6a1:150814fecb6:9d	Membership
7b93e6a1:150814fecb6:4c8	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	City
7b93e6a1:150814fecb6:1855	Membership
7b93e6a1:150814fecb6:1e87	Membership
7b93e6a1:150814fecb6:15a1	Membership
7b93e6a1:150814fecb6:424	Membership
7b93e6a1:150814fecb6:-5b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	City
7b93e6a1:150814fecb6:a56	Membership
7b93e6a1:150814fecb6:1bd3	Membership
7b93e6a1:150814fecb6:-2f	Membership
7b93e6a1:150814fecb6:-513	Membership
http://www.semwebtech.org/mondial/10/island/Bali/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Province
7b93e6a1:150814fecb6:684	Membership
7b93e6a1:150814fecb6:2306	BelievedBy
7b93e6a1:150814fecb6:3d0	Membership
7b93e6a1:150814fecb6:-773	Encompassed
http://www.semwebtech.org/mondial/10/language/Hungarian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	EthnicGroup
7b93e6a1:150814fecb6:2566	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	City
7b93e6a1:150814fecb6:22b2	BelievedBy
7b93e6a1:150814fecb6:9c4	Membership
7b93e6a1:150814fecb6:1a2e	Membership
http://www.semwebtech.org/mondial/10/river/Bomu/	Water
7b93e6a1:150814fecb6:ff6	Membership
7b93e6a1:150814fecb6:920	Membership
7b93e6a1:150814fecb6:2cf	Membership
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Water
7b93e6a1:150814fecb6:165c	Membership
http://www.semwebtech.org/mondial/10/source/Pibor/	Source
7b93e6a1:150814fecb6:f52	Membership
7b93e6a1:150814fecb6:22b	Membership
7b93e6a1:150814fecb6:1c8e	Membership
7b93e6a1:150814fecb6:-3be	Membership
http://www.semwebtech.org/mondial/10/river/Gambia/	Water
7b93e6a1:150814fecb6:-31a	Membership
7b93e6a1:150814fecb6:48b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Province
http://www.semwebtech.org/mondial/10/source/Oka/	Source
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	City
7b93e6a1:150814fecb6:210d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Province
7b93e6a1:150814fecb6:81f	Membership
7b93e6a1:150814fecb6:-57a	Membership
7b93e6a1:150814fecb6:1fce	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Province
7b93e6a1:150814fecb6:12c8	Membership
7b93e6a1:150814fecb6:236d	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	City
7b93e6a1:150814fecb6:1f2a	Membership
7b93e6a1:150814fecb6:1224	Membership
7b93e6a1:150814fecb6:7cb	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	City
7b93e6a1:150814fecb6:dfd	Membership
7b93e6a1:150814fecb6:1484	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Province
7b93e6a1:150814fecb6:1818	Membership
7b93e6a1:150814fecb6:11d0	Membership
7b93e6a1:150814fecb6:-1e6	Membership
7b93e6a1:150814fecb6:26ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Province
7b93e6a1:150814fecb6:-142	Membership
7b93e6a1:150814fecb6:a19	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	City
7b93e6a1:150814fecb6:647	Membership
7b93e6a1:150814fecb6:17c4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	City
7b93e6a1:150814fecb6:1df6	Membership
7b93e6a1:150814fecb6:1720	Membership
7b93e6a1:150814fecb6:c79	Membership
http://www.semwebtech.org/mondial/10/organization/InOC/	Organization
7b93e6a1:150814fecb6:10cf	Membership
7b93e6a1:150814fecb6:-736	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Province
7b93e6a1:150814fecb6:2195	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Province
7b93e6a1:150814fecb6:1d52	Membership
7b93e6a1:150814fecb6:2529	EthnicProportion
7b93e6a1:150814fecb6:102b	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	City
7b93e6a1:150814fecb6:5f3	Membership
7b93e6a1:150814fecb6:1980	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	City
7b93e6a1:150814fecb6:-6e2	Border
7b93e6a1:150814fecb6:128b	Membership
http://www.semwebtech.org/mondial/10/country/BR/	Country
7b93e6a1:150814fecb6:fb9	Membership
7b93e6a1:150814fecb6:b81	Membership
7b93e6a1:150814fecb6:24d5	EthnicProportion
7b93e6a1:150814fecb6:161f	Membership
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	Mountain
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Province
7b93e6a1:150814fecb6:f15	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	City
7b93e6a1:150814fecb6:2431	BelievedBy
http://www.semwebtech.org/mondial/10/source/Ob/	Source
7b93e6a1:150814fecb6:187f	Membership
7b93e6a1:150814fecb6:44e	Membership
7b93e6a1:150814fecb6:15cb	Membership
7b93e6a1:150814fecb6:2691	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Garonne/	Source
7b93e6a1:150814fecb6:ec1	Membership
7b93e6a1:150814fecb6:1bfd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	City
7b93e6a1:150814fecb6:-53d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3fa	Membership
7b93e6a1:150814fecb6:-79d	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Province
7b93e6a1:150814fecb6:d0	Membership
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	City
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	City
7b93e6a1:150814fecb6:1447	Membership
7b93e6a1:150814fecb6:22dc	BelievedBy
7b93e6a1:150814fecb6:d1c	Membership
7b93e6a1:150814fecb6:9ee	Membership
7b93e6a1:150814fecb6:1a79	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	City
7b93e6a1:150814fecb6:-1a9	Membership
7b93e6a1:150814fecb6:94a	Membership
7b93e6a1:150814fecb6:-105	Membership
7b93e6a1:150814fecb6:f7c	Membership
7b93e6a1:150814fecb6:276	Membership
7b93e6a1:150814fecb6:13f3	Membership
7b93e6a1:150814fecb6:-365	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	City
7b93e6a1:150814fecb6:1db9	Membership
7b93e6a1:150814fecb6:2158	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Province
7b93e6a1:150814fecb6:1d15	Membership
7b93e6a1:150814fecb6:19e7	Membership
http://www.semwebtech.org/mondial/10/island/Norderney/	Island
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	City
7b93e6a1:150814fecb6:5b6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Province
7b93e6a1:150814fecb6:1943	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	City
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	Source
7b93e6a1:150814fecb6:be8	Membership
7b93e6a1:150814fecb6:512	Membership
7b93e6a1:150814fecb6:1f75	Membership
7b93e6a1:150814fecb6:-6a5	Border
7b93e6a1:150814fecb6:124e	Membership
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Island
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Province
7b93e6a1:150814fecb6:b44	Membership
7b93e6a1:150814fecb6:1cc1	Membership
7b93e6a1:150814fecb6:-601	Border
7b93e6a1:150814fecb6:2060	Membership
7b93e6a1:150814fecb6:772	Membership
http://www.semwebtech.org/mondial/10/language/Uzbek/	Language
7b93e6a1:150814fecb6:11fa	Membership
7b93e6a1:150814fecb6:af0	Membership
7b93e6a1:150814fecb6:-16c	Membership
7b93e6a1:150814fecb6:2654	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Province
7b93e6a1:150814fecb6:23a0	BelievedBy
7b93e6a1:150814fecb6:1b1c	Membership
7b93e6a1:150814fecb6:17ee	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	City
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	City
7b93e6a1:150814fecb6:3bd	Membership
7b93e6a1:150814fecb6:174a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Province
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	Mountain
http://www.semwebtech.org/mondial/10/source/Sanaga/	Source
7b93e6a1:150814fecb6:1d7c	Membership
7b93e6a1:150814fecb6:-4ac	Membership
7b93e6a1:150814fecb6:1076	Membership
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	City
7b93e6a1:150814fecb6:90d	Membership
7b93e6a1:150814fecb6:24ff	EthnicProportion
7b93e6a1:150814fecb6:f3f	Membership
7b93e6a1:150814fecb6:239	Membership
7b93e6a1:150814fecb6:13b6	Membership
7b93e6a1:150814fecb6:245b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	City
7b93e6a1:150814fecb6:1312	Membership
7b93e6a1:150814fecb6:-328	Membership
7b93e6a1:150814fecb6:499	Membership
http://www.semwebtech.org/mondial/10/country/C/	Country
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Province
7b93e6a1:150814fecb6:eeb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	City
7b93e6a1:150814fecb6:1e5	Membership
7b93e6a1:150814fecb6:1572	Membership
7b93e6a1:150814fecb6:-588	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	Mountain
7b93e6a1:150814fecb6:141	Membership
7b93e6a1:150814fecb6:1906	Membership
7b93e6a1:150814fecb6:-2d4	Membership
7b93e6a1:150814fecb6:1f38	Membership
7b93e6a1:150814fecb6:-230	Membership
7b93e6a1:150814fecb6:20c7	Membership
7b93e6a1:150814fecb6:b07	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	City
7b93e6a1:150814fecb6:7d9	Membership
7b93e6a1:150814fecb6:fa	Membership
7b93e6a1:150814fecb6:2023	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	City
7b93e6a1:150814fecb6:735	Membership
7b93e6a1:150814fecb6:18b2	Membership
7b93e6a1:150814fecb6:-490	Membership
7b93e6a1:150814fecb6:d67	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	City
7b93e6a1:150814fecb6:1ee4	Membership
7b93e6a1:150814fecb6:11bd	Membership
7b93e6a1:150814fecb6:2283	BelievedBy
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Water
7b93e6a1:150814fecb6:ab3	Membership
7b93e6a1:150814fecb6:995	Membership
7b93e6a1:150814fecb6:1e40	Membership
7b93e6a1:150814fecb6:2617	EthnicProportion
7b93e6a1:150814fecb6:-12f	Membership
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	City
7b93e6a1:150814fecb6:6e1	Membership
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Organization
http://www.semwebtech.org/mondial/10/island/Oahu/	Island
7b93e6a1:150814fecb6:-7d0	Encompassed
7b93e6a1:150814fecb6:-38f	Membership
7b93e6a1:150814fecb6:170d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	City
7b93e6a1:150814fecb6:25c3	EthnicProportion
7b93e6a1:150814fecb6:1d3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	Mountain
7b93e6a1:150814fecb6:1039	Membership
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Language
7b93e6a1:150814fecb6:196d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	EthnicGroup
7b93e6a1:150814fecb6:53c	Membership
7b93e6a1:150814fecb6:1f9f	Membership
7b93e6a1:150814fecb6:-6cf	Border
7b93e6a1:150814fecb6:1299	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	City
7b93e6a1:150814fecb6:b6e	Membership
7b93e6a1:150814fecb6:1ceb	Membership
7b93e6a1:150814fecb6:-62b	Border
7b93e6a1:150814fecb6:208a	Membership
7b93e6a1:150814fecb6:79c	Membership
http://www.semwebtech.org/mondial/10/island/Pemba/	Island
http://www.semwebtech.org/mondial/10/river/Isere/	Water
7b93e6a1:150814fecb6:241e	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Bahai/	Religion
7b93e6a1:150814fecb6:15d9	Membership
7b93e6a1:150814fecb6:267e	EthnicProportion
7b93e6a1:150814fecb6:eae	Membership
7b93e6a1:150814fecb6:1a8	Membership
7b93e6a1:150814fecb6:-70	Membership
7b93e6a1:150814fecb6:1535	Membership
7b93e6a1:150814fecb6:23ca	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	EthnicGroup
7b93e6a1:150814fecb6:e0a	Membership
7b93e6a1:150814fecb6:104	Membership
7b93e6a1:150814fecb6:-9a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	City
7b93e6a1:150814fecb6:1b67	Membership
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	City
7b93e6a1:150814fecb6:1795	Membership
7b93e6a1:150814fecb6:14e1	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Province
7b93e6a1:150814fecb6:364	Membership
7b93e6a1:150814fecb6:-4f7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Province
7b93e6a1:150814fecb6:bd	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	City
7b93e6a1:150814fecb6:-453	Membership
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Islands
7b93e6a1:150814fecb6:1ea7	Membership
7b93e6a1:150814fecb6:2246	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	City
7b93e6a1:150814fecb6:958	Membership
7b93e6a1:150814fecb6:1e03	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	City
7b93e6a1:150814fecb6:6a4	Membership
7b93e6a1:150814fecb6:cd6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	City
7b93e6a1:150814fecb6:600	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	City
7b93e6a1:150814fecb6:133c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	City
7b93e6a1:150814fecb6:21f2	SpokenBy
7b93e6a1:150814fecb6:c32	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Province
http://www.semwebtech.org/mondial/10/river/Asahan/	Water
7b93e6a1:150814fecb6:860	Membership
7b93e6a1:150814fecb6:159c	Membership
7b93e6a1:150814fecb6:e92	Membership
7b93e6a1:150814fecb6:16b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	City
7b93e6a1:150814fecb6:-2fe	Membership
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Desert
7b93e6a1:150814fecb6:-25a	Membership
http://www.semwebtech.org/mondial/10/country/SVAX/	Country
7b93e6a1:150814fecb6:1cae	Membership
7b93e6a1:150814fecb6:204d	Membership
7b93e6a1:150814fecb6:75f	Membership
7b93e6a1:150814fecb6:1c0a	Membership
7b93e6a1:150814fecb6:18dc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	City
7b93e6a1:150814fecb6:4ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	City
7b93e6a1:150814fecb6:add	Membership
7b93e6a1:150814fecb6:1e6a	Membership
7b93e6a1:150814fecb6:-d7	Membership
7b93e6a1:150814fecb6:1164	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	City
http://www.semwebtech.org/mondial/10/organization/SELEC/	Organization
7b93e6a1:150814fecb6:-33	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Province
7b93e6a1:150814fecb6:-7fa	Encompassed
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	City
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Mountains
7b93e6a1:150814fecb6:1758	Membership
7b93e6a1:150814fecb6:25ed	EthnicProportion
7b93e6a1:150814fecb6:327	Membership
7b93e6a1:150814fecb6:14a4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Province
7b93e6a1:150814fecb6:1ad6	Membership
7b93e6a1:150814fecb6:1400	Membership
7b93e6a1:150814fecb6:-416	Membership
7b93e6a1:150814fecb6:-c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	City
7b93e6a1:150814fecb6:587	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Province
7b93e6a1:150814fecb6:1a32	Membership
7b93e6a1:150814fecb6:2209	SpokenBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Province
7b93e6a1:150814fecb6:2d3	Membership
7b93e6a1:150814fecb6:1660	Membership
7b93e6a1:150814fecb6:-676	Border
7b93e6a1:150814fecb6:1c92	Membership
7b93e6a1:150814fecb6:-3c2	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	City
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Province
7b93e6a1:150814fecb6:2469	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	City
7b93e6a1:150814fecb6:21b5	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	City
7b93e6a1:150814fecb6:8c7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Balochi/	Language
7b93e6a1:150814fecb6:2111	Membership
7b93e6a1:150814fecb6:ef9	Membership
7b93e6a1:150814fecb6:823	Membership
7b93e6a1:150814fecb6:19a0	Membership
7b93e6a1:150814fecb6:155f	Membership
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Water
7b93e6a1:150814fecb6:e55	Membership
7b93e6a1:150814fecb6:1fd2	Membership
7b93e6a1:150814fecb6:12e	Membership
7b93e6a1:150814fecb6:12ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	City
7b93e6a1:150814fecb6:2371	BelievedBy
7b93e6a1:150814fecb6:ba1	Membership
7b93e6a1:150814fecb6:-21d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	City
7b93e6a1:150814fecb6:38e	Membership
http://www.semwebtech.org/mondial/10/island/Barbuda/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	City
7b93e6a1:150814fecb6:-47d	Membership
7b93e6a1:150814fecb6:64	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	City
7b93e6a1:150814fecb6:26b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	City
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	City
7b93e6a1:150814fecb6:1e2d	Membership
7b93e6a1:150814fecb6:1127	Membership
7b93e6a1:150814fecb6:6ce	Membership
http://www.semwebtech.org/mondial/10/source/Ubangi/	Source
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	City
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	City
7b93e6a1:150814fecb6:62a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	City
7b93e6a1:150814fecb6:-7bd	Encompassed
7b93e6a1:150814fecb6:1387	Membership
7b93e6a1:150814fecb6:c5c	Membership
7b93e6a1:150814fecb6:10d3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	City
7b93e6a1:150814fecb6:88a	Membership
7b93e6a1:150814fecb6:250c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	City
http://www.semwebtech.org/mondial/10/source/Amudarja/	Source
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Province
http://www.semwebtech.org/mondial/10/river/Tara/	Water
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	City
7b93e6a1:150814fecb6:16c7	Membership
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Province
7b93e6a1:150814fecb6:1cf9	Membership
7b93e6a1:150814fecb6:1623	Membership
7b93e6a1:150814fecb6:-639	Border
7b93e6a1:150814fecb6:2098	Membership
7b93e6a1:150814fecb6:1c55	Membership
7b93e6a1:150814fecb6:4f6	Membership
7b93e6a1:150814fecb6:1883	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	City
7b93e6a1:150814fecb6:452	Membership
7b93e6a1:150814fecb6:-5e5	Border
7b93e6a1:150814fecb6:118e	Membership
7b93e6a1:150814fecb6:a84	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	City
7b93e6a1:150814fecb6:-5d	Membership
7b93e6a1:150814fecb6:-541	Membership
7b93e6a1:150814fecb6:23d8	BelievedBy
7b93e6a1:150814fecb6:e18	Membership
7b93e6a1:150814fecb6:2334	BelievedBy
http://www.semwebtech.org/mondial/10/organization/MIGA/	Organization
7b93e6a1:150814fecb6:14ce	Membership
7b93e6a1:150814fecb6:2594	EthnicProportion
7b93e6a1:150814fecb6:dc4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Province
7b93e6a1:150814fecb6:142a	Membership
7b93e6a1:150814fecb6:22e0	BelievedBy
7b93e6a1:150814fecb6:27	Membership
7b93e6a1:150814fecb6:d20	Membership
7b93e6a1:150814fecb6:9f2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Province
7b93e6a1:150814fecb6:1a5c	Membership
http://www.semwebtech.org/mondial/10/estuary/Luvua/	Estuary
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	City
7b93e6a1:150814fecb6:2fd	Membership
7b93e6a1:150814fecb6:168a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	City
7b93e6a1:150814fecb6:f80	Membership
7b93e6a1:150814fecb6:-3ec	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Province
7b93e6a1:150814fecb6:21df	SpokenBy
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Islands
7b93e6a1:150814fecb6:c1f	Membership
http://www.semwebtech.org/mondial/10/river/Main/	Water
7b93e6a1:150814fecb6:213b	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Province
7b93e6a1:150814fecb6:84d	Membership
7b93e6a1:150814fecb6:19ca	Membership
http://www.semwebtech.org/mondial/10/island/Gotland/	Island
7b93e6a1:150814fecb6:17b5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Province
7b93e6a1:150814fecb6:1ffc	Membership
7b93e6a1:150814fecb6:e7f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	City
7b93e6a1:150814fecb6:179	Membership
7b93e6a1:150814fecb6:12f6	Membership
7b93e6a1:150814fecb6:239b	BelievedBy
7b93e6a1:150814fecb6:bcb	Membership
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Island
7b93e6a1:150814fecb6:1252	Membership
7b93e6a1:150814fecb6:-268	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	City
7b93e6a1:150814fecb6:1c18	Membership
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	City
7b93e6a1:150814fecb6:8e	Membership
http://www.semwebtech.org/mondial/10/country/TOK/	Country
7b93e6a1:150814fecb6:4b9	Membership
7b93e6a1:150814fecb6:1846	Membership
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	City
7b93e6a1:150814fecb6:415	Membership
7b93e6a1:150814fecb6:1e78	Membership
7b93e6a1:150814fecb6:-5a8	Membership
7b93e6a1:150814fecb6:-170	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Province
7b93e6a1:150814fecb6:a47	Membership
7b93e6a1:150814fecb6:1bc4	Membership
7b93e6a1:150814fecb6:-504	Membership
http://www.semwebtech.org/mondial/10/country/DOM/	Country
http://www.semwebtech.org/mondial/10/island/Chios/	Island
7b93e6a1:150814fecb6:1b20	Membership
7b93e6a1:150814fecb6:675	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	City
7b93e6a1:150814fecb6:17f2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Province
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	City
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	Estuary
7b93e6a1:150814fecb6:3c1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	City
7b93e6a1:150814fecb6:-764	Encompassed
7b93e6a1:150814fecb6:10fd	Membership
7b93e6a1:150814fecb6:1d80	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Province
7b93e6a1:150814fecb6:-4b0	Membership
7b93e6a1:150814fecb6:2557	EthnicProportion
7b93e6a1:150814fecb6:22a3	BelievedBy
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	City
7b93e6a1:150814fecb6:9b5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	City
7b93e6a1:150814fecb6:1a1f	Membership
7b93e6a1:150814fecb6:fe7	Membership
7b93e6a1:150814fecb6:911	Membership
7b93e6a1:150814fecb6:164d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	City
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	City
7b93e6a1:150814fecb6:f43	Membership
7b93e6a1:150814fecb6:1c7f	Membership
7b93e6a1:150814fecb6:21c	Membership
7b93e6a1:150814fecb6:-3af	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	City
http://www.semwebtech.org/mondial/10/source/Salzach/	Source
7b93e6a1:150814fecb6:-30b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	City
http://www.semwebtech.org/mondial/10/mountains/Azores/	Mountains
7b93e6a1:150814fecb6:47c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	City
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Island
7b93e6a1:150814fecb6:-56b	Membership
7b93e6a1:150814fecb6:1fbf	Membership
7b93e6a1:150814fecb6:12b9	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	City
7b93e6a1:150814fecb6:235e	BelievedBy
7b93e6a1:150814fecb6:1f1b	Membership
http://www.semwebtech.org/mondial/10/source/Pruth/	Source
7b93e6a1:150814fecb6:1215	Membership
7b93e6a1:150814fecb6:20aa	Membership
7b93e6a1:150814fecb6:7bc	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	City
7b93e6a1:150814fecb6:dee	Membership
7b93e6a1:150814fecb6:1475	Membership
http://www.semwebtech.org/mondial/10/river/Tambo/	Water
7b93e6a1:150814fecb6:1809	Membership
7b93e6a1:150814fecb6:d4a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	City
7b93e6a1:150814fecb6:11c1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	City
7b93e6a1:150814fecb6:-1d7	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Province
7b93e6a1:150814fecb6:-133	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	City
7b93e6a1:150814fecb6:638	Membership
7b93e6a1:150814fecb6:-393	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	City
7b93e6a1:150814fecb6:1de7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	City
7b93e6a1:150814fecb6:1711	Membership
7b93e6a1:150814fecb6:-727	Encompassed
7b93e6a1:150814fecb6:2186	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	City
7b93e6a1:150814fecb6:898	Membership
7b93e6a1:150814fecb6:1d43	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	Mountain
7b93e6a1:150814fecb6:101c	Membership
http://www.semwebtech.org/mondial/10/source/Uruguay/	Source
http://www.semwebtech.org/mondial/10/river/Indus/	Water
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Province
7b93e6a1:150814fecb6:5e4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Province
7b93e6a1:150814fecb6:1971	Membership
7b93e6a1:150814fecb6:540	Membership
7b93e6a1:150814fecb6:-6d3	Border
7b93e6a1:150814fecb6:127c	Membership
7b93e6a1:150814fecb6:b72	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Ampato/	Mountain
7b93e6a1:150814fecb6:24c6	EthnicProportion
7b93e6a1:150814fecb6:f06	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	City
7b93e6a1:150814fecb6:2422	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	City
7b93e6a1:150814fecb6:43f	Membership
7b93e6a1:150814fecb6:15bc	Membership
7b93e6a1:150814fecb6:-19a	Membership
7b93e6a1:150814fecb6:2682	EthnicProportion
7b93e6a1:150814fecb6:eb2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	City
7b93e6a1:150814fecb6:1bee	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Province
7b93e6a1:150814fecb6:-52e	Membership
7b93e6a1:150814fecb6:1b4a	Membership
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	City
7b93e6a1:150814fecb6:69f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Province
http://www.semwebtech.org/mondial/10/island/Aland/	Island
7b93e6a1:150814fecb6:3eb	Membership
7b93e6a1:150814fecb6:-78e	Encompassed
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Province
7b93e6a1:150814fecb6:-4da	Membership
7b93e6a1:150814fecb6:c1	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	City
7b93e6a1:150814fecb6:22cd	BelievedBy
7b93e6a1:150814fecb6:1438	Membership
7b93e6a1:150814fecb6:d0d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	City
7b93e6a1:150814fecb6:9df	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	City
7b93e6a1:150814fecb6:93b	Membership
http://www.semwebtech.org/mondial/10/source/Sobat/	Source
7b93e6a1:150814fecb6:1698	Membership
7b93e6a1:150814fecb6:f6d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	City
7b93e6a1:150814fecb6:267	Membership
7b93e6a1:150814fecb6:13e4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	City
7b93e6a1:150814fecb6:1340	Membership
7b93e6a1:150814fecb6:-356	Membership
7b93e6a1:150814fecb6:2149	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	City
7b93e6a1:150814fecb6:1d06	Membership
7b93e6a1:150814fecb6:19d8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	City
7b93e6a1:150814fecb6:5a7	Membership
7b93e6a1:150814fecb6:e	Membership
7b93e6a1:150814fecb6:1934	Membership
7b93e6a1:150814fecb6:bd9	Membership
7b93e6a1:150814fecb6:503	Membership
7b93e6a1:150814fecb6:1f66	Membership
7b93e6a1:150814fecb6:123f	Membership
7b93e6a1:150814fecb6:20f5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	City
7b93e6a1:150814fecb6:b35	Membership
7b93e6a1:150814fecb6:1cb2	Membership
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Islands
7b93e6a1:150814fecb6:2051	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Province
7b93e6a1:150814fecb6:763	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Province
7b93e6a1:150814fecb6:18e0	Membership
7b93e6a1:150814fecb6:149f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	City
7b93e6a1:150814fecb6:d95	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Province
7b93e6a1:150814fecb6:11eb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	City
7b93e6a1:150814fecb6:ae1	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	City
7b93e6a1:150814fecb6:-ba	Membership
7b93e6a1:150814fecb6:-15d	Membership
7b93e6a1:150814fecb6:2645	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	City
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	Province
7b93e6a1:150814fecb6:1b0d	Membership
7b93e6a1:150814fecb6:17df	Membership
7b93e6a1:150814fecb6:3ae	Membership
7b93e6a1:150814fecb6:173b	Membership
7b93e6a1:150814fecb6:25f1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	City
7b93e6a1:150814fecb6:30a	Membership
7b93e6a1:150814fecb6:1d6d	Membership
7b93e6a1:150814fecb6:1067	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	City
7b93e6a1:150814fecb6:199b	Membership
http://www.semwebtech.org/mondial/10/country/IS/	Country
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Province
7b93e6a1:150814fecb6:56a	Membership
7b93e6a1:150814fecb6:-6fd	Border
7b93e6a1:150814fecb6:b9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	City
7b93e6a1:150814fecb6:13a7	Membership
7b93e6a1:150814fecb6:244c	BelievedBy
7b93e6a1:150814fecb6:1303	Membership
7b93e6a1:150814fecb6:-319	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	City
7b93e6a1:150814fecb6:8aa	Membership
7b93e6a1:150814fecb6:edc	Membership
7b93e6a1:150814fecb6:1d6	Membership
7b93e6a1:150814fecb6:1563	Membership
7b93e6a1:150814fecb6:-579	Membership
7b93e6a1:150814fecb6:132	Membership
7b93e6a1:150814fecb6:1b95	Membership
7b93e6a1:150814fecb6:-2c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	City
7b93e6a1:150814fecb6:1f29	Membership
7b93e6a1:150814fecb6:-221	Membership
http://www.semwebtech.org/mondial/10/country/RL/	Country
http://www.semwebtech.org/mondial/10/organization/LAS/	Organization
7b93e6a1:150814fecb6:20b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	City
7b93e6a1:150814fecb6:392	Membership
7b93e6a1:150814fecb6:eb	Membership
7b93e6a1:150814fecb6:2014	Membership
7b93e6a1:150814fecb6:726	Membership
7b93e6a1:150814fecb6:18a3	Membership
http://www.semwebtech.org/mondial/10/country/TR/	Country
7b93e6a1:150814fecb6:-481	Membership
7b93e6a1:150814fecb6:2274	BelievedBy
http://www.semwebtech.org/mondial/10/organization/ACP/	Organization
http://www.semwebtech.org/mondial/10/mountain/Tahat/	Mountain
7b93e6a1:150814fecb6:d58	Membership
7b93e6a1:150814fecb6:1ed5	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Province
7b93e6a1:150814fecb6:-815	Encompassed
7b93e6a1:150814fecb6:11ae	Membership
http://www.semwebtech.org/mondial/10/mountain/Silisili/	Mountain
7b93e6a1:150814fecb6:aa4	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	City
7b93e6a1:150814fecb6:986	Membership
7b93e6a1:150814fecb6:1e31	Membership
7b93e6a1:150814fecb6:110a	Membership
7b93e6a1:150814fecb6:2608	EthnicProportion
7b93e6a1:150814fecb6:a00	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	City
7b93e6a1:150814fecb6:6d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Province
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Island
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	Mountain
7b93e6a1:150814fecb6:136a	Membership
7b93e6a1:150814fecb6:-7c1	Encompassed
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Province
7b93e6a1:150814fecb6:c60	Membership
7b93e6a1:150814fecb6:25b4	EthnicProportion
7b93e6a1:150814fecb6:2510	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	EthnicGroup
7b93e6a1:150814fecb6:195e	Membership
http://www.semwebtech.org/mondial/10/source/Tobol/	Source
7b93e6a1:150814fecb6:52d	Membership
7b93e6a1:150814fecb6:16aa	Membership
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	City
7b93e6a1:150814fecb6:1cdc	Membership
7b93e6a1:150814fecb6:fa0	Membership
7b93e6a1:150814fecb6:b5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	City
7b93e6a1:150814fecb6:-61c	Border
7b93e6a1:150814fecb6:207b	Membership
7b93e6a1:150814fecb6:78d	Membership
7b93e6a1:150814fecb6:240f	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	City
http://www.semwebtech.org/mondial/10/country/FARX/	Country
7b93e6a1:150814fecb6:1192	Membership
7b93e6a1:150814fecb6:266f	EthnicProportion
7b93e6a1:150814fecb6:1526	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	City
7b93e6a1:150814fecb6:-61	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Province
7b93e6a1:150814fecb6:23bb	BelievedBy
7b93e6a1:150814fecb6:1b58	Membership
7b93e6a1:150814fecb6:3f9	Membership
http://www.semwebtech.org/mondial/10/country/Q/	Country
7b93e6a1:150814fecb6:1786	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Province
7b93e6a1:150814fecb6:355	Membership
7b93e6a1:150814fecb6:14d2	Membership
7b93e6a1:150814fecb6:-4e8	Membership
7b93e6a1:150814fecb6:ae	Membership
7b93e6a1:150814fecb6:-444	Membership
http://www.semwebtech.org/mondial/10/river/Iller/	Water
7b93e6a1:150814fecb6:1a60	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	City
7b93e6a1:150814fecb6:2237	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	City
7b93e6a1:150814fecb6:949	Membership
http://www.semwebtech.org/mondial/10/estuary/Luapula/	Estuary
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	City
7b93e6a1:150814fecb6:2497	EthnicProportion
7b93e6a1:150814fecb6:-3f0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	City
7b93e6a1:150814fecb6:cc7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Province
http://www.semwebtech.org/mondial/10/organization/Interpol/	Organization
7b93e6a1:150814fecb6:132d	Membership
7b93e6a1:150814fecb6:21e3	SpokenBy
7b93e6a1:150814fecb6:c23	Membership
7b93e6a1:150814fecb6:8f5	Membership
7b93e6a1:150814fecb6:1da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	City
7b93e6a1:150814fecb6:851	Membership
http://www.semwebtech.org/mondial/10/island/Pellworm/	Island
7b93e6a1:150814fecb6:158d	Membership
7b93e6a1:150814fecb6:e83	Membership
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Organization
7b93e6a1:150814fecb6:15c	Membership
7b93e6a1:150814fecb6:-2ef	Membership
7b93e6a1:150814fecb6:-24b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	City
http://www.semwebtech.org/mondial/10/country/MAL/	Country
7b93e6a1:150814fecb6:203e	Membership
7b93e6a1:150814fecb6:18cd	Membership
7b93e6a1:150814fecb6:92	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	City
7b93e6a1:150814fecb6:1eff	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Province
7b93e6a1:150814fecb6:11f9	Membership
7b93e6a1:150814fecb6:229e	BelievedBy
7b93e6a1:150814fecb6:1e5b	Membership
7b93e6a1:150814fecb6:ace	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Province
7b93e6a1:150814fecb6:-c8	Membership
7b93e6a1:150814fecb6:1155	Membership
7b93e6a1:150814fecb6:a2a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/	Country
7b93e6a1:150814fecb6:6fc	Membership
7b93e6a1:150814fecb6:-24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Province
7b93e6a1:150814fecb6:-7eb	Encompassed
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Islands
7b93e6a1:150814fecb6:c8a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Province
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Province
7b93e6a1:150814fecb6:1749	Membership
http://www.semwebtech.org/mondial/10/island/Bahrain/	Island
7b93e6a1:150814fecb6:25de	EthnicProportion
7b93e6a1:150814fecb6:318	Membership
7b93e6a1:150814fecb6:253a	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Mayan/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	City
7b93e6a1:150814fecb6:1ac7	Membership
7b93e6a1:150814fecb6:-407	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	City
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	City
7b93e6a1:150814fecb6:578	Membership
7b93e6a1:150814fecb6:1a23	Membership
7b93e6a1:150814fecb6:16f5	Membership
http://www.semwebtech.org/mondial/10/estuary/Würm/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	City
7b93e6a1:150814fecb6:fca	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	City
7b93e6a1:150814fecb6:2c4	Membership
7b93e6a1:150814fecb6:1651	Membership
7b93e6a1:150814fecb6:-667	Border
7b93e6a1:150814fecb6:1c83	Membership
7b93e6a1:150814fecb6:220	Membership
http://www.semwebtech.org/mondial/10/organization/IMSO/	Organization
7b93e6a1:150814fecb6:-3b3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	Province
http://www.semwebtech.org/mondial/10/river/Ural/	Water
7b93e6a1:150814fecb6:21a6	SpokenBy
7b93e6a1:150814fecb6:8b8	Membership
7b93e6a1:150814fecb6:480	Membership
http://www.semwebtech.org/mondial/10/estuary/Saluen/	Estuary
7b93e6a1:150814fecb6:2102	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Province
7b93e6a1:150814fecb6:814	Membership
7b93e6a1:150814fecb6:-8b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Province
7b93e6a1:150814fecb6:e46	Membership
7b93e6a1:150814fecb6:1fc3	Membership
7b93e6a1:150814fecb6:11f	Membership
7b93e6a1:150814fecb6:2362	BelievedBy
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Province
7b93e6a1:150814fecb6:-20e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	City
7b93e6a1:150814fecb6:7c0	Membership
7b93e6a1:150814fecb6:37f	Membership
7b93e6a1:150814fecb6:14fc	Membership
7b93e6a1:150814fecb6:f9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Province
7b93e6a1:150814fecb6:df2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Province
7b93e6a1:150814fecb6:-46e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Province
7b93e6a1:150814fecb6:55	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	City
http://www.semwebtech.org/mondial/10/river/RioNegro/	Water
7b93e6a1:150814fecb6:1a8a	Membership
7b93e6a1:150814fecb6:-1ba	Membership
7b93e6a1:150814fecb6:26a2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Croatian/	Language
7b93e6a1:150814fecb6:1e1e	Membership
7b93e6a1:150814fecb6:1118	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	EthnicGroup
7b93e6a1:150814fecb6:6bf	Membership
7b93e6a1:150814fecb6:61b	Membership
7b93e6a1:150814fecb6:-7ae	Encompassed
7b93e6a1:150814fecb6:1378	Membership
7b93e6a1:150814fecb6:c4d	Membership
7b93e6a1:150814fecb6:1dca	Membership
7b93e6a1:150814fecb6:-70a	Border
7b93e6a1:150814fecb6:10c4	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Province
7b93e6a1:150814fecb6:87b	Membership
7b93e6a1:150814fecb6:1020	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	City
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Island
7b93e6a1:150814fecb6:16b8	Membership
7b93e6a1:150814fecb6:1280	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	City
7b93e6a1:150814fecb6:-296	Membership
7b93e6a1:150814fecb6:1614	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Province
7b93e6a1:150814fecb6:2089	Membership
7b93e6a1:150814fecb6:1c46	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Province
7b93e6a1:150814fecb6:4e7	Membership
7b93e6a1:150814fecb6:1874	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Province
7b93e6a1:150814fecb6:15c0	Membership
7b93e6a1:150814fecb6:443	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	City
7b93e6a1:150814fecb6:-5d6	Membership
7b93e6a1:150814fecb6:117f	Membership
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Island
7b93e6a1:150814fecb6:1bf2	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	City
7b93e6a1:150814fecb6:a75	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	City
7b93e6a1:150814fecb6:-4e	Membership
7b93e6a1:150814fecb6:-532	Membership
7b93e6a1:150814fecb6:23c9	BelievedBy
7b93e6a1:150814fecb6:e09	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	EthnicGroup
7b93e6a1:150814fecb6:2325	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	City
7b93e6a1:150814fecb6:-792	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Province
7b93e6a1:150814fecb6:2585	EthnicProportion
7b93e6a1:150814fecb6:14bf	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	City
http://www.semwebtech.org/mondial/10/island/Hoy/	Island
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	City
7b93e6a1:150814fecb6:db5	Membership
7b93e6a1:150814fecb6:22d1	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	City
7b93e6a1:150814fecb6:141b	Membership
7b93e6a1:150814fecb6:18	Membership
http://www.semwebtech.org/mondial/10/country/DK/	Country
7b93e6a1:150814fecb6:d11	Membership
7b93e6a1:150814fecb6:9e3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	City
7b93e6a1:150814fecb6:1a4d	Membership
7b93e6a1:150814fecb6:2ee	Membership
7b93e6a1:150814fecb6:167b	Membership
7b93e6a1:150814fecb6:f71	Membership
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	Source
7b93e6a1:150814fecb6:24a	Membership
7b93e6a1:150814fecb6:-3dd	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	EthnicGroup
7b93e6a1:150814fecb6:212c	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	City
http://www.semwebtech.org/mondial/10/river/Adda/	Water
7b93e6a1:150814fecb6:83e	Membership
7b93e6a1:150814fecb6:19bb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	City
7b93e6a1:150814fecb6:1fed	Membership
http://www.semwebtech.org/mondial/10/language/Lezgi/	Language
7b93e6a1:150814fecb6:12e7	Membership
7b93e6a1:150814fecb6:238c	BelievedBy
7b93e6a1:150814fecb6:bbc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	City
7b93e6a1:150814fecb6:1243	Membership
http://www.semwebtech.org/mondial/10/country/MD/	Country
7b93e6a1:150814fecb6:-259	Membership
http://www.semwebtech.org/mondial/10/organization/G-7/	Organization
7b93e6a1:150814fecb6:7ea	Membership
7b93e6a1:150814fecb6:1c09	Membership
7b93e6a1:150814fecb6:7f	Membership
7b93e6a1:150814fecb6:1837	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Province
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Province
7b93e6a1:150814fecb6:1e69	Membership
7b93e6a1:150814fecb6:406	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	City
7b93e6a1:150814fecb6:-161	Membership
7b93e6a1:150814fecb6:a38	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	City
7b93e6a1:150814fecb6:1bb5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	City
http://www.semwebtech.org/mondial/10/language/Burmese/	Language
7b93e6a1:150814fecb6:1b11	Membership
7b93e6a1:150814fecb6:666	Membership
7b93e6a1:150814fecb6:17e3	Membership
7b93e6a1:150814fecb6:-7f9	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Province
http://www.semwebtech.org/mondial/10/river/Klaraelv/	Water
7b93e6a1:150814fecb6:c98	Membership
7b93e6a1:150814fecb6:3b2	Membership
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	City
7b93e6a1:150814fecb6:-755	Encompassed
7b93e6a1:150814fecb6:10ee	Membership
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Province
7b93e6a1:150814fecb6:2548	EthnicProportion
7b93e6a1:150814fecb6:1d71	Membership
7b93e6a1:150814fecb6:-4a1	Membership
7b93e6a1:150814fecb6:104a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Province
http://www.semwebtech.org/mondial/10/island/Shikoku/	Island
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	City
7b93e6a1:150814fecb6:9a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	City
7b93e6a1:150814fecb6:fd8	Membership
7b93e6a1:150814fecb6:902	Membership
7b93e6a1:150814fecb6:163e	Membership
7b93e6a1:150814fecb6:24f4	EthnicProportion
7b93e6a1:150814fecb6:f34	Membership
7b93e6a1:150814fecb6:20d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	City
7b93e6a1:150814fecb6:2450	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	City
7b93e6a1:150814fecb6:189e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	City
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Water
7b93e6a1:150814fecb6:46d	Membership
7b93e6a1:150814fecb6:15ea	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	City
7b93e6a1:150814fecb6:ee0	Membership
7b93e6a1:150814fecb6:a9f	Membership
7b93e6a1:150814fecb6:-99	Membership
7b93e6a1:150814fecb6:-55c	Membership
http://www.semwebtech.org/mondial/10/mountain/Sajama/	Mountain
http://www.semwebtech.org/mondial/10/source/Drau/	Source
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	City
7b93e6a1:150814fecb6:234f	BelievedBy
7b93e6a1:150814fecb6:1f0c	Membership
7b93e6a1:150814fecb6:1206	Membership
7b93e6a1:150814fecb6:7ad	Membership
7b93e6a1:150814fecb6:ddf	Membership
7b93e6a1:150814fecb6:1466	Membership
7b93e6a1:150814fecb6:22fb	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Province
7b93e6a1:150814fecb6:d3b	Membership
7b93e6a1:150814fecb6:1a98	Membership
7b93e6a1:150814fecb6:11b2	Membership
7b93e6a1:150814fecb6:-1c8	Membership
7b93e6a1:150814fecb6:-124	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Province
7b93e6a1:150814fecb6:f9b	Membership
7b93e6a1:150814fecb6:295	Membership
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Province
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	City
7b93e6a1:150814fecb6:629	Membership
7b93e6a1:150814fecb6:17a6	Membership
7b93e6a1:150814fecb6:-384	Membership
http://www.semwebtech.org/mondial/10/island/Jeju/	Island
7b93e6a1:150814fecb6:1dd8	Membership
7b93e6a1:150814fecb6:1702	Membership
7b93e6a1:150814fecb6:-718	Border
7b93e6a1:150814fecb6:2177	SpokenBy
7b93e6a1:150814fecb6:889	Membership
7b93e6a1:150814fecb6:1d34	Membership
7b93e6a1:150814fecb6:100d	Membership
7b93e6a1:150814fecb6:5d5	Membership
7b93e6a1:150814fecb6:1962	Membership
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	Mountain
7b93e6a1:150814fecb6:1f94	Membership
7b93e6a1:150814fecb6:531	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	City
7b93e6a1:150814fecb6:-6c4	Border
7b93e6a1:150814fecb6:126d	Membership
7b93e6a1:150814fecb6:b63	Membership
7b93e6a1:150814fecb6:1ce0	Membership
7b93e6a1:150814fecb6:-620	Border
7b93e6a1:150814fecb6:24b7	EthnicProportion
7b93e6a1:150814fecb6:791	Membership
7b93e6a1:150814fecb6:2413	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Province
http://www.semwebtech.org/mondial/10/island/Mahe/	Island
7b93e6a1:150814fecb6:2673	EthnicProportion
7b93e6a1:150814fecb6:15ad	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Province
7b93e6a1:150814fecb6:-18b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	City
7b93e6a1:150814fecb6:ea3	Membership
7b93e6a1:150814fecb6:1bdf	Membership
7b93e6a1:150814fecb6:-51f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	City
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Water
7b93e6a1:150814fecb6:1b3b	Membership
http://www.semwebtech.org/mondial/10/river/Amur/	Water
7b93e6a1:150814fecb6:3dc	Membership
7b93e6a1:150814fecb6:-77f	Encompassed
http://www.semwebtech.org/mondial/10/island/Cuba/	Island
7b93e6a1:150814fecb6:1d9b	Membership
7b93e6a1:150814fecb6:1095	Membership
7b93e6a1:150814fecb6:b2	Membership
7b93e6a1:150814fecb6:-4cb	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	City
http://www.semwebtech.org/mondial/10/country/BDS/	Country
7b93e6a1:150814fecb6:1429	Membership
7b93e6a1:150814fecb6:22be	BelievedBy
7b93e6a1:150814fecb6:221a	SpokenBy
7b93e6a1:150814fecb6:92c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	City
7b93e6a1:150814fecb6:1689	Membership
7b93e6a1:150814fecb6:f5e	Membership
7b93e6a1:150814fecb6:258	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	City
7b93e6a1:150814fecb6:13d5	Membership
7b93e6a1:150814fecb6:247a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	Water
7b93e6a1:150814fecb6:caa	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Province
http://www.semwebtech.org/mondial/10/island/Baltrum/	Island
7b93e6a1:150814fecb6:1331	Membership
7b93e6a1:150814fecb6:-347	Membership
http://www.semwebtech.org/mondial/10/estuary/Lena/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	City
7b93e6a1:150814fecb6:19c9	Membership
7b93e6a1:150814fecb6:1591	Membership
7b93e6a1:150814fecb6:1925	Membership
7b93e6a1:150814fecb6:160	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	City
7b93e6a1:150814fecb6:-2f3	Membership
http://www.semwebtech.org/mondial/10/source/Ammer/	Source
7b93e6a1:150814fecb6:1f57	Membership
7b93e6a1:150814fecb6:20e6	Membership
7b93e6a1:150814fecb6:b26	Membership
7b93e6a1:150814fecb6:7f8	Membership
7b93e6a1:150814fecb6:1ca3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	City
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Water
7b93e6a1:150814fecb6:2042	Membership
7b93e6a1:150814fecb6:754	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Province
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	Mountain
7b93e6a1:150814fecb6:18d1	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	City
7b93e6a1:150814fecb6:d86	Membership
7b93e6a1:150814fecb6:4a0	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Religion
7b93e6a1:150814fecb6:11dc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	City
7b93e6a1:150814fecb6:ad2	Membership
7b93e6a1:150814fecb6:-ab	Membership
7b93e6a1:150814fecb6:-14e	Membership
7b93e6a1:150814fecb6:2636	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Province
7b93e6a1:150814fecb6:172c	Membership
7b93e6a1:150814fecb6:25e2	EthnicProportion
7b93e6a1:150814fecb6:1d5e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	City
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	City
7b93e6a1:150814fecb6:1058	Membership
7b93e6a1:150814fecb6:5ff	Membership
7b93e6a1:150814fecb6:1aaa	Membership
7b93e6a1:150814fecb6:198c	Membership
7b93e6a1:150814fecb6:-1	Membership
7b93e6a1:150814fecb6:55b	Membership
7b93e6a1:150814fecb6:-6ee	Border
7b93e6a1:150814fecb6:b8d	Membership
7b93e6a1:150814fecb6:-64a	Border
http://www.semwebtech.org/mondial/10/language/Pashtu/	Language
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	City
7b93e6a1:150814fecb6:243d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	City
http://www.semwebtech.org/mondial/10/river/Donau/	Water
http://www.semwebtech.org/mondial/10/island/Isabela/	Island
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Water
7b93e6a1:150814fecb6:15f8	Membership
7b93e6a1:150814fecb6:269d	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Mountains
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	Estuary
7b93e6a1:150814fecb6:ecd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Province
7b93e6a1:150814fecb6:1c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	City
7b93e6a1:150814fecb6:1554	Membership
7b93e6a1:150814fecb6:1b86	Membership
7b93e6a1:150814fecb6:123	Membership
7b93e6a1:150814fecb6:12a0	Membership
7b93e6a1:150814fecb6:-2b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	City
http://www.semwebtech.org/mondial/10/organization/CICA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	City
7b93e6a1:150814fecb6:-212	Membership
7b93e6a1:150814fecb6:20a9	Membership
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	Mountain
7b93e6a1:150814fecb6:383	Membership
7b93e6a1:150814fecb6:dc	Membership
7b93e6a1:150814fecb6:2005	Membership
7b93e6a1:150814fecb6:717	Membership
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	Mountain
7b93e6a1:150814fecb6:-472	Membership
http://www.semwebtech.org/mondial/10/estuary/Jubba/	Estuary
7b93e6a1:150814fecb6:d49	Membership
7b93e6a1:150814fecb6:1ec6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	City
7b93e6a1:150814fecb6:-806	Encompassed
7b93e6a1:150814fecb6:2265	BelievedBy
7b93e6a1:150814fecb6:977	Membership
7b93e6a1:150814fecb6:1e22	Membership
7b93e6a1:150814fecb6:6c3	Membership
7b93e6a1:150814fecb6:13ff	Membership
7b93e6a1:150814fecb6:cf5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	City
7b93e6a1:150814fecb6:135b	Membership
7b93e6a1:150814fecb6:-7b2	Encompassed
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	Province
http://www.semwebtech.org/mondial/10/country/CO/	Country
7b93e6a1:150814fecb6:c51	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	City
7b93e6a1:150814fecb6:25a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	City
7b93e6a1:150814fecb6:2501	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	City
7b93e6a1:150814fecb6:18a	Membership
7b93e6a1:150814fecb6:194f	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhein/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	City
7b93e6a1:150814fecb6:51e	Membership
7b93e6a1:150814fecb6:1ccd	Membership
7b93e6a1:150814fecb6:-60d	Border
7b93e6a1:150814fecb6:206c	Membership
7b93e6a1:150814fecb6:77e	Membership
7b93e6a1:150814fecb6:18fb	Membership
7b93e6a1:150814fecb6:4ca	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	City
7b93e6a1:150814fecb6:afc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Province
7b93e6a1:150814fecb6:-f6	Membership
7b93e6a1:150814fecb6:1183	Membership
7b93e6a1:150814fecb6:-199	Membership
http://www.semwebtech.org/mondial/10/river/Parana/	Water
7b93e6a1:150814fecb6:-52	Membership
7b93e6a1:150814fecb6:1517	Membership
7b93e6a1:150814fecb6:23ac	BelievedBy
http://www.semwebtech.org/mondial/10/source/Tennessee/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Province
7b93e6a1:150814fecb6:1b49	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	City
7b93e6a1:150814fecb6:1777	Membership
7b93e6a1:150814fecb6:346	Membership
7b93e6a1:150814fecb6:14c3	Membership
7b93e6a1:150814fecb6:-4d9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Province
7b93e6a1:150814fecb6:1af5	Membership
7b93e6a1:150814fecb6:-435	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	City
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	City
7b93e6a1:150814fecb6:1a51	Membership
7b93e6a1:150814fecb6:2228	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Province
7b93e6a1:150814fecb6:2f2	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	City
7b93e6a1:150814fecb6:-695	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	City
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	Mountain
http://www.semwebtech.org/mondial/10/country/UA/	Country
7b93e6a1:150814fecb6:-3e1	Membership
7b93e6a1:150814fecb6:2488	EthnicProportion
7b93e6a1:150814fecb6:cb8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Province
7b93e6a1:150814fecb6:131e	Membership
7b93e6a1:150814fecb6:21d4	SpokenBy
7b93e6a1:150814fecb6:c14	Membership
7b93e6a1:150814fecb6:8e6	Membership
http://www.semwebtech.org/mondial/10/country/WG/	Country
7b93e6a1:150814fecb6:2130	SpokenBy
http://www.semwebtech.org/mondial/10/country/AFG/	Country
7b93e6a1:150814fecb6:842	Membership
http://www.semwebtech.org/mondial/10/river/Saluen/	Water
7b93e6a1:150814fecb6:1ff1	Membership
7b93e6a1:150814fecb6:157e	Membership
7b93e6a1:150814fecb6:12ca	Membership
7b93e6a1:150814fecb6:e74	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	City
7b93e6a1:150814fecb6:14d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Province
7b93e6a1:150814fecb6:2390	BelievedBy
7b93e6a1:150814fecb6:bc0	Membership
7b93e6a1:150814fecb6:-23c	Membership
7b93e6a1:150814fecb6:202f	Membership
7b93e6a1:150814fecb6:18be	Membership
7b93e6a1:150814fecb6:-49c	Membership
7b93e6a1:150814fecb6:83	Membership
7b93e6a1:150814fecb6:181a	Membership
7b93e6a1:150814fecb6:228f	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	Estuary
7b93e6a1:150814fecb6:1e4c	Membership
7b93e6a1:150814fecb6:abf	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Province
7b93e6a1:150814fecb6:-b9	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	City
7b93e6a1:150814fecb6:1146	Membership
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Island
7b93e6a1:150814fecb6:6ed	Membership
7b93e6a1:150814fecb6:a1b	Membership
7b93e6a1:150814fecb6:-15	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	City
7b93e6a1:150814fecb6:-7dc	Encompassed
7b93e6a1:150814fecb6:c7b	Membership
7b93e6a1:150814fecb6:10f2	Membership
7b93e6a1:150814fecb6:25cf	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Mountains
7b93e6a1:150814fecb6:309	Membership
7b93e6a1:150814fecb6:252b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	City
7b93e6a1:150814fecb6:1ab8	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Province
7b93e6a1:150814fecb6:569	Membership
7b93e6a1:150814fecb6:1a14	Membership
7b93e6a1:150814fecb6:16e6	Membership
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Desert
7b93e6a1:150814fecb6:fbb	Membership
http://www.semwebtech.org/mondial/10/source/Perene/	Source
7b93e6a1:150814fecb6:2b5	Membership
7b93e6a1:150814fecb6:1642	Membership
7b93e6a1:150814fecb6:-658	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	City
7b93e6a1:150814fecb6:211	Membership
7b93e6a1:150814fecb6:1c74	Membership
7b93e6a1:150814fecb6:-3a4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Province
7b93e6a1:150814fecb6:-300	Membership
7b93e6a1:150814fecb6:8a9	Membership
7b93e6a1:150814fecb6:471	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	City
7b93e6a1:150814fecb6:805	Membership
7b93e6a1:150814fecb6:-7c	Membership
7b93e6a1:150814fecb6:-560	Membership
7b93e6a1:150814fecb6:23f7	BelievedBy
7b93e6a1:150814fecb6:e37	Membership
http://www.semwebtech.org/mondial/10/estuary/Chire/	Estuary
7b93e6a1:150814fecb6:1fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	City
7b93e6a1:150814fecb6:2353	BelievedBy
7b93e6a1:150814fecb6:1f10	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	City
7b93e6a1:150814fecb6:7b1	Membership
7b93e6a1:150814fecb6:14ed	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	City
7b93e6a1:150814fecb6:de3	Membership
7b93e6a1:150814fecb6:-45f	Membership
7b93e6a1:150814fecb6:46	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	City
7b93e6a1:150814fecb6:1a7b	Membership
7b93e6a1:150814fecb6:-1ab	Membership
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Province
7b93e6a1:150814fecb6:1e0f	Membership
7b93e6a1:150814fecb6:1109	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	City
http://www.semwebtech.org/mondial/10/source/Piva/	Source
7b93e6a1:150814fecb6:60c	Membership
7b93e6a1:150814fecb6:21fe	SpokenBy
7b93e6a1:150814fecb6:1369	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	City
http://www.semwebtech.org/mondial/10/island/Vulcano/	Island
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	Estuary
7b93e6a1:150814fecb6:c3e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Province
7b93e6a1:150814fecb6:1dbb	Membership
http://www.semwebtech.org/mondial/10/river/Volta/	Water
7b93e6a1:150814fecb6:10b5	Membership
7b93e6a1:150814fecb6:215a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	City
7b93e6a1:150814fecb6:86c	Membership
7b93e6a1:150814fecb6:1011	Membership
7b93e6a1:150814fecb6:e9e	Membership
7b93e6a1:150814fecb6:198	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	EthnicGroup
7b93e6a1:150814fecb6:bea	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	City
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	City
7b93e6a1:150814fecb6:16a9	Membership
7b93e6a1:150814fecb6:1271	Membership
7b93e6a1:150814fecb6:-287	Membership
7b93e6a1:150814fecb6:1605	Membership
7b93e6a1:150814fecb6:1c37	Membership
http://www.semwebtech.org/mondial/10/mountains/Rif/	Mountains
7b93e6a1:150814fecb6:1865	Membership
7b93e6a1:150814fecb6:4d8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Province
7b93e6a1:150814fecb6:1e97	Membership
7b93e6a1:150814fecb6:434	Membership
7b93e6a1:150814fecb6:15b1	Membership
7b93e6a1:150814fecb6:-5c7	Membership
7b93e6a1:150814fecb6:a66	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	City
7b93e6a1:150814fecb6:1be3	Membership
7b93e6a1:150814fecb6:-3f	Membership
7b93e6a1:150814fecb6:-523	Membership
7b93e6a1:150814fecb6:694	Membership
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	City
7b93e6a1:150814fecb6:2316	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Mountains
7b93e6a1:150814fecb6:3e0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	City
7b93e6a1:150814fecb6:-783	Encompassed
http://www.semwebtech.org/mondial/10/country/RSA/	Country
http://www.semwebtech.org/mondial/10/river/Tshuapa/	Water
7b93e6a1:150814fecb6:2576	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Province
7b93e6a1:150814fecb6:da6	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	City
7b93e6a1:150814fecb6:140c	Membership
7b93e6a1:150814fecb6:22c2	BelievedBy
7b93e6a1:150814fecb6:d02	Membership
7b93e6a1:150814fecb6:9d4	Membership
7b93e6a1:150814fecb6:1a3e	Membership
7b93e6a1:150814fecb6:930	Membership
7b93e6a1:150814fecb6:2df	Membership
7b93e6a1:150814fecb6:166c	Membership
7b93e6a1:150814fecb6:f62	Membership
7b93e6a1:150814fecb6:23b	Membership
7b93e6a1:150814fecb6:1c9e	Membership
7b93e6a1:150814fecb6:-3ce	Membership
7b93e6a1:150814fecb6:-32a	Membership
http://www.semwebtech.org/mondial/10/country/USA/	Country
7b93e6a1:150814fecb6:49b	Membership
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	City
7b93e6a1:150814fecb6:211d	SpokenBy
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	City
7b93e6a1:150814fecb6:82f	Membership
7b93e6a1:150814fecb6:19ac	Membership
7b93e6a1:150814fecb6:-58a	Membership
http://www.semwebtech.org/mondial/10/island/Halmahera/	Island
7b93e6a1:150814fecb6:3	Membership
7b93e6a1:150814fecb6:1fde	Membership
http://www.semwebtech.org/mondial/10/organization/ESA/	Organization
7b93e6a1:150814fecb6:12d8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Province
7b93e6a1:150814fecb6:237d	BelievedBy
7b93e6a1:150814fecb6:bad	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Water
7b93e6a1:150814fecb6:1f3a	Membership
7b93e6a1:150814fecb6:1234	Membership
7b93e6a1:150814fecb6:7db	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	City
http://www.semwebtech.org/mondial/10/island/Formentera/	Island
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	Source
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	City
7b93e6a1:150814fecb6:1494	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	City
7b93e6a1:150814fecb6:1828	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	City
7b93e6a1:150814fecb6:11e0	Membership
7b93e6a1:150814fecb6:-1f6	Membership
7b93e6a1:150814fecb6:26bd	EthnicProportion
7b93e6a1:150814fecb6:-152	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Province
7b93e6a1:150814fecb6:a29	Membership
7b93e6a1:150814fecb6:1ba6	Membership
7b93e6a1:150814fecb6:657	Membership
7b93e6a1:150814fecb6:1b02	Membership
7b93e6a1:150814fecb6:17d4	Membership
7b93e6a1:150814fecb6:c89	Membership
7b93e6a1:150814fecb6:3a3	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	City
7b93e6a1:150814fecb6:1730	Membership
7b93e6a1:150814fecb6:-746	Encompassed
7b93e6a1:150814fecb6:10df	Membership
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Language
7b93e6a1:150814fecb6:1d62	Membership
7b93e6a1:150814fecb6:103b	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	City
7b93e6a1:150814fecb6:2539	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Water
http://www.semwebtech.org/mondial/10/river/Maranon/	Water
7b93e6a1:150814fecb6:1990	Membership
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Islands
7b93e6a1:150814fecb6:-6f2	Border
7b93e6a1:150814fecb6:129b	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Province
http://www.semwebtech.org/mondial/10/country/BS/	Country
7b93e6a1:150814fecb6:fc9	Membership
7b93e6a1:150814fecb6:b91	Membership
7b93e6a1:150814fecb6:162f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	City
7b93e6a1:150814fecb6:24e5	EthnicProportion
7b93e6a1:150814fecb6:f25	Membership
7b93e6a1:150814fecb6:2441	BelievedBy
7b93e6a1:150814fecb6:188f	Membership
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Island
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	City
7b93e6a1:150814fecb6:45e	Membership
7b93e6a1:150814fecb6:15db	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:ed1	Membership
7b93e6a1:150814fecb6:1aa	Membership
7b93e6a1:150814fecb6:-54d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	City
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Province
7b93e6a1:150814fecb6:e0	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Province
7b93e6a1:150814fecb6:1457	Membership
7b93e6a1:150814fecb6:22ec	BelievedBy
7b93e6a1:150814fecb6:d2c	Membership
7b93e6a1:150814fecb6:9fe	Membership
7b93e6a1:150814fecb6:1a89	Membership
7b93e6a1:150814fecb6:11a3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	City
7b93e6a1:150814fecb6:-1b9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	City
7b93e6a1:150814fecb6:95a	Membership
7b93e6a1:150814fecb6:-115	Membership
7b93e6a1:150814fecb6:f8c	Membership
7b93e6a1:150814fecb6:286	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	City
7b93e6a1:150814fecb6:-375	Membership
7b93e6a1:150814fecb6:1dc9	Membership
7b93e6a1:150814fecb6:-709	Border
7b93e6a1:150814fecb6:2168	SpokenBy
7b93e6a1:150814fecb6:1d25	Membership
7b93e6a1:150814fecb6:19f7	Membership
http://www.semwebtech.org/mondial/10/estuary/Isar/	Estuary
7b93e6a1:150814fecb6:5c6	Membership
7b93e6a1:150814fecb6:1953	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	City
7b93e6a1:150814fecb6:1f85	Membership
7b93e6a1:150814fecb6:bf8	Membership
7b93e6a1:150814fecb6:522	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	City
7b93e6a1:150814fecb6:-6b5	Border
7b93e6a1:150814fecb6:125e	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	City
7b93e6a1:150814fecb6:b54	Membership
7b93e6a1:150814fecb6:1cd1	Membership
7b93e6a1:150814fecb6:-611	Border
7b93e6a1:150814fecb6:24a8	EthnicProportion
7b93e6a1:150814fecb6:2070	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	City
http://www.semwebtech.org/mondial/10/island/Aruba/	Island
7b93e6a1:150814fecb6:782	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Province
7b93e6a1:150814fecb6:2404	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	City
http://www.semwebtech.org/mondial/10/island/Kos/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Province
7b93e6a1:150814fecb6:-17c	Membership
7b93e6a1:150814fecb6:2664	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZW/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	City
7b93e6a1:150814fecb6:23b0	BelievedBy
7b93e6a1:150814fecb6:1b2c	Membership
7b93e6a1:150814fecb6:17fe	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	City
7b93e6a1:150814fecb6:3cd	Membership
http://www.semwebtech.org/mondial/10/language/Catalan/	Language
7b93e6a1:150814fecb6:175a	Membership
http://www.semwebtech.org/mondial/10/island/Graciosa/	Island
7b93e6a1:150814fecb6:1d8c	Membership
7b93e6a1:150814fecb6:-4bc	Membership
7b93e6a1:150814fecb6:1086	Membership
7b93e6a1:150814fecb6:a3	Membership
7b93e6a1:150814fecb6:22af	BelievedBy
http://www.semwebtech.org/mondial/10/country/AND/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	City
7b93e6a1:150814fecb6:220b	SpokenBy
http://www.semwebtech.org/mondial/10/river/Reuss/	Water
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Province
7b93e6a1:150814fecb6:91d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Province
7b93e6a1:150814fecb6:f4f	Membership
7b93e6a1:150814fecb6:249	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Province
7b93e6a1:150814fecb6:13c6	Membership
7b93e6a1:150814fecb6:246b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	City
http://www.semwebtech.org/mondial/10/estuary/Morava/	Estuary
http://www.semwebtech.org/mondial/10/organization/GCC/	Organization
7b93e6a1:150814fecb6:1322	Membership
7b93e6a1:150814fecb6:-338	Membership
http://www.semwebtech.org/mondial/10/country/D/	Country
7b93e6a1:150814fecb6:1582	Membership
7b93e6a1:150814fecb6:efb	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	City
7b93e6a1:150814fecb6:1f5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	City
7b93e6a1:150814fecb6:-598	Membership
7b93e6a1:150814fecb6:1916	Membership
7b93e6a1:150814fecb6:151	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	City
7b93e6a1:150814fecb6:-2e4	Membership
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	City
7b93e6a1:150814fecb6:1f48	Membership
7b93e6a1:150814fecb6:-240	Membership
7b93e6a1:150814fecb6:20d7	Membership
7b93e6a1:150814fecb6:b17	Membership
7b93e6a1:150814fecb6:7e9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	EthnicGroup
7b93e6a1:150814fecb6:2033	Membership
7b93e6a1:150814fecb6:745	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	City
http://www.semwebtech.org/mondial/10/mountain/Pelee/	Mountain
7b93e6a1:150814fecb6:18c2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	City
7b93e6a1:150814fecb6:d77	Membership
7b93e6a1:150814fecb6:1ef4	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	City
7b93e6a1:150814fecb6:11cd	Membership
7b93e6a1:150814fecb6:2293	BelievedBy
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Island
7b93e6a1:150814fecb6:ac3	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	City
7b93e6a1:150814fecb6:1e50	Membership
7b93e6a1:150814fecb6:-13f	Membership
7b93e6a1:150814fecb6:2627	EthnicProportion
7b93e6a1:150814fecb6:6f1	Membership
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Island
7b93e6a1:150814fecb6:-7e0	Encompassed
7b93e6a1:150814fecb6:-39f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Province
7b93e6a1:150814fecb6:171d	Membership
7b93e6a1:150814fecb6:25d3	EthnicProportion
7b93e6a1:150814fecb6:1d4f	Membership
7b93e6a1:150814fecb6:1049	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Province
7b93e6a1:150814fecb6:197d	Membership
7b93e6a1:150814fecb6:54c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	City
7b93e6a1:150814fecb6:-6df	Border
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	Mountain
7b93e6a1:150814fecb6:b7e	Membership
7b93e6a1:150814fecb6:1cfb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	City
7b93e6a1:150814fecb6:-63b	Border
7b93e6a1:150814fecb6:209a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	City
7b93e6a1:150814fecb6:242e	BelievedBy
7b93e6a1:150814fecb6:15e9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	City
7b93e6a1:150814fecb6:268e	EthnicProportion
7b93e6a1:150814fecb6:23da	BelievedBy
7b93e6a1:150814fecb6:ebe	Membership
7b93e6a1:150814fecb6:1b77	Membership
7b93e6a1:150814fecb6:1b8	Membership
7b93e6a1:150814fecb6:-80	Membership
7b93e6a1:150814fecb6:1545	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	City
7b93e6a1:150814fecb6:e1a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	City
7b93e6a1:150814fecb6:114	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	City
7b93e6a1:150814fecb6:-2a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	EthnicGroup
7b93e6a1:150814fecb6:-203	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	City
7b93e6a1:150814fecb6:374	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	City
7b93e6a1:150814fecb6:14f1	Membership
7b93e6a1:150814fecb6:cd	Membership
7b93e6a1:150814fecb6:708	Membership
7b93e6a1:150814fecb6:-463	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	EthnicGroup
7b93e6a1:150814fecb6:1eb7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Province
7b93e6a1:150814fecb6:2256	BelievedBy
7b93e6a1:150814fecb6:968	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	City
7b93e6a1:150814fecb6:1e13	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Province
7b93e6a1:150814fecb6:6b4	Membership
http://www.semwebtech.org/mondial/10/island/Bioko/	Island
7b93e6a1:150814fecb6:ce6	Membership
7b93e6a1:150814fecb6:610	Membership
7b93e6a1:150814fecb6:-7a3	Encompassed
7b93e6a1:150814fecb6:134c	Membership
7b93e6a1:150814fecb6:c42	Membership
7b93e6a1:150814fecb6:870	Membership
7b93e6a1:150814fecb6:17b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	City
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Province
7b93e6a1:150814fecb6:50f	Membership
http://www.semwebtech.org/mondial/10/source/Indus/	Source
7b93e6a1:150814fecb6:-26a	Membership
http://www.semwebtech.org/mondial/10/river/Raab/	Water
7b93e6a1:150814fecb6:1cbe	Membership
7b93e6a1:150814fecb6:205d	Membership
http://www.semwebtech.org/mondial/10/island/Amrum/	Island
7b93e6a1:150814fecb6:76f	Membership
7b93e6a1:150814fecb6:1c1a	Membership
7b93e6a1:150814fecb6:18ec	Membership
7b93e6a1:150814fecb6:4bb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	City
7b93e6a1:150814fecb6:aed	Membership
7b93e6a1:150814fecb6:1e7a	Membership
7b93e6a1:150814fecb6:-e7	Membership
7b93e6a1:150814fecb6:-5aa	Membership
7b93e6a1:150814fecb6:1174	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	City
7b93e6a1:150814fecb6:-43	Membership
7b93e6a1:150814fecb6:1508	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	City
7b93e6a1:150814fecb6:1768	Membership
7b93e6a1:150814fecb6:25fd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	City
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Water
7b93e6a1:150814fecb6:337	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	City
7b93e6a1:150814fecb6:14b4	Membership
7b93e6a1:150814fecb6:1ae6	Membership
7b93e6a1:150814fecb6:1410	Membership
7b93e6a1:150814fecb6:-426	Membership
7b93e6a1:150814fecb6:597	Membership
7b93e6a1:150814fecb6:1a42	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Province
7b93e6a1:150814fecb6:2219	SpokenBy
7b93e6a1:150814fecb6:1670	Membership
7b93e6a1:150814fecb6:2e3	Membership
7b93e6a1:150814fecb6:-686	Border
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	City
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	Estuary
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	Mountain
7b93e6a1:150814fecb6:-3d2	Membership
7b93e6a1:150814fecb6:2479	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	City
7b93e6a1:150814fecb6:ca9	Membership
7b93e6a1:150814fecb6:130f	Membership
7b93e6a1:150814fecb6:21c5	SpokenBy
7b93e6a1:150814fecb6:c05	Membership
7b93e6a1:150814fecb6:8d7	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Province
7b93e6a1:150814fecb6:2121	SpokenBy
7b93e6a1:150814fecb6:833	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	City
7b93e6a1:150814fecb6:19b0	Membership
7b93e6a1:150814fecb6:156f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Province
7b93e6a1:150814fecb6:e65	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	City
7b93e6a1:150814fecb6:1fe2	Membership
7b93e6a1:150814fecb6:13e	Membership
7b93e6a1:150814fecb6:12bb	Membership
7b93e6a1:150814fecb6:2381	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	City
7b93e6a1:150814fecb6:bb1	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	City
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	Estuary
7b93e6a1:150814fecb6:-22d	Membership
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	Source
7b93e6a1:150814fecb6:39e	Membership
http://www.semwebtech.org/mondial/10/islands/Azores/	Islands
http://www.semwebtech.org/mondial/10/source/Colorado/	Source
7b93e6a1:150814fecb6:18af	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	City
7b93e6a1:150814fecb6:-48d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	City
7b93e6a1:150814fecb6:74	Membership
7b93e6a1:150814fecb6:180b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	City
7b93e6a1:150814fecb6:26c1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	City
7b93e6a1:150814fecb6:1e3d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	City
7b93e6a1:150814fecb6:1137	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	City
7b93e6a1:150814fecb6:6de	Membership
7b93e6a1:150814fecb6:a0c	Membership
7b93e6a1:150814fecb6:63a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	City
7b93e6a1:150814fecb6:-7cd	Encompassed
7b93e6a1:150814fecb6:1397	Membership
http://www.semwebtech.org/mondial/10/island/Mykonos/	Island
7b93e6a1:150814fecb6:c6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	City
7b93e6a1:150814fecb6:10e3	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	City
http://www.semwebtech.org/mondial/10/country/LV/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Province
7b93e6a1:150814fecb6:89a	Membership
7b93e6a1:150814fecb6:251c	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/IFRCS/	Organization
7b93e6a1:150814fecb6:1aa9	Membership
7b93e6a1:150814fecb6:1a05	Membership
7b93e6a1:150814fecb6:16d7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Province
7b93e6a1:150814fecb6:fac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	City
7b93e6a1:150814fecb6:2a6	Membership
7b93e6a1:150814fecb6:1633	Membership
7b93e6a1:150814fecb6:-649	Border
http://www.semwebtech.org/mondial/10/organization/IAEA/	Organization
7b93e6a1:150814fecb6:202	Membership
7b93e6a1:150814fecb6:1c65	Membership
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	Mountain
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Province
7b93e6a1:150814fecb6:1893	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	City
7b93e6a1:150814fecb6:462	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Water
7b93e6a1:150814fecb6:-5f5	Border
7b93e6a1:150814fecb6:119e	Membership
7b93e6a1:150814fecb6:a94	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	City
7b93e6a1:150814fecb6:-6d	Membership
7b93e6a1:150814fecb6:-551	Membership
7b93e6a1:150814fecb6:23e8	BelievedBy
7b93e6a1:150814fecb6:e28	Membership
7b93e6a1:150814fecb6:1fa5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	EthnicGroup
http://www.semwebtech.org/mondial/10/organization/IMO/	Organization
7b93e6a1:150814fecb6:2344	BelievedBy
7b93e6a1:150814fecb6:1f01	Membership
7b93e6a1:150814fecb6:7a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	City
7b93e6a1:150814fecb6:14de	Membership
7b93e6a1:150814fecb6:dd4	Membership
7b93e6a1:150814fecb6:22f0	BelievedBy
7b93e6a1:150814fecb6:143a	Membership
7b93e6a1:150814fecb6:37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	City
7b93e6a1:150814fecb6:d30	Membership
7b93e6a1:150814fecb6:1a6c	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	EthnicGroup
7b93e6a1:150814fecb6:169a	Membership
7b93e6a1:150814fecb6:f90	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	City
7b93e6a1:150814fecb6:-3fc	Membership
http://www.semwebtech.org/mondial/10/language/Hindi/	Language
http://www.semwebtech.org/mondial/10/organization/AMF/	Organization
7b93e6a1:150814fecb6:21ef	SpokenBy
7b93e6a1:150814fecb6:c2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	City
7b93e6a1:150814fecb6:1dac	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	City
7b93e6a1:150814fecb6:10a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	EthnicGroup
7b93e6a1:150814fecb6:214b	SpokenBy
7b93e6a1:150814fecb6:19da	Membership
7b93e6a1:150814fecb6:85d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	City
7b93e6a1:150814fecb6:1002	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	City
7b93e6a1:150814fecb6:e8f	Membership
7b93e6a1:150814fecb6:189	Membership
7b93e6a1:150814fecb6:bdb	Membership
7b93e6a1:150814fecb6:1262	Membership
7b93e6a1:150814fecb6:-278	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	City
7b93e6a1:150814fecb6:1c28	Membership
7b93e6a1:150814fecb6:9e	Membership
7b93e6a1:150814fecb6:4c9	Membership
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	Mountain
7b93e6a1:150814fecb6:1856	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Province
7b93e6a1:150814fecb6:1e88	Membership
7b93e6a1:150814fecb6:425	Membership
7b93e6a1:150814fecb6:15a2	Membership
7b93e6a1:150814fecb6:-5b8	Membership
7b93e6a1:150814fecb6:-180	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	City
7b93e6a1:150814fecb6:a57	Membership
http://www.semwebtech.org/mondial/10/language/Norwegian/	Language
7b93e6a1:150814fecb6:1bd4	Membership
7b93e6a1:150814fecb6:-514	Membership
7b93e6a1:150814fecb6:685	Membership
7b93e6a1:150814fecb6:1b30	Membership
7b93e6a1:150814fecb6:2307	BelievedBy
http://www.semwebtech.org/mondial/10/language/Icelandic/	Language
7b93e6a1:150814fecb6:3d1	Membership
7b93e6a1:150814fecb6:-774	Encompassed
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Province
7b93e6a1:150814fecb6:1d90	Membership
7b93e6a1:150814fecb6:-4c0	Membership
7b93e6a1:150814fecb6:2567	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	City
7b93e6a1:150814fecb6:22b3	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	City
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	Mountain
7b93e6a1:150814fecb6:9c5	Membership
7b93e6a1:150814fecb6:1a2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	City
7b93e6a1:150814fecb6:ff7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	City
7b93e6a1:150814fecb6:921	Membership
http://www.semwebtech.org/mondial/10/source/Iller/	Source
7b93e6a1:150814fecb6:165d	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	City
http://www.semwebtech.org/mondial/10/river/Shabelle/	Water
7b93e6a1:150814fecb6:f53	Membership
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Islands
7b93e6a1:150814fecb6:22c	Membership
7b93e6a1:150814fecb6:1c8f	Membership
7b93e6a1:150814fecb6:-3bf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	City
7b93e6a1:150814fecb6:-31b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	Mountain
7b93e6a1:150814fecb6:48c	Membership
7b93e6a1:150814fecb6:210e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	City
7b93e6a1:150814fecb6:-57b	Membership
7b93e6a1:150814fecb6:1fcf	Membership
7b93e6a1:150814fecb6:12c9	Membership
7b93e6a1:150814fecb6:236e	BelievedBy
7b93e6a1:150814fecb6:1f2b	Membership
7b93e6a1:150814fecb6:1225	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	City
7b93e6a1:150814fecb6:20ba	Membership
7b93e6a1:150814fecb6:7cc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	EthnicGroup
7b93e6a1:150814fecb6:dfe	Membership
7b93e6a1:150814fecb6:1485	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Province
7b93e6a1:150814fecb6:d5a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	City
7b93e6a1:150814fecb6:1819	Membership
7b93e6a1:150814fecb6:11d1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Province
7b93e6a1:150814fecb6:-1e7	Membership
7b93e6a1:150814fecb6:26ae	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Province
7b93e6a1:150814fecb6:-a0	Membership
7b93e6a1:150814fecb6:-143	Membership
7b93e6a1:150814fecb6:260a	EthnicProportion
7b93e6a1:150814fecb6:648	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIT/	Organization
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Province
7b93e6a1:150814fecb6:17c5	Membership
7b93e6a1:150814fecb6:1df7	Membership
7b93e6a1:150814fecb6:1721	Membership
7b93e6a1:150814fecb6:-737	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	EthnicGroup
7b93e6a1:150814fecb6:2196	SpokenBy
7b93e6a1:150814fecb6:1d53	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Province
7b93e6a1:150814fecb6:102c	Membership
7b93e6a1:150814fecb6:5f4	Membership
7b93e6a1:150814fecb6:1981	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	City
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Desert
7b93e6a1:150814fecb6:550	Membership
7b93e6a1:150814fecb6:-6e3	Border
7b93e6a1:150814fecb6:128c	Membership
7b93e6a1:150814fecb6:b82	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Province
7b93e6a1:150814fecb6:24d6	EthnicProportion
7b93e6a1:150814fecb6:f16	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	City
7b93e6a1:150814fecb6:2432	BelievedBy
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	City
7b93e6a1:150814fecb6:44f	Membership
7b93e6a1:150814fecb6:15cc	Membership
7b93e6a1:150814fecb6:2692	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	City
7b93e6a1:150814fecb6:ec2	Membership
7b93e6a1:150814fecb6:1bfe	Membership
7b93e6a1:150814fecb6:-53e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	City
7b93e6a1:150814fecb6:1b5a	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Water
7b93e6a1:150814fecb6:3fb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	City
7b93e6a1:150814fecb6:-79e	Encompassed
http://www.semwebtech.org/mondial/10/islands/Curiles/	Islands
7b93e6a1:150814fecb6:-4ea	Membership
7b93e6a1:150814fecb6:d1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	City
7b93e6a1:150814fecb6:1448	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	City
7b93e6a1:150814fecb6:22dd	BelievedBy
7b93e6a1:150814fecb6:d1d	Membership
7b93e6a1:150814fecb6:9ef	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Province
7b93e6a1:150814fecb6:94b	Membership
7b93e6a1:150814fecb6:-106	Membership
7b93e6a1:150814fecb6:f7d	Membership
7b93e6a1:150814fecb6:277	Membership
7b93e6a1:150814fecb6:13f4	Membership
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Province
7b93e6a1:150814fecb6:1350	Membership
7b93e6a1:150814fecb6:-366	Membership
7b93e6a1:150814fecb6:2159	SpokenBy
http://www.semwebtech.org/mondial/10/river/Morava/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	City
7b93e6a1:150814fecb6:1d16	Membership
7b93e6a1:150814fecb6:19e8	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	City
7b93e6a1:150814fecb6:5b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	EthnicGroup
7b93e6a1:150814fecb6:1944	Membership
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Language
7b93e6a1:150814fecb6:1f76	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Province
7b93e6a1:150814fecb6:be9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	City
7b93e6a1:150814fecb6:513	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Province
7b93e6a1:150814fecb6:-6a6	Border
7b93e6a1:150814fecb6:124f	Membership
7b93e6a1:150814fecb6:b45	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	City
7b93e6a1:150814fecb6:1cc2	Membership
7b93e6a1:150814fecb6:-602	Border
7b93e6a1:150814fecb6:2061	Membership
7b93e6a1:150814fecb6:773	Membership
7b93e6a1:150814fecb6:18f0	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	City
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Language
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	City
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Islands
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	City
7b93e6a1:150814fecb6:11fb	Membership
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Island
7b93e6a1:150814fecb6:af1	Membership
7b93e6a1:150814fecb6:-ca	Membership
7b93e6a1:150814fecb6:-16d	Membership
7b93e6a1:150814fecb6:2655	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	City
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	Estuary
7b93e6a1:150814fecb6:23a1	BelievedBy
7b93e6a1:150814fecb6:1b1d	Membership
7b93e6a1:150814fecb6:17ef	Membership
7b93e6a1:150814fecb6:3be	Membership
7b93e6a1:150814fecb6:174b	Membership
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	City
7b93e6a1:150814fecb6:1d7d	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	City
7b93e6a1:150814fecb6:31a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Province
7b93e6a1:150814fecb6:-4ad	Membership
7b93e6a1:150814fecb6:1077	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	City
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Mountains
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	EthnicGroup
http://www.semwebtech.org/mondial/10/islands/Carolines/	Islands
7b93e6a1:150814fecb6:57a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	City
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Province
7b93e6a1:150814fecb6:90e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	City
http://www.semwebtech.org/mondial/10/river/Weser/	Water
7b93e6a1:150814fecb6:13b7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	City
7b93e6a1:150814fecb6:245c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Province
7b93e6a1:150814fecb6:1313	Membership
7b93e6a1:150814fecb6:-329	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Water
7b93e6a1:150814fecb6:8ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	City
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Water
7b93e6a1:150814fecb6:eec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	City
7b93e6a1:150814fecb6:1e6	Membership
7b93e6a1:150814fecb6:1573	Membership
7b93e6a1:150814fecb6:-589	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Province
7b93e6a1:150814fecb6:142	Membership
7b93e6a1:150814fecb6:1907	Membership
7b93e6a1:150814fecb6:-2d5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/SchattalArab/	Water
7b93e6a1:150814fecb6:1f39	Membership
http://www.semwebtech.org/mondial/10/country/RM/	Country
7b93e6a1:150814fecb6:-231	Membership
7b93e6a1:150814fecb6:20c8	Membership
7b93e6a1:150814fecb6:b08	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Angara/	Estuary
7b93e6a1:150814fecb6:fb	Membership
7b93e6a1:150814fecb6:2024	Membership
7b93e6a1:150814fecb6:736	Membership
7b93e6a1:150814fecb6:18b3	Membership
7b93e6a1:150814fecb6:-491	Membership
7b93e6a1:150814fecb6:d68	Membership
7b93e6a1:150814fecb6:1ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	Province
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	Mountain
7b93e6a1:150814fecb6:11be	Membership
7b93e6a1:150814fecb6:2284	BelievedBy
7b93e6a1:150814fecb6:ab4	Membership
7b93e6a1:150814fecb6:996	Membership
7b93e6a1:150814fecb6:1e41	Membership
7b93e6a1:150814fecb6:111a	Membership
7b93e6a1:150814fecb6:2618	EthnicProportion
7b93e6a1:150814fecb6:6e2	Membership
7b93e6a1:150814fecb6:a10	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Province
7b93e6a1:150814fecb6:137a	Membership
7b93e6a1:150814fecb6:-7d1	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	City
7b93e6a1:150814fecb6:c70	Membership
7b93e6a1:150814fecb6:170e	Membership
7b93e6a1:150814fecb6:25c4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Province
7b93e6a1:150814fecb6:2520	EthnicProportion
http://www.semwebtech.org/mondial/10/island/LongIsland/	Island
7b93e6a1:150814fecb6:196e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	City
7b93e6a1:150814fecb6:53d	Membership
7b93e6a1:150814fecb6:16ba	Membership
7b93e6a1:150814fecb6:fb0	Membership
7b93e6a1:150814fecb6:b6f	Membership
7b93e6a1:150814fecb6:1cec	Membership
7b93e6a1:150814fecb6:-62c	Border
7b93e6a1:150814fecb6:208b	Membership
7b93e6a1:150814fecb6:79d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Province
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	Mountain
7b93e6a1:150814fecb6:241f	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	City
http://www.semwebtech.org/mondial/10/organization/WCO/	Organization
7b93e6a1:150814fecb6:267f	EthnicProportion
7b93e6a1:150814fecb6:eaf	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	City
7b93e6a1:150814fecb6:1a9	Membership
7b93e6a1:150814fecb6:-71	Membership
7b93e6a1:150814fecb6:1536	Membership
7b93e6a1:150814fecb6:23cb	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	City
7b93e6a1:150814fecb6:e0b	Membership
7b93e6a1:150814fecb6:105	Membership
7b93e6a1:150814fecb6:1b68	Membership
http://www.semwebtech.org/mondial/10/country/R/	Country
7b93e6a1:150814fecb6:1796	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Province
7b93e6a1:150814fecb6:14e2	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Province
7b93e6a1:150814fecb6:365	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Province
7b93e6a1:150814fecb6:-4f8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	City
7b93e6a1:150814fecb6:be	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	City
7b93e6a1:150814fecb6:-454	Membership
7b93e6a1:150814fecb6:1a	Membership
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	Water
7b93e6a1:150814fecb6:1ea8	Membership
7b93e6a1:150814fecb6:1a70	Membership
7b93e6a1:150814fecb6:-1a0	Membership
7b93e6a1:150814fecb6:2247	BelievedBy
7b93e6a1:150814fecb6:959	Membership
7b93e6a1:150814fecb6:1e04	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	City
http://www.semwebtech.org/mondial/10/island/Rota/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	City
7b93e6a1:150814fecb6:6a5	Membership
7b93e6a1:150814fecb6:cd7	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	City
7b93e6a1:150814fecb6:601	Membership
7b93e6a1:150814fecb6:133d	Membership
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Water
7b93e6a1:150814fecb6:21f3	SpokenBy
7b93e6a1:150814fecb6:c33	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Province
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	City
7b93e6a1:150814fecb6:1db0	Membership
7b93e6a1:150814fecb6:861	Membership
7b93e6a1:150814fecb6:159d	Membership
7b93e6a1:150814fecb6:e93	Membership
7b93e6a1:150814fecb6:16c	Membership
http://www.semwebtech.org/mondial/10/river/Waag/	Water
7b93e6a1:150814fecb6:-2ff	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	City
7b93e6a1:150814fecb6:-25b	Membership
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	Water
http://www.semwebtech.org/mondial/10/country/RCH/	Country
7b93e6a1:150814fecb6:1caf	Membership
7b93e6a1:150814fecb6:204e	Membership
http://www.semwebtech.org/mondial/10/source/Zambezi/	Source
7b93e6a1:150814fecb6:1c0b	Membership
7b93e6a1:150814fecb6:18dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	City
7b93e6a1:150814fecb6:4ac	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	City
7b93e6a1:150814fecb6:ade	Membership
7b93e6a1:150814fecb6:1e6b	Membership
7b93e6a1:150814fecb6:-d8	Membership
http://www.semwebtech.org/mondial/10/source/YukonRiver/	Source
7b93e6a1:150814fecb6:1165	Membership
7b93e6a1:150814fecb6:a3a	Membership
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	Mountain
7b93e6a1:150814fecb6:-34	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Province
7b93e6a1:150814fecb6:-7fb	Encompassed
7b93e6a1:150814fecb6:25ee	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Province
7b93e6a1:150814fecb6:c9a	Membership
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	Estuary
7b93e6a1:150814fecb6:1759	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	City
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mountains
7b93e6a1:150814fecb6:1699	Membership
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	City
7b93e6a1:150814fecb6:328	Membership
7b93e6a1:150814fecb6:14a5	Membership
7b93e6a1:150814fecb6:254a	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/NamCo/	Water
7b93e6a1:150814fecb6:1ad7	Membership
7b93e6a1:150814fecb6:1401	Membership
7b93e6a1:150814fecb6:-417	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Province
7b93e6a1:150814fecb6:-d	Membership
7b93e6a1:150814fecb6:588	Membership
7b93e6a1:150814fecb6:1a33	Membership
7b93e6a1:150814fecb6:fda	Membership
7b93e6a1:150814fecb6:1661	Membership
7b93e6a1:150814fecb6:2d4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Province
7b93e6a1:150814fecb6:-677	Border
7b93e6a1:150814fecb6:230	Membership
7b93e6a1:150814fecb6:1c93	Membership
7b93e6a1:150814fecb6:-3c3	Membership
7b93e6a1:150814fecb6:21b6	SpokenBy
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	City
7b93e6a1:150814fecb6:8c8	Membership
7b93e6a1:150814fecb6:490	Membership
7b93e6a1:150814fecb6:2112	Membership
http://www.semwebtech.org/mondial/10/country/NORF/	Country
7b93e6a1:150814fecb6:19a1	Membership
7b93e6a1:150814fecb6:824	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	City
7b93e6a1:150814fecb6:-9b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Province
7b93e6a1:150814fecb6:e56	Membership
7b93e6a1:150814fecb6:1fd3	Membership
7b93e6a1:150814fecb6:12f	Membership
7b93e6a1:150814fecb6:12ac	Membership
7b93e6a1:150814fecb6:2372	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRU/	Country
7b93e6a1:150814fecb6:ba2	Membership
http://www.semwebtech.org/mondial/10/source/Rhone/	Source
7b93e6a1:150814fecb6:-21e	Membership
7b93e6a1:150814fecb6:7d0	Membership
7b93e6a1:150814fecb6:38f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	Mountain
7b93e6a1:150814fecb6:-47e	Membership
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Water
7b93e6a1:150814fecb6:65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	City
7b93e6a1:150814fecb6:1a9a	Membership
7b93e6a1:150814fecb6:-1ca	Membership
7b93e6a1:150814fecb6:26b2	EthnicProportion
7b93e6a1:150814fecb6:1e2e	Membership
7b93e6a1:150814fecb6:1128	Membership
7b93e6a1:150814fecb6:6cf	Membership
7b93e6a1:150814fecb6:62b	Membership
7b93e6a1:150814fecb6:-7be	Encompassed
7b93e6a1:150814fecb6:1388	Membership
7b93e6a1:150814fecb6:c5d	Membership
7b93e6a1:150814fecb6:1dda	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Province
7b93e6a1:150814fecb6:-71a	Border
7b93e6a1:150814fecb6:10d4	Membership
http://www.semwebtech.org/mondial/10/island/SanAndres/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Province
7b93e6a1:150814fecb6:88b	Membership
7b93e6a1:150814fecb6:1030	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	City
7b93e6a1:150814fecb6:250d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	City
http://www.semwebtech.org/mondial/10/source/Karun/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	City
http://www.semwebtech.org/mondial/10/source/Würm/	Source
7b93e6a1:150814fecb6:16c8	Membership
7b93e6a1:150814fecb6:1290	Membership
7b93e6a1:150814fecb6:1624	Membership
7b93e6a1:150814fecb6:2099	Membership
7b93e6a1:150814fecb6:1c56	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Province
7b93e6a1:150814fecb6:4f7	Membership
7b93e6a1:150814fecb6:1884	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	Estuary
7b93e6a1:150814fecb6:453	Membership
7b93e6a1:150814fecb6:15d0	Membership
7b93e6a1:150814fecb6:-5e6	Border
7b93e6a1:150814fecb6:118f	Membership
http://www.semwebtech.org/mondial/10/islands/Philipines/	Islands
7b93e6a1:150814fecb6:a85	Membership
http://www.semwebtech.org/mondial/10/country/NEP/	Country
7b93e6a1:150814fecb6:-5e	Membership
7b93e6a1:150814fecb6:-542	Membership
7b93e6a1:150814fecb6:23d9	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	City
7b93e6a1:150814fecb6:e19	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Province
7b93e6a1:150814fecb6:2335	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	Mountain
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization
http://www.semwebtech.org/mondial/10/country/BF/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	City
http://www.semwebtech.org/mondial/10/organization/C/	Organization
7b93e6a1:150814fecb6:14cf	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Province
7b93e6a1:150814fecb6:2595	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Mountains
7b93e6a1:150814fecb6:dc5	Membership
7b93e6a1:150814fecb6:22e1	BelievedBy
7b93e6a1:150814fecb6:142b	Membership
7b93e6a1:150814fecb6:d21	Membership
7b93e6a1:150814fecb6:28	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Province
7b93e6a1:150814fecb6:9f3	Membership
7b93e6a1:150814fecb6:1a5d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	Province
http://www.semwebtech.org/mondial/10/river/RioLerma/	Water
http://www.semwebtech.org/mondial/10/organization/D-8/	Organization
7b93e6a1:150814fecb6:2fe	Membership
7b93e6a1:150814fecb6:168b	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Province
7b93e6a1:150814fecb6:f81	Membership
7b93e6a1:150814fecb6:25a	Membership
7b93e6a1:150814fecb6:-3ed	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	City
7b93e6a1:150814fecb6:213c	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	City
7b93e6a1:150814fecb6:84e	Membership
7b93e6a1:150814fecb6:19cb	Membership
7b93e6a1:150814fecb6:239c	BelievedBy
7b93e6a1:150814fecb6:1ffd	Membership
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	Island
7b93e6a1:150814fecb6:12f7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Province
http://www.semwebtech.org/mondial/10/country/STP/	Country
7b93e6a1:150814fecb6:bcc	Membership
7b93e6a1:150814fecb6:1253	Membership
7b93e6a1:150814fecb6:-269	Membership
http://www.semwebtech.org/mondial/10/organization/G-8/	Organization
http://www.semwebtech.org/mondial/10/estuary/Neckar/	Estuary
7b93e6a1:150814fecb6:7fa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Province
7b93e6a1:150814fecb6:1c19	Membership
7b93e6a1:150814fecb6:8f	Membership
http://www.semwebtech.org/mondial/10/language/Samoan/	Language
7b93e6a1:150814fecb6:1847	Membership
7b93e6a1:150814fecb6:416	Membership
7b93e6a1:150814fecb6:1e79	Membership
7b93e6a1:150814fecb6:-5a9	Membership
7b93e6a1:150814fecb6:-171	Membership
7b93e6a1:150814fecb6:a48	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	City
7b93e6a1:150814fecb6:1bc5	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	City
7b93e6a1:150814fecb6:-505	Membership
7b93e6a1:150814fecb6:676	Membership
7b93e6a1:150814fecb6:1b21	Membership
7b93e6a1:150814fecb6:17f3	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Province
7b93e6a1:150814fecb6:10fe	Membership
7b93e6a1:150814fecb6:3c2	Membership
7b93e6a1:150814fecb6:-765	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	City
7b93e6a1:150814fecb6:1d81	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	City
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Province
7b93e6a1:150814fecb6:-4b1	Membership
7b93e6a1:150814fecb6:105a	Membership
7b93e6a1:150814fecb6:2558	EthnicProportion
7b93e6a1:150814fecb6:22a4	BelievedBy
7b93e6a1:150814fecb6:9b6	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Province
7b93e6a1:150814fecb6:2200	SpokenBy
7b93e6a1:150814fecb6:fe8	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	City
7b93e6a1:150814fecb6:912	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	City
7b93e6a1:150814fecb6:164e	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Province
7b93e6a1:150814fecb6:f44	Membership
7b93e6a1:150814fecb6:21d	Membership
7b93e6a1:150814fecb6:2460	EthnicProportion
7b93e6a1:150814fecb6:f6e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	City
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	City
7b93e6a1:150814fecb6:-30c	Membership
http://www.semwebtech.org/mondial/10/country/IRL/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	City
7b93e6a1:150814fecb6:15fa	Membership
7b93e6a1:150814fecb6:47d	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	City
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	City
7b93e6a1:150814fecb6:ef0	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	City
7b93e6a1:150814fecb6:-56c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Province
7b93e6a1:150814fecb6:235f	BelievedBy
7b93e6a1:150814fecb6:1f1c	Membership
7b93e6a1:150814fecb6:1216	Membership
7b93e6a1:150814fecb6:20ab	Membership
7b93e6a1:150814fecb6:7bd	Membership
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	Source
http://www.semwebtech.org/mondial/10/source/Tocantins/	Source
7b93e6a1:150814fecb6:def	Membership
7b93e6a1:150814fecb6:1476	Membership
http://www.semwebtech.org/mondial/10/island/Bohol/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	City
7b93e6a1:150814fecb6:d4b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Province
7b93e6a1:150814fecb6:11c2	Membership
7b93e6a1:150814fecb6:-1d8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	City
7b93e6a1:150814fecb6:-134	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	City
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	City
7b93e6a1:150814fecb6:639	Membership
7b93e6a1:150814fecb6:17b6	Membership
7b93e6a1:150814fecb6:-394	Membership
7b93e6a1:150814fecb6:1de8	Membership
7b93e6a1:150814fecb6:1712	Membership
7b93e6a1:150814fecb6:-728	Encompassed
7b93e6a1:150814fecb6:2187	SpokenBy
7b93e6a1:150814fecb6:899	Membership
7b93e6a1:150814fecb6:1d44	Membership
7b93e6a1:150814fecb6:101d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	City
7b93e6a1:150814fecb6:5e5	Membership
7b93e6a1:150814fecb6:1972	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	City
7b93e6a1:150814fecb6:541	Membership
7b93e6a1:150814fecb6:-6d4	Border
7b93e6a1:150814fecb6:127d	Membership
7b93e6a1:150814fecb6:b73	Membership
7b93e6a1:150814fecb6:1cf0	Membership
7b93e6a1:150814fecb6:-630	Border
7b93e6a1:150814fecb6:24c7	EthnicProportion
7b93e6a1:150814fecb6:f07	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Province
7b93e6a1:150814fecb6:2423	BelievedBy
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	Province
http://www.semwebtech.org/mondial/10/island/Corvo/	Island
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	City
7b93e6a1:150814fecb6:15bd	Membership
7b93e6a1:150814fecb6:-19b	Membership
7b93e6a1:150814fecb6:2683	EthnicProportion
7b93e6a1:150814fecb6:eb3	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Province
7b93e6a1:150814fecb6:1bef	Membership
7b93e6a1:150814fecb6:-52f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Province
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Province
7b93e6a1:150814fecb6:1b4b	Membership
7b93e6a1:150814fecb6:3ec	Membership
7b93e6a1:150814fecb6:-78f	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Mountains
7b93e6a1:150814fecb6:-4db	Membership
7b93e6a1:150814fecb6:c2	Membership
7b93e6a1:150814fecb6:1439	Membership
7b93e6a1:150814fecb6:22ce	BelievedBy
7b93e6a1:150814fecb6:d0e	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	City
7b93e6a1:150814fecb6:222a	SpokenBy
7b93e6a1:150814fecb6:93c	Membership
7b93e6a1:150814fecb6:268	Membership
7b93e6a1:150814fecb6:13e5	Membership
7b93e6a1:150814fecb6:248a	EthnicProportion
7b93e6a1:150814fecb6:cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	City
7b93e6a1:150814fecb6:1341	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	City
7b93e6a1:150814fecb6:-357	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	City
http://www.semwebtech.org/mondial/10/language/Maltese/	Language
7b93e6a1:150814fecb6:1d07	Membership
7b93e6a1:150814fecb6:19d9	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Province
7b93e6a1:150814fecb6:5a8	Membership
7b93e6a1:150814fecb6:f	Membership
7b93e6a1:150814fecb6:170	Membership
7b93e6a1:150814fecb6:1935	Membership
http://www.semwebtech.org/mondial/10/source/Zaire/	Source
7b93e6a1:150814fecb6:504	Membership
7b93e6a1:150814fecb6:1f67	Membership
7b93e6a1:150814fecb6:20f6	Membership
7b93e6a1:150814fecb6:b36	Membership
7b93e6a1:150814fecb6:1cb3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	City
7b93e6a1:150814fecb6:2052	Membership
7b93e6a1:150814fecb6:764	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	City
7b93e6a1:150814fecb6:18e1	Membership
7b93e6a1:150814fecb6:d96	Membership
7b93e6a1:150814fecb6:4b0	Membership
http://www.semwebtech.org/mondial/10/river/Angara/	Water
7b93e6a1:150814fecb6:11ec	Membership
7b93e6a1:150814fecb6:ae2	Membership
7b93e6a1:150814fecb6:-bb	Membership
7b93e6a1:150814fecb6:2646	EthnicProportion
7b93e6a1:150814fecb6:-15e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Province
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	City
7b93e6a1:150814fecb6:1b0e	Membership
7b93e6a1:150814fecb6:3af	Membership
7b93e6a1:150814fecb6:173c	Membership
7b93e6a1:150814fecb6:25f2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	City
7b93e6a1:150814fecb6:1d6e	Membership
7b93e6a1:150814fecb6:30b	Membership
7b93e6a1:150814fecb6:1068	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	City
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Water
7b93e6a1:150814fecb6:1aba	Membership
7b93e6a1:150814fecb6:199c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	City
http://www.semwebtech.org/mondial/10/source/Aruwimi/	Source
7b93e6a1:150814fecb6:56b	Membership
7b93e6a1:150814fecb6:-6fe	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	City
7b93e6a1:150814fecb6:b9d	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	City
7b93e6a1:150814fecb6:-65a	Border
http://www.semwebtech.org/mondial/10/organization/CACM/	Organization
7b93e6a1:150814fecb6:13a8	Membership
7b93e6a1:150814fecb6:244d	BelievedBy
7b93e6a1:150814fecb6:1304	Membership
http://www.semwebtech.org/mondial/10/source/Lena/	Source
7b93e6a1:150814fecb6:8ab	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Water
7b93e6a1:150814fecb6:edd	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Province
7b93e6a1:150814fecb6:1d7	Membership
7b93e6a1:150814fecb6:1564	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	City
7b93e6a1:150814fecb6:1b96	Membership
7b93e6a1:150814fecb6:133	Membership
7b93e6a1:150814fecb6:12b0	Membership
7b93e6a1:150814fecb6:-2c6	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	City
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Island
7b93e6a1:150814fecb6:-222	Membership
http://www.semwebtech.org/mondial/10/estuary/Bani/	Estuary
7b93e6a1:150814fecb6:20b9	Membership
7b93e6a1:150814fecb6:393	Membership
http://www.semwebtech.org/mondial/10/island/Pico/	Island
7b93e6a1:150814fecb6:ec	Membership
7b93e6a1:150814fecb6:2015	Membership
http://www.semwebtech.org/mondial/10/island/Kreta/	Island
7b93e6a1:150814fecb6:727	Membership
7b93e6a1:150814fecb6:18a4	Membership
7b93e6a1:150814fecb6:-482	Membership
http://www.semwebtech.org/mondial/10/mountain/Semeru/	Mountain
7b93e6a1:150814fecb6:d59	Membership
7b93e6a1:150814fecb6:1ed6	Membership
7b93e6a1:150814fecb6:1800	Membership
7b93e6a1:150814fecb6:-816	Encompassed
7b93e6a1:150814fecb6:11af	Membership
7b93e6a1:150814fecb6:2275	BelievedBy
7b93e6a1:150814fecb6:aa5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	City
7b93e6a1:150814fecb6:987	Membership
7b93e6a1:150814fecb6:1e32	Membership
7b93e6a1:150814fecb6:110b	Membership
7b93e6a1:150814fecb6:2609	EthnicProportion
7b93e6a1:150814fecb6:6d3	Membership
7b93e6a1:150814fecb6:a01	Membership
http://www.semwebtech.org/mondial/10/country/KOS/	Country
7b93e6a1:150814fecb6:-7c2	Encompassed
7b93e6a1:150814fecb6:136b	Membership
7b93e6a1:150814fecb6:c61	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Province
7b93e6a1:150814fecb6:25b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/London/	Province
7b93e6a1:150814fecb6:2511	EthnicProportion
7b93e6a1:150814fecb6:19a	Membership
7b93e6a1:150814fecb6:195f	Membership
7b93e6a1:150814fecb6:52e	Membership
7b93e6a1:150814fecb6:16ab	Membership
7b93e6a1:150814fecb6:fa1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Province
7b93e6a1:150814fecb6:1cdd	Membership
7b93e6a1:150814fecb6:-61d	Border
7b93e6a1:150814fecb6:207c	Membership
http://www.semwebtech.org/mondial/10/river/Luvua/	Water
7b93e6a1:150814fecb6:78e	Membership
7b93e6a1:150814fecb6:4da	Membership
7b93e6a1:150814fecb6:1193	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Province
7b93e6a1:150814fecb6:-62	Membership
7b93e6a1:150814fecb6:1527	Membership
7b93e6a1:150814fecb6:23bc	BelievedBy
7b93e6a1:150814fecb6:1b59	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	City
7b93e6a1:150814fecb6:1787	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Province
7b93e6a1:150814fecb6:356	Membership
7b93e6a1:150814fecb6:14d3	Membership
7b93e6a1:150814fecb6:-4e9	Membership
7b93e6a1:150814fecb6:af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	City
7b93e6a1:150814fecb6:-445	Membership
http://www.semwebtech.org/mondial/10/island/Texel/	Island
7b93e6a1:150814fecb6:1a61	Membership
7b93e6a1:150814fecb6:2238	BelievedBy
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	City
7b93e6a1:150814fecb6:-3f1	Membership
7b93e6a1:150814fecb6:2498	EthnicProportion
7b93e6a1:150814fecb6:cc8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	City
7b93e6a1:150814fecb6:132e	Membership
http://www.semwebtech.org/mondial/10/language/Roma/	Language
7b93e6a1:150814fecb6:21e4	SpokenBy
7b93e6a1:150814fecb6:c24	Membership
7b93e6a1:150814fecb6:8f6	Membership
7b93e6a1:150814fecb6:1da1	Membership
7b93e6a1:150814fecb6:2140	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	City
7b93e6a1:150814fecb6:852	Membership
7b93e6a1:150814fecb6:158e	Membership
7b93e6a1:150814fecb6:e84	Membership
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	City
7b93e6a1:150814fecb6:15d	Membership
7b93e6a1:150814fecb6:12da	Membership
7b93e6a1:150814fecb6:bd0	Membership
7b93e6a1:150814fecb6:-24c	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Province
7b93e6a1:150814fecb6:203f	Membership
7b93e6a1:150814fecb6:18ce	Membership
7b93e6a1:150814fecb6:93	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/island/Dominica/	Island
7b93e6a1:150814fecb6:182a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	City
7b93e6a1:150814fecb6:229f	BelievedBy
7b93e6a1:150814fecb6:acf	Membership
7b93e6a1:150814fecb6:1e5c	Membership
7b93e6a1:150814fecb6:-c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1156	Membership
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Water
7b93e6a1:150814fecb6:6fd	Membership
7b93e6a1:150814fecb6:a2b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	City
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	City
7b93e6a1:150814fecb6:-25	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	Province
7b93e6a1:150814fecb6:-7ec	Encompassed
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Province
7b93e6a1:150814fecb6:1207	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	City
7b93e6a1:150814fecb6:c8b	Membership
7b93e6a1:150814fecb6:25df	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Province
7b93e6a1:150814fecb6:319	Membership
7b93e6a1:150814fecb6:253b	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Desert
7b93e6a1:150814fecb6:1ac8	Membership
7b93e6a1:150814fecb6:-408	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Province
7b93e6a1:150814fecb6:579	Membership
7b93e6a1:150814fecb6:1a24	Membership
7b93e6a1:150814fecb6:16f6	Membership
7b93e6a1:150814fecb6:fcb	Membership
7b93e6a1:150814fecb6:2c5	Membership
7b93e6a1:150814fecb6:1652	Membership
7b93e6a1:150814fecb6:-668	Border
http://www.semwebtech.org/mondial/10/country/AUS/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/source/Reuss/	Source
7b93e6a1:150814fecb6:221	Membership
7b93e6a1:150814fecb6:1c84	Membership
7b93e6a1:150814fecb6:-3b4	Membership
7b93e6a1:150814fecb6:-310	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	City
7b93e6a1:150814fecb6:21a7	SpokenBy
7b93e6a1:150814fecb6:8b9	Membership
7b93e6a1:150814fecb6:481	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	City
7b93e6a1:150814fecb6:2103	Membership
7b93e6a1:150814fecb6:815	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Province
7b93e6a1:150814fecb6:-8c	Membership
7b93e6a1:150814fecb6:-570	Membership
7b93e6a1:150814fecb6:e47	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	City
7b93e6a1:150814fecb6:1fc4	Membership
7b93e6a1:150814fecb6:2363	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Province
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	City
7b93e6a1:150814fecb6:1f20	Membership
7b93e6a1:150814fecb6:-20f	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Province
7b93e6a1:150814fecb6:7c1	Membership
7b93e6a1:150814fecb6:14fd	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	EthnicGroup
7b93e6a1:150814fecb6:df3	Membership
http://www.semwebtech.org/mondial/10/language/Macedonian/	Language
7b93e6a1:150814fecb6:-46f	Membership
7b93e6a1:150814fecb6:56	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Province
http://www.semwebtech.org/mondial/10/source/WesternMorava/	Source
7b93e6a1:150814fecb6:1a8b	Membership
7b93e6a1:150814fecb6:-1bb	Membership
7b93e6a1:150814fecb6:26a3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Province
7b93e6a1:150814fecb6:1e1f	Membership
7b93e6a1:150814fecb6:1119	Membership
7b93e6a1:150814fecb6:61c	Membership
http://www.semwebtech.org/mondial/10/river/Baro/	Water
7b93e6a1:150814fecb6:-7af	Encompassed
7b93e6a1:150814fecb6:1379	Membership
7b93e6a1:150814fecb6:c4e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	Province
7b93e6a1:150814fecb6:1dcb	Membership
7b93e6a1:150814fecb6:-70b	Border
7b93e6a1:150814fecb6:10c5	Membership
7b93e6a1:150814fecb6:216a	SpokenBy
7b93e6a1:150814fecb6:87c	Membership
7b93e6a1:150814fecb6:1021	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	City
7b93e6a1:150814fecb6:bfa	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	City
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	Source
7b93e6a1:150814fecb6:16b9	Membership
7b93e6a1:150814fecb6:1281	Membership
7b93e6a1:150814fecb6:-297	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	City
7b93e6a1:150814fecb6:1615	Membership
7b93e6a1:150814fecb6:24aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	City
7b93e6a1:150814fecb6:1c47	Membership
7b93e6a1:150814fecb6:4e8	Membership
7b93e6a1:150814fecb6:1875	Membership
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	Estuary
7b93e6a1:150814fecb6:444	Membership
7b93e6a1:150814fecb6:15c1	Membership
7b93e6a1:150814fecb6:-5d7	Membership
7b93e6a1:150814fecb6:a76	Membership
7b93e6a1:150814fecb6:1bf3	Membership
7b93e6a1:150814fecb6:-4f	Membership
7b93e6a1:150814fecb6:-533	Membership
http://www.semwebtech.org/mondial/10/river/Kura/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Province
7b93e6a1:150814fecb6:2326	BelievedBy
7b93e6a1:150814fecb6:3f0	Membership
7b93e6a1:150814fecb6:-793	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Mountains
7b93e6a1:150814fecb6:2586	EthnicProportion
7b93e6a1:150814fecb6:db6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	EthnicGroup
7b93e6a1:150814fecb6:141c	Membership
7b93e6a1:150814fecb6:22d2	BelievedBy
7b93e6a1:150814fecb6:19	Membership
7b93e6a1:150814fecb6:d12	Membership
7b93e6a1:150814fecb6:9e4	Membership
7b93e6a1:150814fecb6:1a4e	Membership
7b93e6a1:150814fecb6:940	Membership
7b93e6a1:150814fecb6:2ef	Membership
7b93e6a1:150814fecb6:167c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	City
7b93e6a1:150814fecb6:f72	Membership
7b93e6a1:150814fecb6:24b	Membership
7b93e6a1:150814fecb6:-3de	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Drin/	Water
http://www.semwebtech.org/mondial/10/source/WesternBug/	Source
7b93e6a1:150814fecb6:-33a	Membership
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	City
7b93e6a1:150814fecb6:212d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Paraguay/	Source
7b93e6a1:150814fecb6:83f	Membership
7b93e6a1:150814fecb6:19bc	Membership
7b93e6a1:150814fecb6:-59a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Province
7b93e6a1:150814fecb6:1fee	Membership
7b93e6a1:150814fecb6:12e8	Membership
7b93e6a1:150814fecb6:238d	BelievedBy
7b93e6a1:150814fecb6:bbd	Membership
7b93e6a1:150814fecb6:1f4a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	City
7b93e6a1:150814fecb6:1244	Membership
7b93e6a1:150814fecb6:7eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	City
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	City
7b93e6a1:150814fecb6:1838	Membership
7b93e6a1:150814fecb6:11f0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	Source
7b93e6a1:150814fecb6:407	Membership
7b93e6a1:150814fecb6:-162	Membership
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	Estuary
http://www.semwebtech.org/mondial/10/source/Mincio/	Source
7b93e6a1:150814fecb6:a39	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Water
7b93e6a1:150814fecb6:1bb6	Membership
7b93e6a1:150814fecb6:1b12	Membership
7b93e6a1:150814fecb6:667	Membership
7b93e6a1:150814fecb6:17e4	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	City
http://www.semwebtech.org/mondial/10/island/NewGuinea/	Island
http://www.semwebtech.org/mondial/10/island/Leyte/	Island
http://www.semwebtech.org/mondial/10/river/RioMamore/	Water
7b93e6a1:150814fecb6:c99	Membership
7b93e6a1:150814fecb6:3b3	Membership
7b93e6a1:150814fecb6:1740	Membership
7b93e6a1:150814fecb6:-756	Encompassed
7b93e6a1:150814fecb6:10ef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	City
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	Mountain
7b93e6a1:150814fecb6:1d72	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	City
http://www.semwebtech.org/mondial/10/country/CEU/	Country
7b93e6a1:150814fecb6:-4a2	Membership
7b93e6a1:150814fecb6:104b	Membership
7b93e6a1:150814fecb6:2549	EthnicProportion
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Island
7b93e6a1:150814fecb6:9a7	Membership
7b93e6a1:150814fecb6:fd9	Membership
7b93e6a1:150814fecb6:903	Membership
7b93e6a1:150814fecb6:163f	Membership
7b93e6a1:150814fecb6:24f5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Province
7b93e6a1:150814fecb6:f35	Membership
7b93e6a1:150814fecb6:20e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	City
7b93e6a1:150814fecb6:2451	BelievedBy
http://www.semwebtech.org/mondial/10/country/DZ/	Country
7b93e6a1:150814fecb6:189f	Membership
7b93e6a1:150814fecb6:46e	Membership
7b93e6a1:150814fecb6:15eb	Membership
7b93e6a1:150814fecb6:ee1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	City
7b93e6a1:150814fecb6:1ba	Membership
7b93e6a1:150814fecb6:-55d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	City
7b93e6a1:150814fecb6:1f0d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	City
7b93e6a1:150814fecb6:7ae	Membership
7b93e6a1:150814fecb6:f0	Membership
7b93e6a1:150814fecb6:70a	Membership
7b93e6a1:150814fecb6:22fc	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	Mountain
7b93e6a1:150814fecb6:1467	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	City
http://www.semwebtech.org/mondial/10/river/Elbe/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	City
7b93e6a1:150814fecb6:d3c	Membership
7b93e6a1:150814fecb6:1a99	Membership
7b93e6a1:150814fecb6:11b3	Membership
http://www.semwebtech.org/mondial/10/country/MS/	Country
7b93e6a1:150814fecb6:-1c9	Membership
7b93e6a1:150814fecb6:96a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	City
7b93e6a1:150814fecb6:-125	Membership
7b93e6a1:150814fecb6:f9c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Province
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Island
7b93e6a1:150814fecb6:296	Membership
http://www.semwebtech.org/mondial/10/mountain/MtHood/	Mountain
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	Mountain
7b93e6a1:150814fecb6:17a7	Membership
7b93e6a1:150814fecb6:-385	Membership
7b93e6a1:150814fecb6:1dd9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	City
7b93e6a1:150814fecb6:1703	Membership
7b93e6a1:150814fecb6:-719	Border
7b93e6a1:150814fecb6:2178	SpokenBy
7b93e6a1:150814fecb6:1d35	Membership
7b93e6a1:150814fecb6:100e	Membership
7b93e6a1:150814fecb6:5d6	Membership
7b93e6a1:150814fecb6:1963	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Desert
7b93e6a1:150814fecb6:532	Membership
7b93e6a1:150814fecb6:1f95	Membership
7b93e6a1:150814fecb6:-6c5	Border
7b93e6a1:150814fecb6:126e	Membership
7b93e6a1:150814fecb6:b64	Membership
7b93e6a1:150814fecb6:24b8	EthnicProportion
7b93e6a1:150814fecb6:1ce1	Membership
7b93e6a1:150814fecb6:-621	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	City
7b93e6a1:150814fecb6:2080	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Province
7b93e6a1:150814fecb6:792	Membership
http://www.semwebtech.org/mondial/10/river/Maas/	Water
7b93e6a1:150814fecb6:2414	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	EthnicGroup
7b93e6a1:150814fecb6:15ae	Membership
7b93e6a1:150814fecb6:-18c	Membership
7b93e6a1:150814fecb6:2674	EthnicProportion
7b93e6a1:150814fecb6:ea4	Membership
7b93e6a1:150814fecb6:150a	Membership
7b93e6a1:150814fecb6:23c0	BelievedBy
7b93e6a1:150814fecb6:e00	Membership
7b93e6a1:150814fecb6:1b3c	Membership
7b93e6a1:150814fecb6:3dd	Membership
7b93e6a1:150814fecb6:176a	Membership
7b93e6a1:150814fecb6:1d9c	Membership
7b93e6a1:150814fecb6:-4cc	Membership
7b93e6a1:150814fecb6:1096	Membership
7b93e6a1:150814fecb6:b3	Membership
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	Mountain
7b93e6a1:150814fecb6:22bf	BelievedBy
7b93e6a1:150814fecb6:221b	SpokenBy
7b93e6a1:150814fecb6:92d	Membership
7b93e6a1:150814fecb6:f5f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Province
7b93e6a1:150814fecb6:259	Membership
7b93e6a1:150814fecb6:13d6	Membership
7b93e6a1:150814fecb6:247b	EthnicProportion
7b93e6a1:150814fecb6:cab	Membership
http://www.semwebtech.org/mondial/10/island/Tutuila/	Island
7b93e6a1:150814fecb6:1332	Membership
7b93e6a1:150814fecb6:-348	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Province
http://www.semwebtech.org/mondial/10/country/E/	Country
http://www.semwebtech.org/mondial/10/source/Isar/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	City
7b93e6a1:150814fecb6:1592	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	City
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	City
http://www.semwebtech.org/mondial/10/mountain/Uluru/	Mountain
7b93e6a1:150814fecb6:161	Membership
7b93e6a1:150814fecb6:1926	Membership
7b93e6a1:150814fecb6:-2f4	Membership
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Province
7b93e6a1:150814fecb6:1f58	Membership
7b93e6a1:150814fecb6:-250	Membership
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	City
7b93e6a1:150814fecb6:20e7	Membership
7b93e6a1:150814fecb6:b27	Membership
7b93e6a1:150814fecb6:7f9	Membership
7b93e6a1:150814fecb6:1ca4	Membership
7b93e6a1:150814fecb6:2043	Membership
7b93e6a1:150814fecb6:755	Membership
7b93e6a1:150814fecb6:1c00	Membership
7b93e6a1:150814fecb6:18d2	Membership
7b93e6a1:150814fecb6:d87	Membership
7b93e6a1:150814fecb6:4a1	Membership
7b93e6a1:150814fecb6:11dd	Membership
7b93e6a1:150814fecb6:ad3	Membership
7b93e6a1:150814fecb6:1e60	Membership
7b93e6a1:150814fecb6:-ac	Membership
7b93e6a1:150814fecb6:-14f	Membership
7b93e6a1:150814fecb6:2637	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Prypjat/	Source
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	Water
7b93e6a1:150814fecb6:-7f0	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	City
7b93e6a1:150814fecb6:172d	Membership
7b93e6a1:150814fecb6:25e3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	City
7b93e6a1:150814fecb6:1d5f	Membership
7b93e6a1:150814fecb6:1059	Membership
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	City
7b93e6a1:150814fecb6:1aab	Membership
7b93e6a1:150814fecb6:198d	Membership
7b93e6a1:150814fecb6:-2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Province
7b93e6a1:150814fecb6:55c	Membership
7b93e6a1:150814fecb6:-6ef	Border
7b93e6a1:150814fecb6:b8e	Membership
7b93e6a1:150814fecb6:-64b	Border
http://www.semwebtech.org/mondial/10/country/MEL/	Country
7b93e6a1:150814fecb6:243e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/YuShan/	Mountain
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	City
http://www.semwebtech.org/mondial/10/country/RIM/	Country
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Province
7b93e6a1:150814fecb6:15f9	Membership
7b93e6a1:150814fecb6:269e	EthnicProportion
7b93e6a1:150814fecb6:ece	Membership
7b93e6a1:150814fecb6:1c8	Membership
7b93e6a1:150814fecb6:-90	Membership
7b93e6a1:150814fecb6:1555	Membership
7b93e6a1:150814fecb6:23ea	BelievedBy
7b93e6a1:150814fecb6:e2a	Membership
7b93e6a1:150814fecb6:1b87	Membership
7b93e6a1:150814fecb6:124	Membership
7b93e6a1:150814fecb6:12a1	Membership
7b93e6a1:150814fecb6:-2b7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	City
7b93e6a1:150814fecb6:-213	Membership
7b93e6a1:150814fecb6:384	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	City
7b93e6a1:150814fecb6:dd	Membership
7b93e6a1:150814fecb6:2006	Membership
7b93e6a1:150814fecb6:718	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	City
7b93e6a1:150814fecb6:-473	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/MNE/	Country
7b93e6a1:150814fecb6:1ec7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	City
7b93e6a1:150814fecb6:-807	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	City
7b93e6a1:150814fecb6:2266	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Japan/	Islands
7b93e6a1:150814fecb6:978	Membership
http://www.semwebtech.org/mondial/10/language/Nepali/	Language
7b93e6a1:150814fecb6:1e23	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Province
7b93e6a1:150814fecb6:6c4	Membership
7b93e6a1:150814fecb6:cf6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	City
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Province
7b93e6a1:150814fecb6:620	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	City
7b93e6a1:150814fecb6:-7b3	Encompassed
7b93e6a1:150814fecb6:135c	Membership
http://www.semwebtech.org/mondial/10/language/Guarani/	Language
7b93e6a1:150814fecb6:c52	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	City
7b93e6a1:150814fecb6:25a6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	City
7b93e6a1:150814fecb6:880	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	City
7b93e6a1:150814fecb6:2502	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	Water
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	City
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Province
7b93e6a1:150814fecb6:18b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	City
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	Organization
7b93e6a1:150814fecb6:51f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	City
7b93e6a1:150814fecb6:-27a	Membership
7b93e6a1:150814fecb6:1cce	Membership
7b93e6a1:150814fecb6:-60e	Border
7b93e6a1:150814fecb6:206d	Membership
7b93e6a1:150814fecb6:1c2a	Membership
7b93e6a1:150814fecb6:77f	Membership
7b93e6a1:150814fecb6:18fc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	City
7b93e6a1:150814fecb6:4cb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	City
http://www.semwebtech.org/mondial/10/river/Nile/	Water
7b93e6a1:150814fecb6:1e8a	Membership
7b93e6a1:150814fecb6:afd	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	City
7b93e6a1:150814fecb6:-f7	Membership
7b93e6a1:150814fecb6:-5ba	Membership
7b93e6a1:150814fecb6:1184	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Province
7b93e6a1:150814fecb6:-53	Membership
7b93e6a1:150814fecb6:1518	Membership
7b93e6a1:150814fecb6:23ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	City
7b93e6a1:150814fecb6:1778	Membership
7b93e6a1:150814fecb6:347	Membership
7b93e6a1:150814fecb6:14c4	Membership
7b93e6a1:150814fecb6:1af6	Membership
7b93e6a1:150814fecb6:1420	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Province
7b93e6a1:150814fecb6:-436	Membership
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	Source
7b93e6a1:150814fecb6:1a52	Membership
7b93e6a1:150814fecb6:2229	SpokenBy
7b93e6a1:150814fecb6:2f3	Membership
7b93e6a1:150814fecb6:1680	Membership
7b93e6a1:150814fecb6:-696	Border
7b93e6a1:150814fecb6:-3e2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	City
7b93e6a1:150814fecb6:2489	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	City
7b93e6a1:150814fecb6:cb9	Membership
7b93e6a1:150814fecb6:21d5	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	City
7b93e6a1:150814fecb6:131f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	City
7b93e6a1:150814fecb6:c15	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	City
7b93e6a1:150814fecb6:8e7	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	City
7b93e6a1:150814fecb6:2131	SpokenBy
7b93e6a1:150814fecb6:843	Membership
7b93e6a1:150814fecb6:19c0	Membership
7b93e6a1:150814fecb6:157f	Membership
7b93e6a1:150814fecb6:e75	Membership
7b93e6a1:150814fecb6:1ff2	Membership
7b93e6a1:150814fecb6:14e	Membership
7b93e6a1:150814fecb6:12cb	Membership
7b93e6a1:150814fecb6:2391	BelievedBy
7b93e6a1:150814fecb6:bc1	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	Mountain
7b93e6a1:150814fecb6:-23d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	City
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	Estuary
7b93e6a1:150814fecb6:18bf	Membership
7b93e6a1:150814fecb6:-49d	Membership
7b93e6a1:150814fecb6:84	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	City
7b93e6a1:150814fecb6:181b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	City
http://www.semwebtech.org/mondial/10/island/Ikaria/	Island
7b93e6a1:150814fecb6:1e4d	Membership
7b93e6a1:150814fecb6:1147	Membership
7b93e6a1:150814fecb6:6ee	Membership
7b93e6a1:150814fecb6:a1c	Membership
7b93e6a1:150814fecb6:-16	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Province
7b93e6a1:150814fecb6:64a	Membership
http://www.semwebtech.org/mondial/10/language/Papiamento/	Language
7b93e6a1:150814fecb6:-7dd	Encompassed
7b93e6a1:150814fecb6:c7c	Membership
7b93e6a1:150814fecb6:10f3	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Province
7b93e6a1:150814fecb6:252c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	City
7b93e6a1:150814fecb6:1ab9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	City
7b93e6a1:150814fecb6:1a15	Membership
7b93e6a1:150814fecb6:16e7	Membership
http://www.semwebtech.org/mondial/10/river/Ganges/	Water
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Province
7b93e6a1:150814fecb6:fbc	Membership
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Island
7b93e6a1:150814fecb6:2b6	Membership
7b93e6a1:150814fecb6:1643	Membership
7b93e6a1:150814fecb6:-659	Border
7b93e6a1:150814fecb6:1c75	Membership
7b93e6a1:150814fecb6:212	Membership
7b93e6a1:150814fecb6:-3a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	City
7b93e6a1:150814fecb6:-301	Membership
http://www.semwebtech.org/mondial/10/source/Weser/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	City
7b93e6a1:150814fecb6:472	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	EthnicGroup
7b93e6a1:150814fecb6:806	Membership
7b93e6a1:150814fecb6:-7d	Membership
7b93e6a1:150814fecb6:-561	Membership
7b93e6a1:150814fecb6:23f8	BelievedBy
7b93e6a1:150814fecb6:e38	Membership
7b93e6a1:150814fecb6:1fb5	Membership
7b93e6a1:150814fecb6:2354	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Province
http://www.semwebtech.org/mondial/10/organization/ZC/	Organization
7b93e6a1:150814fecb6:1f11	Membership
http://www.semwebtech.org/mondial/10/country/WV/	Country
7b93e6a1:150814fecb6:20a0	Membership
7b93e6a1:150814fecb6:7b2	Membership
7b93e6a1:150814fecb6:14ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Kura/	Estuary
http://www.semwebtech.org/mondial/10/source/Loire/	Source
7b93e6a1:150814fecb6:de4	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	City
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Water
7b93e6a1:150814fecb6:144a	Membership
http://www.semwebtech.org/mondial/10/river/Tocantins/	Water
7b93e6a1:150814fecb6:47	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Province
7b93e6a1:150814fecb6:d40	Membership
7b93e6a1:150814fecb6:1a7c	Membership
7b93e6a1:150814fecb6:-1ac	Membership
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Province
7b93e6a1:150814fecb6:60d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	City
7b93e6a1:150814fecb6:21ff	SpokenBy
7b93e6a1:150814fecb6:c3f	Membership
7b93e6a1:150814fecb6:1dbc	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	City
7b93e6a1:150814fecb6:10b6	Membership
7b93e6a1:150814fecb6:215b	SpokenBy
7b93e6a1:150814fecb6:86d	Membership
7b93e6a1:150814fecb6:19ea	Membership
http://www.semwebtech.org/mondial/10/religion/Adventist/	Religion
7b93e6a1:150814fecb6:1012	Membership
http://www.semwebtech.org/mondial/10/estuary/Drin/	Estuary
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Province
7b93e6a1:150814fecb6:e9f	Membership
7b93e6a1:150814fecb6:199	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	City
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	City
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	Water
7b93e6a1:150814fecb6:beb	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	City
7b93e6a1:150814fecb6:1272	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/	Country
7b93e6a1:150814fecb6:-288	Membership
http://www.semwebtech.org/mondial/10/island/Benbecula/	Island
7b93e6a1:150814fecb6:1606	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Province
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	City
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	City
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Province
7b93e6a1:150814fecb6:1c38	Membership
7b93e6a1:150814fecb6:4d9	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	City
7b93e6a1:150814fecb6:1866	Membership
7b93e6a1:150814fecb6:1e98	Membership
7b93e6a1:150814fecb6:435	Membership
7b93e6a1:150814fecb6:15b2	Membership
7b93e6a1:150814fecb6:-5c8	Membership
7b93e6a1:150814fecb6:-190	Membership
7b93e6a1:150814fecb6:a67	Membership
7b93e6a1:150814fecb6:1be4	Membership
7b93e6a1:150814fecb6:-524	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	City
7b93e6a1:150814fecb6:695	Membership
7b93e6a1:150814fecb6:1b40	Membership
http://www.semwebtech.org/mondial/10/island/Banaba/	Island
7b93e6a1:150814fecb6:2317	BelievedBy
http://www.semwebtech.org/mondial/10/river/Ubangi/	Water
7b93e6a1:150814fecb6:3e1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	City
7b93e6a1:150814fecb6:-784	Encompassed
7b93e6a1:150814fecb6:-4d0	Membership
http://www.semwebtech.org/mondial/10/language/Romansch/	Language
7b93e6a1:150814fecb6:2577	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Province
7b93e6a1:150814fecb6:da7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	City
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	Mountain
7b93e6a1:150814fecb6:140d	Membership
7b93e6a1:150814fecb6:22c3	BelievedBy
7b93e6a1:150814fecb6:d03	Membership
7b93e6a1:150814fecb6:9d5	Membership
7b93e6a1:150814fecb6:1a3f	Membership
7b93e6a1:150814fecb6:931	Membership
7b93e6a1:150814fecb6:166d	Membership
7b93e6a1:150814fecb6:f63	Membership
7b93e6a1:150814fecb6:23c	Membership
7b93e6a1:150814fecb6:1c9f	Membership
7b93e6a1:150814fecb6:-3cf	Membership
http://www.semwebtech.org/mondial/10/language/Dutch/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	EthnicGroup
7b93e6a1:150814fecb6:-32b	Membership
7b93e6a1:150814fecb6:49c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	City
http://www.semwebtech.org/mondial/10/island/Male/	Island
7b93e6a1:150814fecb6:211e	SpokenBy
7b93e6a1:150814fecb6:19ad	Membership
7b93e6a1:150814fecb6:-58b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	City
7b93e6a1:150814fecb6:4	Membership
7b93e6a1:150814fecb6:1fdf	Membership
7b93e6a1:150814fecb6:12d9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	City
7b93e6a1:150814fecb6:237e	BelievedBy
7b93e6a1:150814fecb6:bae	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	City
http://www.semwebtech.org/mondial/10/source/Tara/	Source
7b93e6a1:150814fecb6:1f3b	Membership
7b93e6a1:150814fecb6:1235	Membership
http://www.semwebtech.org/mondial/10/language/Turkmen/	Language
7b93e6a1:150814fecb6:20ca	Membership
7b93e6a1:150814fecb6:b0a	Membership
7b93e6a1:150814fecb6:7dc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Province
7b93e6a1:150814fecb6:1495	Membership
7b93e6a1:150814fecb6:d6a	Membership
7b93e6a1:150814fecb6:1829	Membership
7b93e6a1:150814fecb6:11e1	Membership
7b93e6a1:150814fecb6:-1f7	Membership
7b93e6a1:150814fecb6:26be	EthnicProportion
7b93e6a1:150814fecb6:-b0	Membership
7b93e6a1:150814fecb6:261a	EthnicProportion
7b93e6a1:150814fecb6:-153	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	City
7b93e6a1:150814fecb6:1ba7	Membership
7b93e6a1:150814fecb6:1b03	Membership
7b93e6a1:150814fecb6:658	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Province
7b93e6a1:150814fecb6:17d5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	City
7b93e6a1:150814fecb6:3a4	Membership
7b93e6a1:150814fecb6:1731	Membership
7b93e6a1:150814fecb6:-747	Encompassed
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Province
7b93e6a1:150814fecb6:300	Membership
7b93e6a1:150814fecb6:1d63	Membership
7b93e6a1:150814fecb6:103c	Membership
7b93e6a1:150814fecb6:1991	Membership
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Island
7b93e6a1:150814fecb6:560	Membership
http://www.semwebtech.org/mondial/10/island/Greenland/	Island
7b93e6a1:150814fecb6:-6f3	Border
7b93e6a1:150814fecb6:129c	Membership
http://www.semwebtech.org/mondial/10/river/Jubba/	Water
7b93e6a1:150814fecb6:b92	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	City
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Province
7b93e6a1:150814fecb6:24e6	EthnicProportion
7b93e6a1:150814fecb6:f26	Membership
7b93e6a1:150814fecb6:2442	BelievedBy
7b93e6a1:150814fecb6:8a0	Membership
7b93e6a1:150814fecb6:45f	Membership
7b93e6a1:150814fecb6:15dc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	City
7b93e6a1:150814fecb6:ed2	Membership
7b93e6a1:150814fecb6:1ab	Membership
7b93e6a1:150814fecb6:-54e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	City
7b93e6a1:150814fecb6:1b6a	Membership
http://www.semwebtech.org/mondial/10/mountain/Katla/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	City
7b93e6a1:150814fecb6:1eb8	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/river/Rhein/	Water
7b93e6a1:150814fecb6:-4fa	Membership
7b93e6a1:150814fecb6:e1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	City
7b93e6a1:150814fecb6:1458	Membership
7b93e6a1:150814fecb6:22ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Islands
7b93e6a1:150814fecb6:d2d	Membership
7b93e6a1:150814fecb6:9ff	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	City
7b93e6a1:150814fecb6:1eaa	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Province
7b93e6a1:150814fecb6:11a4	Membership
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Desert
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	EthnicGroup
7b93e6a1:150814fecb6:95b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Mountains
7b93e6a1:150814fecb6:1100	Membership
7b93e6a1:150814fecb6:-116	Membership
7b93e6a1:150814fecb6:f8d	Membership
7b93e6a1:150814fecb6:287	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	City
7b93e6a1:150814fecb6:1360	Membership
7b93e6a1:150814fecb6:-376	Membership
http://www.semwebtech.org/mondial/10/island/Terceira/	Island
7b93e6a1:150814fecb6:2169	SpokenBy
7b93e6a1:150814fecb6:1d26	Membership
7b93e6a1:150814fecb6:19f8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	City
7b93e6a1:150814fecb6:5c7	Membership
7b93e6a1:150814fecb6:1954	Membership
7b93e6a1:150814fecb6:1f86	Membership
7b93e6a1:150814fecb6:bf9	Membership
7b93e6a1:150814fecb6:523	Membership
7b93e6a1:150814fecb6:16a0	Membership
7b93e6a1:150814fecb6:-6b6	Border
7b93e6a1:150814fecb6:125f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	City
7b93e6a1:150814fecb6:b55	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Province
7b93e6a1:150814fecb6:1cd2	Membership
7b93e6a1:150814fecb6:-612	Border
7b93e6a1:150814fecb6:24a9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Kasai/	Estuary
7b93e6a1:150814fecb6:2071	Membership
http://www.semwebtech.org/mondial/10/island/Tiree/	Island
7b93e6a1:150814fecb6:783	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Province
http://www.semwebtech.org/mondial/10/estuary/Drina/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	City
7b93e6a1:150814fecb6:2405	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	City
7b93e6a1:150814fecb6:-da	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Province
7b93e6a1:150814fecb6:-17d	Membership
7b93e6a1:150814fecb6:2665	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Province
7b93e6a1:150814fecb6:23b1	BelievedBy
7b93e6a1:150814fecb6:1b2d	Membership
7b93e6a1:150814fecb6:17ff	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Province
http://www.semwebtech.org/mondial/10/organization/UNAMID/	Organization
7b93e6a1:150814fecb6:3ce	Membership
7b93e6a1:150814fecb6:175b	Membership
http://www.semwebtech.org/mondial/10/island/SriLanka/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	City
7b93e6a1:150814fecb6:32a	Membership
7b93e6a1:150814fecb6:1d8d	Membership
7b93e6a1:150814fecb6:-4bd	Membership
7b93e6a1:150814fecb6:1087	Membership
7b93e6a1:150814fecb6:a4	Membership
http://www.semwebtech.org/mondial/10/islands/Canares/	Islands
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Province
http://www.semwebtech.org/mondial/10/country/MART/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	City
http://www.semwebtech.org/mondial/10/source/Lomami/	Source
7b93e6a1:150814fecb6:58a	Membership
7b93e6a1:150814fecb6:220c	SpokenBy
7b93e6a1:150814fecb6:91e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Province
http://www.semwebtech.org/mondial/10/organization/EITI/	Organization
7b93e6a1:150814fecb6:13c7	Membership
7b93e6a1:150814fecb6:246c	EthnicProportion
7b93e6a1:150814fecb6:1323	Membership
7b93e6a1:150814fecb6:-339	Membership
7b93e6a1:150814fecb6:8ca	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	City
7b93e6a1:150814fecb6:1a80	Membership
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Mountains
7b93e6a1:150814fecb6:efc	Membership
7b93e6a1:150814fecb6:1583	Membership
7b93e6a1:150814fecb6:1f6	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Province
7b93e6a1:150814fecb6:-599	Membership
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mountains
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	City
7b93e6a1:150814fecb6:152	Membership
7b93e6a1:150814fecb6:1917	Membership
7b93e6a1:150814fecb6:-2e5	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	City
7b93e6a1:150814fecb6:1f49	Membership
http://www.semwebtech.org/mondial/10/country/RN/	Country
7b93e6a1:150814fecb6:-241	Membership
7b93e6a1:150814fecb6:20d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	City
7b93e6a1:150814fecb6:b18	Membership
7b93e6a1:150814fecb6:2034	Membership
7b93e6a1:150814fecb6:746	Membership
7b93e6a1:150814fecb6:18c3	Membership
http://www.semwebtech.org/mondial/10/country/TT/	Country
7b93e6a1:150814fecb6:1ef5	Membership
7b93e6a1:150814fecb6:d78	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	City
7b93e6a1:150814fecb6:11ce	Membership
7b93e6a1:150814fecb6:2294	BelievedBy
7b93e6a1:150814fecb6:ac4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Province
7b93e6a1:150814fecb6:1e51	Membership
7b93e6a1:150814fecb6:112a	Membership
7b93e6a1:150814fecb6:2628	EthnicProportion
7b93e6a1:150814fecb6:6f2	Membership
7b93e6a1:150814fecb6:a20	Membership
7b93e6a1:150814fecb6:-7e1	Encompassed
7b93e6a1:150814fecb6:138a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	EthnicGroup
7b93e6a1:150814fecb6:c80	Membership
7b93e6a1:150814fecb6:25d4	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Chire/	Water
7b93e6a1:150814fecb6:171e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Province
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	City
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	Estuary
7b93e6a1:150814fecb6:2530	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	City
7b93e6a1:150814fecb6:197e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	City
7b93e6a1:150814fecb6:54d	Membership
7b93e6a1:150814fecb6:16ca	Membership
http://www.semwebtech.org/mondial/10/river/Ucayali/	Water
7b93e6a1:150814fecb6:fc0	Membership
7b93e6a1:150814fecb6:b7f	Membership
7b93e6a1:150814fecb6:1cfc	Membership
7b93e6a1:150814fecb6:-63c	Border
7b93e6a1:150814fecb6:209b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	City
http://www.semwebtech.org/mondial/10/country/WAL/	Country
7b93e6a1:150814fecb6:242f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-10/	Organization
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	City
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	Water
7b93e6a1:150814fecb6:268f	EthnicProportion
7b93e6a1:150814fecb6:ebf	Membership
7b93e6a1:150814fecb6:1b9	Membership
7b93e6a1:150814fecb6:-81	Membership
7b93e6a1:150814fecb6:1546	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	City
7b93e6a1:150814fecb6:23db	BelievedBy
7b93e6a1:150814fecb6:e1b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	EthnicGroup
7b93e6a1:150814fecb6:115	Membership
7b93e6a1:150814fecb6:1b78	Membership
7b93e6a1:150814fecb6:-2a8	Membership
http://www.semwebtech.org/mondial/10/organization/ITSO/	Organization
http://www.semwebtech.org/mondial/10/country/S/	Country
7b93e6a1:150814fecb6:-204	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	City
7b93e6a1:150814fecb6:375	Membership
7b93e6a1:150814fecb6:14f2	Membership
7b93e6a1:150814fecb6:ce	Membership
7b93e6a1:150814fecb6:709	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	City
7b93e6a1:150814fecb6:-464	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	City
7b93e6a1:150814fecb6:2a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	City
http://www.semwebtech.org/mondial/10/estuary/Saone/	Estuary
7b93e6a1:150814fecb6:-1b0	Membership
7b93e6a1:150814fecb6:2257	BelievedBy
7b93e6a1:150814fecb6:969	Membership
7b93e6a1:150814fecb6:1e14	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	City
7b93e6a1:150814fecb6:6b5	Membership
http://www.semwebtech.org/mondial/10/organization/UNISFA/	Organization
7b93e6a1:150814fecb6:ce7	Membership
7b93e6a1:150814fecb6:611	Membership
7b93e6a1:150814fecb6:134d	Membership
7b93e6a1:150814fecb6:-7a4	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Province
7b93e6a1:150814fecb6:c43	Membership
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	Water
7b93e6a1:150814fecb6:1dc0	Membership
7b93e6a1:150814fecb6:-700	Border
7b93e6a1:150814fecb6:871	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	City
7b93e6a1:150814fecb6:17c	Membership
7b93e6a1:150814fecb6:-26b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Province
7b93e6a1:150814fecb6:1cbf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Province
7b93e6a1:150814fecb6:205e	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	City
7b93e6a1:150814fecb6:1c1b	Membership
7b93e6a1:150814fecb6:18ed	Membership
http://www.semwebtech.org/mondial/10/religion/Muslim/	Religion
http://www.semwebtech.org/mondial/10/organization/CBSS/	Organization
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	Water
7b93e6a1:150814fecb6:4bc	Membership
7b93e6a1:150814fecb6:aee	Membership
7b93e6a1:150814fecb6:1e7b	Membership
7b93e6a1:150814fecb6:-e8	Membership
7b93e6a1:150814fecb6:-5ab	Membership
7b93e6a1:150814fecb6:1175	Membership
7b93e6a1:150814fecb6:a4a	Membership
7b93e6a1:150814fecb6:-44	Membership
7b93e6a1:150814fecb6:1509	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	City
7b93e6a1:150814fecb6:1769	Membership
7b93e6a1:150814fecb6:25fe	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EAC/	Organization
7b93e6a1:150814fecb6:338	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	City
7b93e6a1:150814fecb6:14b5	Membership
7b93e6a1:150814fecb6:255a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	City
7b93e6a1:150814fecb6:1ae7	Membership
7b93e6a1:150814fecb6:1411	Membership
7b93e6a1:150814fecb6:-427	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Province
7b93e6a1:150814fecb6:598	Membership
7b93e6a1:150814fecb6:1a43	Membership
http://www.semwebtech.org/mondial/10/language/Monegasque/	Language
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Province
7b93e6a1:150814fecb6:fea	Membership
7b93e6a1:150814fecb6:2e4	Membership
7b93e6a1:150814fecb6:1671	Membership
7b93e6a1:150814fecb6:-687	Border
7b93e6a1:150814fecb6:240	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	City
7b93e6a1:150814fecb6:-3d3	Membership
7b93e6a1:150814fecb6:21c6	SpokenBy
7b93e6a1:150814fecb6:c06	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	City
7b93e6a1:150814fecb6:8d8	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	City
7b93e6a1:150814fecb6:2122	SpokenBy
7b93e6a1:150814fecb6:834	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	City
7b93e6a1:150814fecb6:19b1	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	City
7b93e6a1:150814fecb6:e66	Membership
7b93e6a1:150814fecb6:1fe3	Membership
7b93e6a1:150814fecb6:13f	Membership
7b93e6a1:150814fecb6:12bc	Membership
7b93e6a1:150814fecb6:2382	BelievedBy
7b93e6a1:150814fecb6:bb2	Membership
7b93e6a1:150814fecb6:-22e	Membership
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Organization
7b93e6a1:150814fecb6:7e0	Membership
7b93e6a1:150814fecb6:39f	Membership
http://www.semwebtech.org/mondial/10/country/RWA/	Country
http://www.semwebtech.org/mondial/10/source/RioGrande/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	City
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	Mountain
7b93e6a1:150814fecb6:-48e	Membership
7b93e6a1:150814fecb6:75	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	EthnicGroup
7b93e6a1:150814fecb6:180c	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	City
7b93e6a1:150814fecb6:-1da	Membership
7b93e6a1:150814fecb6:26c2	EthnicProportion
7b93e6a1:150814fecb6:1e3e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	City
7b93e6a1:150814fecb6:1138	Membership
7b93e6a1:150814fecb6:6df	Membership
7b93e6a1:150814fecb6:a0d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	City
7b93e6a1:150814fecb6:63b	Membership
7b93e6a1:150814fecb6:-7ce	Encompassed
7b93e6a1:150814fecb6:1398	Membership
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	EthnicGroup
7b93e6a1:150814fecb6:c6d	Membership
7b93e6a1:150814fecb6:1dea	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Province
7b93e6a1:150814fecb6:-72a	Encompassed
7b93e6a1:150814fecb6:10e4	Membership
7b93e6a1:150814fecb6:89b	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	City
7b93e6a1:150814fecb6:1040	Membership
7b93e6a1:150814fecb6:251d	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Olt/	Estuary
7b93e6a1:150814fecb6:1a06	Membership
7b93e6a1:150814fecb6:16d8	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	City
7b93e6a1:150814fecb6:fad	Membership
7b93e6a1:150814fecb6:2a7	Membership
7b93e6a1:150814fecb6:1634	Membership
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Islands
7b93e6a1:150814fecb6:1c66	Membership
7b93e6a1:150814fecb6:203	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	City
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	Province
7b93e6a1:150814fecb6:1894	Membership
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Religion
7b93e6a1:150814fecb6:15e0	Membership
7b93e6a1:150814fecb6:463	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	City
7b93e6a1:150814fecb6:-5f6	Border
7b93e6a1:150814fecb6:119f	Membership
7b93e6a1:150814fecb6:a95	Membership
7b93e6a1:150814fecb6:-6e	Membership
7b93e6a1:150814fecb6:-552	Membership
7b93e6a1:150814fecb6:23e9	BelievedBy
7b93e6a1:150814fecb6:e29	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	City
7b93e6a1:150814fecb6:1fa6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Province
7b93e6a1:150814fecb6:2345	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	City
7b93e6a1:150814fecb6:1f02	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	City
http://www.semwebtech.org/mondial/10/country/BG/	Country
7b93e6a1:150814fecb6:7a3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Province
http://www.semwebtech.org/mondial/10/source/WesternDwina/	Source
7b93e6a1:150814fecb6:14df	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	City
7b93e6a1:150814fecb6:dd5	Membership
7b93e6a1:150814fecb6:22f1	BelievedBy
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Islands
7b93e6a1:150814fecb6:143b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	City
7b93e6a1:150814fecb6:38	Membership
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Water
7b93e6a1:150814fecb6:d31	Membership
7b93e6a1:150814fecb6:1a6d	Membership
7b93e6a1:150814fecb6:169b	Membership
7b93e6a1:150814fecb6:f91	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	City
7b93e6a1:150814fecb6:26a	Membership
7b93e6a1:150814fecb6:-3fd	Membership
http://www.semwebtech.org/mondial/10/organization/SPC/	Organization
7b93e6a1:150814fecb6:1dad	Membership
7b93e6a1:150814fecb6:10a7	Membership
7b93e6a1:150814fecb6:214c	SpokenBy
7b93e6a1:150814fecb6:85e	Membership
7b93e6a1:150814fecb6:19db	Membership
7b93e6a1:150814fecb6:1003	Membership
7b93e6a1:150814fecb6:5aa	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	City
http://www.semwebtech.org/mondial/10/island/Vlieland/	Island
7b93e6a1:150814fecb6:bdc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	City
7b93e6a1:150814fecb6:1263	Membership
7b93e6a1:150814fecb6:-279	Membership
http://www.semwebtech.org/mondial/10/organization/G-9/	Organization
7b93e6a1:150814fecb6:1c29	Membership
7b93e6a1:150814fecb6:9f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	City
http://www.semwebtech.org/mondial/10/source/Luvua/	Source
7b93e6a1:150814fecb6:1857	Membership
7b93e6a1:150814fecb6:1e89	Membership
7b93e6a1:150814fecb6:15a3	Membership
7b93e6a1:150814fecb6:426	Membership
7b93e6a1:150814fecb6:-5b9	Membership
7b93e6a1:150814fecb6:-181	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	City
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	Estuary
7b93e6a1:150814fecb6:a58	Membership
7b93e6a1:150814fecb6:1bd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	City
7b93e6a1:150814fecb6:-515	Membership
7b93e6a1:150814fecb6:686	Membership
7b93e6a1:150814fecb6:1b31	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	City
7b93e6a1:150814fecb6:2308	BelievedBy
7b93e6a1:150814fecb6:3d2	Membership
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	City
7b93e6a1:150814fecb6:-775	Encompassed
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Water
7b93e6a1:150814fecb6:1d91	Membership
7b93e6a1:150814fecb6:-4c1	Membership
7b93e6a1:150814fecb6:106a	Membership
7b93e6a1:150814fecb6:2568	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Czech/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	City
7b93e6a1:150814fecb6:22b4	BelievedBy
7b93e6a1:150814fecb6:9c6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	City
7b93e6a1:150814fecb6:2210	SpokenBy
7b93e6a1:150814fecb6:ff8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	City
7b93e6a1:150814fecb6:922	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Province
7b93e6a1:150814fecb6:165e	Membership
http://www.semwebtech.org/mondial/10/island/KoSamui/	Island
7b93e6a1:150814fecb6:f54	Membership
7b93e6a1:150814fecb6:22d	Membership
7b93e6a1:150814fecb6:13aa	Membership
7b93e6a1:150814fecb6:2470	EthnicProportion
7b93e6a1:150814fecb6:ca0	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Province
7b93e6a1:150814fecb6:-31c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	City
7b93e6a1:150814fecb6:48d	Membership
http://www.semwebtech.org/mondial/10/organization/IGAD/	Organization
7b93e6a1:150814fecb6:210f	Membership
7b93e6a1:150814fecb6:-57c	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	City
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	City
http://www.semwebtech.org/mondial/10/organization/AMU/	Organization
7b93e6a1:150814fecb6:236f	BelievedBy
7b93e6a1:150814fecb6:1f2c	Membership
7b93e6a1:150814fecb6:1226	Membership
7b93e6a1:150814fecb6:20bb	Membership
7b93e6a1:150814fecb6:7cd	Membership
7b93e6a1:150814fecb6:dff	Membership
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	Water
7b93e6a1:150814fecb6:1486	Membership
7b93e6a1:150814fecb6:d5b	Membership
7b93e6a1:150814fecb6:11d2	Membership
7b93e6a1:150814fecb6:-1e8	Membership
7b93e6a1:150814fecb6:26af	EthnicProportion
7b93e6a1:150814fecb6:-a1	Membership
7b93e6a1:150814fecb6:-144	Membership
7b93e6a1:150814fecb6:260b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	City
7b93e6a1:150814fecb6:649	Membership
7b93e6a1:150814fecb6:17c6	Membership
7b93e6a1:150814fecb6:1df8	Membership
7b93e6a1:150814fecb6:1722	Membership
7b93e6a1:150814fecb6:-738	Encompassed
7b93e6a1:150814fecb6:2197	SpokenBy
http://www.semwebtech.org/mondial/10/lake/Balaton/	Water
7b93e6a1:150814fecb6:1d54	Membership
7b93e6a1:150814fecb6:102d	Membership
7b93e6a1:150814fecb6:5f5	Membership
7b93e6a1:150814fecb6:1aa0	Membership
7b93e6a1:150814fecb6:1982	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	City
7b93e6a1:150814fecb6:551	Membership
7b93e6a1:150814fecb6:-6e4	Border
7b93e6a1:150814fecb6:128d	Membership
7b93e6a1:150814fecb6:b83	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	City
7b93e6a1:150814fecb6:-640	Border
7b93e6a1:150814fecb6:24d7	EthnicProportion
7b93e6a1:150814fecb6:f17	Membership
7b93e6a1:150814fecb6:2433	BelievedBy
7b93e6a1:150814fecb6:15cd	Membership
7b93e6a1:150814fecb6:2693	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Adda/	Source
7b93e6a1:150814fecb6:ec3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	City
7b93e6a1:150814fecb6:1bff	Membership
7b93e6a1:150814fecb6:-53f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	City
7b93e6a1:150814fecb6:1b5b	Membership
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	City
http://www.semwebtech.org/mondial/10/estuary/Kwa/	Estuary
7b93e6a1:150814fecb6:3fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	City
7b93e6a1:150814fecb6:-79f	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Senegal/	Estuary
7b93e6a1:150814fecb6:-4eb	Membership
http://www.semwebtech.org/mondial/10/source/RioNegro/	Source
7b93e6a1:150814fecb6:d2	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	City
7b93e6a1:150814fecb6:1449	Membership
7b93e6a1:150814fecb6:22de	BelievedBy
7b93e6a1:150814fecb6:d1e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Province
7b93e6a1:150814fecb6:223a	BelievedBy
7b93e6a1:150814fecb6:94c	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Province
7b93e6a1:150814fecb6:-107	Membership
7b93e6a1:150814fecb6:f7e	Membership
7b93e6a1:150814fecb6:278	Membership
7b93e6a1:150814fecb6:13f5	Membership
7b93e6a1:150814fecb6:249a	EthnicProportion
7b93e6a1:150814fecb6:cca	Membership
7b93e6a1:150814fecb6:1351	Membership
7b93e6a1:150814fecb6:-367	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	EthnicGroup
7b93e6a1:150814fecb6:1d17	Membership
7b93e6a1:150814fecb6:19e9	Membership
7b93e6a1:150814fecb6:5b8	Membership
7b93e6a1:150814fecb6:180	Membership
7b93e6a1:150814fecb6:1945	Membership
7b93e6a1:150814fecb6:514	Membership
7b93e6a1:150814fecb6:1f77	Membership
7b93e6a1:150814fecb6:-6a7	Border
7b93e6a1:150814fecb6:b46	Membership
7b93e6a1:150814fecb6:1cc3	Membership
7b93e6a1:150814fecb6:-603	Border
7b93e6a1:150814fecb6:2062	Membership
7b93e6a1:150814fecb6:774	Membership
7b93e6a1:150814fecb6:18f1	Membership
7b93e6a1:150814fecb6:4c0	Membership
7b93e6a1:150814fecb6:11fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	City
7b93e6a1:150814fecb6:af2	Membership
7b93e6a1:150814fecb6:-cb	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	City
7b93e6a1:150814fecb6:-16e	Membership
7b93e6a1:150814fecb6:2656	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	City
7b93e6a1:150814fecb6:23a2	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	City
7b93e6a1:150814fecb6:1b1e	Membership
http://www.semwebtech.org/mondial/10/river/BlueNile/	Water
7b93e6a1:150814fecb6:3bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	City
7b93e6a1:150814fecb6:174c	Membership
7b93e6a1:150814fecb6:31b	Membership
7b93e6a1:150814fecb6:1d7e	Membership
7b93e6a1:150814fecb6:-4ae	Membership
7b93e6a1:150814fecb6:1078	Membership
7b93e6a1:150814fecb6:1aca	Membership
7b93e6a1:150814fecb6:-40a	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Province
7b93e6a1:150814fecb6:57b	Membership
7b93e6a1:150814fecb6:90f	Membership
7b93e6a1:150814fecb6:-66a	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	EthnicGroup
7b93e6a1:150814fecb6:13b8	Membership
7b93e6a1:150814fecb6:245d	EthnicProportion
7b93e6a1:150814fecb6:1314	Membership
7b93e6a1:150814fecb6:8bb	Membership
http://www.semwebtech.org/mondial/10/lake/LopNor/	Water
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	City
7b93e6a1:150814fecb6:eed	Membership
7b93e6a1:150814fecb6:1e7	Membership
7b93e6a1:150814fecb6:1574	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	City
7b93e6a1:150814fecb6:1908	Membership
7b93e6a1:150814fecb6:12c0	Membership
7b93e6a1:150814fecb6:143	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	City
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	City
7b93e6a1:150814fecb6:-2d6	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	City
7b93e6a1:150814fecb6:-232	Membership
7b93e6a1:150814fecb6:20c9	Membership
7b93e6a1:150814fecb6:b09	Membership
http://www.semwebtech.org/mondial/10/river/Ene/	Water
http://www.semwebtech.org/mondial/10/source/Leine/	Source
7b93e6a1:150814fecb6:fc	Membership
7b93e6a1:150814fecb6:2025	Membership
7b93e6a1:150814fecb6:737	Membership
7b93e6a1:150814fecb6:18b4	Membership
7b93e6a1:150814fecb6:-492	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	City
7b93e6a1:150814fecb6:d69	Membership
7b93e6a1:150814fecb6:1ee6	Membership
7b93e6a1:150814fecb6:1810	Membership
7b93e6a1:150814fecb6:11bf	Membership
7b93e6a1:150814fecb6:2285	BelievedBy
7b93e6a1:150814fecb6:1e42	Membership
7b93e6a1:150814fecb6:ab5	Membership
7b93e6a1:150814fecb6:997	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Province
7b93e6a1:150814fecb6:183a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Province
7b93e6a1:150814fecb6:111b	Membership
7b93e6a1:150814fecb6:2619	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	City
7b93e6a1:150814fecb6:6e3	Membership
7b93e6a1:150814fecb6:a11	Membership
7b93e6a1:150814fecb6:-7d2	Encompassed
7b93e6a1:150814fecb6:137b	Membership
http://www.semwebtech.org/mondial/10/mountain/Musala/	Mountain
7b93e6a1:150814fecb6:c71	Membership
7b93e6a1:150814fecb6:170f	Membership
http://www.semwebtech.org/mondial/10/religion/United/	Religion
7b93e6a1:150814fecb6:25c5	EthnicProportion
7b93e6a1:150814fecb6:2521	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GAZA/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	City
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Province
http://www.semwebtech.org/mondial/10/country/EW/	Country
7b93e6a1:150814fecb6:196f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	City
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	Mountain
7b93e6a1:150814fecb6:53e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	City
7b93e6a1:150814fecb6:16bb	Membership
7b93e6a1:150814fecb6:fb1	Membership
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Island
7b93e6a1:150814fecb6:1ced	Membership
7b93e6a1:150814fecb6:-62d	Border
7b93e6a1:150814fecb6:208c	Membership
7b93e6a1:150814fecb6:79e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	Province
7b93e6a1:150814fecb6:4ea	Membership
7b93e6a1:150814fecb6:-72	Membership
7b93e6a1:150814fecb6:1537	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	City
7b93e6a1:150814fecb6:23cc	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	City
7b93e6a1:150814fecb6:e0c	Membership
7b93e6a1:150814fecb6:106	Membership
7b93e6a1:150814fecb6:1b69	Membership
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	City
http://www.semwebtech.org/mondial/10/source/Bani/	Source
7b93e6a1:150814fecb6:1797	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	Province
7b93e6a1:150814fecb6:366	Membership
7b93e6a1:150814fecb6:14e3	Membership
7b93e6a1:150814fecb6:-4f9	Membership
7b93e6a1:150814fecb6:bf	Membership
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	Mountain
7b93e6a1:150814fecb6:-455	Membership
7b93e6a1:150814fecb6:1b	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	City
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	Water
7b93e6a1:150814fecb6:1ea9	Membership
7b93e6a1:150814fecb6:1a71	Membership
7b93e6a1:150814fecb6:-1a1	Membership
7b93e6a1:150814fecb6:2248	BelievedBy
7b93e6a1:150814fecb6:1e05	Membership
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	Water
7b93e6a1:150814fecb6:6a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Province
7b93e6a1:150814fecb6:cd8	Membership
7b93e6a1:150814fecb6:602	Membership
7b93e6a1:150814fecb6:133e	Membership
7b93e6a1:150814fecb6:21f4	SpokenBy
7b93e6a1:150814fecb6:c34	Membership
7b93e6a1:150814fecb6:1db1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	City
7b93e6a1:150814fecb6:2150	SpokenBy
7b93e6a1:150814fecb6:862	Membership
7b93e6a1:150814fecb6:159e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Province
7b93e6a1:150814fecb6:e94	Membership
7b93e6a1:150814fecb6:16d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	City
7b93e6a1:150814fecb6:12ea	Membership
7b93e6a1:150814fecb6:be0	Membership
7b93e6a1:150814fecb6:-25c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	City
http://www.semwebtech.org/mondial/10/river/Arno/	Water
7b93e6a1:150814fecb6:204f	Membership
7b93e6a1:150814fecb6:1c0c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	City
7b93e6a1:150814fecb6:18de	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	City
7b93e6a1:150814fecb6:4ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Province
7b93e6a1:150814fecb6:adf	Membership
7b93e6a1:150814fecb6:1e6c	Membership
7b93e6a1:150814fecb6:-d9	Membership
7b93e6a1:150814fecb6:1166	Membership
http://www.semwebtech.org/mondial/10/river/Ruki/	Water
7b93e6a1:150814fecb6:a3b	Membership
7b93e6a1:150814fecb6:-35	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Province
7b93e6a1:150814fecb6:-7fc	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Province
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Province
7b93e6a1:150814fecb6:c9b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Province
7b93e6a1:150814fecb6:25ef	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Stromboli/	Island
7b93e6a1:150814fecb6:329	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	City
7b93e6a1:150814fecb6:14a6	Membership
7b93e6a1:150814fecb6:254b	EthnicProportion
7b93e6a1:150814fecb6:1ad8	Membership
7b93e6a1:150814fecb6:1402	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	City
7b93e6a1:150814fecb6:-418	Membership
7b93e6a1:150814fecb6:-e	Membership
7b93e6a1:150814fecb6:589	Membership
7b93e6a1:150814fecb6:1a34	Membership
7b93e6a1:150814fecb6:fdb	Membership
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Islands
7b93e6a1:150814fecb6:2d5	Membership
7b93e6a1:150814fecb6:1662	Membership
7b93e6a1:150814fecb6:-678	Border
7b93e6a1:150814fecb6:231	Membership
7b93e6a1:150814fecb6:1c94	Membership
7b93e6a1:150814fecb6:-3c4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Province
7b93e6a1:150814fecb6:-320	Membership
7b93e6a1:150814fecb6:21b7	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	EthnicGroup
7b93e6a1:150814fecb6:8c9	Membership
7b93e6a1:150814fecb6:491	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	City
7b93e6a1:150814fecb6:2113	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	City
7b93e6a1:150814fecb6:825	Membership
7b93e6a1:150814fecb6:19a2	Membership
7b93e6a1:150814fecb6:-9c	Membership
7b93e6a1:150814fecb6:-580	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	EthnicGroup
7b93e6a1:150814fecb6:e57	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	City
7b93e6a1:150814fecb6:1fd4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	City
7b93e6a1:150814fecb6:12ad	Membership
7b93e6a1:150814fecb6:2373	BelievedBy
7b93e6a1:150814fecb6:ba3	Membership
7b93e6a1:150814fecb6:1f30	Membership
7b93e6a1:150814fecb6:-21f	Membership
http://www.semwebtech.org/mondial/10/river/Selenge/	Water
7b93e6a1:150814fecb6:7d1	Membership
http://www.semwebtech.org/mondial/10/river/Ebro/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	City
7b93e6a1:150814fecb6:-47f	Membership
7b93e6a1:150814fecb6:66	Membership
http://www.semwebtech.org/mondial/10/river/OhioRiver/	Water
7b93e6a1:150814fecb6:1a9b	Membership
7b93e6a1:150814fecb6:-1cb	Membership
7b93e6a1:150814fecb6:26b3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	City
7b93e6a1:150814fecb6:1e2f	Membership
7b93e6a1:150814fecb6:1129	Membership
7b93e6a1:150814fecb6:1389	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Province
7b93e6a1:150814fecb6:62c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Province
7b93e6a1:150814fecb6:-7bf	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Province
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	Religion
7b93e6a1:150814fecb6:c5e	Membership
7b93e6a1:150814fecb6:1ddb	Membership
7b93e6a1:150814fecb6:-71b	Border
7b93e6a1:150814fecb6:10d5	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	City
7b93e6a1:150814fecb6:217a	SpokenBy
7b93e6a1:150814fecb6:88c	Membership
7b93e6a1:150814fecb6:1031	Membership
7b93e6a1:150814fecb6:250e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	City
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Desert
7b93e6a1:150814fecb6:5a9	Membership
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	Mountain
7b93e6a1:150814fecb6:16c9	Membership
7b93e6a1:150814fecb6:1291	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	City
7b93e6a1:150814fecb6:1625	Membership
7b93e6a1:150814fecb6:24ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	EthnicGroup
7b93e6a1:150814fecb6:1c57	Membership
http://www.semwebtech.org/mondial/10/mountain/Ararat/	Mountain
7b93e6a1:150814fecb6:4f8	Membership
7b93e6a1:150814fecb6:1885	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	City
7b93e6a1:150814fecb6:454	Membership
7b93e6a1:150814fecb6:15d1	Membership
7b93e6a1:150814fecb6:-5e7	Border
7b93e6a1:150814fecb6:a86	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	City
7b93e6a1:150814fecb6:1a0	Membership
7b93e6a1:150814fecb6:-5f	Membership
7b93e6a1:150814fecb6:-543	Membership
7b93e6a1:150814fecb6:2336	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Province
7b93e6a1:150814fecb6:2596	EthnicProportion
7b93e6a1:150814fecb6:dc6	Membership
7b93e6a1:150814fecb6:142c	Membership
7b93e6a1:150814fecb6:22e2	BelievedBy
7b93e6a1:150814fecb6:29	Membership
7b93e6a1:150814fecb6:d22	Membership
7b93e6a1:150814fecb6:9f4	Membership
7b93e6a1:150814fecb6:1a5e	Membership
7b93e6a1:150814fecb6:950	Membership
7b93e6a1:150814fecb6:2ff	Membership
7b93e6a1:150814fecb6:168c	Membership
7b93e6a1:150814fecb6:f82	Membership
7b93e6a1:150814fecb6:25b	Membership
7b93e6a1:150814fecb6:-3ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Doubs/	Estuary
7b93e6a1:150814fecb6:-34a	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	City
7b93e6a1:150814fecb6:213d	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	City
7b93e6a1:150814fecb6:84f	Membership
7b93e6a1:150814fecb6:19cc	Membership
7b93e6a1:150814fecb6:1ffe	Membership
7b93e6a1:150814fecb6:12f8	Membership
7b93e6a1:150814fecb6:239d	BelievedBy
7b93e6a1:150814fecb6:bcd	Membership
7b93e6a1:150814fecb6:1f5a	Membership
7b93e6a1:150814fecb6:1254	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	City
7b93e6a1:150814fecb6:7fb	Membership
http://www.semwebtech.org/mondial/10/island/Sachalin/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Province
http://www.semwebtech.org/mondial/10/river/Akagera/	Water
7b93e6a1:150814fecb6:1848	Membership
http://www.semwebtech.org/mondial/10/country/NMIS/	Country
7b93e6a1:150814fecb6:417	Membership
7b93e6a1:150814fecb6:-172	Membership
7b93e6a1:150814fecb6:a49	Membership
7b93e6a1:150814fecb6:1bc6	Membership
7b93e6a1:150814fecb6:-506	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	City
7b93e6a1:150814fecb6:677	Membership
7b93e6a1:150814fecb6:1b22	Membership
7b93e6a1:150814fecb6:17f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	City
7b93e6a1:150814fecb6:3c3	Membership
7b93e6a1:150814fecb6:1750	Membership
7b93e6a1:150814fecb6:-766	Encompassed
7b93e6a1:150814fecb6:10ff	Membership
http://www.semwebtech.org/mondial/10/estuary/Fimi/	Estuary
7b93e6a1:150814fecb6:1d82	Membership
7b93e6a1:150814fecb6:-4b2	Membership
7b93e6a1:150814fecb6:105b	Membership
7b93e6a1:150814fecb6:2559	EthnicProportion
7b93e6a1:150814fecb6:22a5	BelievedBy
7b93e6a1:150814fecb6:9b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Water
7b93e6a1:150814fecb6:2201	SpokenBy
7b93e6a1:150814fecb6:fe9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	City
7b93e6a1:150814fecb6:913	Membership
7b93e6a1:150814fecb6:164f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	City
7b93e6a1:150814fecb6:f45	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	City
7b93e6a1:150814fecb6:21e	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Province
http://www.semwebtech.org/mondial/10/estuary/Tiber/	Estuary
7b93e6a1:150814fecb6:2461	EthnicProportion
7b93e6a1:150814fecb6:-30d	Membership
7b93e6a1:150814fecb6:47e	Membership
7b93e6a1:150814fecb6:15fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/	Country
7b93e6a1:150814fecb6:ef1	Membership
7b93e6a1:150814fecb6:1ca	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Province
7b93e6a1:150814fecb6:-56d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	City
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	City
7b93e6a1:150814fecb6:1f1d	Membership
7b93e6a1:150814fecb6:1217	Membership
7b93e6a1:150814fecb6:20ac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	City
7b93e6a1:150814fecb6:7be	Membership
http://www.semwebtech.org/mondial/10/country/KN/	Country
7b93e6a1:150814fecb6:71a	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	City
7b93e6a1:150814fecb6:1477	Membership
7b93e6a1:150814fecb6:d4c	Membership
http://www.semwebtech.org/mondial/10/river/Schilka/	Water
7b93e6a1:150814fecb6:11c3	Membership
7b93e6a1:150814fecb6:-1d9	Membership
http://www.semwebtech.org/mondial/10/island/Anjouan/	Island
7b93e6a1:150814fecb6:97a	Membership
http://www.semwebtech.org/mondial/10/island/Okinawa/	Island
7b93e6a1:150814fecb6:-135	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	City
http://www.semwebtech.org/mondial/10/estuary/Mosel/	Estuary
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	Province
7b93e6a1:150814fecb6:17b7	Membership
7b93e6a1:150814fecb6:-395	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Province
7b93e6a1:150814fecb6:1de9	Membership
7b93e6a1:150814fecb6:1713	Membership
http://www.semwebtech.org/mondial/10/country/RA/	Country
7b93e6a1:150814fecb6:-729	Encompassed
7b93e6a1:150814fecb6:2188	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	City
7b93e6a1:150814fecb6:1d45	Membership
7b93e6a1:150814fecb6:101e	Membership
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	Mountain
7b93e6a1:150814fecb6:5e6	Membership
7b93e6a1:150814fecb6:1973	Membership
7b93e6a1:150814fecb6:542	Membership
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Island
7b93e6a1:150814fecb6:-6d5	Border
7b93e6a1:150814fecb6:127e	Membership
7b93e6a1:150814fecb6:b74	Membership
7b93e6a1:150814fecb6:1cf1	Membership
7b93e6a1:150814fecb6:-631	Border
7b93e6a1:150814fecb6:24c8	EthnicProportion
7b93e6a1:150814fecb6:2090	Membership
7b93e6a1:150814fecb6:f08	Membership
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mountains
7b93e6a1:150814fecb6:2424	BelievedBy
http://www.semwebtech.org/mondial/10/island/Seeland/	Island
http://www.semwebtech.org/mondial/10/river/Brigach/	Water
7b93e6a1:150814fecb6:2684	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Irtysch/	Source
http://www.semwebtech.org/mondial/10/estuary/Mur/	Estuary
7b93e6a1:150814fecb6:15be	Membership
http://www.semwebtech.org/mondial/10/organization/CELAC/	Organization
7b93e6a1:150814fecb6:-19c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Province
7b93e6a1:150814fecb6:eb4	Membership
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	Mountain
7b93e6a1:150814fecb6:151a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	City
7b93e6a1:150814fecb6:23d0	BelievedBy
http://www.semwebtech.org/mondial/10/river/Thjorsa/	Water
7b93e6a1:150814fecb6:e10	Membership
7b93e6a1:150814fecb6:1b4c	Membership
7b93e6a1:150814fecb6:3ed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	City
7b93e6a1:150814fecb6:177a	Membership
7b93e6a1:150814fecb6:-4dc	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	City
7b93e6a1:150814fecb6:c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Province
7b93e6a1:150814fecb6:22cf	BelievedBy
7b93e6a1:150814fecb6:d0f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	City
7b93e6a1:150814fecb6:222b	SpokenBy
7b93e6a1:150814fecb6:93d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Province
7b93e6a1:150814fecb6:f6f	Membership
7b93e6a1:150814fecb6:269	Membership
7b93e6a1:150814fecb6:13e6	Membership
7b93e6a1:150814fecb6:248b	EthnicProportion
7b93e6a1:150814fecb6:cbb	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Province
7b93e6a1:150814fecb6:1342	Membership
7b93e6a1:150814fecb6:-358	Membership
http://www.semwebtech.org/mondial/10/country/F/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	City
7b93e6a1:150814fecb6:1d08	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Province
7b93e6a1:150814fecb6:171	Membership
7b93e6a1:150814fecb6:1936	Membership
7b93e6a1:150814fecb6:1f68	Membership
7b93e6a1:150814fecb6:505	Membership
\.


--
-- TOC entry 5368 (class 0 OID 91266)
-- Dependencies: 879
-- Data for Name: othername; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY othername ("Entity", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Zhongli
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	L'Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Kokshetau
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Port Elizabeth
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	San Juan de Pasto
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elx
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesa
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Jekaterinburg
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia-San Sebastián
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	San Sebastián
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumqayit
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakakah
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Pretoria
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan de Oro
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andres y Providencia
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspiysk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Pusan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bharu
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Taegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Čita
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnourd
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnord
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Distrito Central
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siquatepeque
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piraeus
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piräus
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Cheju
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Padua
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Urumqi
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Al-Qādisiyyah
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzerzhinsk
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sukhumi
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castelló de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Taiz
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kimchaek
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Songjin
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Shakhty
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Kelang
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volžskij
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Bergen
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuzneck
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Tashkent City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytishchi
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	Laâyoune
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Qamishli
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Diu
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk on Amur
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomol'sk-na-Amure
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmedabad
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Guatemala City
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fez
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Čel'abinsk
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novy Urengoy
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Toamasina
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Efon-Alaaye
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Shchyolkovo
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	St. George's
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nakhodka
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago de los Caballeros
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Khasavyurt
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bisho
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouérat
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Calicut
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Geneva
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fergana
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Uljanovsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Amarah
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Manama
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Zheleznodorozhny
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipeck
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolyov
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	La Laguna
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Mosul
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	El-Mahalla El-Kubra
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Cairo
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termez
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rovno
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Cologne
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh City
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Saigon
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Mansoura
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Turin
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Guwahati
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Mahajanga
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Icel
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Beersheba
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulan Bator
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basra
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Viangchan
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Latakia
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk Uralsky
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kiev
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Akyab
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Nebitdag
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sāhīwal
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawābshāh
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Adapazari
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Būrewāla
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago de Veraguas
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kaxgar
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashi
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	South Tangerang
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Toljatti
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karāchi
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghāzi Khān
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Minya
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Almalyk
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahim Yar Khan
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahīmyār Khān
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cuzco
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr el-Dawwar
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Goa
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Seville
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Genoa
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavl
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Reggio Calabria
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Limassol
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balqash
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misrata
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aizawl
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Kotte
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayewardenepura
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca de Soto
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Ghent
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gand
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Machačkala
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubtsovsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Heroica Nogales
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Faiyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panjin
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damaskus
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin City
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Archangel'sk
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Almetyevsk
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykorgan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Nefteyugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZion
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahwaz
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Iževsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Pushkino
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Aleppo
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Haleb
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Thiruvananthapuram
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Sharjah
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Mersa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Shimla
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guixian
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Dawei
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla de Baz
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orekhovo Zuyevo
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Nazret
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Antakya
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoudzou
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai Nagar
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Taejon
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Kwangju
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Wad Madani
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Yuzhno Sakhalinsk
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrachan'
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odessa
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kāmoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataysk
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataisk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossijsk
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Al Khalil
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Achinsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coihaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	Nzérékoré
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Estado de Mexico
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan de Los Morros
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nižnij Tagil
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Iruña
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerp
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Anvers
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athens
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Osogbo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrāt
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol'
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ramadi
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	Pyatigorsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nižnij Novgorod
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra El-Kheima
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyshin
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	Copenhagen
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Coro
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Rangoon
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan de Juarez
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Porto
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose del Monte
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Kokand
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Urfa
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehradun
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Debre Zeyit
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingora
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingāora
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Yelets
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Huhhot
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucharest
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucarest
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Izmit
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Br'ansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpo
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Joškar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urgench
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	Tucuman
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Sohag
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Quy Nhơn
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	Durban
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronež
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo de las Salinas
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyaing
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Moulmein
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Howrah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeynishahr
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveshchensk
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Havana
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Habana
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Groznyj
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan'
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Florence
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alacant
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islāmābād
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Vienna
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Timbuktu
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalcis
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkis
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Giza
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Gizeh
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Chelny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberežnyje Čelny
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Jaroslavl'
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokuybyshevsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Lārkāna
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Nicosia
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Agana
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Malacca
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Asaita
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Biysk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampo
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warsaw
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Calcutta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Irakleio
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Beirut
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodos
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Pripyat
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Aarhus
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novoshakhtinsk
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg im Breisgau
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole (Roatan)
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Ismaïlia
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando de Apure
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kustanay
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfântu Gheorghe
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopeysk
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	Dadiangas
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Bruges
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaca
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsoe
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Luxor
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	Lyubertsy
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Al Chartum Bahri
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Chartum Bahri
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Oryol
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orël
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussels
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussel
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multān
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novocherkassk
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Alexandria
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Chabarovsk
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangfan
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Charjew
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Margilan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nižnevartovsk
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Khimki
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Hull
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyidaw
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyitaw
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Qadarif
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odintsovo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Oktyabrsky
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujrānwāla
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Maskat
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	Tumaco
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad e Kavous
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansiysk
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qena
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	Nasiriyah
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	The Hague
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	's-Gravenhage
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Fergana
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Rome
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Čerepovec
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderābād
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Évora
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpukhov
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Port Said
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Nelspruit
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	St. Catharines
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Kumul
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Cochin
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Corfu
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Korfu
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov on Don
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahāwalpur
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Penang
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons en Champagne
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshāwar
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Syracuse
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khvoy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhūpura
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsoe
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khudzhand
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Chudschand
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	T'umen'
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Islamshahr
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Daşoguz
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Tashauz
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Veliky Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Novgorod
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Hong Gai
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rāwalpindi
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaarbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ondjiva
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Sint-Jans-Molenbeek
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington Fayette
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bengaluru
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hanover
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Ayoûn el-Atroûs
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Bienne
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Soči
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Caloocan
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okāra
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Hodeidah
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Al Hudaydah
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardān
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basse Terre
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirane
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bozen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanai
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	San Juan de Girón
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Al Diwaniyah
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Noyabrsk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm'
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopyevsk
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Maykop
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	New Bombay
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétionville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	East London
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Pristina
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Maarat al-Numaan
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikdja
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovsky
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhgorod
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Vanderbijlpark
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namen
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	Suez
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemie
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodoe
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin El Kom
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergiyev Posad
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Zagorsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz Llave
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Naples
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Patan
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Yessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Zagazig
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardabil
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasūr
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Touggourt
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu das Artes
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen am Rhein
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Pietermaritzburg
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nizhnekamsk
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venice
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulob
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	R'azan'
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubballi
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuklinggau
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Belgrade
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Jakutsk
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wāh Cantonment
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Cherkessk
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tangier
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Gothenburg
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	Samawah
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Douma
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad de Graciano Sanchez
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokara Steel City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Jalapa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nuremberg
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Târgu Jiu
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Pietersburg
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Čeboksary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussuriysk
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Victoria de Durango
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	Munich
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk Kamchatsky
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moscow
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomoso
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudny
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikva
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikwa
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novocheboksarsk
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	La Coruna
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Stary Oskol
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Louvain
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Lucerne
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Prague
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Banjarmasin
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	St. Gallen
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	Djelfa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Madinah
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnojarsk
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver'
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patras
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatao dos Guararapes
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasouj
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjung Pinang
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Sib
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Siālkot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Moji Guacu
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec de Morelos
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolas de los Garza
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Jiangsu
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa City
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milan
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Bloemfontein
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Solapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balashikha
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nalchik
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilene
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Beni Suef
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco-Ville
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkov
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Ujung Pandang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mīrpur Khās
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Jaffa
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Mexico City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Nishapur
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	East Rand
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Madeira
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Puerto Inirida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basra
\.


--
-- TOC entry 5369 (class 0 OID 91269)
-- Dependencies: 880
-- Data for Name: proptablemap; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY proptablemap (property, tablename) FROM stdin;
latitude	Islands
latitude	Island
latitude	Water
latitude	Mountains
latitude	Desert
latitude	Source
latitude	City
latitude	Estuary
latitude	Mountain
hasHeadq	Organization
flowsInto	Water
name	Language
name	Continent
name	Mountains
name	Province
name	Island
name	Organization
name	Mountain
name	EthnicGroup
name	City
name	Religion
name	Desert
name	Islands
name	Water
name	Country
population	Island
population	Islands
population	Country
population	City
population	Province
gdpAgri	Country
belongsToIslands	Island
area	Desert
area	Island
area	Province
area	Islands
area	Country
area	Continent
area	Water
area	Mountains
locatedOnIsland	Mountain
onlyfemaleprop	Female
length	Border
length	Water
inflation	Country
type	Mountain
type	Desert
type	Water
type	Islands
type	Island
type	Membership
type	Mountains
inMountains	Source
inMountains	Mountain
capital	Province
capital	Country
abbrev	Organization
lastEruption	Mountain
ethnicInfo-	EthnicProportion
flowsThrough_Inv	Water
populationGrowth	Country
percent	Encompassed
percent	BelievedBy
percent	SpokenBy
percent	EthnicProportion
longitude	Source
longitude	Island
longitude	Islands
longitude	Desert
longitude	Water
longitude	Estuary
longitude	City
longitude	Mountain
longitude	Mountains
government	Country
gdpServ	Country
invfktprop_Inv	Y2
invfktprop_Inv	Y1
gdpTotal	Country
hasMother	Female
hasMother	Male
ofMember	Membership
religionInfo-	BelievedBy
elevation	Source
elevation	Mountains
elevation	Water
elevation	Mountain
elevation	City
elevation	Islands
elevation	Estuary
elevation	Island
inOrganization	Membership
nmprop	X1
hasFather	Female
hasFather	Male
isProvinceOf	Province
hasSource-	Source
languageInfo-	SpokenBy
unemployment	Country
independenceDate	Country
dependentOf	Country
onReligion	BelievedBy
totUpartV11prop	U
depth	Water
infantMortality	Country
onEthnicGroup	EthnicProportion
gdpInd	Country
carCode	Country
established	Organization
encompassedArea	Encompassed
wasDependentOf	Country
encompassedBy	Encompassed
hasEstuary-	Estuary
onLanguage	SpokenBy
rdftype	Water
rdftype	Mountain
\.


--
-- TOC entry 5370 (class 0 OID 91282)
-- Dependencies: 883
-- Data for Name: rctab; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rctab (tablename, columnname, rangetable) FROM stdin;
Organization	hasHeadq	City
Water	flowsInto	Water
Water	flowsThrough_Inv	Water
Island	belongsToIslands	Islands
Country	dependentOf	Country
Country	capital	City
Country	wasDependentOf	Organization
Country	wasDependentOf	Country
Mountain	locatedOnIsland	Island
Mountain	inMountains	Mountains
Female	hasMother	Female
Female	hasFather	Male
Province	capital	City
Province	isProvinceOf	Country
Source	inMountains	Mountains
Source	hasSource-	Water
EthnicProportion	ethnicInfo-	Country
EthnicProportion	onEthnicGroup	EthnicGroup
Encompassed	encompassedArea	Country
Encompassed	encompassedArea	Province
Encompassed	encompassedBy	Continent
BelievedBy	religionInfo-	Country
BelievedBy	onReligion	Religion
Y2	invfktprop_Inv	X1
Y2	invfktprop_Inv	X2
Membership	ofMember	Country
Membership	inOrganization	Organization
Male	hasMother	Female
Male	hasFather	Male
SpokenBy	languageInfo-	Country
SpokenBy	onLanguage	Language
X1	nmprop	Y1
X1	nmprop	Y2
U	totUpartV11prop	V
Estuary	hasEstuary-	Water
Y1	invfktprop_Inv	X1
Y1	invfktprop_Inv	X2
hasNickname	Person	Male
hasNickname	Person	Female
locatedAt	City	City
nmprop	X	X2
mergesWith	Sea1	Water
locatedOnIsland	Entity	City
marriedWith	Person1	Female
marriedWith	Person1	Male
borders	Entity	Continent
borders	Entity	Country
borders	Entity	Water
borders	Entity	Province
cityIn	City	City
othername	Entity	City
othername	Entity	Organization
othername	Entity	Island
othername	Entity	Desert
othername	Entity	Mountains
othername	Entity	Continent
othername	Entity	Mountain
othername	Entity	Islands
othername	Entity	EthnicGroup
othername	Entity	Language
othername	Entity	Water
othername	Entity	Country
othername	Entity	Religion
othername	Entity	Province
locatedIn	Entity	Estuary
locatedIn	Entity	Desert
locatedIn	Entity	Island
locatedIn	Entity	Mountains
locatedIn	Entity	Source
locatedIn	Entity	Mountain
locatedIn	Entity	City
locatedIn	Entity	Water
locatedIn	Entity	Islands
locatedInWater	Island	Island
hasAccountNo	Person	Female
hasAccountNo	Person	Male
hasChild	Person1	Male
hasChild	Person1	Female
locatedAt	Water	Water
nmprop	Y	Y1
nmprop	Y	Y2
mergesWith	Sea2	Water
mergesWith	Sea2	Water
locatedOnIsland	Island	Island
marriedWith	Person2	Male
marriedWith	Person2	Male
marriedWith	Person2	Female
marriedWith	Person2	Female
borders	LargeArea	Water
borders	LargeArea	Province
borders	LargeArea	Country
borders	LargeArea	Continent
cityIn	AdministrativeArea	Province
cityIn	AdministrativeArea	Country
locatedIn	Area	Country
locatedIn	Area	Province
locatedIn	Area	Island
locatedIn	Area	Continent
locatedIn	Area	Mountains
locatedIn	Area	Water
locatedIn	Area	City
locatedIn	Area	Desert
locatedIn	Area	Islands
locatedInWater	Water	Water
hasChild	Person2	Female
hasChild	Person2	Male
Border	Country1	Country
Border	Country2	Country
\.


--
-- TOC entry 5371 (class 0 OID 91285)
-- Dependencies: 884
-- Data for Name: rdf2sqlconf; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rdf2sqlconf (name, value) FROM stdin;
casesensitive	true
identifiers	asURI
\.


--
-- TOC entry 5372 (class 0 OID 91288)
-- Dependencies: 885
-- Data for Name: subcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY subcl (subclass, superclass) FROM stdin;
Language	rdf2sqlTOP
Continent	rdf2sqlTOP
Desert	rdf2sqlTOP
Border	rdf2sqlTOP
X2	rdf2sqlTOP
Estuary	rdf2sqlTOP
Source	rdf2sqlTOP
Mountain	rdf2sqlTOP
Country	rdf2sqlTOP
Religion	rdf2sqlTOP
Encompassed	rdf2sqlTOP
Province	rdf2sqlTOP
Island	rdf2sqlTOP
EthnicGroup	rdf2sqlTOP
Female	rdf2sqlTOP
SpokenBy	rdf2sqlTOP
Mountains	rdf2sqlTOP
Y1	rdf2sqlTOP
BelievedBy	rdf2sqlTOP
U	rdf2sqlTOP
Male	rdf2sqlTOP
Water	rdf2sqlTOP
Membership	rdf2sqlTOP
Organization	rdf2sqlTOP
Y2	rdf2sqlTOP
V	rdf2sqlTOP
Islands	rdf2sqlTOP
EthnicProportion	rdf2sqlTOP
X1	rdf2sqlTOP
City	rdf2sqlTOP
\.


--
-- TOC entry 5373 (class 0 OID 91291)
-- Dependencies: 886
-- Data for Name: toptables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY toptables (tablename, property, range) FROM stdin;
TOP_locatedOnIsland	locatedOnIsland	Island
TOP_latitude	latitude	decimal
TOP_population	population	nonNegativeInteger
TOP_capital	capital	City
TOP_hasFather	hasFather	Male
TOP_elevation	elevation	decimal
TOP_percent	percent	decimal
TOP_length	length	decimal
TOP_name	name	string
TOP_nmprop	nmprop	Y
TOP_inMountains	inMountains	Mountains
TOP_area	area	decimal
TOP_invfktprop_Inv	invfktprop_Inv	X
TOP_type	type	string
TOP_hasMother	hasMother	Female
TOP_nmprop_Inv	nmprop_Inv	X
TOP_longitude	longitude	decimal
TOP_onlyfemaleprop	onlyfemaleprop	Integer
\.


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 5262 (class 0 OID 89444)
-- Dependencies: 681
-- Data for Name: airport; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY airport (iatacode, name, country, city, province, island, latitude, longitude, elevation, gmtoffset) FROM stdin;
HEA	Herat	AFG	Herat	Afghanistan	\N	34.210017	62.2283	977	5
KBL	Kabul Intl	AFG	Kabul	Afghanistan	\N	34.565853	69.212328	1792	5
TIA	Tirana Rinas	AL	Tirana	Albania	\N	41.414742	19.720561	38	1
TEE	Cheikh Larbi Tebessi	DZ	Tébessa	Algeria	\N	35.431611	8.120717	811	1
BLJ	Batna Airport	DZ	Batna	Algeria	\N	35.752106	6.308589	822	1
BJA	Soummam	DZ	Bejaïa	Algeria	\N	36.711997	5.069922	6	1
TMR	Tamanrasset	DZ	Tamanrasset	Algeria	\N	22.811461	5.451075	1377	1
BSK	Biskra	DZ	Biskra	Algeria	\N	34.793289	5.738231	88	1
CZL	Mohamed Boudiaf Intl	DZ	Constantine	Algeria	\N	36.276028	6.620386	691	1
QSF	Ain Arnat Airport	DZ	Sétif	Algeria	\N	36.1781	5.32449	1024	0
ORN	Es Senia	DZ	Oran	Algeria	\N	35.623858	-0.621183	90	1
GHA	Noumerat	DZ	Ghardaïa	Algeria	\N	32.384106	3.794114	461	1
AAE	Annaba	DZ	Annaba	Algeria	\N	36.822225	7.809167	5	1
ALG	Houari Boumediene	DZ	Algiers	Algeria	\N	36.691014	3.215408	25	1
TLM	Zenata	DZ	Tlemcen	Algeria	\N	35.016667	-1.45	248	1
PPG	Pago Pago Intl	AMSA	Pago Pago	American Samoa	Tutuila	-14.2794	170.7006	10	11
VPE	Ondjiva Pereira Airport	ANG	Ngiva	Cunene	\N	-17.043464	15.683822	1087	1
SDD	Lubango	ANG	Lubango	Huíla	\N	-14.924733	13.575022	1762	1
CAB	Cabinda	ANG	Cabinda	Cabinda	\N	-5.596992	12.188353	20	1
SPP	Menongue	ANG	Menongue	Cuando Cubango	\N	-14.657583	17.719833	1363	1
LAD	Luanda 4 De Fevereiro	ANG	Luanda	Luanda	\N	-8.858375	13.231178	74	1
NOV	Huambo	ANG	Huambo	Huambo	\N	-12.808878	15.760547	1703	1
AXA	Wallblake	AXA	The Valley	Anguilla	Anguilla	18.204834	-63.055084	39	-4
ANU	V C Bird Intl	AG	Saint Johns	Antigua and Barbuda	Antigua	17.136749	-61.792667	19	-4
IRJ	La Rioja	RA	La Rioja	La Rioja	\N	-29.381636	-66.795839	438	-3
JUJ	Jujuy	RA	San Salvador de Jujuy	Jujuy	\N	-24.392778	-65.097778	920	-3
BHI	Comandante Espora	RA	Bahía Blanca	Buenos Aires	\N	-38.724967	-62.169317	75	-3
TUC	Teniente Benjamin Matienzo	RA	San Miguel de Tucumán	Tucumán	\N	-26.840861	-65.104944	456	-3
LUQ	San Luis	RA	San Luis	San Luis	\N	-33.273192	-66.356422	710	-3
SDE	Santiago del Estero	RA	Santiago del Estero	Santiago de Estero	\N	-27.765617	-64.310122	200	-3
SFN	Sauce Viejo	RA	Santa Fe	Santa Fe	\N	-31.711666	-60.811668	17	-3
CNQ	Corrientes	RA	Corrientes	Corrientes	\N	-27.445503	-58.761864	62	-3
NQN	Presidente Peron	RA	Neuquén	Neuquén	\N	-38.949	-68.155711	273	-3
SLA	Salta	RA	Salta	Salta	\N	-24.855978	-65.486169	1246	-3
AEP	Aeroparque Jorge Newbery	RA	Buenos Aires	Distrito Federal	\N	-34.559175	-58.415606	5	-3
EZE	Ministro Pistarini	RA	Buenos Aires	Distrito Federal	\N	-34.822222	-58.535833	20	-3
USH	Ushuaia Malvinas Argentinas	RA	Ushuaia	Tierra del Fuego	\N	-54.843278	-68.29575	22	-3
FMA	Formosa	RA	Formosa	Formosa	\N	-26.212722	-58.228111	59	-3
PSS	Posadas	RA	Posadas	Misiones	\N	-27.385839	-55.970728	131	-3
ROS	Rosario	RA	Rosario	Santa Fe	\N	-32.903611	-60.785	26	-3
RES	Resistencia	RA	Resistencia	Chaco	\N	-27.449986	-59.056125	53	-3
RGL	Rio Gallegos	RA	Río Gallegos	Santa Cruz	\N	-51.608875	-69.312636	19	-3
CRD	Comodoro Rivadavia	RA	Comodoro Rivadavia	Chubut	\N	-45.785347	-67.465508	58	-3
MDQ	Mar Del Plata	RA	Mar del Plata	Buenos Aires	\N	-37.934167	-57.573333	22	-3
MDZ	El Plumerillo	RA	Mendoza	Mendoza	\N	-32.831717	-68.792856	704	-3
COR	Ambrosio L V Taravella	RA	Córdoba	Córdoba	\N	-31.323619	-64.207953	489	-3
EVN	Zvartnots	ARM	Yerevan	Armenia	\N	40.147275	44.395881	865	4
AUA	Reina Beatrix Intl	ARU	Oranjestad	Aruba	Aruba	12.501389	-70.015221	18	-4
MEL	Melbourne Intl	AUS	Melbourne	Victoria	\N	-37.673333	144.843333	132	10
SYD	Sydney Intl	AUS	Sydney	New South Wales	\N	-33.946111	151.177222	6	10
CNS	Cairns Intl	AUS	Cairns	Queensland	\N	-16.885833	145.755278	3	10
TSV	Townsville	AUS	Townsville	Queensland	\N	-19.2525	146.765278	5	10
BNE	Brisbane Intl	AUS	Brisbane	Queensland	\N	-27.384167	153.1175	4	10
CBR	Canberra	AUS	Canberra	Australia Capital Territory	\N	-35.306944	149.195	575	10
ADL	Adelaide Intl	AUS	Adelaide	South Australia	\N	-34.945	138.530556	6	9.5
NTL	Newcastle Airport	AUS	Newcastle	New South Wales	\N	-32.78	151.83	9	10
DRW	Darwin Intl	AUS	Darwin	Northern Territory	\N	-12.4083333	130.87266	31	9.5
PER	Perth Intl	AUS	Perth	Western Australia	\N	-31.940278	115.966944	20	8
HBA	Hobart	AUS	Hobart	Tasmania	Tasmania	-42.836111	147.510278	4	10
SZG	Salzburg	A	Salzburg	Salzburg	\N	47.793304	13.004333	430	1
LNZ	Linz	A	Linz	Oberösterreich	\N	48.233219	14.187511	298	1
INN	Innsbruck	A	Innsbruck	Tirol	\N	47.260219	11.343964	581	1
VIE	Schwechat	A	Wien	Wien	\N	48.110278	16.569722	183	1
GRZ	Graz	A	Graz	Steiermark	\N	46.991067	15.439628	340	1
KLU	Woerthersee International Airport	A	Klagenfurt	Kärnten	\N	46.642514	14.337739	138	1
GYD	Heydar Aliyev	AZ	Baku	Azerbaijan	\N	40.4675	50.046667	3	4
NAS	Lynden Pindling Intl	BS	Nassau	Bahamas	New Providence	25.038958	-77.466231	5	-5
BAH	Bahrain Intl	BRN	Al Manāmah	Bahrain	Bahrain	26.270834	50.63361	2	3
DAC	Zia Intl	BD	Dhaka	Dhaka	\N	23.843333	90.397781	9	6
CGP	Shah Amanat Intl	BD	Chittagong	Chittagong	\N	22.249611	91.813286	4	6
BGI	Grantley Adams Intl	BDS	Bridgetown	Barbados	Barbados	13.074603	-59.492456	52	-4
MSQ	Minsk 2	BY	Minsk	Minsk City	\N	53.882469	28.030731	204	2
ANR	Deurne	B	Antwerpen	Antwerpen	\N	51.189444	4.460278	12	1
CRL	Brussels South	B	Charleroi	Hainaut	\N	50.459197	4.453817	187	1
LGG	Aéroport de Liège	B	Liège	Liège	\N	50.6375	5.4433	201	1
DLC	Zhoushuizi	CN	Dalian	Liaoning	\N	38.965667	121.5386	33	8
BRU	Brussels Natl	B	Bruxelles	Bruxelles	\N	50.901389	4.484444	56	1
BZE	Philip S W Goldson Intl	BZ	Belize City	Belize	\N	17.539144	-88.308203	5	-6
COO	Cadjehoun	BEN	Cotonou	Benin	\N	6.357228	2.384353	6	1
BDA	Bermuda Intl	BERM	Hamilton	Bermuda	Grand Bermuda	32.364042	-64.678703	4	-4
PBH	Paro	BHT	Thimphu	Bhutan	\N	27.403192	89.424606	2235	6
CIJ	Heroes Del Acre	BOL	Cobija	Pando	\N	-11.040436	-68.782972	272	-4
LPB	El Alto Intl	BOL	La Paz	La Paz	\N	-16.513339	-68.192256	4063	-4
VVI	Viru Viru Intl	BOL	Santa Cruz de la Sierra	Santa Cruz	\N	-17.644756	-63.135364	373	-4
SRE	Juana Azurduy De Padilla	BOL	Sucre	Chuquisaca	\N	-19.007083	-65.288747	2905	-4
TDD	Tte Av Jorge Henrich Arauz	BOL	Trinidad	Beni	\N	-14.818739	-64.918019	155	-4
TJA	Capitan Oriel Lea Plaza	BOL	Tarija	Tarija	\N	-21.555736	-64.701325	1855	-4
CBB	Jorge Wilsterman	BOL	Cochabamba	Cochabamba	\N	-17.421058	-66.177114	2549	-4
SJJ	Sarajevo	BIH	Sarajevo	Federacija Bosne i Hercegovine	\N	43.824583	18.331467	521	1
GBE	Sir Seretse Khama Intl	RB	Gaborone	Botswana	\N	-24.555225	25.918208	1006	2
REC	Guararapes Gilberto Freyre Intl	BR	Recife	Pernambuco	\N	-8.126794	-34.923039	10	-3
BSB	Presidente Juscelino Kubitschek	BR	Brasília	Distrito Federal	\N	-15.8711	-47.918625	1061	-3
BVB	Boa Vista	BR	Boa Vista	Roraima	\N	2.846311	-60.690069	84	-4
UDI	Ten Cel Av Cesar Bombonato	BR	Uberlândia	Minas Gerais	\N	-18.882844	-48.225594	943	-3
MCZ	Zumbi Dos Palmares	BR	Maceió	Alagoas	\N	-9.510808	-35.791678	118	-3
MCP	Macapa	BR	Macapá	Amapá	\N	0.050664	-51.072178	17	-3
MAO	Eduardo Gomes Intl	BR	Manaus	Amazonas	\N	-3.038611	-60.049721	80	-4
VIX	Goiabeiras	BR	Vitória	Espírito Santo	\N	-20.258056	-40.286389	3	-3
CWB	Afonso Pena	BR	Curitiba	Paraná	\N	-25.528475	-49.175775	911	-3
STM	Santarem	BR	Santarém	Pará	\N	-2.422431	-54.792789	60	-4
LDB	Londrina	BR	Londrina	Paraná	\N	-23.333625	-51.130072	569	-3
CGB	Marechal Rondon	BR	Cuiabá	Mato Grosso	\N	-15.652931	-56.116719	188	-4
CGR	Campo Grande	BR	Campo Grande	Mato Grosso do Sul	\N	-20.468667	-54.6725	559	-4
CGH	Congonhas	BR	São Paulo	São Paulo	\N	-23.626692	-46.655375	802	-3
SDU	Santos Dumont	BR	Rio de Janeiro	Rio de Janeiro	\N	-22.910461	-43.163133	3	-3
SSA	Deputado Luis Eduardo Magalhaes	BR	Salvador	Bahia	\N	-12.910994	-38.331044	20	-3
CNF	Tancredo Neves Intl	BR	Belo Horizonte	Minas Gerais	\N	-19.63375	-43.968856	828	-3
SLZ	Marechal Cunha Machado Intl	BR	São Luís	Maranhão	\N	-2.585361	-44.234139	54	-3
CPQ	Amarais Airport	BR	Campinas	São Paulo	\N	-22.8592	-47.1082	612	-4
VCP	Viracopos	BR	Campinas	São Paulo	\N	-23.0075	-47.134444	662	-3
AJU	Santa Maria	BR	Aracaju	Sergipe	\N	-10.984	-37.070333	7	-3
UBA	Uberaba	BR	Uberaba	Minas Gerais	\N	-19.765	-47.964778	809	-3
BEL	Val De Cans Intl	BR	Belém	Pará	\N	-1.37925	-48.476292	16	-3
THE	Senador Petronio Portella	BR	Teresina	Piauí	\N	-5.059942	-42.823478	67	-3
NAT	Augusto Severo	BR	Natal	Rio Grande do Norte	\N	-5.911417	-35.247717	52	-3
PET	Pelotas	BR	Pelotas	Rio Grande do Sul	\N	-31.718353	-52.327689	18	-3
RAO	Leite Lopes	BR	Ribeirão Preto	São Paulo	\N	-21.134167	-47.774189	549	-3
RVD	General Leite de Castro Airport	BR	Rio Verde	Goiás	\N	-17.790278	-50.918333	684	-3
GVR	Governador Valadares Airport	BR	Governador Valadares	Minas Gerais	\N	-18.8952	-41.9822	171	-3
IPN	Usiminas	BR	Ipatinga	Minas Gerais	\N	-19.470722	-42.487583	239	-3
CXJ	Campo Dos Bugres	BR	Caxias do Sul	Rio Grande do Sul	\N	-29.197064	-51.187536	754	-3
GIG	Galeao Antonio Carlos Jobim	BR	Rio de Janeiro	Rio de Janeiro	\N	-22.808903	-43.243647	9	-3
FOR	Pinto Martins Intl	BR	Fortaleza	Ceará	\N	-3.776283	-38.532556	25	-3
PLU	Pampulha Carlos Drummond De Andrade	BR	Belo Horizonte	Minas Gerais	\N	-19.851181	-43.950628	789	-3
PVH	Governador Jorge Teixeira De Oliveira	BR	Porto Velho	Rondônia	\N	-8.709294	-63.902281	90	-4
GYN	Santa Genoveva	BR	Goiânia	Goiás	\N	-16.632033	-49.220686	747	-3
POA	Salgado Filho	BR	Porto Alegre	Rio Grande do Sul	\N	-29.994428	-51.171428	3	-3
GRU	Guarulhos Gov Andre Franco Montouro	BR	São Paulo	São Paulo	\N	-23.432075	-46.469511	750	-3
IMP	Prefeito Renato Moreira	BR	Imperatriz	Maranhão	\N	-5.531292	-47.46005	131	-3
IOS	Ilheus	BR	Ilhéus	Bahia	\N	-14.815964	-39.033197	5	-3
EIS	Terrance B Lettsome Intl	BVIR	Road Town	British Virgin Islands	Tortola	18.444834	-64.542975	5	-4
BWN	Brunei Intl	BRU	Bandar Seri Begawan	Brunei	Borneo	4.9442	114.928353	22	8
BOJ	Burgas	BG	Burgas	Bulgaria	\N	42.569583	27.515236	41	2
VAR	Varna	BG	Varna	Bulgaria	\N	43.232072	27.825106	70	2
PDV	Plovdiv	BG	Plovdiv	Bulgaria	\N	42.067806	24.850833	182	2
SOF	Sofia	BG	Sofia	Bulgaria	\N	42.695194	23.406167	531	2
BOY	Bobo Dioulasso	BF	Bobo Dioulasso	Burkina Faso	\N	11.160056	-4.330969	461	0
OUA	Ouagadougou	BF	Ouagadougou	Burkina Faso	\N	12.353194	-1.512417	316	0
MDL	Mandalay Intl	MYA	Mandalay	Mandalay	\N	21.702156	95.977928	91	6.5
RGN	Yangon Intl	MYA	Yangon	Yangon	\N	16.907305	96.133222	33	6.5
BJM	Bujumbura Intl	BI	Bujumbura	Burundi	\N	-3.324019	29.318519	787	2
PNH	Phnom Penh Intl	K	Phnom Penh	Cambodia	\N	11.546556	104.844139	12	7
DLA	Douala	CAM	Douala	Littoral	\N	4.006081	9.719481	10	1
NSI	Yaounde Nsimalen	CAM	Yaoundé	Centre	\N	3.722556	11.553269	695	1
YQX	Gander Intl	CDN	Gander	Newfoundland and Labrador	Newfoundland	48.936944	-54.568056	151	-4
YXY	Whitehorse Intl	CDN	Whitehorse	Yukon	\N	60.709553	-135.067269	706	-8
YFB	Iqaluit	CDN	Iqaluit	Nunavut	Baffin Island	63.75639	-68.555832	34	-5
YYT	St Johns Intl	CDN	St. John's	Newfoundland and Labrador	Newfoundland	47.61861	-52.751945	141	-3.5
YYZ	Lester B Pearson Intl	CDN	Toronto	Ontario	\N	43.677223	-79.630556	173	-5
YYC	Calgary Intl	CDN	Calgary	Alberta	\N	51.113888	-114.020278	1084	-7
YYJ	Victoria Intl	CDN	Victoria	British Columbia	Vancouver Island	48.646944	-123.425833	19	-8
YXU	London	CDN	London	Ontario	\N	43.033056	-81.151111	278	-5
YXE	Saskatoon J G Diefenbaker Intl	CDN	Saskatoon	Saskatchewan	\N	52.170834	-106.699722	504	-6
YZF	Yellowknife	CDN	Yellowknife	Northwest Territories	\N	62.462778	-114.440278	206	-7
YQB	Quebec Jean Lesage Intl	CDN	Quebec	Quebec	\N	46.791111	-71.393333	74	-5
YQT	Thunder Bay	CDN	Thunder Bay	Ontario	\N	48.371944	-89.323889	199	-5
YQR	Regina Intl	CDN	Regina	Saskatchewan	\N	50.431944	-104.665833	577	-6
YOW	Ottawa Macdonald Cartier Intl	CDN	Ottawa	Ontario	\N	45.3225	-75.669167	114	-5
YUL	Pierre Elliott Trudeau Intl	CDN	Montréal	Quebec	\N	45.470556	-73.740833	36	-5
YTZ	City Centre	CDN	Toronto	Ontario	\N	43.627499	-79.396167	77	-5
YWG	Winnipeg Intl	CDN	Winnipeg	Manitoba	\N	49.910036	-97.239886	239	-6
YVR	Vancouver Intl	CDN	Vancouver	British Columbia	\N	49.193889	-123.184444	4	-8
YHM	Hamilton	CDN	Hamilton	Ontario	\N	43.173611	-79.935	238	-5
YHZ	Halifax Intl	CDN	Halifax	Nova Scotia	\N	44.880833	-63.50861	145	-4
YEG	Edmonton Intl	CDN	Edmonton	Alberta	\N	53.309723	-113.579722	723	-7
RAI	Praia International Airport	CV	Praia	Cape Verde	Santiago	14.9245	-23.4935	70	-1
LYB	Edward Bodden Airfield	CAYM	\N	\N	Little Cayman	19.6591666667	-80.09083333	1	-5
GCM	Owen Roberts Intl	CAYM	George Town	Cayman Islands	Grand Cayman	19.292778	-81.35775	2	-5
CYB	Gerrard Smith Intl	CAYM	\N	\N	Cayman Brac	19.686981	-79.882789	2	-5
BGF	Bangui M Poko	RCA	Bangui	Central African Republic	\N	4.398475	18.518786	368	1
NDJ	Ndjamena Hassan Djamous	TCH	N'Djamena	Chad	\N	12.133689	15.034019	295	1
ANF	Cerro Moreno Intl	RCH	Antofagasta	Antofagasta	\N	-23.444478	-70.4451	139	-4
ZAL	Pichoy	RCH	Valdivia	Ríos	\N	-39.649956	-73.086111	18	-4
LSC	La Florida	RCH	La Serena	Coquimbo	\N	-29.916233	-71.199522	147	-4
CPO	Copiapo	RCH	Copiapó	Atacama	\N	-27	-70	305	-4
CCP	Carriel Sur Intl	RCH	Concepción	Bío-Bío	\N	-36.77265	-73.063106	8	-4
ZCO	Maquehue	RCH	Temuco	Araucanía	\N	-38.766819	-72.637097	93	-4
SCL	Arturo Merino Benitez Intl	RCH	Santiago	Santiago	\N	-33.392975	-70.785803	474	-4
IQQ	Diego Aracena Intl	RCH	Iquique	Tarapacá	\N	-20.535222	-70.181275	47	-4
ARI	Chacalluta	RCH	Arica	Arica y Parinacota	\N	-18.348531	-70.338742	51	-4
PMC	El Tepual Intl	RCH	Puerto Montt	Lagos	\N	-41.438886	-73.093953	90	-4
PUQ	Carlos Ibanez Del Campo Intl	RCH	Punta Arenas	Magallanes	\N	-53.002642	-70.854586	42	-4
HGH	Xiaoshan	CN	Hangzhou	Zhejiang	\N	30.229503	120.434453	7	8
XMN	Gaoqi	CN	Xiamen	Fujian	\N	24.544036	118.127739	18	8
HLD	Dongshan	CN	Hailar	Nei Mongol	\N	49.204997	119.825	661	8
XFN	Xiangfan Airport	CN	Xiangyang	Hubei	\N	32.1506	112.291	\N	8
XIC	Qingshan	CN	Xichang	Sichuan	\N	27.989083	102.184361	1559	8
HAK	Meilan	CN	Haikou	Hainan	Hainan	19.934856	110.458961	23	8
HET	Baita Airport	CN	Hohhot	Nei Mongol	\N	40.851422	111.824103	1084	8
PEK	Capital Intl	CN	Beijing	Beijing	\N	40.080111	116.584556	35	8
PVG	Pudong	CN	Shanghai	Shanghai	\N	31.143378	121.805214	4	8
WXN	Wanzhou Wuqiao Airport	CN	Wanxian	Sichuan	\N	30.8361	108.406	567	8
WUH	Tianhe	CN	Wuhan	Hubei	\N	30.783758	114.2081	34	8
WUX	Wuxi Airport	CN	Wuxi	Jiangsu	\N	31.4944	120.429	5	8
WNZ	Wenzhou Longwan Airport	CN	Wenzhou	Zhejiang	\N	27.9122	120.852	\N	8
INC	Yinchuan	CN	Yinchuan	Ningxia	\N	38.481944	106.009167	1098	8
ZUH	Zhuhai Airport	CN	Zhuhai	Guangdong	\N	22.0064	113.376	7	8
HRB	Taiping	CN	Harbin	Heilongjiang	\N	45.623403	126.250328	139	8
JMU	Jiamusi Airport	CN	Jiamusi	Heilongjiang	\N	46.843394	130.465389	80	8
CGQ	Changchun	CN	Changchun	Jilin	\N	43.5412	125.1201	69	8
CGO	Xinzheng	CN	Zhengzhou	Henan	\N	34.519672	113.840889	151	8
LHW	Lanzhou Airport	CN	Lanzhou	Gansu	\N	36.117	103.617	1948	8
SJW	Shijiazhuang Daguocun International Airport	CN	Shijiazhuang	Hebei	\N	38.280686	114.6973	71	8
CKG	Jiangbei	CN	Chongqing	Chongqing	\N	29.719217	106.641678	416	8
CSX	Huanghua	CN	Changsha	Hunan	\N	28.189158	113.219633	66	8
BHY	Beihai Airport	CN	Beihai	Guangxi	\N	21.5394	109.294	\N	8
TGO	Tongliao Airport	CN	Tongliao	Nei Mongol	\N	43.5567	122.2	730	8
KHN	Changbei Intl	CN	Nanchang	Jiangxi	\N	28.865	115.9	44	8
KMG	Wujiaba	CN	Kunming	Yunnan	\N	24.992364	102.743536	1895	8
TSN	Binhai	CN	Tianjin	Tianjin	\N	39.124353	117.346183	3	8
BAV	Baotou Airport	CN	Baotou	Nei Mongol	\N	40.56	109.997	1013	8
NDG	Qiqihar Sanjiazi Airport	CN	Qiqihar	Heilongjiang	\N	47.239628	123.918131	145	8
NNG	Wuxu	CN	Nanning	Guangxi	\N	22.608267	108.172442	128	8
NKG	Lukou	CN	Nanjing	Jiangsu	\N	31.742042	118.862025	15	8
URC	Diwopu	CN	Wulumuqi	Xinjiang	\N	43.907106	87.474244	648	8
NTG	Nantong Airport	CN	Nantong	Jiangsu	\N	32.0708	120.976	\N	8
MIG	Mianyang Airport	CN	Mianyang	Sichuan	\N	31.4281	104.741	\N	8
TYN	Wusu	CN	Taiyuan	Shanxi	\N	37.746897	112.628428	785	8
CAN	Baiyun Intl	CN	Guangzhou	Guangdong	\N	23.392436	113.298786	15	8
LZO	Luzhou Airport	CN	Luzhou	Sichuan	\N	28.8522	105.393	\N	8
LYI	Shubuling Airport	CN	Linyi	Shandong	\N	35.0461	118.412	\N	8
LXA	Lhasa-Gonggar	CN	Lhasa	Xizang	\N	29.297778	90.911944	4005	8
WEH	Weihai Airport	CN	Weihai	Shandong	\N	37.1871	122.229	44	8
MDG	Mudanjiang	CN	Mudanjiang	Heilongjiang	\N	44.523889	129.568889	269	8
TNA	Jinan	CN	Jinan	Shandong	\N	36.857214	117.215992	23	8
SYX	Phoenix International	CN	Sanya	Hainan	Hainan	18.302897	109.412272	28	8
KWE	Longdongbao	CN	Guiyang	Guizhou	\N	26.538522	106.800703	1139	8
SZX	Baoan Intl	CN	Shenzhen	Guangdong	\N	22.639258	113.810664	4	8
CTU	Shuangliu	CN	Chengdu	Sichuan	\N	30.578528	103.947086	495	8
YNJ	Yanji Airport	CN	Yanji	Jilin	\N	42.8828	129.451258	190	8
YNT	Laishan	CN	Yantai	Shandong	\N	37.401667	121.371667	18	8
YNZ	Yancheng Airport	CN	Yancheng	Jiangsu	\N	33.3856	120.125	\N	8
YIH	Yichang Airport	CN	Yichang	Hubei	\N	30.671	111.441	205	8
YBP	Yibin	CN	Yibin	Sichuan	\N	28.800278	104.544444	305	8
XUZ	Xuzhou Guanyin Airport	CN	Xuzhou	Jiangsu	\N	34.16	117.11	43	8
FOC	Changle	CN	Fuzhou	Fujian	\N	25.935064	119.663272	14	8
XNN	Xining Caojiabao Airport	CN	Xining	Qinghai	\N	36.5275	102.043	2170	8
XIY	Xianyang	CN	Xi'an	Shaanxi	\N	34.447119	108.751592	479	8
HFE	Luogang	CN	Hefei	Anhui	\N	31.780019	117.298436	33	8
MXZ	Meixian Airport	CN	Meixian	Guangdong	\N	24.35	116.133	\N	8
NNY	Nanyang Airport	CN	Nanyang	Henan	\N	32.9808	112.615	\N	8
NZH	Manzhouli	CN	Manzhouli	Nei Mongol	\N	49.57	117.329444	\N	8
YUS	Yushu Batang	CN	Yushu	Qinghai	\N	32.825	97.125	3963	8
AQG	Anqing Airport	CN	Anqing	Anhui	\N	30.5822	117.0502	\N	8
CGD	Changde Airport	CN	Changde	Hunan	\N	28.9189	111.64	\N	8
KHG	Kashi	CN	Kashgar	Xinjiang	\N	39.542922	76.019956	1381	8
KOW	Ganzhou Airport	CN	Ganzhou	Jiangxi	\N	25.8258	114.912	\N	8
AKU	Aksu Airport	CN	Aksu	Xinjiang	\N	41.2625	80.2917	1163	8
KRL	Korla Airport	CN	Korla	Xinjiang	\N	41.6978	86.1289	927	8
LYA	Luoyang Airport	CN	Luoyang	Henan	\N	34.41	112.28	64	8
LYG	Lianyungang Airport	CN	Lianyungang	Jiangsu	\N	34.55	119.25	\N	8
LZH	Bailian Airport	CN	Liuzhou	Guangxi	\N	24.2075	109.391	90	8
WEF	Weifang Airport	CN	Weifang	Shandong	\N	36.6467	119.119	\N	8
CHG	Chaoyang Airport	CN	Chaoyang	Liaoning	\N	41.5381	120.435	173	8
CIH	Changzhi Airport	CN	Changzhi	Shanxi	\N	36.2475	113.126	\N	8
CIF	Chifeng Airport	CN	Chifeng	Nei Mongol	\N	42.235	118.908	\N	8
DOY	Dongying Airport	CN	Dongying	Shandong	\N	37.2716	118.2819	26	8
NAO	Nanchong Airport	CN	Nanchong	Sichuan	\N	30.754	106.062	\N	8
JIU	Jiujiang Lushan Airport	CN	Jiujiang	Jiangxi	\N	29.733	115.983	\N	8
JDZ	Jingdezhen Airport	CN	Jingdezhen	Jiangxi	\N	29.3386	117.176	34	8
ZHA	Zhanjiang Airport	CN	Zhanjiang	Guangdong	\N	21.2144	110.358	38	8
WUA	Wuhai	CN	Wuhai	Nei Mongol	\N	39.794444	106.799444	\N	8
GYS	Guangyuan Airport	CN	Guangyuan	Sichuan	\N	32.3911	105.702	\N	8
HSN	Zhoushan Airport	CN	Zhoushan	Zhejiang	Zhoushan	29.9342	122.362	9	8
JNZ	Jinzhou Airport	CN	Jinzhou	Liaoning	\N	41.1014	121.062	\N	8
JNG	Jining Airport	CN	Jining	Shandong	\N	35.417	116.533	470	8
JUZ	Quzhou Airport	CN	Quzhou	Hebei	\N	28.9658	118.899	\N	8
HLH	Ulanhot Airport	CN	Ulanhot	Nei Mongol	\N	46.083	122.017	\N	8
HMI	Hami Airport	CN	Hami	Xinjiang	\N	42.8414	93.6692	824	8
YIN	Yining Airport	CN	Yining	Xinjiang	\N	43.9558	81.3303	666	8
KWL	Liangjiang	CN	Guilin	Guangxi	\N	25.218106	110.039197	174	8
CZX	Changzhou	CN	Changzhou	Jiangsu	\N	31.941667	119.711667	12	8
SWA	Jieyang Chaoshan International Airport	CN	Shantou	Guangdong	\N	23.55	116.5	\N	8
DAT	Datong Airport	CN	Datong	Shanxi	\N	40.0603	113.482	1049	8
TAO	Liuting	CN	Qingdao	Shandong	\N	36.266108	120.374436	10	8
DDG	Dandong	CN	Dandong	Liaoning	\N	40.0255	124.2866	9	8
SHE	Shenyang Taoxian International Airport	CN	Shenyang	Liaoning	\N	41.3824	123.2901	60	8
SHA	Hongqiao Intl	CN	Shanghai	Shanghai	\N	31.197875	121.336319	3	8
XCH	Christmas Island	XMAS	Flying Fish Cove	Christmas Island	Christmas Island	-10.450556	105.690278	279	7
CCK	Cocos Keeling Island Airport	COCO	West Island	Cocos Islands	Pulau Panjang	-12.1883	96.8339	3	6.5
BOG	Eldorado Intl	CO	Bogotá	Santa Fe de Bogotá	\N	4.701594	-74.146947	2549	-5
IBE	Perales	CO	Ibagué	Tolima	\N	4.421608	-75.1333	914	-5
FLA	Gustavo Artunduaga Paredes	CO	Florencia	Caquetá	\N	1.589189	-75.564372	245	-5
AXM	El Eden	CO	Armenia	Quindío	\N	4.452775	-75.766447	1216	-5
MZL	La Nubia	CO	Manizales	Caldas	\N	5.029597	-75.464708	2095	-5
EJA	Yariguies	CO	Barrancabermeja	Santander	\N	7.024331	-73.8068	126	-5
TCO	La Florida	CO	San Andres de Tumaco	Nariño	\N	1.814417	-78.749228	2	-5
CLO	Alfonso Bonilla Aragon Intl	CO	Cali	Valle de Cauca	\N	3.543222	-76.381583	964	-5
CTG	Rafael Nunez	CO	Cartagena	Bolívar	\N	10.442381	-75.512961	1	-5
SMR	Simon Bolivar	CO	Santa Marta	Magdalena	\N	11.11965	-74.230647	7	-5
BAQ	Ernesto Cortissoz	CO	Barranquilla	Atlántico	\N	10.889589	-74.780819	30	-5
PEI	Matecana	CO	Pereira	Risaralda	\N	4.812675	-75.739519	1346	-5
CUC	Camilo Daza	CO	Cúcuta	Norte de Santander	\N	7.927567	-72.511547	334	-5
BGA	Palonegro	CO	Bucaramanga	Santander	\N	7.1265	-73.184778	1188	-5
ADZ	Gustavo Rojas Pinilla	CO	San Andres	San Andrés, Providencia y Santa Catalina	San Andres	12.583594	-81.711192	6	-5
EOH	Olaya Herrera	CO	Medellín	Antioquia	\N	6.219958	-75.590519	1506	-5
HAH	Prince Said Ibrahim	COM	Moroni	Comoros	Grand Comoro	-11.533661	43.27185	28	3
PNR	Pointe Noire	RCB	Pointe-Noire	Pointe-Noire	\N	-4.816028	11.886597	17	1
BZV	Maya Maya	RCB	Brazzaville	Brazzaville	\N	-4.2517	15.253031	320	1
CUR	Hato	CUR	Willemstad	Curacao	Curacao	12.188853	-68.959803	9	-4
FIH	Ndjili Intl	ZRE	Kinshasa	Kinshasa	\N	-4.38575	15.444569	313	1
MJM	Mbuji Mayi	ZRE	Mbuji-Mayi	Kasai-Oriental	\N	-6.121236	23.569008	677	2
FBM	Lubumbashi Intl	ZRE	Lubumbashi	Katanga	\N	-11.591333	27.530889	1309	2
RAR	Rarotonga Intl	COOK	Avarua	Cook Islands	Rarotonga	-21.202739	-159.805556	6	-10
SYQ	Tobias Bolanos International Airport	CR	San José	San José	\N	9.957053	-84.139797	1002	-6
LIR	Daniel Oduber Quiros Intl	CR	Liberia	Guanacaste	\N	10.593289	-85.544408	82	-6
SJO	Juan Santamaria Intl	CR	San José	San José	\N	9.993861	-84.208806	921	-6
ABJ	Abidjan Felix Houphouet Boigny Intl	CI	Abidjan	Lagunes	\N	5.261386	-3.926294	6	0
SPU	Split	HR	Split	Croatia	\N	43.538944	16.297964	24	1
ZAG	Zagreb	HR	Zagreb	Croatia	\N	45.742931	16.068778	108	1
RJK	Rijeka	HR	Rijeka	Croatia	\N	45.216889	14.570267	85	1
ZAD	Zadar	HR	Zadar	Croatia	\N	44.108269	15.346697	88	1
SCU	Antonio Maceo Intl	C	Santiago de Cuba	Santiago de Cuba	Cuba	19.969769	-75.835414	76	-5
CMW	Ignacio Agramonte Intl	C	Camagüey	Camagüey	Cuba	21.420428	-77.847433	126	-5
HOG	Frank Pais Intl	C	Holguín	Holguín	Cuba	20.785589	-76.315108	110	-5
GER	Rafael Cabrera	C	Nueva Gerona	Isla de la Juventud	Cuba	21.834689	-82.783819	24	-5
HAV	Jose Marti Intl	C	La Habana	La Habana	Cuba	22.989153	-82.409086	64	-5
LCA	Larnaca	CY	Larnaka	Cyprus	Cyprus	34.875117	33.62485	2	2
ECN	Ercan International Airport	CY	Lefkosia	Cyprus	Cyprus	35.1547	33.4961	123	2
KLV	Karlovy Vary	CZ	Karlovy Vary	Karlovarský	\N	50.202978	12.914983	606	1
PED	Pardubice	CZ	Pardubice	Pardubický	\N	50.013419	15.738647	226	1
PRG	Ruzyne	CZ	Praha	Praha	\N	50.100833	14.26	380	1
OSR	Mosnov	CZ	Ostrava	Moravskoslezský	\N	49.696292	18.111053	257	1
BRQ	Brno-Tuřany	CZ	Brno	Jihomoravský	\N	49.1514	16.6944	235	1
CPH	Kastrup	DK	København	Hovedstaden	Seeland	55.617917	12.655972	5	1
AAL	Aalborg	DK	Aalborg	Nordjylland	\N	57.092789	9.849164	3	1
AAR	Aarhus	DK	Århus	Midtjylland	\N	56.300017	10.619008	25	1
RNN	Bornholm Ronne	DK	\N	\N	Bornholm	55.063267	14.759558	16	1
EBJ	Esbjerg	DK	Esbjerg	Syddanmark	\N	55.525942	8.553403	30	1
JIB	Ambouli International Airport	DJI	Djibouti	Djibouti	\N	11.5472	43.1594	15	3
DOM	Melville Hall	WD	Roseau	Dominica	Dominica	15.547028	-61.3	22	-4
SDQ	Las Americas Intl	DOM	Santo Domingo	Dominican Republic	Hispaniola	18.429664	-69.668925	18	-4
STI	Cibao Intl	DOM	Santiago	Dominican Republic	Hispaniola	19.406092	-70.604689	172	-4
DIL	Presidente Nicolau Lobato Intl	TL	Dili	Timor-Leste	Timor	-8.546553	125.524719	8	8
GPS	Seymour	EC	\N	\N	Isabela	-0.453758	-90.265914	63	-6
GYE	Jose Joaquin De Olmedo Intl	EC	Guayaquil	Ecuador	\N	-2.157419	-79.883558	6	-5
UIO	Mariscal Sucre Intl	EC	Quito	Ecuador	\N	-0.141144	-78.488214	2813	-5
CUE	Mariscal Lamar	EC	Cuenca	Ecuador	\N	-2.889467	-78.984397	2532	-5
HRG	Hurghada Intl	ET	Hurghada	Egypt	\N	27.178317	33.799436	16	2
ASW	Aswan Intl	ET	Aswan	Egypt	\N	23.964356	32.819975	202	2
ATZ	Asyut International Airport	ET	Asyut	Egypt	\N	27.046508	31.011983	235	2
HBE	Borg El Arab Intl	ET	Al Iskandariyah	Egypt	\N	30.917669	29.696408	54	2
CAI	Cairo Intl	ET	Al Qahirah	Egypt	\N	30.121944	31.405556	116	2
LXR	Luxor Intl	ET	Al Uqsur	Egypt	\N	25.671028	32.706583	90	2
ALY	Alexandria Intl	ET	Al Iskandariyah	Egypt	\N	31.183903	29.948889	-2	2
SAL	El Salvador Intl	ES	San Salvador	El Salvador	\N	13.440947	-89.055728	31	-6
SSG	Malabo	GQ	Malabo	Insular	Bioko	3.755267	8.708717	23	1
BSG	Bata	GQ	Bata	Continental	\N	1.9056	9.8056	11	1
ASM	Asmara Intl	ER	Asmara	Eritrea	\N	15.291853	38.910667	2336	3
TLL	Tallinn-Ulemiste International	EW	Tallinn	Estonia	\N	59.413317	24.832844	40	2
GDQ	Gondar	ETH	Gondar	Amhara	\N	12.5199	37.434047	1994	3
DIR	Dire Dawa Intl	ETH	Dire Dawa	Dire Dawa	\N	9.6247	41.854203	1167	3
ADD	Bole Intl	ETH	Addis Ababa	Addis Ababa	\N	8.977889	38.799319	2334	3
GMB	Gambella	ETH	Gambella	Gambella	\N	8.128764	34.563131	540	3
PSY	Port Stanley	FALK	Stanley	Falkland Islands	East Falkland	-51.6857	-57.7776	23	-3
FAE	Vagar	FARX	Tórshavn	Faroe Islands	Streymoy	62.063628	-7.277219	85	0
SUV	Nausori Intl	FJI	Suva	Fiji	Viti Levu	-18.043267	178.559228	5	12
MHQ	Mariehamn	SF	Mariehamn	Aland	\N	60.122203	19.898156	5	1
OUL	Oulu	SF	Oulu	Oulu	\N	64.930061	25.354564	14	2
HEL	Helsinki Vantaa	SF	Helsinki	Uusimaa	\N	60.317222	24.963333	55	2
POR	Pori	SF	Pori	Turku-Pori	\N	61.461686	21.799983	13	2
JOE	Joensuu	SF	Joensuu	Pohjols-Karjala	\N	62.662906	29.60755	121	2
RVN	Rovaniemi	SF	Rovaniemi	Lappia	\N	66.564822	25.830411	196	2
JYV	Jyvaskyla	SF	Jyväskylä	Suomi	\N	62.399453	25.678253	140	2
KUO	Kuopio	SF	Kuopio	Kuopio	\N	63.00715	27.797756	98	2
LPP	Lappeenranta	SF	Lappeenranta	Kymi	\N	61.044553	28.144397	106	2
TMP	Tampere Pirkkala	SF	Tampere	Haeme	\N	61.414147	23.604392	119	2
TKU	Turku	SF	Turku	Turku-Pori	\N	60.514142	22.262808	49	2
VAA	Vaasa	SF	Vaasa	Vaasa	\N	63.05065	21.762175	6	2
MLH	Basel Mulhouse	F	Mulhouse	Alsace	\N	47.589583	7.529914	270	1
MRS	Provence	F	Marseille	Provence-Alpes-Côte d'Azur	\N	43.435555	5.213611	23	1
MPL	Mediterranee	F	Montpellier	Languedoc-Roussillon	\N	43.576194	3.963014	5	1
CFR	Carpiquet	F	Caen	Basse Normandie	\N	49.173333	-0.45	78	1
ANE	Angers-Loire Airport	F	Angers	Pays de la Loire	\N	47.5603	-0.312222	59	1
ETZ	Metz Nancy Lorraine	F	Metz	Lorraine	\N	48.982142	6.251319	265	1
ORY	Orly	F	Paris	Île-de-France	\N	48.725278	2.359444	89	1
FNI	Garons	F	Nîmes	Languedoc-Roussillon	\N	43.757444	4.416347	94	1
PGF	Rivesaltes	F	Perpignan	Languedoc-Roussillon	\N	42.740442	2.870667	44	1
PIS	Biard	F	Poitiers	Poitou Charentes	\N	46.587745	0.306666	129	1
RNS	St Jacques	F	Rennes	Bretagne	\N	48.069508	-1.734794	38	1
LYS	Saint Exupery	F	Lyon	Rhône-Alpes	\N	45.726387	5.090833	250	1
BOD	Merignac	F	Bordeaux	Aquitaine	\N	44.828335	-0.715556	49	1
SXB	Entzheim	F	Strasbourg	Alsace	\N	48.538319	7.628233	154	1
CFE	Auvergne	F	Clermont-Ferrand	Auvergne	\N	45.786661	3.169169	332	1
LIG	Bellegarde	F	Limoges	Limousin	\N	45.862778	1.179444	396	1
LIL	Lesquin	F	Lille	Nord-Pas-de-Calais	\N	50.561942	3.089444	48	1
CDG	Charles De Gaulle	F	Paris	Île-de-France	\N	49.012779	2.55	120	1
AJA	Campo Dell Oro	F	Ajaccio	Corse	Corse	41.923637	8.802917	5	1
TUF	Val De Loire	F	Tours	Centre	\N	47.432222	0.727606	109	1
TLS	Blagnac	F	Toulouse	Midi-Pyrénées	\N	43.629075	1.363819	152	1
BES	Guipavas	F	Brest	Bretagne	\N	48.447911	-4.418539	99	1
NCE	Cote d'Azur	F	Nice	Provence-Alpes-Côte d'Azur	\N	43.658411	7.215872	4	1
NTE	Nantes Atlantique	F	Nantes	Pays de la Loire	\N	47.153189	-1.610725	27	1
SBH	Saint Barthelemy	SBAR	Gustavia	Saint Barthelemy	St. Barthelemy	17.9023	-62.8324	15	-4
CAY	Rochambeau	FGU	Cayenne	French Guiana	\N	4.819808	-52.360447	8	-3
PPT	Faa'a International	FPOL	Papeete	French Polynesia	Tahiti	-17.556667	-149.611389	2	-10
LBV	Leon M Ba	G	Libreville	Gabon	\N	0.4586	9.412283	12	1
BJL	Banjul Intl	WAG	Banjul	Gambia	\N	13.337961	-16.652206	29	0
TBS	Tbilisi	GE	Tbilisi	Georgia	\N	41.669167	44.954722	495	4
BUS	Batumi	GE	Batumi	Georgia	\N	41.610278	41.599694	32	2
KUT	Kopitnari	GE	Kutaisi	Georgia	\N	42.176653	42.482583	68	4
HAJ	Hannover	D	Hannover	Niedersachsen	\N	52.461056	9.685078	56	1
HAM	Hamburg	D	Hamburg	Hamburg	\N	53.630389	9.988228	16	1
PAD	Paderborn Lippstadt	D	Paderborn	Nordrhein-Westfalen	\N	51.614089	8.616317	213	1
GWT	Westerland Sylt	D	\N	\N	Sylt	54.91325	8.340472	16	1
SCN	Saarbrücken	D	Saarbrücken	Saarland	\N	49.214553	7.109508	323	1
TXL	Tegel	D	Berlin	Berlin	\N	52.559686	13.287711	37	1
BRE	Neuenland	D	Bremen	Bremen	\N	53.0475	8.786667	4	1
SXF	Schönefeld	D	Berlin	Berlin	\N	52.380001	13.5225	48	1
STR	Stuttgart	D	Stuttgart	Baden-Württemberg	\N	48.689878	9.221964	389	1
LBC	Lübeck	D	Lübeck	Schleswig-Holstein	\N	53.805367	10.719222	16	1
LEJ	Leipzig Halle	D	Leipzig	Sachsen	\N	51.432447	12.241633	142	1
CGN	Köln Bonn	D	Köln	Nordrhein-Westfalen	\N	50.865917	7.142744	92	1
HHN	Frankfurt Hahn	D	Frankfurt am Main	Hessen	\N	49.948672	7.263892	503	1
FRA	Frankfurt Main	D	Frankfurt am Main	Hessen	\N	50.026421	8.543125	111	1
FMO	Münster Osnabrück	D	Münster	Nordrhein-Westfalen	\N	52.134642	7.684831	49	1
FKB	Baden Airpark	D	Karlsruhe	Baden-Württemberg	\N	48.7793	8.08048	124	1
DUS	Dusseldorf	D	Düsseldorf	Nordrhein-Westfalen	\N	51.289453	6.766775	45	1
NUE	Nürnberg	D	Nürnberg	Bayern	\N	49.4987	11.066897	319	1
DRS	Dresden	D	Dresden	Sachsen	\N	51.132767	13.767161	230	1
DTM	Dortmund	D	Dortmund	Nordrhein-Westfalen	\N	51.518314	7.612242	130	1
MUC	Franz Josef Strauss	D	München	Bayern	\N	48.353783	11.786086	453	1
ACC	Kotoka Intl	GH	Accra	Greater Accra	\N	5.605186	-0.166786	63	0
GIB	Gibraltar	GBZ	Gibraltar	Gibraltar	\N	36.151219	-5.349664	5	1
HER	Nikos Kazantzakis	GR	Iraklio	Kritis	Kreta	35.339719	25.180297	35	2
IOA	Ioannina	GR	Ioannina	Ipeiroy	\N	39.696388	20.8225	475	2
JMK	Mikonos	GR	\N	\N	Mykonos	37.435128	25.348103	123	2
JKH	Chios	GR	\N	\N	Chios	38.343175	26.140572	5	2
RHO	Rhodes Diagoras	GR	Rhodes	Notioy Aigaioy	Rhodos	36.405419	28.086192	5	2
ATH	Eleftherios Venizelos Intl	GR	Athina	Attikis	\N	37.936358	23.944467	94	2
EFL	Kefallinia	GR	\N	\N	Kefallinia	38.120069	20.500481	18	2
KVA	Megas Alexandros Intl	GR	Kavala	Anatolikis Makedonias kai Thrakis	\N	40.913306	24.619223	5	2
CFU	Ioannis Kapodistrias Intl	GR	Kerkyra	Ionion Nison	Korfu	39.601944	19.911667	2	2
SKG	Makedonia	GR	Thessaloniki	Kentrikis Makedonias	\N	40.519725	22.97095	7	2
CHQ	Souda	GR	Chania	Kritis	Kreta	35.531747	24.149678	149	2
SMI	Samos	GR	\N	\N	Samos	37.689999	26.911667	6	2
KGS	Kos	GR	\N	\N	Kos	36.793335	27.091667	126	2
MJT	Mitilini	GR	Mytilini	Boreioy Aigaioy	Lesbos	39.056667	26.598333	18	2
GPA	Araxos	GR	Patra	Dytikis Elladas	\N	38.151111	21.425556	14	2
ZTH	Dionysios Solomos	GR	\N	\N	Zakynthos	37.750853	20.88425	5	2
JIK	Ikaria	GR	\N	\N	Ikaria	37.682717	26.347061	24	2
JSY	Syros Airport	GR	\N	\N	Syros	37.422792	24.950936	72	2
GOH	Nuuk	GROX	Nuuk	Greenland	Greenland	64.190922	-51.678064	86	-3
GND	Point Salines Intl	WG	Saint George's	Grenada	Grenada	12.004247	-61.786192	13	-4
PTP	Le Raizet	GUAD	Basse-Terre	Guadeloupe	Basse-Terre	16.265306	-61.531806	11	-4
GUM	Guam Intl	GUAM	Hagåtña	Guam	Guam	13.48345	144.795983	91	10
GUA	La Aurora	GCA	Ciudad de Guatemala	Guatemala	\N	14.583272	-90.527475	1510	-6
GCI	Guernsey	GBG	Saint Peter Port	Guernsey	Guernsey	49.434956	-2.601969	102	0
CKY	Conakry	RG	Conakry	Guinea	\N	9.576889	-13.611961	22	0
OXB	Osvaldo Vieira Intl	GNB	Bissau	Guinea-Bissau	\N	11.8947	-15.6536	39	0
GEO	Cheddi Jagan Intl	GUY	Georgetown	Guyana	\N	6.498553	-58.254119	29	-4
PAP	Toussaint Louverture Intl	RH	Port-au-Prince	Haiti	Hispaniola	18.58005	-72.292542	37	-5
TGU	Toncontin Intl	HCA	Tegucigalpa	Francisco Morazán	\N	14.060883	-87.217197	1004	-6
HKG	Hong Kong Intl	HONX	Hong Kong	Hong Kong	\N	22.308919	113.914603	9	8
BUD	Ferihegy	H	Budapest	Budapest	\N	47.436933	19.255592	151	1
KEF	Keflavik International Airport	IS	Keflavik	Iceland	Iceland	63.985	-22.605556	52	0
SXR	Srinagar	IND	Srinagar	Jammu and Kashmir	\N	33.987139	74.77425	1655	5.5
STV	Surat	IND	Surat	Gujarat	\N	21.114061	72.741792	5	5.5
DED	Dehradun	IND	Dehra Dun	Uttarakhand	\N	30.189689	78.180256	558	5.5
DEL	Indira Gandhi Intl	IND	Delhi	Delhi	\N	28.5665	77.103088	237	5.5
LKO	Lucknow	IND	Lucknow	Uttar Pradesh	\N	26.760594	80.889339	125	5.5
CJB	Coimbatore	IND	Coimbatore	Tamil Nadu	\N	11.030031	77.043383	404	5.5
COK	Cochin	IND	Kochi	Kerala	\N	10.155556	76.391389	2	5.5
BHO	Bhopal	IND	Bhopal	Madhya Pradesh	\N	23.287467	77.337375	524	5.5
BLR	Bangalore	IND	Bangalore	Karnataka	\N	12.949986	77.668206	888	5.5
TRZ	Trichy	IND	Tiruchirappalli	Tamil Nadu	\N	10.765364	78.709722	88	5.5
TRV	Thiruvananthapuram Intl	IND	Trivandrum	Kerala	\N	8.482122	76.920114	5	5.5
AJL	Aizawl	IND	Aijal	Mizoram	\N	23.746603	92.802767	305	5.5
CCJ	Calicut	IND	Kozhikode	Kerala	\N	11.136839	75.9553	104	5.5
CCU	Netaji Subhash Chandra Bose Intl	IND	Kolkata	West Bengal	\N	22.654739	88.446722	5	5.5
BBI	Bhubaneshwar	IND	Bhubaneswar	Odisha	\N	20.244364	85.817781	42	6
VGA	Vijayawada	IND	Vijayawada	Andhra Pradesh	\N	16.530433	80.796847	25	5.5
VNS	Varanasi	IND	Varanasi	Uttar Pradesh	\N	25.452358	82.859342	81	5.5
DIU	Diu Airport	IND	Daman	Daman and Diu	\N	20.7131	70.9211	9	5.5
VTZ	Visakhapatnam	IND	Visakhapatnam	Andhra Pradesh	\N	17.721167	83.224483	5	6
NAG	Dr Ambedkar Intl	IND	Nagpur	Maharashtra	\N	21.092192	79.047183	315	5.5
GOP	Gorakhpur Airport	IND	Gorakhpur	Uttar Pradesh	\N	26.739708	83.449708	79	5.5
GAU	Lokpriya Gopinath Bordoloi International Airport	IND	Gauhati	Assam	\N	26.106092	91.585939	49	5.5
PNQ	Pune	IND	Pune	Maharashtra	\N	18.582111	73.919697	592	5.5
GOI	Goa	IND	Panaji	Goa	\N	15.380833	73.831422	56	5.5
IMF	Imphal	IND	Imphal	Manipur	\N	24.75995	93.896697	774	5.5
IDR	Devi Ahilyabai Holkar	IND	Indore	Madhya Pradesh	\N	22.721786	75.801086	564	5.5
RAJ	Rajkot	IND	Rajkot	Gujarat	\N	22.309183	70.779525	134	5.5
HYD	Hyderabad	IND	Hyderabad	Telangana	\N	17.453117	78.467586	531	5.5
RPR	Raipur	IND	Raipur	Chhattisgarh	\N	21.180406	81.738753	317	5.5
JLR	Jabalpur	IND	Jabalpur	Madhya Pradesh	\N	23.177817	80.052047	495	5.5
RJA	Rajahmundry	IND	Rajahmundry	Andhra Pradesh	\N	17.110361	81.818208	46	5.5
JGA	Jamnagar	IND	Jamnagar	Gujarat	\N	22.465522	70.012556	21	5.5
JDH	Jodhpur	IND	Jodhpur	Rajasthan	\N	26.251092	73.048869	219	5.5
JAI	Jaipur	IND	Jaipur	Rajasthan	\N	26.824192	75.812161	385	5.5
IXZ	Port Blair	IND	Port Blair	Andaman and Nicobar Islands	South Andaman Island	11.641161	92.729744	4	5.5
IXR	Birsa Munda	IND	Ranchi	Jharkhand	\N	23.31425	85.321675	655	5.5
IXU	Aurangabad	IND	Aurangabad	Maharashtra	\N	19.862728	75.398114	583	5.5
IXC	Chandigarh	IND	Chandigarh	Chandigarh	\N	30.673469	76.788542	309	5.5
IXA	Agartala	IND	Agartala	Tripura	\N	23.886978	91.24045	14	5.5
IXM	Madurai	IND	Madurai	Tamil Nadu	\N	9.834508	78.093378	140	5.5
IXJ	Jammu	IND	Jammu	Jammu and Kashmir	\N	32.689142	74.837389	314	5
ATQ	Amritsar	IND	Amritsar	Punjab	\N	31.709594	74.797264	230	5.5
MAA	Chennai Intl	IND	Chennai	Tamil Nadu	\N	12.994414	80.180517	16	5.5
BOM	Chhatrapati Shivaji Intl	IND	Mumbai	Maharashtra	\N	19.088686	72.867919	11	5.5
AMD	Ahmedabad	IND	Ahmadabad	Gujarat	\N	23.077242	72.63465	58	5.5
IXD	Allahabad	IND	Allahabad	Uttar Pradesh	\N	25.440064	81.733872	98	5.5
BDJ	Syamsudin Noor	RI	Bandjarmasin	Kalimantan Selatan	Borneo	-3.442356	114.762553	20	8
KDI	Wolter Monginsidi	RI	Kendari	Sulawesi Tenggara	Sulawesi	-4.081608	122.418231	164	8
TKG	Radin Inten II (Branti) Airport	RI	Bandar Lampung	Lampung	Sumatra	-5.242339	105.178939	86	7
BTH	Hang Nadim	RI	Batam	Kepulauan Riau	Batam	1.121028	104.118753	38	7
KOE	El Tari	RI	Kupang	Nusa Tenggara Timur	Timor	-10.171583	123.671136	102	8
TTE	Sultan Babullah	RI	Ternate	Maluku Utara	Ternate	0.831414	127.381486	15	9
BKS	Fatmawati Soekarno	RI	Bengkulu	Bengkulu	Sumatra	-3.8637	102.339036	15	7
AMQ	Pattimura	RI	Ambon	Maluku	Ambon	-3.710264	128.089136	10	9
BPN	Sepinggan	RI	Balikpapan	Kalimantan Timur	Borneo	-1.268272	116.894478	4	8
MLG	Abdul Rachman Saleh	RI	Malang	Jawa Timur	Java	-7.926556	112.714514	526	7
MDC	Sam Ratulangi	RI	Manado	Sulawesi Utara	Sulawesi	1.549447	124.925878	80	8
DJJ	Sentani	RI	Jayapura	Papua	New Guinea	-2.576953	140.516372	88	9
LOP	Lombok International Airport	RI	Mataram	Nusa Tenggara Barat	Lombok	-8.7573222	116.276675	16	8
SRG	Achmad Yani	RI	Semarang	Jawa Tengah	Java	-6.971447	110.374122	4	7
DJB	Sultan Thaha	RI	Jambi	Jambi	Sumatra	-1.638017	103.644378	25	7
CGK	Soekarno Hatta Intl	RI	Jakarta	DKI Jakarta	Java	-6.125567	106.655897	10	7
BDO	Husein Sastranegara	RI	Bandung	Jawa Barat	Java	-6.900625	107.576294	743	7
UPG	Hasanuddin	RI	Makassar	Sulawesi Selatan	Sulawesi	-5.061631	119.554042	14	8
DPS	Bali Ngurah Rai	RI	Denpasar	Bali	Bali	-8.748169	115.167172	4	8
PLW	Mutiara	RI	Palu	Sulawesi Tengah	Sulawesi	-0.918542	119.909642	87	8
PGK	Depati Amir	RI	Pangkal Pinang	Kepulauan Bangka Belitung	Bangka	-2.1622	106.139064	33	7
PKY	Tjilik Riwut	RI	Palangkaraya	Kalimantan Tengah	Borneo	-2.225128	113.942661	25	7
PLM	Sultan Mahmud Badaruddin Ii	RI	Palembang	Sumatera Selatan	Sumatra	-2.89825	104.699903	15	7
GTO	Jalaluddin	RI	Gorontalo	Gorontalo	Sulawesi	0.637119	122.849858	32	8
PNK	Supadio	RI	Pontianak	Kalimantan Barat	Borneo	-0.150711	109.403892	3	7
PKU	Sultan Syarif Kasim Ii	RI	Pekanbaru	Riau	Sumatra	0.460786	101.444539	31	7
PDG	Tabing	RI	Padang	Sumatera Barat	Sumatra	-0.874989	100.351881	3	7
JOG	Adi Sutjipto	RI	Yogyakarta	DI Yogyakarta	Java	-7.788181	110.431758	107	7
BTJ	Sultan Iskandarmuda	RI	Banda Aceh	Aceh	Sumatra	5.523522	95.420372	20	7
MES	Polonia	RI	Medan	Sumatera Utara	Sumatra	3.558056	98.671722	35	7
SUB	Juanda	RI	Surabaya	Jawa Timur	Java	-7.379831	112.786858	3	7
AWZ	Ahwaz	IR	Ahvaz	Khuzestan	\N	31.337431	48.76195	20	4
ABD	Abadan	IR	Abadan	Khuzestan	\N	30.371111	48.228333	6	4
SYZ	Shiraz Shahid Dastghaib Intl	IR	Shiraz	Fars	\N	29.539242	52.589786	1500	4
IFN	Esfahan Shahid Beheshti Intl	IR	Esfahan	Esfahan	\N	32.750836	51.861267	1542	3.5
IKA	Imam Khomeini	IR	Tehran	Tehran	\N	35	51	1008	3.5
BUZ	Bushehr	IR	Bushehr	Bushehr	\N	28.944811	50.834637	21	4
MHD	Mashhad	IR	Mashhad	Khorasan-e-Razavi	\N	36	59	995	3.5
TBZ	Tabriz Intl	IR	Tabriz	East Azarbayejan	\N	38.133889	46.235	1359	4
BND	Bandar Abbas Intl	IR	Bandar Abbas	Hormozgan	\N	27.218317	56.37785	7	4
NJF	Al Najaf International Airport	IRQ	An Najaf	al-Najaf	\N	31.991667	44.404167	152	3
BSR	Basrah Intl	IRQ	Al Basrah	Basrah	\N	30.549069	47.662142	3	3
EBL	Erbil Intl	IRQ	Erbil	Erbil	\N	36.237611	43.963158	409	3
BGW	Baghdad International Airport	IRQ	Baghdad	Baghdad	\N	33.262539	44.234578	35	3
ISU	Sulaymaniyah International Airport	IRQ	As Sulaymaniyah	As Sulaymaniyah	\N	35.5608	45.3147	760	3
SNN	Shannon	IRL	Limerick	Ireland	Ireland	52.701978	-8.924817	14	0
ORK	Cork	IRL	Cork	Ireland	Ireland	51.841269	-8.491111	153	0
DUB	Dublin	IRL	Dublin	Ireland	Ireland	53.421333	-6.270075	74	0
IOM	Isle Of Man	GBM	Douglas	Isle of Man	Isle of Man	54.083333	-4.623889	16	0
TLV	Ben Gurion	IL	Tel Aviv-Yafo	Tel Aviv	\N	32.011389	34.886667	41	2
MXP	Malpensa	I	Milano	Lombardia	\N	45.630606	8.728111	234	1
FLR	Firenze	I	Firenze	Toscana	\N	43.809953	11.2051	43	1
PMF	Parma	I	Parma	Emilia-Romagna	\N	44.824483	10.296367	49	1
PMO	Palermo	I	Palermo	Sicilia	Sicilia	38.175958	13.091019	20	1
PEG	Perugia	I	Perúgia	Umbria	\N	43.095906	12.513222	211	1
GOA	Genova Sestri	I	Génova	Liguria	\N	44.413333	8.8375	4	1
PSA	Pisa	I	Pisa	Toscana	\N	43.683917	10.39275	2	1
PSR	Pescara	I	Pescara	Abruzzo	\N	42.431656	14.181067	15	1
AOI	Falconara	I	Ancona	Marche	\N	43.616389	13.362222	3	1
BRI	Bari	I	Bari	Puglia	\N	41.138856	16.760594	54	1
CAG	Elmas	I	Cágliari	Sardegna	Sardegna	39.251469	9.054283	4	1
BZO	Bolzano	I	Bolzano	Trentino-Alto Adige	\N	46.460194	11.326383	241	1
REG	Reggio Calabria	I	Réggio di Calabria	Calabria	\N	38.071206	15.651556	29	1
RMI	Rimini	I	Rímini	Emilia-Romagna	\N	44.020292	12.611747	13	1
NAP	Capodichino	I	Nápoli	Campania	\N	40.886033	14.290781	90	1
VRN	Villafranca	I	Verona	Veneto	\N	45.395706	10.888533	73	1
FCO	Fiumicino	I	Roma	Lazio	\N	41.804475	12.250797	5	1
VCE	Venezia Tessera	I	Venézia	Veneto	\N	45.505278	12.351944	2	1
BGY	Bergamo Orio Al Serio	I	Bérgamo	Lombardia	\N	45.673889	9.704166	238	1
TRN	Torino	I	Torino	Piemonte	\N	45.200761	7.649631	302	1
TRS	Ronchi Dei Legionari	I	Trieste	Friuli-Venezia Giulia	\N	45.8275	13.472222	11	1
BLQ	Bologna	I	Bologna	Emilia-Romagna	\N	44.535444	11.288667	38	1
CTA	Catania Fontanarossa	I	Catánia	Sicilia	Sicilia	37.466781	15.0664	12	1
LMP	Lampedusa	I	\N	\N	Lampedusa	35.497914	12.618083	21	1
CIA	Ciampino	I	Roma	Lazio	\N	41.799361	12.594936	130	1
LIN	Linate	I	Milano	Lombardia	\N	45.445103	9.276739	108	1
KIN	Norman Manley Intl	JA	Kingston	Jamaica	Jamaica	17.935667	-76.7875	3	-5
OKJ	Okayama	J	Okayama	Okayama	Honshu	34.756944	133.855278	246	9
OKA	Naha	J	Naha	Okinawa	Okinawa	26.195814	127.645869	4	9
OIT	Oita	J	Oita	Oita	Kyushu	33.479444	131.737222	6	9
GAJ	Yamagata	J	Yamagata	Yamagata	Honshu	38.411894	140.371331	108	9
FUK	Fukuoka	J	Fukuoka	Fukuoka	Kyushu	33.585942	130.450686	10	9
FKS	Fukushima Airport	J	Fukushima	Fukushima	Honshu	37.2274	140.431	372	9
HIJ	Hiroshima	J	Hiroshima	Hiroshima	Honshu	34.436111	132.919444	332	9
HND	Tokyo Intl	J	Tokyo	Tokyo	Honshu	35.552258	139.779694	11	9
HKD	Hakodate	J	Hakodate	Hokkaido	Hokkaido	41.77	140.821944	46	9
HSG	Saga Airport	J	Saga	Saga	Kyushu	33.1497	130.302	2	9
ITM	Osaka Intl	J	Osaka	Osaka	Honshu	34.785528	135.438222	15	9
AXT	Akita	J	Akita	Akita	Honshu	39.615556	140.218611	95	9
TOY	Toyama	J	Toyama	Toyama	Honshu	36.648333	137.1875	29	9
AOJ	Aomori	J	Aomori	Aomori	Honshu	40.734722	140.690833	202	9
CTS	New Chitose	J	Sapporo	Hokkaido	Hokkaido	42.7752	141.692283	25	9
TAK	Takamatsu	J	Takamatsu	Kagawa	Shikoku	34.214167	134.015556	185	9
SDJ	Sendai	J	Sendai	Miyagi	Honshu	38.139722	140.916944	5	9
KIX	Kansai	J	Osaka	Osaka	Honshu	34.4347222	135.244167	15	9
KIJ	Niigata	J	Niigata	Niigata	Honshu	37.5711	139.0646	2	9
KOJ	Kagoshima	J	Kagoshima	Kagoshima	Kyushu	31.803397	130.719408	276	9
TTJ	Tottori	J	Tottori	Tottori	Honshu	35.530069	134.166553	20	9
KMI	Miyazaki	J	Miyazaki	Miyazaki	Kyushu	31.877222	131.448611	6	9
KMQ	Komatsu	J	Kanazawa	Ishikawa	Honshu	36.394611	136.406544	11	9
KMJ	Kumamoto	J	Kumamoto	Kumamoto	Kyushu	32.837319	130.85505	196	9
TKS	Tokushima	J	Tokushima	Tokushima	Shikoku	34.132808	134.606639	8	9
KCZ	Kochi	J	Kochi	Kochi	Shikoku	33.546111	133.669444	13	9
KKJ	New Kitakyushu	J	Kitakyushu	Fukuoka	Kyushu	33.845942	131.034689	6	9
NGO	Chubu Centrair Intl	J	Nagoya	Aichi	Honshu	34.858414	136.805408	5	9
NGS	Nagasaki	J	Nagasaki	Nagasaki	Kyushu	32.916944	129.913611	5	9
UKB	Kobe	J	Kobe	Hyogo	Honshu	34.632778	135.223889	7	9
NRT	Narita Intl	J	Tokyo	Tokyo	Honshu	35.764722	140.386389	43	9
UBJ	Yamaguchi Ube	J	Yamaguchi	Yamaguchi	Honshu	33.93	131.278611	7	9
MYJ	Matsuyama	J	Matsuyama	Ehime	Shikoku	33.827222	132.699722	8	9
FSZ	Mt. Fuji Shizuoka Airport	J	Shizuoka	Shizuoka	Honshu	34.796111	138.189444	132	9
JER	Jersey	GBJ	Saint Helier	Jersey	Jersey	49.207947	-2.195508	84	0
AMM	Queen Alia Intl	JOR	Amman	Jordan	\N	31.722556	35.993214	730	2
PLX	Semipalatinsk	KAZ	Semey	East-Kazakhstan	\N	50.3513	80.2344	232	6
URA	Uralsk	KAZ	Oral	West Kazakhstan	\N	51.150833	51.543056	38	5
GUW	Atyrau	KAZ	Atyrau	Atyrau	\N	47.121944	51.821389	-22	5
SCO	Aktau	KAZ	Aktau	Mangistau	\N	43.513557	51.052817	6	5
DZN	Zhezkazgan Airport	KAZ	Zhezkazgan	Karaganda	\N	47.708333	67.733333	381	6
KSN	Kostanay West Airport	KAZ	Kustanay	Kostanai	\N	53.206944	63.550278	181	6
UKK	Ust Kamenogorsk Airport	KAZ	Oskemen	East-Kazakhstan	\N	50.0366	82.4942	286	6
CIT	Shymkent	KAZ	Shymkent	South-Kazakhstan	\N	42.364167	69.478889	422	6
AKX	Aktyubinsk	KAZ	Aqtobe	Aktobe	\N	50.245833	57.206667	225	5
ALA	Almaty	KAZ	Almaty	Almaty City	\N	43.352072	77.040508	681	6
TSE	Astana Intl	KAZ	Astana	Astana	\N	51.022222	71.466944	355	6
KGF	Sary-Arka	KAZ	Karaganda	Karaganda	\N	49.670833	73.334444	538	5
PWQ	Pavlodar	KAZ	Pavlodar	Pavlodar	\N	52.195	77.073889	125	6
KZO	Kzylorda	KAZ	Kyzylorda	Kyzylorda	\N	44.709	65.591	131	6
MYD	Malindi Airport	EAK	Malindi	Kenya	\N	-3.22931	40.1017	24	3
MBA	Mombasa Moi Intl	EAK	Mombasa	Kenya	\N	-4.034833	39.59425	61	3
NBO	Jomo Kenyatta International	EAK	Nairobi	Kenya	\N	-1.319167	36.9275	1624	3
WIL	Nairobi Wilson	EAK	Nairobi	Kenya	\N	-1.321719	36.814833	1691	3
KIS	Kisumu	EAK	Kisumu	Kenya	\N	-0.086139	34.728892	1157	3
EDL	Eldoret Intl	EAK	Eldoret	Kenya	\N	0.404458	35.238928	2116	3
TRW	Bonriki Intl	KIR	Tarawa	Kiribati	Tarawa	1.3817	-173.1442	3	14
KWI	Kuwait Intl	KWT	Al Kuwayt	Kuwait	\N	29.226567	47.968928	63	3
FRU	Manas	KGZ	Bishkek	Kyrgyzstan	\N	43.061306	74.477556	627	5
OSS	Osh	KGZ	Osh	Kyrgyzstan	\N	40.608989	72.793269	892	5
VTE	Wattay Intl	LAO	Vientiane	Laos	\N	17.988322	102.563256	172	7
RIX	Riga Intl	LV	Rīga	Latvia	\N	56.923611	23.971111	10	2
BEY	Rafic Hariri Intl	RL	Bayrūt	Lebanon	\N	33.820931	35.488389	27	2
MSU	Moshoeshoe I Intl	LS	Maseru	Lesotho	\N	-29.462256	27.552503	1630	2
ROB	Monrovia Roberts Intl	LB	Monrovia	Liberia	\N	6.233789	-10.362311	9	0
BEN	Benina	LAR	Benghazi	Libya	\N	32.096786	20.269472	132	1
MRA	Misratah Airport	LAR	Misratah	Libya	\N	32.325	15.061	18	1
TIP	Tripoli Intl	LAR	Tripoli	Libya	\N	32.663544	13.159011	80	1
KUN	Kaunas Intl	LT	Kaunas	Lithuania	\N	54.963919	24.084778	78	2
VNO	Vilnius Intl	LT	Vilnius	Lithuania	\N	54.634133	25.285767	197	2
LUX	Luxembourg	L	Luxembourg	Luxembourg	\N	49.626575	6.211517	376	1
MFM	Macao Intl	MACX	Macao	Macao	\N	22.149556	113.591558	6	8
SKP	Skopje	MK	Skopje	Macedonia	\N	41.961622	21.621381	238	1
DIE	Arrachart	RM	Antsiranana	Madagascar	Madagaskar	-12.3494	49.291747	114	3
TLE	Toliara	RM	Toliara	Madagascar	Madagaskar	-23.383369	43.728453	9	3
TNR	Ivato	RM	Antananarivo	Madagascar	Madagaskar	-18.79695	47.478806	1280	3
TMM	Toamasina	RM	Tamatave	Madagascar	Madagaskar	-18.109517	49.392536	7	3
BLZ	Chileka Intl	MW	Blantyre	Malawi	\N	-15.679053	34.974014	779	2
LLW	Kamuzu Intl	MW	Lilongwe	Malawi	\N	-13.789378	33.781	1230	2
PEN	Penang Intl	MAL	Georgetown	Pulau Pinang	\N	5.297139	100.276864	3	8
TGG	Sultan Mahmud	MAL	Kuala Terengganu	Terengganu	\N	5.382639	103.10336	6	8
SDK	Sandakan	MAL	Sandakan	Sabah	Borneo	5.900897	118.059486	14	8
BKI	Kota Kinabalu Intl	MAL	Kota Kinabalu	Sabah	Borneo	5.937208	116.051181	3	8
JHB	Sultan Ismail	MAL	Johor Bahru	Johor	\N	1.641308	103.669619	41	8
KCH	Kuching Intl	MAL	Kuching Utara	Sarawak	Borneo	1.484697	110.346933	27	8
IPH	Sultan Azlan Shah	MAL	Ipoh	Perak	\N	4.567972	101.092194	40	8
KBR	Sultan Ismail Petra	MAL	Kota Bahru	Kelantan	\N	6.16685	102.293014	5	8
SZB	Sultan Abdul Aziz Shah Intl	MAL	Kuala Lumpur	Kuala Lumpur	\N	3.130583	101.549333	27	8
KUA	Kuantan	MAL	Kuantan	Pahang	\N	3.775389	103.209056	18	8
KUL	Kuala Lumpur Intl	MAL	Kuala Lumpur	Kuala Lumpur	\N	2.745578	101.709917	21	8
LBU	Labuan	MAL	Labuan	Labuan	Labuan	5.300683	115.250181	31	8
MLE	Male Intl	MV	Male	Maldives	Male	4.191833	73.529128	2	5
BKO	Senou	RMM	Bamako	Bamako	\N	12.533544	-7.949944	380	0
MLA	Luqa	M	Valletta	Malta	Malta	35.857497	14.4775	91	1
MAJ	Marshall Islands Intl	MH	Majuro	Marshall Islands	Majuro	7.064758	171.272022	2	12
FDF	Le Lamentin	MART	Fort-de-France	Martinique	Martinique	14.591033	-61.003175	5	-4
NKC	Nouakchott	RIM	Nouakchott	Nouakchott	\N	18.097856	-15.947956	2	0
NDB	Nouadhibou	RIM	Nouadhibou	Dakhlet Nouadhibou	\N	20.933067	-17.029956	5	0
MRU	Sir Seewoosagur Ramgoolam Intl	MS	Port Louis	Mauritius	Mauritius	-20.430235	57.6836	57	5
DZA	Dzaoudzi Pamandzi	MAYO	Mamoutzou	Mayotte	Mayotte	-12.804722	45.281113	7	3
MAM	General Servando Canales Intl	MEX	Matamoros	Tamaulipas	\N	25.769894	-97.525311	8	-6
CPE	Ingeniero Alberto Acuna Ongay Intl	MEX	Campeche	Campeche	\N	19.816794	-90.500314	10	-6
CLQ	Colima	MEX	Colima	Colima	\N	19.277011	-103.577397	752	-6
UPN	Licenciado Y Gen Ignacio Lopez Rayon	MEX	Uruapan	Michoacán	\N	19.396692	-102.039056	1603	-6
TGZ	Angel Albino Corzo	MEX	Tuxtla Gutiérrez	Chiapas	\N	16.561822	-93.026081	455	-6
TIJ	General Abelardo L Rodriguez Intl	MEX	Tijuana	Baja California	\N	32.541064	-116.970158	149	-8
VER	General Heriberto Jara Intl	MEX	Veracruz	Veracruz	\N	19.145931	-96.187267	27	-6
NLD	Quetzalcoatl Intl	MEX	Nuevo Laredo	Tamaulipas	\N	27.443918	-99.57046	148	-6
MID	Licenciado Manuel Crescencio Rejon Int	MEX	Mérida	Yucatán	\N	20.936981	-89.657672	12	-6
MTY	General Mariano Escobedo Intl	MEX	Monterrey	Nuevo Léon	\N	25.778489	-100.106878	390	-6
MTT	Minatitlan	MEX	Minatitlán	Veracruz	\N	18.103419	-94.580681	11	-6
VSA	C P A Carlos Rovirosa Intl	MEX	Villahermosa	Tabasco	\N	17.997	-92.817361	14	-6
MXL	General Rodolfo Sanchez Taboada Intl	MEX	Mexicali	Baja California	\N	32.630634	-115.241637	23	-8
PBC	Hermanos Serdan Intl	MEX	Puebla	Puebla	\N	19.158144	-98.371447	2244	-6
ZCL	General Leobardo C Ruiz Intl	MEX	Zacatecas	Zacatecas	\N	22.897112	-102.68689	2177	-6
JAL	Lencero Airport	MEX	Xalapa-Enríquez	Veracruz	\N	19.475083	-96.797506	953	-6
QRO	Queretaro Intercontinental	MEX	Querétaro	Querétaro	\N	20.617289	-100.185658	1920	-6
TLC	Licenciado Adolfo Lopez Mateos Intl	MEX	Toluca	México, Estado de	\N	19.337072	-99.566008	2581	-6
TPQ	Tepic	MEX	Tepic	Nayarit	\N	21.419453	-104.842581	921	-6
CVM	General Pedro Jose Mendez Intl	MEX	Ciudad Victoria	Tamaulipas	\N	23.703336	-98.956486	232	-6
SLP	Ponciano Arriaga Intl	MEX	San Luis Potosí	San Luis Potosí	\N	22.254303	-100.930806	1840	-6
CTM	Chetumal Intl	MEX	Chetumal	Quintana Roo	\N	18.504667	-88.326847	12	-6
MLM	General Francisco J Mujica Intl	MEX	Morelia	Michoacán	\N	19.849944	-101.0255	1839	-6
DGO	Durango Intl	MEX	Durango	Durango	\N	24.124194	-104.528014	1861	-6
GDL	Don Miguel Hidalgo Y Costilla Intl	MEX	Guadalajara	Jalisco	\N	20.5218	-103.311167	1529	-6
OAX	Xoxocotlan Intl	MEX	Oaxaca	Oaxaca	\N	16.999906	-96.726639	1521	-6
HMO	General Ignacio P Garcia Intl	MEX	Hermosillo	Sonora	\N	29.095858	-111.047858	191	-7
REX	General Lucio Blanco Intl	MEX	Reynosa	Tamaulipas	\N	26.008908	-98.228513	42	-6
MEX	Licenciado Benito Juarez Intl	MEX	Ciudad de México	Distrito Federal	\N	19.436303	-99.072097	2230	-6
MZT	General Rafael Buelna Intl	MEX	Mazatlán	Sinaloa	\N	23.161356	-106.266072	12	-7
CUU	General R Fierro Villalobos Intl	MEX	Chihuahua	Chihuahua	\N	28.702875	-105.964567	1360	-6
CUN	Cancun Intl	MEX	Cancún	Quintana Roo	\N	21.036528	-86.877083	6	-6
CUL	Culiacan Intl	MEX	Culiacán	Sinaloa	\N	24.764547	-107.474717	33	-7
TAP	Tapachula Intl	MEX	Tapachula	Chiapas	\N	14.794339	-92.370025	30	-6
TAM	General Francisco Javier Mina Intl	MEX	Tampico	Tamaulipas	\N	22.29645	-97.865931	24	-6
LAP	General Manuel Marquez De Leon Intl	MEX	La Paz	Baja California Sur	\N	24.072694	-110.362475	21	-7
CEN	Ciudad Obregon Intl	MEX	Ciudad Obregón	Sonora	\N	27.392639	-109.833111	63	-7
LMM	Valle Del Fuerte Intl	MEX	Los Mochis	Sinaloa	\N	25.685194	-109.080806	5	-7
SLW	Plan De Guadalupe Intl	MEX	Saltillo	Coahuila	\N	25.549497	-100.928669	1457	-6
AGU	Jesus Teran Intl	MEX	Aguascalientes	Aguascalientes	\N	21.705558	-102.317858	1863	-6
TRC	Torreon Intl	MEX	Torreón	Coahuila	\N	25.568278	-103.410583	1124	-6
ACA	General Juan N Alvarez Intl	MEX	Acapulco	Guerrero	\N	16.757061	-99.753953	5	-6
PNI	Pohnpei Intl	FSM	Kolonia	Micronesia	Ponape	6.9851	158.208989	3	11
KIV	Chisinau Intl	MD	Chişinău	Moldova	\N	46.927744	28.930978	122	2
ULN	Chinggis Khaan Intl	MNG	Ulaanbaatar	Mongolia	\N	47.843056	106.766639	1330	8
TGD	Podgorica	MNE	Podgorica	Montenegro	\N	42.359392	19.251894	43	1
MNI	John A. Osborne	MNTS	\N	\N	Montserrat	16.7914	-62.1933	168	-4
OUD	Angads	MA	Oujda	Oriental	\N	34.78715	-1.923986	468	1
AGA	Inezgane	MA	Agadir	Souss Massa Daraa	\N	30.381353	-9.546311	27	0
TNG	Ibn Batouta	MA	Tanger	Tanger Tetouan	\N	35.726917	-5.916889	19	0
RAK	Menara	MA	Marrakech	Marrakech Tensift Al Haouz	\N	31.606886	-8.0363	471	0
CMN	Mohammed V Intl	MA	Casablanca	Grand Casablanca	\N	33.367467	-7.589967	200	0
AHU	Cherif El Idrissi	MA	Al Hoceima	Taza Al Hoceima Taounate	\N	35.177103	-3.839525	29	0
RBA	Sale	MA	Rabat	Rabat Sale Zemmour Zaer	\N	34.051467	-6.751519	84	0
FEZ	Saiss	MA	Fès	Fes Boulemane	\N	33.927261	-4.977958	579	0
VPY	Chimoio Airport	MOC	Chimoio	Manica	\N	-19.151267	33.428958	697	2
APL	Nampula	MOC	Nampula	Nampula	\N	-15.105611	39.2818	440	2
TET	Tete Chingodzi	MOC	Tete	Tete	\N	-16.104817	33.640181	160	2
BEW	Beira	MOC	Beira	Sofala	\N	-19.796419	34.907556	10	2
UEL	Quelimane	MOC	Quelimane	Zambézia	\N	-17.8555	36.869106	11	2
INH	Inhambane	MOC	Inhambane	Inhambane	\N	-23.876431	35.408544	9	2
POL	Pemba	MOC	Pemba	Cabo Delgado	\N	-12.986753	40.522492	101	2
MPM	Maputo	MOC	Maputo	Cidade de Maputo	\N	-25.920836	32.572606	44	2
VXC	Lichinga	MOC	Lichinga	Niassa	\N	-13.273986	35.266262	1373	2
WDH	Windhoek Hosea Kutako International Airport	NAM	Windhoek	Namibia	\N	-22.486667	17.4625	1720	1
KTM	Tribhuvan Intl	NEP	Kathmandu	Nepal	\N	27.696583	85.3591	1338	5.75
RTM	Rotterdam	NL	Rotterdam	Zuid-Holland	\N	51.956944	4.437222	-5	1
EIN	Eindhoven	NL	Eindhoven	Noord-Brabant	\N	51.450139	5.374528	23	1
MST	Maastricht	NL	Maastricht	Limburg	\N	50.911658	5.770144	114	1
AMS	Schiphol	NL	Amsterdam	Noord-Holland	\N	52.308613	4.763889	-3	1
INU	Nauru Intl	NAU	Yaren	Nauru	Nauru	-0.5475	166.9192	7	12
NOU	La Tontouta	NCA	Noumea	New Caledonia	Grande Terre	-22.014553	166.212972	16	11
HLZ	Hamilton	NZ	Hamilton	New Zealand	Te Ika-a-Maui (North Island)	-37.866661	175.332056	52	12
WLG	Wellington Intl	NZ	Wellington	New Zealand	Te Ika-a-Maui (North Island)	-41.327221	174.805278	13	12
CHC	Christchurch Intl	NZ	Christchurch	New Zealand	Te Waka-a-Maui (South Island)	-43.489358	172.532225	38	12
AKL	Auckland Intl	NZ	Auckland	New Zealand	Te Ika-a-Maui (North Island)	-37.008056	174.791667	7	12
DUD	Dunedin	NZ	Dunedin	New Zealand	Te Waka-a-Maui (South Island)	-45.928055	170.198333	1	12
MGA	Managua Intl	NIC	Managua	Nicaragua	\N	12.141494	-86.168178	59	-6
NIM	Diori Hamani	RN	Niamey	Niamey	\N	13.481547	2.183614	223	1
MIU	Maiduguri	WAN	Maiduguri	Borno	\N	11.855347	13.08095	335	1
PHC	Port Harcourt Intl	WAN	Port Harcourt	Rivers	\N	5.015494	6.949594	27	1
JOS	Yakubu Gowon	WAN	Jos	Plateau	\N	9.639828	8.86905	1290	1
SKO	Sadiq Abubakar Iii Intl	WAN	Sokoto	Sokoto	\N	12.916322	5.207189	308	1
LOS	Murtala Muhammed	WAN	Lagos	Lagos	\N	6.577369	3.321156	41	1
BNI	Benin	WAN	Benin	Edo	\N	6.316981	5.599503	79	1
KAD	Kaduna	WAN	Kaduna	Kaduna	\N	10.696025	7.320114	632	1
KAN	Mallam Aminu Intl	WAN	Kano	Kano	\N	12.047589	8.524622	476	1
CBQ	Calabar	WAN	Calabar	Cross River	\N	4.976019	8.347197	64	1
ABV	Nnamdi Azikiwe Intl	WAN	Abuja	Abuja	\N	9.006792	7.263172	342	1
ENU	Enugu	WAN	Enugu	Enugu	\N	6.474272	7.561961	142	1
YOL	Yola	WAN	Yola	Adamawa	\N	9.257553	12.430422	183	1
ILR	Ilorin	WAN	Ilorin	Kwara	\N	8.440211	4.493919	343	1
IUE	Niue Intl	NIUE	Alofi	Niue	Niue	-19.0533	169.9256	64	11
NLK	Norfolk Island Intl	NORF	Kingston	Norfolk Island	Norfolk Island	-29.041625	167.938742	113	11.5
SPN	Francisco C Ada Saipan Intl	NMIS	Saipan	Northern Mariana Islands	Saipan	15.119003	145.729356	66	10
FNJ	Pyongyang Sunan Int	NOK	Pyongyang	North Korea	\N	39.2239	126.67	36	9
SKE	Geiteryggen	N	Skien	Telemark	\N	59.185	9.566944	141	1
VDS	Airport	N	Vadsø	Finnmark	\N	70.065	29.844	39	1
NVK	Framnes	N	Narvik	Nordland	\N	68.435833	17.388056	30	1
OSL	Gardermoen	N	Oslo	Oslo	\N	60.193917	11.100361	208	1
RYG	Moss	N	Moss	Østfold	\N	59.378933	10.785389	53	1
LYR	Longyear	SVAX	Longyearbyen	Svalbard	Svalbard	78.246111	15.465556	27	1
MOL	Aro	N	Molde	Møre og Romsdal	\N	62.744722	7.2625	3	1
KRS	Kjevik	N	Kristiansand	Vest-Agder	\N	58.204214	8.085369	17	1
SVG	Sola	N	Stavanger	Rogaland	\N	58.876778	5.637856	9	1
TRD	Vaernes	N	Trondheim	Sør-Trøndelag	\N	63.457556	10.92425	17	1
BGO	Flesland	N	Bergen	Hordaland	\N	60.293386	5.218142	52	1
HFT	Hammerfest Airport	N	Hammerfest	Finnmark	\N	70.679722	23.668889	244	1
MCT	Seeb Intl	OM	Muscat	Oman	\N	23.593278	58.284444	15	4
ISB	Chaklala	PK	Islamabad	FCT Islamabad	\N	33.616653	73.099233	509	5
KHI	Jinnah Intl	PK	Karachi	Sindh	\N	24.906547	67.160797	30	5
LHE	Allama Iqbal Intl	PK	Lahore	Punjab	\N	31.521564	74.403594	217	5
LYP	Faisalabad Intl	PK	Faisalabad	Punjab	\N	31.365014	72.994842	180	5
SKZ	Sukkur	PK	Sukkur	Sindh	\N	27.721989	68.791683	60	5
SKT	Sialkot Airport	PK	Sialkot	Punjab	\N	32.5356	74.3639	247	5
RYK	Sheikh Zayed	PK	Rahimyar Khan	Punjab	\N	28.3839	70.279572	83	5
UET	Quetta	PK	Quetta	Balochistan	\N	30.251369	66.937764	1606	5
PEW	Peshawar Intl	PK	Peshawar	Khyber Pakhtunkhwa	\N	33.993911	71.514581	353	5
MUX	Multan Intl	PK	Multan	Punjab	\N	30.203222	71.419111	123	5
ROR	Babelthuap	PAL	Melekeok	Palau	Babelthuap	7.367303	134.544278	54	9
BOC	Bocas del Toro Intl	PA	Bocas del Toro	Bocas del Toro	\N	9.340853	-82.250842	3	-5
PTY	Tocumen Intl	PA	Panamá City	Panamá	\N	9.071364	-79.383453	41	-5
POM	Port Moresby Jacksons Intl	PNG	Port Moresby	Papua New Guinea	New Guinea	-9.443383	147.22005	45	10
AGT	Ciudad del Este	PY	Ciudad del Este	Paraguay	\N	-25.4555	-54.843592	258	-4
ASU	Silvio Pettirossi Intl	PY	Asunción	Paraguay	\N	-25.23985	-57.519133	89	-4
CIX	Capt Jose A Quinones Gonzales Intl	PE	Chiclayo	Lambayeque	\N	-6.787475	-79.828097	30	-5
TRU	Capitan Carlos Martinez De Pinillos	PE	Trujillo	La Libertad	\N	-8.081411	-79.108761	32	-5
HUU	Alferez Fap David Figueroa Fernandini Airport	PE	Huánuco	Huánuco	\N	-9.878811	-76.204797	1851	-5
AYP	Coronel Fap Alfredo Mendivil Duarte	PE	Ayacucho	Ayacucho	\N	-13.154819	-74.204417	2719	-5
TBP	Pedro Canga	PE	Tumbes	Tumbes	\N	-3.552528	-80.381356	35	-5
CJA	Mayor General FAP Armando Revoredo Iglesias Airport	PE	Cajamarca	Cajamarca	\N	-7.139183	-78.4894	2677	-5
PIU	Capitan Fap Guillermo Concha Iberico	PE	Piura	Piura	\N	-5.20575	-80.616444	37	-5
PCL	Cap Fap David Abenzur Rengifo Intl	PE	Pucallpa	Ucayali	\N	-8.377939	-74.574297	156	-5
PEM	Padre Aldamiz	PE	Puerto Maldonado	Madre de Dios	\N	-12.613611	-69.228611	201	-5
IQT	Coronel Francisco Secada Vignetta Intl	PE	Iquitos	Loreto	\N	-3.784739	-73.308806	93	-5
AQP	Rodriguez Ballon	PE	Arequipa	Arequipa	\N	-16.341072	-71.583083	2563	-5
JUL	Juliaca	PE	Juliaca	Puno	\N	-15.467103	-70.158169	3827	-5
TPP	Cadete Guillermo Del Castillo Paredes	PE	Tarapoto	San Martín	\N	-6.508742	-76.373247	265	-5
CUZ	Teniente Alejandro Velasco Astete Intl	PE	Cusco	Cusco	\N	-13.535722	-71.938781	3311	-5
TCQ	Coronel Carlos Ciriani Santa Rosa Intl	PE	Tacna	Tacna	\N	-18.053333	-70.275833	469	-5
LIM	Jorge Chavez Intl	PE	Lima	Lima City	\N	-12.021889	-77.114319	34	-5
CEB	Mactan Cebu Intl	RP	Cebu	Central Visayas	Cebu	10.307542	123.979439	9	8
LGP	Legazpi	RP	Legazpi	Bicol	Luzon	13.157064	123.746247	20	8
TAC	Daniel Z Romualdez	RP	Tacloban	Eastern Visayas	Leyte	11.227628	125.027758	3	8
MNL	Ninoy Aquino Intl	RP	Manila	Metro Manila	Luzon	14.508647	121.019581	23	8
BXU	Butuan	RP	Butuan	Caraga	Mindanao	8.951322	125.477972	43	8
ZAM	Zamboanga Intl	RP	Zamboanga	Zamboanga Peninsula	Mindanao	6.922419	122.059633	10	8
ILO	Iloilo	RP	Iloilo	Western Visayas	Panay	10.713044	122.545297	8	8
PAG	Pagadian	RP	Pagadian	Zamboanga Peninsula	Mindanao	7.827197	123.458294	2	8
GES	General Santos International Airport	RP	General Santos	Soccsksargen	Mindanao	6.106439	125.2353	9	8
DVO	Francisco Bangoy International	RP	Davao	Davao	Mindanao	7.125522	125.645778	18	8
BCD	Bacolod	RP	Bacolod	Western Visayas	Negros	10.642511	122.929617	8	8
CBO	Cotabato	RP	Cotabato	Muslim Mindanao	Mindanao	7.165242	124.209619	58	8
KRK	Balice	PL	Kraków	Małopolskie	\N	50.077731	19.784836	241	1
KTW	Pyrzowice	PL	Katowice	Śląskie	\N	50.474253	19.080019	303	1
BZG	Bydgoszcz Ignacy Jan Paderewski Airport	PL	Bydgoszcz	Kujawsko-Pomorskie	\N	53.0968	17.9777	72	1
SZZ	Goleniow	PL	Szczecin	Zachodniopomorskie	\N	53.584731	14.902206	47	1
GDN	Lech Walesa	PL	Gdańsk	Pomorskie	\N	54.377569	18.466222	149	1
RZE	Jasionka	PL	Rzeszów	Podkarpackie	\N	50.109958	22.019	206	1
POZ	Lawica	PL	Poznań	Wielkopolskie	\N	52.421031	16.826325	94	1
WRO	Strachowice	PL	Wrocław	Dolnośląskie	\N	51.102683	16.885836	123	1
LCJ	Lodz Wladyslaw Reymont Airport	PL	Łódź	Łódzkie	\N	51.721881	19.398133	184	1
WAW	Okecie	PL	Warszawa	Mazowieckie	\N	52.16575	20.967122	110	1
FAO	Faro	P	Faro	Algarve	\N	37.014425	-7.965911	7	0
FLW	Flores	P	\N	\N	Flores	39.455272	-31.131361	34	-1
LIS	Portela	P	Lisboa	Lisboa	\N	38.781311	-9.135919	114	0
PXO	Porto Santo	P	\N	\N	Porto Santo	33.073386	-16.349975	104	0
GRW	Graciosa	P	\N	\N	Graciosa	39.092169	-28.029847	26	-1
SJZ	Sao Jorge	P	\N	\N	Sao Jorge	38.6655	-28.175817	95	-1
CVU	Corvo Airport	P	\N	\N	Corvo	39.6715	-31.1136	19	-1
SMA	Santa Maria	P	\N	\N	Santa Maria	36.97139	-25.170639	94	-1
FNC	Madeira	P	Funchal	Madeira	Madeira	32.697889	-16.774453	59	0
PIX	Pico	P	\N	\N	Pico	38.554333	-28.441333	33	-1
TER	Lajes	P	\N	\N	Terceira	38.761842	-27.090797	55	-1
OPO	Porto	P	Oporto	Porto	\N	41.248055	-8.681389	70	0
PDL	Ponta Delgada	P	Ponta Delgada	Azores	Sao Miguel	37.741184	-25.69787	79	-1
SJU	Luis Munoz Marin Intl	PR	San Juan	Puerto Rico	Puerto Rico	18.439417	-66.001833	3	-4
DOH	Doha Intl	Q	Doha	Qatar	\N	25.261125	51.565056	11	4
RUN	St Denis Gillot	REUN	Saint-Denis	Reunion	Reunion	-20.8871	55.510308	20	5
IAS	Iasi	RO	Iaşi	Iaşi	\N	47.178492	27.620631	121	2
SBZ	Sibiu	RO	Sibiu	Sibiu	\N	45.785597	24.091342	456	2
BAY	Tautii Magheraus	RO	Baia Mare	Maramureş	\N	47.658389	23.470022	184	2
SCV	Stefan Cel Mare	RO	Suceava	Suceava	\N	47.6875	26.354056	419	2
CLJ	Cluj Napoca	RO	Cluj-Napoca	Cluj	\N	46.785167	23.686167	316	2
TSR	Traian Vuia	RO	Timişoara	Timiş	\N	45.809861	21.337861	106	2
BCM	Bacau	RO	Bacău	Bacău	\N	46.521946	26.910278	185	2
OMR	Oradea	RO	Oradea	Bihor	\N	47.025278	21.9025	142	2
OTP	Henri Coanda	RO	Bucureşti	Bucureşti	\N	44.572161	26.102178	96	2
SUJ	Satu Mare	RO	Satu Mare	Satu-Mare	\N	47.703275	22.8857	123	2
ARW	Arad	RO	Arad	Arad	\N	46.17655	21.262022	107	2
TOF	Tomsk Bogashevo Airport	R	Tomsk	Tomsk	\N	56.380278	85.208333	182	8
BQS	Ignatyevo	R	Blagoveščensk	Amur	\N	50.425394	127.412478	195	10
KVX	Pobedilovo Airport	R	Kirov	Kirov	\N	58.5033	49.3483	146	4
STW	Shpakovskoye	R	Stavropol	Stavropol´skiy	\N	45.109165	42.112778	453	4
TBW	Tambow	R	Tambov	Tambovskaya	\N	52.81	41.48	38	4
SLY	Salekhard Airport	R	Salekhard	Yamalo Nenets ao	\N	66.590753	66.611042	66	6
CSY	Cheboksary Airport	R	Cheboksary	Chuvash	\N	56.0903	47.3473	170	4
VKT	Vorkuta Airport	R	Vorkuta	Komi	\N	67.4886	63.9931	184	6
VOZ	Chertovitskoye	R	Voronezh	Voronezhskaya	\N	51.814211	39.229589	157	4
EGO	Belgorod International Airport	R	Belgorod	Belgorodskaya	\N	50.6438	36.5901	224	4
MCX	Uytash	R	Makhachkala	Dagestan	\N	42.816822	47.652294	4	4
SCW	Syktyvkar	R	Syktyvkar	Komi	\N	61.64705	50.84505	104	4
SGC	Surgut	R	Surgut	Khanty Mansi ao	\N	61.343694	73.401842	61	6
MQF	Magnitogorsk	R	Magnitogorsk	Chelyabinsk	\N	53.393131	58.755661	436	6
VVO	Knevichi	R	Vladivostok	Primorskiy	\N	43.398953	132.148017	14	11
NAL	Nalchik Airport	R	Nal'čik	Kabardino-Balkarskaya	\N	43.5129	43.6366	445	4
NOJ	Noyabrsk	R	Nojabr'sk	Yamalo Nenets ao	\N	63.110079	75.162243	6	6
NOZ	Spichenkovo Airport	R	Novokuznetsk	Kemerov	\N	53.8114	86.8772	312	8
NJC	Nizhnevartovsk	R	Nizhnevartovsk	Khanty Mansi ao	\N	60.949272	76.483617	54	6
ULY	Ulyanovsk East Airport	R	Ulyanovsk	Ul´yanovsk	\N	54.401	48.8027	77	4
ESL	Elista Airport	R	Elista	Kalmykiya	\N	46.3739	44.3309	153	4
NSK	Alykel	R	Noril'sk	Krasnoyarsk	\N	69.311053	87.332183	181	8
UUD	Mukhino	R	Ulan-Ude	Buryat	\N	51.807764	107.437644	515	9
NUX	Novyi Urengoy	R	Novyj Urengoj	Yamalo Nenets ao	\N	66.041811	76.313938	6	6
PEE	Bolshoye Savino	R	Perm	Perm	\N	57.914517	56.021214	123	6
ROV	Rostov Na Donu	R	Rostov-na-Donu	Rostovskaya	\N	47.258208	39.818089	85	4
UFA	Ufa	R	Ufa	Bashkortostan	\N	54.557511	55.874417	137	6
MMK	Murmansk	R	Murmansk	Murmanskaya	\N	68.781672	32.750822	81	4
DME	Domododevo	R	Moskva	Moscow	\N	55.408611	37.906111	179	4
KUF	Kurumoch	R	Samara	Samara	\N	53.5	50.15	145	4
KZN	Kazan	R	Kazan	Tatarstan	\N	55.606186	49.278728	125	4
SVX	Koltsovo	R	Yekaterinburg	Sverdlov	\N	56.743108	60.802728	233	6
SVO	Sheremetyevo	R	Moskva	Moscow	\N	55.972642	37.414589	190	4
LED	Pulkovo	R	Sankt Peterburg	Sankt-Peterburg	\N	59.800292	30.262503	24	4
CEK	Balandino	R	Chelyabinsk	Chelyabinsk	\N	55.305836	61.503333	234	6
KHV	Novy	R	Khabarovsk	Khabarov	\N	48.528044	135.188361	74	11
KGD	Khrabrovo	R	Kaliningrad	Kaliningradskaya	\N	54.89005	20.592633	13	3
TJM	Roschino	R	Tyumen	Tyumen	\N	57.189567	65.3243	115	6
AER	Sochi	R	Sochi	Krasnodarskiy	\N	43.449928	39.956589	27	4
UUS	Khomutovo	R	Južno-Sachalinsk	Sakhalin	Sachalin	46.888672	142.717531	18	11
VKO	Vnukovo	R	Moskva	Moscow	\N	55.591531	37.261486	209	4
VOG	Gumrak	R	Volgograd	Volgogradskaya	\N	48.782528	44.345544	147	4
OVB	Tolmachevo	R	Novosibirsk	Novosibirsk	\N	55.012622	82.650656	111	7
OMS	Omsk	R	Omsk	Omsk	\N	54.967042	73.310514	95	7
PES	Petrozavodsk Airport	R	Petrozavodsk	Karelia	\N	61.8852	34.1547	46	4
OSW	Orsk Airport	R	Orsk	Orenburg	\N	51.0725	58.5956	277	6
PKC	Yelizovo	R	Petropavlovsk-Kamčatskij	Kamchatka	\N	53.167889	158.453669	40	12
HMA	Khanty Mansiysk Airport	R	Khanty Mansijsk	Khanty Mansi ao	\N	61.028479	69.086067	23	6
GDX	Sokol	R	Magadan	Magadan	\N	59.910989	150.720439	175	12
YKS	Yakutsk	R	Yakutsk	Sakha	\N	62.09325	129.770672	99	10
REN	Orenburg	R	Orenburg	Orenburg	\N	51.795786	55.456744	118	6
GRV	Grozny Airport	R	Grozny	Chechenskaya	\N	43.2981	45.7841	167	4
IJK	Izhevsk Airport	R	Izhevsk	Udmurt	\N	56.8281	53.4575	162	6
IKT	Irkutsk	R	Irkutsk	Irkutsk	\N	52.268028	104.388975	511	9
HTA	Kadala	R	Chita	Zabaykalskiy	\N	52.026317	113.305556	693	10
ASF	Astrakhan	R	Astrakhan	Astrakhanskaya	\N	46.283333	48.006278	-20	6
ABA	Abakan	R	Abakan	Khakasiya	\N	53.74	91.385	253	8
KJA	Emelyanovo	R	Krasnoyarsk	Krasnoyarsk	\N	56.18	92.475	287	8
BAX	Barnaul	R	Barnaul	Altayskiy	\N	53.363775	83.538533	255	7
KEJ	Kemerovo	R	Kemerovo	Kemerov	\N	55.270094	86.107208	263	8
BTK	Bratsk	R	Bratsk	Irkutsk	\N	56.370556	101.698331	491	9
ARH	Talagi	R	Arkhangelsk	Arkhangel´skaya	\N	64.360281	40.430167	6	4
LDG	Leshukonskoye Airport	R	Arkhangelsk	Arkhangel´skaya	\N	64.895833	45.722778	67	4
CEE	Cherepovets Airport	R	Cherepovets	Vologodskaya	\N	59.2736	38.0158	115	4
KRR	Pashkovskiy	R	Krasnodar	Krasnodarskiy	\N	45.034689	39.170539	36	4
KGL	Kigali Intl	RWA	Kigali	Rwanda	\N	-1.968628	30.13945	1481	2
SKB	Robert L Bradshaw	KN	Basseterre	Saint Kitts and Nevis	Saint Kitts	17.311194	-62.718667	52	-4
UVF	Hewanorra Intl	WL	Castries	Saint Lucia	Saint Lucia	13.733194	-60.952597	4	-4
SLU	George F L Charles	WL	Castries	Saint Lucia	Saint Lucia	14.020228	-60.992936	7	-4
SFP	Saint-Pierre	SPMI	\N	\N	Saint Pierre	46.7631	-56.1742	8	-2
SVD	E T Joshua	WV	Kingstown	Saint Vincent and the Grenadines	Saint Vincent	13.144306	-61.210861	20	-4
APW	Faleolo Intl	WS	Apia	Samoa	Upolu	-13.829969	-172.008336	18	-11
TMS	Sao Tome Intl	STP	São Tomé	Sao Tome and Principe	Sao Tome	0.378175	6.712153	10	0
TIF	Taif	SA	At Taif	Makkah Al-Mokarramah	\N	21.483418	40.544334	1478	3
DMM	King Fahd Intl	SA	Dammam	Ash Sharqiyah	\N	26.471161	49.79789	22	3
HAS	Hail	SA	Hail	Ha'il	\N	27.437917	41.686292	1016	3
JED	King Abdulaziz Intl	SA	Jeddah	Makkah Al-Mokarramah	\N	21.679564	39.156536	15	3
RUH	King Khaled Intl	SA	Riyadh	Al-Riyadh	\N	24.95764	46.698776	625	3
MED	Prince Mohammad Bin Abdulaziz	SA	Al Madinah	Al-Madinah Al-Monawarah	\N	24.553422	39.705061	656	3
ZIG	Ziguinchor	SN	Ziguinchor	Ziguinchor	\N	12.555617	-16.281783	23	0
DKR	Leopold Sedar Senghor Intl	SN	Dakar	Dakar	\N	14.739708	-17.490225	26	0
PRN	Pristina	KOS	Prishtine	Kosovo	\N	42.572778	21.035833	545	1
BEG	Beograd	SRB	Beograd	Serbia	\N	44.818444	20.309139	102	1
INI	Nis	SRB	Niš	Serbia	\N	43.337289	21.853722	198	1
SEZ	Seychelles Intl	SY	Victoria	Seychelles	Mahe	-4.674342	55.521839	3	4
FNA	Freetown Lungi	WAL	Freetown	Sierra Leone	\N	8.616444	-13.195489	26	0
SIN	Changi Intl	SGP	Singapore	Singapore	Singapore	1.350189	103.994433	7	8
SXM	Princess Juliana Intl	NLSM	Philipsburg	Sint Maarten	St. Martin	18.040953	-63.1089	4	-4
BTS	M R Stefanik	SK	Bratislava	Bratislavský	\N	48.170167	17.212667	133	1
KSC	Kosice	SK	Košice	Košický	\N	48.663055	21.241112	230	1
LJU	Ljubljana	SLO	Ljubljana	Slovenia	\N	46.223686	14.457611	388	1
HIR	Honiara International	SLB	Honiara	Solomon Islands	Guadalcanal	-9.428	160.054789	9	11
MGQ	Aden Adde International Airport	SP	Mogadishu	Somalia	\N	2.01444	45.3047	9	3
HLA	Lanseria	RSA	Johannesburg	Gauteng	\N	-25.938514	27.926133	1377	2
PZB	Pietermaritzburg	RSA	Msunduzi	KwaZulu-Natal	\N	-29.648975	30.398667	739	2
DUR	Durban Intl	RSA	eThekwini	KwaZulu-Natal	\N	-29.970089	30.950519	10	2
ELS	East London	RSA	Buffalo City	Eastern Cape	\N	-33.035569	27.825939	133	2
BFN	Bloemfontein Intl	RSA	Mangaung	Free State	\N	-29.092722	26.302444	1359	2
KIM	Kimberley	RSA	Kimberley	Northern Cape	\N	-28.802834	24.765167	1204	2
PLZ	Port Elizabeth Intl	RSA	Nelson Mandela Bay	Eastern Cape	\N	-33.984919	25.617275	69	2
PTG	Pietersburg	RSA	Polokwane	Limpopo	\N	-23.926089	29.484422	1327	2
CPT	Cape Town Intl	RSA	Cape Town	Western Cape	\N	-33.964806	18.601667	46	2
JNB	Johannesburg Intl	RSA	Johannesburg	Gauteng	\N	-26.139166	28.246	1695	2
RSU	Yeosu	ROK	Yeosu	South Korea	\N	34.842328	127.61685	16	9
ICN	Incheon Intl	ROK	Seoul	South Korea	\N	37.469075	126.450517	7	9
PUS	Gimhae Intl	ROK	Busan	South Korea	\N	35.179528	128.938222	2	9
GMP	Gimpo	ROK	Seoul	South Korea	\N	37.558311	126.790586	18	9
USN	Ulsan	ROK	Ulsan	South Korea	\N	35.593494	129.351722	14	9
KWJ	Gwangju	ROK	Gwangju	South Korea	\N	35.126389	126.808889	12	9
TAE	Daegu Ab	ROK	Daegu	South Korea	\N	35.894108	128.658856	35	9
CJU	Jeju Intl	ROK	Jeju	South Korea	Jeju	33.511306	126.493028	36	9
JUB	Juba	SSD	Juba	South Sudan	\N	4.872006	31.601117	461	2
VDE	Hierro	E	\N	\N	Hierro	27.814847	-17.887056	31	0
SDR	Santander	E	Santander	Cantabria	\N	43.427064	-3.820006	5	1
SPC	La Palma	E	\N	\N	La Palma	28.626478	-17.755611	33	0
LPA	Gran Canaria	E	Las Palmas de Gran Canaria	Canarias	Gran Canaria	27.931886	-15.386586	24	0
SLM	Salamanca	E	Salamanca	Castilla y León	\N	40.952117	-5.501986	791	1
TFN	Tenerife Norte	E	Santa Cruz de Tenerife	Canarias	Teneriffa	28.482653	-16.341536	632	0
AGP	Malaga	E	Málaga	Andalucía	\N	36.6749	-4.499106	16	1
BIO	Bilbao	E	Bilbao	País Vasco	\N	43.301097	-2.910608	42	1
TFS	Tenerife Sur	E	Santa Cruz de Tenerife	Canarias	Teneriffa	28.044475	-16.572489	64	0
BJZ	Talavera La Real	E	Badajoz	Extremadura	\N	38.89125	-6.821333	186	1
ALC	Alicante	E	Alicante	Valenciana	\N	38.282169	-0.558156	43	1
BCN	Barcelona	E	Barcelona	Cataluña	\N	41.297078	2.078464	4	1
ACE	Lanzarote	E	Las Palmas de Gran Canaria	Canarias	Gran Canaria	28.945464	-13.605225	14	0
VGO	Vigo	E	Vigo	Galicia	\N	42.2318	-8.626775	261	1
MLN	Melilla	MEL	Melilla	Melilla	\N	35.279817	-2.956256	48	0
MJV	Murcia San Javier	E	Murcia	Murcia	\N	37.774972	-0.812389	3	1
GMZ	La Gomera Airport	E	\N	\N	Gomera	28.0296	-17.2146	219	0
FUE	Fuerteventura	E	\N	\N	Fuerteventura	28.452717	-13.863761	25	0
XRY	Jerez	E	Jerez de la Frontera	Andalucía	\N	36.744622	-6.060111	28	1
PMI	Son Sant Joan	E	Palma de Mallorca	Illes Balears	Mallorca	39.55361	2.727778	7	1
PNA	Pamplona	E	Pamplona	Navarra	\N	42.770039	-1.646331	459	1
GRX	Granada	E	Granada	Andalucía	\N	37.188731	-3.777356	567	1
IBZ	Ibiza	E	\N	\N	Ibiza	38.872858	1.373117	6	1
ZAZ	Zaragoza Ab	E	Zaragoza	Aragón	\N	41.666242	-1.041553	263	1
REU	Reus	E	Reus	Cataluña	\N	41.147392	1.167172	71	1
EAS	San Sebastian	E	Donostia	País Vasco	\N	43.356519	-1.790611	5	1
MAD	Barajas	E	Madrid	Madrid	\N	40.493556	-3.566764	610	1
MAH	Menorca	E	\N	\N	Menorca	39.862597	4.218647	91	1
VLC	Valencia	E	Valencia	Valenciana	\N	39.489314	-0.481625	69	1
VLL	Valladolid	E	Valladolid	Castilla y León	\N	41.706111	-4.851944	846	1
SVQ	Sevilla	E	Sevilla	Andalucía	\N	37.418	-5.893106	34	1
LCG	A Coruna	E	A Coruña	Galicia	\N	43.302061	-8.377256	99	1
LEI	Almeria	E	Almería	Andalucía	\N	36.843936	-2.370097	21	1
SCQ	Santiago	E	Santiago de Compostela	Galicia	\N	42.896333	-8.415144	370	1
CMB	Bandaranaike Intl Colombo	CL	Colombo	Sri Lanka	Sri Lanka	7.180756	79.884117	9	6
KRT	Khartoum	SUD	Khartoum	Sudan	\N	15.589497	32.553161	386	2
PBM	Johan A Pengel Intl	SME	Paramaribo	Suriname	\N	5.452831	-55.187783	18	-3
MTS	Matsapha	SD	Mbabane	Swaziland	\N	-26.529022	31.307519	633	2
VXO	Kronoberg	S	Växjö	Kronoberg	\N	56.929144	14.727994	186	1
VBY	Visby	S	Visby	Gotland	\N	57.662797	18.346211	50	1
NRK	Kungsangen	S	Norrköping	Östergötland	\N	58.586253	16.250622	10	1
LLA	Kallax	S	Lulea	Norrbotten	\N	65.543758	22.121989	20	1
LPI	Saab	S	Linköping	Östergötland	\N	58.40615	15.680508	52	1
AGH	Angelholm-Helsingborg Airport	S	Helsingborg	Skåne	\N	56.2961	12.8471	21	1
KID	Kristianstad	S	Kristianstad	Skåne	\N	55.921686	14.085536	23	1
BMA	Bromma	S	Stockholm	Stockholm	\N	59.354372	17.94165	14	1
KLR	Kalmar	S	Kalmar	Kalmar	\N	56.685531	16.287578	5	1
UME	Umea	S	Umeå	Västerbotten	\N	63.791828	20.282758	7	1
NYO	Skavsta	S	Stockholm	Stockholm	\N	58.788636	16.912189	43	1
VST	Vasteras	S	Västerås	Västmanland	\N	59.589444	16.633611	6	1
HAD	Halmstad	S	Halmstad	Halland	\N	56.691128	12.820211	31	1
JKG	Jonkoping	S	Jönköping	Jönköping	\N	57.757594	14.068731	226	1
OSD	Östersund Airport	S	Ostersund	Jämtland	\N	63.1944	14.5003	376	1
ORB	Örebro	S	Örebro	Örebro	\N	59.223733	15.037956	57	1
GOT	Landvetter	S	Göteborg	Västra Götaland	\N	57.662836	12.279819	154	1
GSE	Save	S	Göteborg	Västra Götaland	\N	57.774722	11.870372	18	1
ARN	Arlanda	S	Stockholm	Stockholm	\N	59.651944	17.918611	42	1
MMX	Sturup	S	Malmö	Skåne	\N	55.530193	13.371639	72	1
KSD	Karlstad Airport	S	Karlstad	Värmland	\N	59.4447	13.3374	107	1
BRN	Bern Belp	CH	Bern	Bern	\N	46.9141	7.497153	510	1
LUG	Lugano	CH	Lugano	Ticino	\N	46.004275	8.910578	279	1
BSL	EuroAirport Basel-Mulhouse-Freiburg	CH	Basel	Basel-Stadt	\N	47.59	7.529167	270	1
ZRH	Zurich Kloten	CH	Zürich	Zürich	\N	47.464722	8.549167	432	1
GVA	Geneva Cointrin	CH	Genève	Genève	\N	46.238064	6.10895	430	1
ACH	St Gallen Altenrhein	CH	Sankt Gallen	Sankt Gallen	\N	47.485033	9.560775	398	1
DAM	Damaskus Intl	SYR	Dimashq	Dimashq	\N	33.4115	36.5156	616	2
ALP	Aleppo Intl	SYR	Halab	Halab	\N	36.1806	37.2242	383	2
KHH	Kaohsiung Intl	RC	Kaohsiung	Taiwan	Taiwan	22.577094	120.350006	9	8
TSA	Sungshan	RC	Taipei	Taiwan	Taiwan	25.069722	121.5525	5	8
TPE	Taoyuan Intl	RC	Taipei	Taiwan	Taiwan	25.077731	121.232822	32	8
DYU	Dushanbe	TAD	Dushanbe	Dushanbe	\N	38.543333	68.825	785	5
TJU	Kulob Airport	TAD	Kulyab	Khatlon	\N	37.981667	69.799444	699	5
LBD	Khudzhand Airport	TAD	Khujand	Sughd	\N	40.2154	69.6947	442	5
ZNZ	Zanzibar	EAT	Zanzibar	Mjini Magharibi Unguja	Sansibar	-6.222025	39.224886	16	3
JRO	Kilimanjaro Intl	EAT	Moshi	Kilimanjaro	\N	-3.429406	37.074461	894	3
MYW	Mtwara	EAT	Mtwara	Mtwara	\N	-10.339058	40.181781	113	2
DAR	Mwalimu Julius K Nyerere Intl	EAT	Dar es Salaam	Dar es Salaam	\N	-6.878111	39.202625	55	3
MWZ	Mwanza	EAT	Mwanza	Mwanza	\N	-2.444486	32.932667	1147	3
ARK	Arusha	EAT	Arusha	Arusha	\N	-3.367794	36.633333	1387	3
DMK	Don Muang Intl	THA	Bangkok	Thailand	\N	13.912583	100.60675	3	7
NST	Nakhon Si Thammarat	THA	Nakhon Si Thammarat	Thailand	\N	8.539617	99.944725	4	7
USM	Samui	THA	\N	\N	Ko Samui	9.547794	100.062272	20	7
KKC	Khon Kaen	THA	Khon Kaen	Thailand	\N	16.466628	102.783661	204	7
BKK	Suvarnabhumi Intl	THA	Bangkok	Thailand	\N	13.681108	100.747283	2	7
CNX	Chiang Mai Intl	THA	Chiang Mai	Thailand	\N	18.766847	98.962644	316	7
HDY	Hat Yai Intl	THA	Songkhla	Thailand	\N	6.933206	100.392975	27	7
HKT	Phuket Intl	THA	Phuket	Thailand	Phuket	8.1132	98.316872	25	7
LFW	Gnassingbe Eyadema Intl	RT	Lomé	Togo	\N	6.165611	1.254511	22	1
TBU	Fua Amotu Intl	TO	Nukualofa	Tonga	Tongatapu	-21.241214	-175.149644	38	13
POS	Piarco	TT	Port-of-Spain	Trinidad and Tobago	Trinidad	10.595369	-61.337242	18	-4
SFA	Thyna	TN	Sfax	Tunisia	\N	34.717953	10.690972	26	1
TUN	Carthage	TN	Tunis	Tunisia	\N	36.851033	10.227217	7	1
AYT	Antalya	TR	Antalya	Antalya	\N	36.898731	30.800461	54	2
EZS	Elazig	TR	Elazig	Elazığ	\N	38.606925	39.291417	892	2
KSY	Kars Airport	TR	Kars	Kars	\N	40.562222	43.115002	1795	2
SZF	Samsun-Carsamba Airport	TR	Samsun	Samsun	\N	41.2545	36.5671	5	2
KYA	Konya	TR	Konya	Konya	\N	37.979	32.561861	1031	2
ADF	Adiyaman Airport	TR	Adiyaman	Adıyaman	\N	37.7314	38.4689	676	2
BAL	Batman	TR	Batman	Batman	\N	37.928969	41.116583	555	2
ADA	Adana	TR	Adana	Adana	\N	36.982166	35.280388	20	2
ADB	Adnan Menderes	TR	Izmir	İzmir	\N	38.292392	27.156953	126	2
VAN	Van	TR	Van	Van	\N	38.468219	43.3323	1671	2
VAS	Sivas	TR	Sivas	Sivas	\N	39.813828	36.903497	1596	2
NAV	Kapadokya	TR	Nevsehir	Nevşehir	\N	38.771867	34.53455	945	2
ESB	Esenboga	TR	Ankara	Ankara	\N	40.128082	32.995083	953	2
ERZ	Erzurum	TR	Erzurum	Erzurum	\N	39.956501	41.170166	1757	2
ERC	Erzincan	TR	Erzincan	Erzincan	\N	39.710203	39.527003	1153	2
KCM	Kahramanmaras Airport	TR	Kahramanmaraş	Kahramanmaraş	\N	37.539	36.9534	525	2
MLX	Erhac	TR	Malatya	Malatya	\N	38.435347	38.091006	862	2
DIY	Diyarbakir	TR	Diyarbakir	Diyarbakır	\N	37.893897	40.201019	686	2
ASR	Erkilet	TR	Kayseri	Kayseri	\N	38.770386	35.495428	1056	2
TZX	Trabzon	TR	Trabzon	Trabzon	\N	40.995108	39.789728	32	2
IST	Ataturk	TR	Istanbul	İstanbul	\N	40.976922	28.814606	50	2
SAW	Sabiha Gokcen	TR	Istanbul	İstanbul	\N	40.898553	29.309219	95	2
GZT	Oguzeli	TR	Gaziantep	Gaziantep	\N	36.947183	37.478683	706	2
HTY	Hatay Airport	TR	Hatay	Hatay	\N	36.362778	36.282222	8	2
AJI	Agri Airport	TR	Agri	Ağrı	\N	39.6546	43.0271	1665	2
AOE	Anadolu Airport	TR	Eskisehir	Eskişehir	\N	39.809858	30.519378	789	2
MQM	Mardin Airport	TR	Mardin	Mardin	\N	37.2233	40.6317	527	2
DNZ	Cardak	TR	Denizli	Denizli	\N	37.785567	29.701297	852	2
MSR	Mus Airport	TR	Mus	Muş	\N	38.747769	41.661236	1267	2
ASB	Ashgabat	TM	Ashgabat	Ashgabat	\N	37.986814	58.360967	211	5
PLS	Providenciales	TUCA	Grand Turk	Turks and Caicos Islands	Grand Turk	21.773625	-72.265886	5	-5
FUN	Funafuti International	TUV	Funafuti	Tuvalu	Fongafale	-8.525	179.196389	3	12
EBB	Entebbe Intl	EAU	Kampala	Uganda	\N	0.042386	32.443503	1153	3
DOK	Donetsk Intl	UA	Donets´k	Donets´ka	\N	48.073611	37.739722	241	2
KBP	Boryspil Intl	UA	Kyïv	Kyïv	\N	50.345	30.894722	130	2
HRK	Osnova International Airport	UA	Kharkiv	Kharkivs´ka	\N	49.924786	36.289986	155	2
IEV	Zhuliany Intl	UA	Kyïv	Kyïv	\N	50.401694	30.449697	179	2
SIP	Simferopol Intl	UA	Simferopol´	Krym	\N	45.052222	33.975139	195	2
UDJ	Uzhhorod International Airport	UA	Uzhhorod	Zakarpats´ka	\N	48.634278	22.263356	117	2
DNK	Dnipropetrovsk Intl	UA	Dnipropetrovs´k	Dnipropetrovs´ka	\N	48.357222	35.100556	147	2
IFO	Ivano Frankivsk International Airport	UA	Ivano-Frankivs´k	Ivano-Frankivs´ka	\N	48.884167	24.686111	280	2
ODS	Odesa Intl	UA	Odesa	Odes´ka	\N	46.426767	30.676464	52	2
LWO	Lviv Intl	UA	L´viv	L´vivs´ka	\N	49.8125	23.956111	327	2
AUH	Abu Dhabi Intl	UAE	Abu Dhabi	United Arab Emirates	\N	24.432972	54.651138	27	4
AAN	Al Ain International Airport	UAE	Al Ain	United Arab Emirates	\N	24.261667	55.609167	265	4
DXB	Dubai Intl	UAE	Dubai	United Arab Emirates	\N	25.252778	55.364444	19	4
SHJ	Sharjah Intl	UAE	Al Sharjah	United Arab Emirates	\N	25.328575	55.51715	34	4
STN	Stansted	GB	London	London	Great Britain	51.885	0.235	106	0
LBA	Leeds Bradford	GB	Leeds	Yorkshire and the Humber	Great Britain	53.865897	-1.660569	208	0
LCY	City	GB	London	London	Great Britain	51.505278	0.055278	6	0
LGW	Gatwick	GB	London	London	Great Britain	51.148056	-0.190278	62	0
LHR	Heathrow	GB	London	London	Great Britain	51.4775	-0.461389	25	0
LPL	Liverpool	GB	Liverpool	North West	Great Britain	53.333611	-2.849722	24	0
BHX	Birmingham	GB	Birmingham	West Midlands	Great Britain	52.453856	-1.748028	100	0
TRE	Tiree	GB	\N	\N	Tiree	56.499167	-6.869167	12	0
BLK	Blackpool	GB	Blackpool	North West	Great Britain	53.771667	-3.028611	10	0
BEB	Benbecula	GB	\N	\N	Benbecula	57.481111	-7.362778	6	0
ABZ	Dyce	GB	Aberdeen	Scotland	Great Britain	57.201944	-2.197778	66	0
BFS	Aldergrove	GB	Belfast	Northern Ireland	Ireland	54.6575	-6.215833	82	0
BHD	City	GB	Belfast	Northern Ireland	Ireland	54.618056	-5.8725	5	0
EXT	Exeter	GB	Exeter	South West	Great Britain	50.734444	-3.413889	31	0
NCL	Newcastle	GB	Newcastle upon Tyne	North East	Great Britain	55.0375	-1.691667	81	0
EMA	Nottingham East Midlands	GB	Nottingham	East Midlands	Great Britain	52.831111	-1.328056	93	0
NWI	Norwich	GB	Norwich	East of England	Great Britain	52.675833	1.282778	36	0
BOH	Bournemouth	GB	Bournemouth	South West	Great Britain	50.78	-1.8425	12	0
DND	Dundee	GB	Dundee	Scotland	Great Britain	56.452499	-3.025833	5	0
DSA	Robin Hood Doncaster Sheffield Airport	GB	Sheffield	Yorkshire and the Humber	Great Britain	53.474722	-1.004444	17	0
MME	Durham Tees Valley Airport	GB	Middlesbrough	North East	Great Britain	54.509189	-1.429406	37	0
MAN	Manchester	GB	Manchester	North West	Great Britain	53.353744	-2.27495	78	0
EDI	Edinburgh	GB	Edinburgh	Scotland	Great Britain	55.95	-3.3725	41	0
SOU	Southampton	GB	Southampton	South East	Great Britain	50.950261	-1.356803	13	0
LTN	Luton	GB	Luton	East of England	Great Britain	51.874722	-0.368333	160	0
BRR	Barra Airport	GB	\N	\N	Barra	57.0228	-7.44306	2	0
BRS	Bristol	GB	Bristol	South West	Great Britain	51.382669	-2.719089	190	0
HUY	Humberside	GB	Kingston upon Hull	Yorkshire and the Humber	Great Britain	53.574444	-0.350833	37	0
ILY	Islay	GB	\N	\N	Islay	55.681944	-6.256667	17	0
GLO	Gloucestershire	GB	Gloucester	South West	Great Britain	51.894167	-2.167222	31	0
GLA	Glasgow	GB	Glasgow	Scotland	Great Britain	55.871944	-4.433056	8	0
SEN	Southend	GB	Southend-on-Sea	East of England	Great Britain	51.571389	0.695556	15	0
CWL	Cardiff	GB	Cardiff	Wales	Great Britain	51.396667	-3.343333	67	0
KOI	Kirkwall	GB	Kirkwall	Scotland	Orkney Mainland	58.957778	-2.905	15	0
LRD	Laredo Intl	USA	Laredo	Texas	\N	27.54375	-99.461556	155	-6
CMH	Port Columbus Intl	USA	Columbus	Ohio	\N	39.997972	-82.891889	248	-5
DSM	Des Moines Intl	USA	Des Moines	Iowa	\N	41.533972	-93.663083	292	-6
DTW	Detroit Metro Wayne Co	USA	Detroit	Michigan	\N	42.212444	-83.353389	197	-5
MSY	Louis Armstrong New Orleans Intl	USA	New Orleans	Louisiana	\N	29.993389	-90.258028	1	-6
MSP	Minneapolis St Paul Intl	USA	Minneapolis	Minnesota	\N	44.881956	-93.221767	256	-6
MSN	Dane Co Rgnl Truax Fld	USA	Madison	Wisconsin	\N	43.139858	-89.337514	270	-6
FAR	Hector International Airport	USA	Fargo	North Dakota	\N	46.92065	-96.8157639	275	-6
FAT	Fresno Yosemite Intl	USA	Fresno	California	\N	36.776194	-119.71814	102	-8
ELP	El Paso Intl	USA	El Paso	Texas	\N	31.80725	-106.377583	1207	-7
EVV	Evansville Regional	USA	Evansville	Indiana	\N	38.036997	-87.532364	127	-6
EWR	Newark Liberty Intl	USA	Newark	New Jersey	\N	40.6925	-74.168667	5	-5
EUG	Mahlon Sweet Fld	USA	Eugene	Oregon	\N	44.124583	-123.211972	114	-8
ERI	Erie Intl Tom Ridge Fld	USA	Erie	Pennsylvania	\N	42.082022	-80.176217	223	-5
MKE	General Mitchell Intl	USA	Milwaukee	Wisconsin	\N	42.947222	-87.896583	220	-6
MKL	Mc Kellar Sipes Rgnl	USA	Jackson	Mississippi	\N	35.599889	-88.915611	132	-6
DFW	Dallas Fort Worth Intl	USA	Dallas	Texas	\N	32.896828	-97.037997	185	-6
MIA	Miami Intl	USA	Miami	Florida	\N	25.79325	-80.290556	2	-5
MDT	Harrisburg Intl	USA	Harrisburg	Pennsylvania	\N	40.193494	-76.763403	95	-5
MEM	Memphis Intl	USA	Memphis	Tennessee	\N	35.042417	-89.976667	104	-6
MDW	Chicago Midway Intl	USA	Chicago	Illinois	\N	41.785972	-87.752417	189	-6
MCI	Kansas City Intl	USA	Kansas City	Missouri	\N	39.297606	-94.713905	313	-6
MCO	Orlando Intl	USA	Orlando	Florida	\N	28.429394	-81.308994	29	-5
MOB	Mobile Rgnl	USA	Mobile	Alabama	\N	30.691231	-88.242814	67	-6
MOD	Modesto City Co Harry Sham	USA	Modesto	California	\N	37.625817	-120.954422	30	-8
SDF	Louisville International Airport	USA	Louisville	Kentucky	\N	38.1740858	-85.7364989	153	-5
CLE	Cleveland Hopkins Intl	USA	Cleveland	Ohio	\N	41.411689	-81.849794	241	-5
SEA	Seattle Tacoma Intl	USA	Seattle	Washington	\N	47.449	-122.309306	132	-8
SFO	San Francisco Intl	USA	San Francisco	California	\N	37.618972	-122.374889	4	-8
CHS	Charleston Afb Intl	USA	Charleston	West Virginia	\N	32.898647	-80.040528	14	-5
SGF	Springfield Branson Natl	USA	Springfield	Missouri	\N	37.245667	-93.388639	387	-6
SPS	Sheppard Afb Wichita Falls Muni	USA	Wichita Falls	Texas	\N	33.988797	-98.491894	311	-6
LNK	Lincoln	USA	Lincoln	Nebraska	\N	40.850971	-96.75925	372	-6
COS	City Of Colorado Springs Muni	USA	Colorado Springs	Colorado	\N	38.805805	-104.700778	1886	-7
CLT	Charlotte Douglas Intl	USA	Charlotte	North Carolina	\N	35.214	-80.943139	228	-5
ALB	Albany Intl	USA	Albany	New York	\N	42.748267	-73.801692	87	-5
BNA	Nashville Intl	USA	Nashville-Davidson	Tennessee	\N	36.124472	-86.678194	183	-6
TPA	Tampa Intl	USA	Tampa	Florida	\N	27.975472	-82.53325	8	-5
BOI	Boise Air Terminal	USA	Boise City	Idaho	\N	43.564361	-116.222861	875	-7
BOS	General Edward Lawrence Logan Intl	USA	Boston	Massachusetts	\N	42.364347	-71.005181	6	-5
MVY	Martha's Vineyard	USA	\N	\N	Marthas Vineyard	41.391667	-70.615278	20	-5
ACK	Nantucket Mem	USA	\N	\N	Nantucket	41.253053	-70.060181	15	-5
AMA	Rick Husband Amarillo Intl	USA	Amarillo	Texas	\N	35.219369	-101.705931	1100	-6
TOL	Toledo	USA	Toledo	Ohio	\N	41.586806	-83.807833	209	-5
SYR	Syracuse Hancock Intl	USA	Syracuse	New York	\N	43.111187	-76.106311	128	-5
CVG	Cincinnati Northern Kentucky Intl	USA	Cincinnati	Ohio	\N	39.048836	-84.667822	273	-5
STL	Lambert St Louis Intl	USA	St. Louis	Missouri	\N	38.748697	-90.370028	188	-6
CYS	Cheyenne Rgnl Jerry Olson Fld	USA	Cheyenne	Wyoming	\N	41.155722	-104.811839	1877	-7
DAL	Dallas Love Fld	USA	Dallas	Texas	\N	32.847111	-96.851778	148	-6
DAY	James M Cox Dayton Intl	USA	Dayton	Ohio	\N	39.902375	-84.219375	308	-5
LAS	Mc Carran Intl	USA	Las Vegas	Nevada	\N	36.080056	-115.15225	653	-8
LAN	Capital City	USA	Lansing	Michigan	\N	42.7787	-84.587357	263	-5
CRP	Corpus Christi Intl	USA	Corpus Christi	Texas	\N	27.770361	-97.501222	13	-6
SLC	Salt Lake City Intl	USA	Salt Lake City	Utah	\N	40.788389	-111.977772	1289	-7
CRW	Yeager	USA	Charleston	West Virginia	\N	38.373147	-81.593189	299	-5
CSG	Columbus Metropolitan Airport	USA	Columbus	Georgia	\N	32.5163333	-84.9388611	121	-5
SMF	Sacramento Intl	USA	Sacramento	California	\N	38.695417	-121.590778	8	-8
LUK	Cincinnati Muni Lunken Fld	USA	Cincinnati	Ohio	\N	39.103333	-84.418611	147	-5
SNA	John Wayne Arpt Orange Co	USA	Santa Ana	California	\N	33.675667	-117.868222	17	-8
RST	Rochester	USA	Rochester	New York	\N	43.908283	-92.500014	402	-6
LAX	Los Angeles Intl	USA	Los Angeles	California	\N	33.942536	-118.408075	38	-8
LBB	Lubbock Preston Smith Intl	USA	Lubbock	Texas	\N	33.663639	-101.822778	1001	-6
DEN	Denver Intl	USA	Denver	Colorado	\N	39.861656	-104.673178	1656	-7
DCA	Ronald Reagan Washington Natl	USA	Washington	District of Columbia	\N	38.852083	-77.037722	5	-5
LGB	Long Beach	USA	Long Beach	California	\N	33.817722	-118.151611	18	-8
LGA	La Guardia	USA	New York	New York	\N	40.777245	-73.872608	7	-5
CHA	Lovell Fld	USA	Chattanooga	Tennessee	\N	35.035278	-85.203808	208	-5
SHV	Shreveport Rgnl	USA	Shreveport	Louisiana	\N	32.446629	-93.8256	79	-6
LIT	Adams Fld	USA	Little Rock	Arkansas	\N	34.729444	-92.224306	80	-6
SJC	Norman Y Mineta San Jose Intl	USA	San Jose	California	\N	37.3626	-121.929022	19	-8
BHM	Birmingham Intl	USA	Birmingham	Alabama	\N	33.562942	-86.75355	196	-6
BIS	Bismarck Municipal Airport	USA	Bismarck	North Dakota	\N	46.775842	-100.757931	506	-6
BIL	Billings Logan International Airport	USA	Billings	Montana	\N	45.80921	-108.537654	1113	-7
TUL	Tulsa Intl	USA	Tulsa	Oklahoma	\N	36.198389	-95.888111	206	-6
TUS	Tucson Intl	USA	Tucson	Arizona	\N	32.116083	-110.941028	806	-7
RNO	Reno Tahoe Intl	USA	Reno	Nevada	\N	39.499108	-119.768108	1346	-8
BUF	Buffalo Niagara Intl	USA	Buffalo	New York	\N	42.940525	-78.732167	221	-5
ATL	Hartsfield Jackson Atlanta Intl	USA	Atlanta	Georgia	\N	33.636719	-84.428067	313	-5
BTR	Baton Rouge Metro Ryan Fld	USA	Baton Rouge	Louisiana	\N	30.533167	-91.149639	21	-6
AUS	Austin Bergstrom Intl	USA	Austin	Texas	\N	30.194528	-97.669889	165	-6
TYS	Mc Ghee Tyson	USA	Knoxville	Tennessee	\N	35.810972	-83.994028	299	-5
BWI	Baltimore Washington Intl	USA	Baltimore	Maryland	\N	39.175361	-76.668333	45	-5
CAK	Akron Canton Regional Airport	USA	Akron	Ohio	\N	40.9160833	-81.4421944	374	-5
ABE	Lehigh Valley Intl	USA	Allentown	Pennsylvania	\N	40.652083	-75.440806	120	-5
ABI	Abilene Rgnl	USA	Abilene	Texas	\N	32.411319	-99.681897	546	-6
AEX	Alexandria Intl	USA	Alexandria	Virginia	\N	31.3274	-92.549833	27	-6
TLH	Tallahassee Rgnl	USA	Tallahassee	Florida	\N	30.396528	-84.350333	25	-5
ACT	Waco Rgnl	USA	Waco	Texas	\N	31.611289	-97.230519	157	-6
ABQ	Albuquerque International Sunport	USA	Albuquerque	New Mexico	\N	35.0402222	-106.6091944	1633	-7
SAN	San Diego Intl	USA	San Diego	California	\N	32.733556	-117.189667	5	-8
SAT	San Antonio Intl	USA	San Antonio	Texas	\N	29.533694	-98.469778	247	-6
SAV	Savannah Hilton Head Intl	USA	Savannah	Georgia	\N	32.127583	-81.202139	16	-5
PWM	Portland Intl Jetport	USA	Portland	Oregon	\N	43.646161	-70.309281	23	-5
PVD	Theodore Francis Green State	USA	Providence	Rhode Island	\N	41.732581	-71.420383	17	-5
IND	Indianapolis Intl	USA	Indianapolis	Indiana	\N	39.717331	-86.294383	243	-5
IAD	Washington Dulles Intl	USA	Washington	District of Columbia	\N	38.944533	-77.455811	95	-5
IAH	George Bush Intcntl Houston	USA	Houston	Texas	\N	29.984433	-95.341442	30	-6
ICT	Wichita Mid Continent	USA	Wichita	Kansas	\N	37.649944	-97.433056	406	-6
HOU	William P Hobby	USA	Houston	Texas	\N	29.645419	-95.278889	14	-6
ROC	Greater Rochester Intl	USA	Rochester	New York	\N	43.118866	-77.672389	170	-5
FLL	Fort Lauderdale Hollywood Intl	USA	Fort Lauderdale	Florida	\N	26.072583	-80.15275	3	-5
OMA	Eppley Afld	USA	Omaha	Nebraska	\N	41.303167	-95.894069	300	-6
PDX	Portland Intl	USA	Portland	Oregon	\N	45.588722	-122.5975	9	-8
ORF	Norfolk Intl	USA	Norfolk	Virginia	\N	36.894611	-76.201222	8	-5
ORD	Chicago Ohare Intl	USA	Chicago	Illinois	\N	41.978603	-87.904842	204	-6
FNT	Bishop International	USA	Flint	Michigan	\N	42.965424	-83.743629	238	-5
PHX	Phoenix Sky Harbor Intl	USA	Phoenix	Arizona	\N	33.434278	-112.011583	346	-7
PIT	Pittsburgh Intl	USA	Pittsburgh	Pennsylvania	\N	40.491467	-80.232872	367	-5
PIR	Pierre Regional Airport	USA	Pierre	South Dakota	\N	44.3827	-100.286	531	-6
PHL	Philadelphia Intl	USA	Philadelphia	Pennsylvania	\N	39.871944	-75.241139	11	-5
HLN	Helena Rgnl	USA	Helena	Montana	\N	46.606806	-111.98275	1182	-7
GEG	Spokane Intl	USA	Spokane	Washington	\N	47.619861	-117.533833	724	-8
OKC	Will Rogers World	USA	Oklahoma City	Oklahoma	\N	35.393089	-97.600733	395	-6
RIC	Richmond Intl	USA	Richmond	Virginia	\N	37.505167	-77.319667	51	-5
JFK	John F Kennedy Intl	USA	New York	New York	\N	40.639751	-73.778925	4	-5
JAX	Jacksonville Intl	USA	Jacksonville	Florida	\N	30.494056	-81.687861	9	-5
JAN	Jackson Evers Intl	USA	Jackson	Mississippi	\N	32.311167	-90.075889	105	-6
SAF	Santa Fe Muni	USA	Santa Fe	New Mexico	\N	35.617108	-106.089422	1935	-7
OAJ	Albert J Ellis	USA	Jacksonville	Florida	\N	34.829164	-77.612139	29	-5
OAK	Metropolitan Oakland Intl	USA	Oakland	California	\N	37.721278	-122.220722	3	-8
JNU	Juneau Intl	USA	Juneau	Alaska	\N	58.354972	-134.576278	6	-9
ANC	Ted Stevens Anchorage Intl	USA	Anchorage	Alaska	\N	61.174361	-149.996361	46	-9
HNL	Honolulu Intl	USA	Honolulu	Hawaii	Oahu	21.318681	-157.922428	4	-10
ITO	Hilo Intl	USA	Hilo	Hawaii	Hawaii	19.721375	-155.048469	12	-10
LNY	Lanai	USA	\N	\N	Lanai	20.785611	-156.951419	399	-10
MKK	Molokai	USA	\N	\N	Molokai	21.152886	-157.096256	138	-10
OGG	Kahului	USA	\N	\N	Maui	20.89865	-156.430458	16	-10
MVD	Carrasco Intl	ROU	Montevideo	Uruguay	\N	-34.838417	-56.030806	32	-3
BHK	Bukhara	UZB	Buxoro	Buxoro	\N	39.775	64.483333	229	5
UGC	Urgench Airport	UZB	Urganch	Xorazm	\N	41.5843	60.6417	98	5
TMJ	Termez Airport	UZB	Termiz	Surxondaryo	\N	37.286667	67.31	313	5
TAS	Yuzhny	UZB	Toshkent	Toshkent City	\N	41.257861	69.281186	432	5
NCU	Nukus Airport	UZB	Nukus	Qoraqalpogʻiston	\N	42.4884	59.6233	75	5
FEG	Fergana Airport	UZB	Farg'ona	Fargʻona	\N	40.3588	71.745	604	5
SKD	Samarkand	UZB	Samarqand	Samarqand	\N	39.700547	66.983829	678	5
VLI	Port Vila Bauerfield	VU	Port Vila	Vanuatu	Efate	-17.699325	168.319794	21	11
PZO	General Manuel Carlos Piar	YV	Ciudad Guayana	Bolívar	\N	8.288528	-62.760361	144	-4
BLA	General Jose Antonio Anzoategui Intl	YV	Barcelona	Anzoátegui	\N	10.107139	-64.689161	8	-4
PYH	Casique Aramare	YV	Puerto Ayacucho	Amazonas	\N	5.619992	-67.606103	75	-4
BNS	Barinas	YV	Barinas	Barinas	\N	8.619575	-70.220825	203	-4
BRM	Barquisimeto Intl	YV	Barquisimeto	Lara	\N	10.042747	-69.358619	623	-4
MAR	La Chinita Intl	YV	Maracaibo	Zulia	\N	10.558208	-71.727856	72	-4
VLN	Arturo Michelena Intl	YV	Valencia	Carabobo	\N	10.149733	-67.9284	432	-4
MUN	Maturin	YV	Maturín	Monagas	\N	9.749067	-63.1534	68	-4
CCS	Simon Bolivar Intl	YV	Caracas	Distrito Federal	\N	10.603117	-66.990583	72	-4
VKG	Rach Gia	VN	Rach Gia	Vietnam	\N	9.949676	105.133659	2	7
VII	Vinh Airport	VN	Vinh	Vietnam	\N	18.737569	105.670764	7	7
SGN	Tansonnhat Intl	VN	Ho Chi Minh	Vietnam	\N	10.818797	106.651856	10	7
HAN	Noibai Intl	VN	Hanoi	Vietnam	\N	21.221192	105.807178	12	7
HPH	Cat Bi International Airport	VN	Haiphong	Vietnam	\N	20.819386	106.724989	2	7
VCA	Tra Noc Airport	VN	Can Tho	Vietnam	\N	10.085119	105.711922	3	7
NHA	Nha Trang	VN	Nha Trang	Vietnam	\N	12.227467	109.192322	6	7
STT	Cyril E King	VIRG	Charlotte Amalie	Virgin Islands	Saint Thomas	18.337306	-64.973361	7	-4
WLS	Wallis	WAFU	Mata-Utu	Wallis and Futuna	Uvea	-13.238281	-176.199228	24	12
EUN	Hassan I Airport	WSA	El Aaiun	Western Sahara	\N	27.1517	-13.2192	63	0
SAH	Sanaa Intl	YE	Sana'a	Yemen	\N	15.476258	44.219739	2200	3
HOD	Hodeidah Intl	YE	al Hudaydah	Yemen	\N	14.753	42.976336	13	3
TAI	Taiz Intl	YE	Ta'izz	Yemen	\N	13.685964	44.139056	1475	3
ADE	Aden Intl	YE	Aden	Yemen	\N	12.829542	45.028792	2	3
LVI	Livingstone	Z	Livingstone	Southern	\N	-17.821756	25.822692	1007	2
NLA	Ndola	Z	Ndola	Copperbelt	\N	-12.998139	28.664944	1270	2
LUN	Lusaka Intl	Z	Lusaka	Lusaka	\N	-15.330817	28.452628	1152	2
BUQ	J M Nkomo Intl	ZW	Bulawayo	Zimbabwe	\N	-20.017431	28.617869	1329	2
HRE	Harare Intl	ZW	Harare	Zimbabwe	\N	-17.931806	31.092847	1490	2
\.


--
-- TOC entry 5263 (class 0 OID 89452)
-- Dependencies: 682
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY borders (country1, country2, length) FROM stdin;
AL	GR	282
AL	MK	151
AL	MNE	172
AL	KOS	112
GR	MK	228
GR	TR	206
MK	SRB	62
MNE	SRB	124
KOS	MNE	79
KOS	SRB	352
KOS	MK	159
AND	F	60
AND	E	65
F	I	488
F	L	73
F	MC	4.4
E	F	623
E	GBZ	1.2
E	P	1214
A	CZ	362
A	D	784
A	H	366
A	I	430
A	FL	37
A	SK	91
A	SLO	324
A	CH	164
CZ	D	646
CZ	SK	215
CZ	PL	658
D	F	451
D	PL	456
D	L	138
D	NL	577
D	DK	68
H	SRB	151
H	SK	515
H	SLO	102
H	UA	103
H	HR	329
H	RO	443
I	SLO	235
I	V	3.2
I	RSM	39
SK	UA	90
CH	F	573
CH	D	334
CH	I	740
CH	FL	41
BY	LV	141
BY	LT	502
BY	PL	605
BY	UA	891
BY	R	959
LV	R	217
LT	LV	453
LT	PL	91
LT	R	227
PL	SK	444
PL	UA	428
PL	R	206
R	UA	1576
R	SF	1313
B	F	620
B	D	167
B	L	148
B	NL	450
BIH	SRB	357
BIH	MNE	249
BIH	HR	932
HR	SRB	241
HR	MNE	25
HR	SLO	546
BG	GR	494
BG	MK	148
BG	SRB	318
BG	RO	608
BG	TR	240
RO	SRB	476
RO	UA	531
EW	LV	267
EW	R	290
N	R	167
N	SF	729
N	S	1619
S	SF	586
CEU	MA	6.3
MD	UA	939
MD	RO	450
GB	IRL	360
AFG	CN	76
AFG	IR	936
AFG	PK	2430
AFG	TAD	1206
AFG	TM	744
AFG	UZB	137
CN	R	3645
CN	PK	523
CN	TAD	414
CN	MYA	2185
CN	IND	3380
CN	NEP	1236
CN	LAO	423
CN	VN	1281
CN	KAZ	1533
CN	NOK	1416
CN	KGZ	858
CN	MNG	4673
CN	MACX	0.34
CN	HONX	30
IR	TR	499
IR	PK	909
IR	TM	992
IR	IRQ	1458
TAD	UZB	1161
TM	UZB	1621
ARM	TR	268
ARM	IR	35
ARM	GE	164
ARM	AZ	787
GE	R	723
GE	TR	252
AZ	R	284
AZ	TR	9
AZ	IR	611
AZ	GE	322
BD	MYA	193
BD	IND	4053
MYA	THA	1800
IND	PK	2912
IND	MYA	1463
IND	NEP	1690
BHT	CN	470
BHT	IND	605
BRU	MAL	381
MAL	THA	506
MAL	RI	1782
LAO	MYA	235
LAO	THA	1754
LAO	VN	2130
K	LAO	541
K	THA	803
K	VN	1228
KAZ	R	6846
KAZ	TM	379
KAZ	UZB	2203
KAZ	KGZ	1051
NOK	R	19
NOK	ROK	238
KGZ	TAD	870
KGZ	UZB	1099
MNG	R	3441
GAZA	IL	51
IL	JOR	238
IL	SYR	76
IL	RL	79
IL	WEST	307
ET	GAZA	11
ET	IL	255
ET	LAR	1150
ET	SUD	1273
RI	TL	228
PNG	RI	820
IRQ	TR	331
IRQ	JOR	181
IRQ	KWT	242
IRQ	SA	814
IRQ	SYR	605
JOR	SA	728
JOR	SYR	375
JOR	WEST	97
KWT	SA	222
SA	UAE	457
SA	YE	1458
SYR	TR	822
RL	SYR	375
OM	SA	676
OM	UAE	410
OM	YE	288
Q	SA	60
BZ	GCA	266
BZ	MEX	250
GCA	MEX	962
GCA	HCA	256
MEX	USA	3326
CDN	USA	8893
CR	NIC	309
CR	PA	330
DOM	RH	275
ES	GCA	203
ES	HCA	342
HCA	NIC	922
NLSM	SMAR	15
CO	PA	225
CO	PE	2900
CO	YV	2050
CO	EC	590
RA	RCH	5150
RA	ROU	579
BOL	RA	832
BOL	BR	3400
BOL	RCH	861
BOL	PY	750
BOL	PE	900
BR	CO	1643
BR	RA	1224
BR	PY	1290
BR	ROU	985
BR	PE	1560
BR	FGU	673
BR	GUY	1119
BR	SME	597
BR	YV	2200
PY	RA	1880
PE	RCH	160
FGU	SME	510
GUY	SME	600
GUY	YV	743
EC	PE	1420
DZ	LAR	982
DZ	RMM	1376
DZ	RIM	463
DZ	MA	1559
DZ	RN	956
DZ	TN	965
DZ	WSA	42
LAR	RN	354
LAR	TN	459
LAR	TCH	1055
LAR	SUD	383
RMM	RN	821
RMM	SN	419
RIM	RMM	2237
RIM	WSA	1561
RIM	SN	813
MA	WSA	443
MA	MEL	9.6
RN	WAN	1497
RN	TCH	1175
ANG	RCB	201
ANG	NAM	1376
ANG	ZRE	2511
ANG	Z	1110
RCB	ZRE	2410
NAM	Z	233
NAM	RB	1360
NAM	RSA	855
Z	ZRE	1930
Z	ZW	797
BEN	RN	266
BEN	BF	306
BEN	WAN	773
BEN	RT	644
BF	RMM	1000
BF	RN	628
BF	RT	126
BF	CI	584
BF	GH	548
RB	RSA	1840
RB	ZW	813
RSA	ZW	225
RSA	SD	430
CI	RMM	532
CI	GH	668
CI	RG	610
CI	LB	716
GH	RT	877
BI	ZRE	233
BI	RWA	290
BI	EAT	451
RWA	ZRE	217
EAT	ZRE	459
EAT	Z	338
EAT	RWA	217
EAT	EAU	396
EAT	MW	475
EAT	MOC	756
CAM	RCB	523
CAM	WAN	1690
CAM	RCA	797
CAM	TCH	1094
CAM	GQ	189
CAM	G	298
RCA	RCB	467
RCA	ZRE	1577
RCA	TCH	1197
RCA	SUD	175
RCA	SSD	989
TCH	WAN	87
G	RCB	1903
G	GQ	350
SUD	TCH	1360
SSD	ZRE	639
SSD	SUD	2184
RG	RMM	858
RG	SN	330
RG	WAL	652
LB	RG	563
LB	WAL	306
DJI	ER	113
DJI	ETH	337
DJI	SP	58
ER	SUD	605
ER	ETH	912
ETH	SUD	769
ETH	SSD	934
ETH	SP	1626
EAK	EAT	769
EAK	SSD	232
EAK	ETH	830
EAK	SP	682
EAK	EAU	933
SN	WAG	740
GNB	RG	386
GNB	SN	338
EAU	ZRE	765
EAU	RWA	169
EAU	SSD	435
LS	RSA	909
MW	Z	837
MOC	Z	419
MOC	RSA	491
MOC	ZW	1231
MOC	MW	1569
MOC	SD	105
\.


--
-- TOC entry 5264 (class 0 OID 89459)
-- Dependencies: 683
-- Data for Name: city; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY city (name, country, province, population, latitude, longitude, elevation) FROM stdin;
Tirana	AL	Albania	418495	41.33	19.82	110
Shkodër	AL	Albania	77075	42.07	19.5	13
Durrës	AL	Albania	113249	41.32	19.45	0
Vlorë	AL	Albania	79513	40.47	19.49	25
Elbasan	AL	Albania	78703	41.1	20.07	150
Korçë	AL	Albania	51152	40.62	20.77	850
Komotini	GR	Anatolikis Makedonias kai Thrakis	\N	41.1	25.42	45
Kavala	GR	Anatolikis Makedonias kai Thrakis	58790	40.93	24.4	0
Athina	GR	Attikis	664046	37.97	23.72	70
Peiraias	GR	Attikis	163688	37.95	23.63	0
Peristeri	GR	Attikis	139981	38.02	23.68	50
Acharnes	GR	Attikis	106943	38.08	23.73	186
Patra	GR	Dytikis Elladas	213984	38.25	21.73	0
Kozani	GR	Dytikis Makedonias	\N	40.3	21.78	710
Kerkyra	GR	Ionion Nison	\N	39.58	19.87	0
Ioannina	GR	Ipeiroy	112486	39.67	20.85	480
Thessaloniki	GR	Kentrikis Makedonias	325182	40.65	22.9	0
Iraklio	GR	Kritis	173993	38.05	23.77	150
Chania	GR	Kritis	108642	35.52	24.02	0
Ermoupoli	GR	Notioy Aigaioy	\N	37.43	24.92	0
Rhodes	GR	Notioy Aigaioy	115490	36.43	28.22	26
Tripoli	GR	Peloponnisos	\N	37.52	22.38	655
Lamia	GR	Stereas Elladas	75315	38.9	22.43	50
Chalkida	GR	Stereas Elladas	102223	38.47	23.6	0
Larissa	GR	Thessalias	162591	39.64	22.42	67
Volos	GR	Thessalias	144449	39.37	22.93	0
Mytilini	GR	Boreioy Aigaioy	\N	39.1	26.55	8
Karyes	GR	Aghion Oros	233	40.26	24.24	\N
Skopje	MK	Macedonia	514967	42	21.43	240
Kumanovo	MK	Macedonia	107745	42.14	21.72	340
Beograd	SRB	Serbia	1639121	44.82	20.47	117
Novi Sad	SRB	Serbia	335701	45.25	19.85	80
Niš	SRB	Serbia	257867	43.32	21.9	195
Podgorica	MNE	Montenegro	150977	42.44	19.26	48
Prishtine	KOS	Kosovo	198214	42.67	21.17	652
Andorra la Vella	AND	Andorra	22256	42.5	1.5	1023
Strasbourg	F	Alsace	272222	48.58	7.75	132
Mulhouse	F	Alsace	110351	47.75	7.34	232
Bordeaux	F	Aquitaine	239399	44.84	-0.58	1
Clermont-Ferrand	F	Auvergne	140957	45.78	3.08	321
Caen	F	Basse Normandie	108793	49.18	-0.37	2
Rennes	F	Bretagne	208033	48.11	-1.68	20
Brest	F	Bretagne	140547	48.39	-4.49	0
Dijon	F	Bourgogne	151672	47.29	5.04	220
Orléans	F	Centre	114185	47.9	1.91	90
Tours	F	Centre	134633	47.39	0.69	44
Reims	F	Champagne-Ardenne	180752	49.26	4.03	80
Châlons-en-Champagne	F	Champagne-Ardenne	\N	48.96	4.37	82
Ajaccio	F	Corse	66245	41.93	8.74	0
Besançon	F	Franche-Comté	115879	47.24	6.02	235
Rouen	F	Haute-Normandie	111553	49.44	1.1	2
Le Havre	F	Haute-Normandie	174156	49.49	0.1	0
Paris	F	Île-de-France	2249975	48.86	2.35	28
Boulogne-Billancourt	F	Île-de-France	116220	48.84	2.24	28
Argenteuil	F	Île-de-France	104282	48.95	2.25	21
Montreuil	F	Île-de-France	103068	48.86	2.44	52
Saint-Paul	F	Île-de-France	103916	-21.01	55.27	0
Montpellier	F	Languedoc-Roussillon	264538	43.61	3.88	7
Nîmes	F	Languedoc-Roussillon	144940	43.84	4.36	21
Perpignan	F	Languedoc-Roussillon	118238	42.7	2.9	8
Limoges	F	Limousin	137758	45.84	1.26	209
Metz	F	Lorraine	119962	49.12	6.18	162
Nancy	F	Lorraine	105382	48.69	6.18	188
Toulouse	F	Midi-Pyrénées	447340	43.6	1.44	115
Lille	F	Nord-Pas-de-Calais	227533	50.63	3.06	17
Nantes	F	Pays de la Loire	287845	47.22	-1.55	2
Angers	F	Pays de la Loire	148803	47.47	-0.55	12
Le Mans	F	Pays de la Loire	143240	48.01	0.2	38
Amiens	F	Picardie	133327	49.89	2.3	14
Poitiers	F	Poitou Charentes	87646	46.58	0.34	65
Marseille	F	Provence-Alpes-Côte d'Azur	850636	43.3	5.37	0
Nice	F	Provence-Alpes-Côte d'Azur	344064	43.7	7.27	0
Toulon	F	Provence-Alpes-Côte d'Azur	163974	43.13	5.92	0
Aix-en-Provence	F	Provence-Alpes-Côte d'Azur	140684	43.53	5.45	73
Lyon	F	Rhône-Alpes	491268	45.76	4.84	162
Grenoble	F	Rhône-Alpes	157424	45.2	5.72	212
Saint-Étienne	F	Rhône-Alpes	170049	45.43	4.39	422
Villeurbanne	F	Rhône-Alpes	145034	45.77	4.88	165
Sevilla	E	Andalucía	698042	37.38	-5.99	7
Almería	E	Andalucía	189680	36.84	-2.47	27
Cádiz	E	Andalucía	124014	36.53	-6.28	11
Córdoba	E	Andalucía	328326	37.88	-4.77	120
Granada	E	Andalucía	241003	37.18	-3.6	738
Huelva	E	Andalucía	147808	37.25	-6.95	54
Málaga	E	Andalucía	561435	36.72	-4.42	11
Jerez de la Frontera	E	Andalucía	211784	36.7	-6.12	56
Jaén	E	Andalucía	116469	37.77	-3.77	573
Algeciras	E	Andalucía	117695	36.13	-5.45	20
Marbella	E	Andalucía	135124	36.52	-4.88	27
Dos Hermanas	E	Andalucía	128433	37.28	-5.92	42
Zaragoza	E	Aragón	678115	41.65	-0.88	243
Oviedo	E	Asturias	225005	43.36	-5.84	232
Gijón	E	Asturias	276969	43.53	-5.7	3
Palma de Mallorca	E	Illes Balears	402044	39.57	2.65	13
Vitoria-Gasteiz	E	País Vasco	240753	42.85	-2.68	525
Bilbao	E	País Vasco	351356	43.26	-2.92	19
Barakaldo	E	País Vasco	100064	43.3	-2.99	39
Donostia	E	País Vasco	185512	43.32	-1.99	6
Santa Cruz de Tenerife	E	Canarias	204476	28.47	-16.25	4
San Cristóbal de La Laguna	E	Canarias	152025	28.48	-16.3	543
Duzce	TR	Düzce	135557	40.84	31.16	\N
Las Palmas de Gran Canaria	E	Canarias	381271	28.15	-15.42	8
Telde	E	Canarias	101080	27.98	-15.42	130
Santander	E	Cantabria	178095	43.46	-3.8	15
Valladolid	E	Castilla y León	311682	41.63	-4.72	698
Burgos	E	Castilla y León	178864	42.35	-3.71	859
León	E	Castilla y León	131411	42.61	-5.57	837
Salamanca	E	Castilla y León	151658	40.97	-5.67	802
Toledo	E	Castilla-La Mancha	\N	39.86	-4.02	529
Albacete	E	Castilla-La Mancha	171999	39	-1.86	686
Barcelona	E	Cataluña	1611013	41.38	2.18	12
Lleida	E	Cataluña	137283	41.62	0.63	155
Tarragona	E	Cataluña	133223	41.12	1.25	68
Reus	E	Cataluña	106849	41.15	1.12	134
Hospitalet de Llobregat	E	Cataluña	256509	41.36	2.1	8
Badalona	E	Cataluña	219241	41.45	2.25	12
Sabadell	E	Cataluña	206949	41.55	2.11	190
Terrassa	E	Cataluña	214406	41.56	2.01	286
Santa Coloma de Gramenet	E	Cataluña	119391	41.47	2.22	56
Mataró	E	Cataluña	123367	41.53	2.45	28
Badajoz	E	Extremadura	151214	38.88	-6.97	185
Merida	E	Extremadura	\N	38.9	-6.33	217
A Coruña	E	Galicia	245053	43.37	-8.41	0
Vigo	E	Galicia	295623	42.23	-8.71	0
Ourense	E	Galicia	107314	42.34	-7.86	132
Santiago de Compostela	E	Galicia	\N	42.88	-8.54	260
Madrid	E	Madrid	3198645	40.38	-3.72	667
Móstoles	E	Madrid	203493	40.33	-3.87	620
Leganés	E	Madrid	185758	40.33	-3.76	666.22
Alcalá de Henares	E	Madrid	200505	40.47	-3.37	588
Fuenlabrada	E	Madrid	196986	40.28	-3.8	664
Getafe	E	Madrid	168642	40.3	-3.73	622
Alcorcón	E	Madrid	167217	40.35	-3.83	695
Torrejón de Ardoz	E	Madrid	123213	40.46	-3.5	568
Parla	E	Madrid	122045	40.24	-3.77	648.5
Alcobendas	E	Madrid	110351	40.53	-3.63	700
Murcia	E	Murcia	437667	37.99	-1.13	43
Cartagena	E	Murcia	215757	37.6	-0.98	10
Pamplona	E	Navarra	195943	42.82	-1.65	446
Logroño	E	La Rioja	152698	42.47	-2.45	384
Valencia	E	Valenciana	792054	39.47	-0.38	15
Alicante	E	Valenciana	329325	38.35	-0.48	3
Elche	E	Valenciana	227417	38.27	-0.7	86
Castellón de la Plana	E	Valenciana	176298	39.98	-0.03	30
Eisenstadt	A	Burgenland	13485	47.85	16.52	182
Klagenfurt	A	Kärnten	96531	46.62	14.3	446
Villach	A	Kärnten	59942	46.62	13.85	501
Bregenz	A	Vorarlberg	\N	47.51	9.75	427
Wien	A	Wien	1761738	48.2	16.37	151
Linz	A	Oberösterreich	193511	48.3	14.28	266
Wels	A	Oberösterreich	59239	48.15	14.02	317
Innsbruck	A	Tirol	124386	47.27	11.38	574
Graz	A	Steiermark	269211	47.07	15.43	353
Salzburg	A	Salzburg	146676	47.8	13.03	424
St. Pölten	A	Niederösterreich	52100	48.2	15.62	267
Praha	CZ	Praha	1289556	50.08	14.42	399
České Budějovice	CZ	Jihočeský	95589	48.97	14.47	381
Brno	CZ	Jihomoravský	404820	49.2	16.62	237
Karlovy Vary	CZ	Karlovarský	53310	50.23	12.87	447
Jihlava	CZ	Vysočina	51162	49.4	15.59	525
Hradec Králové	CZ	Královéhradecký	95594	50.21	15.83	235
Liberec	CZ	Liberecký	104973	50.72	15.07	374
Ostrava	CZ	Moravskoslezský	311508	49.84	18.29	335
Olomouc	CZ	Olomoucký	101954	49.6	17.25	219
Pardubice	CZ	Pardubický	90844	50.04	15.78	237
Plzeň	CZ	Plzeňský	171346	49.75	13.38	308
Ústí nad Labem	CZ	Ústecký	98596	50.66	14.04	218
Zlín	CZ	Zlínský	77137	49.23	17.67	230
Stuttgart	D	Baden-Württemberg	585890	48.78	9.18	247
Mannheim	D	Baden-Württemberg	290117	49.49	8.47	97
Karlsruhe	D	Baden-Württemberg	289173	49.01	8.4	115
Freiburg	D	Baden-Württemberg	209628	47.98	7.85	278
Heidelberg	D	Baden-Württemberg	146751	49.42	8.72	114
Heilbronn	D	Baden-Württemberg	116059	49.15	9.22	157
Pforzheim	D	Baden-Württemberg	114411	48.9	8.72	261
Ulm	D	Baden-Württemberg	116761	48.4	9.98	478
Reutlingen	D	Baden-Württemberg	109799	48.48	9.22	382
München	D	Bayern	1348335	48.13	11.57	519
Nürnberg	D	Bayern	486314	49.45	11.08	309
Augsburg	D	Bayern	267767	48.37	10.9	494
Würzburg	D	Bayern	124297	49.78	9.93	177
Regensburg	D	Bayern	135403	49.02	12.08	337
Ingolstadt	D	Bayern	124927	48.77	11.43	374
Fürth	D	Bayern	115613	49.47	11	294
Erlangen	D	Bayern	103719	49.58	11.02	279
Berlin	D	Berlin	3292365	52.52	13.38	34
Potsdam	D	Brandenburg	156021	52.4	13.07	32
Cottbus	D	Brandenburg	99984	51.76	14.33	75
Bremen	D	Bremen	542707	53.08	8.8	11
Bremerhaven	D	Bremen	108156	53.55	8.58	2
Hamburg	D	Hamburg	1706696	53.57	10	6
Wiesbaden	D	Hessen	269121	50.08	8.24	117
Frankfurt am Main	D	Hessen	667925	50.12	8.68	112
Kassel	D	Hessen	190765	51.32	9.5	167
Darmstadt	D	Hessen	143499	49.87	8.65	144
Offenbach am Main	D	Hessen	113443	50.1	8.8	98
Schwerin	D	Mecklenburg-Vorpommern	91293	53.63	11.42	44
Rostock	D	Mecklenburg-Vorpommern	200265	54.08	12.13	14
Hannover	D	Niedersachsen	506416	52.37	9.72	55
Braunschweig	D	Niedersachsen	242537	52.27	10.52	75
Osnabrück	D	Niedersachsen	153699	52.28	8.05	63
Oldenburg	D	Niedersachsen	157267	53.14	8.21	5
Göttingen	D	Niedersachsen	115843	51.53	9.94	150
Wolfsburg	D	Niedersachsen	119984	52.42	10.79	63
Salzgitter	D	Niedersachsen	98895	52.15	10.33	90
Hildesheim	D	Niedersachsen	99554	52.15	9.95	81
Düsseldorf	D	Nordrhein-Westfalen	586291	51.23	6.78	38
Köln	D	Nordrhein-Westfalen	1005775	50.94	6.95	53
Essen	D	Nordrhein-Westfalen	566201	51.45	7.01	116
Dortmund	D	Nordrhein-Westfalen	571143	51.52	7.47	86
Duisburg	D	Nordrhein-Westfalen	488468	51.44	6.76	33
Bochum	D	Nordrhein-Westfalen	362286	51.48	7.22	100
Wuppertal	D	Nordrhein-Westfalen	342661	51.27	7.18	160
Bielefeld	D	Nordrhein-Westfalen	326870	52.02	8.52	118
Gelsenkirchen	D	Nordrhein-Westfalen	258766	51.52	7.1	48
Bonn	D	Nordrhein-Westfalen	305765	50.73	7.1	60
Mönchengladbach	D	Nordrhein-Westfalen	255188	51.2	6.43	70
Münster	D	Nordrhein-Westfalen	289576	51.97	7.63	60
Krefeld	D	Nordrhein-Westfalen	222247	51.33	6.57	38
Aachen	D	Nordrhein-Westfalen	236420	50.78	6.08	173
Oberhausen	D	Nordrhein-Westfalen	210216	51.55	6.85	35
Hagen	D	Nordrhein-Westfalen	187944	51.37	7.48	106
Hamm	D	Nordrhein-Westfalen	176037	51.68	7.82	63
Herne	D	Nordrhein-Westfalen	155160	51.55	7.22	65
Mülheim an der Ruhr	D	Nordrhein-Westfalen	166865	51.43	6.88	40
Solingen	D	Nordrhein-Westfalen	155265	51.17	7.08	221
Leverkusen	D	Nordrhein-Westfalen	158984	51.03	6.98	60
Neuss	D	Nordrhein-Westfalen	150568	51.2	6.7	40
Paderborn	D	Nordrhein-Westfalen	142365	51.72	8.77	110
Recklinghausen	D	Nordrhein-Westfalen	115958	51.59	7.16	85
Remscheid	D	Nordrhein-Westfalen	110708	51.18	7.2	365
Bottrop	D	Nordrhein-Westfalen	117311	51.52	6.92	55
Siegen	D	Nordrhein-Westfalen	99187	50.88	8.02	267
Moers	D	Nordrhein-Westfalen	104009	51.46	6.62	30
Witten	D	Nordrhein-Westfalen	96382	51.43	7.33	104
Bergisch Gladbach	D	Nordrhein-Westfalen	108878	51.1	7.12	100
Mainz	D	Rheinland-Pfalz	200344	50	8.27	89
Ludwigshafen	D	Rheinland-Pfalz	157584	49.48	8.44	95
Koblenz	D	Rheinland-Pfalz	107825	50.36	7.6	73
Kaiserslautern	D	Rheinland-Pfalz	96340	49.44	7.77	251
Trier	D	Rheinland-Pfalz	105671	49.75	6.63	137
Saarbrücken	D	Saarland	175853	49.23	7	230
Dresden	D	Sachsen	512354	51.03	13.73	112
Leipzig	D	Sachsen	502979	51.33	12.38	113
Chemnitz	D	Sachsen	240253	50.83	12.92	298
Zwickau	D	Sachsen	93081	50.72	12.5	267
Magdeburg	D	Sachsen-Anhalt	228144	52.13	11.62	55
Halle	D	Sachsen-Anhalt	229153	51.48	11.97	88
Kiel	D	Schleswig-Holstein	235782	54.33	10.13	5
Lübeck	D	Schleswig-Holstein	210305	53.87	10.69	13
Erfurt	D	Thüringen	200868	50.98	11.03	194
Gera	D	Thüringen	96067	50.88	12.08	194
Jena	D	Thüringen	105739	50.93	11.59	143
Pécs	H	Baranya	156049	46.07	18.23	153
Kecskemét	H	Bács-Kiskun	111411	46.91	19.69	105
Békéscsaba	H	Békés	62050	46.68	21.09	89
Miskolc	H	Borsod-Abaúj-Zemplén	167754	48.1	20.79	131
Szeged	H	Csongrád	168048	46.26	20.15	75
Hódmezővásárhely	H	Csongrád	\N	46.43	20.32	\N
Székesfehérvár	H	Fejér	100570	47.19	18.41	118
Győr	H	Győr-Moson-Sopron	129527	47.68	17.63	108
Debrecen	H	Hajdú-Bihar	211320	47.53	21.64	121
Eger	H	Heves	56569	47.9	20.37	165
Tatabánya	H	Komárom-Esztergom	67753	47.59	18.39	167
Salgótarján	H	Nógrád	\N	48.09	19.79	299
Kaposvár	H	Somogy	66245	46.36	17.78	153
Nyíregyháza	H	Szabolcs-Szatmár-Bereg	119746	47.95	21.73	116
Szolnok	H	Jász-Nagykun-Szolnok	72953	47.17	20.18	68
Szekszárd	H	Tolna	\N	46.36	18.7	83
Szombathely	H	Vas	78884	47.24	16.62	209
Veszprém	H	Veszprém	61721	47.09	17.91	266
Zalaegerszeg	H	Zala	59499	46.85	16.85	166
Budapest	H	Budapest	1729040	47.49	19.05	102
Novara	I	Piemonte	101952	45.45	8.62	162
Torino	I	Piemonte	872367	45.07	7.7	239
Aosta	I	Valle d'Aosta	\N	45.73	7.32	583
Bérgamo	I	Lombardia	115349	45.7	9.67	249
Bréscia	I	Lombardia	189902	45.54	10.22	149
Milano	I	Lombardia	1242123	45.47	9.18	120
Monza	I	Lombardia	119856	45.58	9.27	162
Bolzano	I	Trentino-Alto Adige	102575	46.5	11.35	262
Trento	I	Trentino-Alto Adige	114198	46.07	11.12	190
Pádova	I	Veneto	206192	45.42	11.87	12
Verona	I	Veneto	252520	45.43	10.98	59
Vicenza	I	Veneto	111500	45.55	11.55	39
Venézia	I	Veneto	261362	45.44	12.34	1
Trieste	I	Friuli-Venezia Giulia	202123	45.63	13.8	2
La Spezia	I	Liguria	92659	44.1	9.82	10
Génova	I	Liguria	586180	44.41	8.93	20
Bologna	I	Emilia-Romagna	371337	44.51	11.35	54
Ferrara	I	Emilia-Romagna	132545	44.83	11.62	9
Forlí	I	Emilia-Romagna	116434	44.23	12.05	34
Módena	I	Emilia-Romagna	179149	44.65	10.93	34
Parma	I	Emilia-Romagna	175895	44.8	10.33	55
Piacenza	I	Emilia-Romagna	100311	45.05	9.7	61
Ravenna	I	Emilia-Romagna	153740	44.42	12.2	4
Reggio nell'Emilia	I	Emilia-Romagna	\N	44.7	10.63	58
Rímini	I	Emilia-Romagna	139601	44.05	12.57	6
Livorno	I	Toscana	157052	43.55	10.32	3
Pisa	I	Toscana	85858	43.72	10.4	4
Firenze	I	Toscana	358079	43.78	11.25	50
Prato	I	Toscana	185456	43.88	11.1	65
Perúgia	I	Umbria	162449	43.11	12.39	493
Terni	I	Umbria	109193	42.57	12.65	130
Ancona	I	Marche	100497	43.62	13.52	16
Roma	I	Lazio	2617175	41.9	12.5	21
Latina	I	Lazio	117892	41.47	12.9	21
Pescara	I	Abruzzo	117166	42.46	14.21	0
L'Aquila	I	Abruzzo	\N	42.35	13.4	714
Campobasso	I	Molise	\N	41.57	14.67	701
Salerno	I	Campania	132608	40.68	14.77	4
Nápoli	I	Campania	962003	40.83	14.25	17
Torre del Greco	I	Campania	85922	40.78	14.37	\N
Giugliano in Campania	I	Campania	108793	40.93	14.2	\N
Bari	I	Puglia	315933	41.13	16.87	5
Fóggia	I	Puglia	147036	41.46	15.55	76
Lecce	I	Puglia	89916	40.35	18.17	49
Andria	I	Puglia	100052	41.22	16.3	151
Táranto	I	Puglia	200154	40.47	17.23	15
Potenza	I	Basilicata	\N	40.63	15.8	819
Catanzaro	I	Calabria	89364	38.9	16.6	342
Cosenza	I	Calabria	69484	39.3	16.25	238
Réggio di Calabria	I	Calabria	180817	38.11	15.66	31
Palermo	I	Sicilia	657561	38.12	13.37	14
Messina	I	Sicilia	243262	38.18	15.55	3
Catánia	I	Sicilia	293902	37.5	15.09	7
Siracusa	I	Sicilia	118385	37.08	15.28	17
Cágliari	I	Sardegna	149883	39.25	9.05	4
Sássari	I	Sardegna	123782	40.73	8.57	225
Vaduz	FL	Liechtenstein	5241	47.14	9.52	455
Bratislava	SK	Bratislavský	411228	48.14	17.11	134
Banská Bystrica	SK	Banskobystrický	80003	48.73	19.15	362
Žilina	SK	Žilinský	81494	49.22	18.74	342
Košice	SK	Košický	240433	48.72	21.25	206
Prešov	SK	Prešovský	91782	49	21.24	250
Nitra	SK	Nitriansky	78916	48.31	18.09	190
Trenčín	SK	Trenčiansky	55877	48.89	18.04	211
Trnava	SK	Trnavský	66358	48.38	17.59	146
Ljubljana	SLO	Slovenia	282994	46.06	14.51	295
Maribor	SLO	Slovenia	111374	46.55	15.65	275
Aarau	CH	Aargau	\N	47.4	8.05	381
Herisau	CH	Appenzell Ausserrhoden	\N	47.38	9.27	771
Appenzell	CH	Appenzell Innerrhoden	\N	47.33	9.42	780
Liestal	CH	Basel-Landschaft	\N	47.47	7.73	327
Basel	CH	Basel-Stadt	167386	47.57	7.6	260
Bern	CH	Bern	128848	46.95	7.45	542
Biel	CH	Bern	53031	47.13	7.25	434
Fribourg	CH	Fribourg	\N	46.8	7.15	610
Genève	CH	Genève	191557	46.2	6.15	375
Glarus	CH	Glarus	\N	47.03	9.07	472
Chur	CH	Graubünden	\N	46.85	9.53	593
Delemont	CH	Jura	\N	47.37	7.35	435
Luzern	CH	Luzern	80501	47.05	8.3	436
Neuchatel	CH	Neuchâtel	\N	47	6.93	430
Stans	CH	Nidwalden	7961	46.95	8.35	452
Sarnen	CH	Obwalden	\N	46.88	8.23	473
Sankt Gallen	CH	Sankt Gallen	74581	47.42	9.37	675
Schaffhausen	CH	Schaffhausen	\N	47.7	8.63	403
Schwyz	CH	Schwyz	\N	47.02	8.65	516
Solothurn	CH	Solothurn	\N	47.22	7.53	430
Frauenfeld	CH	Thurgau	\N	47.55	8.9	417
Bellinzona	CH	Ticino	\N	46.2	9.02	238
Lugano	CH	Ticino	62792	46	8.95	273
Altdorf	CH	Uri	\N	46.87	8.63	458
Sion	CH	Valais	\N	46.23	7.37	500
Lausanne	CH	Vaud	132788	46.52	6.63	495
Zug	CH	Zug	\N	47.17	8.52	425
Zürich	CH	Zürich	384786	47.37	8.55	408
Winterthur	CH	Zürich	105676	47.5	8.75	439
Brest	BY	Brest	309764	52.13	23.67	280.4
Vitebsk	BY	Vitebsk	347928	55.18	30.17	172
Gomel	BY	Gomel	482652	52.45	30.98	138
Grodno	BY	Grodno	327540	53.67	23.83	137
Mogilev	BY	Mogilev	358279	50.9	30.33	192
Bobruysk	BY	Mogilev	215092	53.15	29.23	157
Minsk	BY	Minsk City	1836808	53.9	27.57	280.6
Rīga	LV	Latvia	696618	56.95	24.11	7
Vilnius	LT	Lithuania	538747	54.68	25.28	112
Kaunas	LT	Lithuania	307498	54.9	23.89	48
Klaipeda	LT	Lithuania	158891	55.71	21.13	21
Wrocław	PL	Dolnośląskie	631377	51.1	17.03	105
Legnica	PL	Dolnośląskie	102708	51.21	16.16	113
Wałbrzych	PL	Dolnośląskie	119216	50.77	16.28	350
Bydgoszcz	PL	Kujawsko-Pomorskie	362286	53.12	18	60
Toruń	PL	Kujawsko-Pomorskie	204847	53.03	18.62	65
Grudziadz	PL	Kujawsko-Pomorskie	98726	53.49	18.78	50
Włocławek	PL	Kujawsko-Pomorskie	115982	52.66	19.07	\N
Lublin	PL	Lubelskie	348120	51.25	22.57	168
Zielona Góra	PL	Lubuskie	119182	51.93	15.5	71
Gorzów Wielkopolski	PL	Lubuskie	124470	52.73	15.25	19
Łódź	PL	Łódzkie	722022	51.78	19.47	162
Kraków	PL	Małopolskie	760700	50.06	19.94	219
Tarnów	PL	Małopolskie	113188	50.01	20.99	190
Warszawa	PL	Mazowieckie	1711324	52.23	21.02	78
Płock	PL	Mazowieckie	124048	52.55	19.7	60
Radom	PL	Mazowieckie	220062	51.4	21.17	130
Opole	PL	Opolskie	122120	50.67	17.93	176
Rzeszów	PL	Podkarpackie	180776	50.03	22	221
Białystok	PL	Podlaskie	294675	53.12	23.15	120
Gdańsk	PL	Pomorskie	460354	54.37	18.63	0
Gdynia	PL	Pomorskie	248574	54.5	18.53	0
Katowice	PL	Śląskie	308269	50.25	19	266
Jastrzebie Zdroj	PL	Śląskie	92465	49.95	18.58	259
Sosnowiec	PL	Śląskie	214488	50.3	19.17	250
Dąbrowa Górnicza	PL	Śląskie	125063	50.32	19.27	\N
Bytom	PL	Śląskie	175377	50.38	18.9	249
Gliwice	PL	Śląskie	186347	50.28	18.67	200
Zabrze	PL	Śląskie	179861	50.3	18.78	\N
Tychy	PL	Śląskie	129087	50.13	18.98	\N
Ruda Śląska	PL	Śląskie	142672	50.27	18.7	272
Rybnik	PL	Śląskie	140863	50.08	18.55	210
Chorzów	PL	Śląskie	111314	50.3	18.95	\N
Częstochowa	PL	Śląskie	235156	50.8	19.12	\N
Bielsko-Biała	PL	Śląskie	174291	49.82	19.04	300
Kielce	PL	Świętokrzyskie	201363	50.88	20.62	260
Olsztyn	PL	Warmińsko-Mazurskie	175482	53.78	20.5	90
Elbląg	PL	Warmińsko-Mazurskie	123977	54.17	19.4	\N
Poznań	PL	Wielkopolskie	552393	52.4	16.92	60
Kalisz	PL	Wielkopolskie	104867	51.76	18.08	144
Szczecin	PL	Zachodniopomorskie	409211	53.43	14.55	1
Koszalin	PL	Zachodniopomorskie	109183	54.18	16.18	32
Cherkasy	UA	Cherkas´ka	286163	49.44	32.06	110
Chernihiv	UA	Chernihivs´ka	296723	51.5	31.3	136
Chernivtsi	UA	Chernivets´ka	255929	48.3	25.93	248
Dnipropetrovs´k	UA	Dnipropetrovs´ka	999577	48.45	34.98	155
Kryvyi Rih	UA	Dnipropetrovs´ka	660203	47.92	33.25	84
Dniprodzerzhyns´k	UA	Dnipropetrovs´ka	242646	48.52	34.62	120
Nikopol´	UA	Dnipropetrovs´ka	120000	47.57	34.4	51
Donets´k	UA	Donets´ka	955041	48	37.81	169
Mariupol´	UA	Donets´ka	464457	47.1	37.55	22
Makiïvka	UA	Donets´ka	356118	48.08	38.07	169
Horlivka	UA	Donets´ka	258879	48.3	38.05	215
Kramators´k	UA	Donets´ka	165469	48.72	37.53	\N
Ivano-Frankivs´k	UA	Ivano-Frankivs´ka	224660	48.92	24.71	244
Kharkiv	UA	Kharkivs´ka	1441362	50	36.23	152
Kherson	UA	Khersons´ka	300666	46.63	32.58	43
Khmel´nyts´kyi	UA	Khmel´nyts´ka	263703	49.42	27	275
Prypjat	UA	Kyïvs´ka	0	51.4	30.06	120
Kirovohrad	UA	Kirovohrads´ka	234919	48.5	32.27	124
Luhans´k	UA	Luhans´ka	427187	48.57	39.3	105
L´viv	UA	L´vivs´ka	729842	49.85	24.02	296
Mykolaïv	UA	Mykolaïvs´ka	497032	46.97	32	42
Odesa	UA	Odes´ka	1008162	46.47	30.73	40
Poltava	UA	Poltavs´ka	297589	49.59	34.55	132
Kremenchuk	UA	Poltavs´ka	226434	49.07	33.42	80
Rivne	UA	Rivnens´ka	250174	50.62	26.25	136
Sumy	UA	Sums´ka	269663	50.92	34.75	166
Ternopil´	UA	Ternopil´s´ka	217300	49.57	25.6	320
Vinnytsia	UA	Vinnyts´ka	370814	49.23	28.48	\N
Luts´k	UA	Volyns´ka	213063	50.75	25.34	174
Uzhhorod	UA	Zakarpats´ka	116556	48.62	22.3	169
Zaporizhzhia	UA	Zaporiz´ka	772627	47.83	35.17	86
Melitopol´	UA	Zaporiz´ka	156885	46.83	35.37	\N
Zhytomyr	UA	Zhytomyrs´ka	271895	50.25	28.67	221
Simferopol´	UA	Krym	335582	44.95	34.1	350
Kerch	UA	Krym	145845	45.36	36.47	10
Kyïv	UA	Kyïv	2814258	50.45	30.52	179
Bila Tserkva	UA	Kyïv	210551	49.8	30.12	148
Sevastopol´	UA	Sevastopol´	340559	44.6	33.53	100
Petrozavodsk	R	Karelia	268946	61.78	34.33	60
Syktyvkar	R	Komi	235006	61.67	50.82	130
Ukhta	R	Komi	99591	63.57	53.7	100
Vorkuta	R	Komi	70548	67.5	64.03	180
Arkhangelsk	R	Arkhangel´skaya	350985	64.53	40.53	5
Severodvinsk	R	Arkhangel´skaya	192353	64.57	39.87	7
Vologda	R	Vologodskaya	306487	59.22	39.9	120
Cherepovets	R	Vologodskaya	315738	59.2	37.9	130
Murmansk	R	Murmanskaya	302468	68.97	33.08	50
Kaliningrad	R	Kaliningradskaya	441376	54.7	20.45	\N
Sankt Peterburg	R	Sankt-Peterburg	5028000	59.95	30.3	3
Velikij Novgorod	R	Novgorodskaya	218717	58.55	31.27	25
Pskov	R	Pskovskaya	203279	57.82	28.33	45
Bryansk	R	Bryanskaya	410837	53.23	34.37	190
Vladimir	R	Vladimirskaya	347930	56.13	40.42	150
Kovrov	R	Vladimirskaya	145214	56.37	41.33	125
Murom	R	Vladimirskaya	116075	55.57	42.03	115
Ivanovo	R	Ivanovskaya	409075	57	40.98	120
Kaluga	R	Kaluzhskaya	331351	54.55	36.28	190
Obninsk	R	Kaluzhskaya	104739	55.09	36.61	175
Kostroma	R	Kostromskaya	271445	57.77	40.93	110
Moskva	R	Moscow	11979529	55.75	37.62	156
Podol'sk	R	Moskovskaya	187961	55.42	37.53	160
Železnodorožnyj	R	Moskovskaya	131257	55.75	38.02	145
Krasnogorsk	R	Moskovskaya	116896	55.83	37.32	150
L'ubercy	R	Moskovskaya	172525	55.67	37.93	130
Kolomna	R	Moskovskaya	144589	55.08	38.78	125
Mytišči	R	Moskovskaya	173160	55.92	37.77	150
Elektrostal'	R	Moskovskaya	155196	55.78	38.47	150
Serpuchov	R	Moskovskaya	127041	54.92	37.4	140
Balašicha	R	Moskovskaya	215494	55.82	37.97	150
Chimki	R	Moskovskaya	207425	55.9	37.45	180
Odincovo	R	Moskovskaya	138930	55.67	37.27	190
Orechovo-Zujevo	R	Moskovskaya	120670	55.8	38.97	120
Noginsk	R	Moskovskaya	100072	55.85	38.43	150
Ščëlkovo	R	Moskovskaya	110411	55.92	38	150
Sergijev Posad	R	Moskovskaya	111179	56.3	38.13	210
Korolëv	R	Moskovskaya	183402	55.92	37.82	160
Žukovskij	R	Moskovskaya	104736	55.6	38.12	130
Puškino	R	Moskovskaya	102874	56.02	37.83	160
Orel	R	Orlovskaya	318136	52.97	36.07	170
Ryazan	R	Ryazanskaya	527905	54.6	39.7	130
Smolensk	R	Smolenskaya	330970	54.78	32.05	242
Tver	R	Tverskaya	408877	56.86	35.92	135
Tula	R	Tul´skaya	493813	54.2	37.62	170
Novomoskovsk	R	Tul´skaya	131386	54.08	38.22	220
Yaroslavl	R	Yaroslavskaya	599169	57.62	39.85	100
Rybinsk	R	Yaroslavskaya	200771	58.05	38.83	100
Yoshkar-Ola	R	Mariy-El	257015	56.65	47.88	100
Saransk	R	Mordoviya	298287	54.18	45.18	160
Cheboksary	R	Chuvash	464940	56.15	47.23	150
Novočeboksarsk	R	Chuvash	124097	56.13	47.5	90
Kirov	R	Kirov	483176	58.6	49.65	150
Nizhnii Novgorod	R	Nizhnii Novgorod	1259921	56.33	44.01	78
Dzeržinsk	R	Nizhnii Novgorod	240742	56.23	43.45	90
Arzamas	R	Nizhnii Novgorod	106362	55.4	43.82	150
Belgorod	R	Belgorodskaya	373528	50.6	36.6	130
Staryj Oskol	R	Belgorodskaya	221085	51.3	37.83	150
Voronezh	R	Voronezhskaya	1003638	51.67	39.21	154
Kursk	R	Kurskaya	428741	51.72	36.18	250
Lipetsk	R	Lipetskaya	509098	52.62	39.6	160
Jelec	R	Lipetskaya	108404	52.62	38.47	140
Tambov	R	Tambovskaya	281834	52.72	41.43	130
Elista	R	Kalmykiya	103749	46.32	44.27	120
Kazan	R	Tatarstan	1176187	55.79	49.13	116
Naberezhnye Tchelny	R	Tatarstan	519025	55.68	52.32	100
Nižnekamsk	R	Tatarstan	234044	55.63	51.82	110
Al'metjevsk	R	Tatarstan	146393	54.9	52.3	110
Astrakhan	R	Astrakhanskaya	527345	46.35	48.05	-28
Volgograd	R	Volgogradskaya	1018790	48.7	44.52	80
Volzhsky	R	Volgogradskaya	327356	48.81	44.74	20
Kamyšin	R	Volgogradskaya	119565	50.08	45.4	50
Penza	R	Penza	519900	53.2	45	150
Samara	R	Samara	1171598	53.2	50.14	100
Tolyatti	R	Samara	719149	53.51	49.42	90
Syzran'	R	Samara	178750	53.17	48.47	50
Novokujbyševsk	R	Samara	108438	53.1	49.93	90
Saratov	R	Saratov	839755	51.53	46.02	50
Balakovo	R	Saratov	199690	52.03	47.78	24
Ėngel's	R	Saratov	202419	51.5	46.12	20
Ulyanovsk	R	Ul´yanovsk	615306	54.32	48.37	140
Dimitrovgrad	R	Ul´yanovsk	122580	54.18	49.58	60
Rostov-na-Donu	R	Rostovskaya	1103733	47.23	39.7	70
Batajsk	R	Rostovskaya	111843	47.17	39.73	5
Taganrog	R	Rostovskaya	254783	47.22	38.92	30
Šachty	R	Rostovskaya	239987	47.7	40.23	100
Novočerkassk	R	Rostovskaya	168746	47.42	40.08	80
Volgodonsk	R	Rostovskaya	170841	47.52	42.15	50
Novošachtinsk	R	Rostovskaya	111075	47.75	39.93	130
Ufa	R	Bashkortostan	1077719	54.75	55.97	150
Sterlitamak	R	Bashkortostan	275798	53.63	55.95	150
Salavat	R	Bashkortostan	156095	53.37	55.93	156
Okt'abr'skij	R	Bashkortostan	109474	54.47	53.47	140
Izhevsk	R	Udmurt	632913	56.83	53.18	140
Sarapul	R	Udmurt	101381	56.47	53.8	80
Orenburg	R	Orenburg	556127	51.78	55.1	150
Orsk	R	Orenburg	239800	51.2	58.57	200
Perm	R	Perm	1013887	58	56.32	171
Berezniki	R	Perm	156466	59.42	56.78	130
Majkop	R	Adygeya	144249	44.6	40.08	220
Makhachkala	R	Dagestan	576194	42.97	47.5	10
Derbent	R	Dagestan	119200	42.05	48.3	0
Kaspijsk	R	Dagestan	100129	42.88	47.64	0
Chasavjurt	R	Dagestan	131187	43.25	46.58	130
Nazran'	R	Ingushskaya	93335	43.22	44.77	520
Nal'čik	R	Kabardino-Balkarskaya	240203	43.48	43.62	480
Čerkessk	R	Karachayevo-Cherkesskaya	129069	44.22	42.05	530
Vladikavkaz	R	North Ossetia-Alania	308285	43.02	44.65	680
Grozny	R	Chechenskaya	277414	43.32	45.72	130
Krasnodar	R	Krasnodarskiy	784048	45.03	38.97	25
Sochi	R	Krasnodarskiy	368011	43.59	39.72	30
Novorossiysk	R	Krasnodarskiy	251013	44.72	37.75	20
Armavir	R	Krasnodarskiy	188832	45	41.12	190
Stavropol	R	Stavropol´skiy	412116	45.05	41.98	550
P'atigorsk	R	Stavropol´skiy	142511	44.05	43.07	600
Nevinnomyssk	R	Stavropol´skiy	118360	44.63	41.93	320
Kislovodsk	R	Stavropol´skiy	128553	43.92	42.72	810
Jessentuki	R	Stavropol´skiy	100996	44.03	42.85	610
Neftekamsk	R	Stavropol´skiy	121733	56.14	54.47	100
Kurgan	R	Kurgan	325565	55.47	65.35	75
Yekaterinburg	R	Sverdlov	1396074	56.83	60.58	237
Nizhny Tagil	R	Sverdlov	358378	57.92	59.97	200
Kamensk-Ural'skij	R	Sverdlov	174689	56.4	61.93	160
Pervoural'sk	R	Sverdlov	124528	56.92	59.93	283
Chelyabinsk	R	Chelyabinsk	1156201	55.15	61.38	220
Magnitogorsk	R	Chelyabinsk	411880	53.38	59.03	310
Zlatoust	R	Chelyabinsk	174962	55.17	59.67	440
Miass	R	Chelyabinsk	151751	55	60.1	340
Kopejsk	R	Chelyabinsk	137601	55.1	61.62	200
Gorno Altaysk	R	Altay	56933	51.95	85.97	300
Barnaul	R	Altayskiy	629681	53.33	83.75	180
Bijsk	R	Altayskiy	210115	52.53	85.22	180
Rubcovsk	R	Altayskiy	147002	51.52	81.2	210
Kemerovo	R	Kemerov	540095	55.37	86.07	140
Novokuznetsk	R	Kemerov	549182	53.75	87.12	200
Prokopjevsk	R	Kemerov	210130	53.88	86.72	280
Novosibirsk	R	Novosibirsk	1523801	55.02	82.93	177
Omsk	R	Omsk	1160670	54.98	73.37	90
Tomsk	R	Tomsk	547989	56.5	84.97	110
Seversk	R	Tomsk	108590	56.6	84.85	90
Tyumen	R	Tyumen	634171	57.15	65.53	70
Ulan-Ude	R	Buryat	416079	51.83	107.6	530
Kyzyl	R	Tyva	109918	51.72	94.45	631
Abakan	R	Khakasiya	165214	53.72	91.47	245
Krasnoyarsk	R	Krasnoyarsk	1016385	56.02	93.07	259
Noril'sk	R	Krasnoyarsk	175365	69.33	88.22	90
Ačinsk	R	Krasnoyarsk	109155	56.25	90.5	220
Irkutsk	R	Irkutsk	606137	52.31	104.3	444
Angarsk	R	Irkutsk	233567	52.55	103.9	430
Bratsk	R	Irkutsk	246319	56.12	101.6	450
Chita	R	Zabaykalskiy	331346	52.05	113.47	650
Yakutsk	R	Sakha	286456	62.03	129.73	120
Birobidzhan	R	Jewish ao.	75413	48.8	132.93	80
Anadyr	R	Chukotka	13045	64.73	177.52	20
Vladivostok	R	Primorskiy	600378	43.13	131.9	40
Nachodka	R	Primorskiy	159719	42.82	132.87	8
Ussurijsk	R	Primorskiy	158004	43.8	131.97	20
Khabarovsk	R	Khabarov	593636	48.48	135.07	72
Komsomolsk-na-Amure	R	Khabarov	257891	50.57	137	30
Blagoveščensk	R	Amur	214390	50.25	127.53	130
Petropavlovsk-Kamčatskij	R	Kamchatka	179780	53.02	158.65	150
Magadan	R	Magadan	95982	59.57	150.8	70
Okhotsk	R	Magadan	4215	59.37	143.26	10
Južno-Sachalinsk	R	Sakhalin	181728	46.97	142.73	40
Khanty Mansijsk	R	Khanty Mansi ao	80151	61	69	50
Surgut	R	Khanty Mansi ao	325511	61.25	73.43	40
Nizhnevartovsk	R	Khanty Mansi ao	263228	60.95	76.55	45
Neftejugansk	R	Khanty Mansi ao	122855	61.08	72.7	40
Salekhard	R	Yamalo Nenets ao	42544	66.53	66.6	15
Nojabr'sk	R	Yamalo Nenets ao	110620	63.2	75.45	115
Novyj Urengoj	R	Yamalo Nenets ao	104107	66.08	76.68	40
Bruxelles	B	Bruxelles	168576	50.85	4.35	13
Schaerbeek	B	Bruxelles	130587	50.87	4.38	\N
Molenbeek-Saint-Jean	B	Bruxelles	94653	50.85	4.33	\N
Anderlecht	B	Bruxelles	113462	50.83	4.33	\N
Antwerpen	B	Antwerpen	507911	51.22	4.4	\N
Gent	B	Oost-Vlaanderen	248813	51.05	3.73	\N
Charleroi	B	Hainaut	203753	50.4	4.43	\N
Mons	B	Hainaut	93941	50.45	3.95	\N
Liège	B	Liège	195931	50.63	5.57	\N
Hasselt	B	Limburg	75579	50.93	5.34	\N
Arlon	B	Luxembourg	28759	49.68	5.82	\N
Namur	B	Namur	110500	50.47	4.87	\N
Brugge	B	West-Vlaanderen	117577	51.22	3.23	2
Wavre	B	Brabant Wallon	\N	50.72	4.6	\N
Leuven	B	Vlaams-Brabant	97692	50.88	4.7	\N
Luxembourg	L	Luxembourg	99852	49.61	6.13	230
Groningen	NL	Groningen	198023	53.22	6.57	7
Leeuwarden	NL	Friesland	108145	53.2	5.78	3
Assen	NL	Drenthe	\N	53	6.57	10
Enschede	NL	Overijssel	158494	52.22	6.9	42
Zwolle	NL	Overijssel	123440	52.52	6.1	4
Lelystad	NL	Flevoland	76252	52.5	5.48	-3
Almere	NL	Flevoland	196244	52.37	5.22	-3
Arnhem	NL	Gelderland	150989	51.98	5.92	13
Nijmegen	NL	Gelderland	168810	51.85	5.87	29
Apeldoorn	NL	Gelderland	157540	52.22	5.97	16
Utrecht	NL	Utrecht	330081	52.08	5.12	5
Amersfoort	NL	Utrecht	151270	52.15	5.38	3
Amsterdam	NL	Noord-Holland	812895	52.37	4.9	2
Haarlem	NL	Noord-Holland	155361	52.38	4.63	2
Zaanstad	NL	Noord-Holland	151058	52.43	4.82	1
Hilversum	NL	Noord-Holland	86738	52.23	5.17	15
Den Haag	NL	Zuid-Holland	509623	52.08	4.32	1
Rotterdam	NL	Zuid-Holland	619180	51.92	4.5	0
Dordrecht	NL	Zuid-Holland	118780	51.82	4.67	1
Leiden	NL	Zuid-Holland	121387	52.17	4.48	0
Middelburg	NL	Zeeland	\N	51.5	3.62	3
's-Hertogenbosch	NL	Noord-Brabant	143822	51.68	5.3	6
Eindhoven	NL	Noord-Brabant	221279	51.43	5.48	17
Tilburg	NL	Noord-Brabant	210283	51.55	5.08	14
Breda	NL	Noord-Brabant	180263	51.58	4.78	3
Maastricht	NL	Limburg	122243	50.85	5.68	49
Heerlen	NL	Limburg	88139	50.88	5.98	113
Sittard-Geleen	NL	Limburg	93726	51	5.87	47
Sarajevo	BIH	Federacija Bosne i Hercegovine	291422	43.87	18.42	518
Tuzla	BIH	Federacija Bosne i Hercegovine	120441	44.54	18.68	245
Zenica	BIH	Federacija Bosne i Hercegovine	115134	44.2	17.91	316
Mostar	BIH	Federacija Bosne i Hercegovine	113169	43.33	17.8	60
Banja Luka	BIH	Republika Srpska	199191	44.77	17.18	163
Bijeljina	BIH	Republika Srpska	114663	44.75	19.22	90
Brčko	BIH	Brčko	93028	44.87	18.81	92
Zagreb	HR	Croatia	686568	45.82	15.98	158
Split	HR	Croatia	165893	43.51	16.45	0
Rijeka	HR	Croatia	127498	45.32	14.42	0
Osijek	HR	Croatia	83496	45.56	18.68	94
Zadar	HR	Croatia	70674	44.11	15.23	0
Sofia	BG	Bulgaria	1270284	42.7	23.33	500
Plovdiv	BG	Bulgaria	331796	42.15	24.75	164
Varna	BG	Bulgaria	330486	43.22	27.92	80
Burgas	BG	Bulgaria	197301	42.5	27.47	30
Ruse	BG	Bulgaria	146609	43.82	25.95	45
Stara Zagora	BG	Bulgaria	136363	42.43	25.65	196
Alba Iulia	RO	Alba	\N	46.07	23.57	230
Arad	RO	Arad	159074	46.17	21.32	117
Piteşti	RO	Argeş	155383	44.86	24.87	300
Bacău	RO	Bacău	144307	46.58	26.92	165
Oradea	RO	Bihor	196367	47.07	21.92	142
Bistrita	RO	Bistriţa-Năsăud	\N	47.13	24.5	356
Botoşani	RO	Botoşani	106847	47.75	26.67	170
Brăila	RO	Brăila	180302	45.27	27.96	25
Braşov	RO	Braşov	253200	45.67	25.62	600
Bucureşti	RO	Bucureşti	1883425	44.43	26.1	55.8
Buzău	RO	Buzău	115494	45.17	26.82	95
Calarasi	RO	Călăraşi	\N	44.2	27.33	26
Resita	RO	Caraş-Severin	\N	45.3	21.89	208
Cluj-Napoca	RO	Cluj	324576	46.77	23.58	340
Constanţa	RO	Constanţa	283872	44.17	28.64	25
Sfintu Gheorghe	RO	Covasna	\N	45.86	25.79	555
Targoviste	RO	Dâmboviţa	\N	44.92	25.46	292
Craiova	RO	Dolj	269506	44.33	23.82	100
Galaţi	RO	Galaţi	249432	45.42	28.04	55
Giurgiu	RO	Giurgiu	\N	43.9	25.97	25
Tirgu Jiu	RO	Gorj	\N	45.03	23.27	\N
Miercurea Ciuc	RO	Harghita	\N	46.36	25.8	662
Deva	RO	Hunedoara	\N	45.88	22.91	187
Slobozia	RO	Ialomiţa	\N	44.56	27.37	\N
Iaşi	RO	Iaşi	290422	47.16	27.59	60
Baia Mare	RO	Maramureş	123738	47.67	23.58	228
Drobeta-Turnu Severin	RO	Mehedinţi	92617	44.57	22.67	50
Târgu Mureş	RO	Mureş	134290	46.55	24.56	320
Piatra-Neamţ	RO	Neamţ	85055	46.93	26.37	310
Slatina	RO	Olt	\N	44.43	24.36	155
Ploieşti	RO	Prahova	209945	44.93	26.03	160
Zalau	RO	Sălaj	\N	47.19	23.06	275
Satu Mare	RO	Satu-Mare	102411	47.79	22.89	127
Sibiu	RO	Sibiu	147245	45.8	24.15	415
Suceava	RO	Suceava	92121	47.65	26.26	300
Alexandria	RO	Teleorman	\N	43.97	25.33	41
Timişoara	RO	Timiş	319279	45.76	21.23	90
Tulcea	RO	Tulcea	\N	45.19	28.8	30
Vaslui	RO	Vaslui	\N	46.64	27.73	110
Râmnicu Vâlcea	RO	Vâlcea	98776	45.1	24.38	\N
Focsani	RO	Vrancea	\N	45.7	27.18	55
Adana	TR	Adana	1636229	37	35.32	23
Adiyaman	TR	Adıyaman	217463	37.76	38.28	7
Afyonkarahisar	TR	Afyonkarahisar	186991	38.76	30.54	1021
Agri	TR	Ağrı	107839	39.72	43.05	\N
Aksaray	TR	Aksaray	186599	38.37	34.03	980
Amasya	TR	Amasya	91874	40.65	35.83	40
Ankara	TR	Ankara	4630735	39.93	32.87	938
Antalya	TR	Antalya	1073794	36.9	30.68	30
Artvin	TR	Artvin	\N	41.18	41.82	345
Aydin	TR	Aydın	195951	37.85	27.85	67
Balikesir	TR	Balıkesir	267903	39.39	27.53	70
Batman	TR	Batman	348963	37.88	41.13	540
Bayburt	TR	Bayburt	\N	40.26	40.23	1550
Bilecik	TR	Bilecik	\N	40.14	29.98	\N
Bingol	TR	Bingöl	98424	38.89	40.5	1151
Bitlis	TR	Bitlis	\N	38.4	42.11	1500
Bolu	TR	Bolu	131264	40.73	31.61	725
Burdur	TR	Burdur	\N	37.72	30.28	\N
Bursa	TR	Bursa	1734705	40.18	29.05	100
İnegöl	TR	Bursa	177617	40.08	29.51	\N
Canakkale	TR	Çanakkale	111137	40.16	26.41	\N
Cankiri	TR	Çankırı	\N	40.6	33.62	800
Corum	TR	Çorum	231146	40.55	34.95	801
Denizli	TR	Denizli	525497	37.77	29.08	324
Diyarbakir	TR	Diyarbakır	892713	37.91	40.24	675
Edirne	TR	Edirne	148474	41.68	26.56	42
Elazig	TR	Elazığ	347857	38.67	39.22	1067
Erzincan	TR	Erzincan	96474	39.75	39.49	1185
Erzurum	TR	Erzurum	384399	39.91	41.28	1900
Eskisehir	TR	Eskişehir	659924	39.78	30.52	788
Gaziantep	TR	Gaziantep	1438373	37.07	37.38	850
Giresun	TR	Giresun	100712	40.92	38.39	10
Gumushane	TR	Gümüşhane	\N	40.46	39.48	\N
Hakkari	TR	Hakkari	\N	37.58	43.74	\N
Iskenderun	TR	Hatay	184833	36.58	36.17	4
Hatay	TR	Hatay	216960	36.2	36.15	67
Mersin	TR	Mersin	876958	36.8	34.63	10
Tarsus	TR	Mersin	245671	36.92	34.9	\N
Isparta	TR	Isparta	198385	37.76	30.56	1049
Istanbul	TR	İstanbul	13710512	41.01	28.96	40
Izmir	TR	İzmir	3401994	38.42	27.13	2
Karaman	TR	Karaman	141630	37.18	33.22	\N
Kahramanmaraş	TR	Kahramanmaraş	443575	37.58	36.93	67
Kars	TR	Kars	78100	40.62	43.1	1768
Kastamonu	TR	Kastamonu	96217	41.38	33.78	800
Kayseri	TR	Kayseri	1004276	38.73	35.48	1050
Kirikkale	TR	Kırıkkale	192473	39.84	33.51	\N
Kirklareli	TR	Kırklareli	\N	41.73	27.23	203
Luleburgaz	TR	Kırklareli	105279	41.41	27.36	30
Kirsehir	TR	Kırşehir	114244	39.15	34.16	\N
Kocaeli	TR	Kocaeli	1527407	40.77	29.92	100
Gebze	TR	Kocaeli	290868	40.8	29.43	\N
Konya	TR	Konya	1107886	37.87	32.48	1200
Kütahya	TR	Kütahya	224898	39.42	29.98	930
Malatya	TR	Malatya	426381	38.35	38.3	954
Manisa	TR	Manisa	309050	38.63	27.42	\N
Mardin	TR	Mardin	86948	37.32	40.74	1083
Kızıltepe	TR	Mardin	147585	37.19	40.59	\N
Mugla	TR	Muğla	\N	37.22	28.37	660
Mus	TR	Muş	81764	38.73	41.49	\N
Nevsehir	TR	Nevşehir	92068	38.63	34.71	\N
Nigde	TR	Niğde	118186	37.97	34.68	1229
Ordu	TR	Ordu	147913	40.98	37.88	5
Rize	TR	Rize	104508	41.02	40.52	6
Sakarya	TR	Sakarya	590498	40.78	30.4	31
Samsun	TR	Samsun	547778	41.28	36.33	\N
Şanlıurfa	TR	Şanlıurfa	526247	37.16	38.79	477
Siirt	TR	Siirt	135350	37.92	41.95	895
Sinop	TR	Sinop	\N	42.03	35.15	\N
Sirnak	TR	Şırnak	\N	37.52	42.46	1650
Sivas	TR	Sivas	312587	39.75	37.02	1285
Tekirdag	TR	Tekirdağ	150112	40.98	27.52	\N
Çorlu	TR	Tekirdağ	235354	41.15	27.8	10
Tokat	TR	Tokat	132437	40.31	36.55	623
Trabzon	TR	Trabzon	243735	41	39.73	0
Tunceli	TR	Tunceli	\N	39.1	39.55	940
Usak	TR	Uşak	187886	38.68	29.4	890
Van	TR	Van	370190	38.49	43.38	1730
Yozgat	TR	Yozgat	78328	39.82	34.81	1300
Zonguldak	TR	Zonguldak	109080	41.46	31.8	60
Bartin	TR	Bartın	\N	41.63	32.34	25
Karabük	TR	Karabük	110537	41.2	32.63	\N
Ardahan	TR	Ardahan	\N	41.11	42.7	1900
Iğdır	TR	Iğdır	82656	39.92	44.04	861
Yalova	TR	Yalova	102874	40.66	29.28	\N
Kilis	TR	Kilis	85119	36.72	37.12	663
Osmaniye	TR	Osmaniye	209255	37.08	36.25	\N
Aalborg	DK	Nordjylland	104885	57.05	9.92	5
Viborg	DK	Midtjylland	\N	56.45	9.4	51
Århus	DK	Midtjylland	252213	56.15	10.22	0
Randers	DK	Midtjylland	61121	56.46	10.04	56
Vejle	DK	Syddanmark	51804	55.72	9.53	8
Odense	DK	Syddanmark	168798	55.4	10.39	13
Esbjerg	DK	Syddanmark	71579	55.48	8.45	11
Hillerød	DK	Hovedstaden	\N	55.93	12.31	41
København	DK	Hovedstaden	549050	55.68	12.57	24
Sorø	DK	Sjælland	\N	55.43	11.57	\N
Tallinn	EW	Estonia	399340	59.44	24.75	9
Tartu	EW	Estonia	103284	58.38	26.72	57.2
Tórshavn	FARX	Faroe Islands	12245	62	-7	\N
Mariehamn	SF	Aland	10851	60.1	19.93	\N
Tampere	SF	Haeme	220678	61.5	23.77	\N
Lahti	SF	Haeme	103396	60.98	25.65	\N
Hämeenlinna	SF	Haeme	67803	61	24.47	\N
Kuopio	SF	Kuopio	106475	62.89	27.68	\N
Lappeenranta	SF	Kymi	72617	61.07	28.18	\N
Kotka	SF	Kymi	54714	60.47	26.94	\N
Rovaniemi	SF	Lappia	61244	66.5	25.73	\N
Mikkeli	SF	Mikkeli	54633	61.68	27.27	\N
Jyväskylä	SF	Suomi	134862	62.24	25.74	\N
Joensuu	SF	Pohjols-Karjala	74332	62.6	29.75	\N
Oulu	SF	Oulu	194181	65.02	25.47	\N
Pori	SF	Turku-Pori	83457	61.48	21.8	\N
Turku	SF	Turku-Pori	182154	60.45	22.27	\N
Helsinki	SF	Uusimaa	614535	60.17	24.94	\N
Espoo	SF	Uusimaa	261654	60.21	24.66	\N
Vaasa	SF	Vaasa	66415	63.1	21.62	\N
Oslo	N	Oslo	623966	59.95	10.75	23
Sandvika	N	Akershus	116677	59.88	10.52	12
Moss	N	Østfold	24517	59.46	10.7	14
Hamar	N	Hedmark	15685	60.8	11.06	134
Lillehammer	N	Oppland	22118	61.12	10.47	440
Drammen	N	Buskerud	65473	59.74	10.21	1
Tonsberg	N	Vestfold	8984	59.3	10.42	\N
Skien	N	Telemark	53015	59.21	9.55	\N
Arendal	N	Aust-Agder	12174	58.48	8.78	1
Kristiansand	N	Vest-Agder	84476	58.15	8	\N
Stavanger	N	Rogaland	129191	58.96	5.72	\N
Bergen	N	Hordaland	267950	60.39	5.33	0
Hermansverk	N	Sogn og Fjordane	\N	61.18	6.85	6
Molde	N	Møre og Romsdal	21448	62.76	7.24	130
Trondheim	N	Sør-Trøndelag	179692	63.43	10.39	3
Steinkjer	N	Nord-Trøndelag	20480	64.06	11.72	\N
Narvik	N	Nordland	18754	68.42	17.56	\N
Bodø	N	Nordland	34479	67.28	14.4	\N
Tromsø	N	Troms	48109	69.68	18.94	\N
Hammerfest	N	Finnmark	7089	70.66	23.68	2
Vadsø	N	Finnmark	5961	70.08	29.73	6
Göteborg	S	Västra Götaland	526089	57.7	11.97	12
Vanersborg	S	Västra Götaland	35804	58.38	12.33	\N
Mariestad	S	Västra Götaland	24255	58.7	13.82	\N
Borås	S	Västra Götaland	104867	57.72	12.94	143
Karlskrona	S	Blekinge	59007	56.16	15.59	16
Gävle	S	Gävleborg	96170	60.67	17.14	8
Visby	S	Gotland	20000	57.63	18.3	\N
Halmstad	S	Halland	93231	56.67	12.86	11
Ostersund	S	Jämtland	56662	63.18	14.64	312
Jönköping	S	Jönköping	129478	57.78	14.16	104
Kalmar	S	Kalmar	54554	56.66	16.36	8
Falun	S	Dalarna	51900	60.61	15.63	110
Malmö	S	Skåne	307758	55.61	13.04	12
Helsingborg	S	Skåne	132011	56.05	12.72	10
Kristianstad	S	Skåne	80507	56.03	14.16	\N
Lund	S	Skåne	112950	55.7	13.2	\N
Växjö	S	Kronoberg	84800	56.88	14.81	167
Lulea	S	Norrbotten	66526	65.58	22.15	6
Örebro	S	Örebro	138952	59.27	15.21	34
Linköping	S	Östergötland	148521	58.42	15.63	45
Norrköping	S	Östergötland	132124	58.6	16.2	\N
Nykoping	S	Södermanland	64199	58.75	17.01	20
Eskilstuna	S	Södermanland	98765	59.37	16.51	26
Stockholm	S	Stockholm	881235	59.33	18.07	0
Huddinge	S	Stockholm	101010	59.23	17.98	\N
Uppsala	S	Uppsala	202625	59.86	17.64	15
Karlstad	S	Värmland	86929	59.38	13.5	64
Umeå	S	Västerbotten	117294	63.83	20.26	12
Härnösand	S	Västernorrland	27287	62.64	17.94	1
Västerås	S	Västmanland	140499	59.62	16.55	17
Monaco	MC	Monaco	975	43.73	7.42	\N
Gibraltar	GBZ	Gibraltar	\N	36.13	-5.35	\N
Saint Peter Port	GBG	Guernsey	\N	49.6	-2.6	\N
Vatican City	V	Holy See	842	41.9	12.45	\N
Ceuta	CEU	Ceuta	82376	35.9	-5.3	\N
Melilla	MEL	Melilla	78476	35.3	-2.95	\N
Reykjavik	IS	Iceland	118061	64.13	-21.93	\N
Keflavik	IS	Iceland	13862	64.02	-22.57	\N
Hafnarfjordur	IS	Iceland	26099	64.07	-21.95	\N
Akureyri	IS	Iceland	17490	65.68	-18.1	\N
Dublin	IRL	Ireland	525383	53.35	-6.26	20
Cork	IRL	Ireland	118912	51.9	-8.47	9
Galway	IRL	Ireland	75414	53.27	-9.05	25
Limerick	IRL	Ireland	56779	52.67	-8.62	10
San Marino	RSM	San Marino	4227	43.93	12.45	749
Saint Helier	GBJ	Jersey	\N	49.2	-2.1	\N
Valletta	M	Malta	5748	35.9	14.51	56
Victoria	M	Malta	6252	36.04	14.24	\N
Douglas	GBM	Isle of Man	\N	54.15	-4.6	\N
Chişinău	MD	Moldova	663400	47	28.92	85
Tiraspol	MD	Moldova	148917	46.85	29.63	\N
Bălţi	MD	Moldova	143300	47.77	27.92	59
Aveiro	P	Aveiro	53496	40.63	-8.65	\N
Beja	P	Beja	\N	38.03	-7.88	\N
Braga	P	Braga	114003	41.55	-8.43	200
Braganca	P	Braganca	\N	41.81	-6.76	674
Castelo Branco	P	Castelo Branco	\N	39.82	-7.5	\N
Coimbra	P	Coimbra	118016	40.21	-8.43	34
Evora	P	Evora	\N	38.57	-7.9	\N
Faro	P	Algarve	\N	37.03	-7.92	6
Guarda	P	Guarda	\N	40.53	-7.33	1056
Leiria	P	Leiria	50608	39.75	-8.8	\N
Lisboa	P	Lisboa	559248	38.71	-9.14	\N
Amadora	P	Lisboa	175136	38.73	-9.23	\N
Barreiro	P	Lisboa	79042	38.67	-9.07	\N
Almada	P	Lisboa	49578	38.68	-9.16	50
Portalegre	P	Portalegre	\N	39.32	-7.42	\N
Oporto	P	Porto	266790	41.16	-8.62	\N
Vila Nova de Gaia	P	Porto	72576	41.13	-8.62	\N
Santarem	P	Santarem	\N	39.23	-8.68	\N
Setúbal	P	Setubal	91108	38.53	-8.88	\N
Viana do Castelo	P	Viana do Castelo	\N	41.7	-8.83	15
Vila Real	P	Vila Real	\N	41.3	-7.75	450
Viseu	P	Viseu	\N	40.67	-7.92	\N
Ponta Delgada	P	Azores	46102	37.82	-25.75	\N
Funchal	P	Madeira	112362	32.65	-16.92	\N
Longyearbyen	SVAX	Svalbard	\N	78.13	15.33	\N
Newcastle upon Tyne	GB	North East	268064	54.97	-1.6	\N
Sunderland	GB	North East	174286	54.91	-1.38	\N
Gateshead	GB	North East	120046	54.95	-1.6	\N
Middlesbrough	GB	North East	174700	54.58	-1.24	\N
Manchester	GB	North West	510746	53.47	-2.23	38
Wigan	GB	North West	103608	53.54	-2.63	\N
Stockport	GB	North West	105878	53.41	-2.15	\N
Bolton	GB	North West	194189	53.58	-2.43	\N
Salford	GB	North West	103886	53.51	-2.33	68
Oldham	GB	North West	96555	53.54	-2.12	\N
Rochdale	GB	North West	107926	53.61	-2.16	\N
Warrington	GB	North West	165456	53.39	-2.6	\N
Blackpool	GB	North West	147663	53.81	-3.05	5
Blackburn	GB	North West	117963	53.74	-2.48	\N
Liverpool	GB	North West	552267	53.4	-2.98	70
Birkenhead	GB	North West	142968	53.39	-3.01	\N
St Helens	GB	North West	102885	53.45	-2.75	\N
Preston	GB	North West	97886	53.76	-2.7	\N
Leeds	GB	Yorkshire and the Humber	474632	53.8	-1.55	9
Wakefield	GB	Yorkshire and the Humber	99251	53.68	-1.5	\N
Bradford	GB	Yorkshire and the Humber	349561	53.79	-1.75	\N
Huddersfield	GB	Yorkshire and the Humber	162949	53.65	-1.78	\N
Sheffield	GB	Yorkshire and the Humber	518090	53.38	-1.47	\N
Doncaster	GB	Yorkshire and the Humber	109805	53.52	-1.13	\N
Rotherham	GB	Yorkshire and the Humber	109691	53.43	-1.36	\N
York	GB	Yorkshire and the Humber	152841	53.96	-1.08	\N
Kingston upon Hull	GB	Yorkshire and the Humber	284321	53.75	-0.33	\N
Nottingham	GB	East Midlands	289301	52.95	-1.13	61
Northampton	GB	East Midlands	215173	52.23	-0.89	\N
Leicester	GB	East Midlands	443760	52.63	-1.13	\N
Derby	GB	East Midlands	255394	52.92	-1.48	\N
Lincoln	GB	East Midlands	100160	53.23	-0.54	\N
Birmingham	GB	West Midlands	1085810	52.48	-1.89	140
Coventry	GB	West Midlands	325949	52.41	-1.51	\N
Wolverhampton	GB	West Midlands	210319	52.58	-2.13	\N
Solihull	GB	West Midlands	123187	52.41	-1.78	\N
Stoke-on-Trent	GB	West Midlands	270726	53	-2.18	107
Worcester	GB	West Midlands	100153	52.19	-2.22	\N
Sutton Coldfield	GB	West Midlands	109015	52.56	-1.82	\N
Telford	GB	West Midlands	142723	52.68	-2.45	\N
Cambridge	GB	East of England	145818	52.21	0.12	6
Peterborough	GB	East of England	161707	52.58	-0.25	\N
Ipswich	GB	East of England	144957	52.06	1.16	\N
Chelmsford	GB	East of England	110507	51.92	0.47	\N
Watford	GB	East of England	131982	51.66	-0.4	71
Southend-on-Sea	GB	East of England	175547	51.54	0.71	\N
Basildon	GB	East of England	107123	51.58	0.49	\N
Colchester	GB	East of England	119441	51.89	0.9	\N
Norwich	GB	East of England	186682	52.63	1.3	\N
Luton	GB	East of England	211228	51.9	-0.43	\N
London	GB	London	8250205	51.52	-0.09	0
Southampton	GB	South East	253651	50.9	-1.4	\N
Portsmouth	GB	South East	238137	50.82	-1.08	\N
Basingstoke	GB	South East	107355	51.27	-1.09	\N
Milton Keynes	GB	South East	171750	52.04	-0.76	\N
High Wycombe	GB	South East	120256	51.63	-0.75	\N
Brighton and Hove	GB	South East	229700	50.83	-0.15	\N
Maidstone	GB	South East	107627	51.27	0.53	\N
Oxford	GB	South East	159994	51.75	-1.26	\N
Reading	GB	South East	218705	51.45	-0.97	61
Slough	GB	South East	155298	51.51	-0.59	\N
Eastbourne	GB	South East	109185	50.77	0.28	\N
Gillingham	GB	South East	104157	51.38	0.55	\N
Crawley	GB	South East	106943	51.11	-0.19	\N
Worthing	GB	South East	109120	50.81	-0.37	7
Woking	GB	South East	105367	51.32	-0.56	\N
Bristol	GB	South West	535907	51.45	-2.58	11
Plymouth	GB	South West	234982	50.37	-4.14	0
Exeter	GB	South West	113507	50.72	-3.53	\N
Bournemouth	GB	South West	187503	50.72	-1.88	\N
Poole	GB	South West	154718	50.72	-1.98	\N
Cheltenham	GB	South West	116447	51.88	-2.07	\N
Gloucester	GB	South West	136362	51.87	-2.24	\N
Swindon	GB	South West	182441	51.56	-1.78	\N
Edinburgh	GB	Scotland	459366	55.95	-3.19	47
Glasgow	GB	Scotland	590507	55.86	-4.26	\N
Aberdeen	GB	Scotland	195021	57.15	-2.11	\N
Dundee	GB	Scotland	147285	56.46	-2.97	\N
Kirkwall	GB	Scotland	6330	58.98	-2.96	\N
Lerwick	GB	Scotland	6570	60.16	-1.14	\N
Cardiff	GB	Wales	335145	51.48	-3.18	\N
Swansea	GB	Wales	179485	51.62	-3.95	\N
Newport	GB	Wales	128060	51.58	-3	\N
Belfast	GB	Northern Ireland	280561	54.6	-5.93	\N
Kabul	AFG	Afghanistan	2435400	34.53	69.17	1791
Herat	AFG	Afghanistan	335200	34.34	62.2	920
Kandahar	AFG	Afghanistan	311800	31.62	65.72	1010
Mazar-i-Sharif	AFG	Afghanistan	288700	36.7	67.12	357
Hefei	CN	Anhui	3310268	31.87	117.28	37
Huainan	CN	Anhui	1200000	32.62	116.98	\N
Bengbu	CN	Anhui	449245	32.92	117.38	\N
Wuhu	CN	Anhui	425740	31.37	118.39	7.9
Huaibei	CN	Anhui	366549	33.58	116.47	\N
Maanshan	CN	Anhui	305421	31.7	118.35	\N
Anqing	CN	Anhui	250718	30.5	117.03	\N
Tongling	CN	Anhui	228017	30.93	117.77	\N
Fuyang	CN	Anhui	179572	32.9	115.82	\N
Luan	CN	Anhui	144248	31.75	116.51	\N
Chuxian	CN	Anhui	125341	\N	\N	\N
Chaoxian	CN	Anhui	123676	\N	\N	\N
Xuancheng	CN	Anhui	112673	30.93	118.73	\N
Fuzhou	CN	Fujian	2921762	26.08	119.31	\N
Xiamen	CN	Fujian	3531347	24.48	118.09	\N
Nanping	CN	Fujian	195064	26.65	118.18	89
Quanzhou	CN	Fujian	185154	24.92	118.58	\N
Zhangzhou	CN	Fujian	181424	24.52	117.65	\N
Sanming	CN	Fujian	160691	26.25	117.62	\N
Longyan	CN	Fujian	134481	25.08	117.02	\N
Yongan	CN	Fujian	111762	25.98	117.37	\N
Lanzhou	CN	Gansu	2628426	36.03	103.8	1518
Tianshui	CN	Gansu	244974	34.58	105.73	1171
Baiyin	CN	Gansu	204970	36.56	104.21	1698
Wuwei	CN	Gansu	133101	37.93	102.64	\N
Yumen	CN	Gansu	109234	39.83	97.57	1507
Guangzhou	CN	Guangdong	11071424	23.13	113.27	21
Shantou	CN	Guangdong	5329024	23.35	116.67	51
Zhanjiang	CN	Guangdong	400997	21.2	110.4	21
Shenzhen	CN	Guangdong	10358381	22.55	114.1	0
Shaoguan	CN	Guangdong	350043	24.82	113.6	59
Chaozhou	CN	Guangdong	313469	23.67	116.63	0
Dongguan	CN	Guangdong	8220207	23.03	113.72	8
Foshan	CN	Guangdong	7194311	23.02	113.12	16
Zhongshan	CN	Guangdong	3121275	22.53	113.35	11
Jiangmen	CN	Guangdong	230587	22.57	113.07	10
Yangjiang	CN	Guangdong	215196	21.85	111.97	4
Zhaoqing	CN	Guangdong	194784	23.05	112.47	12
Maoming	CN	Guangdong	178683	21.65	110.92	29
Zhuhai	CN	Guangdong	164747	22.28	113.57	36
Huizhou	CN	Guangdong	2344634	23.07	114.4	15
Meixian	CN	Guangdong	132156	24.32	116.12	\N
Heyuan	CN	Guangdong	120101	23.75	114.7	39
Shanwei	CN	Guangdong	107847	22.78	115.37	8
Guiyang	CN	Guizhou	3034750	26.65	106.63	1275
Liupanshui	CN	Guizhou	363954	26.59	104.83	\N
Zunyi	CN	Guizhou	261862	27.68	106.9	865
Anshun	CN	Guizhou	174142	26.25	105.93	1380
Duyun	CN	Guizhou	132971	26.26	107.52	\N
Kaili	CN	Guizhou	113958	26.58	107.97	\N
Haikou	CN	Hainan	280153	20.04	110.34	\N
Sanya	CN	Hainan	102820	18.25	109.5	\N
Shijiazhuang	CN	Hebei	2834942	38.07	114.48	83
Tangshan	CN	Hebei	3372102	39.62	118.18	\N
Handan	CN	Hebei	1110000	36.6	114.48	\N
Zhangjiakou	CN	Hebei	529136	40.77	114.88	716
Baoding	CN	Hebei	483155	38.87	115.47	25
Qinhuangdao	CN	Hebei	364972	39.93	119.6	\N
Xingtai	CN	Hebei	302789	37.07	114.48	\N
Chengde	CN	Hebei	246799	40.97	117.93	327
Renqiu	CN	Hebei	114256	38.7	116.1	\N
Quzhou	CN	Hebei	112373	28.95	118.87	\N
Hengshui	CN	Hebei	104269	37.73	115.7	\N
Harbin	CN	Heilongjiang	5878939	45.75	126.63	150
Qiqihar	CN	Heilongjiang	1380000	47.35	123.92	147
Yichun	CN	Heilongjiang	795789	47.73	128.9	\N
Jixi	CN	Heilongjiang	683885	45.3	130.97	230
Daqing	CN	Heilongjiang	657297	46.58	125	149
Mudanjiang	CN	Heilongjiang	571705	44.55	129.63	233
Hegang	CN	Heilongjiang	522747	47.35	130.3	280
Jiamusi	CN	Heilongjiang	493409	46.8	130.32	83
Shuangyashan	CN	Heilongjiang	386081	46.63	131.15	\N
Suihua	CN	Heilongjiang	227881	46.63	126.98	\N
Shangzhi	CN	Heilongjiang	215373	45.21	127.97	\N
Qitaihe	CN	Heilongjiang	214957	45.77	131	209
Beian	CN	Heilongjiang	204899	48.25	126.52	266
Acheng	CN	Heilongjiang	197595	45.54	126.97	\N
Zhaodong	CN	Heilongjiang	179976	46.07	125.98	\N
Fuling	CN	Heilongjiang	173878	29.7	107.39	287
Shuangcheng	CN	Heilongjiang	142659	45.38	126.35	\N
Anda	CN	Heilongjiang	136446	46.45	125.5	149
Mishan	CN	Heilongjiang	132744	45.53	131.87	\N
Zhengzhou	CN	Henan	4253913	34.77	113.65	\N
Luoyang	CN	Henan	1190000	34.67	112.44	144
Kaifeng	CN	Henan	507763	34.8	114.3	75
Xinxiang	CN	Henan	473762	35.3	113.87	\N
Anyang	CN	Henan	420332	36.1	114.33	69
Pingdingshan	CN	Henan	410775	33.73	113.3	\N
Jiaozuo	CN	Henan	409100	35.24	113.22	139
Nanyang	CN	Henan	243303	33	112.53	131
Hebi	CN	Henan	212976	35.9	114.2	\N
Xuchang	CN	Henan	208815	34.03	113.85	71
Xinyang	CN	Henan	192509	32.13	114.05	\N
Puyang	CN	Henan	175988	35.77	115.07	\N
Shangqiu	CN	Henan	164880	34.42	115.65	50
Zhoukou	CN	Henan	146288	33.63	114.63	\N
Luohe	CN	Henan	126438	33.57	114.03	\N
Zhumadian	CN	Henan	123232	32.98	114.03	\N
Sanmenxia	CN	Henan	120523	34.77	111.2	376
Wuhan	CN	Hubei	9785388	30.58	114.28	37
Huangshi	CN	Hubei	457601	30.22	115.08	\N
Xiangyang	CN	Hubei	2199690	32.02	112.13	71
Yichang	CN	Hubei	371601	30.72	111.28	58
Shashi	CN	Hubei	281352	30.32	112.25	\N
Shiyan	CN	Hubei	273786	32.63	110.8	\N
Cangzhou	CN	Hubei	242708	38.32	116.87	13
Honghu	CN	Hubei	190772	30.02	113.53	\N
Echeng	CN	Hubei	190123	30.4	114.89	\N
Tianmen	CN	Hubei	186332	30.67	113.17	32
Xiaogan	CN	Hubei	166280	30.92	113.9	\N
Zaoyang	CN	Hubei	162198	32.13	112.75	\N
Xianning	CN	Hubei	136811	29.88	114.22	\N
Laohekou	CN	Hubei	123366	32.4	111.77	\N
Puqi	CN	Hubei	117264	29.72	113.9	67
Shishou	CN	Hubei	104571	29.72	112.4	\N
Guangshui	CN	Hubei	102770	31.62	113.83	\N
Changsha	CN	Hunan	3093980	28.2	112.97	63
Hengyang	CN	Hunan	487148	26.9	112.6	\N
Xiangtan	CN	Hunan	441968	27.85	112.9	\N
Zhuzhou	CN	Hunan	409924	27.85	113.13	\N
Yueyang	CN	Hunan	302800	29.37	113.43	\N
Changde	CN	Hunan	301276	29.03	111.68	35
Shaoyang	CN	Hunan	247227	27.25	111.47	\N
Yiyang	CN	Hunan	185818	28.58	112.33	\N
Lengshuijiang	CN	Hunan	137994	27.69	111.44	\N
Leiyang	CN	Hunan	130115	26.41	112.93	\N
Loudi	CN	Hunan	128418	27.73	112	\N
Huaihua	CN	Hunan	126785	27.55	109.97	\N
Zixing	CN	Hunan	110048	25.97	113.23	\N
Liling	CN	Hunan	108504	27.67	113.47	\N
Yuanjiang	CN	Hunan	107004	28.95	112.6	\N
Nanjing	CN	Jiangsu	7165292	32.05	118.77	20
Wuxi	CN	Jiangsu	3543719	31.57	120.3	\N
Xuzhou	CN	Jiangsu	3053778	32.9	119.8	\N
Suzhou	CN	Jiangsu	5345961	31.3	120.6	\N
Changzhou	CN	Jiangsu	3290918	31.78	119.97	\N
Zhenjiang	CN	Jiangsu	368316	32.2	119.42	\N
Lianyungang	CN	Jiangsu	354139	34.6	119.17	\N
Nantong	CN	Jiangsu	2274113	31.98	120.9	2
Yangzhou	CN	Jiangsu	312892	32.4	119.42	\N
Yancheng	CN	Jiangsu	296831	33.38	120.12	\N
Huaiyin	CN	Jiangsu	239675	33.5	119.13	\N
Jiangyin	CN	Jiangsu	213659	31.84	120.3	\N
Yixing	CN	Jiangsu	200824	31.36	119.82	\N
Dongtai	CN	Jiangsu	192247	32.8	120.52	\N
Changshu	CN	Jiangsu	181805	31.67	120.82	\N
Danyang	CN	Jiangsu	169603	32	119.59	\N
Xinghua	CN	Jiangsu	161910	32.93	119.83	\N
Taizhou	CN	Jiangsu	152442	32.45	119.92	\N
Huai'an	CN	Jiangsu	2635406	33.5	119.13	\N
Liyang	CN	Jiangsu	109520	31.42	119.38	\N
Yizheng	CN	Jiangsu	109268	32.41	119.19	\N
Suqian	CN	Jiangsu	105021	33.93	118.28	\N
Kunshan	CN	Jiangsu	102052	31.32	120.99	\N
Nanchang	CN	Jiangxi	2357839	28.68	115.88	37
Fuzhou	CN	Jiangxi	3572421	26.08	119.31	\N
Yichun	CN	Jiangxi	151585	27.8	114.38	\N
Pingxiang	CN	Jiangxi	425579	27.63	113.85	\N
Jiujiang	CN	Jiangxi	291187	29.74	115.99	\N
Jingdezhen	CN	Jiangxi	281183	29.28	117.2	35
Ganzhou	CN	Jiangxi	220129	25.87	114.93	107
Xinyu	CN	Jiangxi	173524	27.8	114.92	\N
Shangrao	CN	Jiangxi	132455	28.45	117.97	\N
Jilin	CN	Jilin	1270000	43.7	126.2	\N
Changchun	CN	Jilin	4193073	43.9	125.2	222
Hunjiang	CN	Jilin	482043	41.93	126.42	471
Liaoyuan	CN	Jilin	354141	42.88	125.15	260
Tonghua	CN	Jilin	324600	41.73	125.93	374
Siping	CN	Jilin	317223	43.17	124.37	164
Dunhua	CN	Jilin	235100	43.37	128.23	505
Yanji	CN	Jilin	230892	42.9	129.5	179
Gongzhuling	CN	Jilin	226569	43.5	124.82	215
Baicheng	CN	Jilin	217987	45.62	122.83	154
Meihekou	CN	Jilin	209038	41.53	125.68	180
Fuyu	CN	Jilin	192981	44.98	126.05	183
Jiutai	CN	Jilin	180130	44.15	125.84	\N
Huadian	CN	Jilin	175873	42.95	126.73	265
Longjing	CN	Jilin	139417	42.77	129.43	266
Daan	CN	Jilin	138963	45.5	124.28	137
Shenyang	CN	Liaoning	6255921	41.8	123.4	55
Dalian	CN	Liaoning	4087733	38.92	121.64	29
Anshan	CN	Liaoning	1390000	41.12	122.98	2
Fushun	CN	Liaoning	1350000	41.87	123.9	\N
Benxi	CN	Liaoning	768778	41.3	123.77	131
Fuxin	CN	Liaoning	635473	42.02	121.65	\N
Jinzhou	CN	Liaoning	569518	41.12	121.13	24
Dandong	CN	Liaoning	523699	40.12	124.38	8
Liaoyang	CN	Liaoning	492559	41.27	123.18	29
Yingkou	CN	Liaoning	421589	40.67	122.23	\N
Panshan	CN	Liaoning	362773	41.12	122.05	\N
Jinxi	CN	Liaoning	357052	40.72	120.83	\N
Tieling	CN	Liaoning	254842	42.22	123.73	\N
Wafangdian	CN	Liaoning	251733	39.63	121.97	121
Chaoyang	CN	Liaoning	222394	41.57	120.45	170
Haicheng	CN	Liaoning	205560	40.88	122.68	17
Beipiao	CN	Liaoning	194301	41.8	120.78	\N
Fengcheng	CN	Liaoning	193784	40.45	124.07	\N
Xingcheng	CN	Liaoning	102384	40.62	120.73	8
Xining	CN	Qinghai	551776	36.63	101.77	2275
Yushu	CN	Qinghai	131861	44.83	126.55	\N
Xi'an	CN	Shaanxi	6501190	34.27	108.9	405
Xianyang	CN	Shaanxi	352125	34.35	108.72	\N
Baoji	CN	Shaanxi	337765	34.35	107.38	570
Tongchuan	CN	Shaanxi	280657	35.07	109.08	\N
Hanzhong	CN	Shaanxi	169930	33.07	107.02	511
Ankang	CN	Shaanxi	142170	32.68	109.02	300
Weinan	CN	Shaanxi	140169	34.5	109.5	\N
Yanan	CN	Shaanxi	113277	36.58	109.48	975
Jinan	CN	Shandong	4335989	36.67	116.98	23
Zibo	CN	Shandong	3129228	36.78	118.05	7
Qingdao	CN	Shandong	3718835	36.07	120.38	\N
Yantai	CN	Shandong	2227733	37.53	121.39	\N
Weifang	CN	Shandong	2044028	36.72	119.1	32
Zaozhuang	CN	Shandong	2125481	34.87	117.55	\N
Taian	CN	Shandong	350696	36.2	117.08	167
Linyi	CN	Shandong	2303648	35.05	118.35	74
Tengxian	CN	Shandong	315083	\N	\N	\N
Dongying	CN	Shandong	281728	37.45	118.47	\N
Xintai	CN	Shandong	281248	35.91	117.78	\N
Jining	CN	Shandong	265248	35.4	116.57	\N
Laiwu	CN	Shandong	246833	36.18	117.67	\N
Liaocheng	CN	Shandong	207844	36.45	115.98	\N
Dezhou	CN	Shandong	195485	37.43	116.27	\N
Heze	CN	Shandong	189293	35.23	115.43	\N
Rizhao	CN	Shandong	185048	35.42	119.43	\N
Liancheng	CN	Shandong	156307	\N	\N	\N
Jiaozhou	CN	Shandong	153364	36.25	119.96	\N
Pingdu	CN	Shandong	150123	36.78	119.96	\N
Longkou	CN	Shandong	148362	37.63	120.33	\N
Laiyang	CN	Shandong	137080	36.98	120.71	\N
Wendeng	CN	Shandong	133910	37.2	122.05	\N
Weihai	CN	Shandong	128888	37.52	122.12	\N
Linqing	CN	Shandong	123958	36.85	115.71	\N
Jiaonan	CN	Shandong	121397	35.87	120.05	4
Zhucheng	CN	Shandong	102134	36	119.42	66
Taiyuan	CN	Shanxi	3426519	37.87	112.56	800
Datong	CN	Shanxi	1110000	40.08	113.3	1042
Yangquan	CN	Shanxi	362268	37.85	113.57	\N
Changzhi	CN	Shanxi	317144	36.18	113.1	\N
Yuci	CN	Shanxi	191356	37.62	112.85	\N
Linfen	CN	Shanxi	187309	36.08	111.52	452
Jincheng	CN	Shanxi	136396	35.52	112.83	\N
Chengdu	CN	Sichuan	7415590	30.66	104.06	500
Dukou	CN	Sichuan	415466	26.58	101.72	1157
Zigong	CN	Sichuan	393184	29.34	104.77	\N
Leshan	CN	Sichuan	341128	29.57	103.77	\N
Mianyang	CN	Sichuan	262947	31.47	104.68	473
Luzhou	CN	Sichuan	262892	28.88	105.45	262
Neijiang	CN	Sichuan	256012	29.58	105.07	\N
Yibin	CN	Sichuan	241019	28.77	104.62	321
Daxian	CN	Sichuan	188101	31.2	107.52	312
Deyang	CN	Sichuan	182488	31.13	104.4	\N
Guangyuan	CN	Sichuan	182241	32.43	105.82	\N
Nanchong	CN	Sichuan	180273	30.8	106.08	340
Jiangyou	CN	Sichuan	175753	31.77	104.76	\N
Wanxian	CN	Sichuan	156823	30.81	108.41	\N
Xichang	CN	Sichuan	134419	27.89	102.26	1542
Kunming	CN	Yunnan	3855346	25.07	102.68	1892
Gejiu	CN	Yunnan	214294	23.37	103.15	\N
Qujing	CN	Yunnan	178669	25.48	103.8	1873
Hangzhou	CN	Zhejiang	6241971	30.25	120.17	\N
Ningbo	CN	Zhejiang	3491597	29.87	121.55	150
Wenzhou	CN	Zhejiang	3039439	28	120.7	\N
Huzhou	CN	Zhejiang	218071	30.87	120.1	\N
Jiaxing	CN	Zhejiang	211526	30.77	120.75	\N
Shaoxing	CN	Zhejiang	179818	30	120.58	\N
Xiaoshan	CN	Zhejiang	162930	30.17	120.25	\N
Ruian	CN	Zhejiang	156468	27.78	120.63	\N
Zhoushan	CN	Zhejiang	156317	30.17	122.4	\N
Jinhua	CN	Zhejiang	144280	29.08	119.65	\N
Yuyao	CN	Zhejiang	114056	30.05	121.15	\N
Cixi	CN	Zhejiang	107329	30.17	121.23	\N
Haining	CN	Zhejiang	100478	30.53	120.68	\N
Nanning	CN	Guangxi	3437171	22.82	108.32	\N
Liuzhou	CN	Guangxi	609320	24.32	109.38	\N
Guilin	CN	Guangxi	364130	25.27	110.28	153
Wuzhou	CN	Guangxi	210452	23.48	111.32	\N
Qinzhou	CN	Guangxi	114586	21.95	108.62	12
Guigang	CN	Guangxi	114025	23.1	109.61	45
Beihai	CN	Guangxi	112673	21.47	109.1	21
Hohhot	CN	Nei Mongol	652534	40.82	111.65	1065
Baotou	CN	Nei Mongol	2096851	40.65	109.83	1065
Yakeshi	CN	Nei Mongol	377869	49.28	120.72	657
Chifeng	CN	Nei Mongol	350077	42.25	118.88	586
Jining	CN	Nei Mongol	163552	35.4	116.57	\N
Wuhai	CN	Nei Mongol	264081	39.65	106.68	1150
Tongliao	CN	Nei Mongol	255129	43.62	122.27	179
Hailar	CN	Nei Mongol	180650	49.2	119.7	614
Ulanhot	CN	Nei Mongol	159538	46.13	122.8	\N
Linhe	CN	Nei Mongol	133183	40.85	107.43	\N
Manzhouli	CN	Nei Mongol	120023	49.6	117.43	\N
Yinchuan	CN	Ningxia	356652	38.47	106.27	1100
Shizuishan	CN	Ningxia	257862	39.23	106.77	\N
Wulumuqi	CN	Xinjiang	3029372	43.83	87.6	\N
Shihezi	CN	Xinjiang	299676	44.3	86.03	\N
Karamay	CN	Xinjiang	197602	45.6	84.88	354
Yining	CN	Xinjiang	177193	43.92	81.32	\N
Kashgar	CN	Xinjiang	174570	39.47	75.98	1270
Aksu	CN	Xinjiang	164092	41.17	80.25	\N
Hami	CN	Xinjiang	161315	42.84	93.5	759
Korla	CN	Xinjiang	159344	41.65	86.13	\N
Lhasa	CN	Xizang	106885	29.65	91.12	4200
Beijing	CN	Beijing	11716620	39.92	116.38	43.5
Shanghai	CN	Shanghai	22315474	31.2	121.5	4
Tianjin	CN	Tianjin	11090314	39.13	117.18	5
Chongqing	CN	Chongqing	7457600	29.56	106.57	237
Qianjiang	CN	Chongqing	205504	30.4	112.9	32
Orumiyeh	IR	West Azarbayejan	667499	37.56	45.07	1332
Khoy	IR	West Azarbayejan	200958	38.55	44.95	1148
Maragheh	IR	West Azarbayejan	162275	37.39	46.24	1456
Tabriz	IR	East Azarbayejan	1494998	38.07	46.3	1351.4
Kermanshah	IR	Kermanshah	851405	34.31	47.07	1350
Yasuj	IR	Kohgiluyeh and Boyerahmad	108505	30.67	51.59	2004
Bushehr	IR	Bushehr	195222	28.97	50.83	8
Shahr-e-Kord	IR	Chaharmahal and Bakhtiyari	159775	32.33	50.86	2070
Esfahan	IR	Esfahan	1756126	32.63	51.65	1574
Najafabad	IR	Esfahan	221814	32.85	51.6	\N
Khomeinishahr	IR	Esfahan	244696	32.7	51.52	\N
Shiraz	IR	Fars	1460665	29.62	52.53	1500
Rasht	IR	Gillan	639951	37.28	49.58	5
Hamedan	IR	Hamedan	525794	34.8	48.52	1850
Malayer	IR	Hamedan	159848	34.3	48.82	\N
Bandar Abbas	IR	Hormozgan	435751	27.18	56.27	9
Ilam	IR	Ilam	172213	33.64	46.42	1431
Kerman	IR	Kerman	534441	30.28	57.08	1755
Sirjan	IR	Kerman	185623	29.45	55.68	1730
Mashhad	IR	Khorasan-e-Razavi	2749374	36.3	59.6	995
Sabzevar	IR	Khorasan-e-Razavi	231557	36.21	57.68	977.6
Neyshabur	IR	Khorasan-e-Razavi	239185	36.21	58.8	1250
Ahvaz	IR	Khuzestan	1112021	31.32	48.67	17
Khorramshahr	IR	Khuzestan	129418	30.44	48.17	5
Dezful	IR	Khuzestan	248380	32.38	48.4	150
Masjed Soleyman	IR	Khuzestan	103369	31.94	49.3	372
Abadan	IR	Khuzestan	212744	30.34	48.3	3
Sanandaj	IR	Kurdestan	373987	35.31	46.99	1538
Khorramabad	IR	Lorestan	348216	33.49	48.36	1147
Borujerd	IR	Lorestan	240654	33.9	48.9	1573
Arak	IR	Markazi	484212	34.09	49.69	1718
Sari	IR	Mazandaran	296417	36.56	53.06	5
Amol	IR	Mazandaran	219915	36.47	52.35	76
Babol	IR	Mazandaran	219467	36.55	52.68	-2
Qaemshahr	IR	Mazandaran	196050	36.46	52.86	\N
Semnan	IR	Semnan	153680	35.57	53.4	1130
Zahedan	IR	Sistan and Baluchestan	560725	29.5	60.86	1352
Tehran	IR	Tehran	8154051	35.7	51.42	1200
Kashan	IR	Tehran	275325	33.99	51.48	982
Eslam Shahr	IR	Tehran	389102	35.56	51.23	1456
Yazd	IR	Yazd	486152	31.9	54.37	1216
Zanjan	IR	Zanjan	386851	36.67	48.48	1638
Ardebil	IR	Ardebil	482632	38.25	48.28	1351
Gorgan	IR	Golestan	329536	36.84	54.43	1350
Gonbad-e-Kavus	IR	Golestan	144546	37.25	55.17	\N
Karaj	IR	Alborz	1614626	35.84	51.01	1312
Qom	IR	Qom	1074036	34.64	50.88	928
Qazvin	IR	Qazvin	381598	36.27	50	\N
Bojnurd	IR	North Khorasan	199791	37.48	57.33	1070
Birjand	IR	South Khorasan	178020	32.87	59.2	1491
Muzaffarabad	PK	Azad Jammu and Kashmir	725000	34.21	73.28	737
Quetta	PK	Balochistan	565137	30.18	67	1680
Islamabad	PK	FCT Islamabad	529180	33.72	73.07	507
Gilgit	PK	Gilgit-Baltistan	216760	35.92	74.29	1500
Peshawar	PK	Khyber Pakhtunkhwa	982816	34.02	71.58	359
Mardan	PK	Khyber Pakhtunkhwa	245926	34.2	72.05	\N
Mingaora	PK	Khyber Pakhtunkhwa	173868	34.47	72.22	984
Lahore	PK	Punjab	5143495	31.55	74.34	217
Faisalabad	PK	Punjab	2008861	31.43	73.08	184
Gujranwala	PK	Punjab	1132509	32.15	74.18	\N
Rawalpindi	PK	Punjab	1409768	33.6	73.03	508
Multan	PK	Punjab	1197384	30.2	71.47	122
Sialkot	PK	Punjab	421502	32.5	74.54	256
Sargodha	PK	Punjab	458440	32.08	72.67	193
Jhang	PK	Punjab	293366	31.27	72.32	\N
Bahawalpur	PK	Punjab	408395	29.4	71.68	461
Kasur	PK	Punjab	245321	31.12	74.45	218
Gujrat	PK	Punjab	251792	32.57	74.08	\N
Okara	PK	Punjab	201815	30.81	73.45	105
Sahiwal	PK	Punjab	208778	30.66	73.11	152.4
Sheikhupura	PK	Punjab	280263	31.72	73.99	236
Wah Cantonment	PK	Punjab	198891	33.77	72.75	471
Rahimyar Khan	PK	Punjab	233537	28.42	70.3	\N
Jhelum	PK	Punjab	147392	32.93	73.73	250
Chiniot	PK	Punjab	172522	31.72	72.98	179
Dera Ghazi Khan	PK	Punjab	190542	30.05	70.63	\N
Kamoke	PK	Punjab	152288	31.97	74.22	\N
Burewala	PK	Punjab	152097	30.17	72.68	133
Karachi	PK	Sindh	9339023	24.86	67.01	8
Hyderabad	PK	Sindh	1166894	25.38	68.37	13
Sukkur	PK	Sindh	335551	27.71	68.85	67
Larkana	PK	Sindh	270283	27.56	68.23	147
Nawabshah	PK	Sindh	189244	26.15	68.25	\N
Mirpur Khas	PK	Sindh	189671	25.53	69.02	\N
Khujand	TAD	Sughd	165300	40.28	69.62	300
Qurghonteppa	TAD	Khatlon	75400	37.84	68.78	430
Kulyab	TAD	Khatlon	96800	37.91	69.78	580
Khorugh	TAD	Gorno-Badakhshan	\N	37.49	71.56	2123
Dushanbe	TAD	Dushanbe	747500	38.54	68.78	706
Ashgabat	TM	Ashgabat	604700	37.93	58.37	219
Anau	TM	Akhal	\N	37.88	58.53	\N
Balkanabat	TM	Balkan	108000	39.52	54.37	17
Dashhowuz	TM	Dashhowuz	165400	41.83	59.97	88
Turkmenabat	TM	Lebap	203000	39.08	63.57	187
Mary	TM	Mary	123000	37.6	61.83	226
Andijon	UZB	Andijon	403900	40.78	72.33	450
Buxoro	UZB	Buxoro	272500	39.77	64.43	225
Farg'ona	UZB	Fargʻona	264900	40.39	71.79	582
Qo‘qon	UZB	Fargʻona	233500	40.53	70.94	409
Marg‘ilon	UZB	Fargʻona	215400	40.47	71.72	487
Jizzax	UZB	Jizzax	163200	40.12	67.84	378
Urganch	UZB	Xorazm	137300	41.55	60.63	91
Namangan	UZB	Namangan	475700	41	71.67	450
Navoiy	UZB	Navoiy	134100	40.08	65.38	382
Qarshi	UZB	Qasqadaryo	254600	38.87	65.8	374
Samarqand	UZB	Samarqand	509000	39.7	66.98	702
Guliston	UZB	Sirdaryo	\N	40.48	68.78	271
Termiz	UZB	Surxondaryo	136200	37.22	67.28	302
Chirchiq	UZB	Toshkent	149400	41.47	69.58	582
Angren	UZB	Toshkent	175400	41.02	70.14	961
Olmaliq	UZB	Toshkent	121100	40.85	69.6	530
Nukus	UZB	Qoraqalpogʻiston	295200	42.47	59.6	76
Toshkent	UZB	Toshkent City	2352900	41.27	69.22	455
Yerevan	ARM	Armenia	1066264	40.18	44.52	989.4
Tbilisi	GE	Georgia	1073345	41.72	44.78	380
Kutaisi	GE	Georgia	185965	42.25	42.7	80
Batumi	GE	Georgia	121806	41.65	41.64	3
Sokhumi	GE	Georgia	62914	43	41.02	5
Baku	AZ	Azerbaijan	2150800	40.4	49.88	-28
Ganja	AZ	Azerbaijan	322600	40.68	46.36	408
Sumgayit	AZ	Azerbaijan	290500	40.59	49.67	26
Al Manāmah	BRN	Bahrain	143035	26.22	50.58	\N
Barisal	BD	Barisal	328278	22.8	90.5	1
Chittagong	BD	Chittagong	2971102	22.37	91.8	\N
Comilla	BD	Chittagong	339133	23.45	91.2	\N
Dhaka	BD	Dhaka	7423137	23.7	90.37	4
Tongi	BD	Dhaka	476349	23.89	90.41	\N
Narayanganj	BD	Dhaka	286330	23.62	90.5	3
Savar	BD	Dhaka	296851	\N	\N	\N
Mymensingh	BD	Dhaka	258040	24.75	90.4	19
Khulna	BD	Khulna	663342	22.82	89.55	9
Rajshahi	BD	Rajshahi	440604	24.37	88.6	18
Bogra	BD	Rajshahi	350397	24.85	89.37	21
Rangpur	BD	Rangpur	294265	25.56	89.25	34
Sylhet	BD	Sylhet	479837	24.9	91.87	35
Pathein	MYA	Ayeyarwady	286684	16.77	94.72	\N
Magwe	MYA	Magwe	\N	20.15	94.95	\N
Mandalay	MYA	Mandalay	1225133	21.98	96.08	22
Bago	MYA	Bago	491130	17.34	96.48	4
Yangon	MYA	Yangon	5209541	16.85	96.18	15
Monywa	MYA	Sagaing	371963	22.11	95.14	\N
Sagaing	MYA	Sagaing	\N	21.88	95.98	\N
Tavoy	MYA	Tanintharyi	\N	14.08	98.2	\N
Hakha	MYA	Chin	\N	22.65	93.61	1868
Myitkyina	MYA	Kachin	\N	25.38	97.4	\N
Hpa an	MYA	Kayin	\N	16.89	97.63	\N
Loikaw	MYA	Kayah	\N	19.67	97.21	884
Mawlamyine	MYA	Mon	288120	16.48	97.62	\N
Sittwe	MYA	Rakhine	149348	20.15	92.9	\N
Taunggyi	MYA	Shan	380665	20.78	97.03	1399
Nay Pyi Taw	MYA	Nay Pyi Taw	1158367	19.75	96.1	115
Visakhapatnam	IND	Andhra Pradesh	1728128	17.69	83.22	54
Vijayawada	IND	Andhra Pradesh	1034358	16.51	80.64	23
Guntur	IND	Andhra Pradesh	651382	16.3	80.44	30
Rajahmundry	IND	Andhra Pradesh	324881	16.98	81.78	14
Itanagar	IND	Arunachal Pradesh	\N	27.1	93.62	750
Gauhati	IND	Assam	584342	26.18	91.73	55.5
Dispur	IND	Assam	\N	26.14	91.79	55
Patna	IND	Bihar	1684222	25.6	85.1	53
Panaji	IND	Goa	\N	15.5	73.83	\N
Ahmadabad	IND	Gujarat	5577940	23.03	72.58	53
Surat	IND	Gujarat	4467797	21.18	72.83	13
Vadodara	IND	Gujarat	1670806	22.3	73.2	129
Rajkot	IND	Gujarat	1286678	22.3	70.78	128
Bhavnagar	IND	Gujarat	402338	21.76	72.15	24
Jamnagar	IND	Gujarat	350544	22.47	70.07	17
Gandhinagar	IND	Gujarat	\N	23.22	72.68	81
Simla	IND	Himachal Pradesh	\N	31.1	77.17	2205
Srinagar	IND	Jammu and Kashmir	1180570	34.09	74.79	1585
Jammu	IND	Jammu and Kashmir	\N	32.73	74.87	327
Bangalore	IND	Karnataka	8443675	12.97	77.57	920
Hubli	IND	Karnataka	648298	15.36	75.08	671
Mysore	IND	Karnataka	606755	12.26	76.6	763
Trivandrum	IND	Kerala	752490	8.49	76.95	10
Kochi	IND	Kerala	582588	9.97	76.28	0
Kozhikode	IND	Kerala	456618	11.25	75.77	1
Bhopal	IND	Madhya Pradesh	1798218	23.25	77.42	527
Indore	IND	Madhya Pradesh	1964086	22.7	75.9	553
Jabalpur	IND	Madhya Pradesh	1055525	23.17	79.93	412
Gwalior	IND	Madhya Pradesh	1054420	26.22	78.18	196
Ujjain	IND	Madhya Pradesh	362633	23.18	75.78	\N
Bhatpara	IND	Madhya Pradesh	315976	22.87	88.41	12
Mumbai	IND	Maharashtra	12442373	18.98	72.83	14
Nagpur	IND	Maharashtra	2405665	21.15	79.09	310
Pune	IND	Maharashtra	3124458	18.52	73.86	561
Kalyan	IND	Maharashtra	1247327	19.24	73.13	8.84
Thane	IND	Maharashtra	1841488	19.17	72.96	\N
Nashik	IND	Maharashtra	1486053	20	73.78	660
Sholapur	IND	Maharashtra	604215	17.68	75.92	457
Aurangabad	IND	Maharashtra	1175116	19.88	75.32	568
Amravati	IND	Maharashtra	421576	20.93	77.76	343
Kolhapur	IND	Maharashtra	406370	16.69	74.23	545.6
Bhiwandi	IND	Maharashtra	392214	19.3	73.06	24
Ulhasnagar	IND	Maharashtra	369077	19.22	73.15	19
Navi Mumbai	IND	Maharashtra	1120547	19.02	73.02	\N
Pimpri Chinchwad	IND	Maharashtra	1727692	18.62	73.8	570
Imphal	IND	Manipur	\N	24.82	93.95	786
Shillong	IND	Meghalaya	\N	25.57	91.88	1525
Aijal	IND	Mizoram	\N	23.73	92.72	1132
Kohima	IND	Nagaland	\N	25.67	94.11	1444
Bhubaneswar	IND	Odisha	411542	20.27	85.84	45
Cuttack	IND	Odisha	403418	20.52	85.79	36
Ludhiana	IND	Punjab	1618879	30.91	75.85	262
Amritsar	IND	Punjab	1132383	31.64	74.86	\N
Jalandhar	IND	Punjab	509510	31.33	75.58	228
Jaipur	IND	Rajasthan	3046163	26.9	75.8	431
Jodhpur	IND	Rajasthan	1033756	26.28	73.02	231
Kota	IND	Rajasthan	1001694	25.18	75.83	271
Bikaner	IND	Rajasthan	416289	28.02	73.31	242
Ajmer	IND	Rajasthan	402700	26.45	74.64	486
Gangtok	IND	Sikkim	\N	27.33	88.62	1600
Chennai	IND	Tamil Nadu	4646732	13.08	80.27	6
Madurai	IND	Tamil Nadu	1017865	9.9	78.1	101
Coimbatore	IND	Tamil Nadu	1050721	11.02	76.97	411.2
Tiruchirappalli	IND	Tamil Nadu	387223	10.81	78.69	88
Salem	IND	Tamil Nadu	366712	11.65	78.16	278
Agartala	IND	Tripura	\N	23.83	91.27	12.8
Lucknow	IND	Uttar Pradesh	2817105	26.8	80.9	128
Kanpur	IND	Uttar Pradesh	2765348	26.5	80.3	126
Varanasi	IND	Uttar Pradesh	1198491	25.28	82.96	80.71
Agra	IND	Uttar Pradesh	1585704	27.18	78.02	171
Allahabad	IND	Uttar Pradesh	1112544	25.45	81.85	98
Meerut	IND	Uttar Pradesh	1305429	28.99	77.7	224.659
Faridabad	IND	Uttar Pradesh	1414050	28.42	77.31	198
Bareilly	IND	Uttar Pradesh	590661	28.36	79.42	268
Gorakhpur	IND	Uttar Pradesh	505566	26.76	83.37	84
Aligarh	IND	Uttar Pradesh	480520	27.88	78.08	178
Moradabad	IND	Uttar Pradesh	429214	28.83	78.78	198
Saharanpur	IND	Uttar Pradesh	374945	29.96	77.55	\N
Jhansi	IND	Uttar Pradesh	313491	25.45	78.57	285
Aioun	RIM	Hodh El Gharbi	\N	16.67	-9.62	\N
Ghaziabad	IND	Uttar Pradesh	1648643	28.67	77.42	214
Kolkata	IND	West Bengal	4496694	22.57	88.37	9
Haora	IND	West Bengal	1077075	22.59	88.31	12
Durgapur	IND	West Bengal	425836	23.55	87.32	65
Port Blair	IND	Andaman and Nicobar Islands	\N	11.67	92.74	16
Chandigarh	IND	Chandigarh	510565	30.75	76.78	350
Silvassa	IND	Dadra and Nagar Haveli	\N	20.27	73.02	32
Daman	IND	Daman and Diu	\N	20.42	72.85	5
Delhi	IND	Delhi	11034555	28.61	77.23	0
Kavaratti	IND	Lakshadweep	\N	10.57	72.62	\N
Pondicherry	IND	Puducherry	\N	11.93	79.79	3
Raipur	IND	Chhattisgarh	1010433	20.92	82	298.15
Bhilai	IND	Chhattisgarh	395360	21.21	81.38	452
Ranchi	IND	Jharkhand	1073427	23.36	85.33	651
Jamshedpur	IND	Jharkhand	478950	22.8	86.3	135
Bokaro Steel City	IND	Jharkhand	333683	23.67	86.15	210
Hyderabad	IND	Telangana	6731790	17.37	78.48	505
Warangal	IND	Telangana	447653	18	79.58	302
Dehra Dun	IND	Uttarakhand	\N	30.32	78.03	435
Thimphu	BHT	Bhutan	42465	27.47	89.64	2334
Bandar Seri Begawan	BRU	Brunei	279924	4.89	114.94	9
Johor Bahru	MAL	Johor	384613	1.48	103.73	36.88
Alor Setar	MAL	Kedah	114949	6.12	100.37	7
Kota Bahru	MAL	Kelantan	233673	6.13	102.25	\N
Melaka	MAL	Melaka	369222	2.2	102.25	\N
Seremban	MAL	Negeri Sembilan	246441	2.72	101.95	79
Kuantan	MAL	Pahang	283041	3.82	103.33	21.95
Ipoh	MAL	Perak	566211	4.6	101.07	21.95
Taiping	MAL	Perak	183320	4.85	100.73	\N
Kangar	MAL	Perlis	\N	6.43	100.2	\N
Georgetown	MAL	Pulau Pinang	180573	5.4	100.23	\N
Kota Kinabalu	MAL	Sabah	354153	5.97	116.1	\N
Tawau	MAL	Sabah	213745	4.26	117.89	\N
Sandakan	MAL	Sabah	276791	5.83	118.12	12
Kuching Utara	MAL	Sarawak	152310	1.56	110.35	27
Sibu	MAL	Sarawak	167427	2.29	111.83	8
Petaling Jaya	MAL	Selangor	438084	3.08	101.65	\N
Shah Alam	MAL	Selangor	319612	3.08	101.53	\N
Klang	MAL	Selangor	563173	3.03	101.45	\N
Kuala Terengganu	MAL	Terengganu	250528	5.33	103.15	\N
Kuala Lumpur	MAL	Kuala Lumpur	1297526	3.13	101.68	21.95
Labuan	MAL	Labuan	\N	5.32	115.21	\N
Putrajaya	MAL	Putrajaya	\N	2.94	101.7	\N
Vientiane	LAO	Laos	698318	17.97	102.6	174
Chiang Mai	THA	Thailand	160200	18.8	99	310
Nakhon Sawan	THA	Thailand	142500	15.71	100.14	33
Khon Kaen	THA	Thailand	223300	16.43	102.83	\N
Nakhon Ratchasima	THA	Thailand	254900	14.98	102.1	\N
Ubon Ratchathani	THA	Thailand	149700	15.23	104.86	\N
Bangkok	THA	Thailand	7506700	13.75	100.47	1.5
Nonthaburi	THA	Thailand	481900	13.85	100.52	\N
Saraburi	THA	Thailand	125300	14.53	100.91	\N
Nakhon Si Thammarat	THA	Thailand	167400	8.44	99.96	9
Songkhla	THA	Thailand	294200	7.21	100.6	11
Samut Prakan	THA	Thailand	277600	13.6	100.6	\N
Chon Buri	THA	Thailand	233200	13.36	100.98	\N
Phuket	THA	Thailand	75573	7.89	98.4	\N
Phnom Penh	K	Cambodia	703963	11.55	104.92	11.89
Hanoi	VN	Vietnam	2644536	21.03	105.85	19
Haiphong	VN	Vietnam	846191	20.87	106.68	\N
Can Tho	VN	Vietnam	783122	10.03	105.78	0
Ho Chi Minh	VN	Vietnam	5968384	10.78	106.7	19
Da Nang	VN	Vietnam	770911	16.07	108.23	\N
Nha Trang	VN	Vietnam	292693	12.25	109.18	\N
Hue	VN	Vietnam	302983	16.47	107.58	\N
Nam Dinh	VN	Vietnam	193768	20.42	106.17	\N
Long Xuyen	VN	Vietnam	245699	10.37	105.45	\N
Qui Nhon	VN	Vietnam	255463	13.77	109.23	\N
Thai Nguyen	VN	Vietnam	199732	21.6	105.85	\N
Vung Tau	VN	Vietnam	282415	10.38	107.12	\N
Ha Long	VN	Vietnam	201990	20.95	107.08	\N
Cam Pha	VN	Vietnam	168196	21.02	107.32	70
Bien Hoa	VN	Vietnam	652646	10.95	106.82	\N
Vinh	VN	Vietnam	215577	18.67	105.67	\N
Buon Ma Thuot	VN	Vietnam	211891	12.67	108.05	536
Rach Gia	VN	Vietnam	210784	10.02	105.08	\N
Almaty	KAZ	Almaty City	1507737	43.28	76.9	500
Taldykurgan	KAZ	Almaty	135217	45.02	78.37	600
Koksetau	KAZ	Akmola	140846	53.28	69.38	234
Aqtobe	KAZ	Aktobe	377520	50.28	57.17	219
Atyrau	KAZ	Atyrau	196494	47.12	51.88	-20
Oral	KAZ	West Kazakhstan	227385	51.23	51.37	35
Aktau	KAZ	Mangistau	181526	43.65	51.15	-8
Shymkent	KAZ	South-Kazakhstan	683273	42.32	69.6	506
Pavlodar	KAZ	Pavlodar	329901	52.3	76.95	123
Ekibastuz	KAZ	Pavlodar	130903	51.67	75.37	347
Karaganda	KAZ	Karaganda	484596	49.83	73.17	546
Temirtau	KAZ	Karaganda	175632	50.05	72.95	\N
Zhezkazgan	KAZ	Karaganda	84765	47.78	67.7	300
Balkhash	KAZ	Karaganda	71203	46.85	75	440
Kustanay	KAZ	Kostanai	221970	53.2	63.62	125
Rudniy	KAZ	Kostanai	114170	52.97	63.13	\N
Kyzylorda	KAZ	Kyzylorda	213165	44.85	65.52	128
Oskemen	KAZ	East-Kazakhstan	314014	49.98	82.62	283
Semey	KAZ	East-Kazakhstan	312065	50.43	80.27	206
Petropavlovsk	KAZ	North-Kazakhstan	207402	54.88	69.17	140
Taraz	KAZ	Zhambyl	351476	42.9	71.37	610
Baikonur	KAZ	Baikonur	\N	45.62	63.32	100
Astana	KAZ	Astana	814401	51.17	71.43	347
Pyongyang	NOK	North Korea	3255288	39.02	125.74	38
Hamhung-Hungnam	NOK	North Korea	768551	39.92	127.53	\N
Chongjin	NOK	North Korea	667929	41.78	129.77	\N
Nampho	NOK	North Korea	366815	38.73	125.4	\N
Sunchon	NOK	North Korea	297317	39.42	125.93	\N
Sinuiju	NOK	North Korea	359341	40.1	124.4	\N
Tanchon	NOK	North Korea	345875	40.46	128.91	\N
Wonsan	NOK	North Korea	363127	39.15	127.45	\N
Tokchon	NOK	North Korea	237133	39.75	126.33	\N
Kanggye	NOK	North Korea	251971	40.97	126.6	\N
Haeju	NOK	North Korea	273300	38.05	125.72	\N
Anju	NOK	North Korea	240117	39.62	125.66	\N
Kim Chaek	NOK	North Korea	207299	40.67	129.2	\N
Kusong	NOK	North Korea	196515	39.97	125.17	\N
Huichon	NOK	North Korea	168180	40.17	126.28	\N
Sinpho	NOK	North Korea	152759	40.08	128.25	\N
Kaesong	NOK	North Korea	308440	37.97	126.55	\N
Kaechon	NOK	North Korea	319554	39.7	125.91	\N
Sariwon	NOK	North Korea	307764	38.51	125.75	\N
Bishkek	KGZ	Kyrgyzstan	901700	42.87	74.61	800
Osh	KGZ	Kyrgyzstan	265200	40.53	72.8	963
Hong Kong	HONX	Hong Kong	7055071	22.3	114.2	\N
Macao	MACX	Macao	\N	22.17	113.55	\N
Ulaanbaatar	MNG	Mongolia	760077	47.92	106.92	1350
Kathmandu	NEP	Nepal	1003285	27.7	85.33	1400
Pokhara	NEP	Nepal	264991	28.26	83.97	930
Lalitpur	NEP	Nepal	226728	27.67	85.32	1350
Biratnagar	NEP	Nepal	204949	26.45	87.28	80
Flying Fish Cove	XMAS	Christmas Island	\N	-10.25	105.43	\N
West Island	COCO	Cocos Islands	\N	-12.10	96.50	\N
Lefkosia	CY	Cyprus	55014	35.17	33.37	220
Larnaka	CY	Cyprus	51468	34.92	33.63	0
Lemesos	CY	Cyprus	101000	34.67	33.03	\N
Gaza	GAZA	Gaza Strip	449477	31.5	34.5	\N
Yerushalayim	IL	Yerushalayim	773000	31.78	35.22	754
Ramla	IL	HaMerkaz	65800	31.93	34.87	80
Rishon LeZiyyon	IL	HaMerkaz	228200	31.95	34.8	40
Petah Tiqwa	IL	HaMerkaz	209600	32.09	34.89	15
Haifa	IL	Hefa	265600	32.82	34.98	475
Nazareth	IL	HaZafon	72200	32.7	35.3	\N
Tel Aviv-Yafo	IL	Tel Aviv	403700	32.07	34.78	5
Be'er Sheva	IL	HaDarom	194300	31.26	34.8	260
Ashdod	IL	HaDarom	206400	31.8	34.65	\N
Hurghada	ET	Egypt	\N	27.26	33.81	14
Marsa Matruh	ET	Egypt	\N	31.33	27.22	30
Damanhur	ET	Egypt	241895	31.04	30.47	18
Kafr ad Dawwar	ET	Egypt	262748	31.13	30.13	6
Al Mansurah	ET	Egypt	437311	31.07	31.68	12
Tanta	ET	Egypt	421076	30.78	31	12
Al Mahallah al Kubra	ET	Egypt	442884	30.97	31.16	26
Al Isma'iliyah	ET	Egypt	300449	30.58	32.27	13
Shibin al Kum	ET	Egypt	177060	30.56	31.01	9
Banha	ET	Egypt	158389	30.46	31.19	19
Shubra al Khimah	ET	Egypt	1016722	30.13	31.24	16
Az Zaqaziq	ET	Egypt	302611	30.57	31.5	\N
Aswan	ET	Egypt	265004	24.09	32.9	194
Asyut	ET	Egypt	386086	27.18	31.17	70
Bani Suwayf	ET	Egypt	193535	29.07	31.08	16
Al Fayyum	ET	Egypt	316772	29.31	30.84	23
Al Jizah	ET	Egypt	2681863	30.02	31.22	19
Al Minya	ET	Egypt	235234	28.12	30.74	47
Qina	ET	Egypt	206831	26.17	32.73	75
Al Uqsur	ET	Egypt	451318	25.68	32.65	76
Suhaj	ET	Egypt	189638	26.55	31.7	61
Bur Sa'id	ET	Egypt	570768	31.25	32.28	3
Al Iskandariyah	ET	Egypt	4123869	31.2	29.92	5
Al Qahirah	ET	Egypt	8471859	30.05	31.23	23
As Suways	ET	Egypt	510935	29.97	32.55	5
Banda Aceh	RI	Aceh	223446	5.55	95.32	0
Medan	RI	Sumatera Utara	2097610	3.58	98.67	2.5
Pematang Siantar	RI	Sumatera Utara	234698	2.96	99.06	\N
Binjai	RI	Sumatera Utara	246154	3.6	98.48	28
Padang	RI	Sumatera Barat	833562	-0.95	100.35	0
Pekanbaru	RI	Riau	897767	0.53	101.45	12
Dumai	RI	Riau	253803	1.67	101.45	\N
Jambi	RI	Jambi	531857	-1.59	103.61	16
Palembang	RI	Sumatera Selatan	1455284	-2.99	104.76	8
Lubuk Linggau	RI	Sumatera Selatan	201308	-3.3	102.86	\N
Bengkulu	RI	Bengkulu	308544	-3.8	102.26	2
Bandar Lampung	RI	Lampung	881801	-5.45	105.27	15
Pangkal Pinang	RI	Kepulauan Bangka Belitung	174758	-2.13	106.12	13
Tanjungpinang	RI	Kepulauan Riau	\N	1.08	104.48	18
Batam	RI	Kepulauan Riau	944285	1.08	104.03	\N
Jakarta	RI	DKI Jakarta	9607787	-6.2	106.82	8
Bandung	RI	Jawa Barat	2394873	-6.92	107.6	768
Bogor	RI	Jawa Barat	950334	-6.6	106.8	265
Cirebon	RI	Jawa Barat	296389	-6.72	108.57	\N
Sukabumi	RI	Jawa Barat	298681	-6.92	106.93	584
Bekasi	RI	Jawa Barat	2334871	-6.23	107	11
Depok	RI	Jawa Barat	1738570	-6.39	106.83	50
Tasikmalaya	RI	Jawa Barat	635464	-7.33	108.2	\N
Cimahi	RI	Jawa Barat	541177	-6.88	107.53	768
Semarang	RI	Jawa Tengah	1555984	-6.97	110.42	4
Surakarta	RI	Jawa Tengah	499337	-7.57	110.82	\N
Pekalongan	RI	Jawa Tengah	281434	-6.88	109.67	\N
Tegal	RI	Jawa Tengah	239599	-6.87	109.13	5
Yogyakarta	RI	DI Yogyakarta	388627	-7.8	110.36	113
Surabaya	RI	Jawa Timur	2765487	-7.27	112.74	5
Malang	RI	Jawa Timur	820243	-7.98	112.62	476
Probolinggo	RI	Jawa Timur	217062	-7.75	113.22	\N
Kediri	RI	Jawa Timur	268507	-7.82	112.01	3
Serang	RI	Banten	577785	-6.12	106.15	39
Tangerang	RI	Banten	1798601	-6.18	106.63	\N
Tangerang Selatan	RI	Banten	1290322	-6.29	106.72	\N
Cilegon	RI	Banten	374559	-6.12	106.15	\N
Denpasar	RI	Bali	788589	-8.65	115.22	4
Mataram	RI	Nusa Tenggara Barat	402843	-8.58	116.12	26
Kupang	RI	Nusa Tenggara Timur	336239	-10.18	123.58	62
Pontianak	RI	Kalimantan Barat	554764	0	109.33	0
Akjoujt	RIM	Inchiri	\N	19.75	-14.38	\N
Palangkaraya	RI	Kalimantan Tengah	220962	-2.21	113.92	5
Bandjarmasin	RI	Kalimantan Selatan	625481	-3.33	114.58	1
Samarinda	RI	Kalimantan Timur	727500	-0.5	117.15	8
Balikpapan	RI	Kalimantan Timur	557579	-1.26	116.83	0
Manado	RI	Sulawesi Utara	410481	1.49	124.84	5
Palu	RI	Sulawesi Tengah	336532	-0.9	119.83	118
Makassar	RI	Sulawesi Selatan	1338663	-5.13	119.42	0
Kendari	RI	Sulawesi Tenggara	289966	-3.97	122.59	5
Gorontalo	RI	Gorontalo	153036	0.53	123.07	9
Mamuju	RI	Sulawesi Barat	\N	-2.67	118.86	390
Ambon	RI	Maluku	331254	-3.7	128.17	3
Ternate	RI	Maluku Utara	\N	0.68	127.4	\N
Manokwari	RI	Papua Barat	136302	-0.87	134.08	37
Jayapura	RI	Papua	256705	-2.53	140.72	287
Dili	TL	Timor-Leste	193563	-8.6	125.6	\N
Port Moresby	PNG	Papua New Guinea	318128	-9.51	147.22	35
Ar Ramadi	IRQ	al-Anbar	192556	33.42	43.31	\N
Al Hillah	IRQ	Babylon	268834	32.48	44.43	34
Baghdad	IRQ	Baghdad	5750000	33.33	44.43	34
Al Basrah	IRQ	Basrah	1400000	30.5	47.82	5
An Nasiriyah	IRQ	Thi Qar	265937	31.05	46.27	7
Ba'qubah	IRQ	Diala	114516	33.75	44.63	48
Kerbela	IRQ	Kerbela	296705	32.62	44.03	\N
Al Amarah	IRQ	Maysan	208797	32	47	12
As Samawah	IRQ	al-Muthanna	\N	31.32	45.28	9
An Najaf	IRQ	al-Najaf	309010	32	44.33	60
Al Mawsil	IRQ	Nineveh	1800000	36.34	43.13	223
Diwaniyah	IRQ	al-Qadisiya	196519	32	45	25
Samarra	IRQ	Salah al-Deen	\N	34.2	43.87	80
Kirkuk	IRQ	Kirkuk	750000	35.47	44.32	350
Al Kut	IRQ	Wasit	183183	32.51	45.82	23
Duhouk	IRQ	Duhouk	\N	36.87	43	565
Erbil	IRQ	Erbil	850000	36.19	44.01	420
As Sulaymaniyah	IRQ	As Sulaymaniyah	364096	35.56	45.44	882
Amman	JOR	Jordan	1812941	31.95	35.93	784
Zarqa	JOR	Jordan	395227	32.08	36.1	619
Irbid	JOR	Jordan	250645	32.55	35.85	620
Al Kuwayt	KWT	Kuwait	637411	29.37	47.98	\N
Arar	SA	Al-Hudud ash Shamaliyah	\N	30.98	41.02	536
Al Baha	SA	Al-Baha	\N	20	41.45	2155
Sakaka	SA	Al-Jouf	\N	29.97	40.2	566
Al Madinah	SA	Al-Madinah Al-Monawarah	918889	25	39.5	\N
Buraydah	SA	Al-Qaseem	\N	26.33	43.97	\N
Riyadh	SA	Al-Riyadh	4087152	24.63	46.72	612
Abha	SA	Aseer	\N	18.22	42.51	2400
Dammam	SA	Ash Sharqiyah	744321	26.28	50.2	\N
Hail	SA	Ha'il	\N	27.52	41.68	992
Jazan	SA	Jazan	\N	16.89	42.56	40
Makkah	SA	Makkah Al-Mokarramah	1294106	21.5	41	\N
Jeddah	SA	Makkah Al-Mokarramah	2801481	21.54	39.17	12
At Taif	SA	Makkah Al-Mokarramah	521273	21.43	40.35	1879
Najran	SA	Najran	\N	17.49	44.13	1293
Tabouk	SA	Tabouk	\N	28.4	36.58	760
Al Hasakah	SYR	Al Hasakah	254622	36.51	40.74	300
Al Qamishl	SYR	Al Hasakah	232258	37.05	41.22	455
Al Ladhiqiyah	SYR	Al Ladhiqiyah	424392	35.52	35.78	11
Al Qunaytirah	SYR	Al Qunaytirah	\N	33.12	35.82	1010
Ar Raqqah	SYR	Ar Raqqah	343870	35.95	39.02	245
As Suwayda'	SYR	As Suwayda'	147146	32.7	36.57	1080
Dar`a	SYR	Dar`a	146481	32.62	36.1	435
Dayr az Zawr	SYR	Dayr az Zawr	239196	35.33	40.15	210
Dimashq	SYR	Dimashq	1552161	33.51	36.29	680
Halab	SYR	Halab	2181061	36.22	37.17	379
Manbij	SYR	Halab	204766	36.53	37.95	460
Hamah	SYR	Hamah	467807	35.13	36.75	280
Hims	SYR	Hims	750501	34.73	36.71	501
Idlib	SYR	Idlib	126284	35.93	36.63	500
Ma`arrat an Nu`man	SYR	Idlib	150965	35.63	36.67	530
Duma	SYR	Rif Dimashq	181934	33.57	36.4	428
Tartus	SYR	Tartus	160862	34.88	35.88	20
Bayrūt	RL	Lebanon	1100000	33.89	35.51	\N
Ramallah	WEST	West Bank	\N	31.9	35.2	\N
Nablus	WEST	West Bank	126132	32.2	35.3	\N
Hebron	WEST	West Bank	163146	\N	\N	\N
Sapporo	J	Hokkaido	1904319	43.07	141.35	\N
Hakodate	J	Hokkaido	279127	41.77	140.73	\N
Aomori	J	Aomori	\N	40.82	140.75	2
Morioka	J	Iwate	\N	39.68	141.15	\N
Sendai	J	Miyagi	1020241	38.27	140.87	\N
Akita	J	Akita	\N	39.72	140.1	\N
Yamagata	J	Yamagata	\N	38.25	140.33	\N
Fukushima	J	Fukushima	\N	37.77	140.47	67
Mito	J	Ibaraki	\N	36.37	140.47	\N
Utsunomiya	J	Tochigi	508635	36.55	139.88	\N
Maebashi	J	Gumma	\N	36.39	139.06	\N
Saitama	J	Saitama	1223954	35.87	139.65	\N
Kawaguchi	J	Saitama	557710	35.8	139.72	\N
Chiba	J	Chiba	937146	35.6	140.1	2
Funabashi	J	Chiba	602996	35.7	139.98	\N
Matsudo	J	Chiba	476896	35.78	139.9	\N
Ichikawa	J	Chiba	458679	35.72	139.93	\N
Kashiwa	J	Chiba	396251	35.87	139.98	\N
Tokyo	J	Tokyo	8591695	35.68	139.68	\N
Hachioji	J	Tokyo	553914	35.67	139.32	\N
Machida	J	Tokyo	420243	35.55	139.45	\N
Yokohama	J	Kanagawa	3629257	35.44	139.64	\N
Kawasaki	J	Kanagawa	1388481	35.52	139.7	\N
Sagamihara	J	Kanagawa	700923	35.57	139.37	\N
Yokosuka	J	Kanagawa	420997	35.25	139.67	\N
Fujisawa	J	Kanagawa	413064	35.35	139.47	\N
Niigata	J	Niigata	802778	37.92	139.04	\N
Toyama	J	Toyama	416223	36.7	137.22	\N
Kanazawa	J	Ishikawa	445432	36.57	136.65	\N
Fukui	J	Fukui	\N	36.07	136.22	\N
Kofu	J	Yamanashi	\N	35.67	138.57	\N
Nagano	J	Nagano	\N	36.63	138.18	\N
Gifu	J	Gifu	409655	35.42	136.77	\N
Shizuoka	J	Shizuoka	713640	34.98	138.38	\N
Hamamatsu	J	Shizuoka	791710	34.71	137.73	\N
Nagoya	J	Aichi	2182154	35.18	136.9	\N
Toyota	J	Aichi	409157	35.08	137.15	\N
Tsu	J	Mie	\N	34.72	136.5	\N
Otsu	J	Shiga	\N	35.02	135.85	\N
Kyoto	J	Kyoto	1382113	35.01	135.77	\N
Osaka	J	Osaka	2543137	34.69	135.5	\N
Sakai	J	Osaka	838675	34.57	135.48	\N
Higashiosaka	J	Osaka	486260	34.68	135.6	\N
Hirakata	J	Osaka	406123	34.82	135.65	\N
Kobe	J	Hyogo	1512109	34.69	135.2	\N
Himeji	J	Hyogo	533832	34.82	134.68	\N
Nishinomiya	J	Hyogo	472650	34.74	135.34	\N
Amagasaki	J	Hyogo	457216	34.73	135.4	\N
Nara	J	Nara	\N	34.68	135.8	\N
Wakayama	J	Wakayama	\N	34.23	135.17	\N
Tottori	J	Tottori	\N	35.5	134.23	\N
Matsue	J	Shimane	\N	35.47	133.05	\N
Okayama	J	Okayama	691955	34.65	133.92	\N
Kurashiki	J	Okayama	476444	34.58	133.77	\N
Hiroshima	J	Hiroshima	1164654	34.39	132.46	\N
Fukuyama	J	Hiroshima	465645	34.48	133.37	\N
Yamaguchi	J	Yamaguchi	\N	34.18	131.47	\N
Tokushima	J	Tokushima	\N	34.07	134.55	\N
Takamatsu	J	Kagawa	424490	34.35	134.05	\N
Matsuyama	J	Ehime	514781	33.83	132.77	\N
Kochi	J	Kochi	\N	33.57	133.53	\N
Fukuoka	J	Fukuoka	1422831	33.58	130.4	\N
Kitakyushu	J	Fukuoka	974691	33.88	130.88	\N
Saga	J	Saga	\N	33.27	130.3	\N
Nagasaki	J	Nagasaki	439903	32.78	129.87	\N
Kumamoto	J	Kumamoto	725005	32.78	130.73	\N
Oita	J	Oita	472942	33.23	131.61	\N
Miyazaki	J	Miyazaki	402855	31.92	131.42	\N
Kagoshima	J	Kagoshima	605120	31.6	130.55	\N
Naha	J	Okinawa	\N	26.21	127.68	\N
Seoul	ROK	South Korea	9708483	37.57	126.97	\N
Busan	ROK	South Korea	3403135	35.17	129.07	\N
Daegu	ROK	South Korea	2444085	35.87	128.6	\N
Incheon	ROK	South Korea	2637652	37.48	126.63	\N
Gwangju	ROK	South Korea	1469293	35.17	126.92	\N
Daejeon	ROK	South Korea	1495453	36.35	127.39	\N
Ulsan	ROK	South Korea	1081985	35.55	129.32	\N
Suwon	ROK	South Korea	1064951	37.27	127.02	\N
Seongnam	ROK	South Korea	951424	37.43	127.15	\N
Jeonju	ROK	South Korea	643079	35.82	127.15	\N
Changwon	ROK	South Korea	1062731	35.27	128.66	2
Cheongju	ROK	South Korea	667726	36.63	127.48	39
Jinju	ROK	South Korea	337230	35.2	128.08	\N
Mokpo	ROK	South Korea	244543	34.76	126.38	\N
Jeju	ROK	South Korea	399416	33.51	126.52	\N
Gunsan	ROK	South Korea	256755	35.98	126.72	\N
Chuncheon	ROK	South Korea	273737	37.87	127.73	\N
Yeosu	ROK	South Korea	267921	34.73	127.73	\N
Goyang	ROK	South Korea	897174	37.65	126.8	\N
Yongin	ROK	South Korea	852505	37.23	127.2	\N
Bucheon	ROK	South Korea	847841	37.5	126.78	16
Ansan	ROK	South Korea	722598	37.32	126.83	139
Anyang	ROK	South Korea	603184	37.38	126.93	47
Male	MV	Maldives	133019	4.18	73.51	2.4
Muscat	OM	Oman	27216	23.6	58.58	20
As Seeb	OM	Oman	302992	23.68	58.18	\N
Abu Dhabi	UAE	United Arab Emirates	552000	24.47	54.37	\N
Al Ain	UAE	United Arab Emirates	348000	24.21	55.74	292
Dubai	UAE	United Arab Emirates	1171000	24.95	55.33	\N
Al Sharjah	UAE	United Arab Emirates	519000	25.36	55.39	\N
Sana'a	YE	Yemen	1527861	15.35	44.21	2250
Aden	YE	Yemen	570551	12.8	45.03	6
Ta'izz	YE	Yemen	458933	13.58	44.02	1370
al Hudaydah	YE	Yemen	402560	14.8	42.95	17
San Fernando	RP	Ilocos	114813	16.62	120.32	\N
Tuguegarao	RP	Cagayan Valley	129539	17.62	121.72	\N
Cauayan	RP	Cagayan Valley	114254	16.77	121.78	\N
San Fernando	RP	Central Luzon	269365	15.03	120.68	\N
San Jose Del Monte	RP	Central Luzon	439090	14.81	121.05	100
Calamba	RP	Calabarzon	360281	14.22	121.17	\N
Antipolo	RP	Calabarzon	633971	14.58	121.17	156
Legazpi	RP	Bicol	179481	13.13	123.73	\N
Iloilo	RP	Western Visayas	418710	11	122.67	\N
Bacolod	RP	Western Visayas	499497	10.67	122.95	10
Cebu	RP	Central Visayas	798809	10.32	123.75	\N
Tacloban	RP	Eastern Visayas	217199	11.24	125	2
Pagadian	RP	Zamboanga Peninsula	161312	7.83	123.43	100
Zamboanga	RP	Zamboanga Peninsula	774407	6.92	122.08	16
Cagayan De Oro	RP	Northern Mindanao	553966	8.48	124.65	10
Davao	RP	Davao	1363337	7.07	125.6	22.3
Koronadal	RP	Soccsksargen	149622	6.5	124.85	100
General Santos	RP	Soccsksargen	529542	6.12	125.17	15
Manila	RP	Metro Manila	1660714	14.58	121	16
Quezon City	RP	Metro Manila	2679450	14.63	121.03	17
Kalookan	RP	Metro Manila	1378856	14.65	120.97	\N
Makati	RP	Metro Manila	510383	14.55	121.03	15.4
Pasig	RP	Metro Manila	617301	14.58	121.08	\N
Pasay	RP	Metro Manila	403064	14.55	121	\N
Taguig	RP	Metro Manila	613343	14.52	121.05	16
Valenzuela	RP	Metro Manila	568928	14.7	120.98	38
Parañaque	RP	Metro Manila	552660	14.47	121.02	12
Las Piñas	RP	Metro Manila	532330	14.45	120.98	\N
Muntinlupa	RP	Metro Manila	452943	14.38	121.05	16
Mandaluyong	RP	Metro Manila	305576	14.58	121.03	\N
Marikina	RP	Metro Manila	424610	14.65	121.1	14.7
Baguio	RP	Cordillera	301926	16.42	120.6	1540
Cotabato	RP	Muslim Mindanao	259153	7.22	124.25	\N
Butuan	RP	Caraga	298378	8.95	125.53	1
Calapan	RP	Mimaropa	116976	13.4	121.18	\N
Doha	Q	Qatar	339847	25.29	51.53	7
Al Rayyan	Q	Qatar	272860	25.32	51.37	\N
Singapore	SGP	Singapore	5076700	1.3	103.8	\N
Sri Jayawardhanapura Kotte	CL	Sri Lanka	116366	6.91	79.89	0
Colombo	CL	Sri Lanka	647100	6.93	79.84	1
Taipei	RC	Taiwan	2673226	25.03	121.63	10
New Taipei	RC	Taiwan	3939305	25.01	121.45	\N
Changhua	RC	Taiwan	236636	24.07	120.53	20
Hualien	RC	Taiwan	108077	23.97	121.61	\N
Pingtung	RC	Taiwan	207862	22.68	120.49	20
Taitung	RC	Taiwan	107720	22.76	121.14	\N
Taoyuan	RC	Taiwan	413488	24.99	121.31	\N
Jhongli	RC	Taiwan	376217	24.96	121.22	\N
Chiayi	RC	Taiwan	271220	23.48	120.45	69
Keelung	RC	Taiwan	377153	25.13	121.73	\N
Hsinchu	RC	Taiwan	425071	24.82	120.98	\N
Kaohsiung	RC	Taiwan	2778659	22.63	120.27	9
Taichung	RC	Taiwan	2684893	24.15	120.67	\N
Tainan	RC	Taiwan	1881645	22.98	120.18	\N
The Valley	AXA	Anguilla	\N	18.22	-63.05	9
Saint Johns	AG	Antigua and Barbuda	22219	17.12	-61.85	0
Oranjestad	ARU	Aruba	\N	12.52	-70.04	4
Nassau	BS	Bahamas	248948	25.07	-77.33	10
Bridgetown	BDS	Barbados	88529	13.11	-59.61	1
Belmopan	BZ	Belize	13654	17.25	-88.77	76
Belize City	BZ	Belize	53532	17.5	-88.19	0
Ciudad de Guatemala	GCA	Guatemala	992541	14.61	-90.54	1500
Mixco	GCA	Guatemala	483705	14.63	-90.61	1600
Villa Nueva	GCA	Guatemala	527174	14.53	-90.59	1330
Cobán	GCA	Guatemala	232703	15.48	-90.37	1320
Aguascalientes	MEX	Aguascalientes	722250	21.85	-102.3	1888
Mexicali	MEX	Baja California	689775	32.66	-115.47	8
Tijuana	MEX	Baja California	1300983	32.53	-117.03	20
Ensenada	MEX	Baja California	279765	31.86	-116.61	16
La Paz	MEX	Baja California Sur	215178	24.14	-110.31	27
Campeche	MEX	Campeche	220389	19.85	-90.53	10
Tuxtla Gutiérrez	MEX	Chiapas	537102	16.75	-93.12	522
Tapachula	MEX	Chiapas	202672	14.9	-92.27	177
Chihuahua	MEX	Chihuahua	809232	28.64	-106.09	1415
Ciudad Juárez	MEX	Chihuahua	789522	31.74	-106.49	1137
Saltillo	MEX	Coahuila	709671	25.43	-101	1600
Torreón	MEX	Coahuila	608836	25.54	-103.45	1120
Monclova	MEX	Coahuila	215271	26.91	-101.42	620
Colima	MEX	Colima	137383	19.24	-103.72	305
Gómez Palacio	MEX	Durango	257352	25.58	-103.5	\N
Durango	MEX	Durango	518709	24.02	-104.67	1880
León	MEX	Guanajuato	1238962	21.12	-101.68	1815
Salamanca	MEX	Guanajuato	160169	20.57	-101.2	1721
Irapuato	MEX	Guanajuato	380941	20.67	-101.35	1724
Celaya	MEX	Guanajuato	340387	20.52	-100.81	1767
Guanajuato	MEX	Guanajuato	72237	21.02	-101.27	\N
Acapulco	MEX	Guerrero	673479	16.86	-99.88	30
Chilpancingo	MEX	Guerrero	187251	17.55	-99.5	1253
Pachuca	MEX	Hidalgo	256584	20.1	-98.75	2432
Guadalajara	MEX	Jalisco	1495182	20.67	-103.35	1566
Zapopan	MEX	Jalisco	1142483	20.72	-103.39	1571
Tlaquepaque	MEX	Jalisco	575942	20.67	-103.35	1870
Tonala	MEX	Jalisco	408759	20.62	-103.23	\N
Toluca	MEX	México, Estado de	489333	19.29	-99.66	2660
Ciudad López Mateos	MEX	México, Estado de	489160	19.56	-99.25	2280
Tlalnepantla	MEX	México, Estado de	653410	19.54	-99.19	2250
Chimalhuacán	MEX	México, Estado de	612383	19.44	-98.95	2240
Buenavista	MEX	México, Estado de	206081	19.61	-99.17	\N
San Pablo	MEX	México, Estado de	189453	19.67	-99.09	\N
Cuautitlán Izcalli	MEX	México, Estado de	484573	19.65	-99.21	2280
Nezahualcóyotl	MEX	México, Estado de	1104585	19.4	-98.99	2220
Ecatepec	MEX	México, Estado de	1655015	19.61	-99.06	2250
Naucalpan	MEX	México, Estado de	792211	19.48	-99.24	2300
Morelia	MEX	Michoacán	597511	19.77	-101.19	1921
Uruapan	MEX	Michoacán	264439	19.42	-102.06	1620
Zamora de Hidalgo	MEX	Michoacán	141627	19.98	-102.28	1580
Cuernavaca	MEX	Morelos	338650	18.92	-99.23	1510
Jiutepec	MEX	Morelos	162427	18.88	-99.17	1355
Cuautla Morelos	MEX	Morelos	154358	18.81	-99.96	1294
Tepic	MEX	Nayarit	332863	21.51	-104.89	920
Monterrey	MEX	Nuevo Léon	1135512	25.67	-100.3	540
Guadalupe	MEX	Nuevo Léon	673616	25.68	-100.26	500
San Nicolás de los Garzas	MEX	Nuevo Léon	443273	25.75	-100.28	512
Ciudad Santa Catarina	MEX	Nuevo Léon	268347	25.68	-100.45	680
San Pedro Garza García	MEX	Nuevo Léon	122627	25.67	-100.3	540
Oaxaca	MEX	Oaxaca	255029	17.07	-96.72	1555
Puebla	MEX	Puebla	1434062	19.03	-98.18	2135
Tehuacán	MEX	Puebla	248716	18.47	-97.4	\N
Querétaro	MEX	Querétaro	626495	20.59	-100.39	1820
Cancún	MEX	Quintana Roo	628306	21.16	-86.85	10
Chetumal	MEX	Quintana Roo	151243	18.5	-88.31	10
San Luis Potosí	MEX	San Luis Potosí	722772	22.15	-100.84	1850
Soledad Díez Gutiérrez	MEX	San Luis Potosí	255015	22.18	-100.93	\N
Culiacán	MEX	Sinaloa	675773	24.8	-107.39	54
Mazatlán	MEX	Sinaloa	381583	23.22	-106.42	\N
Los Mochis	MEX	Sinaloa	256613	25.78	-108.99	10
Hermosillo	MEX	Sonora	715061	29.1	-110.95	210
Ciudad Obregón	MEX	Sonora	298625	27.49	-109.93	40
Nogales	MEX	Sonora	212533	31.32	-110.95	1199
Villahermosa	MEX	Tabasco	353577	17.99	-92.93	20
Ciudad Victoria	MEX	Tamaulipas	305155	23.73	-99.13	316
Tampico	MEX	Tamaulipas	297284	22.26	-97.87	10
Matamoros	MEX	Tamaulipas	449815	25.88	-97.5	9
Reynosa	MEX	Tamaulipas	589466	26.09	-98.28	33
Nuevo Laredo	MEX	Tamaulipas	373725	27.49	-99.51	\N
Ciudad Madero	MEX	Tamaulipas	197216	22.25	-97.83	\N
Tlaxcala	MEX	Tlaxcala	14692	19.3	-98.23	2239
Córdoba	MEX	Veracruz	140896	18.89	-96.93	860
Xalapa-Enríquez	MEX	Veracruz	424755	19.54	-96.93	1440
Coatzacoalcos	MEX	Veracruz	235983	18.15	-94.43	10
Poza Rica de Hidalgo	MEX	Veracruz	185242	20.53	-97.45	50
Minatitlán	MEX	Veracruz	112046	17.98	-94.55	20
Orizaba	MEX	Veracruz	120844	18.85	-97.1	\N
Veracruz	MEX	Veracruz	428323	19.43	-96.38	\N
Boca del Río	MEX	Veracruz	126507	19.11	-96.11	16
Mérida	MEX	Yucatán	777615	20.97	-89.62	10
Zacatecas	MEX	Zacatecas	129011	22.77	-102.58	2440
Ciudad de México	MEX	Distrito Federal	8555272	19.43	-99.13	2250
Hamilton	BERM	Bermuda	\N	32.29	-64.78	\N
Road Town	BVIR	British Virgin Islands	\N	18.27	-64.37	\N
Edmonton	CDN	Alberta	812201	53.53	-113.5	645
Calgary	CDN	Alberta	1096833	51.05	-114.07	1045
Vancouver	CDN	British Columbia	603502	49.25	-123.1	0
Burnaby	CDN	British Columbia	223218	49.27	-122.97	0
Victoria	CDN	British Columbia	\N	48.43	-123.37	23
Surrey	CDN	British Columbia	468251	49.18	-122.85	0
Richmond	CDN	British Columbia	190473	49.17	-123.13	10
Winnipeg	CDN	Manitoba	663617	49.9	-97.14	230
Fredericton	CDN	New Brunswick	56224	45.96	-66.65	20
St. John's	CDN	Newfoundland and Labrador	106172	47.57	-52.71	0
Gander	CDN	Newfoundland and Labrador	\N	48.96	-54.61	128
Yellowknife	CDN	Northwest Territories	19234	62.44	-114.4	206
Halifax	CDN	Nova Scotia	390096	44.65	-63.57	10
Ottawa	CDN	Ontario	883391	45.42	-75.68	70
Vaughan	CDN	Ontario	288301	43.83	-79.5	\N
Gatineau	CDN	Ontario	265349	45.48	-75.65	\N
London	CDN	Ontario	366151	42.98	-81.25	251
Hamilton	CDN	Ontario	519949	43.25	-79.87	75
Toronto	CDN	Ontario	2615060	43.7	-79.4	76
Kitchener	CDN	Ontario	219153	43.45	-80.48	\N
Windsor	CDN	Ontario	210891	42.28	-83	190
Oshawa	CDN	Ontario	149607	43.9	-78.85	106
Mississauga	CDN	Ontario	713443	43.6	-79.65	156
Brampton	CDN	Ontario	523911	43.68	-79.77	218
Markham	CDN	Ontario	301709	43.88	-79.25	200
Burlington	CDN	Ontario	175779	43.32	-79.8	74
Saint Catharines	CDN	Ontario	131400	43.18	-79.23	97.8
Thunder Bay	CDN	Ontario	108359	48.38	-89.25	199
Charlottetown	CDN	Prince Edward Island	34562	46.23	-63.15	0
Laval	CDN	Quebec	401553	45.58	-73.75	91
Montréal	CDN	Quebec	1649519	45.5	-73.57	30
Quebec	CDN	Quebec	516622	46.82	-71.22	98
Longueuil	CDN	Quebec	231409	45.53	-73.52	\N
Regina	CDN	Saskatchewan	193100	50.45	-104.61	577
Saskatoon	CDN	Saskatchewan	222189	52.13	-106.68	481.5
Whitehorse	CDN	Yukon	23276	60.72	-135.05	670
Iqaluit	CDN	Nunavut	6699	63.75	-68.52	\N
Birmingham	USA	Alabama	212193	33.65	-86.81	196
Mobile	USA	Alabama	195102	30.69	-88.04	3
Montgomery	USA	Alabama	205597	32.36	-86.28	73
Huntsville	USA	Alabama	180241	34.73	-86.58	193
Anchorage	USA	Alaska	291826	61.22	-149.9	31
Juneau	USA	Alaska	31275	58.3	-134.42	17
Phoenix	USA	Arizona	1513367	33.45	-112.07	331
Tucson	USA	Arizona	526116	32.22	-110.93	728
Mesa	USA	Arizona	439611	33.42	-111.83	379
Glendale	USA	Arizona	226437	33.54	-112.19	351
Scottsdale	USA	Arizona	217355	33.5	-111.93	383
Tempe	USA	Arizona	161778	33.43	-111.94	348
Chandler	USA	Arizona	236176	33.3	-111.83	370
Peoria	USA	Arizona	154084	33.58	-112.24	348
Gilbert	USA	Arizona	208414	33.35	-111.79	377
Little Rock	USA	Arkansas	193524	34.74	-92.33	102
Los Angeles	USA	California	3884307	34.05	-118.25	93
San Diego	USA	California	1355896	32.72	-117.16	129
San Jose	USA	California	998537	37.33	-121.9	25
San Francisco	USA	California	837442	37.78	-122.42	16
Long Beach	USA	California	462257	33.77	-118.2	9
Fresno	USA	California	509924	36.75	-119.77	94
Sacramento	USA	California	466488	38.56	-121.47	9
Oakland	USA	California	390865	37.8	-122.27	13
Santa Ana	USA	California	324712	33.74	-117.88	35
Anaheim	USA	California	336511	33.84	-117.89	48
Riverside	USA	California	303871	33.95	-117.4	252
Stockton	USA	California	291731	37.98	-121.3	4
Bakersfield	USA	California	347568	35.37	-119.02	123
Huntington Beach	USA	California	191037	33.69	-118	12
Fremont	USA	California	214079	37.55	-121.99	17
Glendale	USA	California	191713	34.17	-118.25	159
San Bernardino	USA	California	209959	34.1	-117.3	321
Modesto	USA	California	201187	37.66	-120.99	27
Chula Vista	USA	California	243916	32.63	-117.05	20
Oxnard	USA	California	197899	34.19	-119.18	16
Garden Grove	USA	California	171010	33.78	-117.96	27
Oceanside	USA	California	167086	33.21	-117.33	20
Ontario	USA	California	163924	34.05	-117.63	306
Moreno Valley	USA	California	193365	33.94	-117.23	497
Torrance	USA	California	145438	33.83	-118.34	27
Pomona	USA	California	149058	34.06	-117.76	259
Pasadena	USA	California	137122	34.16	-118.13	263
Irvine	USA	California	211906	33.67	-117.82	17
Sunnyvale	USA	California	140058	37.37	-122.04	38
Santa Clarita	USA	California	176320	34.42	-118.51	368
Santa Rosa	USA	California	167834	38.45	-122.7	50
Hayward	USA	California	144342	37.67	-122.08	32
Fullerton	USA	California	135258	33.88	-117.93	50
Orange	USA	California	136426	33.8	-117.83	58
Rancho Cucamonga	USA	California	165350	34.12	-117.58	368
Escondido	USA	California	143913	33.12	-117.08	197
Lancaster	USA	California	156633	34.68	-118.15	719
Concord	USA	California	122110	37.98	-122.03	23
Thousand Oaks	USA	California	126683	34.19	-118.87	270
Salinas	USA	California	150498	36.68	-121.66	16
Inglewood	USA	California	109673	33.96	-118.35	40
El Monte	USA	California	113475	34.07	-118.03	91
Vallejo	USA	California	115940	38.11	-122.24	21
Simi Valley	USA	California	124239	34.27	-118.74	234
Palmdale	USA	California	152750	34.58	-118.1	810
Fontana	USA	California	196069	34.1	-117.47	377
Berkeley	USA	California	112497	37.87	-122.27	52
West Covina	USA	California	106098	34.06	-117.92	117
Costa Mesa	USA	California	109935	33.67	-117.91	30
Norwalk	USA	California	105549	33.91	-118.08	28
Corona	USA	California	152374	33.87	-117.57	207
Richmond	USA	California	103670	37.94	-122.35	14
Denver	USA	Colorado	649495	39.76	-104.88	1564
Colorado Springs	USA	Colorado	417341	38.87	-104.76	1840
Aurora	USA	Colorado	324601	39.73	-104.83	1668
Lakewood	USA	Colorado	142999	39.7	-105.08	1682
Fort Collins	USA	Colorado	144073	40.56	-105.08	1525
Bridgeport	USA	Connecticut	144236	41.19	-73.2	1
Hartford	USA	Connecticut	124775	41.76	-72.67	18
New Haven	USA	Connecticut	129868	41.31	-72.92	18
Stamford	USA	Connecticut	122643	41.05	-73.54	7
Waterbury	USA	Connecticut	110366	41.56	-73.04	82
Dover	USA	Delaware	37366	39.16	-75.53	11
Jacksonville	USA	Florida	842583	30.34	-81.66	5
Miami	USA	Florida	399508	25.78	-80.21	2
Tampa	USA	Florida	335715	27.97	-82.48	15
St. Petersburg	USA	Florida	245193	27.77	-82.64	13
Hialeah	USA	Florida	224667	25.86	-80.29	2
Orlando	USA	Florida	238834	28.42	-81.3	25
Fort Lauderdale	USA	Florida	165502	26.13	-80.15	3
Tallahassee	USA	Florida	181383	30.46	-84.25	62
Hollywood	USA	Florida	140769	26.02	-80.17	3
Coral Springs	USA	Florida	121098	26.27	-80.26	4
Cape Coral	USA	Florida	154305	26.64	-81.98	2
Pembroke Pines	USA	Florida	154019	26.01	-80.31	2
Clearwater	USA	Florida	108261	27.97	-82.76	9
Port St. Lucie	USA	Florida	164719	27.28	-80.35	5
Atlanta	USA	Georgia	420279	33.76	-84.39	225
Columbus	USA	Georgia	189885	32.49	-84.94	74
Savannah	USA	Georgia	136341	32.02	-81.12	15
Augusta	USA	Georgia	195844	33.47	-81.97	41
Athens	USA	Georgia	115453	33.95	-83.38	194
Honolulu	USA	Hawaii	337256	21.3	-157.82	6
Hilo	USA	Hawaii	43263	19.71	-155.09	18
Boise City	USA	Idaho	206105	43.62	-116.2	832
Chicago	USA	Illinois	2718782	41.84	-87.68	181
Rockford	USA	Illinois	153044	42.26	-89.06	222
Aurora	USA	Illinois	197952	41.76	-88.29	219
Springfield	USA	Illinois	116315	39.7	-89.62	170
Peoria	USA	Illinois	115021	40.72	-89.61	201
Naperville	USA	Illinois	142089	41.75	-88.17	214
Joliet	USA	Illinois	147457	41.52	-88.15	187
Indianapolis	USA	Indiana	843393	39.77	-86.15	218
Fort Wayne	USA	Indiana	253706	41.08	-85.14	247
Evansville	USA	Indiana	120081	37.98	-87.55	118
South Bend	USA	Indiana	101075	41.67	-86.26	211
Des Moines	USA	Iowa	204192	41.59	-93.62	291
Cedar Rapids	USA	Iowa	126326	41.98	-91.67	247
Wichita	USA	Kansas	382386	37.69	-97.34	396
Kansas City	USA	Kansas	145786	39.11	-94.68	265
Overland Park	USA	Kansas	173334	38.98	-94.67	331
Topeka	USA	Kansas	127474	39.06	-95.69	288
Louisville	USA	Kentucky	609893	38.25	-85.77	142
Lexington	USA	Kentucky	295803	38.03	-84.49	298
Frankfort	USA	Kentucky	27269	38.2	-84.87	155
New Orleans	USA	Louisiana	343829	29.95	-90.07	-2
Baton Rouge	USA	Louisiana	229452	30.45	-91.13	17
Shreveport	USA	Louisiana	200410	32.51	-93.75	44
Lafayette	USA	Louisiana	120719	30.22	-92.03	11
Augusta	USA	Maine	19132	44.31	-69.78	21
Baltimore	USA	Maryland	622104	39.28	-76.62	10
Annapolis	USA	Maryland	38274	38.97	-76.5	12
Boston	USA	Massachusetts	645966	42.36	-71.06	43
Worcester	USA	Massachusetts	181041	42.27	-71.8	146
Springfield	USA	Massachusetts	153060	42.1	-72.59	21
Lowell	USA	Massachusetts	106519	42.64	-71.31	31
Detroit	USA	Michigan	688701	42.33	-83.05	183
Grand Rapids	USA	Michigan	188051	42.96	-85.66	195
Warren	USA	Michigan	134056	42.49	-83.02	191
Flint	USA	Michigan	102400	43.01	-83.69	229
Lansing	USA	Michigan	114297	42.73	-84.55	262
Sterling Heights	USA	Michigan	129699	42.58	-83.03	187
Ann Arbor	USA	Michigan	113946	42.28	-83.75	256
Minneapolis	USA	Minnesota	382578	44.98	-93.27	253
St. Paul	USA	Minnesota	285068	44.94	-93.09	214
Jackson	USA	Mississippi	173513	32.3	-90.18	85
Kansas City	USA	Missouri	459787	39.1	-94.58	277
St. Louis	USA	Missouri	319356	38.63	-90.2	142
Springfield	USA	Missouri	159500	37.2	-93.29	396
Independence	USA	Missouri	116830	39.08	-94.41	315
Jefferson City	USA	Missouri	43088	38.58	-92.17	192
Helena	USA	Montana	28197	46.6	-112.03	1181
Billings	USA	Montana	104190	45.79	-108.54	952
Omaha	USA	Nebraska	416969	41.25	-96	332
Lincoln	USA	Nebraska	258468	40.81	-96.68	359
Las Vegas	USA	Nevada	603488	36.17	-115.14	610
North Las Vegas	USA	Nevada	216701	36.23	-115.15	672
Reno	USA	Nevada	225988	39.53	-119.82	1374
Henderson	USA	Nevada	257437	36.03	-114.98	569
Carson City	USA	Nevada	32022	39.16	-119.75	1464
Paradise	USA	Nevada	223167	36.08	-115.12	627
Sunrise Manor	USA	Nevada	189372	36.18	-115.06	555
Spring Valley	USA	Nevada	178395	36.11	-115.25	721
Manchester	USA	New Hampshire	109571	42.99	-71.46	64
Concord	USA	New Hampshire	42695	43.21	-71.54	88
Newark	USA	New Jersey	277138	40.72	-74.17	4
Jersey City	USA	New Jersey	247643	40.71	-74.07	6
Paterson	USA	New Jersey	146199	40.91	-74.16	34
Elizabeth	USA	New Jersey	124969	40.67	-74.19	5
Trenton	USA	New Jersey	84913	40.22	-74.76	15
Albuquerque	USA	New Mexico	556495	35.11	-106.61	1620
Santa Fe	USA	New Mexico	67973	35.67	-105.96	2195
New York	USA	New York	8405837	40.71	-74.01	10
Buffalo	USA	New York	261325	42.9	-78.85	183
Rochester	USA	New York	210512	43.17	-77.61	154
Yonkers	USA	New York	195979	40.94	-73.86	25
Syracuse	USA	New York	145196	43.05	-76.14	116
Albany	USA	New York	97856	42.65	-73.76	60
Charlotte	USA	North Carolina	792862	35.23	-80.84	229
Raleigh	USA	North Carolina	403971	35.78	-78.64	96
Greensboro	USA	North Carolina	268878	36.08	-79.82	273
Winston-Salem	USA	North Carolina	229634	36.1	-80.26	296
Durham	USA	North Carolina	228404	35.99	-78.91	123
Fayetteville	USA	North Carolina	200574	35.05	-78.88	80
Bismarck	USA	North Dakota	61264	46.81	-100.78	514
Fargo	USA	North Dakota	105549	46.88	-96.79	276
Columbus	USA	Ohio	822553	39.98	-82.98	275
Cleveland	USA	Ohio	396697	41.48	-81.67	199
Cincinnati	USA	Ohio	296950	39.1	-84.52	147
Toledo	USA	Ohio	287206	41.67	-83.58	187
Akron	USA	Ohio	199092	41.07	-81.52	306
Dayton	USA	Ohio	141761	39.76	-84.19	225
Oklahoma City	USA	Oklahoma	610613	35.48	-97.53	366
Tulsa	USA	Oklahoma	391886	36.13	-95.94	220
Portland	USA	Oregon	609456	45.52	-122.68	15.2
Eugene	USA	Oregon	156358	44.05	-123.09	131
Salem	USA	Oregon	154732	44.93	-123.03	47
Philadelphia	USA	Pennsylvania	1553165	39.95	-75.17	12
Pittsburgh	USA	Pennsylvania	305702	40.44	-79.98	233
Erie	USA	Pennsylvania	101784	42.13	-80.09	199
Allentown	USA	Pennsylvania	118032	40.6	-75.48	103
Harrisburg	USA	Pennsylvania	49528	40.27	-76.88	98
Providence	USA	Rhode Island	178042	41.82	-71.42	23
Columbia	USA	South Carolina	130038	34.03	-80.9	89
Sioux Falls	USA	South Dakota	153897	43.54	-96.73	448
Pierre	USA	South Dakota	13646	44.37	-100.34	443
Memphis	USA	Tennessee	653450	35.12	-89.97	103
Nashville-Davidson	USA	Tennessee	634464	36.17	-86.78	182
Knoxville	USA	Tennessee	178765	35.97	-83.94	270
Chattanooga	USA	Tennessee	168828	35.05	-85.27	206
Houston	USA	Texas	2195914	29.76	-95.38	13
San Antonio	USA	Texas	1409019	29.42	-98.5	198
Dallas	USA	Texas	1257676	32.78	-96.8	131
El Paso	USA	Texas	674433	31.79	-106.42	1140
Austin	USA	Texas	885400	30.25	-97.75	149
Fort Worth	USA	Texas	792727	32.76	-97.33	199
Arlington	USA	Texas	365366	32.71	-97.12	184
Corpus Christi	USA	Texas	305215	27.74	-97.4	2
Lubbock	USA	Texas	229399	33.57	-101.88	993
Plano	USA	Texas	259841	33.02	-96.7	206
Garland	USA	Texas	226876	32.91	-96.64	168
Irving	USA	Texas	216287	32.81	-96.95	147
Amarillo	USA	Texas	190701	35.2	-101.85	1099
Laredo	USA	Texas	236086	27.52	-99.49	134
Brownsville	USA	Texas	175007	25.93	-97.48	10
Pasadena	USA	Texas	149300	29.68	-95.17	9
Mesquite	USA	Texas	139629	32.78	-96.61	151
Beaumont	USA	Texas	117267	30.08	-94.13	5
Grand Prairie	USA	Texas	175468	32.72	-97.02	157
Abilene	USA	Texas	117463	32.45	-99.75	524
Waco	USA	Texas	124810	31.55	-97.16	143
McAllen	USA	Texas	130242	26.22	-98.24	37
Wichita Falls	USA	Texas	104554	33.9	-98.51	289
Salt Lake City	USA	Utah	186443	40.75	-111.88	1288
Montpelier	USA	Vermont	7855	44.25	-72.57	183
Virginia Beach	USA	Virginia	437964	36.85	-75.98	3
Norfolk	USA	Virginia	242833	36.92	-76.2	2.13
Richmond	USA	Virginia	204247	37.53	-77.47	45.7
Chesapeake	USA	Virginia	222209	36.71	-76.24	9
Newport News	USA	Virginia	180918	37.07	-76.48	4.5
Arlington	USA	Virginia	207628	38.88	-77.11	\N
Hampton	USA	Virginia	137515	37.03	-76.36	3
Alexandria	USA	Virginia	139966	38.8	-77.05	12
Seattle	USA	Washington	652405	47.61	-122.33	0
Spokane	USA	Washington	209440	47.66	-117.42	562
Tacoma	USA	Washington	198397	47.24	-122.46	74
Vancouver	USA	Washington	161849	45.63	-122.6	52
Olympia	USA	Washington	46476	47.04	-122.89	29
Charleston	USA	West Virginia	51347	38.35	-81.63	182
Milwaukee	USA	Wisconsin	599164	43.05	-87.96	188
Madison	USA	Wisconsin	233362	43.07	-89.4	266
Green Bay	USA	Wisconsin	103913	44.51	-88.02	177
Cheyenne	USA	Wyoming	59488	41.15	-104.8	1848
Washington	USA	District of Columbia	646449	38.5	-77	\N
George Town	CAYM	Cayman Islands	\N	19.3	-81.39	3
San José	CR	San José	354409	9.93	-84.08	1172
Alajuela	CR	Alajuela	257382	10.02	-84.22	952
Cartago	CR	Cartago	150473	9.87	-83.92	1435
Heredia	CR	Heredia	119670	10	-84.12	1150
Liberia	CR	Guanacaste	36400	10.63	-85.43	144
Puntarenas	CR	Puntarenas	119814	9.97	-84.83	5
Limón	CR	Limón	107219	9.98	-83.03	0
Managua	NIC	Nicaragua	1028808	12.14	-86.25	83
León	NIC	Nicaragua	201100	12.43	-86.89	86
Chinandega	NIC	Nicaragua	133361	12.62	-87.15	50
Masaya	NIC	Nicaragua	166588	11.97	-86.1	242
Granada	NIC	Nicaragua	123697	11.93	-85.95	\N
Matagalpa	NIC	Nicaragua	150643	12.92	-85.92	680
Tipitapa	NIC	Nicaragua	130627	12.2	-86.1	50
Jinotega	NIC	Nicaragua	123548	13.17	-86	1000
Estelí	NIC	Nicaragua	122924	13.08	-86.35	843.97
Bocas del Toro	PA	Bocas del Toro	\N	9.34	-82.24	\N
Changuinola	PA	Bocas del Toro	98310	9.43	-82.52	\N
Penonomé	PA	Coclé	85737	8.52	-80.36	70
Colón	PA	Colón	206553	9.36	-79.9	9
El Porvenir	PA	Kuna Yala	\N	9.55	-78.97	\N
David	PA	Chiriquí	144858	8.43	-82.43	-6
La Palma	PA	Darién	\N	8.41	-78.15	\N
Chitre	PA	Herrera	48479	7.97	-80.43	24
Las Tablas	PA	Los Santos	\N	7.77	-80.28	42
Panamá City	PA	Panamá	880691	8.98	-79.52	2
San Miguelito	PA	Panamá	315019	9.03	-79.5	\N
Arraiján	PA	Panamá	220779	8.95	-79.65	\N
La Chorrera	PA	Panamá	161470	8.48	-79.95	\N
Santiago	PA	Veraguas	88997	8.11	-80.97	101
Cirilo Guainora	PA	Emberá	\N	\N	\N	\N
Chichica	PA	Ngöbe Buglé	\N	8.36	-81.67	\N
Camagüey	C	Camagüey	307841	21.38	-77.91	95
Ciego de Ávila	C	Ciego de Ávila	124103	21.85	-78.76	55
Cienfuegos	C	Cienfuegos	162178	22.15	-80.44	25
La Habana	C	La Habana	2141993	23.13	-82.38	59
Bayamo	C	Granma	164008	20.38	-76.64	55
Manzanillo	C	Granma	105967	20.34	-77.11	25
Guantánamo	C	Guantánamo	222243	20.14	-75.21	46
Holguín	C	Holguín	294313	20.89	-76.26	5
Victoria de las Tunas	C	Las Tunas	167424	20.96	-76.95	92
Matanzas	C	Matanzas	143774	23.05	-81.58	20
Pinar del Río	C	Pinar del Río	154063	22.41	-83.67	61
Sancti Spíritus	C	Sancti Spíritus	114324	21.93	-79.44	51
Santiago de Cuba	C	Santiago de Cuba	446233	20.02	-75.81	82
Santa Clara	C	Villa Clara	220210	22.41	-79.96	125
Nueva Gerona	C	Isla de la Juventud	\N	21.88	-82.8	17
Artemisa	C	Artemisa	\N	22.81	-82.76	50
San José de las Lajas	C	Mayabeque	\N	22.97	-82.16	135
Roseau	WD	Dominica	14725	15.3	-61.39	43
Santo Domingo	DOM	Dominican Republic	2749703	18.47	-69.95	14
Santiago	DOM	Dominican Republic	591985	19.47	-70.7	175
Port-au-Prince	RH	Haiti	875978	18.53	-72.33	98
Carrefour	RH	Haiti	430250	18.53	-72.4	39
Delmas	RH	Haiti	359451	18.55	-72.3	194
Pétion-Ville	RH	Haiti	271175	18.52	-72.28	\N
Cité Soleil	RH	Haiti	241055	18.58	-72.33	\N
Gonaïves	RH	Haiti	228725	19.45	-72.68	6
Cap-Haïtien	RH	Haiti	155505	19.76	-72.2	0
San Salvador	ES	El Salvador	354174	13.69	-89.19	658
Soyapango	ES	El Salvador	268228	13.73	-89.15	648
Mejicanos	ES	El Salvador	157188	13.73	-89.22	712
Ciudad Delgado	ES	El Salvador	129965	13.72	-89.17	603
Apopa	ES	El Salvador	143718	13.8	-89.18	443
Santa Ana	ES	El Salvador	245421	13.98	-89.53	665
Santa Tecla	ES	El Salvador	126353	13.67	-89.24	931
San Miguel	ES	El Salvador	218410	13.48	-88.18	129
La Ceiba	HCA	Atlántida	127590	15.77	-86.83	3
Tela	HCA	Atlántida	77031	15.78	-87.47	3
Trujillo	HCA	Colón	\N	15.92	-86	\N
Comayagua	HCA	Comayagua	87474	14.46	-87.65	594
Santa Rosa de Copan	HCA	Copán	25861	14.77	-88.78	1168
San Pedro Sula	HCA	Cortés	515458	15.5	-88.03	83
Puerto Cortes	HCA	Cortés	90161	15.88	-87.95	\N
Choloma	HCA	Cortés	151999	15.63	-88	\N
Choluteca	HCA	Choluteca	120791	13.3	-87.18	\N
Danlí	HCA	El Paraíso	135136	14.05	-86.58	814
Yuscaran	HCA	El Paraíso	\N	13.93	-86.82	1007
Tegucigalpa	HCA	Francisco Morazán	850227	14.1	-87.22	990
Siguatepeque	HCA	Francisco Morazán	60155	14.6	-87.83	\N
Puerto Lempira	HCA	Gracias a Dios	\N	15.27	-83.77	\N
La Esperanza	HCA	Intibucá	\N	14.31	-88.18	1700
Roatan	HCA	Islas de la Bahía	\N	16.3	-86.55	\N
La Paz	HCA	La Paz	\N	14.32	-87.67	750
Gracias	HCA	Lempira	\N	14.58	-88.58	800
Ocotepeque	HCA	Ocotepeque	\N	14.43	-89.18	\N
Juticalpa	HCA	Olancho	84641	14.67	-86.22	410
Santa Barbara	HCA	Santa Bárbara	\N	14.92	-88.23	\N
Nacaome	HCA	Valle	\N	13.52	-87.48	\N
El Progreso	HCA	Yoro	147369	15.4	-87.8	\N
Olanchito	HCA	Yoro	78776	15.48	-86.58	\N
Yoro	HCA	Yoro	64425	15.13	-87.13	\N
Nuuk	GROX	Greenland	\N	64.18	-51.74	5
Saint George's	WG	Grenada	37000	12.05	-61.75	\N
Basse-Terre	GUAD	Guadeloupe	\N	16.15	-61.8	\N
Kingston	JA	Jamaica	662426	17.98	-76.8	9
Fort-de-France	MART	Martinique	100000	14.6	-61.0	\N
Plymouth	MNTS	Montserrat	0	16.71	-62.22	\N
Willemstad	CUR	Curacao	125000	12.1	-68.9	\N
Philipsburg	NLSM	Sint Maarten	1338	18.02	-63.05	\N
Marigot	SMAR	Saint Martin	5700	18.1	-63.1	\N
Gustavia	SBAR	Saint Barthelemy	2299	17.9	-62.85	\N
Leticia	CO	Amazonas	\N	-4.21	-69.93	96
Medellín	CO	Antioquia	2441123	6.23	-75.59	1495
Bello	CO	Antioquia	447185	6.33	-75.57	1310
Itagui	CO	Antioquia	264775	6.17	-75.62	1550
Turbo	CO	Antioquia	155173	8.1	-76.73	2
Envigado	CO	Antioquia	217343	6.17	-75.58	1675
Apartadó	CO	Antioquia	173008	7.88	-76.63	30
Arauca	CO	Arauca	\N	7.09	-70.76	125
Barranquilla	CO	Atlántico	1212943	10.96	-74.8	18
Soledad	CO	Atlántico	599012	10.92	-74.75	5
Malambo	CO	Atlántico	119286	\N	\N	\N
Cartagena	CO	Bolívar	990179	10.4	-75.5	2
Magangué	CO	Bolívar	123618	9.25	-74.77	49
Tunja	CO	Boyacá	184864	5.53	-73.37	2820
Manizales	CO	Caldas	394627	5.1	-75.55	2160
Florencia	CO	Caquetá	169336	1.61	-75.61	242
Yopal	CO	Casanare	136484	5.35	-72.41	350
Popayán	CO	Cauca	275129	2.45	-76.61	1760
Valledupar	CO	Cesar	443210	10.48	-73.25	180
Quibdó	CO	Chocó	115517	5.69	-76.66	43
Montería	CO	Córdoba	434950	8.75	-75.88	18
Soacha	CO	Cundinamarca	500097	4.59	-74.22	2566
Inirida	CO	Guainía	\N	3.87	-67.92	95
Ciénaga	CO	La Guajira	104060	11.01	-74.25	10
Riohacha	CO	La Guajira	250236	11.54	-72.91	5
Uribia	CO	La Guajira	168286	11.92	-72	10
San Jose del Guaviare	CO	Guaviare	\N	2.57	-72.63	185
Neiva	CO	Huila	340046	3	-75.3	442
Santa Marta	CO	Magdalena	476385	11.24	-74.21	6
Villavicencio	CO	Meta	473766	4.15	-73.63	467
Pasto	CO	Nariño	434486	1.21	-77.28	2527
San Andres de Tumaco	CO	Nariño	195419	1.81	-78.76	2
Cúcuta	CO	Norte de Santander	643666	7.89	-72.5	320
Mocoa	CO	Putumayo	\N	1.15	-76.65	604
Armenia	CO	Quindío	295143	4.53	-75.68	1551
Pereira	CO	Risaralda	467185	4.81	-75.69	1411
Dosquebradas	CO	Risaralda	196926	4.83	-75.68	1460
San Andres	CO	San Andrés, Providencia y Santa Catalina	\N	12.58	-81.7	\N
Bogotá	CO	Santa Fe de Bogotá	7776845	4.6	-74.08	2640
Bucaramanga	CO	Santander	527451	7.13	-73	959
Floridablanca	CO	Santander	264695	7.22	-73.07	925
Barrancabermeja	CO	Santander	191784	7.07	-73.85	75
Girón	CO	Santander	175528	7.07	-73.17	706
Sincelejo	CO	Sucre	271375	9.3	-75.4	213
Ibagué	CO	Tolima	548209	4.43	-75.23	1285
Cali	CO	Valle de Cauca	2344734	3.42	-76.52	1018
Buenaventura	CO	Valle de Cauca	392054	3.88	-77.03	0
Palmira	CO	Valle de Cauca	302727	3.58	-76.25	1001
Tuluá	CO	Valle de Cauca	209086	4.08	-76.2	960
Cartago	CO	Valle de Cauca	131545	4.7	-75.92	917
Mitu	CO	Vaupés	\N	1.2	-70.17	183
Puerto Carreno	CO	Vichada	\N	6.18	-67.47	51
San Juan	PR	Puerto Rico	381931	18.41	-66.06	8
Ponce	PR	Puerto Rico	132502	18	-66.61	16
Bayamón	PR	Puerto Rico	185996	18.38	-66.16	16
Carolina	PR	Puerto Rico	157832	18.41	-65.97	16
Basseterre	KN	Saint Kitts and Nevis	15500	17.3	-62.73	15
Castries	WL	Saint Lucia	3661	14.02	-60.98	2
Saint-Pierre	SPMI	Saint Pierre and Miquelon	5618	46.78	-56.18	0
Kingstown	WV	Saint Vincent and the Grenadines	12909	13.16	-61.22	\N
Port-of-Spain	TT	Trinidad and Tobago	548299	10.67	-61.52	3
Grand Turk	TUCA	Turks and Caicos Islands	\N	21.47	-71.14	\N
Charlotte Amalie	VIRG	Virgin Islands	10354	18.3	-64.9	\N
Pago Pago	AMSA	American Samoa	\N	-14.28	-170.7	9
Newcastle	AUS	New South Wales	540002	-32.92	151.75	9
Sydney	AUS	New South Wales	4605992	-33.86	151.21	3
Wollongong	AUS	New South Wales	288101	-34.43	150.88	5
Sunshine Coast	AUS	New South Wales	241643	-26.65	153.07	\N
Darwin	AUS	Northern Territory	129062	-12.45	130.83	\N
Brisbane	AUS	Queensland	2146577	-27.47	153.03	\N
Gold Coast	AUS	Queensland	576747	-28.02	153.4	\N
Townsville	AUS	Queensland	167636	-19.26	146.82	\N
Cairns	AUS	Queensland	146477	-16.93	145.78	\N
Adelaide	AUS	South Australia	1262940	-34.93	138.6	43
Hobart	AUS	Tasmania	216276	-42.88	147.32	54
Melbourne	AUS	Victoria	4169103	-37.81	144.96	31
Geelong	AUS	Victoria	174086	-38.15	144.35	\N
Perth	AUS	Western Australia	1832114	-31.95	115.86	2
Canberra	AUS	Australia Capital Territory	418292	-35.31	149.12	577
Avarua	COOK	Cook Islands	\N	-21.12	-159.46	\N
Suva	FJI	Fiji	75225	-18.14	178.44	\N
Papeete	FPOL	French Polynesia	\N	-17.53	-149.57	0
Hagåtña	GUAM	Guam	\N	13.48	144.75	\N
Tarawa	KIR	Kiribati	50182	1.43	173	\N
Majuro	MH	Marshall Islands	27797	7.07	171.27	\N
Kolonia	FSM	Micronesia	5681	7	158.2	\N
Palikir	FSM	Micronesia	6444	6.9	158.15	\N
Yaren	NAU	Nauru	\N	-0.55	166.92	\N
Noumea	NCA	New Caledonia	\N	-22.28	166.46	0
Wellington	NZ	New Zealand	185187	-41.29	174.78	0
Auckland	NZ	New Zealand	419418	-36.84	174.74	0
Hamilton	NZ	New Zealand	132060	-37.78	175.28	40
Christchurch	NZ	New Zealand	361941	-43.53	172.62	0
Dunedin	NZ	New Zealand	123516	-45.87	170.5	\N
Alofi	NIUE	Niue	\N	-19.05	-169.9	21
Kingston	NORF	Norfolk Island	\N	-29	168	\N
Saipan	NMIS	Northern Mariana Islands	\N	15.18	145.76	\N
Koror	PAL	Palau	11665	7.36	134.48	10
Melekeok	PAL	Palau	391	7.48	134.6	\N
Adamstown	PITC	Pitcairn	\N	-25.04	-130.05	\N
Honiara	SLB	Solomon Islands	49107	-9.43	159.95	29
Nukualofa	TO	Tonga	23658	-21.13	-175.2	3
Funafuti	TUV	Tuvalu	4492	-8.52	179.2	\N
Fakaofo	TOK	Tokelau	490	-9.37	-171.21	\N
Port Vila	VU	Vanuatu	44040	-17.75	168.3	\N
Mata-Utu	WAFU	Wallis and Futuna	\N	-13.28	-176.18	\N
Apia	WS	Samoa	36735	-13.83	-171.75	2
La Plata	RA	Buenos Aires	553002	-34.92	-57.95	26
San Justo	RA	Buenos Aires	1256724	-34.68	-58.55	26
Morón	RA	Buenos Aires	309086	-34.65	-58.62	26
Lomas de Zamora	RA	Buenos Aires	590677	-34.77	-58.4	20
Mar del Plata	RA	Buenos Aires	541857	-38	-57.55	38
Quilmes	RA	Buenos Aires	518723	-34.72	-58.27	17
Lanús	RA	Buenos Aires	452512	-34.7	-58.4	9
General San Martín	RA	Buenos Aires	405122	-23.8	-64.78	472
Avellaneda	RA	Buenos Aires	329638	-34.67	-58.37	2
San Isidro	RA	Buenos Aires	293212	-34.47	-58.52	15
Bahía Blanca	RA	Buenos Aires	272176	-38.72	-62.27	20
San Nicolás de los Arroyos	RA	Buenos Aires	125308	-33.33	-60.22	17
San Fernando del Valle de Catamarca	RA	Catamarca	140556	-28.47	-65.78	500
Resistencia	RA	Chaco	274001	-27.45	-58.99	20
Comodoro Rivadavia	RA	Chubut	135813	-45.86	-67.48	61
Rawson	RA	Chubut	102099	-43.3	-65.1	4
Córdoba	RA	Córdoba	1267774	-31.42	-64.18	390
Río Cuarto	RA	Córdoba	144140	-33.13	-64.35	452
Corrientes	RA	Corrientes	314247	-27.48	-58.82	52
Paraná	RA	Entre Ríos	235931	-31.73	-60.53	77
Concordia	RA	Entre Ríos	137046	-31.4	-58.03	21
Formosa	RA	Formosa	198146	-26.18	-58.18	57
San Salvador de Jujuy	RA	Jujuy	230999	-24.18	-65.3	1259
Santa Rosa	RA	La Pampa	93924	-36.62	-64.28	175
La Rioja	RA	La Rioja	143921	-29.41	-66.85	515
Mendoza	RA	Mendoza	110716	-32.88	-68.82	746.5
Posadas	RA	Misiones	253369	-27.37	-55.9	120
Neuquén	RA	Neuquén	201729	-38.95	-68.06	260
Viedma	RA	Río Negro	52789	-40.83	-62.97	12
Salta	RA	Salta	462668	-24.78	-65.42	1152
San Juan	RA	San Juan	115556	-31.53	-68.53	640
San Luis	RA	San Luis	152918	-33.3	-66.33	709
Río Gallegos	RA	Santa Cruz	79072	-51.63	-69.22	20
Santa Fe	RA	Santa Fe	368369	-31.63	-60.7	25
Rosario	RA	Santa Fe	906004	-32.95	-60.67	31
Santiago del Estero	RA	Santiago de Estero	230424	-27.78	-64.27	187
Ushuaia	RA	Tierra del Fuego	56825	-54.8	-68.3	23
San Miguel de Tucumán	RA	Tucumán	525853	-26.83	-65.22	431
Buenos Aires	RA	Distrito Federal	2768772	-34.6	-58.38	25
La Paz	BOL	La Paz	764617	-16.5	-68.15	3640
El Alto	BOL	La Paz	848840	-16.52	-68.17	4150
Oruro	BOL	Oruro	264683	-17.97	-67.12	3735
Potosí	BOL	Potosí	189652	-19.58	-65.75	4067
Santa Cruz de la Sierra	BOL	Santa Cruz	1453549	-17.8	-63.18	416
Montero	BOL	Santa Cruz	109518	-17.34	-63.26	357
Trinidad	BOL	Beni	106422	-14.83	-64.9	130
Cobija	BOL	Pando	\N	-11.03	-68.73	280
Sucre	BOL	Chuquisaca	259388	-19.05	-65.25	2810
Cochabamba	BOL	Cochabamba	630587	-17.38	-66.17	2558
Sacaba	BOL	Cochabamba	169494	-17.4	-66.04	2719
Quillacollo	BOL	Cochabamba	137029	-17.4	-66.28	2425
Tarija	BOL	Tarija	205346	-21.53	-64.73	1854
Rio Branco	BR	Acre	308545	-9.97	-67.81	143
Maceió	BR	Alagoas	932129	-9.67	-35.73	7
Arapiraca	BR	Alagoas	181481	-9.75	-36.66	264
Macapá	BR	Amapá	381214	0.03	-51.07	12
Manaus	BR	Amazonas	1792881	-3.1	-60.02	53
Salvador	BR	Bahia	2674923	-12.97	-38.48	8
Feira de Santana	BR	Bahia	510635	-12.25	-38.95	286
Ilhéus	BR	Bahia	155281	-14.79	-39.05	52
Vitória da Conquista	BR	Bahia	274739	-14.87	-40.84	923
Itabuna	BR	Bahia	199643	-14.79	-39.28	54
Juazeiro	BR	Bahia	160775	-9.43	-40.5	1098
Jequié	BR	Bahia	139426	-13.86	-40.08	215
Camaçari	BR	Bahia	231973	-12.7	-38.32	36
Alagoinhas	BR	Bahia	124042	-12.14	-38.42	132
Lauro de Freitas	BR	Bahia	163449	-12.89	-38.33	30
Barreiras	BR	Bahia	123741	-12.15	-44.99	454
Porto Seguro	BR	Bahia	104078	-16.43	-39.08	4
Fortaleza	BR	Ceará	2452185	-3.72	-38.54	21
Caucaia	BR	Ceará	290220	-3.73	-38.66	29
Juazeiro do Norte	BR	Ceará	240128	-7.2	-39.33	350
Maracanaú	BR	Ceará	207623	-3.87	-38.63	\N
Sobral	BR	Ceará	166310	-3.67	-40.24	70
Cariacica	BR	Espírito Santo	337643	-20.26	-40.42	\N
Vila Velha	BR	Espírito Santo	412575	-20.34	-40.29	4
Serra	BR	Espírito Santo	406450	-20.13	-40.31	301
Vitória	BR	Espírito Santo	327801	-20.32	-40.34	4
Cachoeiro de Itapemirim	BR	Espírito Santo	173589	-20.85	-41.11	22
Colatina	BR	Espírito Santo	98395	-19.54	-40.63	71
Linhares	BR	Espírito Santo	121567	-19.39	-40.07	33
Goiânia	BR	Goiás	1297076	-16.67	-49.25	749
Anápolis	BR	Goiás	328755	-16.33	-48.95	1017
Luziânia	BR	Goiás	162807	-16.25	-47.95	930
Rio Verde	BR	Goiás	163540	-17.79	-50.92	748
Aparecida de Goiânia	BR	Goiás	455193	-16.82	-49.23	808
Águas Lindas de Goiás	BR	Goiás	159138	-15.75	-48.28	1100
São Luís	BR	Maranhão	958522	-2.53	-44.3	4
Imperatriz	BR	Maranhão	234547	-5.53	-47.48	95
Caxias	BR	Maranhão	118534	-4.86	-43.36	\N
Timon	BR	Maranhão	135133	-5.09	-42.84	\N
Codo	BR	Maranhão	118072	-4.46	-43.89	47
Cuiabá	BR	Mato Grosso	540814	-15.6	-56.1	165
Várzea Grande	BR	Mato Grosso	248704	-15.65	-56.13	198
Rondonópolis	BR	Mato Grosso	188028	-16.47	-54.64	227
Campo Grande	BR	Mato Grosso do Sul	776242	-20.46	-54.61	592
Dourados	BR	Mato Grosso do Sul	181005	-22.22	-54.81	430
Belo Horizonte	BR	Minas Gerais	2375151	-19.92	-43.93	760
Contagem	BR	Minas Gerais	601400	-19.93	-44.05	858
Betim	BR	Minas Gerais	375331	-19.97	-44.2	817
Ribeirão das Neves	BR	Minas Gerais	294153	-19.77	-44.09	\N
Ibirité	BR	Minas Gerais	158590	-20.02	-44.06	872
Uberlândia	BR	Minas Gerais	587266	-18.92	-48.29	863
Juiz de Fora	BR	Minas Gerais	510378	-21.76	-43.35	678
Montes Claros	BR	Minas Gerais	344427	-16.73	-43.86	678
Uberaba	BR	Minas Gerais	289376	-19.75	-47.93	823
Governador Valadares	BR	Minas Gerais	253300	-18.85	-41.95	170
Ipatinga	BR	Minas Gerais	236968	-19.5	-42.53	220
Divinópolis	BR	Minas Gerais	207516	-20.14	-44.88	712
Sete Lagoas	BR	Minas Gerais	208956	-19.47	-44.25	766.73
Teófilo Otoni	BR	Minas Gerais	110076	-17.86	-41.5	334
Poços de Caldas	BR	Minas Gerais	148722	-21.79	-46.56	1196
Patos de Minas	BR	Minas Gerais	127724	-18.58	-46.52	815
Barbacena	BR	Minas Gerais	115568	-21.22	-43.77	1160
Sabará	BR	Minas Gerais	123084	-19.89	-43.81	705
Varginha	BR	Minas Gerais	119061	-21.55	-45.43	980
Santa Luzia	BR	Minas Gerais	202378	-19.77	-43.85	751
Belém	BR	Pará	1381475	-1.46	-48.5	10
Abaetetuba	BR	Pará	\N	-1.72	-48.88	42
Ananindeua	BR	Pará	470819	-1.37	-48.37	20
Santarém	BR	Pará	215790	-2.43	-54.72	51
Marabá	BR	Pará	186270	-5.35	-49.12	170
Castanhal	BR	Pará	153378	-1.3	-47.92	141
Itaituba	BR	Pará	\N	-4.28	-55.98	15
João Pessoa	BR	Paraíba	720785	-7.08	-34.83	40
Campina Grande	BR	Paraíba	367209	-7.23	-35.88	560
Santa Rita	BR	Paraíba	103717	-7.11	-34.98	\N
Curitiba	BR	Paraná	1751907	-25.42	-49.25	934.6
São José dos Pinhais	BR	Paraná	236895	-25.53	-49.21	906
Londrina	BR	Paraná	493520	-23.31	-51.16	610
Maringá	BR	Paraná	350653	-23.4	-51.92	515
Ponta Grossa	BR	Paraná	304733	-25.42	-49.25	975
Foz do Iguaçu	BR	Paraná	253962	-25.55	-54.58	164
Cascavel	BR	Paraná	270049	-24.96	-53.46	781
Colombo	BR	Paraná	203203	-25.29	-49.22	950
Guarapuava	BR	Paraná	152993	-25.39	-51.46	1120
Paranaguá	BR	Paraná	135386	-25.52	-48.51	5
Apucarana	BR	Paraná	114098	-23.55	-51.46	840
Recife	BR	Pernambuco	1537704	-8.05	-34.9	10
Cabo de Santo Agostinho	BR	Pernambuco	167783	-8.29	-35.03	29
Jaboatão	BR	Pernambuco	630595	-8.11	-35.02	10
Paulista	BR	Pernambuco	300466	-7.94	-34.87	13
Caruaru	BR	Pernambuco	279589	-8.28	-35.98	545
Petrolina	BR	Pernambuco	219215	-9.39	-40.51	376
Vitória de Santo Antão	BR	Pernambuco	113429	-8.12	-35.3	147
Camaragibe	BR	Pernambuco	144466	-8.02	-34.98	55
Garanhuns	BR	Pernambuco	115356	-8.89	-36.49	896
Olinda	BR	Pernambuco	370332	-8.01	-34.85	16
Teresina	BR	Piauí	767557	-5.09	-42.8	87
Parnaíba	BR	Piauí	137485	-2.9	-41.78	5
Rio de Janeiro	BR	Rio de Janeiro	6320446	-22.91	-43.2	31
São Gonçalo	BR	Rio de Janeiro	998999	-22.83	-43.05	19
Duque de Caxias	BR	Rio de Janeiro	852138	-22.79	-43.31	7
Nova Iguaçu	BR	Rio de Janeiro	787563	-22.76	-43.45	25
Niterói	BR	Rio de Janeiro	487562	-22.88	-43.1	0
Campos dos Goytacazes	BR	Rio de Janeiro	418725	-21.75	-41.32	14
Belford Roxo	BR	Rio de Janeiro	469332	-22.76	-43.4	38
São João de Meriti	BR	Rio de Janeiro	458673	-22.8	-43.37	19
Petrópolis	BR	Rio de Janeiro	281286	-22.5	-43.18	838
Volta Redonda	BR	Rio de Janeiro	257686	-22.52	-44.1	390
Magé	BR	Rio de Janeiro	215236	-22.65	-43.04	5
Itaboraí	BR	Rio de Janeiro	215412	-22.74	-42.86	17
Macaé	BR	Rio de Janeiro	202859	-22.37	-41.79	2
Cabo Frio	BR	Rio de Janeiro	140486	-22.88	-42.02	4
Nova Friburgo	BR	Rio de Janeiro	159372	-22.27	-42.53	846
Barra Mansa	BR	Rio de Janeiro	176193	-22.54	-44.17	389
Angra dos Reis	BR	Rio de Janeiro	163290	-23.01	-44.32	1378
Teresópolis	BR	Rio de Janeiro	146207	-22.41	-42.97	871
Nilópolis	BR	Rio de Janeiro	157425	-22.81	-43.41	14
Queimados	BR	Rio de Janeiro	137962	-22.72	-43.55	29
Mesquita	BR	Rio de Janeiro	168376	-22.78	-43.43	\N
Natal	BR	Rio Grande do Norte	803739	-5.78	-35.2	30
Mossoró	BR	Rio Grande do Norte	237241	-5.19	-37.34	20
Parnamirim	BR	Rio Grande do Norte	202456	-5.92	-35.25	\N
Porto Alegre	BR	Rio Grande do Sul	1409351	-30.03	-51.23	10
Alvorada	BR	Rio Grande do Sul	195673	-29.99	-51.08	17
Sapucaia do Sul	BR	Rio Grande do Sul	130469	-29.84	-51.14	35
Caxias do Sul	BR	Rio Grande do Sul	419406	-29.17	-51.18	817
Pelotas	BR	Rio Grande do Sul	306193	-31.77	-52.34	7
Canoas	BR	Rio Grande do Sul	323827	-29.92	-51.18	8
Santa Maria	BR	Rio Grande do Sul	248347	-29.68	-53.8	113
Novo Hamburgo	BR	Rio Grande do Sul	234798	-29.68	-51.13	57
Viamão	BR	Rio Grande do Sul	224943	-30.08	-51.02	9
São Leopoldo	BR	Rio Grande do Sul	213238	-29.76	-51.15	26
Rio Grande	BR	Rio Grande do Sul	189429	-32.03	-52.1	6
Passo Fundo	BR	Rio Grande do Sul	180120	-28.25	-52.4	687
Uruguaiana	BR	Rio Grande do Sul	117415	-29.75	-57.09	66
Bagé	BR	Rio Grande do Sul	97765	-31.33	-54.11	212
Santa Cruz do Sul	BR	Rio Grande do Sul	105190	-29.72	-52.43	122
Gravataí	BR	Rio Grande do Sul	243497	-29.94	-50.99	26
Porto Velho	BR	Rondônia	390733	-8.76	-63.9	83
Boa Vista	BR	Roraima	277799	2.82	-60.67	76
Joinville	BR	Santa Catarina	497850	-26.32	-48.84	4
Florianópolis	BR	Santa Catarina	405286	-27.83	-48.42	3
Blumenau	BR	Santa Catarina	294773	-26.92	-49.07	21
Criciúma	BR	Santa Catarina	189630	-28.68	-49.37	46
São José	BR	Santa Catarina	207312	-27.61	-48.63	0
Lages	BR	Santa Catarina	153937	-27.82	-50.33	916
Itajaí	BR	Santa Catarina	173452	-26.9	-48.67	2
Chapecó	BR	Santa Catarina	168113	-27.1	-52.62	\N
São Paulo	BR	São Paulo	11152344	-23.55	-46.63	760
Santa Bárbara d'Oeste	BR	São Paulo	178596	-22.75	-47.41	570
Sumaré	BR	São Paulo	238470	-22.82	-47.27	583
Hortolândia	BR	São Paulo	192692	-22.86	-47.22	587
Guarulhos	BR	São Paulo	1221979	-23.47	-46.53	759
Campinas	BR	São Paulo	1061540	-22.9	-47.06	555
São Bernardo do Campo	BR	São Paulo	752658	-23.7	-46.55	762
Santo André	BR	São Paulo	676407	-23.66	-46.53	700
Osasco	BR	São Paulo	666740	-23.53	-46.8	760
São José dos Campos	BR	São Paulo	617106	-23.19	-45.88	660
Ribeirão Preto	BR	São Paulo	602966	-21.18	-47.81	546
Sorocaba	BR	São Paulo	580655	-23.5	-47.46	601
Santos	BR	São Paulo	419086	-23.94	-46.32	2
Mauá	BR	São Paulo	417064	-23.67	-46.46	818
Carapicuíba	BR	São Paulo	369584	-23.52	-46.84	\N
São José do Rio Preto	BR	São Paulo	383490	-20.81	-49.38	489
Diadema	BR	São Paulo	386089	-23.69	-46.61	780
Mogi das Cruzes	BR	São Paulo	357313	-23.52	-46.19	780
Piracicaba	BR	São Paulo	356743	-22.73	-47.65	547
Jundiaí	BR	São Paulo	354204	-23.19	-46.88	761
Bauru	BR	São Paulo	338184	-22.31	-49.06	537
São Vicente	BR	São Paulo	331817	-23.96	-46.39	6
Franca	BR	São Paulo	313046	-20.54	-47.4	1040
Limeira	BR	São Paulo	267785	-22.56	-47.4	588
Itaquaquecetuba	BR	São Paulo	321770	-23.49	-46.35	790
Guarujá	BR	São Paulo	290696	-23.99	-46.26	4
Taubaté	BR	São Paulo	272673	-23.02	-45.56	\N
Embu	BR	São Paulo	240230	-23.49	-46.35	790
Taboão da Serra	BR	São Paulo	244528	-23.53	-46.8	\N
Suzano	BR	São Paulo	253240	-23.54	-46.31	749.43
Marília	BR	São Paulo	207021	-22.21	-49.95	660
Presidente Prudente	BR	São Paulo	203375	-22.13	-51.38	\N
Barueri	BR	São Paulo	240749	-23.51	-46.88	719
São Carlos	BR	São Paulo	213061	-22.02	-47.89	856
Jacareí	BR	São Paulo	208297	-23.31	-45.97	567
Americana	BR	São Paulo	209654	-22.74	-47.33	569
Araraquara	BR	São Paulo	202730	-21.79	-48.18	664
Araçatuba	BR	São Paulo	178077	-21.21	-50.43	390
Rio Claro	BR	São Paulo	181720	-22.41	-47.56	613
São Caetano do Sul	BR	São Paulo	149263	-23.7	-46.55	744
Itapevi	BR	São Paulo	200769	-23.55	-46.93	741
Cotia	BR	São Paulo	201150	-23.6	-46.92	853
Itu	BR	São Paulo	144269	-23.26	-47.3	583
Indaiatuba	BR	São Paulo	199592	-23.09	-47.22	624
Ferraz de Vasconcelos	BR	São Paulo	160754	-23.54	-46.37	759
Mogi Guaçu	BR	São Paulo	130295	-22.37	-46.94	591
Pindamonhangaba	BR	São Paulo	141708	-22.92	-45.46	540
Itapetininga	BR	São Paulo	131050	-23.59	-48.05	656
Bragança Paulista	BR	São Paulo	142255	-22.95	-46.54	817
Francisco Morato	BR	São Paulo	154158	-23.28	-46.74	792
Barretos	BR	São Paulo	108686	-20.56	-48.57	530
Jaú	BR	São Paulo	126943	-22.3	-48.56	541
Catanduva	BR	São Paulo	111914	-21.14	-48.97	503
Botucatu	BR	São Paulo	122678	-22.89	-48.44	804
Ribeirão Pires	BR	São Paulo	113068	-23.72	-46.42	800
Itapecerica da Serra	BR	São Paulo	151349	-23.72	-46.85	920
Praia Grande	BR	São Paulo	262051	-24.01	-46.4	3
Aracaju	BR	Sergipe	571149	-10.92	-37.05	4
Nossa Senhora do Socorro	BR	Sergipe	155823	-10.85	-37.06	36
Palmas	BR	Tocantins	221742	-10.18	-48.33	230
Araguaína	BR	Tocantins	142925	-7.19	-48.21	227
Brasília	BR	Distrito Federal	2482210	-15.79	-47.88	1172
Iquique	RCH	Tarapacá	164396	-20.22	-70.15	1
Antofagasta	RCH	Antofagasta	285255	-23.65	-70.4	40
Copiapó	RCH	Atacama	125983	-27.37	-70.33	391
La Serena	RCH	Coquimbo	147815	-29.9	-71.25	28
Coquimbo	RCH	Coquimbo	148438	-29.95	-71.34	15
Valparaíso	RCH	Valparaíso	263499	-33.05	-71.62	10
Viña del Mar	RCH	Valparaíso	286931	-33	-71.52	2
Rancagua	RCH	Libertador General Bernardo O'Higgins	206971	-34.17	-70.75	572
Talca	RCH	Maule	189505	-35.43	-71.67	102
Concepción	RCH	Bío-Bío	212003	-36.83	-73.05	12
Talcahuano	RCH	Bío-Bío	161692	-36.72	-73.12	1
Temuco	RCH	Araucanía	227086	-38.73	-72.67	360
Puerto Montt	RCH	Lagos	153118	-41.47	-72.93	14
Coyhaique	RCH	Aysén	\N	-45.57	-72.07	302
Punta Arenas	RCH	Magallanes	116005	-53.17	-70.93	34
Santiago	RCH	Santiago	4659048	-33.45	-70.67	521
Puente Alto	RCH	Santiago	491222	-33.62	-70.57	673
Valdivia	RCH	Ríos	127750	-39.81	-73.25	5
Arica	RCH	Arica y Parinacota	210936	-18.48	-70.33	2
Asunción	PY	Paraguay	542023	-25.27	-57.63	43
Ciudad del Este	PY	Paraguay	222274	-25.52	-54.62	34
Montevideo	ROU	Uruguay	1318755	-34.88	-56.18	43
Salto	ROU	Uruguay	104011	-31.38	-57.95	48
Chachapoyas	PE	Amazonas	\N	-6.22	-77.85	2335
Chimbote	PE	Ancash	334568	-9.14	-78.59	4
Huaraz	PE	Ancash	100931	-9.53	-77.53	3052
Abancay	PE	Apurímac	\N	-13.63	-72.88	2377
Arequipa	PE	Arequipa	749291	-16.38	-71.53	2335
Ayacucho	PE	Ayacucho	151019	-13.16	-74.22	2761
Cajamarca	PE	Cajamarca	162326	-7.16	-78.51	2750
Callao	PE	Callao	438326	-12.03	-77.13	0
Cusco	PE	Cusco	348935	-13.52	-71.97	3399
Huancavelica	PE	Huancavelica	\N	-12.79	-74.98	3676
Huánuco	PE	Huánuco	149210	-9.93	-76.24	1880
Ica	PE	Ica	219856	-14.07	-75.73	406
Chincha Alta	PE	Ica	153598	-13.45	-76.13	97
Huancayo	PE	Junín	323054	-12.07	-75.22	3259
Trujillo	PE	La Libertad	682834	-8.11	-79.03	34
Chiclayo	PE	Lambayeque	524442	-6.76	-79.84	27
Lima	PE	Lima City	7605742	-12.04	-77.03	0
Iquitos	PE	Loreto	370962	-3.73	-73.25	104
Puerto Maldonado	PE	Madre de Dios	\N	-12.6	-69.18	183
Moquegua	PE	Moquegua	\N	-17.2	-70.93	1410
Cerro de Pasco	PE	Pasco	\N	-10.69	-76.26	4330
Piura	PE	Piura	377496	-5.2	-80.63	\N
Sullana	PE	Piura	181954	-4.9	-80.52	\N
Talara	PE	Piura	87622	-4.58	-81.27	11
Puno	PE	Puno	120229	-15.84	-70.02	3830
Juliaca	PE	Puno	216716	-15.49	-70.13	3825
Moyobamba	PE	San Martín	\N	-6.03	-76.97	\N
Tarapoto	PE	San Martín	117184	-6.48	-76.37	356
Tacna	PE	Tacna	242451	-18.06	-70.25	552
Tumbes	PE	Tumbes	94751	-3.57	-80.45	6
Pucallpa	PE	Ucayali	204772	-8.38	-74.52	154
Cayenne	FGU	French Guiana	57229	4.93333	-52.45	\N
Georgetown	GUY	Guyana	118363	6.8	-58.17	-2
Paramaribo	SME	Suriname	240924	5.87	-55.17	3
Puerto Ayacucho	YV	Amazonas	\N	5.66	-67.63	74
Barcelona	YV	Anzoátegui	410643	10.12	-64.72	13
Puerto La Cruz	YV	Anzoátegui	205866	10.2	-64.63	10
San Fernando	YV	Apure	\N	7.89	-67.47	47
Maracay	YV	Aragua	459007	10.25	-67.6	436
Barinas	YV	Barinas	215452	8.63	-70.2	187
Ciudad Bolívar	YV	Bolívar	307713	8.12	-63.55	54
Ciudad Guayana	YV	Bolívar	692215	8.37	-62.65	13
Valencia	YV	Carabobo	1599540	10.18	-68	520
Puerto Cabello	YV	Carabobo	177751	10.47	-68.02	0
Guacara	YV	Carabobo	141762	10.25	-67.9	438
San Carlos	YV	Cojedes	\N	9.65	-68.58	152
Tucupita	YV	Delta Amacuro	\N	9.06	-62.07	5
Santa Ana de Coro	YV	Falcón	158763	11.42	-69.67	17
San Juan	YV	Guárico	\N	9.91	-67.36	428.5
Barquisimeto	YV	Lara	875788	10.06	-69.33	566
Mérida	YV	Mérida	230120	8.48	-71.19	\N
Los Teques	YV	Miranda	183142	10.33	-67.03	\N
Petare	YV	Miranda	520982	10.48	-66.82	900
Baruta	YV	Miranda	213373	10.42	-66.87	1178
Guarenas	YV	Miranda	170204	10.47	-66.62	374
Maturín	YV	Monagas	298581	9.75	-63.18	67
La Asuncion	YV	Nueva Esparta	\N	11.03	-63.86	67
Acarigua	YV	Portuguesa	129237	9.56	-69.2	195
Guanare	YV	Portuguesa	129751	9.04	-69.75	183
Cumaná	YV	Sucre	208114	10.46	-64.17	43
San Cristóbal	YV	Táchira	328636	7.77	-72.23	860
Trujillo	YV	Trujillo	\N	9.42	-70.5	\N
San Felipe	YV	Yaracuy	\N	10.34	-68.74	250
Maracaibo	YV	Zulia	1372724	10.65	-71.63	6
Cabimas	YV	Zulia	207996	10.4	-71.45	3
Caracas	YV	Distrito Federal	1975786	10.5	-66.92	900
La Guaira	YV	Vargas	\N	10.6	-66.93	\N
Catia La Mar	YV	Vargas	118466	10.6	-67.03	\N
Quito	EC	Ecuador	1619146	-0.23	-78.52	2850
Guayaquil	EC	Ecuador	2291158	-2.18	-79.88	4
Cuenca	EC	Ecuador	331888	-2.9	-79.02	2560
Santo Domingo de los Colorados	EC	Ecuador	305632	-0.25	-79.17	625
Stanley	FALK	Falkland Islands	\N	-51.42	-57.51	\N
Algiers	DZ	Algeria	2364230	36.77	3.22	10
Annaba	DZ	Algeria	342703	36.9	7.77	3
Batna	DZ	Algeria	289504	35.55	6.17	1048
Béchar	DZ	Algeria	165241	31.62	-2.22	747
Sidi Bel Abbës	DZ	Algeria	210146	35.19	-0.64	470
Skikda	DZ	Algeria	182903	36.87	6.9	18
Tébessa	DZ	Algeria	194461	35.4	8.12	858
Oran	DZ	Algeria	803329	35.7	-0.63	0.9
Constantine	DZ	Algeria	448028	36.35	6.6	694
Sétif	DZ	Algeria	252127	36.18	5.4	1096
Blida	DZ	Algeria	331779	36.47	2.82	260
Bejaïa	DZ	Algeria	176139	36.75	5.07	949
Mostaganem	DZ	Algeria	162885	35.93	0.08	104
Tlemcen	DZ	Algeria	173531	34.88	-1.32	842
Tougourt	DZ	Algeria	143270	33.1	6.07	62
Ghardaïa	DZ	Algeria	142913	32.48	3.67	572
El Djelfa	DZ	Algeria	265833	34.67	3.25	\N
Biskra	DZ	Algeria	204661	34.85	5.73	87
Laghouat	DZ	Algeria	134372	33.8	2.88	769
Tamanrasset	DZ	Algeria	92635	22.79	5.53	1320
Tripoli	LAR	Libya	1500000	32.9	13.19	81
Benghazi	LAR	Libya	800000	32.12	20.07	2
Misratah	LAR	Libya	360000	32.38	15.09	9
Bamako	RMM	Bamako	1809106	12.65	-8	350
Gao	RMM	Gao	\N	16.27	-0.05	226
Kayes	RMM	Kayes	127368	14.45	-11.43	33
Kidal	RMM	Kidal	\N	18.44	1.41	\N
Koulikoro	RMM	Koulikoro	\N	12.86	-7.56	\N
Kalabancoro	RMM	Koulikoro	166722	12.57	-8.03	\N
Kati	RMM	Koulikoro	114983	12.75	-8.07	481
Mopti	RMM	Mopti	114296	14.5	-4.2	268
Ségou	RMM	Ségou	130690	13.45	-6.27	294
Sikasso	RMM	Sikasso	225753	11.32	-5.67	410
Koutiala	RMM	Sikasso	137919	12.38	-5.47	\N
Tombouctou	RMM	Tombouctou	\N	16.78	-3.01	261
Atar	RIM	Adrar	\N	20.52	-13.05	270
Kiffa	RIM	Assaba	60005	16.62	-11.4	94
Aleg	RIM	Brakna	\N	17.05	-13.92	\N
Nouadhibou	RIM	Dakhlet Nouadhibou	118167	20.93	-17.03	0
Kaedi	RIM	Gorgol	49152	16.15	-13.51	23
Selibaby	RIM	Guidimagha	\N	15.16	-12.18	\N
Nema	RIM	Hodh Chargui	\N	16.62	-7.25	280
Nouakchott	RIM	Nouakchott	958399	18.1	-15.95	7
Tidjikja	RIM	Tagant	\N	18.55	-11.43	\N
Zouerate	RIM	Tiris Zemmour	\N	22.68	-12.47	380
Rosso	RIM	Trarza	51026	16.51	-15.8	6
Guelmim	MA	Guelmim Es Semara	\N	28.98	-10.07	\N
Agadir	MA	Souss Massa Daraa	346106	30.43	-9.6	74
Kénitra	MA	Gharb Chrarda Beni Hssen	359142	34.25	-6.58	\N
Settat	MA	Chaouia Ouardigha	116570	33	-7.62	\N
Marrakech	MA	Marrakech Tensift Al Haouz	801043	31.63	-8.01	466
Oujda	MA	Oriental	400738	34.69	-1.91	470
Nador	MA	Oriental	126207	35.17	-2.93	42
Casablanca	MA	Grand Casablanca	2946440	33.53	-7.58	0
Mohammedia	MA	Grand Casablanca	188619	33.68	-7.38	10
Rabat	MA	Rabat Sale Zemmour Zaer	621480	34.03	-6.83	20
Salé	MA	Rabat Sale Zemmour Zaer	760186	34.03	-6.8	\N
Temara	MA	Rabat Sale Zemmour Zaer	225497	33.93	-6.91	\N
Safi	MA	Doukala Abda	284750	32.28	-9.23	20
Beni Mellal	MA	Tadla Azilal	163286	32.34	-6.36	619
Meknès	MA	Meknes Tafilalet	469169	33.9	-5.55	552
Fès	MA	Fes Boulemane	920740	34.03	-5	412
Al Hoceima	MA	Taza Al Hoceima Taounate	\N	35.25	-3.93	20
Tanger	MA	Tanger Tetouan	669685	35.77	-5.8	80
Tétouan	MA	Tanger Tetouan	320539	35.57	-5.37	90
Agadez	RN	Agadez	118240	16.97	7.98	520
Diffa	RN	Diffa	\N	13.31	12.62	286
Dosso	RN	Dosso	\N	13.04	3.19	227
Maradi	RN	Maradi	267249	13.49	7.1	385
Tessaoua	RN	Maradi	172796	13.75	7.98	\N
Aguié	RN	Maradi	152788	13.86	8.3	434
Niamey	RN	Niamey	1026848	13.52	2.11	207
Tahoua	RN	Tahoua	149498	14.88	5.27	389
Birni-N'Konni	RN	Tahoua	149414	13.79	5.25	\N
Illéla	RN	Tahoua	142214	14.46	5.24	\N
Tillaberi	RN	Tillabéri	\N	14.22	1.45	\N
Zinder	RN	Zinder	322935	13.81	8.99	479
Tanout	RN	Zinder	154238	14.97	8.88	\N
Magaria	RN	Zinder	130707	13	8.91	\N
Tunis	TN	Tunisia	651284	36.8	10.18	4
Sfax	TN	Tunisia	299235	34.73	10.77	\N
Sousse	TN	Tunisia	223844	35.83	10.63	\N
El Aaiun	WSA	Western Sahara	183691	27.15	-13.2	\N
Cabinda	ANG	Cabinda	\N	-5.56	12.19	24
Mbanza Congo	ANG	Zaire	\N	-6.27	14.25	408
Uige	ANG	Uíge	\N	-7.62	15.05	858
Luanda	ANG	Luanda	5000000	-8.84	13.23	6
Ndalatando	ANG	Cuanza Norte	\N	-9.3	14.92	670
Sumbe	ANG	Cuanza Sul	\N	-11.21	13.84	0
Malanje	ANG	Malanje	\N	-9.53	16.35	1155
Lucapa	ANG	Lunda-Norte	\N	-8.42	20.75	880
Saurimo	ANG	Lunda-Sul	\N	-9.65	20.4	1081
Benguela	ANG	Benguela	513000	-12.55	13.42	39
Huambo	ANG	Huambo	\N	-12.77	15.73	1721
Bie	ANG	Bié	\N	-12.52	17.57	\N
Luena	ANG	Moxico	\N	-11.79	19.91	1350
Menongue	ANG	Cuando Cubango	\N	-14.66	17.68	1354
Namibe	ANG	Namibe	\N	-15.2	12.15	9
Lubango	ANG	Huíla	\N	-14.92	13.5	1720
Caxito	ANG	Bengo	\N	-8.58	13.66	84
Ngiva	ANG	Cunene	\N	-17.07	15.73	1098
Dolisie	RCB	Niari	128032	-4.2	12.67	290
Sibiti	RCB	Lékoumou	\N	-3.69	13.35	440
Madingou	RCB	Bouenza	\N	-4.15	13.55	190
Kinkala	RCB	Pool	\N	-4.36	14.76	407
Djambala	RCB	Plateaux	\N	-2.54	14.75	622
Owando	RCB	Cuvette	\N	-0.48	15.9	325
Ewo	RCB	Cuvette-Ouest	\N	-0.87	14.82	534
Ouesso	RCB	Sangha	\N	1.61	16.05	340
Impfondo	RCB	Likouala	\N	1.64	18.07	326
Brazzaville	RCB	Brazzaville	1408150	-4.27	15.29	320
Pointe-Noire	RCB	Pointe-Noire	829134	-4.78	11.86	14
Windhoek	NAM	Namibia	322500	-22.57	17.08	\N
Kikwit	ZRE	Bandundu	182142	-5.04	18.82	452
Bandundu	ZRE	Bandundu	\N	-3.32	17.37	321
Matadi	ZRE	Bas-Congo	172730	-5.82	13.47	146
Boma	ZRE	Bas-Congo	135284	-5.85	13.05	61
Mbandaka	ZRE	Equateur	169841	0.05	18.26	370
Kisangani	ZRE	Orientale	417517	0.52	25.2	447
Kananga	ZRE	Kasai-Occidental	393030	-5.89	22.4	608
Tshikapa	ZRE	Kasai-Occidental	180860	-6.42	20.8	485
Mbuji-Mayi	ZRE	Kasai-Oriental	806475	-6.15	23.6	549
Mwene-Ditu	ZRE	Kasai-Oriental	137459	-7	23.45	910
Lubumbashi	ZRE	Katanga	851381	-11.67	27.47	1208
Kolwezi	ZRE	Katanga	417810	-10.72	25.47	1448
Likasi	ZRE	Katanga	299118	-10.98	26.73	1318
Kalemi	ZRE	Katanga	101309	-5.93	29.2	\N
Kinshasa	ZRE	Kinshasa	4655313	-4.32	15.32	240
Goma	ZRE	Nord-Kivu	109094	-1.68	29.23	1489
Butembo	ZRE	Nord-Kivu	109406	0.13	29.29	1381
Bukavu	ZRE	Sud-Kivu	201569	-2.5	28.87	1498
Uvira	ZRE	Sud-Kivu	115590	-3.37	29.14	746
Kindu	ZRE	Maniema	\N	-2.95	25.95	504
Kabwe	Z	Central	233197	-14.43	28.45	1183
Ndola	Z	Copperbelt	441624	-12.97	28.63	\N
Kitwe	Z	Copperbelt	467084	-12.82	28.2	\N
Chingola	Z	Copperbelt	211755	-12.53	27.85	1363
Mufulira	Z	Copperbelt	204104	-12.55	28.23	\N
Luanshya	Z	Copperbelt	186372	-13.13	28.4	1225
Chipata	Z	Eastern	\N	-13.65	32.63	1140
Mansa	Z	Luapula	\N	-11.2	28.88	\N
Lusaka	Z	Lusaka	1269848	-15.42	28.28	1279
Kasama	Z	Northern	\N	-10.21	31.18	\N
Solwezi	Z	North-Western	\N	-12.18	26.4	1235
Livingstone	Z	Southern	\N	-17.85	25.87	986
Mongu	Z	Western	\N	-15.28	23.13	\N
Porto-Novo	BEN	Benin	223552	6.5	2.61	38
Cotonou	BEN	Benin	665100	6.37	2.43	51
Abomey-Calavi	BEN	Benin	307745	6.45	2.36	54
Djougou	BEN	Benin	181895	9.7	1.67	431
Ouagadougou	BF	Burkina Faso	1475223	12.36	-1.54	305
Bobo Dioulasso	BF	Burkina Faso	489967	11.18	-4.28	445
Umuahia	WAN	Abia	147167	5.53	7.48	\N
Aba	WAN	Abia	500183	5.12	7.37	205
Abuja	WAN	Abuja	776298	9.07	7.48	840
Yola	WAN	Adamawa	\N	9.23	12.46	599
Uyo	WAN	Akwa Ibom	\N	5.03	7.92	65
Awka	WAN	Anambra	104682	6.21	7.07	\N
Onitsha	WAN	Anambra	350280	6.17	6.78	\N
Bauchi	WAN	Bauchi	206537	10.32	9.84	616
Yenagoa	WAN	Bayelsa	\N	5.03	6.33	\N
Makurdi	WAN	Benue	151515	7.73	8.54	\N
Maiduguri	WAN	Borno	618278	11.83	13.15	320
Calabar	WAN	Cross River	310839	4.95	8.32	32
Asaba	WAN	Delta	\N	6.2	6.73	45
Sapele	WAN	Delta	109576	5.9	5.67	\N
Warri	WAN	Delta	363382	5.52	5.75	\N
Abakaliki	WAN	Ebonyi	\N	6.33	8.1	\N
Benin	WAN	Edo	762719	6.33	5.62	80
Ado-Ekiti	WAN	Ekiti	156122	7.62	5.22	455
Ilawe-Ekiti	WAN	Ekiti	104049	7.6	5.1	\N
Effon-Alaiye	WAN	Ekiti	158977	7.68	4.82	\N
Enugu	WAN	Enugu	407756	6.45	7.51	202
Gombe	WAN	Gombe	163604	10.28	11.17	\N
Owerri	WAN	Imo	119711	5.49	7.04	\N
Dutse	WAN	Jigawa	\N	11.7	9.34	\N
Kaduna	WAN	Kaduna	993642	10.52	7.44	250
Zaria	WAN	Kaduna	612257	11.07	7.7	\N
Kano	WAN	Kano	2166554	12	8.52	488
Katsina	WAN	Katsina	259315	12.98	7.6	\N
Birnin Kebbi	WAN	Kebbi	\N	12.45	4.2	\N
Lokoja	WAN	Kogi	\N	7.82	6.75	\N
Okene	WAN	Kogi	312775	7.55	6.23	\N
Ilorin	WAN	Kwara	532089	8.5	4.55	\N
Lagos	WAN	Lagos	5195247	6.45	3.4	41
Ikorodu	WAN	Lagos	184674	6.6	3.5	\N
Lafia	WAN	Nasarawa	108000	8.49	8.52	\N
Minna	WAN	Niger	189191	9.61	6.56	\N
Bida	WAN	Niger	111245	9.08	6.02	\N
Abeokuta	WAN	Ogun	352735	7.16	3.35	66
Ijebu-Ode	WAN	Ogun	124313	6.82	3.92	70
Akure	WAN	Ondo	239124	7.25	5.2	\N
Ondo	WAN	Ondo	146051	7.08	4.83	\N
Owo	WAN	Ondo	157181	7.18	5.58	\N
Ikare	WAN	Ondo	103843	7.52	5.75	\N
Oshogbo	WAN	Osun	250951	7.77	4.57	\N
Ilesha	WAN	Osun	139445	7.62	4.72	\N
Ede	WAN	Osun	142363	7.74	4.44	269
Ife	WAN	Osun	186856	7.47	4.57	\N
Ikire	WAN	Osun	111435	7.36	4.18	\N
Ibadan	WAN	Oyo	1835300	7.4	3.92	239
Oyo	WAN	Oyo	369894	7.85	3.93	\N
Ogbomosho	WAN	Oyo	433030	8.13	4.25	329
Iseyin	WAN	Oyo	170936	7.97	3.6	\N
Jos	WAN	Plateau	510300	9.93	8.88	1217
Port Harcourt	WAN	Rivers	703421	4.75	7	18
Sokoto	WAN	Sokoto	329639	13.07	5.23	\N
Jalingo	WAN	Taraba	\N	8.9	11.37	\N
Damaturu	WAN	Yobe	141897	11.74	11.96	\N
Gusau	WAN	Zamfara	132393	12.15	6.67	450
Lomé	RT	Togo	839566	6.13	1.22	10
Gaborone	RB	Botswana	227333	-24.66	25.91	1014
Francistown	RB	Botswana	100079	-21.17	27.51	1001
Nelson Mandela Bay	RSA	Eastern Cape	1152115	-33.96	25.6	89
Buffalo City	RSA	Eastern Cape	755200	-32.98	27.87	135
Bhisho	RSA	Eastern Cape	77682	-32.85	27.44	435
Mangaung	RSA	Free State	747431	-29.12	26.22	1395
Tshwane	RSA	Gauteng	2921488	-25.75	28.19	1339
Johannesburg	RSA	Gauteng	4434827	-26.2	28.05	1753
Tembisa	RSA	Gauteng	463109	-26.01	28.21	1549
Emfuleni	RSA	Gauteng	721662	-26.7	27.84	1468
Ekurhuleni - Germiston	RSA	Gauteng	3178471	-26.17	28.33	\N
Msunduzi	RSA	KwaZulu-Natal	618536	-29.62	30.38	596
eThekwini	RSA	KwaZulu-Natal	3442361	-29.88	31.05	6
Mbombela	RSA	Mpumalanga	588794	-25.47	30.99	\N
Kimberley	RSA	Northern Cape	\N	-28.74	24.77	1184
Polokwane	RSA	Limpopo	628999	-23.9	29.45	1312
Mmabatho	RSA	North West	\N	-25.85	25.63	\N
Cape Town	RSA	Western Cape	3740026	-33.93	18.42	0
Harare	ZW	Zimbabwe	1485231	-17.86	31.03	1490
Bulawayo	ZW	Zimbabwe	653337	-20.17	28.58	1358
Chitungwiza	ZW	Zimbabwe	356840	-17.99	31.05	1448
Agboville	CI	Agnéby	\N	5.93	-4.22	\N
Touba	CI	Bafing	\N	8.28	-7.68	\N
San-Pedro	CI	Bas-Sassandra	174287	4.75	-6.64	1
Odienne	CI	Denguélé	\N	9.51	-7.56	451
Gagnoa	CI	Fromager	167900	6.13	-5.93	\N
Daloa	CI	Haut-Sassandra	266324	6.88	-6.45	299
Yamoussoukro	CI	Lacs	207412	6.82	-5.28	\N
Abidjan	CI	Lagunes	4395243	5.32	-4.03	18
Bouafle	CI	Marahoué	\N	6.98	-5.75	\N
Man	CI	Montagnes	148171	7.4	-7.55	330
Guiglo	CI	Moyen-Cavally	\N	6.55	-7.48	\N
Abengourou	CI	Moyen-Comoé	\N	6.73	-3.48	\N
Dimbokro	CI	N'zi-Comoé	\N	6.65	-4.7	\N
Korhogo	CI	Savanes	245239	9.42	-5.62	380
Divo	CI	Sud-Bandama	105859	5.83	-5.37	\N
Aboisso	CI	Sud-Comoé	\N	5.47	-3.2	\N
Bouaké	CI	Vallée du Bandama	542082	7.68	-5.02	312
Seguela	CI	Worodougou	\N	\N	\N	\N
Bondoukou	CI	Zanzan	\N	8.03	-2.8	343
Kumasi	GH	Ashanti	2035064	6.67	-1.62	305
Obuasi	GH	Ashanti	143644	6.2	-1.68	101
Sunyani	GH	Brong Ahafo	74240	7.33	-2.33	303
Cape Coast	GH	Central	169894	5.1	-1.25	0
Koforidua	GH	Eastern	120971	6.1	-0.27	238
Accra	GH	Greater Accra	2070463	5.55	-0.2	61
Tema	GH	Greater Accra	139784	5.67	0	1
Ashiaman	GH	Greater Accra	190972	5.7	-0.03	39
Tamale	GH	Northern	371351	9.41	-0.85	151
Bolgatanga	GH	Upper East	65549	10.78	-0.85	177
Wa	GH	Upper West	71051	10.07	-2.5	305
Ho	GH	Volta	104532	6.61	0.47	150
Sekondi	GH	Western	228342	4.9	-1.76	10
Takoradi	GH	Western	311206	\N	\N	\N
Bujumbura	BI	Burundi	497166	-3.38	29.37	774
Kigali	RWA	Rwanda	603049	-1.94	30.06	1567
Dodoma	EAT	Dodoma	410956	-6.17	35.74	1120
Arusha	EAT	Arusha	416442	-3.37	36.68	1387
Moshi	EAT	Kilimanjaro	184292	-3.33	37.34	700
Tanga	EAT	Tanga	273332	-5.07	39.1	25
Morogoro	EAT	Morogoro	315866	-6.82	37.67	\N
Dar es Salaam	EAT	Dar es Salaam	4364541	-6.8	39.28	12
Lindi	EAT	Lindi	\N	-10	39.71	\N
Mtwara	EAT	Mtwara	108299	-10.27	40.18	\N
Songea	EAT	Ruvuma	203309	-10.68	35.65	\N
Iringa	EAT	Iringa	151345	-7.77	35.7	\N
Mbeya	EAT	Mbeya	385279	-8.9	33.45	1697
Singida	EAT	Singida	150379	-4.81	34.74	\N
Tabora	EAT	Tabora	226999	-5.02	32.8	1241
Sumbawanga	EAT	Rukwa	209793	-7.97	31.62	\N
Kigoma-Ujiji	EAT	Kigoma	215458	-4.88	29.63	773
Shinyanga	EAT	Shinyanga	161391	-3.66	33.42	\N
Bukoba	EAT	Kagera	128796	-1.33	31.82	\N
Mwanza	EAT	Mwanza	706453	-2.52	32.9	1140
Musoma	EAT	Mara	134327	-1.5	33.8	1189
Mkokotoni	EAT	Kaskazini Unguja	\N	-5.88	39.27	\N
Koani	EAT	Kusini Unguja	\N	-6.13	39.28	\N
Zanzibar	EAT	Mjini Magharibi Unguja	223033	-6.13	39.32	\N
Wete	EAT	Kaskazini Pemba	\N	-5.06	39.73	\N
Chake Chake	EAT	Kusini Pemba	\N	-5.25	39.77	\N
Babati	EAT	Manyara	\N	-4.22	35.75	\N
Njombe	EAT	Njombe	130223	-9.33	34.77	\N
Mpanda	EAT	Katavi	102900	-6.35	31.07	\N
Bariadi	EAT	Simiyu	\N	-2.8	33.98	\N
Geita	EAT	Geita	\N	-2.87	32.23	\N
Ngaoundéré	CAM	Adamaoua	152698	7.32	13.58	1212
Yaoundé	CAM	Centre	1817524	3.87	11.52	726
Bertoua	CAM	Est	88462	4.58	13.68	717
Maroua	CAM	Extrême-Nord	201371	10.6	14.32	384
Douala	CAM	Littoral	1907479	4.05	9.68	13
Garoua	CAM	Nord	235996	9.3	13.4	249
Bamenda	CAM	Nord-Ouest	269530	5.93	10.17	1614
Bafoussam	CAM	Ouest	239287	5.47	10.42	1521
Ebolowa	CAM	Sud	\N	2.92	11.15	636
Buea	CAM	Sud-Ouest	90088	4.17	9.23	870
Bangui	RCA	Central African Republic	622771	4.37	18.58	369
Bimbo	RCA	Central African Republic	124176	4.26	18.4	338
N'Djamena	TCH	Chad	951418	12.11	15.05	298
Malabo	GQ	Insular	92900	3.75	8.77	0
Bata	GQ	Continental	66800	1.85	9.75	5
Libreville	G	Gabon	538195	0.39	9.45	0
Port-Gentil	G	Gabon	105712	-0.72	8.78	\N
Franceville	G	Gabon	103840	-1.63	13.58	\N
Praia	CV	Cape Verde	131719	14.92	-23.51	0
Nyala	SUD	Sudan	227183	12.04	24.88	673
Khartoum	SUD	Sudan	947483	15.63	32.53	382
Omdurman	SUD	Sudan	1271403	15.65	32.48	178
Khartoum North	SUD	Sudan	700887	15.63	32.63	\N
Al Ubayyiḑ	SUD	Sudan	229425	13.18	30.22	609
Kassala	SUD	Sudan	234622	15.45	36.4	\N
Port Sudan	SUD	Sudan	308195	19.62	37.22	\N
Al Gedaref	SUD	Sudan	191164	14.03	35.38	634
Al Gazira	SUD	Sudan	211362	14.4	33.52	\N
Al Fashir	SUD	Sudan	141884	13.63	25.35	\N
Juba	SSD	South Sudan	372410	4.85	31.6	550
Moroni	COM	Comoros	41557	-11.7	43.26	29
Conakry	RG	Guinea	1667864	9.52	-13.7	\N
N'Zérékoré	RG	Guinea	194178	7.75	-8.82	\N
Monrovia	LB	Liberia	1010970	6.31	-10.8	\N
Djibouti	DJI	Djibouti	475322	11.6	43.17	\N
Asmara	ER	Eritrea	380568	15.33	38.93	2326
Addis Ababa	ETH	Addis Ababa	3040740	9.03	38.74	2355
Aysaita	ETH	Affar	\N	11.57	41.43	300
Bahir Dar	ETH	Amhara	191016	11.6	37.38	1800
Gondar	ETH	Amhara	254450	12.6	37.47	2133
Dessie	ETH	Amhara	147592	11.13	39.63	2470
Asosa	ETH	Benishangul-Gumuz	\N	10.07	34.52	1570
Dire Dawa	ETH	Dire Dawa	262884	9.6	41.87	1276
Gambella	ETH	Gambella	\N	8.25	34.58	526
Harar	ETH	Harari	110457	9.32	42.12	1885
Adama	ETH	Oromia	271562	8.54	39.27	1712
Jimma	ETH	Oromia	149166	7.67	36.83	1780
Bishoftu	ETH	Oromia	123230	8.75	38.98	1920
Jijiga	ETH	Somali	147482	9.35	42.8	1609
Mekele	ETH	Tigray	273601	13.48	39.47	2084
Hawassa	ETH	YeDebub Biheroch Bihereseboch na Hizboch	212665	7.05	38.47	1708
Mogadishu	SP	Somalia	\N	2.03	45.35	\N
Mombasa	EAK	Kenya	938131	-4.05	39.67	50
Malindi	EAK	Kenya	118265	-3.22	40.13	\N
Machakos	EAK	Kenya	150041	-1.52	37.27	\N
Nairobi	EAK	Kenya	3133518	-1.28	36.82	1661
Kisumu	EAK	Kenya	388311	-0.1	34.75	1131
Nakuru	EAK	Kenya	307990	-0.3	36.07	1850
Eldoret	EAK	Kenya	289380	0.52	35.28	\N
Banjul	WAG	Gambia	357238	13.45	-16.58	0
Dakar	SN	Dakar	1121935	14.69	-17.45	10
Pikine	SN	Dakar	915300	14.75	-17.4	\N
Guediawaye	SN	Dakar	307594	14.78	-17.4	\N
Rufisque	SN	Dakar	169371	14.72	-17.27	\N
Diourbel	SN	Diourbel	101984	14.66	-16.39	12
Fatick	SN	Fatick	\N	14.33	-16.41	11
Kaolack	SN	Kaolack	190927	14.02	-16.25	\N
Kolda	SN	Kolda	\N	12.88	-14.95	0
Louga	SN	Louga	\N	15.65	-16.35	44
Saint-Louis	SN	Saint-Louis	177662	16.03	-16.5	\N
Tambacounda	SN	Tambacounda	\N	13.77	-13.67	24
Thiès	SN	Thiès	273218	14.78	-16.92	\N
M'Bour	SN	Thiès	193368	14.42	-16.97	14
Ziguinchor	SN	Ziguinchor	162887	12.56	-16.28	12
Matam	SN	Matam	\N	15.62	-13.33	\N
Sedhiou	SN	Sédhiou	\N	12.7	-15.55	\N
Kedougou	SN	Kédougou	\N	12.55	-12.18	\N
Kaffrine	SN	Kaffrine	\N	14.12	-15.7	\N
Bissau	GNB	Guinea-Bissau	\N	11.85	-15.57	0
Freetown	WAL	Sierra Leone	772873	8.48	-13.23	26
Bo	WAL	Sierra Leone	149957	7.96	-11.74	15
Kampala	EAU	Uganda	1516210	0.31	32.58	1190
Mbarara	EAU	Uganda	195013	-0.61	30.66	1473
Mukono	EAU	Uganda	161996	0.36	32.75	1200
Maseru	LS	Lesotho	227880	-29.31	27.48	1600
Antsiranana	RM	Madagascar	59040	-12.3	49.28	\N
Antananarivo	RM	Madagascar	710236	-18.93	47.52	1276
Antsirabe	RM	Madagascar	126062	-19.87	47.03	1500
Fianarantsoa	RM	Madagascar	109260	-21.45	47.09	1200
Majunga	RM	Madagascar	106780	-15.72	46.32	\N
Tamatave	RM	Madagascar	137782	-18.15	49.42	\N
Toliara	RM	Madagascar	80826	-23.35	43.67	\N
Lilongwe	MW	Malawi	674448	-13.98	33.78	1050
Blantyre	MW	Malawi	661256	-15.79	35.01	1039
Pemba	MOC	Cabo Delgado	138716	-12.97	40.55	30
Xai-Xai	MOC	Gaza	115752	-25.05	33.65	9
Inhambane	MOC	Inhambane	65149	-23.86	35.38	1
Chimoio	MOC	Manica	237497	-19.12	33.48	664
Nacala Porto	MOC	Maputo	206449	-14.45	40.67	\N
Matola	MOC	Maputo	671556	-25.96	32.46	3
Nampula	MOC	Nampula	471717	-15.12	39.27	360
Lichinga	MOC	Niassa	142331	-13.31	35.24	1398
Beira	MOC	Sofala	431583	-19.83	34.85	14
Tete	MOC	Tete	155870	-16.17	33.6	140
Quelimane	MOC	Zambézia	193343	-17.88	36.89	1
Maputo	MOC	Cidade de Maputo	1094628	-25.97	32.58	47
Port Louis	MS	Mauritius	\N	-20.16	57.5	\N
Mamoutzou	MAYO	Mayotte	\N	-12.46	45.13	\N
Mbabane	SD	Swaziland	57992	-26.32	31.13	1243
Saint-Denis	REUN	Reunion	145347	-20.9	55.5	\N
Jamestown	HELX	Saint Helena	\N	-15.56	-5.44	\N
São Tomé	STP	Sao Tome and Principe	49957	0.34	6.68	137
Victoria	SY	Seychelles	24970	-4.62	55.45	\N
\.


--
-- TOC entry 5265 (class 0 OID 89468)
-- Dependencies: 684
-- Data for Name: cityothername; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY cityothername (city, country, province, othername) FROM stdin;
Tirana	AL	Albania	Tirane
Athina	GR	Attikis	Athens
Peiraias	GR	Attikis	Piräus
Peiraias	GR	Attikis	Piraeus
Patra	GR	Dytikis Elladas	Patras
Kerkyra	GR	Ionion Nison	Korfu
Kerkyra	GR	Ionion Nison	Corfu
Iraklio	GR	Kritis	Iraklion
Iraklio	GR	Kritis	Irakleio
Rhodes	GR	Notioy Aigaioy	Rhodos
Chalkida	GR	Stereas Elladas	Chalkis
Chalkida	GR	Stereas Elladas	Chalcis
Mytilini	GR	Boreioy Aigaioy	Mytilene
Beograd	SRB	Serbia	Belgrade
Prishtine	KOS	Kosovo	Pristina
Châlons-en-Champagne	F	Champagne-Ardenne	Châlons en Champagne
Châlons-en-Champagne	F	Champagne-Ardenne	Châlons
Sevilla	E	Andalucía	Seville
Jerez de la Frontera	E	Andalucía	Jerez
Palma de Mallorca	E	Illes Balears	Palma
Donostia	E	País Vasco	San Sebastián
Donostia	E	País Vasco	Donostia-San Sebastián
San Cristóbal de La Laguna	E	Canarias	La Laguna
Las Palmas de Gran Canaria	E	Canarias	Las Palmas
Hospitalet de Llobregat	E	Cataluña	L'Hospitalet de Llobregat
A Coruña	E	Galicia	La Coruna
Pamplona	E	Navarra	Iruña
Alicante	E	Valenciana	Alacant
Elche	E	Valenciana	Elx
Castellón de la Plana	E	Valenciana	Castelló de la Plana
Wien	A	Wien	Vienna
Praha	CZ	Praha	Prague
Freiburg	D	Baden-Württemberg	Freiburg im Breisgau
München	D	Bayern	Munich
Nürnberg	D	Bayern	Nuremberg
Frankfurt am Main	D	Hessen	Frankfurt
Offenbach am Main	D	Hessen	Offenbach
Hannover	D	Niedersachsen	Hanover
Köln	D	Nordrhein-Westfalen	Cologne
Mülheim an der Ruhr	D	Nordrhein-Westfalen	Mülheim
Ludwigshafen	D	Rheinland-Pfalz	Ludwigshafen am Rhein
Torino	I	Piemonte	Turin
Milano	I	Lombardia	Milan
Bolzano	I	Trentino-Alto Adige	Bozen
Pádova	I	Veneto	Padua
Venézia	I	Veneto	Venice
Génova	I	Liguria	Genoa
Reggio nell'Emilia	I	Emilia-Romagna	Reggio Emilia
Firenze	I	Toscana	Florence
Roma	I	Lazio	Rome
Nápoli	I	Campania	Naples
Réggio di Calabria	I	Calabria	Reggio Calabria
Siracusa	I	Sicilia	Syracuse
Biel	CH	Bern	Bienne
Genève	CH	Genève	Geneva
Luzern	CH	Luzern	Lucerne
Sankt Gallen	CH	Sankt Gallen	St. Gallen
Warszawa	PL	Mazowieckie	Warsaw
Kharkiv	UA	Kharkivs´ka	Kharkov
Prypjat	UA	Kyïvs´ka	Pripyat
Odesa	UA	Odes´ka	Odessa
Rivne	UA	Rivnens´ka	Rovno
Uzhhorod	UA	Zakarpats´ka	Uzhgorod
Zaporizhzhia	UA	Zaporiz´ka	Zaporizhia
Kyïv	UA	Kyïv	Kiev
Arkhangelsk	R	Arkhangel´skaya	Archangel'sk
Cherepovets	R	Vologodskaya	Čerepovec
Sankt Peterburg	R	Sankt-Peterburg	Sankt-Peterburg
Sankt Peterburg	R	Sankt-Peterburg	St. Peterburg
Sankt Peterburg	R	Sankt-Peterburg	Sankt Petersburg
Sankt Peterburg	R	Sankt-Peterburg	Saint Petersburg
Velikij Novgorod	R	Novgorodskaya	Novgorod
Velikij Novgorod	R	Novgorodskaya	Veliky Novgorod
Bryansk	R	Bryanskaya	Br'ansk
Moskva	R	Moscow	Moscow
Železnodorožnyj	R	Moskovskaya	Zheleznodorozhny
L'ubercy	R	Moskovskaya	Lyubertsy
Mytišči	R	Moskovskaya	Mytishchi
Serpuchov	R	Moskovskaya	Serpukhov
Balašicha	R	Moskovskaya	Balashikha
Chimki	R	Moskovskaya	Khimki
Odincovo	R	Moskovskaya	Odintsovo
Orechovo-Zujevo	R	Moskovskaya	Orekhovo Zuyevo
Ščëlkovo	R	Moskovskaya	Shchyolkovo
Sergijev Posad	R	Moskovskaya	Zagorsk
Sergijev Posad	R	Moskovskaya	Sergiyev Posad
Korolëv	R	Moskovskaya	Korolyov
Žukovskij	R	Moskovskaya	Zhukovsky
Žukovskij	R	Moskovskaya	Zhukovskij
Puškino	R	Moskovskaya	Pushkino
Orel	R	Orlovskaya	Orël
Orel	R	Orlovskaya	Oryol
Ryazan	R	Ryazanskaya	R'azan'
Tver	R	Tverskaya	Tver'
Yaroslavl	R	Yaroslavskaya	Jaroslavl'
Yoshkar-Ola	R	Mariy-El	Joškar-Ola
Cheboksary	R	Chuvash	Čeboksary
Novočeboksarsk	R	Chuvash	Novocheboksarsk
Nizhnii Novgorod	R	Nizhnii Novgorod	Nižnij Novgorod
Nizhnii Novgorod	R	Nizhnii Novgorod	Nizhny Novgorod
Dzeržinsk	R	Nizhnii Novgorod	Dzerzhinsk
Staryj Oskol	R	Belgorodskaya	Stary Oskol
Voronezh	R	Voronezhskaya	Voronež
Lipetsk	R	Lipetskaya	Lipeck
Jelec	R	Lipetskaya	Yelets
Kazan	R	Tatarstan	Kazan'
Naberezhnye Tchelny	R	Tatarstan	Naberežnyje Čelny
Naberezhnye Tchelny	R	Tatarstan	Naberezhnye Chelny
Nižnekamsk	R	Tatarstan	Nizhnekamsk
Al'metjevsk	R	Tatarstan	Almetyevsk
Astrakhan	R	Astrakhanskaya	Astrachan'
Volzhsky	R	Volgogradskaya	Volžskij
Kamyšin	R	Volgogradskaya	Kamyshin
Tolyatti	R	Samara	Toljatti
Novokujbyševsk	R	Samara	Novokuybyshevsk
Ulyanovsk	R	Ul´yanovsk	Uljanovsk
Rostov-na-Donu	R	Rostovskaya	Rostov
Rostov-na-Donu	R	Rostovskaya	Rostov on Don
Batajsk	R	Rostovskaya	Bataisk
Batajsk	R	Rostovskaya	Bataysk
Šachty	R	Rostovskaya	Shakhty
Kamoke	PK	Punjab	Kāmoke
Novočerkassk	R	Rostovskaya	Novocherkassk
Novošachtinsk	R	Rostovskaya	Novoshakhtinsk
Okt'abr'skij	R	Bashkortostan	Oktyabrsky
Izhevsk	R	Udmurt	Iževsk
Perm	R	Perm	Perm'
Majkop	R	Adygeya	Maykop
Makhachkala	R	Dagestan	Machačkala
Kaspijsk	R	Dagestan	Kaspiysk
Chasavjurt	R	Dagestan	Khasavyurt
Nal'čik	R	Kabardino-Balkarskaya	Nalchik
Čerkessk	R	Karachayevo-Cherkesskaya	Cherkessk
Grozny	R	Chechenskaya	Groznyj
Sochi	R	Krasnodarskiy	Soči
Novorossiysk	R	Krasnodarskiy	Novorossijsk
Stavropol	R	Stavropol´skiy	Stavropol'
P'atigorsk	R	Stavropol´skiy	Pyatigorsk
Jessentuki	R	Stavropol´skiy	Yessentuki
Yekaterinburg	R	Sverdlov	Jekaterinburg
Nizhny Tagil	R	Sverdlov	Nižnij Tagil
Kamensk-Ural'skij	R	Sverdlov	Kamensk Uralsky
Chelyabinsk	R	Chelyabinsk	Čel'abinsk
Kopejsk	R	Chelyabinsk	Kopeysk
Bijsk	R	Altayskiy	Biysk
Rubcovsk	R	Altayskiy	Rubtsovsk
Novokuznetsk	R	Kemerov	Novokuzneck
Prokopjevsk	R	Kemerov	Prokopyevsk
Tyumen	R	Tyumen	T'umen'
Krasnoyarsk	R	Krasnoyarsk	Krasnojarsk
Ačinsk	R	Krasnoyarsk	Achinsk
Chita	R	Zabaykalskiy	Čita
Yakutsk	R	Sakha	Jakutsk
Nachodka	R	Primorskiy	Nakhodka
Ussurijsk	R	Primorskiy	Ussuriysk
Khabarovsk	R	Khabarov	Chabarovsk
Komsomolsk-na-Amure	R	Khabarov	Komsomol'sk-na-Amure
Komsomolsk-na-Amure	R	Khabarov	Komsomolsk on Amur
Blagoveščensk	R	Amur	Blagoveshchensk
Petropavlovsk-Kamčatskij	R	Kamchatka	Petropavlovsk Kamchatsky
Južno-Sachalinsk	R	Sakhalin	Yuzhno Sakhalinsk
Khanty Mansijsk	R	Khanty Mansi ao	Khanty Mansiysk
Nizhnevartovsk	R	Khanty Mansi ao	Nižnevartovsk
Neftejugansk	R	Khanty Mansi ao	Nefteyugansk
Nojabr'sk	R	Yamalo Nenets ao	Noyabrsk
Novyj Urengoj	R	Yamalo Nenets ao	Novy Urengoy
Bruxelles	B	Bruxelles	Brussel
Bruxelles	B	Bruxelles	Brussels
Schaerbeek	B	Bruxelles	Schaarbeek
Molenbeek-Saint-Jean	B	Bruxelles	Sint-Jans-Molenbeek
Antwerpen	B	Antwerpen	Anvers
Antwerpen	B	Antwerpen	Antwerp
Gent	B	Oost-Vlaanderen	Gand
Gent	B	Oost-Vlaanderen	Ghent
Mons	B	Hainaut	Bergen
Liège	B	Liège	Luik
Namur	B	Namur	Namen
Brugge	B	West-Vlaanderen	Bruges
Leuven	B	Vlaams-Brabant	Louvain
Den Haag	NL	Zuid-Holland	's-Gravenhage
Den Haag	NL	Zuid-Holland	The Hague
Bucureşti	RO	Bucureşti	Bucarest
Bucureşti	RO	Bucureşti	Bucharest
Sfintu Gheorghe	RO	Covasna	Sfântu Gheorghe
Tirgu Jiu	RO	Gorj	Târgu Jiu
Afyonkarahisar	TR	Afyonkarahisar	Afyon
Hatay	TR	Hatay	Antakya
Mersin	TR	Mersin	Icel
Kocaeli	TR	Kocaeli	Izmit
Sakarya	TR	Sakarya	Adapazari
Şanlıurfa	TR	Şanlıurfa	Urfa
Århus	DK	Midtjylland	Aarhus
København	DK	Hovedstaden	Copenhagen
Bodø	N	Nordland	Bodoe
Tromsø	N	Troms	Tromsoe
Vadsø	N	Finnmark	Vadsoe
Göteborg	S	Västra Götaland	Göteborg
Göteborg	S	Västra Götaland	Gothenburg
Monaco	MC	Monaco	Monaco-Ville
Evora	P	Evora	Évora
Oporto	P	Porto	Porto
Santarem	P	Santarem	Santarém
Funchal	P	Madeira	Madeira
Newcastle upon Tyne	GB	North East	Newcastle
Kingston upon Hull	GB	Yorkshire and the Humber	Hull
Sutton Coldfield	GB	West Midlands	Sutton
Xiangyang	CN	Hubei	Xiangfan
Xuzhou	CN	Jiangsu	Jiangsu
Panshan	CN	Liaoning	Panjin
Jiaozhou	CN	Shandong	Jiaoxian
Guigang	CN	Guangxi	Guixian
Hohhot	CN	Nei Mongol	Huhhot
Wulumuqi	CN	Xinjiang	Urumqi
Kashgar	CN	Xinjiang	Kashi
Kashgar	CN	Xinjiang	Kaxgar
Hami	CN	Xinjiang	Kumul
Khoy	IR	West Azarbayejan	Khvoy
Yasuj	IR	Kohgiluyeh and Boyerahmad	Yasouj
Esfahan	IR	Esfahan	Isfahan
Khomeinishahr	IR	Esfahan	Khomeynishahr
Hamedan	IR	Hamedan	Hamadan
Neyshabur	IR	Khorasan-e-Razavi	Nishapur
Ahvaz	IR	Khuzestan	Ahwaz
Eslam Shahr	IR	Tehran	Islamshahr
Ardebil	IR	Ardebil	Ardabil
Gonbad-e-Kavus	IR	Golestan	Gonbad e Kavous
Bojnurd	IR	North Khorasan	Bojnord
Bojnurd	IR	North Khorasan	Bojnourd
Islamabad	PK	FCT Islamabad	Islāmābād
Peshawar	PK	Khyber Pakhtunkhwa	Peshāwar
Mardan	PK	Khyber Pakhtunkhwa	Mardān
Mingaora	PK	Khyber Pakhtunkhwa	Mingāora
Mingaora	PK	Khyber Pakhtunkhwa	Mingora
Gujranwala	PK	Punjab	Gujrānwāla
Rawalpindi	PK	Punjab	Rāwalpindi
Multan	PK	Punjab	Multān
Sialkot	PK	Punjab	Siālkot
Bahawalpur	PK	Punjab	Bahāwalpur
Kasur	PK	Punjab	Kasūr
Gujrat	PK	Punjab	Gujrāt
Okara	PK	Punjab	Okāra
Sahiwal	PK	Punjab	Sāhīwal
Sheikhupura	PK	Punjab	Sheikhūpura
Wah Cantonment	PK	Punjab	Wāh Cantonment
Rahimyar Khan	PK	Punjab	Rahīmyār Khān
Rahimyar Khan	PK	Punjab	Rahim Yar Khan
Dera Ghazi Khan	PK	Punjab	Dera Ghāzi Khān
Burewala	PK	Punjab	Būrewāla
Karachi	PK	Sindh	Karāchi
Hyderabad	PK	Sindh	Hyderābād
Larkana	PK	Sindh	Lārkāna
Nawabshah	PK	Sindh	Nawābshāh
Mirpur Khas	PK	Sindh	Mīrpur Khās
Khujand	TAD	Sughd	Chudschand
Khujand	TAD	Sughd	Khudzhand
Kulyab	TAD	Khatlon	Kulob
Balkanabat	TM	Balkan	Nebitdag
Dashhowuz	TM	Dashhowuz	Tashauz
Dashhowuz	TM	Dashhowuz	Daşoguz
Turkmenabat	TM	Lebap	Charjew
Buxoro	UZB	Buxoro	Bukhara
Farg'ona	UZB	Fargʻona	Fergana
Qo‘qon	UZB	Fargʻona	Kokand
Marg‘ilon	UZB	Fargʻona	Margilan
Urganch	UZB	Xorazm	Urgench
Samarqand	UZB	Samarqand	Samarkand
Termiz	UZB	Surxondaryo	Termez
Olmaliq	UZB	Toshkent	Almalyk
Toshkent	UZB	Toshkent City	Tashkent
Sokhumi	GE	Georgia	Sukhumi
Sumgayit	AZ	Azerbaijan	Sumqayit
Al Manāmah	BRN	Bahrain	Manama
Magwe	MYA	Magwe	Magway
Yangon	MYA	Yangon	Rangoon
Tavoy	MYA	Tanintharyi	Dawei
Mawlamyine	MYA	Mon	Moulmein
Mawlamyine	MYA	Mon	Mawlamyaing
Sittwe	MYA	Rakhine	Akyab
Nay Pyi Taw	MYA	Nay Pyi Taw	Naypyitaw
Nay Pyi Taw	MYA	Nay Pyi Taw	Naypyidaw
Gauhati	IND	Assam	Guwahati
Panaji	IND	Goa	Goa
Ahmadabad	IND	Gujarat	Ahmedabad
Simla	IND	Himachal Pradesh	Shimla
Bangalore	IND	Karnataka	Bengaluru
Hubli	IND	Karnataka	Hubballi
Trivandrum	IND	Kerala	Thiruvananthapuram
Kochi	IND	Kerala	Cochin
Kozhikode	IND	Kerala	Calicut
Sholapur	IND	Maharashtra	Solapur
Navi Mumbai	IND	Maharashtra	New Bombay
Aijal	IND	Mizoram	Aizawl
Kolkata	IND	West Bengal	Calcutta
Haora	IND	West Bengal	Howrah
Daman	IND	Daman and Diu	Diu
Bhilai	IND	Chhattisgarh	Bhilai Nagar
Bokaro Steel City	IND	Jharkhand	Bokara Steel City
Dehra Dun	IND	Uttarakhand	Dehradun
Kota Bahru	MAL	Kelantan	Kota Bharu
Melaka	MAL	Melaka	Malacca
Georgetown	MAL	Pulau Pinang	Penang
Kuching Utara	MAL	Sarawak	Kuching
Klang	MAL	Selangor	Kelang
Vientiane	LAO	Laos	Viangchan
Ho Chi Minh	VN	Vietnam	Saigon
Ho Chi Minh	VN	Vietnam	Ho Chi Minh City
Qui Nhon	VN	Vietnam	Quy Nhơn
Ha Long	VN	Vietnam	Hong Gai
Bien Hoa	VN	Vietnam	Bien Hoa City
Taldykurgan	KAZ	Almaty	Taldykorgan
Koksetau	KAZ	Akmola	Kokshetau
Aqtobe	KAZ	Aktobe	Aktobe
Karaganda	KAZ	Karaganda	Karagandy
Balkhash	KAZ	Karaganda	Balqash
Kustanay	KAZ	Kostanai	Kostanai
Kustanay	KAZ	Kostanai	Kostanay
Rudniy	KAZ	Kostanai	Rudny
Petropavlovsk	KAZ	North-Kazakhstan	Petropavl
Hamhung-Hungnam	NOK	North Korea	Hamhung
Nampho	NOK	North Korea	Nampo
Kim Chaek	NOK	North Korea	Songjin
Kim Chaek	NOK	North Korea	Kimchaek
Sinpho	NOK	North Korea	Sinpo
Ulaanbaatar	MNG	Mongolia	Ulan Bator
Lalitpur	NEP	Nepal	Patan
Lefkosia	CY	Cyprus	Nicosia
Larnaka	CY	Cyprus	Larnaca
Lemesos	CY	Cyprus	Limassol
Yerushalayim	IL	Yerushalayim	Jerusalem
Rishon LeZiyyon	IL	HaMerkaz	Rishon LeZion
Petah Tiqwa	IL	HaMerkaz	Petah Tikwa
Petah Tiqwa	IL	HaMerkaz	Petah Tikva
Tel Aviv-Yafo	IL	Tel Aviv	Tel Aviv
Tel Aviv-Yafo	IL	Tel Aviv	Jaffa
Be'er Sheva	IL	HaDarom	Beersheba
Marsa Matruh	ET	Egypt	Mersa Matruh
Kafr ad Dawwar	ET	Egypt	Kafr el-Dawwar
Al Mansurah	ET	Egypt	Mansoura
Al Mahallah al Kubra	ET	Egypt	El-Mahalla El-Kubra
Al Isma'iliyah	ET	Egypt	Ismaïlia
Shibin al Kum	ET	Egypt	Shibin El Kom
Shubra al Khimah	ET	Egypt	Shubra El-Kheima
Az Zaqaziq	ET	Egypt	Zagazig
Bani Suwayf	ET	Egypt	Beni Suef
Al Fayyum	ET	Egypt	Faiyum
Al Jizah	ET	Egypt	Gizeh
Al Jizah	ET	Egypt	Giza
Al Minya	ET	Egypt	Minya
Qina	ET	Egypt	Qena
Al Uqsur	ET	Egypt	Luxor
Suhaj	ET	Egypt	Sohag
Bur Sa'id	ET	Egypt	Port Said
Al Iskandariyah	ET	Egypt	Alexandria
Al Qahirah	ET	Egypt	Cairo
As Suways	ET	Egypt	Suez
Lubuk Linggau	RI	Sumatera Selatan	Lubuklinggau
Tanjungpinang	RI	Kepulauan Riau	Tanjung Pinang
Tangerang Selatan	RI	Banten	South Tangerang
Bandjarmasin	RI	Kalimantan Selatan	Banjarmasin
Makassar	RI	Sulawesi Selatan	Ujung Pandang
Ar Ramadi	IRQ	al-Anbar	Ramadi
Al Basrah	IRQ	Basrah	Basrah
Al Basrah	IRQ	Basrah	Basra
An Nasiriyah	IRQ	Thi Qar	Nasiriyah
Kerbela	IRQ	Kerbela	Karbala
Al Amarah	IRQ	Maysan	Amarah
As Samawah	IRQ	al-Muthanna	Samawah
An Najaf	IRQ	al-Najaf	Najaf
Al Mawsil	IRQ	Nineveh	Mosul
Diwaniyah	IRQ	al-Qadisiya	Al Diwaniyah
Al Kut	IRQ	Wasit	Kut
Duhouk	IRQ	Duhouk	Dahuk
As Sulaymaniyah	IRQ	As Sulaymaniyah	Sulaymaniyah
Al Kuwayt	KWT	Kuwait	Kuwait City
Al Kuwayt	KWT	Kuwait	Kuwait
Al Baha	SA	Al-Baha	Al Bahah
Sakaka	SA	Al-Jouf	Sakakah
Al Madinah	SA	Al-Madinah Al-Monawarah	Madinah
Jazan	SA	Jazan	Jizan
At Taif	SA	Makkah Al-Mokarramah	Taif
Tabouk	SA	Tabouk	Tabuk
Al Qamishl	SYR	Al Hasakah	Qamishli
Al Ladhiqiyah	SYR	Al Ladhiqiyah	Latakia
Al Qunaytirah	SYR	Al Qunaytirah	Quneitra
Dar`a	SYR	Dar`a	Daraa
Dayr az Zawr	SYR	Dayr az Zawr	Deir ez-Zor
Dimashq	SYR	Dimashq	Damascus
Dimashq	SYR	Dimashq	Damaskus
Halab	SYR	Halab	Haleb
Halab	SYR	Halab	Aleppo
Hamah	SYR	Hamah	Hama
Hims	SYR	Hims	Homs
Ma`arrat an Nu`man	SYR	Idlib	Maarat al-Numaan
Duma	SYR	Rif Dimashq	Douma
Bayrūt	RL	Lebanon	Beirut
Hebron	WEST	West Bank	Al Khalil
Busan	ROK	South Korea	Pusan
Daegu	ROK	South Korea	Taegu
Gwangju	ROK	South Korea	Kwangju
Daejeon	ROK	South Korea	Taejon
Jeju	ROK	South Korea	Cheju
Muscat	OM	Oman	Maskat
As Seeb	OM	Oman	As Sib
Al Sharjah	UAE	United Arab Emirates	Sharjah
Ta'izz	YE	Yemen	Taiz
al Hudaydah	YE	Yemen	Al Hudaydah
al Hudaydah	YE	Yemen	Hodeidah
San Jose Del Monte	RP	Central Luzon	San Jose del Monte
Cagayan De Oro	RP	Northern Mindanao	Cagayan de Oro
General Santos	RP	Soccsksargen	Dadiangas
Kalookan	RP	Metro Manila	Caloocan
Sri Jayawardhanapura Kotte	CL	Sri Lanka	Sri Jayewardenepura
Sri Jayawardhanapura Kotte	CL	Sri Lanka	Kotte
Jhongli	RC	Taiwan	Zhongli
Ciudad de Guatemala	GCA	Guatemala	Guatemala City
Ciudad Juárez	MEX	Chihuahua	Juárez
Pachuca	MEX	Hidalgo	Pachuca de Soto
Tlalnepantla	MEX	México, Estado de	Tlalnepantla de Baz
San Pablo	MEX	México, Estado de	San Pablo de las Salinas
Ecatepec	MEX	México, Estado de	Ecatepec de Morelos
Naucalpan	MEX	México, Estado de	Naucalpan de Juarez
Zamora de Hidalgo	MEX	Michoacán	Zamora
Cuautla Morelos	MEX	Morelos	Cuautla
San Nicolás de los Garzas	MEX	Nuevo Léon	San Nicolas de los Garza
Ciudad Santa Catarina	MEX	Nuevo Léon	Santa Catarina
Soledad Díez Gutiérrez	MEX	San Luis Potosí	Soledad de Graciano Sanchez
Nogales	MEX	Sonora	Heroica Nogales
Xalapa-Enríquez	MEX	Veracruz	Jalapa
Xalapa-Enríquez	MEX	Veracruz	Xalapa
Poza Rica de Hidalgo	MEX	Veracruz	Poza Rica
Veracruz	MEX	Veracruz	Veracruz Llave
Ciudad de México	MEX	Distrito Federal	Mexico City
Saint Catharines	CDN	Ontario	St. Catharines
Boise City	USA	Idaho	Boise
Lexington	USA	Kentucky	Lexington Fayette
Nashville-Davidson	USA	Tennessee	Nashville
Santiago	PA	Veraguas	Santiago de Veraguas
La Habana	C	La Habana	Habana
La Habana	C	La Habana	Havana
Victoria de las Tunas	C	Las Tunas	Las Tunas
Santiago	DOM	Dominican Republic	Santiago de los Caballeros
Pétion-Ville	RH	Haiti	Pétionville
Tegucigalpa	HCA	Francisco Morazán	Distrito Central
Siguatepeque	HCA	Francisco Morazán	Siquatepeque
Roatan	HCA	Islas de la Bahía	Coxen Hole
Roatan	HCA	Islas de la Bahía	Coxen Hole (Roatan)
Saint George's	WG	Grenada	St. George's
Inirida	CO	Guainía	Puerto Inirida
Pasto	CO	Nariño	San Juan de Pasto
San Andres de Tumaco	CO	Nariño	Tumaco
Girón	CO	Santander	San Juan de Girón
Basseterre	KN	Saint Kitts and Nevis	Basse Terre
Hagåtña	GUAM	Guam	Agana
San Salvador de Jujuy	RA	Jujuy	Jujuy
San Miguel de Tucumán	RA	Tucumán	Tucuman
Santa Cruz de la Sierra	BOL	Santa Cruz	Santa Cruz
Jaboatão	BR	Pernambuco	Jaboatao dos Guararapes
Embu	BR	São Paulo	Embu das Artes
Mogi Guaçu	BR	São Paulo	Moji Guacu
Coyhaique	RCH	Aysén	Coihaique
Cusco	PE	Cusco	Cuzco
San Fernando	YV	Apure	San Fernando de Apure
Santa Ana de Coro	YV	Falcón	Coro
San Juan	YV	Guárico	San Juan de Los Morros
Tougourt	DZ	Algeria	Touggourt
El Djelfa	DZ	Algeria	Djelfa
Misratah	LAR	Libya	Misrata
Tombouctou	RMM	Tombouctou	Timbuktu
Aioun	RIM	Hodh El Gharbi	Ayoûn el-Atroûs
Tidjikja	RIM	Tagant	Tidjikdja
Zouerate	RIM	Tiris Zemmour	Zouérat
Fès	MA	Fes Boulemane	Fez
Tanger	MA	Tanger Tetouan	Tangier
El Aaiun	WSA	Western Sahara	Laâyoune
Ngiva	ANG	Cunene	Ondjiva
Kalemi	ZRE	Katanga	Kalemie
Benin	WAN	Edo	Benin City
Effon-Alaiye	WAN	Ekiti	Efon-Alaaye
Oshogbo	WAN	Osun	Osogbo
Ilesha	WAN	Osun	Ilesa
Ogbomosho	WAN	Oyo	Ogbomoso
Nelson Mandela Bay	RSA	Eastern Cape	Port Elizabeth
Buffalo City	RSA	Eastern Cape	East London
Bhisho	RSA	Eastern Cape	Bisho
Mangaung	RSA	Free State	Bloemfontein
Tshwane	RSA	Gauteng	Pretoria
Emfuleni	RSA	Gauteng	Vanderbijlpark
Ekurhuleni - Germiston	RSA	Gauteng	East Rand
Ekurhuleni - Germiston	RSA	Gauteng	Ekurhuleni
Msunduzi	RSA	KwaZulu-Natal	Pietermaritzburg
eThekwini	RSA	KwaZulu-Natal	Durban
Mbombela	RSA	Mpumalanga	Nelspruit
Polokwane	RSA	Limpopo	Pietersburg
Kigoma-Ujiji	EAT	Kigoma	Kigoma
Khartoum North	SUD	Sudan	Chartum Bahri
Khartoum North	SUD	Sudan	Al Chartum Bahri
Al Gedaref	SUD	Sudan	Al Qadarif
Al Gazira	SUD	Sudan	Wad Madani
N'Zérékoré	RG	Guinea	Nzérékoré
Aysaita	ETH	Affar	Asaita
Gambella	ETH	Gambella	Gambela
Adama	ETH	Oromia	Nazret
Bishoftu	ETH	Oromia	Debre Zeyit
Majunga	RM	Madagascar	Mahajanga
Tamatave	RM	Madagascar	Toamasina
Nacala Porto	MOC	Maputo	Nacala
Mamoutzou	MAYO	Mayotte	Mamoudzou
\.


--
-- TOC entry 5266 (class 0 OID 89471)
-- Dependencies: 685
-- Data for Name: continent; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY continent (name, area) FROM stdin;
Europe	9562488
Asia	45095292
Australia/Oceania	8503474
Africa	30254708
America	39872000
\.


--
-- TOC entry 5267 (class 0 OID 89474)
-- Dependencies: 686
-- Data for Name: country; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY country (name, code, capital, province, area, population) FROM stdin;
Albania	AL	Tirana	Albania	28750	2800138
Greece	GR	Athina	Attikis	131940	10816286
Macedonia	MK	Skopje	Macedonia	25333	2059794
Serbia	SRB	Beograd	Serbia	77474	7120666
Montenegro	MNE	Podgorica	Montenegro	14026	620029
Kosovo	KOS	Prishtine	Kosovo	10887	1733872
Andorra	AND	Andorra la Vella	Andorra	450	78115
France	F	Paris	Île-de-France	547030	64933400
Spain	E	Madrid	Madrid	504750	46815916
Austria	A	Wien	Wien	83850	8499759
Czech Republic	CZ	Praha	Praha	78703	10562214
Germany	D	Berlin	Berlin	356910	80219695
Hungary	H	Budapest	Budapest	93030	9937628
Italy	I	Roma	Lazio	301230	59433744
Liechtenstein	FL	Vaduz	Liechtenstein	160	36636
Slovakia	SK	Bratislava	Bratislavský	48845	5397036
Slovenia	SLO	Ljubljana	Slovenia	20256	2058821
Switzerland	CH	Bern	Bern	41290	8139631
Belarus	BY	Minsk	Minsk City	207600	9460692
Latvia	LV	Rīga	Latvia	64100	2201196
Lithuania	LT	Vilnius	Lithuania	65200	2979310
Poland	PL	Warszawa	Mazowieckie	312683	38533789
Ukraine	UA	Kyïv	Kyïv	603700	45633637
Russia	R	Moskva	Moscow	17075200	143666931
Belgium	B	Bruxelles	Bruxelles	30510	11099554
Luxembourg	L	Luxembourg	Luxembourg	2586	524853
Netherlands	NL	Amsterdam	Noord-Holland	37330	16843181
Bosnia and Herzegovina	BIH	Sarajevo	Federacija Bosne i Hercegovine	51233	3791622
Croatia	HR	Zagreb	Croatia	56538	4290612
Bulgaria	BG	Sofia	Bulgaria	110910	7284552
Romania	RO	Bucureşti	Bucureşti	237500	20121641
Turkey	TR	Ankara	Ankara	780580	75627384
Denmark	DK	København	Hovedstaden	43070	5580516
Estonia	EW	Tallinn	Estonia	45100	1294455
Faroe Islands	FARX	Tórshavn	Faroe Islands	1400	48197
Finland	SF	Helsinki	Uusimaa	337030	5455068
Norway	N	Oslo	Oslo	324220	5051275
Sweden	S	Stockholm	Stockholm	449964	9555893
Monaco	MC	Monaco	Monaco	1.9	36845
Gibraltar	GBZ	Gibraltar	Gibraltar	6.5	27495
Guernsey	GBG	Saint Peter Port	Guernsey	194	59807
Holy See	V	Vatican City	Holy See	0.44	842
Ceuta	CEU	Ceuta	Ceuta	18	82376
Melilla	MEL	Melilla	Melilla	12	78476
Iceland	IS	Reykjavik	Iceland	103000	318452
Ireland	IRL	Dublin	Ireland	70280	4588252
San Marino	RSM	San Marino	San Marino	60	32440
Jersey	GBJ	Saint Helier	Jersey	117	97857
Malta	M	Valletta	Malta	320	417432
Isle of Man	GBM	Douglas	Isle of Man	588	84497
Moldova	MD	Chişinău	Moldova	33700	3559541
Portugal	P	Lisboa	Lisboa	92080	10561614
Svalbard	SVAX	Longyearbyen	Svalbard	62049	1872
United Kingdom	GB	London	London	244820	64105654
Afghanistan	AFG	Kabul	Afghanistan	647500	26023100
China	CN	Beijing	Beijing	9596960	1360720000
Iran	IR	Tehran	Tehran	1648000	75149669
Pakistan	PK	Islamabad	FCT Islamabad	803940	173149306
Tajikistan	TAD	Dushanbe	Dushanbe	143100	8161100
Turkmenistan	TM	Ashgabat	Ashgabat	488100	5041995
Uzbekistan	UZB	Toshkent	Toshkent City	447400	27769270
Armenia	ARM	Yerevan	Armenia	29800	3026879
Georgia	GE	Tbilisi	Georgia	69700	4483800
Azerbaijan	AZ	Baku	Azerbaijan	86600	9356500
Bahrain	BRN	Al Manāmah	Bahrain	620	1234596
Bangladesh	BD	Dhaka	Dhaka	144000	149772364
Myanmar	MYA	Nay Pyi Taw	Nay Pyi Taw	678500	51419420
India	IND	Delhi	Delhi	3287590	1210854977
Bhutan	BHT	Thimphu	Bhutan	47000	733004
Brunei	BRU	Bandar Seri Begawan	Brunei	5770	393372
Malaysia	MAL	Kuala Lumpur	Kuala Lumpur	329750	27565821
Laos	LAO	Vientiane	Laos	236800	6514432
Thailand	THA	Bangkok	Thailand	514000	65981659
Cambodia	K	Phnom Penh	Cambodia	181040	14364931
Vietnam	VN	Hanoi	Vietnam	329560	88772900
Kazakhstan	KAZ	Astana	Astana	2717300	17165239
North Korea	NOK	Pyongyang	North Korea	120540	24500520
Kyrgyzstan	KGZ	Bishkek	Kyrgyzstan	198500	5776600
Hong Kong	HONX	Hong Kong	Hong Kong	1092	7071576
Macao	MACX	Macao	Macao	16	552503
Mongolia	MNG	Ulaanbaatar	Mongolia	1565000	2754685
Nepal	NEP	Kathmandu	Nepal	140800	26494504
Christmas Island	XMAS	Flying Fish Cove	Christmas Island	135	2072
Cocos Islands	COCO	West Island	Cocos Islands	14	596
Cyprus	CY	Lefkosia	Cyprus	9251	840407
Gaza Strip	GAZA	\N	\N	365	1760037
Israel	IL	Yerushalayim	Yerushalayim	22072	7420368
Egypt	ET	Al Qahirah	Egypt	1001450	83667047
Indonesia	RI	Jakarta	DKI Jakarta	1919440	252124458
Timor-Leste	TL	Dili	Timor-Leste	15007	1066582
Papua New Guinea	PNG	Port Moresby	Papua New Guinea	461690	7275324
Iraq	IRQ	Baghdad	Baghdad	437072	33330512
Jordan	JOR	Amman	Jordan	89213	6249000
Kuwait	KWT	Al Kuwayt	Kuwait	17820	2991580
Saudi Arabia	SA	Riyadh	Al-Riyadh	1960582	27136977
Syria	SYR	Dimashq	Dimashq	185180	20866000
Lebanon	RL	Bayrūt	Lebanon	10400	4341092
West Bank	WEST	Ramallah	West Bank	5655	2790331
Japan	J	Tokyo	Tokyo	377835	127298000
South Korea	ROK	Seoul	South Korea	98480	51141463
Maldives	MV	Male	Maldives	300	341256
Oman	OM	Muscat	Oman	212460	3623001
United Arab Emirates	UAE	Abu Dhabi	United Arab Emirates	75581	8441537
Yemen	YE	Sana'a	Yemen	527970	24527000
Philippines	RP	Manila	Metro Manila	299764	92337852
Qatar	Q	Doha	Qatar	11000	1699435
Singapore	SGP	Singapore	Singapore	632.6	5076700
Sri Lanka	CL	Sri Jayawardhanapura Kotte	Sri Lanka	65610	20263723
Taiwan	RC	Taipei	Taiwan	36179	23315822
Anguilla	AXA	The Valley	Anguilla	102	13037
Antigua and Barbuda	AG	Saint Johns	Antigua and Barbuda	442	81799
Aruba	ARU	Oranjestad	Aruba	193	101484
Bahamas	BS	Nassau	Bahamas	13940	353658
Barbados	BDS	Bridgetown	Barbados	430	277821
Belize	BZ	Belmopan	Belize	22960	312971
Guatemala	GCA	Ciudad de Guatemala	Guatemala	108890	15073375
Mexico	MEX	Ciudad de México	Distrito Federal	1972550	112336538
Bermuda	BERM	Hamilton	Bermuda	53.3	64237
British Virgin Islands	BVIR	Road Town	British Virgin Islands	153	23161
Canada	CDN	Ottawa	Ontario	9976140	35158304
United States	USA	Washington	District of Columbia	9372610	318857056
Cayman Islands	CAYM	George Town	Cayman Islands	262	55691
Costa Rica	CR	San José	San José	51100	4773119
Nicaragua	NIC	Managua	Nicaragua	129494	6071045
Panama	PA	Panamá City	Panamá	78200	3405813
Cuba	C	La Habana	La Habana	110860	11167325
Dominica	WD	Roseau	Dominica	746	70739
Dominican Republic	DOM	Santo Domingo	Dominican Republic	48730	9445281
Haiti	RH	Port-au-Prince	Haiti	27750	9896400
El Salvador	ES	San Salvador	El Salvador	21040	6290420
Honduras	HCA	Tegucigalpa	Francisco Morazán	112090	8045990
Greenland	GROX	Nuuk	Greenland	2175600	56370
Grenada	WG	Saint George's	Grenada	344	103328
Guadeloupe	GUAD	Basse-Terre	Guadeloupe	1628	404635
Jamaica	JA	Kingston	Jamaica	10991	2697983
Martinique	MART	Fort-de-France	Martinique	1128	392291
Montserrat	MNTS	Plymouth	Montserrat	102	4922
Curacao	CUR	Willemstad	Curacao	444	150563
Sint Maarten	NLSM	Philipsburg	Sint Maarten	34	37429
Saint Martin	SMAR	Marigot	Saint Martin	54	37630
Saint Barthelemy	SBAR	Gustavia	Saint Barthelemy	21	9072
Colombia	CO	Bogotá	Santa Fe de Bogotá	1138910	47661787
Puerto Rico	PR	San Juan	Puerto Rico	8870	3725789
Saint Kitts and Nevis	KN	Basseterre	Saint Kitts and Nevis	269	52352
Saint Lucia	WL	Castries	Saint Lucia	620	165595
Saint Pierre and Miquelon	SPMI	Saint-Pierre	Saint Pierre and Miquelon	242	6312
Saint Vincent and the Grenadines	WV	Kingstown	Saint Vincent and the Grenadines	389	109991
Trinidad and Tobago	TT	Port-of-Spain	Trinidad and Tobago	5130	1328019
Turks and Caicos Islands	TUCA	Grand Turk	Turks and Caicos Islands	430	31458
Virgin Islands	VIRG	Charlotte Amalie	Virgin Islands	352	106405
American Samoa	AMSA	Pago Pago	American Samoa	199	55519
Australia	AUS	Canberra	Australia Capital Territory	7686850	23135281
Cook Islands	COOK	Avarua	Cook Islands	240	17794
Fiji	FJI	Suva	Fiji	18270	860559
French Polynesia	FPOL	Papeete	French Polynesia	4167	268270
Guam	GUAM	Hagåtña	Guam	541.3	159358
Kiribati	KIR	Tarawa	Kiribati	717	103058
Marshall Islands	MH	Majuro	Marshall Islands	181.3	53158
Micronesia	FSM	Palikir	Micronesia	702	102843
Nauru	NAU	Yaren	Nauru	21	10025
New Caledonia	NCA	Noumea	New Caledonia	19060	245580
New Zealand	NZ	Wellington	New Zealand	268680	4242048
Niue	NIUE	Alofi	Niue	260	1611
Norfolk Island	NORF	Kingston	Norfolk Island	34.6	2169
Northern Mariana Islands	NMIS	Saipan	Northern Mariana Islands	477	53883
Palau	PAL	Melekeok	Palau	458	17501
Pitcairn	PITC	Adamstown	Pitcairn	47	66
Solomon Islands	SLB	Honiara	Solomon Islands	28450	526447
Tonga	TO	Nukualofa	Tonga	748	103252
Tuvalu	TUV	Funafuti	Tuvalu	26	9827
Tokelau	TOK	Fakaofo	Tokelau	12	1383
Vanuatu	VU	Port Vila	Vanuatu	14760	236299
Wallis and Futuna	WAFU	Mata-Utu	Wallis and Futuna	274	12197
Samoa	WS	Apia	Samoa	2860	187820
Argentina	RA	Buenos Aires	Distrito Federal	2766890	42669500
Bolivia	BOL	La Paz	La Paz	1098580	10027262
Brazil	BR	Brasília	Distrito Federal	8511965	202768562
Chile	RCH	Santiago	Santiago	756950	16341929
Paraguay	PY	Asunción	Paraguay	406750	6672631
Uruguay	ROU	Montevideo	Uruguay	176220	3286314
Peru	PE	Lima	Lima City	1285220	30135875
French Guiana	FGU	Cayenne	French Guiana	83534	237549
Guyana	GUY	Georgetown	Guyana	214970	747884
Suriname	SME	Paramaribo	Suriname	163270	541638
Venezuela	YV	Caracas	Distrito Federal	912050	28946101
Ecuador	EC	Quito	Ecuador	283560	14483499
Falkland Islands	FALK	Stanley	Falkland Islands	12173	2931
Algeria	DZ	Algiers	Algeria	2381740	37062820
Libya	LAR	Tripoli	Libya	1759540	6040612
Mali	RMM	Bamako	Bamako	1240000	13985961
Mauritania	RIM	Nouakchott	Nouakchott	1030700	3537368
Morocco	MA	Rabat	Rabat Sale Zemmour Zaer	446550	32901622
Niger	RN	Niamey	Niamey	1267000	17138707
Tunisia	TN	Tunis	Tunisia	163610	10982754
Western Sahara	WSA	El Aaiun	Western Sahara	266000	554795
Angola	ANG	Luanda	Luanda	1246700	24383301
Congo	RCB	Brazzaville	Brazzaville	342000	4001831
Namibia	NAM	Windhoek	Namibia	825418	2113077
Zaire	ZRE	Kinshasa	Kinshasa	2345410	62191161
Zambia	Z	Lusaka	Lusaka	752610	13046508
Benin	BEN	Porto-Novo	Benin	112620	9983884
Burkina Faso	BF	Ouagadougou	Burkina Faso	274200	17322796
Nigeria	WAN	Abuja	Abuja	923770	164294516
Togo	RT	Lomé	Togo	56790	6191155
Botswana	RB	Gaborone	Botswana	600370	2038228
South Africa	RSA	Tshwane	Gauteng	1219912	51770560
Zimbabwe	ZW	Harare	Zimbabwe	390580	13061239
Cote dIvoire	CI	Yamoussoukro	Lacs	322460	22671331
Ghana	GH	Accra	Greater Accra	238540	24658823
Burundi	BI	Bujumbura	Burundi	27830	8444784
Rwanda	RWA	Kigali	Rwanda	26340	10515973
Tanzania	EAT	Dodoma	Dodoma	945090	44928923
Cameroon	CAM	Yaoundé	Centre	475440	19406100
Central African Republic	RCA	Bangui	Central African Republic	622980	4349921
Chad	TCH	N'Djamena	Chad	1284000	11720781
Equatorial Guinea	GQ	Malabo	Insular	28050	696167
Gabon	G	Libreville	Gabon	267670	1556222
Cape Verde	CV	Praia	Cape Verde	4033	491875
Sudan	SUD	Khartoum	Sudan	1861484	35652002
South Sudan	SSD	Juba	South Sudan	644329	8260490
Comoros	COM	Moroni	Comoros	2170	683081
Guinea	RG	Conakry	Guinea	245860	10628972
Liberia	LB	Monrovia	Liberia	111370	3957990
Djibouti	DJI	Djibouti	Djibouti	22000	834036
Eritrea	ER	Asmara	Eritrea	121320	5741159
Ethiopia	ETH	Addis Ababa	Addis Ababa	1127127	84320987
Somalia	SP	Mogadishu	Somalia	637660	9636173
Kenya	EAK	Nairobi	Kenya	582650	40909194
Gambia	WAG	Banjul	Gambia	11300	1882450
Senegal	SN	Dakar	Dakar	196190	13508715
Guinea-Bissau	GNB	Bissau	Guinea-Bissau	36120	1586624
Sierra Leone	WAL	Freetown	Sierra Leone	71740	5751976
Uganda	EAU	Kampala	Uganda	236040	34856813
Lesotho	LS	Maseru	Lesotho	30350	2008921
Madagascar	RM	Antananarivo	Madagascar	587041	21842167
Malawi	MW	Lilongwe	Malawi	118480	15013694
Mozambique	MOC	Maputo	Cidade de Maputo	801590	23700715
Mauritius	MS	Port Louis	Mauritius	2040	1237091
Mayotte	MAYO	Mamoutzou	Mayotte	374	212645
Swaziland	SD	Mbabane	Swaziland	17360	1193148
Reunion	REUN	Saint-Denis	Reunion	2510	828581
Saint Helena	HELX	Jamestown	Saint Helena	413	5663
Sao Tome and Principe	STP	São Tomé	Sao Tome and Principe	1001	187356
Seychelles	SY	Victoria	Seychelles	455	90945
\.


--
-- TOC entry 5268 (class 0 OID 89482)
-- Dependencies: 687
-- Data for Name: countryothername; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY countryothername (country, othername) FROM stdin;
\.


--
-- TOC entry 5269 (class 0 OID 89485)
-- Dependencies: 688
-- Data for Name: desert; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY desert (name, area, coordinates) FROM stdin;
Kalahari	1200000	(-22,21)
Namib	95000	(-25,15)
Ferlo	70000	(15,-14)
Trarza	50000	(18,-15)
Erg Ouarane	80000	(21,-11)
Erg Maqteir	40000	(22,-11)
Saguia el-Hamra	25000	(27,-10)
Erg Igidi	150000	(27,-5)
Hamada du Draa	35000	\N
Erg Chech	10000	(25,-3)
Tanezrouft	160000	(23,0)
Grand Erg Ouest	200000	(30,-1)
Grand Erg Est	150000	(31,8)
Erg Isaouane	80000	(28,8)
Hamada al-Hamra	84000	(30,12)
Fesan	300000	(26,13)
Erg Rebiana	200000	(23,22)
Talak	100000	(17,6)
Tenere	600000	(18,11)
Djourab	100000	(17,18)
Erdi Ennedi	180000	(18,22)
Libyan Desert	1100000	\N
Darfur	500000	(15,27)
Arabian Desert	50000	(33,26)
Nubian Desert	50000	(32,21)
Negev	12000	(30.5,35)
Syrian Desert	518000	(33,39)
Nefud	78000	(28,42)
Rub Al Chali	780000	(21,51)
Dascht-e-Kavir	77600	(32.5,55)
Dascht-e-Lut	166000	(32.5,57)
Dascht-e-Margoh	40000	(31,62)
Rigestan	25000	(30,65)
Thar	240000	(27.5,72)
Ryn	80000	(48,47)
Ust Urt	180000	(43,56)
Karakum	400000	(40,60)
Kysylkum	200000	(44,65)
Mujunkum	37500	(44,72)
TaklaMakan	300000	(38,82)
Gurbantunggut	48800	(45,87.5)
Kum Tagh	22000	(40,92)
Qaidam	120000	(37.5,95)
Gobi	1000000	(41,105)
Ordos	90000	(38,108)
Great Sandy Desert	360000	(-20,123)
Gibson Desert	310800	(-23,125)
Great Victoria Desert	424400	(-29,129)
Nullarbor Plain	200000	(-31,129)
Simpson Desert	176500	(-25,137)
Red Centre	1000000	(-26,135)
Tanami	37500	(-20,130)
Sturt Desert	13000	(-29,141)
Owyhee	36000	(42,-117)
Great Salt Lake Desert	10360	(41,-114)
Colorado Plateau	337000	(36,-110)
Great Basin	300000	(38,-117)
Mojave	57000	(36.2,-115.2)
Sonora	320000	(32,-113)
Chihuahua	360000	(31,-105)
Baja California Desert	30000	(31,-116)
Atacama	181300	(-24.5,-69.25)
\.


--
-- TOC entry 5270 (class 0 OID 89492)
-- Dependencies: 689
-- Data for Name: economy; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY economy (country, gdp, agriculture, service, industry, inflation, unemployment) FROM stdin;
AL	12800	19.5	12	68.5	1.7	16.9
GR	243300	3.5	16	80.5	-0.8	27.9
MK	10650	10.2	27.5	62.3	2.8	28.6
SRB	43680	7.9	31.8	60.3	2.2	20.1
MNE	4518	0.8	11.3	87.9	4	19.1
KOS	7150	12.9	22.6	64.5	1.8	30.9
AND	4800	14	79	6	1.1	4
F	2739000	1.9	18.7	79.4	0.9	10.2
E	1356000	3.1	26	70.8	1.8	26.3
A	417900	1.6	28.6	69.8	2.1	4.9
CZ	194800	2.4	37.3	60.3	1.4	7.1
D	3593000	0.8	30.1	69	1.6	5.3
H	130600	3.4	28	68.7	1.9	10.5
I	2068000	2	24.4	73.5	1.2	12.4
FL	5113	8	37	55	-0.7	2.3
SK	96960	3.1	30.8	67	1.7	14.4
SLO	46820	2.8	28.9	68.3	1.8	13.1
CH	646200	0.7	26.8	72.5	-0.4	3.2
BY	69240	9.2	46.2	44.7	19	1
LV	30380	4.9	25.7	69.4	0.2	9.8
LT	46710	3.7	28.3	68	1.2	12.4
PL	513900	4	33.3	62.7	1	10.3
UA	175500	9.9	29.6	60.5	0.7	8
R	2113000	4.2	37.5	58.3	6.8	5.8
B	507400	0.8	22.6	76.6	1.3	8.8
L	60540	0.3	13.3	86.4	1.8	4.9
NL	722300	2.6	25.4	72.1	2.5	8.3
BIH	18870	8.1	26.4	65.5	0.2	44.3
HR	59140	5	25.8	69.2	2.2	21.6
BG	53700	6.7	30.3	63	1.5	11.6
RO	188900	6.4	34.2	59.4	3.2	7.3
TR	821800	8.9	27.3	63.8	7.6	9.3
DK	324300	1.5	21.7	76.8	0.8	6
EW	24280	3.9	30	66.2	3.4	10.9
FARX	2320	16	29	55	2.3	6.8
SF	259600	2.9	25.1	71.9	2.2	8.1
N	515800	1.2	42.3	56.5	1.9	3.6
S	552000	2	31.3	66.8	0	8.1
MC	5748	0	10	90	1.5	2
GBZ	1106	0	0	100	2.8	3
GBG	2742	3	10	87	3.4	0.9
V	\N	\N	\N	\N	\N	\N
CEU	\N	\N	\N	\N	\N	\N
MEL	\N	\N	\N	\N	\N	\N
IS	14590	5.9	22.9	71.2	3.9	4.5
IRL	220900	1.6	28	70.4	0.6	13.5
RSM	1866	0.1	39.2	60.7	2.8	7
GBJ	5100	2	2	96	3.7	1.7
M	9541	1.4	25.3	73.3	1	6.4
GBM	4076	1	11	88	5	2
MD	7932	13.8	19.9	66.2	4.6	5.8
P	219300	2.6	22.2	75.2	0.4	16.8
SVAX	\N	\N	\N	\N	\N	\N
GB	2490000	0.7	20.5	78.9	2	7.2
AFG	20650	20	25.6	54.4	6.8	35
CN	9330000	10	43.9	46.1	2.6	4.1
IR	411900	10.6	44.9	44.5	42.3	16
PK	236500	25.3	21.6	53.1	7.7	6.6
TAD	8513	21.1	23.2	55.7	3.7	2.5
TM	40560	7.2	24.4	68.4	9	60
UZB	55180	19.1	32.2	48.7	10.1	4.9
ARM	10440	20.6	37.3	42.1	6.2	17.3
GE	15950	8.5	21.6	69.9	-0.5	15
AZ	76010	6.2	63	30.8	2.4	6
BRN	28360	0.3	46.7	53	3.1	15
BD	140200	17.2	28.9	53.9	7.6	5
MYA	59430	38	20.3	41.7	5.7	5.2
IND	1670000	17.4	25.8	56.9	9.6	8.8
BHT	2133	13.8	41.2	45	11	2.1
BRU	16560	0.7	70.9	28.4	1	2.6
MAL	312400	11.2	40.6	48.1	2.2	3.1
LAO	10100	30.5	32	37.5	6.5	1.9
THA	400900	12.1	43.6	44.2	2.2	0.7
K	15640	34.8	24.5	40.7	3.2	0
VN	170000	19.3	38.5	42.2	6.8	1.3
KAZ	224900	5.2	37.9	56.9	5.8	5.3
NOK	28000	23.4	47.2	29.4	\N	\N
KGZ	7234	20.8	34.4	44.8	6.8	8.6
HONX	272100	0	6.9	93	4.4	3.1
MACX	51680	0	6.5	93.5	5.5	1.8
MNG	11140	16.5	32.6	50.9	8.2	9
NEP	19340	36.8	14.5	48.7	6.7	46
XMAS	\N	\N	\N	\N	\N	\N
COCO	\N	\N	\N	\N	\N	\N
CY	21780	2.4	15.9	81.7	0.2	17.4
GAZA	1700	\N	\N	\N	5.7	\N
IL	272700	2.4	31.2	66.4	1.7	5.8
ET	262000	14.5	37.5	48	9	13.4
RI	867500	14.3	46.6	39.1	7.7	6.6
TL	6129	2.6	81.6	15.8	4.5	18.4
PNG	16100	27.6	39.1	33.3	3.8	1.9
IRQ	221800	3.3	64.6	32.1	2	16
JOR	34080	3.2	29.9	67	5.9	14
KWT	179500	0.3	50.6	49.1	2.8	3.4
SA	718500	2	62.5	35.5	3.7	10.5
SYR	64700	17.6	22.2	60.2	59.1	17.8
RL	43490	4.6	20	75.4	5	\N
WEST	3700	33	7	60	14	\N
J	5007000	1.1	25.6	73.2	0.2	4.1
ROK	1198000	2.6	39.2	58.2	1.1	3.2
MV	2270	3	17	80	5.1	28
OM	81950	1	64.4	34.6	1.6	15
UAE	390000	0.6	61.1	38.2	1.3	2.4
YE	43890	7.7	30.9	61.4	11.8	35
RP	272200	11.2	31.6	57.2	2.8	7.4
Q	213100	0.1	72.2	27.7	3.1	0.3
SGP	295700	0	29.4	70.6	2.4	1.9
CL	65120	10.6	32.4	57	4.7	5.1
RC	484700	2	29.4	68.6	1.1	4.1
AXA	175.4	2.5	23.6	73.8	3.1	8
AG	1220	2.2	16.4	81.4	3	11
ARU	2516	0.4	33.3	66.3	-2	6.9
BS	8373	2.1	7.1	90.8	1	16.2
BDS	4262	3.1	13.9	83	2.1	11.4
BZ	1637	13	23	64	1.3	15.5
GCA	53900	13.5	23.8	62.7	4.4	4.1
MEX	1327000	3.6	36.6	59.8	4	4.9
BERM	5600	0.7	5.7	93.5	1.8	8
BVIR	1095	1.1	11.7	87.2	1.6	8.7
CDN	1825000	1.7	28.4	69.9	1	7.1
USA	16720000	1.1	19.5	79.4	1.5	7.3
CAYM	2250	0.3	27.4	72.3	1.8	4
CR	48510	6.2	21.3	72.5	5.6	7.9
NIC	11260	17.1	25.5	57.5	5.7	7.2
PA	40620	3.7	17.9	78.4	4.1	4.5
C	72300	3.8	22.3	73.9	6	4.3
WD	495	15.7	15.6	68.7	1.8	23
DOM	59270	6	29.1	64.9	5	15
RH	8287	24.1	19.9	56	6.3	40.6
ES	24670	10.3	29.5	60.1	0.9	6.3
HCA	18880	14	28.2	57.8	5.2	4.5
GROX	2160	4	29	67	2.8	9.4
WG	811	5.6	15.8	78.5	2.4	33.5
GUAD	3700	6	9	85	3.7	\N
JA	14390	6.5	29.4	64.1	9.4	16.3
MART	3950	6	11	83	3.9	\N
MNTS	29	1.6	23.2	75.1	4.5	6
CUR	5600	0.7	15.5	83.8	3.2	13
NLSM	794.7	0.4	18.3	81.3	4	12
SMAR	561.5	1	15	84	\N	\N
SBAR	\N	\N	\N	\N	\N	\N
CO	369200	6.6	37.8	55.6	2.2	9.7
PR	93520	0.7	48.8	50.5	0.9	16
KN	767	1.8	23.1	75.1	2.2	4.5
WL	1377	3.1	17.4	79.5	5.3	20
SPMI	215.3	2	15	83	4.5	9.9
WV	742	5.4	20.3	74.4	2.8	18.8
TT	27130	0.3	57.7	42	5.4	5.9
TUCA	216	1	22.5	76.5	2.5	10
VIRG	1200	1	19	80	2.2	6.2
AMSA	462.2	\N	\N	\N	\N	29.8
AUS	1488000	3.8	27.4	68.7	2.4	5.7
COOK	183.2	5.1	12.7	82.1	2.2	13.1
FJI	4218	11.7	18.1	70.2	3	7.6
FPOL	5650	3.1	20	76.9	1.1	11.7
GUAM	4600	\N	\N	\N	4	8.2
KIR	173	24.3	7.9	67.8	0.2	2
MH	193	14.3	13.9	71.8	12.9	36
FSM	339	14	12	74	3.4	22
NAU	100	6.1	33	60.8	-3.6	90
NCA	9280	2.1	30	67.9	1.7	17.1
NZ	181100	5	25.5	69.5	1.3	6.4
NIUE	10	23.5	26.9	49.5	4	12
NORF	\N	\N	\N	\N	\N	\N
NMIS	733	1.7	3.3	95	-2.7	11.2
PAL	221	3.2	20	76.8	2.7	4.2
PITC	\N	\N	\N	\N	\N	\N
SLB	1099	50	10.6	39.4	2.6	\N
TO	477	20.9	21.9	57.2	2	13
TUV	38	16.6	27.2	56.2	3.8	\N
TOK	1.5	\N	\N	\N	\N	\N
VU	828	22.4	9.7	67.9	1.9	1.7
WAFU	60	\N	\N	\N	2.8	12.2
WS	705	10.2	25.9	64	2.7	\N
RA	484600	9.3	29.7	61	20.8	7.5
BOL	30790	9.2	38.5	52.3	6.5	7.4
BR	2190000	5.5	26.4	68.1	6.2	5.7
RCH	281700	3.6	35.4	61	1.7	6
PY	30560	20.4	17.7	61.9	2.3	6.6
ROU	57110	7.5	21.5	71	8.3	6.5
PE	210300	6.2	37.5	56.3	2.9	3.6
FGU	800	\N	\N	\N	2.5	\N
GUY	3020	20.7	38.5	40.8	3.9	11
SME	5009	8.9	36.6	54.5	4.2	9
YV	367500	3.7	35.5	60.8	56.2	7.9
EC	91410	5.9	35.1	59	2.6	4.2
FALK	164.5	95	\N	\N	1.2	4.1
DZ	215700	9.4	62.6	28	3.9	10.3
LAR	70920	2	58.3	39.7	3.2	30
RMM	11370	38.5	24.4	37	0.1	30
RIM	4183	16.9	54.6	28.5	4.6	30
MA	104800	15.1	31.7	53.2	2.5	9.5
RN	7304	35.2	14.2	50.6	1.9	\N
TN	48380	8.6	30.4	61	6.1	17.2
WSA	\N	\N	\N	\N	\N	\N
ANG	124000	10.2	61.4	28.4	8.9	\N
RCB	14250	3.3	73.9	22.9	1.7	53
NAM	12300	7.7	29.6	62.6	5.5	27.4
ZRE	18560	44.3	21.7	34	7.1	\N
Z	22240	19.8	33.8	46.5	7.1	15
BEN	8359	31.6	12.9	55.6	2.4	\N
BF	12130	33.6	23.6	42.8	2.1	77
WAN	502000	30.9	43	26	8.7	23.9
RT	4299	27.6	33.7	38.7	2.2	\N
RB	15530	1.9	35.7	62.4	6.1	17.8
RSA	353900	2.6	29	68.4	5.8	24.9
ZW	10480	20.1	25.4	54.5	8.5	95
CI	28280	26.3	21.3	52.4	2.9	\N
GH	45550	21.5	28.7	49.8	11	11
BI	2676	34.4	18.4	47.2	9.3	\N
RWA	7700	31.9	14.8	53.3	5.9	\N
EAT	31940	27.6	25	47.4	7.8	\N
CAM	27880	20.6	27.3	52.1	2.6	30
RCA	2050	56.6	14.5	28.9	7	8
TCH	13590	46.3	9.9	43.8	4.5	\N
GQ	17080	4.6	87.3	8.1	6	22.3
G	19970	3.6	63.9	32.5	1.2	21
CV	1955	9.3	18.8	71.9	1.9	21
SUD	52500	27.4	33.6	39	25	20
SSD	11770	\N	\N	\N	1.7	\N
COM	658	51	10	39	2.5	20
RG	6544	22.9	46.5	30.5	11.9	\N
LB	1977	76.9	5.4	17.7	5.2	85
DJI	1459	3	17.3	79.7	2.5	59
ER	3438	11.7	26.9	61.4	13	\N
ETH	47340	47	10.8	42.2	8.4	17.5
SP	2372	59.3	7.2	33.5	\N	\N
EAK	45310	29.3	17.4	53.3	5.8	40
WAG	896	19.7	12.6	67.7	6	\N
SN	15360	14.9	22.7	62.4	0.8	48
GNB	880	58	13.5	28.5	1.9	\N
WAL	4607	47.9	18.6	33.5	11.1	\N
EAU	22600	23.1	26.9	50	6.2	\N
LS	2457	7.4	34.5	58.2	5	25
RM	10530	27.3	16.4	56.3	8.8	\N
MW	3683	29.4	18.9	51.7	26.9	\N
MOC	14670	28.7	24.9	46.4	4.4	17
MS	11900	4.5	22	73.4	3.5	8.3
MAYO	953.6	\N	\N	\N	\N	\N
SD	3807	7.6	47.8	44.6	6.1	40
REUN	2900	\N	\N	\N	\N	\N
HELX	18	\N	\N	\N	\N	\N
STP	311	13.7	19.5	66.8	8.7	\N
SY	1271	2	18.7	79.4	4.3	2
\.


--
-- TOC entry 5271 (class 0 OID 89499)
-- Dependencies: 690
-- Data for Name: encompasses; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY encompasses (country, continent, percentage) FROM stdin;
AL	Europe	100
GR	Europe	100
MK	Europe	100
SRB	Europe	100
MNE	Europe	100
KOS	Europe	100
AND	Europe	100
F	Europe	100
E	Europe	100
A	Europe	100
CZ	Europe	100
D	Europe	100
H	Europe	100
I	Europe	100
FL	Europe	100
SK	Europe	100
SLO	Europe	100
CH	Europe	100
BY	Europe	100
LV	Europe	100
LT	Europe	100
PL	Europe	100
UA	Europe	100
R	Europe	25
R	Asia	75
B	Europe	100
L	Europe	100
NL	Europe	100
BIH	Europe	100
HR	Europe	100
BG	Europe	100
RO	Europe	100
TR	Europe	3
TR	Asia	97
DK	Europe	100
EW	Europe	100
FARX	Europe	100
SF	Europe	100
N	Europe	100
S	Europe	100
MC	Europe	100
GBZ	Europe	100
GBG	Europe	100
V	Europe	100
CEU	Africa	100
MEL	Africa	100
IS	Europe	100
IRL	Europe	100
RSM	Europe	100
GBJ	Europe	100
M	Europe	100
GBM	Europe	100
MD	Europe	100
P	Europe	100
SVAX	Europe	100
GB	Europe	100
AFG	Asia	100
CN	Asia	100
IR	Asia	100
PK	Asia	100
TAD	Asia	100
TM	Asia	100
UZB	Asia	100
ARM	Asia	100
GE	Asia	100
AZ	Asia	100
BRN	Asia	100
BD	Asia	100
MYA	Asia	100
IND	Asia	100
BHT	Asia	100
BRU	Asia	100
MAL	Asia	100
LAO	Asia	100
THA	Asia	100
K	Asia	100
VN	Asia	100
KAZ	Europe	5.4
KAZ	Asia	94.6
NOK	Asia	100
KGZ	Asia	100
HONX	Asia	100
MACX	Asia	100
MNG	Asia	100
NEP	Asia	100
XMAS	Australia/Oceania	100
COCO	Australia/Oceania	100
CY	Europe	100
GAZA	Asia	100
IL	Asia	100
ET	Asia	7.3
ET	Africa	92.7
RI	Asia	78
RI	Australia/Oceania	22
TL	Asia	100
PNG	Australia/Oceania	100
IRQ	Asia	100
JOR	Asia	100
KWT	Asia	100
SA	Asia	100
SYR	Asia	100
RL	Asia	100
WEST	Asia	100
J	Asia	100
ROK	Asia	100
MV	Asia	100
OM	Asia	100
UAE	Asia	100
YE	Asia	100
RP	Asia	100
Q	Asia	100
SGP	Asia	100
CL	Asia	100
RC	Asia	100
AXA	America	100
AG	America	100
ARU	America	100
BS	America	100
BDS	America	100
BZ	America	100
GCA	America	100
MEX	America	100
BERM	America	100
BVIR	America	100
CDN	America	100
USA	America	100
CAYM	America	100
CR	America	100
NIC	America	100
PA	America	100
C	America	100
WD	America	100
DOM	America	100
RH	America	100
ES	America	100
HCA	America	100
GROX	America	100
WG	America	100
GUAD	America	100
JA	America	100
MART	America	100
MNTS	America	100
CUR	America	100
NLSM	America	100
SMAR	America	100
SBAR	America	100
CO	America	100
PR	America	100
KN	America	100
WL	America	100
SPMI	America	100
WV	America	100
TT	America	100
TUCA	America	100
VIRG	America	100
AMSA	Australia/Oceania	100
AUS	Australia/Oceania	100
COOK	Australia/Oceania	100
FJI	Australia/Oceania	100
FPOL	Australia/Oceania	100
GUAM	Australia/Oceania	100
KIR	Australia/Oceania	100
MH	Australia/Oceania	100
FSM	Australia/Oceania	100
NAU	Australia/Oceania	100
NCA	Australia/Oceania	100
NZ	Australia/Oceania	100
NIUE	Australia/Oceania	100
NORF	Australia/Oceania	100
NMIS	Australia/Oceania	100
PAL	Australia/Oceania	100
PITC	Australia/Oceania	100
SLB	Australia/Oceania	100
TO	Australia/Oceania	100
TUV	Australia/Oceania	100
TOK	Australia/Oceania	100
VU	Australia/Oceania	100
WAFU	Australia/Oceania	100
WS	Australia/Oceania	100
RA	America	100
BOL	America	100
BR	America	100
RCH	America	100
PY	America	100
ROU	America	100
PE	America	100
FGU	America	100
GUY	America	100
SME	America	100
YV	America	100
EC	America	100
FALK	America	100
DZ	Africa	100
LAR	Africa	100
RMM	Africa	100
RIM	Africa	100
MA	Africa	100
RN	Africa	100
TN	Africa	100
WSA	Africa	100
ANG	Africa	100
RCB	Africa	100
NAM	Africa	100
ZRE	Africa	100
Z	Africa	100
BEN	Africa	100
BF	Africa	100
WAN	Africa	100
RT	Africa	100
RB	Africa	100
RSA	Africa	100
ZW	Africa	100
CI	Africa	100
GH	Africa	100
BI	Africa	100
RWA	Africa	100
EAT	Africa	100
CAM	Africa	100
RCA	Africa	100
TCH	Africa	100
GQ	Africa	100
G	Africa	100
CV	Africa	100
SUD	Africa	100
SSD	Africa	100
COM	Africa	100
RG	Africa	100
LB	Africa	100
DJI	Africa	100
ER	Africa	100
ETH	Africa	100
SP	Africa	100
EAK	Africa	100
WAG	Africa	100
SN	Africa	100
GNB	Africa	100
WAL	Africa	100
EAU	Africa	100
LS	Africa	100
RM	Africa	100
MW	Africa	100
MOC	Africa	100
MS	Africa	100
MAYO	Africa	100
SD	Africa	100
REUN	Africa	100
HELX	Africa	100
STP	Africa	100
SY	Africa	100
\.


--
-- TOC entry 5272 (class 0 OID 89506)
-- Dependencies: 691
-- Data for Name: ethnicgroup; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY ethnicgroup (country, name, percentage) FROM stdin;
AL	Albanian	95
AL	Greek	3
GR	Greek	93
MK	Macedonian	64.2
MK	Albanian	25.2
MK	Turkish	3.9
MK	Gypsy	2.7
MK	Serb	1.8
SRB	Serb	82.9
SRB	Montenegrin	0.9
SRB	Hungarian	3.9
SRB	Roma	1.4
SRB	Bosniak	1.8
SRB	Croat	1.1
MNE	Montenegrin	43
MNE	Serb	32
MNE	Bosniak	8
MNE	Albanian	5
KOS	Albanian	92
KOS	Serbian	5
AND	Spanish	43
AND	Andorran	33
AND	Portuguese	11
AND	French	2
AND	African	5
E	Mediterranean Nordic	100
A	Austrian	91.1
A	Turkish	1.6
A	Slovene	1
A	Croat	2
A	Serbs	2
A	German	0.9
CZ	Czech	90.4
CZ	Moravian	3.7
CZ	Slovak	1.9
CZ	German	0.5
CZ	Polish	0.6
CZ	Roma	0.3
CZ	Hungarian	0.2
D	German	91.5
D	Turkish	2.4
H	Hungarian	92.3
H	Roma	1.9
H	Serb	2
H	German	2.6
H	Slovak	0.8
H	Romanian	0.7
FL	Italian	5
FL	Alemannic	95
SK	Slovak	85.7
SK	Hungarian	9.7
SK	Roma	1.7
SK	Czech	1
SK	Ukrainian	0.3
SK	Ruthenian	0.3
SK	German	0.1
SK	Polish	0.1
SLO	Slovene	91
SLO	Croat	3
SLO	Serb	2
SLO	Bosniak	1
CH	German	65
CH	French	18
CH	Italian	10
CH	Romansch	1
BY	Belorussian	81.2
BY	Russian	11.4
BY	Polish	3.9
BY	Ukrainian	2.4
LV	Latvian	59.3
LV	Russian	27.8
LV	Belorussian	3.6
LV	Ukrainian	2.5
LV	Polish	2.4
LV	Lithuanian	1.3
LT	Lithuanian	84
LT	Polish	6.1
LT	Russian	4.9
LT	Belorussian	1.1
PL	German	1.3
PL	Polish	97.6
PL	Ukrainian	0.6
PL	Byelorussian	0.5
UA	Ukrainian	77.8
UA	Russian	17.3
UA	Belorussian	0.6
UA	Moldovan	0.5
UA	Crimean Tatar	0.5
UA	Bulgarian	0.4
UA	Hungarian	0.3
UA	Romanian	0.3
UA	Polish	0.3
UA	Jewish	0.2
R	Russian	79.8
R	Tatar	3.8
R	Ukrainian	2
R	Bashkir	1.2
R	Chuvash	1.1
B	Fleming	58
B	Walloon	31
L	Luxembourgish	63.1
L	Portuguese	13.3
L	French	4.5
L	Italian	4.3
L	German	2.3
NL	Dutch	80.7
NL	Indonesian	2.4
NL	Turkish	2.2
NL	Moroccan	2
NL	Surinamese	2
NL	Caribbean	0.8
BIH	Muslim	48
BIH	Bosniak	37.1
BIH	Croat	14.3
HR	Croat	89.6
HR	Serb	4.5
HR	Hungarian	0.5
HR	Muslim	0.9
HR	Slovene	0.5
BG	Bulgarian	76.9
BG	Turkish	8
BG	Roma	4.4
BG	Macedonian	2.5
BG	Russian	0.2
BG	Armenian	0.3
RO	Romanian	89.1
RO	Hungarian	6.6
RO	Roma	2.5
RO	German	0.3
RO	Ukrainian	0.3
RO	Russian	0.2
RO	Turkish	0.2
TR	Turkish	84.54
TR	Kurdish	11.97
TR	Arabic	1.38
EW	Estonian	68.7
EW	Russian	25.6
EW	Ukrainian	2.1
EW	Belorussian	1.2
EW	Finn	0.8
FARX	Scandinavian	100
SF	Finn	93.4
SF	Swede	5.6
SF	Russian	0.5
SF	Estonian	0.3
N	Norwegian	82.5
N	Sami	1.5
S	Swede	83
S	Finn	5
MC	French	47
MC	Monegasque	21.6
MC	Italian	19
GBG	Norman-French	100
IS	Celt	100
IRL	Irish	87.4
IRL	Asian	1.3
IRL	African	1.1
GBJ	Norman-French	100
MD	Moldavian/Romanian	78.2
MD	Ukrainian	8.4
MD	Russian	5.8
MD	Gagauz	4.4
MD	Bulgarian	1.9
SVAX	Norwegian	55.4
SVAX	Russian Ukrainian	44.3
GB	English	83.6
GB	Scottish	8.6
GB	Welsh	4.9
GB	Northern Irish	2.9
GB	African	2
GB	Indian	1.8
GB	Pakistani	1.3
AFG	Tajik	25
AFG	Pashtun	38
AFG	Uzbek	6
AFG	Hazara	19
CN	Han Chinese	91.5
IR	Arab	3
IR	Persian	51
IR	Baloch	2
IR	Azerbaijani	24
IR	Kurd	7
IR	Lur	2
IR	Turkmen	2
IR	Gilaki Mazandarani	8
TAD	Tajik	79.9
TAD	Uzbek	15.3
TAD	Russian	1.1
TAD	Kyrgyz	1.1
TM	Turkmen	85
TM	Uzbek	5
TM	Russian	4
UZB	Uzbek	80
UZB	Russian	5.5
UZB	Tajik	5
UZB	Kazak	3
UZB	Karakalpak	2.5
UZB	Tatar	1.5
ARM	Armenian	97.7
ARM	Russian	0.5
ARM	Yezidi	1.3
GE	Georgian	83.8
GE	Azeri	6.5
GE	Russian	1.5
AZ	Azeri	90.6
AZ	Dagestani	2.2
AZ	Russian	1.8
AZ	Armenian	1.5
BRN	Arab	10
BRN	Asian	13
BRN	Bahraini	63
BRN	Iranian	8
BD	Bengali	98
MYA	Indian	2
MYA	Chinese	3
MYA	Burman	68
MYA	Shan	9
MYA	Karen	7
MYA	Rakhine	4
MYA	Mon	2
IND	Dravidian	25
IND	Indo-Aryan	72
IND	Mongol	3
BHT	Bhote	50
BHT	Nepalese	35
BRU	Chinese	20
BRU	Malay	64
MAL	Malay	50.4
MAL	Chinese	23.7
MAL	Indian	7.1
MAL	Borneo indigenous	11
LAO	Lao Loum	68
LAO	Lao Theung	22
LAO	Lao Soung Hmong Yao	9
LAO	Vietnamese/Chinese	1
THA	Chinese	14
THA	Thai	75
K	Chinese	1
K	Khmer	90
K	Vietnamese	5
VN	Viet/Kinh	85.7
VN	Tay	1.9
VN	Thai	1.8
VN	Muong	1.5
VN	Khmer	1.5
VN	Mong	1.2
VN	Nung	1.1
KAZ	Kazakh	63.1
KAZ	Russian	23.7
KAZ	Uzbek	2.8
KAZ	Ukrainian	2.1
KAZ	Uighur	1.4
KAZ	Tatar	1.3
KAZ	German	1.1
KGZ	Kyrgyz	64.9
KGZ	Uzbek	13.8
KGZ	Russian	12.5
KGZ	Dungan	1.1
KGZ	Ukrainian	1
KGZ	Uighur	1
HONX	Chinese	95
HONX	Filipino	1.6
HONX	Indonesian	1.3
MACX	Chinese	95
MACX	Portuguese	3
MNG	Mongol	94.9
MNG	Kazak	5
XMAS	Chinese	70
XMAS	Malay	10
XMAS	European	20
CY	Greek	77
CY	Turkish	18
GAZA	Jewish	0.6
GAZA	Palestinian Arab	99.4
IL	Jewish	76.4
IL	Arab	23
ET	European	1
ET	Eastern Hamitic	99
RI	Javanese	45
RI	Sundanese	14
RI	Madurese	7.5
RI	Malay	7.5
IRQ	Kurdish	15
IRQ	Arab	75
IRQ	Assyrian	5
JOR	Armenian	1
JOR	Arab	98
JOR	Circassian	1
KWT	Arab	35
KWT	Iranian	4
KWT	South Asian	9
KWT	Kuwaiti	45
SA	Arab	90
SA	Afro-Asian	10
SYR	Arab	90.3
RL	Armenian	4
RL	Arab	95
WEST	Jewish	17
WEST	Palestinian Arab	83
J	Japanese	99.4
UAE	South Asian	50
UAE	Emiri	19
UAE	Arab Iranian	23
RP	Chinese	1.5
RP	Malay	95.5
Q	Indian	18
Q	Pakistani	18
Q	Arab	40
Q	Iranian	10
SGP	Indian	6.4
SGP	Chinese	76.4
SGP	Malay	14.9
CL	Sinhalese	74
CL	Tamil	18
CL	Arab	7
CL	Vedda	1
RC	Chinese	14
RC	Taiwanese	84
AXA	Black	90.1
AXA	Mulatto	4.6
AXA	White	3.7
ARU	European/Caribbean Amerindian	80
BDS	European	4
BDS	African	80
BZ	Mestizo	48.7
BZ	Creole	24.9
BZ	Maya	10.6
BZ	Garifuna	6.1
GCA	Mestizo	50
GCA	European	10
GCA	Amerindian	30.5
MEX	Mestizo	60
MEX	Amerindian	30
MEX	European	9
BERM	Black	54
BERM	White	34.1
BERM	Mixed	6.4
BVIR	Black	83.4
BVIR	White	7
BVIR	Amerindian	3.4
BVIR	Mixed	5.4
CDN	British Isles	28
CDN	French	23
CDN	European	15
CDN	Inuit	2
USA	European	79.96
USA	African	12.85
USA	Asian	4.43
USA	Amerindian	0.97
CAYM	Black	20
CAYM	White	20
CAYM	Mixed	40
CR	Mestizo	74
CR	European	20
CR	African	3
CR	Amerindian	1
CR	Chinese	1
NIC	Mestizo	69
NIC	European	17
NIC	African	9
NIC	Amerindian	5
PA	Mestizo	84
PA	European	10
PA	Amerindian	6
C	European	65.1
C	Mestizo	12
C	Mulatto	12
C	African	10.1
WD	Carib Indians	100
DOM	Mulatto	73
DOM	European	16
DOM	African	11
RH	African	95
RH	Mulatto	3
RH	European	2
ES	Mestizo	90
ES	European	9
ES	Amerindian	1
HCA	Mestizo	90
HCA	Amerindian	7
HCA	African	2
HCA	European	1
GROX	Danish	14
GROX	Greenlander	86
WG	African	100
GUAD	Chinese	5
JA	African	76.3
JA	Afro-European	15.1
JA	Afro-East Indian	3
JA	Afro-Chinese	1.2
MART	Chinese	5
MART	African-white-Indian	90
CO	Mestizo	58
CO	European	20
CO	Mulatto	14
CO	African	4
CO	black-Amerindian	3
CO	Amerindian	1
PR	White	80.2
PR	Black	8
PR	Amerindian	0.4
PR	Asian	0.4
KN	African	100
WL	African	90.3
WL	East Indian	3.2
SPMI	Basques Bretons	100
TT	Chinese	1
TT	East Indian	40
TUCA	African	90
AMSA	Caucasian	2
AMSA	Tongan	4
AMSA	Samoan	89
AUS	European	92
AUS	Asian	7
COOK	Polynesian	93.5
FJI	Indian	46
FJI	Fijian	49
FPOL	French	10
FPOL	Chinese	12
FPOL	Polynesian	78
GUAM	Chamorro	37.1
GUAM	Filipino	26.3
KIR	Micronesian	100
MH	Micronesian	100
FSM	Polynesian	100
NAU	Chinese	8
NAU	European	8
NAU	Nauruan	58
NAU	Pacific Islander	26
NCA	Vietnamese	1.4
NCA	European	34.1
NCA	Melanesian	44.1
NCA	Wallisian	9
NCA	Indonesian	2.5
NZ	European	56.8
NZ	Asian	8
NZ	Maori	7.4
NZ	Pacific Islander	4.6
NIUE	Polynesian	100
NMIS	Asian	56.3
NMIS	Pacific Islander	36.3
NMIS	Caucasian	1.8
PITC	Bounty	100
SLB	Chinese	0.3
SLB	European	0.8
SLB	Polynesian	4
SLB	Micronesian	1.5
SLB	Melanesian	93
TUV	Polynesian	96
TOK	Polynesian	95
VU	French	4
VU	Melanesian	94
WAFU	Polynesian	100
WS	Europeans	0.4
WS	Samoan	92.6
WS	Euronesians	7
RA	European	97
BOL	Quechua	30
BOL	Mestizo	30
BOL	Aymara	25
BOL	European	15
BR	European	53.7
BR	Mulatto	38.5
BR	African	6.2
RCH	Amerindian	3
RCH	European	95
PY	Mestizo	95
ROU	European	88
ROU	Mestizo	8
ROU	African	4
PE	Amerindian	45
PE	Mestizo	37
PE	European	15
FGU	Amerindian	12
GUY	East Indian	43.5
GUY	African	30.2
GUY	Amerindian	9.1
SME	Hindustani	37
SME	Creole	31
SME	Javanese	15.3
SME	African	10
SME	Chinese	2
SME	Amerindian	2
SME	Europeans	1
EC	Mestizo	65
EC	Amerindian	25
EC	European	7
EC	African	3
FALK	Christian	67.2
FALK	None	31.5
DZ	European	1
DZ	Arab-Berber	99
LAR	Berber Arab	97
RMM	Mande	50
RMM	Peuhl	17
RMM	Voltaic	12
RMM	Songhai	6
RMM	Tuareg	10
RIM	Maur	30
RIM	Black Maur	40
MA	Jewish	0.2
MA	Arab-Berber	99.1
RN	Fula	8.5
RN	Hausa	56
RN	Djerma	22
RN	Tuareg	8
RN	Beri Beri	4.3
RN	Gourmantche	1.2
TN	Jewish	1
TN	European	1
TN	Arab-Berber	98
ANG	European	1
ANG	Ovimbundu	37
ANG	Kimbundu	25
ANG	Bakongo	13
ZRE	Mangbetu-Azande	45
Z	European	1.1
Z	African	98.7
BEN	African	99
BF	Mossi	24
WAN	African	99
RT	African	99
RT	European Syrian-Lebanese	1
RB	Batswana	95
RB	Kgalagadi	4
RSA	Indian	2.6
RSA	Colored	8.6
ZW	Asian	1
ZW	African	98
CI	Malinke	11
CI	Baoule	23
CI	Bete	18
CI	Senoufou	15
GH	European	0.2
GH	African	99.8
RWA	Hutu	80
RWA	Tutsi	19
RWA	Twa	1
EAT	Bantu	95
CAM	African	13
CAM	Fulani	10
CAM	Cameroon Highlanders	31
CAM	Equatorial Bantu	19
CAM	Kirdi	11
CAM	Northwestern Bantu	8
CAM	Eastern Nigritic	7
RCA	Baya	34
RCA	Banda	27
RCA	Sara	10
RCA	Mandjia	21
RCA	Mboum	4
RCA	MBaka	4
CV	European	1
CV	African	28
CV	Creole	71
SUD	Arab	70
SUD	Beja	6
RG	Malinke	30
RG	Peuhl	40
RG	Soussou	20
LB	African	95
LB	Americo-Liberians	5
DJI	Italian	5
DJI	Afar	35
DJI	Somali	60
ER	Tigrinya	55
ER	Tigre	30
ER	Saho	4
ER	Kunama	2
ER	Rashaida	2
ER	Bilen	2
ETH	Oromo	34.5
ETH	Amhara	26.9
ETH	Somali	6.2
ETH	Tigraway	6.1
ETH	Sidama	4
ETH	Gurage	2.5
ETH	Welaita	2.3
ETH	Hadiya	1.7
ETH	Afar	1.7
SP	Somali	85
EAK	Arab	1
EAK	Kikuyu	22
EAK	Luhya	14
EAK	Luo	13
EAK	Kalenjin	12
EAK	Kamba	11
EAK	Kisii	6
EAK	Meru	6
WAG	African	99
SN	Fulani	17
SN	Wolof	36
SN	Diola	9
SN	Mandingo	9
SN	Serer	17
SN	Toucouleur	9
SN	European Lebanese	1
GNB	European	1
GNB	African	99
WAL	Asian	1
WAL	African	99
EAU	Rwanda	6
EAU	Arab	1
EAU	Baganda	17
EAU	Karamojong	12
EAU	Basogo	8
EAU	Iteso	8
EAU	Langi	6
EAU	Bagisu	5
EAU	Acholi	4
EAU	Lugbara	4
EAU	Bunyoro	3
EAU	Batobo	3
LS	Sotho	99.7
MOC	European	0.06
MOC	Indian	0.08
MOC	Euro-African	0.2
MS	Creole	27
MS	Indo-Mauritian	68
MS	Sino-Mauritian	3
MS	Franco-Mauritian	2
SD	European	3
SD	African	97
HELX	African descent	50
HELX	White	25
HELX	Chinese	25
STP	European	100
SY	Seychellois	100
\.


--
-- TOC entry 5273 (class 0 OID 89513)
-- Dependencies: 692
-- Data for Name: geo_desert; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_desert (desert, country, province) FROM stdin;
Kalahari	ANG	Moxico
Kalahari	ANG	Cuando Cubango
Kalahari	NAM	Namibia
Kalahari	Z	Southern
Kalahari	Z	Western
Kalahari	RB	Botswana
Kalahari	RSA	North West
Namib	NAM	Namibia
Ferlo	SN	Louga
Ferlo	SN	Saint-Louis
Ferlo	SN	Tambacounda
Ferlo	SN	Matam
Trarza	RIM	Adrar
Trarza	RIM	Brakna
Trarza	RIM	Inchiri
Trarza	RIM	Trarza
Erg Ouarane	RIM	Adrar
Erg Ouarane	RIM	Tiris Zemmour
Erg Maqteir	RIM	Adrar
Erg Maqteir	RIM	Tiris Zemmour
Saguia el-Hamra	WSA	Western Sahara
Erg Igidi	DZ	Algeria
Erg Igidi	RIM	Tiris Zemmour
Hamada du Draa	DZ	Algeria
Hamada du Draa	MA	Guelmim Es Semara
Hamada du Draa	MA	Souss Massa Daraa
Erg Chech	DZ	Algeria
Erg Chech	RMM	Tombouctou
Tanezrouft	DZ	Algeria
Tanezrouft	RMM	Tombouctou
Grand Erg Ouest	DZ	Algeria
Grand Erg Est	DZ	Algeria
Grand Erg Est	TN	Tunisia
Erg Isaouane	DZ	Algeria
Hamada al-Hamra	LAR	Libya
Fesan	LAR	Libya
Erg Rebiana	LAR	Libya
Talak	RMM	Gao
Talak	RMM	Kidal
Talak	RN	Agadez
Talak	RN	Tahoua
Tenere	RN	Agadez
Tenere	RN	Tillabéri
Tenere	RN	Zinder
Tenere	TCH	Chad
Djourab	TCH	Chad
Erdi Ennedi	TCH	Chad
Libyan Desert	ET	Egypt
Libyan Desert	LAR	Libya
Libyan Desert	SUD	Sudan
Darfur	SUD	Sudan
Arabian Desert	ET	Egypt
Nubian Desert	SUD	Sudan
Negev	IL	HaDarom
Syrian Desert	IRQ	al-Anbar
Syrian Desert	JOR	Jordan
Syrian Desert	SA	Al-Hudud ash Shamaliyah
Syrian Desert	SA	Al-Jouf
Syrian Desert	SYR	Dayr az Zawr
Syrian Desert	SYR	Hims
Syrian Desert	SYR	Rif Dimashq
Nefud	SA	Al-Hudud ash Shamaliyah
Nefud	SA	Al-Jouf
Nefud	SA	Ha'il
Rub Al Chali	SA	Al-Riyadh
Rub Al Chali	SA	Aseer
Rub Al Chali	SA	Ash Sharqiyah
Rub Al Chali	SA	Najran
Rub Al Chali	OM	Oman
Rub Al Chali	UAE	United Arab Emirates
Rub Al Chali	YE	Yemen
Dascht-e-Kavir	IR	Esfahan
Dascht-e-Kavir	IR	Khorasan-e-Razavi
Dascht-e-Kavir	IR	Semnan
Dascht-e-Kavir	IR	Tehran
Dascht-e-Kavir	IR	Yazd
Dascht-e-Kavir	IR	Qom
Dascht-e-Lut	IR	Esfahan
Dascht-e-Lut	IR	Kerman
Dascht-e-Lut	IR	Sistan and Baluchestan
Dascht-e-Lut	IR	Yazd
Dascht-e-Lut	IR	South Khorasan
Dascht-e-Margoh	AFG	Afghanistan
Rigestan	AFG	Afghanistan
Rigestan	PK	Balochistan
Thar	PK	Punjab
Thar	PK	Sindh
Thar	IND	Gujarat
Thar	IND	Haryana
Thar	IND	Punjab
Thar	IND	Rajasthan
Ryn	R	Kalmykiya
Ryn	R	Astrakhanskaya
Ryn	KAZ	Atyrau
Ryn	KAZ	West Kazakhstan
Ust Urt	UZB	Qoraqalpogʻiston
Ust Urt	KAZ	Aktobe
Ust Urt	KAZ	Mangistau
Karakum	TM	Akhal
Karakum	TM	Balkan
Karakum	TM	Dashhowuz
Karakum	TM	Lebap
Karakum	TM	Mary
Karakum	UZB	Samarqand
Karakum	UZB	Qoraqalpogʻiston
Kysylkum	UZB	Jizzax
Kysylkum	UZB	Samarqand
Kysylkum	UZB	Qoraqalpogʻiston
Kysylkum	KAZ	Kyzylorda
Mujunkum	KAZ	Kyzylorda
Mujunkum	KAZ	Zhambyl
TaklaMakan	CN	Xinjiang
Gurbantunggut	CN	Xinjiang
Kum Tagh	CN	Xinjiang
Qaidam	CN	Qinghai
Gobi	CN	Gansu
Gobi	CN	Nei Mongol
Gobi	CN	Ningxia
Gobi	MNG	Mongolia
Ordos	CN	Shaanxi
Ordos	CN	Nei Mongol
Ordos	CN	Ningxia
Great Sandy Desert	AUS	Western Australia
Gibson Desert	AUS	Western Australia
Great Victoria Desert	AUS	South Australia
Great Victoria Desert	AUS	Western Australia
Nullarbor Plain	AUS	South Australia
Nullarbor Plain	AUS	Western Australia
Simpson Desert	AUS	Northern Territory
Simpson Desert	AUS	Queensland
Simpson Desert	AUS	South Australia
Red Centre	AUS	Northern Territory
Red Centre	AUS	South Australia
Red Centre	AUS	Western Australia
Tanami	AUS	Northern Territory
Sturt Desert	AUS	New South Wales
Sturt Desert	AUS	Northern Territory
Sturt Desert	AUS	Queensland
Owyhee	USA	Idaho
Owyhee	USA	Nevada
Owyhee	USA	Oregon
Great Salt Lake Desert	USA	Utah
Colorado Plateau	USA	Arizona
Colorado Plateau	USA	Colorado
Colorado Plateau	USA	New Mexico
Colorado Plateau	USA	Utah
Great Basin	USA	California
Great Basin	USA	Nevada
Great Basin	USA	Utah
Mojave	USA	Arizona
Mojave	USA	California
Mojave	USA	Nevada
Mojave	USA	Utah
Sonora	MEX	Chihuahua
Sonora	MEX	Sonora
Sonora	USA	Arizona
Sonora	USA	California
Chihuahua	MEX	Chihuahua
Chihuahua	MEX	Coahuila
Chihuahua	MEX	Durango
Chihuahua	MEX	Nuevo Léon
Chihuahua	MEX	Sonora
Chihuahua	MEX	Zacatecas
Chihuahua	USA	Arizona
Chihuahua	USA	New Mexico
Chihuahua	USA	Texas
Baja California Desert	MEX	Baja California
Atacama	RCH	Tarapacá
Atacama	RCH	Antofagasta
Atacama	RCH	Atacama
Atacama	RCH	Arica y Parinacota
\.


--
-- TOC entry 5274 (class 0 OID 89516)
-- Dependencies: 693
-- Data for Name: geo_estuary; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_estuary (river, country, province) FROM stdin;
Thjorsa	IS	Iceland
Joekulsa a Fjoellum	IS	Iceland
Glomma	N	Østfold
Lagen	N	Akershus
Goetaaelv	S	Västra Götaland
Klaraelv	S	Värmland
Umeaelv	S	Västerbotten
Dalaelv	S	Uppsala
Vaesterdalaelv	S	Dalarna
Oesterdalaelv	S	Dalarna
Paatsjoki	R	Murmanskaya
Paatsjoki	N	Finnmark
Ounasjoki	SF	Lappia
Kemijoki	SF	Lappia
Oulujoki	SF	Oulu
Kymijoki	SF	Kymi
Kymijoki	SF	Uusimaa
Kokemaeenjoki	SF	Turku-Pori
Vuoksi	R	Karelia
Thames	GB	East of England
Thames	GB	South East
Maas	NL	Zuid-Holland
Maas	NL	Noord-Brabant
Loire	F	Pays de la Loire
Garonne	F	Aquitaine
Rhone	F	Provence-Alpes-Côte d'Azur
Saone	F	Rhône-Alpes
Doubs	F	Bourgogne
Isere	F	Rhône-Alpes
Seine	F	Haute-Normandie
Marne	F	Île-de-France
Tajo	P	Lisboa
Douro	P	Aveiro
Douro	P	Porto
Guadiana	E	Andalucía
Guadiana	P	Aveiro
Guadiana	P	Porto
Guadalquivir	E	Andalucía
Ebro	E	Cataluña
Po	I	Veneto
Po	I	Emilia-Romagna
Ticino	I	Lombardia
Adda	I	Lombardia
Mincio	I	Veneto
Etsch	I	Veneto
Tiber	I	Lazio
Arno	I	Toscana
Donau	UA	Odes´ka
Donau	RO	Tulcea
Breg	D	Baden-Württemberg
Brigach	D	Baden-Württemberg
Iller	D	Baden-Württemberg
Iller	D	Bayern
Lech	D	Bayern
Isar	D	Bayern
Ammer	D	Bayern
Würm	D	Bayern
Inn	A	Tirol
Inn	D	Bayern
Alz	D	Bayern
Salzach	A	Salzburg
Salzach	D	Bayern
Enns	A	Oberösterreich
Enns	A	Steiermark
Enns	A	Salzburg
Enns	A	Niederösterreich
March	A	Niederösterreich
March	SK	Bratislavský
Raab	H	Győr-Moson-Sopron
Waag	SK	Nitriansky
Drau	HR	Croatia
Mur	H	Zala
Mur	HR	Croatia
Theiss	SRB	Serbia
Save	SRB	Serbia
Drina	SRB	Serbia
Drina	BIH	Republika Srpska
Tara	MNE	Montenegro
Tara	BIH	Republika Srpska
Piva	MNE	Montenegro
Piva	BIH	Republika Srpska
Morava	SRB	Serbia
Western Morava	SRB	Serbia
Southern Morava	SRB	Serbia
Olt	RO	Olt
Pruth	RO	Galaţi
Pruth	MD	Moldova
Dnjestr	UA	Odes´ka
Weser	D	Bremen
Weser	D	Niedersachsen
Aller	D	Niedersachsen
Leine	D	Thüringen
Werra	D	Niedersachsen
Fulda	D	Hessen
Elbe	D	Niedersachsen
Moldau	CZ	Středočeský
Rhein	NL	Zuid-Holland
Main	D	Hessen
Mosel	D	Rheinland-Pfalz
Saar	D	Rheinland-Pfalz
Neckar	D	Baden-Württemberg
Aare	CH	Aargau
Reuss	CH	Aargau
Limmat	CH	Aargau
Oder	D	Mecklenburg-Vorpommern
Oder	PL	Zachodniopomorskie
Weichsel	PL	Pomorskie
Narew	PL	Mazowieckie
Western Bug	PL	Mazowieckie
Moraca	MNE	Montenegro
Buna	AL	Albania
Drin	AL	Albania
White Drin	AL	Albania
Black Drin	AL	Albania
Jordan	JOR	Jordan
Jordan	WEST	West Bank
Kura	AZ	Azerbaijan
Schatt al Arab	IRQ	al-Anbar
Tigris	IRQ	al-Anbar
Euphrat	IRQ	al-Anbar
Murat	TR	Elazığ
Karasu	TR	Erzincan
Karun	IR	Khuzestan
Northern Dwina	R	Arkhangel´skaya
Suchona	R	Vologodskaya
Petschora	R	Arkhangel´skaya
Newa	R	Leningradskaya
Swir	R	Leningradskaya
Narva	R	Pskovskaya
Western Dwina	LV	Latvia
Dnister	UA	Odes´ka
Dnepr	UA	Khersons´ka
Prypjat	UA	Kyïvs´ka
Don	R	Rostovskaya
Volga	R	Astrakhanskaya
Oka	R	Nizhnii Novgorod
Kama	R	Tatarstan
Ural	KAZ	Atyrau
Ob	R	Yamalo Nenets ao
Irtysch	R	Khanty Mansi ao
Tobol	R	Tyumen
Ischim	R	Tyumen
Katun	R	Altayskiy
Jenissej	R	Krasnoyarsk
Angara	R	Krasnoyarsk
Selenge	R	Buryat
Chatanga	R	Krasnoyarsk
Lena	R	Sakha
Amur	R	Khabarov
Schilka	R	Zabaykalskiy
Argun	R	Zabaykalskiy
Argun	CN	Heilongjiang
Kolyma	R	Sakha
Syrdarja	UZB	Toshkent
Naryn	TAD	Sughd
Amudarja	UZB	Qoraqalpogʻiston
Pjandsh	AFG	Afghanistan
Pjandsh	TAD	Khatlon
Bartang	TAD	Gorno-Badakhshan
Murgab	TAD	Gorno-Badakhshan
Ili	KAZ	Almaty
Tarim-Yarkend	CN	Xinjiang
Hwangho	CN	Shandong
Jangtse	CN	Jiangsu
Jangtse	CN	Shanghai
Mekong	VN	Vietnam
Saluen	MYA	Mon
Irawaddy	MYA	Yangon
Irawaddy	MYA	Kachin
Ganges	BD	Barisal
Ganges	BD	Chittagong
Ganges	BD	Khulna
Ganges	IND	West Bengal
Brahmaputra	BD	Dhaka
Brahmaputra	BD	Rajshahi
Indus	PK	Sindh
Asahan	RI	Sumatera Utara
Yukon River	USA	Alaska
Mackenzie River	CDN	Northwest Territories
Nelson River	CDN	Manitoba
Saskatchewan River	CDN	Saskatchewan
Saint Lawrence River	CDN	Quebec
Niagara River	CDN	Ontario
Niagara River	USA	New York
Detroit River	CDN	Ontario
Detroit River	USA	Michigan
Saint Marys River	CDN	Ontario
Saint Marys River	USA	Michigan
Straits of Mackinac	USA	Michigan
Manicouagan	CDN	Quebec
Riviere Richelieu	CDN	Quebec
Merrimack River	USA	Massachusetts
Connecticut River	USA	Connecticut
Hudson River	USA	New York
Mississippi	USA	Louisiana
Missouri	USA	Missouri
Arkansas	USA	Arkansas
Ohio River	USA	Illinois
Ohio River	USA	Kentucky
Allegheny River	USA	Pennsylvania
Tennessee	USA	Kentucky
Columbia River	USA	Oregon
Columbia River	USA	Washington
Truckee River	USA	Nevada
Colorado	MEX	Baja California
Colorado	MEX	Sonora
Rio Grande	MEX	Tamaulipas
Rio Grande	USA	Texas
Rio Lerma	MEX	México, Estado de
Rio San Juan	CR	Alajuela
Rio San Juan	NIC	Nicaragua
Rio Desaguadero	BOL	Oruro
Rio Magdalena	CO	Atlántico
Orinoco	YV	Delta Amacuro
Amazonas	BR	Amapá
Amazonas	BR	Pará
Rio Negro	BR	Amazonas
Rio Madeira	BR	Amazonas
Rio Mamore	BOL	Beni
Maranon	PE	Loreto
Huallaga	PE	Loreto
Ucayali	PE	Loreto
Urubamba	PE	Ucayali
Tambo	PE	Junín
Perene	PE	Junín
Ene	PE	Junín
Mantaro	PE	Junín
Apurimac	PE	Junín
Tocantins	BR	Pará
Araguaia	BR	Pará
Araguaia	BR	Tocantins
Rio Sao Francisco	BR	Alagoas
Rio Sao Francisco	BR	Sergipe
Parana	RA	Buenos Aires
Parana	RA	Entre Ríos
Paraguay	RA	Chaco
Paraguay	PY	Paraguay
Uruguay	RA	Entre Ríos
Uruguay	ROU	Uruguay
Gambia	WAG	Gambia
Senegal	RIM	Brakna
Senegal	SN	Saint-Louis
Volta	GH	Greater Accra
Volta	GH	Volta
Niger	WAN	Delta
Bani	RMM	Mopti
Benue	WAN	Kogi
Schari	CAM	Extrême-Nord
Schari	TCH	Chad
Nile	ET	Egypt
Atbara	SUD	Sudan
Blue Nile	SUD	Sudan
White Nile	SUD	Sudan
Sobat	SSD	South Sudan
Pibor	SSD	South Sudan
Pibor	ETH	Gambella
Baro	SSD	South Sudan
Baro	ETH	Gambella
Bahr el-Ghasal	SSD	South Sudan
Bahr el-Djebel/Albert-Nil	SSD	South Sudan
Semliki	ZRE	Orientale
Semliki	EAU	Uganda
Victoria Nile	EAU	Uganda
Akagera	EAU	Uganda
Jubba	SP	Somalia
Shabelle	SP	Somalia
Sanaga	CAM	Littoral
Zaire	ZRE	Bas-Congo
Sanga	RCB	Cuvette
Ubangi	RCB	Likouala
Ubangi	ZRE	Equateur
Bomu	ZRE	Equateur
Bomu	RCA	Central African Republic
Uelle	ZRE	Equateur
Kwa	ZRE	Bandundu
Fimi	ZRE	Bandundu
Lukenie	ZRE	Bandundu
Kasai	ZRE	Bandundu
Cuango	ZRE	Bandundu
Cuilo	ZRE	Bandundu
Lulua	ZRE	Kasai-Occidental
Ruki	ZRE	Equateur
Busira	ZRE	Equateur
Tshuapa	ZRE	Equateur
Lomami	ZRE	Orientale
Aruwimi	ZRE	Orientale
Lualaba	ZRE	Orientale
Lukuga	ZRE	Katanga
Ruzizi	ZRE	Sud-Kivu
Ruzizi	BI	Burundi
Luvua	ZRE	Katanga
Luapula	ZRE	Katanga
Luapula	Z	Luapula
Zambezi	MOC	Manica
Zambezi	MOC	Zambézia
Chire	MOC	Tete
Chire	MOC	Zambézia
Okavango	RB	Botswana
Limpopo	MOC	Gaza
Oranje	NAM	Namibia
Oranje	RSA	Northern Cape
Vaal	RSA	Northern Cape
Murray River	AUS	South Australia
Darling River	AUS	New South Wales
Murrumbidgee River	AUS	New South Wales
Eucumbene River	AUS	New South Wales
Snowy River	AUS	Victoria
\.


--
-- TOC entry 5275 (class 0 OID 89519)
-- Dependencies: 694
-- Data for Name: geo_island; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_island (island, country, province) FROM stdin;
Svalbard	SVAX	Svalbard
Greenland	GROX	Greenland
Iceland	IS	Iceland
Aust-Vagoey	N	Nordland
Streymoy	FARX	Faroe Islands
Ireland	IRL	Ireland
Ireland	GB	Northern Ireland
Great Britain	GB	North East
Great Britain	GB	North West
Great Britain	GB	Yorkshire and the Humber
Great Britain	GB	East Midlands
Great Britain	GB	West Midlands
Great Britain	GB	East of England
Great Britain	GB	London
Great Britain	GB	South East
Great Britain	GB	South West
Great Britain	GB	Scotland
Great Britain	GB	Wales
Shetland Mainland	GB	Scotland
Orkney Mainland	GB	Scotland
South Ronaldsay	GB	Scotland
Hoy	GB	Scotland
Westray	GB	Scotland
Barra	GB	Scotland
South Uist	GB	Scotland
Benbecula	GB	Scotland
North Uist	GB	Scotland
Lewis and Harris	GB	Scotland
Skye	GB	Scotland
Rhum	GB	Scotland
Mull	GB	Scotland
Tiree	GB	Scotland
Islay	GB	Scotland
Jura	GB	Scotland
Arran	GB	Scotland
Isle of Man	GBM	Isle of Man
Anglesey	GB	Wales
Isle of Wight	GB	South East
Bishop Rock	GB	South West
Guernsey	GBG	Guernsey
Jersey	GBJ	Jersey
Gotland	S	Gotland
Oeland	S	Kalmar
Aland	SF	Aland
Dagoe	EW	Estonia
Oesel	EW	Estonia
Seeland	DK	Hovedstaden
Seeland	DK	Sjælland
Fuenen	DK	Syddanmark
Langeland	DK	Syddanmark
Falster	DK	Sjælland
Lolland	DK	Sjælland
Bornholm	DK	Hovedstaden
Fehmarn	D	Schleswig-Holstein
Rugen	D	Mecklenburg-Vorpommern
Usedom	D	Mecklenburg-Vorpommern
Usedom	PL	Zachodniopomorskie
Helgoland	D	Schleswig-Holstein
Sylt	D	Schleswig-Holstein
Fohr	D	Schleswig-Holstein
Amrum	D	Schleswig-Holstein
Pellworm	D	Schleswig-Holstein
Wangerooge	D	Niedersachsen
Spiekeroog	D	Niedersachsen
Langeoog	D	Niedersachsen
Baltrum	D	Niedersachsen
Norderney	D	Niedersachsen
Juist	D	Niedersachsen
Borkum	D	Niedersachsen
Schiermonnikoog	NL	Friesland
Ameland	NL	Friesland
Terschelling	NL	Friesland
Vlieland	NL	Friesland
Texel	NL	Noord-Holland
Zitny Ostrov	SK	Bratislavský
Zitny Ostrov	SK	Nitriansky
Zitny Ostrov	SK	Trnavský
Maly Zitny Ostrov	H	Győr-Moson-Sopron
Maly Zitny Ostrov	SK	Trnavský
Margit Sziget	H	Budapest
Veliki Ratno Ostrvo	SRB	Serbia
Korfu	GR	Ionion Nison
Lefkas	GR	Ionion Nison
Kefallinia	GR	Ionion Nison
Zakynthos	GR	Ionion Nison
Kreta	GR	Kritis
Chios	GR	Boreioy Aigaioy
Samos	GR	Boreioy Aigaioy
Ikaria	GR	Boreioy Aigaioy
Lesbos	GR	Boreioy Aigaioy
Kos	GR	Notioy Aigaioy
Rhodos	GR	Notioy Aigaioy
Syros	GR	Notioy Aigaioy
Mykonos	GR	Notioy Aigaioy
Cyprus	CY	Cyprus
Alicudi	I	Calabria
Filicudi	I	Calabria
Salina	I	Calabria
Lipari	I	Calabria
Vulcano	I	Calabria
Panarea	I	Calabria
Stromboli	I	Calabria
Lampedusa	I	Sicilia
Linosa	I	Sicilia
Sicilia	I	Sicilia
Malta	M	Malta
Gozo	M	Malta
Sardegna	I	Sardegna
Corse	F	Corse
Menorca	E	Illes Balears
Mallorca	E	Illes Balears
Ibiza	E	Illes Balears
Formentera	E	Illes Balears
Lanzarote	E	Canarias
Fuerteventura	E	Canarias
Gran Canaria	E	Canarias
Teneriffa	E	Canarias
Gomera	E	Canarias
Hierro	E	Canarias
La Palma	E	Canarias
Madeira	P	Madeira
Porto Santo	P	Madeira
Sao Miguel	P	Azores
Santa Maria	P	Azores
Terceira	P	Azores
Sao Jorge	P	Azores
Pico	P	Azores
Faial	P	Azores
Graciosa	P	Azores
Flores	P	Azores
Corvo	P	Azores
Santiago	CV	Cape Verde
Fogo	CV	Cape Verde
Sao Tome	STP	Sao Tome and Principe
Principe	STP	Sao Tome and Principe
Bioko	GQ	Insular
Saint Helena	HELX	Saint Helena
Impalila	NAM	Namibia
Ascension	HELX	Saint Helena
Tristan Da Cunha	HELX	Saint Helena
West Falkland	FALK	Falkland Islands
East Falkland	FALK	Falkland Islands
Bahrain	BRN	Bahrain
Khark	IR	Fars
Gheschm	IR	Hormozgan
Lavan	IR	Fars
Christmas Island	XMAS	Christmas Island
Pulau Panjang	COCO	Cocos Islands
Male	MV	Maldives
Kavaratti	IND	Lakshadweep
Sri Lanka	CL	Sri Lanka
South Andaman Island	IND	Andaman and Nicobar Islands
Sokotra	YE	Yemen
Sansibar	EAT	Mjini Magharibi Unguja
Pemba	EAT	Mjini Magharibi Unguja
Mahe	SY	Seychelles
Grand Comoro	COM	Comoros
Anjouan	COM	Comoros
Mohilla	COM	Comoros
Mayotte	MAYO	Mayotte
Reunion	REUN	Reunion
Mauritius	MS	Mauritius
Madagaskar	RM	Madagascar
Nowaja Semlja	R	Arkhangel´skaya
Kotelny Island	R	Sakha
Paramuschir	R	Kamchatka
Olkhon	R	Buryat
Sachalin	R	Sakhalin
Hokkaido	J	Hokkaido
Kyushu	J	Fukuoka
Kyushu	J	Saga
Kyushu	J	Nagasaki
Kyushu	J	Kumamoto
Kyushu	J	Oita
Kyushu	J	Miyazaki
Kyushu	J	Kagoshima
Shikoku	J	Tokushima
Shikoku	J	Kagawa
Shikoku	J	Ehime
Shikoku	J	Kochi
Honshu	J	Aomori
Honshu	J	Iwate
Honshu	J	Miyagi
Honshu	J	Akita
Honshu	J	Yamagata
Honshu	J	Fukushima
Honshu	J	Ibaraki
Honshu	J	Tochigi
Honshu	J	Gumma
Honshu	J	Saitama
Honshu	J	Chiba
Honshu	J	Tokyo
Honshu	J	Kanagawa
Honshu	J	Niigata
Honshu	J	Toyama
Honshu	J	Ishikawa
Honshu	J	Fukui
Honshu	J	Yamanashi
Honshu	J	Nagano
Honshu	J	Gifu
Honshu	J	Shizuoka
Honshu	J	Aichi
Honshu	J	Mie
Honshu	J	Shiga
Honshu	J	Kyoto
Honshu	J	Osaka
Honshu	J	Hyogo
Honshu	J	Nara
Honshu	J	Wakayama
Honshu	J	Tottori
Honshu	J	Shimane
Honshu	J	Okayama
Honshu	J	Hiroshima
Honshu	J	Yamaguchi
Okinawa	J	Okinawa
Jeju	ROK	South Korea
Taiwan	RC	Taiwan
Hainan	CN	Hainan
Zhoushan	CN	Zhejiang
Luzon	RP	Ilocos
Luzon	RP	Cagayan Valley
Luzon	RP	Central Luzon
Luzon	RP	Calabarzon
Luzon	RP	Bicol
Luzon	RP	Metro Manila
Luzon	RP	Cordillera
Mindoro	RP	Mimaropa
Negros	RP	Western Visayas
Negros	RP	Central Visayas
Panay	RP	Western Visayas
Bohol	RP	Central Visayas
Leyte	RP	Eastern Visayas
Samar	RP	Eastern Visayas
Cebu	RP	Central Visayas
Mindanao	RP	Zamboanga Peninsula
Mindanao	RP	Northern Mindanao
Mindanao	RP	Davao
Mindanao	RP	Soccsksargen
Mindanao	RP	Muslim Mindanao
Mindanao	RP	Caraga
Palawan	RP	Mimaropa
Singapore	SGP	Singapore
Ko Samui	THA	Thailand
Phuket	THA	Thailand
Sumatra	RI	Aceh
Sumatra	RI	Sumatera Utara
Sumatra	RI	Sumatera Barat
Sumatra	RI	Riau
Sumatra	RI	Jambi
Sumatra	RI	Sumatera Selatan
Sumatra	RI	Bengkulu
Sumatra	RI	Lampung
Samosir	RI	Sumatera Utara
Batam	RI	Kepulauan Riau
Bintan	RI	Kepulauan Riau
Bangka	RI	Kepulauan Bangka Belitung
Krakatau	RI	Lampung
Java	RI	DKI Jakarta
Java	RI	Jawa Barat
Java	RI	Jawa Tengah
Java	RI	DI Yogyakarta
Java	RI	Jawa Timur
Java	RI	Banten
Borneo	BRU	Brunei
Borneo	MAL	Sabah
Borneo	MAL	Sarawak
Borneo	RI	Kalimantan Barat
Borneo	RI	Kalimantan Tengah
Borneo	RI	Kalimantan Selatan
Borneo	RI	Kalimantan Timur
Labuan	MAL	Labuan
Bali	RI	Bali
Lombok	RI	Nusa Tenggara Barat
Sumbawa	RI	Nusa Tenggara Barat
Sulawesi	RI	Sulawesi Utara
Sulawesi	RI	Sulawesi Tengah
Sulawesi	RI	Sulawesi Selatan
Sulawesi	RI	Sulawesi Tenggara
Sulawesi	RI	Gorontalo
Sulawesi	RI	Sulawesi Barat
Timor	RI	Nusa Tenggara Timur
Timor	TL	Timor-Leste
Ambon	RI	Maluku
Ceram	RI	Maluku
Halmahera	RI	Maluku Utara
Ternate	RI	Maluku Utara
New Guinea	RI	Papua Barat
New Guinea	RI	Papua
New Guinea	PNG	Papua New Guinea
Bougainville	PNG	Papua New Guinea
Guadalcanal	SLB	Solomon Islands
Grande Terre	NCA	New Caledonia
Cangaroo Island	AUS	South Australia
Melville Island	AUS	Northern Territory
Tasmania	AUS	Tasmania
Victoria Island	CDN	Northwest Territories
Victoria Island	CDN	Nunavut
Banks Island	CDN	Northwest Territories
Prince of Wales Island	CDN	Nunavut
Baffin Island	CDN	Nunavut
Southampton Island	CDN	Nunavut
Ellesmere Island	CDN	Nunavut
Devon Island	CDN	Nunavut
Saint Pierre	SPMI	Saint Pierre and Miquelon
Miquelon-Langlade	SPMI	Saint Pierre and Miquelon
Newfoundland	CDN	Newfoundland and Labrador
Prince Edward Island	CDN	Prince Edward Island
Rene Levasseur Island	CDN	Ontario
Manitoulin	CDN	Ontario
Marthas Vineyard	USA	Massachusetts
Nantucket	USA	Massachusetts
Long Island	USA	New York
Unalaska	USA	Alaska
Vancouver Island	CDN	British Columbia
Santa Cruz Island	USA	California
Santa Catalina Island	USA	California
Santa Rosa Island	USA	California
San Clemente Island	USA	California
San Miguel Island	USA	California
Grand Bermuda	BERM	Bermuda
New Providence	BS	Bahamas
Grand Turk	TUCA	Turks and Caicos Islands
Providenciales	TUCA	Turks and Caicos Islands
North Caicos	TUCA	Turks and Caicos Islands
Cuba	C	Ciego de Ávila
Cuba	C	Cienfuegos
Cuba	C	La Habana
Cuba	C	Granma
Cuba	C	Guantánamo
Cuba	C	Holguín
Cuba	C	Las Tunas
Cuba	C	Matanzas
Cuba	C	Pinar del Río
Cuba	C	Sancti Spíritus
Cuba	C	Santiago de Cuba
Cuba	C	Villa Clara
Cuba	C	Artemisa
Cuba	C	Mayabeque
Jamaica	JA	Jamaica
Hispaniola	DOM	Dominican Republic
Hispaniola	RH	Haiti
Puerto Rico	PR	Puerto Rico
Tortola	BVIR	British Virgin Islands
Saint Thomas	VIRG	Virgin Islands
Anguilla	AXA	Anguilla
St. Martin	NLSM	Sint Maarten
St. Martin	SMAR	Saint Martin
St. Barthelemy	SBAR	Saint Barthelemy
Saint Kitts	KN	Saint Kitts and Nevis
Nevis	KN	Saint Kitts and Nevis
Barbuda	AG	Antigua and Barbuda
Antigua	AG	Antigua and Barbuda
Montserrat	MNTS	Montserrat
Basse-Terre	GUAD	Guadeloupe
Grande-Terre	GUAD	Guadeloupe
Dominica	WD	Dominica
Martinique	MART	Martinique
Saint Lucia	WL	Saint Lucia
Saint Vincent	WV	Saint Vincent and the Grenadines
Barbados	BDS	Barbados
Grenada	WG	Grenada
Trinidad	TT	Trinidad and Tobago
Tobago	TT	Trinidad and Tobago
Curacao	CUR	Curacao
Aruba	ARU	Aruba
Grand Cayman	CAYM	Cayman Islands
Little Cayman	CAYM	Cayman Islands
Cayman Brac	CAYM	Cayman Islands
San Andres	CO	San Andrés, Providencia y Santa Catalina
Isla da Ometepe	NIC	Nicaragua
Isabela	EC	Ecuador
Ilha do Bananal	BR	Tocantins
Niihau	USA	Hawaii
Kauai	USA	Hawaii
Oahu	USA	Hawaii
Molokai	USA	Hawaii
Lanai	USA	Hawaii
Maui	USA	Hawaii
Hawaii	USA	Hawaii
Niue	NIUE	Niue
Saipan	NMIS	Northern Mariana Islands
Tinian	NMIS	Northern Mariana Islands
Rota	NMIS	Northern Mariana Islands
Uvea	WAFU	Wallis and Futuna
Futuna	WAFU	Wallis and Futuna
Tarawa	KIR	Kiribati
Kiritimati	KIR	Kiribati
Banaba	KIR	Kiribati
Tongatapu	TO	Tonga
Viti Levu	FJI	Fiji
Vanua Levu	FJI	Fiji
Norfolk Island	NORF	Norfolk Island
Nauru	NAU	Nauru
Koror	PAL	Palau
Babelthuap	PAL	Palau
Fongafale	TUV	Tuvalu
Fakaofo	TOK	Tokelau
Efate	VU	Vanuatu
Upolu	WS	Samoa
Savaii	WS	Samoa
Tutuila	AMSA	American Samoa
Rarotonga	COOK	Cook Islands
Tahiti	FPOL	French Polynesia
Guam	GUAM	Guam
Majuro	MH	Marshall Islands
Ponape	FSM	Micronesia
Pitcairn	PITC	Pitcairn
Easter Island	RCH	Valparaíso
Te Ika-a-Maui (North Island)	NZ	New Zealand
Te Waka-a-Maui (South Island)	NZ	New Zealand
\.


--
-- TOC entry 5276 (class 0 OID 89522)
-- Dependencies: 695
-- Data for Name: geo_lake; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_lake (lake, country, province) FROM stdin;
Inari	SF	Lappia
Oulujaervi	SF	Oulu
Kallavesi	SF	Kuopio
Saimaa	SF	Kymi
Saimaa	SF	Mikkeli
Paeijaenne	SF	Haeme
Paeijaenne	SF	Suomi
Mjoesa-See	N	Hedmark
Mjoesa-See	N	Oppland
Storuman	S	Västerbotten
Siljan	S	Dalarna
Maelaren	S	Södermanland
Maelaren	S	Stockholm
Maelaren	S	Uppsala
Maelaren	S	Västmanland
Vaenern	S	Västra Götaland
Vaenern	S	Värmland
Vaettern	S	Västra Götaland
Vaettern	S	Jönköping
Vaettern	S	Örebro
Vaettern	S	Östergötland
Arresoe	DK	Hovedstaden
Loch Ness	GB	Scotland
Loch Lomond	GB	Scotland
Bodensee	A	Vorarlberg
Bodensee	D	Baden-Württemberg
Bodensee	D	Bayern
Bodensee	CH	Sankt Gallen
Bodensee	CH	Thurgau
Chiemsee	D	Bayern
Starnberger See	D	Bayern
Ammersee	D	Bayern
Laacher Maar	D	Rheinland-Pfalz
Lac Leman	F	Rhône-Alpes
Lac Leman	CH	Genève
Lac Leman	CH	Valais
Lac Leman	CH	Vaud
Zurichsee	CH	Glarus
Zurichsee	CH	Schwyz
Zurichsee	CH	Zürich
Thunersee	CH	Bern
Brienzersee	CH	Bern
Vierwaldstattersee	CH	Luzern
Vierwaldstattersee	CH	Nidwalden
Vierwaldstattersee	CH	Obwalden
Vierwaldstattersee	CH	Schwyz
Vierwaldstattersee	CH	Uri
Lago Maggiore	I	Piemonte
Lago Maggiore	I	Lombardia
Lago Maggiore	CH	Ticino
Lago di Como	I	Lombardia
Lago di Garda	I	Lombardia
Lago di Garda	I	Veneto
Lago Trasimeno	I	Toscana
Lago Trasimeno	I	Umbria
Lago di Bolsena	I	Lazio
Lago di Bracciano	I	Lazio
Laguna de Gallocanta	E	Aragón
Neusiedlersee	A	Burgenland
Neusiedlersee	H	Győr-Moson-Sopron
Balaton	H	Fejér
Balaton	H	Somogy
Balaton	H	Veszprém
Balaton	H	Zala
Lake Skutari	AL	Albania
Lake Skutari	MNE	Montenegro
Lake Prespa	AL	Albania
Lake Prespa	GR	Dytikis Makedonias
Lake Prespa	MK	Macedonia
Lake Ohrid	AL	Albania
Lake Ohrid	MK	Macedonia
Kiev Reservoir	UA	Chernihivs´ka
Kiev Reservoir	UA	Kyïvs´ka
Kakhovka Reservoir	UA	Dnipropetrovs´ka
Kakhovka Reservoir	UA	Khersons´ka
Kakhovka Reservoir	UA	Zaporiz´ka
Kremenchuk Reservoir	UA	Cherkas´ka
Kremenchuk Reservoir	UA	Kirovohrads´ka
Kremenchuk Reservoir	UA	Poltavs´ka
Kuybyshev Reservoir	R	Tatarstan
Kuybyshev Reservoir	R	Samara
Kuybyshev Reservoir	R	Ul´yanovsk
Ozero Ladoga	R	Karelia
Ozero Ladoga	R	Leningradskaya
Ozero Onega	R	Karelia
Ozero Onega	R	Vologodskaya
Ozero Onega	R	Leningradskaya
Ozero Pskovskoje	R	Pskovskaya
Ozero Pskovskoje	EW	Estonia
Ozero Baikal	R	Buryat
Ozero Baikal	R	Irkutsk
Ozero Taimyr	R	Krasnoyarsk
Ozero Chanka	R	Primorskiy
Ozero Chanka	CN	Heilongjiang
Ozero Tschany	R	Novosibirsk
Dead Sea	IL	HaDarom
Dead Sea	JOR	Jordan
Dead Sea	WEST	West Bank
Lake Genezareth	IL	HaZafon
Lake Genezareth	SYR	Al Qunaytirah
Lake Van	TR	Bitlis
Lake Van	TR	Van
Lake Keban	TR	Elazığ
Lake Keban	TR	Malatya
Lake Keban	TR	Tunceli
Lake Urmia	IR	West Azarbayejan
Lake Urmia	IR	East Azarbayejan
Daryacheh ye Namak	IR	Esfahan
Daryacheh ye Namak	IR	Semnan
Daryacheh ye Namak	IR	Qom
Hamun e Jaz Murian	IR	Kerman
Hamun e Jaz Murian	IR	Sistan and Baluchestan
Caspian Sea	R	Kalmykiya
Caspian Sea	R	Astrakhanskaya
Caspian Sea	R	Dagestan
Caspian Sea	IR	Gillan
Caspian Sea	IR	Mazandaran
Caspian Sea	IR	Golestan
Caspian Sea	TM	Balkan
Caspian Sea	AZ	Azerbaijan
Caspian Sea	KAZ	Atyrau
Caspian Sea	KAZ	Mangistau
Ozero Aral	UZB	Qoraqalpogʻiston
Ozero Aral	KAZ	Kyzylorda
Ozero Balchash	KAZ	Almaty
Ozero Balchash	KAZ	Karaganda
Ozero Balchash	KAZ	Zhambyl
Issyk-Kul	KGZ	Kyrgyzstan
Koli Sarez	TAD	Gorno-Badakhshan
Lop Nor	CN	Xinjiang
Laguna de Bay	RP	Calabarzon
Laguna de Bay	RP	Metro Manila
Lake Toba	RI	Sumatera Utara
Segara Anak	RI	Nusa Tenggara Barat
Qinghai Lake	CN	Qinghai
Nam Co	CN	Xizang
Lake Nasser	ET	Egypt
Lake Nasser	SUD	Sudan
Lake Volta	GH	Brong Ahafo
Lake Volta	GH	Eastern
Lake Volta	GH	Northern
Lake Volta	GH	Volta
Lake Bosumtwi	GH	Ashanti
Lake Kainji	WAN	Kebbi
Lake Kainji	WAN	Niger
Chad Lake	RN	Diffa
Chad Lake	WAN	Borno
Chad Lake	CAM	Extrême-Nord
Chad Lake	TCH	Chad
Barrage de Mbakaou	CAM	Adamaoua
Lake Nyos	CAM	Nord-Ouest
Lac Assal	DJI	Djibouti
Lake Abbe	DJI	Djibouti
Lake Abbe	ETH	Affar
Lake Abaya	ETH	Oromia
Lake Abaya	ETH	YeDebub Biheroch Bihereseboch na Hizboch
Chew Bahir	ETH	Oromia
Chew Bahir	ETH	YeDebub Biheroch Bihereseboch na Hizboch
Chew Bahir	EAK	Kenya
Lake Turkana	ETH	YeDebub Biheroch Bihereseboch na Hizboch
Lake Turkana	EAK	Kenya
Lake Tana	ETH	Amhara
Lake Sese Seko/Albertsee	ZRE	Orientale
Lake Sese Seko/Albertsee	EAU	Uganda
Rutanzige/Eduardsee	ZRE	Nord-Kivu
Rutanzige/Eduardsee	EAU	Uganda
Lake Kioga	EAU	Uganda
Lake Victoria	EAT	Kagera
Lake Victoria	EAT	Mwanza
Lake Victoria	EAT	Mara
Lake Victoria	EAT	Simiyu
Lake Victoria	EAT	Geita
Lake Victoria	EAK	Kenya
Lake Victoria	EAU	Uganda
Lake Kivu	ZRE	Nord-Kivu
Lake Kivu	ZRE	Sud-Kivu
Lake Kivu	RWA	Rwanda
Lake Tanganjika	ZRE	Katanga
Lake Tanganjika	ZRE	Sud-Kivu
Lake Tanganjika	Z	Northern
Lake Tanganjika	BI	Burundi
Lake Tanganjika	EAT	Rukwa
Lake Tanganjika	EAT	Kigoma
Lake Tanganjika	EAT	Katavi
Lake Mweru	ZRE	Katanga
Lake Mweru	Z	Luapula
Lake Bangweulu	Z	Luapula
Lake Bangweulu	Z	Northern
Lake Rukwa	EAT	Mbeya
Lake Rukwa	EAT	Rukwa
Lake Rukwa	EAT	Katavi
Lake Eyasi	EAT	Arusha
Lake Natron	EAT	Arusha
Lake Malawi	EAT	Ruvuma
Lake Malawi	EAT	Njombe
Lake Malawi	MW	Malawi
Lake Malawi	MOC	Niassa
Lake Chilwa	MW	Malawi
Lake Chilwa	MOC	Niassa
Lake Mai Ndombe	ZRE	Bandundu
Malebo Pool	RCB	Pool
Malebo Pool	RCB	Brazzaville
Malebo Pool	ZRE	Kinshasa
Lake Cabora-Bassa	MOC	Tete
Lake Kariba	Z	Southern
Lake Kariba	ZW	Zimbabwe
Lake Ngami	RB	Botswana
Etoscha Salt Pan	NAM	Namibia
Makarikari Salt Pan	RB	Botswana
Great Bear Lake	CDN	Northwest Territories
Great Slave Lake	CDN	Northwest Territories
Atlin Lake	CDN	British Columbia
Atlin Lake	CDN	Yukon
Lake Winnipeg	CDN	Manitoba
Lake Nipigon	CDN	Ontario
Lake Manicouagan	CDN	Quebec
Lake Ontario	CDN	Ontario
Lake Ontario	USA	New York
Lake Erie	CDN	Ontario
Lake Erie	USA	Michigan
Lake Erie	USA	New York
Lake Erie	USA	Ohio
Lake Erie	USA	Pennsylvania
Lake Huron	CDN	Ontario
Lake Huron	USA	Michigan
Lake Manitou	CDN	Ontario
Lake Michigan	USA	Illinois
Lake Michigan	USA	Indiana
Lake Michigan	USA	Michigan
Lake Michigan	USA	Wisconsin
Lake Superior	CDN	Ontario
Lake Superior	USA	Michigan
Lake Superior	USA	Minnesota
Lake Superior	USA	Wisconsin
Lake Champlain	CDN	Quebec
Lake Champlain	USA	New York
Lake Champlain	USA	Vermont
Lake Winnipesaukee	USA	New Hampshire
Lake Okeechobee	USA	Florida
Kentucky Lake	USA	Kentucky
Kentucky Lake	USA	Tennessee
Chickamauga Lake	USA	Tennessee
Franklin. D. Roosevelt Lake	USA	Washington
Crater Lake	USA	Oregon
Great Salt Lake	USA	Utah
Lake Tahoe	USA	California
Lake Tahoe	USA	Nevada
Pyramid Lake	USA	Nevada
Lake Powell	USA	Arizona
Lake Powell	USA	Utah
Lake Mead	USA	Arizona
Lake Mead	USA	Nevada
Fort Peck Lake	USA	Montana
Lake Sakakawea	USA	Montana
Lake Sakakawea	USA	North Dakota
Lake Oahe	USA	North Dakota
Lake Oahe	USA	South Dakota
Lago de Chapala	MEX	Jalisco
Lake Nicaragua	CR	Alajuela
Lake Nicaragua	CR	Guanacaste
Lake Nicaragua	NIC	Nicaragua
Lake Managua	NIC	Nicaragua
Lake Irazu	CR	Cartago
La Brea Pitch Lake	TT	Trinidad and Tobago
Lake Maracaibo	YV	Mérida
Lake Maracaibo	YV	Trujillo
Lake Maracaibo	YV	Zulia
Lago de Sobradinho	BR	Bahia
Lago Junin	PE	Junín
Lake Titicaca	BOL	La Paz
Lake Titicaca	PE	Puno
Poopo	BOL	Oruro
Poopo	BOL	Potosí
Salar de Uyuni	BOL	Potosí
Licancabur Crater Lake	BOL	Potosí
Licancabur Crater Lake	RCH	Antofagasta
Laguna Mar Chiquita	RA	Córdoba
Laguna Mar Chiquita	RA	Santa Fe
Laguna Mar Chiquita	RA	Santiago de Estero
Lake Eyre	AUS	South Australia
Lake Burley Griffin	AUS	Australia Capital Territory
Lake Eucumbene	AUS	New South Wales
Lake Jindabyne	AUS	New South Wales
Lake Hume	AUS	New South Wales
Lake Hume	AUS	Victoria
\.


--
-- TOC entry 5277 (class 0 OID 89525)
-- Dependencies: 696
-- Data for Name: geo_mountain; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_mountain (mountain, country, province) FROM stdin;
Hvannadalshnukur	IS	Iceland
Snaefell	IS	Iceland
Hekla	IS	Iceland
Katla	IS	Iceland
Haltiatunturi	SF	Lappia
Kebnekaise	S	Norrbotten
Sarektjokko	S	Norrbotten
Portefjaellen	S	Norrbotten
Tarrekaise	S	Norrbotten
Sulitjelma	N	Nordland
Sulitjelma	S	Norrbotten
Galdhoeppig	N	Oppland
Jostedalsbre	N	Sogn og Fjordane
Glittertind	N	Oppland
Joekul	N	Hordaland
Snoehetta	N	Oppland
Ben Nevis	GB	Scotland
Feldberg	D	Baden-Württemberg
Brocken	D	Sachsen-Anhalt
Grosser Arber	D	Bayern
Zugspitze	A	Tirol
Zugspitze	D	Bayern
Mont Blanc	F	Rhône-Alpes
Mont Blanc	I	Valle d'Aosta
Barre des Ecrins	F	Rhône-Alpes
Grand Combin	CH	Valais
Matterhorn	I	Valle d'Aosta
Matterhorn	CH	Valais
Monte Rosa	I	Valle d'Aosta
Monte Rosa	I	Lombardia
Monte Rosa	CH	Valais
Finsteraarhorn	CH	Basel-Landschaft
Finsteraarhorn	CH	Valais
Gran Paradiso	I	Piemonte
Gran Paradiso	I	Valle d'Aosta
Piz Bernina	I	Lombardia
Piz Bernina	CH	Graubünden
Crap Sogn Gion	CH	Graubünden
Marmolata	I	Trentino-Alto Adige
Marmolata	I	Veneto
Grossglockner	A	Kärnten
Hochgolling	A	Steiermark
Hochgolling	A	Salzburg
Grand Ballon	F	Alsace
Grand Ballon	F	Lorraine
Puy De Dome	F	Auvergne
Puy de Sancy	F	Auvergne
Vignemale	F	Midi-Pyrénées
Vignemale	E	Aragón
Pico de Aneto	E	Aragón
Torre de Cerredo	E	Asturias
Torre de Cerredo	E	Castilla y León
Pico de Almanzor	E	Castilla y León
Moncayo	E	Aragón
Moncayo	E	Castilla y León
Mulhacen	E	Andalucía
Torre de Estrela	P	Guarda
Monte Cinto	F	Corse
Gran Sasso	I	Abruzzo
Monte Falterona	I	Emilia-Romagna
Monte Falterona	I	Toscana
Vesuv	I	Campania
Etna	I	Sicilia
Schneekoppe	CZ	Královéhradecký
Schneekoppe	PL	Dolnośląskie
Gerlachovsky Stit	SK	Prešovský
Moldoveanu	RO	Argeş
Moldoveanu	RO	Braşov
Moldoveanu	RO	Sibiu
Musala	BG	Bulgaria
Jezerce	AL	Albania
Korab	AL	Albania
Korab	MK	Macedonia
Olymp	GR	Kentrikis Makedonias
Olymp	GR	Thessalias
Athos	GR	Aghion Oros
Psiloritis	GR	Kritis
Olympos	CY	Cyprus
Pico de Teide	E	Canarias
Pico de los Nieves	E	Canarias
Roque de los Muchachos	E	Canarias
Pico Ruivo	P	Madeira
Pico	P	Azores
Fogo	CV	Cape Verde
Tubkhal	MA	Souss Massa Daraa
Tubkhal	MA	Marrakech Tensift Al Haouz
Djebel Aures	MA	Taza Al Hoceima Taounate
Djebel Aures	MA	Tanger Tetouan
Tahat	DZ	Algeria
Tamgak	RN	Agadez
Mont Greboun	RN	Agadez
Emi Kussi	TCH	Chad
Jabal Marra	SUD	Sudan
Jabal Katrina	ET	Egypt
Aso Rock	WAN	Abuja
Fako	CAM	Sud-Ouest
Pico Basile	GQ	Insular
Pico de Sao Tome	STP	Sao Tome and Principe
Queen Marys Peak	HELX	Saint Helena
Ras Daschan Terara	ETH	Amhara
Ruwenzori	ZRE	Nord-Kivu
Ruwenzori	EAU	Uganda
Elgon	EAK	Kenya
Elgon	EAU	Uganda
Mount Kenia	EAK	Kenya
Kilimanjaro	EAT	Kilimanjaro
Mawenzi	EAT	Kilimanjaro
Meru	EAT	Arusha
Karisimbi	ZRE	Nord-Kivu
Karisimbi	RWA	Rwanda
Thabana Ntlenyana	LS	Lesotho
Cathkin Peak	RSA	KwaZulu-Natal
Tsaratanana	RM	Madagascar
Tsiafajavona	RM	Madagascar
Andringitra	RM	Madagascar
Piton des Neiges	REUN	Reunion
Piton de la Fournaise	REUN	Reunion
Karthala	COM	Comoros
Roman Kosch	UA	Krym
Narodnaja	R	Komi
Demirkazik	TR	Niğde
Ararat	TR	Ağrı
Ararat	TR	Iğdır
Jabal Lubnan	RL	Lebanon
Elbrus	R	Kabardino-Balkarskaya
Dychtau	R	Kabardino-Balkarskaya
Schchara	R	Kabardino-Balkarskaya
Schchara	GE	Georgia
Kasbek	R	North Ossetia-Alania
Kasbek	GE	Georgia
Zachwoa	R	Dagestan
Damavand	IR	Mazandaran
Sabalan	IR	East Azarbayejan
Sabalan	IR	Ardebil
Zard Kuh	IR	Chaharmahal and Bakhtiyari
Jabal Shuayb	YE	Yemen
Dodabetta	IND	Tamil Nadu
Pidurutalagala	CL	Sri Lanka
Zhima	R	Buryat
Bjelucha	R	Altay
Bjelucha	KAZ	East-Kazakhstan
Pik Chan-Tengri	CN	Xinjiang
Pik Chan-Tengri	KAZ	Almaty
Pik Chan-Tengri	KGZ	Kyrgyzstan
Pik Pobeda	CN	Xinjiang
Pik Pobeda	KGZ	Kyrgyzstan
Liushi Shan	CN	Xinjiang
Liushi Shan	CN	Xizang
Ulug Muztag	CN	Xinjiang
Ulug Muztag	CN	Xizang
Kongur	CN	Xinjiang
Muztagata	CN	Xinjiang
Pik Ismoil Somoni	TAD	Gorno-Badakhshan
Pik Lenina	TAD	Gorno-Badakhshan
Pik Lenina	KGZ	Kyrgyzstan
Pik Revoluzija	TAD	Gorno-Badakhshan
Pik Moskva	TAD	Gorno-Badakhshan
Pik Karl-Marx	TAD	Gorno-Badakhshan
Tirich Mir	PK	Khyber Pakhtunkhwa
K2	CN	Xinjiang
K2	PK	Gilgit-Baltistan
Broad Peak	CN	Xinjiang
Broad Peak	PK	Gilgit-Baltistan
Gasherbrum I	CN	Xinjiang
Gasherbrum I	PK	Gilgit-Baltistan
Gasherbrum II	CN	Xinjiang
Gasherbrum II	PK	Gilgit-Baltistan
Nanga Parbat	PK	Gilgit-Baltistan
Nanda Devi	IND	Uttarakhand
Dhaulagiri	NEP	Nepal
Annapurna	NEP	Nepal
Manaslu	NEP	Nepal
Shishapangma	CN	Xizang
Kailash	CN	Xizang
Cho Oyu	CN	Xizang
Cho Oyu	NEP	Nepal
Mount Everest	CN	Xizang
Mount Everest	NEP	Nepal
Lhotse	CN	Xizang
Lhotse	NEP	Nepal
Makalu	CN	Xizang
Makalu	NEP	Nepal
Kangchendzonga	IND	Sikkim
Kangchendzonga	NEP	Nepal
Kljutschewskaja Sopka	R	Kamchatka
Changbai Shan	CN	Jilin
Changbai Shan	NOK	North Korea
Asahi-Dake	J	Hokkaido
Fujisan	J	Yamanashi
Fujisan	J	Shizuoka
Hotaka-Dake	J	Nagano
Hotaka-Dake	J	Gifu
Yu Shan	RC	Taiwan
Pulog	RP	Ilocos
Pulog	RP	Cordillera
Pinatubo	RP	Central Luzon
Mount Apo	RP	Davao
Mount Apo	RP	Soccsksargen
Kanlaon	RP	Western Visayas
Kanlaon	RP	Central Visayas
Mantalingajan	RP	Mimaropa
Kinabalu	MAL	Sabah
Tahan	MAL	Kelantan
Tahan	MAL	Pahang
Leuser	RI	Aceh
Kerinci	RI	Sumatera Barat
Krakatau	RI	Lampung
Merapi	RI	Jawa Tengah
Semeru	RI	Jawa Timur
Gunung Agung	RI	Bali
Rinjani	RI	Nusa Tenggara Barat
Tambora	RI	Nusa Tenggara Barat
Rantekombola	RI	Sulawesi Selatan
Rantekombola	RI	Sulawesi Barat
Tatamailau	TL	Timor-Leste
Gunung Binaiya	RI	Sulawesi Selatan
Gunung Binaiya	RI	Maluku
Puncak Jaya	RI	Papua
Mt. Wilhelm	PNG	Papua New Guinea
Mt. Giluwe	PNG	Papua New Guinea
Mt. Balbi	PNG	Papua New Guinea
Mt. Victoria	FJI	Fiji
Silisili	WS	Samoa
Mont Orohena	FPOL	French Polynesia
Popomanaseu	SLB	Solomon Islands
Mauna Kea	USA	Hawaii
Mauna Loa	USA	Hawaii
Haleakala	USA	Hawaii
Mt. Kosciuszko	AUS	New South Wales
Mt. Bogong	AUS	Victoria
Uluru	AUS	Northern Territory
Mt. Cook	NZ	New Zealand
Ruapehu	NZ	New Zealand
Mt Redoubt	USA	Alaska
Mt McKinley	USA	Alaska
Mt Blackburn	USA	Alaska
Mt Bona	CDN	Saskatchewan
Mt Bona	USA	Alaska
Mt St.Elias	CDN	Yukon
Mt St.Elias	USA	Alaska
Mt Logan	CDN	Yukon
Mt Fairweather	CDN	British Columbia
Mt Fairweather	USA	Alaska
Mt Waddington	CDN	British Columbia
Mt Robson	CDN	British Columbia
Mt Columbia	CDN	Alberta
Mt Columbia	CDN	British Columbia
Barbeau Peak	CDN	Nunavut
Mt. Odin	CDN	Nunavut
Mt. Babel	CDN	Quebec
Granite Peak	USA	Montana
Borah Peak	USA	Idaho
Harney Peak	USA	South Dakota
Gannett Peak	USA	Wyoming
Kings Peak	USA	Utah
Mt Elbert	USA	Colorado
Pikes Peak	USA	Colorado
Wheeler Peak	USA	New Mexico
Humphreys Peak	USA	Arizona
Guadalupe Peak	USA	Texas
Mt Rainier	USA	Washington
Mt Adams	USA	Washington
Mt Hood	USA	Oregon
Mt Whitney	USA	California
Boundary Peak	USA	California
Boundary Peak	USA	Nevada
Mt Washington	USA	New Hampshire
Mt Marcy	USA	New York
Mt Mitchell	USA	North Carolina
Clingmans Dome	USA	Tennessee
Citlaltepetl (Pico de Orizaba)	MEX	Puebla
Citlaltepetl (Pico de Orizaba)	MEX	Veracruz
Popocatepetl	MEX	México, Estado de
Popocatepetl	MEX	Morelos
Popocatepetl	MEX	Puebla
Iztaccihuatl	MEX	Puebla
Nevado de Toluca	MEX	México, Estado de
Nevado de Colima	MEX	Jalisco
Tajumulco	GCA	Guatemala
Concepcion	NIC	Nicaragua
Irazu	CR	Cartago
Cerro Chirripo	CR	Cartago
Cerro Chirripo	CR	Limón
Pico Turquino	C	Granma
Pico Turquino	C	Santiago de Cuba
Blue Mountain Peak	JA	Jamaica
Pico Duarte	DOM	Dominican Republic
Cerro de Punta	PR	Puerto Rico
La Soufriere	GUAD	Guadeloupe
Soufriere Hills	MNTS	Montserrat
Soufriere	WV	Saint Vincent and the Grenadines
Morne Diablotins	WD	Dominica
Pelee	MART	Martinique
Pico Cristobal Colon	CO	Magdalena
Pico Bolivar	YV	Mérida
Nevado del Ruiz	CO	Chocó
Nevado del Ruiz	CO	Risaralda
Nevado del Huila	CO	Huila
Cayambe	EC	Ecuador
Cotopaxi	EC	Ecuador
Chimborazo	EC	Ecuador
Huascaran	PE	Ancash
Alpamayo	PE	Ancash
Pico Rocarre	PE	Ancash
Ausangate	PE	Cusco
Coropuna	PE	Arequipa
Ampato	PE	Arequipa
Illampu	BOL	La Paz
Illimani	BOL	La Paz
Sajama	BOL	Oruro
Licancabur	BOL	Potosí
Licancabur	RCH	Antofagasta
Llullaillaco	RA	Tucumán
Llullaillaco	RCH	Antofagasta
Ojos del Salado	RA	Tucumán
Ojos del Salado	RCH	Atacama
Monte Pissis	RA	La Rioja
Monte Pissis	RA	Tucumán
Aconcagua	RA	Mendoza
Tupungato	RA	Mendoza
Pico de Agulhas Negras	BR	Minas Gerais
Pico de Agulhas Negras	BR	Rio de Janeiro
\.


--
-- TOC entry 5278 (class 0 OID 89528)
-- Dependencies: 697
-- Data for Name: geo_river; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_river (river, country, province) FROM stdin;
Thjorsa	IS	Iceland
Joekulsa a Fjoellum	IS	Iceland
Glomma	N	Akershus
Glomma	N	Østfold
Glomma	N	Hedmark
Glomma	N	Sør-Trøndelag
Lagen	N	Akershus
Lagen	N	Hedmark
Lagen	N	Oppland
Goetaaelv	S	Västra Götaland
Klaraelv	N	Hedmark
Klaraelv	S	Värmland
Umeaelv	S	Västerbotten
Dalaelv	S	Gävleborg
Dalaelv	S	Dalarna
Dalaelv	S	Uppsala
Dalaelv	S	Västmanland
Vaesterdalaelv	S	Dalarna
Oesterdalaelv	S	Dalarna
Paatsjoki	R	Murmanskaya
Paatsjoki	SF	Lappia
Paatsjoki	N	Finnmark
Ounasjoki	SF	Lappia
Kemijoki	SF	Lappia
Oulujoki	SF	Oulu
Kymijoki	SF	Haeme
Kymijoki	SF	Kymi
Kymijoki	SF	Mikkeli
Kokemaeenjoki	SF	Haeme
Kokemaeenjoki	SF	Turku-Pori
Vuoksi	R	Karelia
Vuoksi	SF	Kuopio
Vuoksi	SF	Kymi
Thames	GB	East of England
Thames	GB	London
Thames	GB	South East
Thames	GB	South West
Maas	F	Champagne-Ardenne
Maas	F	Lorraine
Maas	B	Liège
Maas	B	Limburg
Maas	B	Namur
Maas	NL	Gelderland
Maas	NL	Zuid-Holland
Maas	NL	Noord-Brabant
Maas	NL	Limburg
Loire	F	Auvergne
Loire	F	Bourgogne
Loire	F	Centre
Loire	F	Pays de la Loire
Loire	F	Rhône-Alpes
Garonne	F	Aquitaine
Garonne	F	Languedoc-Roussillon
Garonne	F	Midi-Pyrénées
Garonne	E	Cataluña
Rhone	F	Languedoc-Roussillon
Rhone	F	Provence-Alpes-Côte d'Azur
Rhone	F	Rhône-Alpes
Rhone	CH	Genève
Rhone	CH	Valais
Rhone	CH	Vaud
Saone	F	Bourgogne
Saone	F	Franche-Comté
Saone	F	Lorraine
Saone	F	Rhône-Alpes
Doubs	F	Bourgogne
Doubs	F	Franche-Comté
Doubs	CH	Jura
Isere	F	Rhône-Alpes
Seine	F	Bourgogne
Seine	F	Champagne-Ardenne
Seine	F	Haute-Normandie
Seine	F	Île-de-France
Marne	F	Champagne-Ardenne
Marne	F	Île-de-France
Tajo	E	Castilla-La Mancha
Tajo	E	Extremadura
Tajo	P	Castelo Branco
Tajo	P	Lisboa
Tajo	P	Portalegre
Tajo	P	Santarem
Douro	E	Castilla y León
Douro	P	Aveiro
Douro	P	Braganca
Douro	P	Guarda
Douro	P	Porto
Douro	P	Vila Real
Douro	P	Viseu
Guadiana	E	Andalucía
Guadiana	E	Castilla-La Mancha
Guadiana	E	Extremadura
Guadiana	P	Beja
Guadiana	P	Evora
Guadiana	P	Algarve
Guadiana	P	Portalegre
Guadalquivir	E	Andalucía
Ebro	E	Aragón
Ebro	E	País Vasco
Ebro	E	Castilla y León
Ebro	E	Cataluña
Ebro	E	Navarra
Ebro	E	La Rioja
Po	I	Piemonte
Po	I	Lombardia
Po	I	Veneto
Po	I	Emilia-Romagna
Ticino	I	Piemonte
Ticino	I	Lombardia
Ticino	CH	Ticino
Adda	I	Lombardia
Mincio	I	Veneto
Etsch	I	Trentino-Alto Adige
Etsch	I	Veneto
Tiber	I	Toscana
Tiber	I	Umbria
Tiber	I	Lazio
Arno	I	Toscana
Donau	SRB	Serbia
Donau	A	Wien
Donau	A	Oberösterreich
Donau	A	Niederösterreich
Donau	D	Baden-Württemberg
Donau	D	Bayern
Donau	H	Baranya
Donau	H	Bács-Kiskun
Donau	H	Fejér
Donau	H	Komárom-Esztergom
Donau	H	Pest
Donau	H	Tolna
Donau	H	Budapest
Donau	SK	Bratislavský
Donau	SK	Nitriansky
Donau	SK	Trnavský
Donau	UA	Odes´ka
Donau	HR	Croatia
Donau	BG	Bulgaria
Donau	RO	Brăila
Donau	RO	Călăraşi
Donau	RO	Caraş-Severin
Donau	RO	Constanţa
Donau	RO	Dolj
Donau	RO	Galaţi
Donau	RO	Giurgiu
Donau	RO	Ialomiţa
Donau	RO	Mehedinţi
Donau	RO	Olt
Donau	RO	Teleorman
Donau	RO	Tulcea
Donau	MD	Moldova
Breg	D	Baden-Württemberg
Brigach	D	Baden-Württemberg
Iller	A	Vorarlberg
Iller	D	Baden-Württemberg
Iller	D	Bayern
Lech	A	Vorarlberg
Lech	A	Tirol
Lech	D	Bayern
Isar	A	Tirol
Isar	D	Bayern
Ammer	D	Bayern
Würm	D	Bayern
Inn	A	Tirol
Inn	D	Bayern
Inn	CH	Graubünden
Alz	D	Bayern
Salzach	A	Salzburg
Salzach	D	Bayern
Enns	A	Salzburg
March	A	Niederösterreich
March	CZ	Jihomoravský
March	CZ	Olomoucký
March	CZ	Pardubický
March	CZ	Zlínský
March	SK	Bratislavský
March	SK	Trnavský
Raab	A	Burgenland
Raab	A	Steiermark
Raab	H	Győr-Moson-Sopron
Raab	H	Vas
Raab	H	Veszprém
Waag	SK	Žilinský
Waag	SK	Nitriansky
Waag	SK	Trenčiansky
Waag	SK	Trnavský
Drau	A	Kärnten
Drau	H	Baranya
Drau	H	Somogy
Drau	H	Zala
Drau	I	Trentino-Alto Adige
Drau	SLO	Slovenia
Drau	HR	Croatia
Mur	A	Steiermark
Mur	A	Salzburg
Mur	H	Zala
Mur	SLO	Slovenia
Mur	HR	Croatia
Theiss	SRB	Serbia
Theiss	H	Borsod-Abaúj-Zemplén
Theiss	H	Csongrád
Theiss	H	Hajdú-Bihar
Theiss	H	Heves
Theiss	H	Szabolcs-Szatmár-Bereg
Theiss	H	Jász-Nagykun-Szolnok
Theiss	UA	Chernivets´ka
Theiss	UA	Ivano-Frankivs´ka
Theiss	UA	Zakarpats´ka
Save	SRB	Serbia
Save	SLO	Slovenia
Save	BIH	Federacija Bosne i Hercegovine
Save	BIH	Republika Srpska
Save	BIH	Brčko
Save	HR	Croatia
Drina	SRB	Serbia
Drina	BIH	Federacija Bosne i Hercegovine
Drina	BIH	Republika Srpska
Tara	MNE	Montenegro
Tara	BIH	Republika Srpska
Piva	MNE	Montenegro
Piva	BIH	Republika Srpska
Morava	SRB	Serbia
Western Morava	SRB	Serbia
Southern Morava	MK	Macedonia
Southern Morava	SRB	Serbia
Southern Morava	KOS	Kosovo
Olt	RO	Braşov
Olt	RO	Covasna
Olt	RO	Harghita
Olt	RO	Olt
Olt	RO	Sibiu
Olt	RO	Vâlcea
Pruth	UA	Chernivets´ka
Pruth	UA	Ivano-Frankivs´ka
Pruth	RO	Botoşani
Pruth	RO	Galaţi
Pruth	RO	Iaşi
Pruth	RO	Vaslui
Pruth	MD	Moldova
Dnjestr	UA	Chernivets´ka
Dnjestr	UA	Ivano-Frankivs´ka
Dnjestr	UA	Khmel´nyts´ka
Dnjestr	UA	L´vivs´ka
Dnjestr	UA	Odes´ka
Dnjestr	UA	Ternopil´s´ka
Dnjestr	UA	Vinnyts´ka
Dnjestr	MD	Moldova
Weser	D	Bremen
Weser	D	Hessen
Weser	D	Niedersachsen
Weser	D	Nordrhein-Westfalen
Aller	D	Niedersachsen
Leine	D	Niedersachsen
Leine	D	Thüringen
Werra	D	Hessen
Werra	D	Niedersachsen
Werra	D	Thüringen
Fulda	D	Hessen
Elbe	CZ	Královéhradecký
Elbe	CZ	Liberecký
Elbe	CZ	Pardubický
Elbe	CZ	Středočeský
Elbe	CZ	Ústecký
Elbe	D	Brandenburg
Elbe	D	Hamburg
Elbe	D	Mecklenburg-Vorpommern
Elbe	D	Niedersachsen
Elbe	D	Sachsen
Elbe	D	Sachsen-Anhalt
Elbe	D	Schleswig-Holstein
Moldau	CZ	Praha
Moldau	CZ	Jihočeský
Moldau	CZ	Středočeský
Rhein	F	Alsace
Rhein	A	Vorarlberg
Rhein	D	Baden-Württemberg
Rhein	D	Hessen
Rhein	D	Nordrhein-Westfalen
Rhein	D	Rheinland-Pfalz
Rhein	FL	Liechtenstein
Rhein	CH	Aargau
Rhein	CH	Basel-Landschaft
Rhein	CH	Basel-Stadt
Rhein	CH	Graubünden
Rhein	CH	Sankt Gallen
Rhein	CH	Schaffhausen
Rhein	CH	Thurgau
Rhein	CH	Zürich
Rhein	NL	Gelderland
Rhein	NL	Zuid-Holland
Main	D	Bayern
Main	D	Hessen
Mosel	F	Lorraine
Mosel	D	Rheinland-Pfalz
Mosel	D	Saarland
Mosel	L	Luxembourg
Saar	F	Alsace
Saar	F	Lorraine
Saar	D	Rheinland-Pfalz
Saar	D	Saarland
Neckar	D	Baden-Württemberg
Aare	CH	Aargau
Aare	CH	Bern
Aare	CH	Solothurn
Reuss	CH	Aargau
Reuss	CH	Luzern
Reuss	CH	Uri
Limmat	CH	Aargau
Limmat	CH	Zürich
Oder	CZ	Moravskoslezský
Oder	CZ	Olomoucký
Oder	D	Brandenburg
Oder	D	Mecklenburg-Vorpommern
Oder	D	Sachsen
Oder	PL	Dolnośląskie
Oder	PL	Lubuskie
Oder	PL	Opolskie
Oder	PL	Śląskie
Oder	PL	Zachodniopomorskie
Weichsel	PL	Kujawsko-Pomorskie
Weichsel	PL	Lubelskie
Weichsel	PL	Małopolskie
Weichsel	PL	Mazowieckie
Weichsel	PL	Podkarpackie
Weichsel	PL	Pomorskie
Weichsel	PL	Śląskie
Weichsel	PL	Świętokrzyskie
Narew	BY	Grodno
Narew	PL	Mazowieckie
Narew	PL	Podlaskie
Western Bug	BY	Brest
Western Bug	PL	Lubelskie
Western Bug	PL	Mazowieckie
Western Bug	PL	Podlaskie
Western Bug	UA	L´vivs´ka
Western Bug	UA	Volyns´ka
Moraca	MNE	Montenegro
Buna	AL	Albania
Buna	MNE	Montenegro
Drin	AL	Albania
White Drin	AL	Albania
White Drin	KOS	Kosovo
Black Drin	AL	Albania
Black Drin	MK	Macedonia
Jordan	IL	HaZafon
Jordan	JOR	Jordan
Jordan	SYR	Al Qunaytirah
Jordan	RL	Lebanon
Jordan	WEST	West Bank
Kura	TR	Kars
Kura	TR	Ardahan
Kura	GE	Georgia
Kura	AZ	Azerbaijan
Schatt al Arab	IR	Khuzestan
Schatt al Arab	IRQ	Basrah
Tigris	TR	Batman
Tigris	TR	Diyarbakır
Tigris	TR	Mardin
Tigris	TR	Siirt
Tigris	TR	Şırnak
Tigris	IRQ	Babylon
Tigris	IRQ	Baghdad
Tigris	IRQ	Basrah
Tigris	IRQ	Maysan
Tigris	IRQ	Nineveh
Tigris	IRQ	Salah al-Deen
Tigris	IRQ	Kirkuk
Tigris	IRQ	Wasit
Tigris	IRQ	Duhouk
Tigris	IRQ	Erbil
Tigris	SYR	Al Hasakah
Euphrat	TR	Adıyaman
Euphrat	TR	Gaziantep
Euphrat	TR	Malatya
Euphrat	TR	Şanlıurfa
Euphrat	IRQ	al-Anbar
Euphrat	IRQ	Babylon
Euphrat	IRQ	Basrah
Euphrat	IRQ	Thi Qar
Euphrat	IRQ	Kerbela
Euphrat	IRQ	al-Muthanna
Euphrat	IRQ	al-Najaf
Euphrat	IRQ	al-Qadisiya
Euphrat	SYR	Al Qunaytirah
Euphrat	SYR	Ar Raqqah
Euphrat	SYR	Dayr az Zawr
Murat	TR	Ağrı
Murat	TR	Bingöl
Murat	TR	Elazığ
Murat	TR	Muş
Karasu	TR	Erzincan
Karasu	TR	Erzurum
Karun	IR	Kohgiluyeh and Boyerahmad
Karun	IR	Chaharmahal and Bakhtiyari
Karun	IR	Esfahan
Karun	IR	Khuzestan
Northern Dwina	R	Arkhangel´skaya
Northern Dwina	R	Vologodskaya
Suchona	R	Vologodskaya
Petschora	R	Komi
Petschora	R	Arkhangel´skaya
Newa	R	Leningradskaya
Swir	R	Leningradskaya
Narva	R	Pskovskaya
Narva	EW	Estonia
Western Dwina	BY	Vitebsk
Western Dwina	LV	Latvia
Western Dwina	R	Smolenskaya
Dnister	UA	Chernivets´ka
Dnister	UA	Ivano-Frankivs´ka
Dnister	UA	Khmel´nyts´ka
Dnister	UA	L´vivs´ka
Dnister	UA	Odes´ka
Dnister	UA	Ternopil´s´ka
Dnister	UA	Vinnyts´ka
Dnister	MD	Moldova
Dnepr	BY	Gomel
Dnepr	BY	Mogilev
Dnepr	UA	Cherkas´ka
Dnepr	UA	Chernihivs´ka
Dnepr	UA	Dnipropetrovs´ka
Dnepr	UA	Khersons´ka
Dnepr	UA	Kyïvs´ka
Dnepr	UA	Kirovohrads´ka
Dnepr	UA	Poltavs´ka
Dnepr	UA	Zaporiz´ka
Dnepr	UA	Kyïv
Dnepr	R	Smolenskaya
Prypjat	BY	Brest
Prypjat	BY	Gomel
Prypjat	UA	Kyïvs´ka
Prypjat	UA	Volyns´ka
Don	R	Tul´skaya
Don	R	Voronezhskaya
Don	R	Lipetskaya
Don	R	Volgogradskaya
Don	R	Rostovskaya
Volga	R	Ivanovskaya
Volga	R	Kostromskaya
Volga	R	Tverskaya
Volga	R	Yaroslavskaya
Volga	R	Mariy-El
Volga	R	Chuvash
Volga	R	Nizhnii Novgorod
Volga	R	Astrakhanskaya
Volga	R	Volgogradskaya
Volga	R	Penza
Volga	R	Samara
Volga	R	Saratov
Volga	R	Ul´yanovsk
Oka	R	Vladimirskaya
Oka	R	Kaluzhskaya
Oka	R	Moskovskaya
Oka	R	Orlovskaya
Oka	R	Ryazanskaya
Oka	R	Tul´skaya
Oka	R	Nizhnii Novgorod
Kama	R	Kirov
Kama	R	Tatarstan
Kama	R	Bashkortostan
Kama	R	Udmurt
Kama	R	Perm
Ural	R	Bashkortostan
Ural	R	Orenburg
Ural	R	Chelyabinsk
Ural	KAZ	Atyrau
Ural	KAZ	West Kazakhstan
Ob	R	Altayskiy
Ob	R	Novosibirsk
Ob	R	Tomsk
Ob	R	Tyumen
Ob	R	Khanty Mansi ao
Ob	R	Yamalo Nenets ao
Irtysch	R	Omsk
Irtysch	R	Tyumen
Irtysch	R	Khanty Mansi ao
Irtysch	CN	Xinjiang
Irtysch	KAZ	Pavlodar
Irtysch	KAZ	East-Kazakhstan
Tobol	R	Orenburg
Tobol	R	Kurgan
Tobol	R	Tyumen
Tobol	KAZ	Kostanai
Ischim	R	Omsk
Ischim	R	Tyumen
Ischim	KAZ	Karaganda
Ischim	KAZ	North-Kazakhstan
Katun	R	Altay
Katun	R	Altayskiy
Jenissej	R	Tyva
Jenissej	R	Khakasiya
Jenissej	R	Krasnoyarsk
Angara	R	Buryat
Angara	R	Krasnoyarsk
Angara	R	Irkutsk
Selenge	R	Buryat
Selenge	MNG	Mongolia
Chatanga	R	Krasnoyarsk
Lena	R	Irkutsk
Lena	R	Sakha
Amur	R	Zabaykalskiy
Amur	R	Jewish ao.
Amur	R	Khabarov
Amur	R	Amur
Amur	CN	Heilongjiang
Schilka	R	Zabaykalskiy
Argun	R	Zabaykalskiy
Argun	CN	Heilongjiang
Kolyma	R	Sakha
Kolyma	R	Magadan
Syrdarja	TAD	Sughd
Syrdarja	UZB	Namangan
Syrdarja	UZB	Toshkent
Syrdarja	KAZ	South-Kazakhstan
Syrdarja	KAZ	Kyzylorda
Syrdarja	KAZ	Baikonur
Naryn	UZB	Toshkent
Naryn	KGZ	Kyrgyzstan
Amudarja	AFG	Afghanistan
Amudarja	TAD	Khatlon
Amudarja	TM	Dashhowuz
Amudarja	TM	Lebap
Amudarja	UZB	Samarqand
Amudarja	UZB	Qoraqalpogʻiston
Pjandsh	AFG	Afghanistan
Pjandsh	TAD	Khatlon
Pjandsh	TAD	Gorno-Badakhshan
Bartang	TAD	Gorno-Badakhshan
Murgab	AFG	Afghanistan
Murgab	TAD	Gorno-Badakhshan
Ili	CN	Xinjiang
Ili	KAZ	Almaty
Tarim-Yarkend	CN	Xinjiang
Tarim-Yarkend	CN	Xizang
Hwangho	CN	Gansu
Hwangho	CN	Henan
Hwangho	CN	Qinghai
Hwangho	CN	Shaanxi
Hwangho	CN	Shandong
Hwangho	CN	Nei Mongol
Hwangho	CN	Ningxia
Jangtse	CN	Anhui
Jangtse	CN	Hubei
Jangtse	CN	Hunan
Jangtse	CN	Jiangsu
Jangtse	CN	Jiangxi
Jangtse	CN	Qinghai
Jangtse	CN	Sichuan
Jangtse	CN	Yunnan
Jangtse	CN	Xizang
Jangtse	CN	Shanghai
Jangtse	CN	Chongqing
Mekong	CN	Yunnan
Mekong	CN	Xizang
Mekong	LAO	Laos
Mekong	THA	Thailand
Mekong	K	Cambodia
Mekong	VN	Vietnam
Saluen	CN	Yunnan
Saluen	CN	Xizang
Saluen	MYA	Kayin
Saluen	MYA	Kayah
Saluen	MYA	Mon
Saluen	MYA	Shan
Irawaddy	CN	Yunnan
Irawaddy	CN	Xizang
Irawaddy	MYA	Ayeyarwady
Irawaddy	MYA	Magwe
Irawaddy	MYA	Mandalay
Irawaddy	MYA	Bago
Irawaddy	MYA	Yangon
Irawaddy	MYA	Sagaing
Irawaddy	MYA	Kachin
Ganges	BD	Barisal
Ganges	BD	Chittagong
Ganges	BD	Dhaka
Ganges	BD	Khulna
Ganges	BD	Rajshahi
Ganges	IND	Bihar
Ganges	IND	Uttar Pradesh
Ganges	IND	West Bengal
Ganges	IND	Jharkhand
Ganges	IND	Uttarakhand
Brahmaputra	CN	Xizang
Brahmaputra	BD	Dhaka
Brahmaputra	BD	Rajshahi
Brahmaputra	BD	Rangpur
Brahmaputra	IND	Arunachal Pradesh
Brahmaputra	IND	Assam
Indus	CN	Xizang
Indus	PK	Gilgit-Baltistan
Indus	PK	Khyber Pakhtunkhwa
Indus	PK	Punjab
Indus	PK	Sindh
Indus	IND	Jammu and Kashmir
Asahan	RI	Sumatera Utara
Yukon River	CDN	Yukon
Yukon River	USA	Alaska
Mackenzie River	CDN	Northwest Territories
Nelson River	CDN	Manitoba
Saskatchewan River	CDN	Alberta
Saskatchewan River	CDN	Manitoba
Saskatchewan River	CDN	Saskatchewan
Saint Lawrence River	CDN	Quebec
Saint Lawrence River	USA	New York
Niagara River	CDN	Ontario
Niagara River	USA	New York
Detroit River	CDN	Ontario
Detroit River	USA	Michigan
Saint Marys River	CDN	Ontario
Saint Marys River	USA	Michigan
Straits of Mackinac	USA	Michigan
Manicouagan	CDN	Quebec
Riviere Richelieu	CDN	Quebec
Merrimack River	USA	Massachusetts
Merrimack River	USA	New Hampshire
Connecticut River	USA	Connecticut
Connecticut River	USA	Massachusetts
Connecticut River	USA	New Hampshire
Connecticut River	USA	Vermont
Hudson River	USA	New Jersey
Hudson River	USA	New York
Mississippi	USA	Arkansas
Mississippi	USA	Illinois
Mississippi	USA	Iowa
Mississippi	USA	Kentucky
Mississippi	USA	Louisiana
Mississippi	USA	Minnesota
Mississippi	USA	Mississippi
Mississippi	USA	Missouri
Mississippi	USA	Tennessee
Mississippi	USA	Wisconsin
Missouri	USA	Iowa
Missouri	USA	Kansas
Missouri	USA	Missouri
Missouri	USA	Montana
Missouri	USA	Nebraska
Missouri	USA	North Dakota
Missouri	USA	South Dakota
Arkansas	USA	Arkansas
Arkansas	USA	Colorado
Arkansas	USA	Kansas
Arkansas	USA	Oklahoma
Ohio River	USA	Illinois
Ohio River	USA	Indiana
Ohio River	USA	Kentucky
Ohio River	USA	Ohio
Ohio River	USA	Pennsylvania
Ohio River	USA	West Virginia
Allegheny River	USA	New York
Allegheny River	USA	Pennsylvania
Tennessee	USA	Alabama
Tennessee	USA	Kentucky
Tennessee	USA	North Carolina
Tennessee	USA	Tennessee
Columbia River	CDN	British Columbia
Columbia River	USA	Oregon
Columbia River	USA	Washington
Truckee River	USA	California
Truckee River	USA	Nevada
Colorado	MEX	Baja California
Colorado	MEX	Sonora
Colorado	USA	Arizona
Colorado	USA	California
Colorado	USA	Colorado
Colorado	USA	Nevada
Colorado	USA	Utah
Rio Grande	MEX	Chihuahua
Rio Grande	MEX	Coahuila
Rio Grande	MEX	Nuevo Léon
Rio Grande	MEX	Tamaulipas
Rio Grande	USA	Colorado
Rio Grande	USA	New Mexico
Rio Grande	USA	Texas
Rio Lerma	MEX	Guanajuato
Rio Lerma	MEX	Jalisco
Rio Lerma	MEX	México, Estado de
Rio Lerma	MEX	Michoacán
Rio Lerma	MEX	Nayarit
Rio Lerma	MEX	Querétaro
Rio San Juan	CR	Alajuela
Rio San Juan	CR	Heredia
Rio San Juan	CR	Limón
Rio San Juan	NIC	Nicaragua
Rio Desaguadero	BOL	La Paz
Rio Desaguadero	BOL	Oruro
Rio Magdalena	CO	Antioquia
Rio Magdalena	CO	Atlántico
Rio Magdalena	CO	Bolívar
Rio Magdalena	CO	Boyacá
Rio Magdalena	CO	Caldas
Rio Magdalena	CO	Huila
Rio Magdalena	CO	Magdalena
Rio Magdalena	CO	Norte de Santander
Rio Magdalena	CO	Santander
Rio Magdalena	CO	Tolima
Orinoco	CO	Guainía
Orinoco	CO	Vichada
Orinoco	YV	Amazonas
Orinoco	YV	Anzoátegui
Orinoco	YV	Apure
Orinoco	YV	Bolívar
Orinoco	YV	Delta Amacuro
Orinoco	YV	Guárico
Orinoco	YV	Monagas
Amazonas	CO	Amazonas
Amazonas	BR	Amapá
Amazonas	BR	Amazonas
Amazonas	BR	Pará
Amazonas	PE	Loreto
Rio Negro	CO	Guainía
Rio Negro	BR	Amazonas
Rio Negro	BR	Roraima
Rio Madeira	BOL	Pando
Rio Madeira	BR	Amazonas
Rio Madeira	BR	Rondônia
Rio Mamore	BOL	Beni
Rio Mamore	BOL	Cochabamba
Maranon	PE	Amazonas
Maranon	PE	Ancash
Maranon	PE	Cajamarca
Maranon	PE	Huánuco
Maranon	PE	La Libertad
Maranon	PE	Loreto
Huallaga	PE	Huánuco
Huallaga	PE	Loreto
Huallaga	PE	Pasco
Huallaga	PE	San Martín
Ucayali	PE	Junín
Ucayali	PE	Loreto
Ucayali	PE	Ucayali
Urubamba	PE	Cusco
Urubamba	PE	Ucayali
Tambo	PE	Junín
Perene	PE	Junín
Ene	PE	Junín
Mantaro	PE	Huancavelica
Mantaro	PE	Junín
Mantaro	PE	Lima
Apurimac	PE	Arequipa
Apurimac	PE	Ayacucho
Apurimac	PE	Cusco
Apurimac	PE	Junín
Tocantins	BR	Goiás
Tocantins	BR	Maranhão
Tocantins	BR	Pará
Tocantins	BR	Tocantins
Araguaia	BR	Goiás
Araguaia	BR	Maranhão
Araguaia	BR	Mato Grosso
Araguaia	BR	Pará
Araguaia	BR	Tocantins
Rio Sao Francisco	BR	Alagoas
Rio Sao Francisco	BR	Bahia
Rio Sao Francisco	BR	Minas Gerais
Rio Sao Francisco	BR	Pernambuco
Rio Sao Francisco	BR	Sergipe
Parana	RA	Buenos Aires
Parana	RA	Chaco
Parana	RA	Corrientes
Parana	RA	Entre Ríos
Parana	RA	Misiones
Parana	RA	Santa Fe
Parana	RA	Distrito Federal
Parana	BR	Goiás
Parana	BR	Mato Grosso do Sul
Parana	BR	Minas Gerais
Parana	BR	Paraná
Parana	BR	São Paulo
Parana	PY	Paraguay
Paraguay	RA	Chaco
Paraguay	RA	Formosa
Paraguay	BR	Mato Grosso
Paraguay	BR	Mato Grosso do Sul
Paraguay	PY	Paraguay
Uruguay	RA	Corrientes
Uruguay	RA	Entre Ríos
Uruguay	RA	Misiones
Uruguay	BR	Rio Grande do Sul
Uruguay	ROU	Uruguay
Gambia	RG	Guinea
Gambia	WAG	Gambia
Gambia	SN	Kolda
Gambia	SN	Tambacounda
Gambia	SN	Kédougou
Senegal	RMM	Kayes
Senegal	RIM	Brakna
Senegal	RIM	Gorgol
Senegal	RIM	Guidimagha
Senegal	RIM	Trarza
Senegal	RG	Guinea
Senegal	SN	Saint-Louis
Senegal	SN	Tambacounda
Senegal	SN	Matam
Volta	BF	Burkina Faso
Volta	GH	Brong Ahafo
Volta	GH	Eastern
Volta	GH	Greater Accra
Volta	GH	Northern
Volta	GH	Upper West
Volta	GH	Volta
Niger	RMM	Bamako
Niger	RMM	Gao
Niger	RMM	Kayes
Niger	RMM	Koulikoro
Niger	RMM	Mopti
Niger	RMM	Ségou
Niger	RMM	Tombouctou
Niger	RN	Dosso
Niger	RN	Niamey
Niger	RN	Tillabéri
Niger	WAN	Anambra
Niger	WAN	Bayelsa
Niger	WAN	Delta
Niger	WAN	Edo
Niger	WAN	Kebbi
Niger	WAN	Kogi
Niger	WAN	Kwara
Niger	WAN	Niger
Niger	WAN	Rivers
Niger	RG	Guinea
Bani	RMM	Koulikoro
Bani	RMM	Mopti
Bani	RMM	Ségou
Bani	RMM	Sikasso
Bani	CI	Montagnes
Bani	CI	Savanes
Benue	WAN	Adamawa
Benue	WAN	Benue
Benue	WAN	Kogi
Benue	WAN	Nasarawa
Benue	WAN	Taraba
Benue	CAM	Nord
Schari	CAM	Extrême-Nord
Schari	RCA	Central African Republic
Schari	TCH	Chad
Nile	ET	Egypt
Nile	SUD	Sudan
Atbara	SUD	Sudan
Atbara	ETH	Amhara
Blue Nile	SUD	Sudan
Blue Nile	ETH	Amhara
Blue Nile	ETH	Benishangul-Gumuz
Blue Nile	ETH	Oromia
White Nile	SUD	Sudan
White Nile	SSD	South Sudan
Sobat	SSD	South Sudan
Pibor	SSD	South Sudan
Pibor	ETH	Gambella
Baro	SSD	South Sudan
Baro	ETH	Gambella
Baro	ETH	Oromia
Bahr el-Ghasal	SSD	South Sudan
Bahr el-Djebel/Albert-Nil	SSD	South Sudan
Bahr el-Djebel/Albert-Nil	EAU	Uganda
Semliki	ZRE	Orientale
Semliki	ZRE	Nord-Kivu
Semliki	EAU	Uganda
Victoria Nile	EAU	Uganda
Akagera	RWA	Rwanda
Akagera	EAT	Kagera
Akagera	EAU	Uganda
Jubba	ETH	Oromia
Jubba	ETH	Somali
Jubba	SP	Somalia
Shabelle	ETH	Somali
Shabelle	SP	Somalia
Sanaga	CAM	Centre
Sanaga	CAM	Est
Sanaga	CAM	Littoral
Zaire	RCB	Kouilou
Zaire	RCB	Niari
Zaire	RCB	Bouenza
Zaire	RCB	Pool
Zaire	RCB	Plateaux
Zaire	RCB	Cuvette
Zaire	RCB	Likouala
Zaire	RCB	Brazzaville
Zaire	ZRE	Bandundu
Zaire	ZRE	Bas-Congo
Zaire	ZRE	Equateur
Zaire	ZRE	Orientale
Zaire	ZRE	Kinshasa
Sanga	RCB	Cuvette
Sanga	RCB	Sangha
Sanga	RCB	Likouala
Sanga	CAM	Est
Sanga	RCA	Central African Republic
Ubangi	RCB	Likouala
Ubangi	ZRE	Equateur
Ubangi	RCA	Central African Republic
Bomu	ZRE	Orientale
Bomu	RCA	Central African Republic
Uelle	ZRE	Equateur
Uelle	ZRE	Orientale
Kwa	ZRE	Bandundu
Fimi	ZRE	Bandundu
Lukenie	ZRE	Bandundu
Lukenie	ZRE	Kasai-Occidental
Lukenie	ZRE	Kasai-Oriental
Kasai	ANG	Lunda-Norte
Kasai	ANG	Lunda-Sul
Kasai	ANG	Moxico
Kasai	ZRE	Bandundu
Kasai	ZRE	Kasai-Occidental
Kasai	ZRE	Katanga
Cuango	ANG	Uíge
Cuango	ANG	Malanje
Cuango	ANG	Lunda-Norte
Cuango	ANG	Lunda-Sul
Cuango	ZRE	Bandundu
Cuango	ZRE	Bas-Congo
Cuilo	ANG	Bié
Cuilo	ANG	Moxico
Cuilo	ANG	Cuando Cubango
Cuilo	ZRE	Bandundu
Lulua	ZRE	Kasai-Occidental
Lulua	ZRE	Katanga
Ruki	ZRE	Equateur
Busira	ZRE	Equateur
Tshuapa	ZRE	Equateur
Tshuapa	ZRE	Kasai-Oriental
Lomami	ZRE	Orientale
Lomami	ZRE	Kasai-Oriental
Lomami	ZRE	Katanga
Lomami	ZRE	Maniema
Aruwimi	ZRE	Orientale
Lualaba	ZRE	Orientale
Lualaba	ZRE	Katanga
Lualaba	ZRE	Maniema
Lukuga	ZRE	Katanga
Ruzizi	ZRE	Sud-Kivu
Ruzizi	BI	Burundi
Ruzizi	RWA	Rwanda
Luvua	ZRE	Katanga
Luapula	ZRE	Katanga
Luapula	Z	Luapula
Zambezi	ANG	Moxico
Zambezi	NAM	Namibia
Zambezi	Z	Central
Zambezi	Z	Lusaka
Zambezi	Z	North-Western
Zambezi	Z	Southern
Zambezi	Z	Western
Zambezi	RB	Botswana
Zambezi	ZW	Zimbabwe
Zambezi	MOC	Manica
Zambezi	MOC	Tete
Zambezi	MOC	Zambézia
Chire	MW	Malawi
Chire	MOC	Tete
Chire	MOC	Zambézia
Okavango	ANG	Bié
Okavango	NAM	Namibia
Okavango	RB	Botswana
Limpopo	RB	Botswana
Limpopo	RSA	Gauteng
Limpopo	RSA	Limpopo
Limpopo	ZW	Zimbabwe
Limpopo	MOC	Gaza
Oranje	NAM	Namibia
Oranje	RSA	Free State
Oranje	RSA	Northern Cape
Oranje	LS	Lesotho
Vaal	RSA	Free State
Vaal	RSA	Mpumalanga
Vaal	RSA	Northern Cape
Vaal	RSA	North West
Murray River	AUS	New South Wales
Murray River	AUS	South Australia
Murray River	AUS	Victoria
Darling River	AUS	New South Wales
Darling River	AUS	Queensland
Murrumbidgee River	AUS	New South Wales
Murrumbidgee River	AUS	Australia Capital Territory
Eucumbene River	AUS	New South Wales
Snowy River	AUS	New South Wales
Snowy River	AUS	Victoria
\.


--
-- TOC entry 5279 (class 0 OID 89531)
-- Dependencies: 698
-- Data for Name: geo_sea; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_sea (sea, country, province) FROM stdin;
Atlantic Ocean	F	Aquitaine
Atlantic Ocean	F	Bretagne
Atlantic Ocean	F	Pays de la Loire
Atlantic Ocean	F	Poitou Charentes
Atlantic Ocean	E	Andalucía
Atlantic Ocean	E	Asturias
Atlantic Ocean	E	País Vasco
Atlantic Ocean	E	Canarias
Atlantic Ocean	E	Cantabria
Atlantic Ocean	E	Galicia
Atlantic Ocean	FARX	Faroe Islands
Atlantic Ocean	GBZ	Gibraltar
Atlantic Ocean	IS	Iceland
Atlantic Ocean	IRL	Ireland
Atlantic Ocean	P	Aveiro
Atlantic Ocean	P	Beja
Atlantic Ocean	P	Braga
Atlantic Ocean	P	Coimbra
Atlantic Ocean	P	Algarve
Atlantic Ocean	P	Leiria
Atlantic Ocean	P	Lisboa
Atlantic Ocean	P	Porto
Atlantic Ocean	P	Setubal
Atlantic Ocean	P	Viana do Castelo
Atlantic Ocean	P	Azores
Atlantic Ocean	P	Madeira
Atlantic Ocean	SVAX	Svalbard
Atlantic Ocean	GB	South West
Atlantic Ocean	GB	Scotland
Atlantic Ocean	GB	Wales
Atlantic Ocean	GB	Northern Ireland
Atlantic Ocean	AXA	Anguilla
Atlantic Ocean	AG	Antigua and Barbuda
Atlantic Ocean	BS	Bahamas
Atlantic Ocean	BDS	Barbados
Atlantic Ocean	BERM	Bermuda
Atlantic Ocean	BVIR	British Virgin Islands
Atlantic Ocean	CDN	New Brunswick
Atlantic Ocean	CDN	Newfoundland and Labrador
Atlantic Ocean	CDN	Nova Scotia
Atlantic Ocean	CDN	Prince Edward Island
Atlantic Ocean	CDN	Quebec
Atlantic Ocean	CDN	Nunavut
Atlantic Ocean	USA	Connecticut
Atlantic Ocean	USA	Delaware
Atlantic Ocean	USA	Florida
Atlantic Ocean	USA	Georgia
Atlantic Ocean	USA	Maine
Atlantic Ocean	USA	Maryland
Atlantic Ocean	USA	Massachusetts
Atlantic Ocean	USA	New Hampshire
Atlantic Ocean	USA	New Jersey
Atlantic Ocean	USA	New York
Atlantic Ocean	USA	North Carolina
Atlantic Ocean	USA	Rhode Island
Atlantic Ocean	USA	South Carolina
Atlantic Ocean	USA	Virginia
Atlantic Ocean	C	Ciego de Ávila
Atlantic Ocean	C	Guantánamo
Atlantic Ocean	C	Holguín
Atlantic Ocean	C	Las Tunas
Atlantic Ocean	C	Matanzas
Atlantic Ocean	C	Sancti Spíritus
Atlantic Ocean	C	Villa Clara
Atlantic Ocean	C	Artemisa
Atlantic Ocean	C	Mayabeque
Atlantic Ocean	WD	Dominica
Atlantic Ocean	DOM	Dominican Republic
Atlantic Ocean	RH	Haiti
Atlantic Ocean	GROX	Greenland
Atlantic Ocean	WG	Grenada
Atlantic Ocean	GUAD	Guadeloupe
Atlantic Ocean	MART	Martinique
Atlantic Ocean	MNTS	Montserrat
Atlantic Ocean	NLSM	Sint Maarten
Atlantic Ocean	SMAR	Saint Martin
Atlantic Ocean	SBAR	Saint Barthelemy
Atlantic Ocean	PR	Puerto Rico
Atlantic Ocean	KN	Saint Kitts and Nevis
Atlantic Ocean	WL	Saint Lucia
Atlantic Ocean	SPMI	Saint Pierre and Miquelon
Atlantic Ocean	WV	Saint Vincent and the Grenadines
Atlantic Ocean	TT	Trinidad and Tobago
Atlantic Ocean	TUCA	Turks and Caicos Islands
Atlantic Ocean	VIRG	Virgin Islands
Atlantic Ocean	RA	Buenos Aires
Atlantic Ocean	RA	Chubut
Atlantic Ocean	RA	Río Negro
Atlantic Ocean	RA	Santa Cruz
Atlantic Ocean	RA	Tierra del Fuego
Atlantic Ocean	RA	Distrito Federal
Atlantic Ocean	BR	Alagoas
Atlantic Ocean	BR	Amapá
Atlantic Ocean	BR	Bahia
Atlantic Ocean	BR	Ceará
Atlantic Ocean	BR	Espírito Santo
Atlantic Ocean	BR	Maranhão
Atlantic Ocean	BR	Pará
Atlantic Ocean	BR	Paraíba
Atlantic Ocean	BR	Paraná
Atlantic Ocean	BR	Pernambuco
Atlantic Ocean	BR	Piauí
Atlantic Ocean	BR	Rio de Janeiro
Atlantic Ocean	BR	Rio Grande do Norte
Atlantic Ocean	BR	Rio Grande do Sul
Atlantic Ocean	BR	Santa Catarina
Atlantic Ocean	BR	São Paulo
Atlantic Ocean	BR	Sergipe
Atlantic Ocean	RCH	Magallanes
Atlantic Ocean	ROU	Uruguay
Atlantic Ocean	FGU	French Guiana
Atlantic Ocean	GUY	Guyana
Atlantic Ocean	SME	Suriname
Atlantic Ocean	YV	Delta Amacuro
Atlantic Ocean	FALK	Falkland Islands
Atlantic Ocean	RIM	Dakhlet Nouadhibou
Atlantic Ocean	RIM	Inchiri
Atlantic Ocean	RIM	Nouakchott
Atlantic Ocean	RIM	Trarza
Atlantic Ocean	MA	Guelmim Es Semara
Atlantic Ocean	MA	Souss Massa Daraa
Atlantic Ocean	MA	Gharb Chrarda Beni Hssen
Atlantic Ocean	MA	Chaouia Ouardigha
Atlantic Ocean	MA	Marrakech Tensift Al Haouz
Atlantic Ocean	MA	Grand Casablanca
Atlantic Ocean	MA	Rabat Sale Zemmour Zaer
Atlantic Ocean	MA	Doukala Abda
Atlantic Ocean	MA	Tanger Tetouan
Atlantic Ocean	WSA	Western Sahara
Atlantic Ocean	ANG	Cabinda
Atlantic Ocean	ANG	Zaire
Atlantic Ocean	ANG	Luanda
Atlantic Ocean	ANG	Cuanza Sul
Atlantic Ocean	ANG	Benguela
Atlantic Ocean	ANG	Namibe
Atlantic Ocean	ANG	Bengo
Atlantic Ocean	RCB	Kouilou
Atlantic Ocean	RCB	Pointe-Noire
Atlantic Ocean	NAM	Namibia
Atlantic Ocean	ZRE	Bas-Congo
Atlantic Ocean	BEN	Benin
Atlantic Ocean	WAN	Akwa Ibom
Atlantic Ocean	WAN	Cross River
Atlantic Ocean	WAN	Delta
Atlantic Ocean	WAN	Lagos
Atlantic Ocean	WAN	Ogun
Atlantic Ocean	WAN	Ondo
Atlantic Ocean	WAN	Rivers
Atlantic Ocean	RT	Togo
Atlantic Ocean	RSA	Northern Cape
Atlantic Ocean	RSA	Western Cape
Atlantic Ocean	CI	Bas-Sassandra
Atlantic Ocean	CI	Lagunes
Atlantic Ocean	CI	Sud-Bandama
Atlantic Ocean	CI	Sud-Comoé
Atlantic Ocean	GH	Central
Atlantic Ocean	GH	Greater Accra
Atlantic Ocean	GH	Volta
Atlantic Ocean	GH	Western
Atlantic Ocean	CAM	Centre
Atlantic Ocean	CAM	Littoral
Atlantic Ocean	CAM	Sud-Ouest
Atlantic Ocean	GQ	Insular
Atlantic Ocean	GQ	Continental
Atlantic Ocean	G	Gabon
Atlantic Ocean	CV	Cape Verde
Atlantic Ocean	RG	Guinea
Atlantic Ocean	LB	Liberia
Atlantic Ocean	WAG	Gambia
Atlantic Ocean	SN	Dakar
Atlantic Ocean	SN	Fatick
Atlantic Ocean	SN	Louga
Atlantic Ocean	SN	Saint-Louis
Atlantic Ocean	SN	Thiès
Atlantic Ocean	SN	Ziguinchor
Atlantic Ocean	GNB	Guinea-Bissau
Atlantic Ocean	WAL	Sierra Leone
Atlantic Ocean	HELX	Saint Helena
Atlantic Ocean	STP	Sao Tome and Principe
Mediterranean Sea	AL	Albania
Mediterranean Sea	GR	Anatolikis Makedonias kai Thrakis
Mediterranean Sea	GR	Attikis
Mediterranean Sea	GR	Dytikis Elladas
Mediterranean Sea	GR	Ionion Nison
Mediterranean Sea	GR	Ipeiroy
Mediterranean Sea	GR	Kentrikis Makedonias
Mediterranean Sea	GR	Kritis
Mediterranean Sea	GR	Notioy Aigaioy
Mediterranean Sea	GR	Peloponnisos
Mediterranean Sea	GR	Stereas Elladas
Mediterranean Sea	GR	Thessalias
Mediterranean Sea	GR	Boreioy Aigaioy
Mediterranean Sea	GR	Aghion Oros
Mediterranean Sea	MNE	Montenegro
Mediterranean Sea	F	Corse
Mediterranean Sea	F	Languedoc-Roussillon
Mediterranean Sea	F	Provence-Alpes-Côte d'Azur
Mediterranean Sea	E	Andalucía
Mediterranean Sea	E	Illes Balears
Mediterranean Sea	E	Cataluña
Mediterranean Sea	E	Murcia
Mediterranean Sea	E	Valenciana
Mediterranean Sea	I	Veneto
Mediterranean Sea	I	Friuli-Venezia Giulia
Mediterranean Sea	I	Liguria
Mediterranean Sea	I	Emilia-Romagna
Mediterranean Sea	I	Toscana
Mediterranean Sea	I	Marche
Mediterranean Sea	I	Lazio
Mediterranean Sea	I	Abruzzo
Mediterranean Sea	I	Molise
Mediterranean Sea	I	Campania
Mediterranean Sea	I	Puglia
Mediterranean Sea	I	Basilicata
Mediterranean Sea	I	Calabria
Mediterranean Sea	I	Sicilia
Mediterranean Sea	I	Sardegna
Mediterranean Sea	SLO	Slovenia
Mediterranean Sea	BIH	Federacija Bosne i Hercegovine
Mediterranean Sea	HR	Croatia
Mediterranean Sea	TR	Adana
Mediterranean Sea	TR	Antalya
Mediterranean Sea	TR	Aydın
Mediterranean Sea	TR	Çanakkale
Mediterranean Sea	TR	Hatay
Mediterranean Sea	TR	Mersin
Mediterranean Sea	TR	İzmir
Mediterranean Sea	TR	Muğla
Mediterranean Sea	MC	Monaco
Mediterranean Sea	GBZ	Gibraltar
Mediterranean Sea	CEU	Ceuta
Mediterranean Sea	MEL	Melilla
Mediterranean Sea	M	Malta
Mediterranean Sea	CY	Cyprus
Mediterranean Sea	GAZA	Gaza Strip
Mediterranean Sea	IL	HaMerkaz
Mediterranean Sea	IL	Hefa
Mediterranean Sea	IL	HaZafon
Mediterranean Sea	IL	Tel Aviv
Mediterranean Sea	IL	HaDarom
Mediterranean Sea	ET	Egypt
Mediterranean Sea	SYR	Al Ladhiqiyah
Mediterranean Sea	SYR	Tartus
Mediterranean Sea	RL	Lebanon
Mediterranean Sea	DZ	Algeria
Mediterranean Sea	LAR	Libya
Mediterranean Sea	MA	Oriental
Mediterranean Sea	MA	Taza Al Hoceima Taounate
Mediterranean Sea	MA	Tanger Tetouan
Mediterranean Sea	TN	Tunisia
Black Sea	UA	Khersons´ka
Black Sea	UA	Mykolaïvs´ka
Black Sea	UA	Odes´ka
Black Sea	UA	Krym
Black Sea	UA	Sevastopol´
Black Sea	R	Krasnodarskiy
Black Sea	BG	Bulgaria
Black Sea	RO	Constanţa
Black Sea	RO	Tulcea
Black Sea	TR	Artvin
Black Sea	TR	Giresun
Black Sea	TR	İstanbul
Black Sea	TR	Kastamonu
Black Sea	TR	Kırklareli
Black Sea	TR	Kocaeli
Black Sea	TR	Ordu
Black Sea	TR	Rize
Black Sea	TR	Sakarya
Black Sea	TR	Samsun
Black Sea	TR	Sinop
Black Sea	TR	Trabzon
Black Sea	TR	Zonguldak
Black Sea	TR	Bartın
Black Sea	TR	Düzce
Black Sea	GE	Georgia
Marmara Sea	TR	Balıkesir
Marmara Sea	TR	Bursa
Marmara Sea	TR	Çanakkale
Marmara Sea	TR	İstanbul
Marmara Sea	TR	Kocaeli
Marmara Sea	TR	Tekirdağ
Marmara Sea	TR	Yalova
Sea of Azov	UA	Donets´ka
Sea of Azov	UA	Khersons´ka
Sea of Azov	UA	Zaporiz´ka
Sea of Azov	UA	Krym
Sea of Azov	R	Rostovskaya
Sea of Azov	R	Krasnodarskiy
The Channel	F	Basse Normandie
The Channel	F	Haute-Normandie
The Channel	F	Nord-Pas-de-Calais
The Channel	F	Picardie
The Channel	GBG	Guernsey
The Channel	GBJ	Jersey
The Channel	GB	South East
The Channel	GB	South West
Irish Sea	IRL	Ireland
Irish Sea	GBM	Isle of Man
Irish Sea	GB	North West
Irish Sea	GB	Scotland
Irish Sea	GB	Wales
Irish Sea	GB	Northern Ireland
North Sea	F	Nord-Pas-de-Calais
North Sea	D	Bremen
North Sea	D	Niedersachsen
North Sea	D	Schleswig-Holstein
North Sea	B	West-Vlaanderen
North Sea	NL	Groningen
North Sea	NL	Friesland
North Sea	NL	Flevoland
North Sea	NL	Noord-Holland
North Sea	NL	Zuid-Holland
North Sea	NL	Zeeland
North Sea	DK	Nordjylland
North Sea	DK	Midtjylland
North Sea	DK	Syddanmark
North Sea	N	Telemark
North Sea	N	Vest-Agder
North Sea	N	Rogaland
North Sea	N	Hordaland
North Sea	N	Sogn og Fjordane
North Sea	GB	North East
North Sea	GB	Yorkshire and the Humber
North Sea	GB	East Midlands
North Sea	GB	East of England
North Sea	GB	South East
North Sea	GB	Scotland
Skagerrak	DK	Nordjylland
Skagerrak	N	Oslo
Skagerrak	N	Akershus
Skagerrak	N	Østfold
Skagerrak	N	Buskerud
Skagerrak	N	Vestfold
Skagerrak	N	Aust-Agder
Skagerrak	N	Vest-Agder
Skagerrak	S	Västra Götaland
Kattegat	DK	Nordjylland
Kattegat	DK	Midtjylland
Kattegat	DK	Syddanmark
Kattegat	DK	Hovedstaden
Kattegat	DK	Sjælland
Kattegat	S	Västra Götaland
Kattegat	S	Halland
Kattegat	S	Skåne
Baltic Sea	D	Mecklenburg-Vorpommern
Baltic Sea	D	Schleswig-Holstein
Baltic Sea	LV	Latvia
Baltic Sea	LT	Lithuania
Baltic Sea	PL	Pomorskie
Baltic Sea	PL	Warmińsko-Mazurskie
Baltic Sea	PL	Zachodniopomorskie
Baltic Sea	R	Kaliningradskaya
Baltic Sea	R	Sankt-Peterburg
Baltic Sea	R	Leningradskaya
Baltic Sea	DK	Syddanmark
Baltic Sea	DK	Hovedstaden
Baltic Sea	DK	Sjælland
Baltic Sea	EW	Estonia
Baltic Sea	SF	Aland
Baltic Sea	SF	Kymi
Baltic Sea	SF	Lappia
Baltic Sea	SF	Oulu
Baltic Sea	SF	Turku-Pori
Baltic Sea	SF	Uusimaa
Baltic Sea	SF	Vaasa
Baltic Sea	S	Blekinge
Baltic Sea	S	Gävleborg
Baltic Sea	S	Gotland
Baltic Sea	S	Kalmar
Baltic Sea	S	Skåne
Baltic Sea	S	Norrbotten
Baltic Sea	S	Östergötland
Baltic Sea	S	Södermanland
Baltic Sea	S	Stockholm
Baltic Sea	S	Uppsala
Baltic Sea	S	Västerbotten
Baltic Sea	S	Västernorrland
Norwegian Sea	FARX	Faroe Islands
Norwegian Sea	N	Sogn og Fjordane
Norwegian Sea	N	Møre og Romsdal
Norwegian Sea	N	Sør-Trøndelag
Norwegian Sea	N	Nord-Trøndelag
Norwegian Sea	N	Nordland
Norwegian Sea	N	Troms
Norwegian Sea	N	Finnmark
Norwegian Sea	IS	Iceland
Norwegian Sea	SVAX	Svalbard
Norwegian Sea	GB	Scotland
Greenland Sea	IS	Iceland
Greenland Sea	SVAX	Svalbard
Greenland Sea	GROX	Greenland
Barents Sea	R	Karelia
Barents Sea	R	Arkhangel´skaya
Barents Sea	R	Murmanskaya
Barents Sea	N	Finnmark
Barents Sea	SVAX	Svalbard
Kara Sea	R	Arkhangel´skaya
Kara Sea	R	Krasnoyarsk
Kara Sea	R	Yamalo Nenets ao
Arctic Ocean	R	Arkhangel´skaya
Arctic Ocean	R	Krasnoyarsk
Arctic Ocean	SVAX	Svalbard
Arctic Ocean	CDN	Northwest Territories
Arctic Ocean	CDN	Yukon
Arctic Ocean	CDN	Nunavut
Arctic Ocean	USA	Alaska
Arctic Ocean	GROX	Greenland
East Sibirian Sea	R	Krasnoyarsk
East Sibirian Sea	R	Sakha
East Sibirian Sea	R	Chukotka
Bering Sea	R	Chukotka
Bering Sea	R	Kamchatka
Bering Sea	USA	Alaska
Hudson Bay	CDN	Manitoba
Hudson Bay	CDN	Ontario
Hudson Bay	CDN	Quebec
Hudson Bay	CDN	Nunavut
Labrador Sea	CDN	Newfoundland and Labrador
Labrador Sea	CDN	Quebec
Labrador Sea	CDN	Nunavut
Labrador Sea	GROX	Greenland
Gulf of Mexico	MEX	Campeche
Gulf of Mexico	MEX	Quintana Roo
Gulf of Mexico	MEX	Tabasco
Gulf of Mexico	MEX	Tamaulipas
Gulf of Mexico	MEX	Veracruz
Gulf of Mexico	MEX	Yucatán
Gulf of Mexico	USA	Alabama
Gulf of Mexico	USA	Florida
Gulf of Mexico	USA	Louisiana
Gulf of Mexico	USA	Mississippi
Gulf of Mexico	USA	Texas
Gulf of Mexico	C	La Habana
Gulf of Mexico	C	Pinar del Río
Gulf of Mexico	C	Artemisa
Gulf of Mexico	C	Mayabeque
Caribbean Sea	AXA	Anguilla
Caribbean Sea	AG	Antigua and Barbuda
Caribbean Sea	ARU	Aruba
Caribbean Sea	BZ	Belize
Caribbean Sea	GCA	Guatemala
Caribbean Sea	MEX	Quintana Roo
Caribbean Sea	BVIR	British Virgin Islands
Caribbean Sea	CAYM	Cayman Islands
Caribbean Sea	CR	Limón
Caribbean Sea	NIC	Nicaragua
Caribbean Sea	PA	Bocas del Toro
Caribbean Sea	PA	Colón
Caribbean Sea	PA	Kuna Yala
Caribbean Sea	PA	Ngöbe Buglé
Caribbean Sea	C	Ciego de Ávila
Caribbean Sea	C	Cienfuegos
Caribbean Sea	C	Granma
Caribbean Sea	C	Guantánamo
Caribbean Sea	C	Las Tunas
Caribbean Sea	C	Matanzas
Caribbean Sea	C	Pinar del Río
Caribbean Sea	C	Sancti Spíritus
Caribbean Sea	C	Santiago de Cuba
Caribbean Sea	C	Isla de la Juventud
Caribbean Sea	C	Artemisa
Caribbean Sea	C	Mayabeque
Caribbean Sea	WD	Dominica
Caribbean Sea	DOM	Dominican Republic
Caribbean Sea	RH	Haiti
Caribbean Sea	HCA	Atlántida
Caribbean Sea	HCA	Colón
Caribbean Sea	HCA	Cortés
Caribbean Sea	HCA	Gracias a Dios
Caribbean Sea	WG	Grenada
Caribbean Sea	GUAD	Guadeloupe
Caribbean Sea	JA	Jamaica
Caribbean Sea	MART	Martinique
Caribbean Sea	MNTS	Montserrat
Caribbean Sea	CUR	Curacao
Caribbean Sea	NLSM	Sint Maarten
Caribbean Sea	SMAR	Saint Martin
Caribbean Sea	SBAR	Saint Barthelemy
Caribbean Sea	CO	Antioquia
Caribbean Sea	CO	Atlántico
Caribbean Sea	CO	Bolívar
Caribbean Sea	CO	Chocó
Caribbean Sea	CO	Córdoba
Caribbean Sea	CO	La Guajira
Caribbean Sea	CO	Magdalena
Caribbean Sea	CO	Sucre
Caribbean Sea	PR	Puerto Rico
Caribbean Sea	KN	Saint Kitts and Nevis
Caribbean Sea	WL	Saint Lucia
Caribbean Sea	WV	Saint Vincent and the Grenadines
Caribbean Sea	TT	Trinidad and Tobago
Caribbean Sea	VIRG	Virgin Islands
Caribbean Sea	YV	Anzoátegui
Caribbean Sea	YV	Aragua
Caribbean Sea	YV	Carabobo
Caribbean Sea	YV	Delta Amacuro
Caribbean Sea	YV	Falcón
Caribbean Sea	YV	Miranda
Caribbean Sea	YV	Monagas
Caribbean Sea	YV	Nueva Esparta
Caribbean Sea	YV	Sucre
Caribbean Sea	YV	Zulia
Caribbean Sea	YV	Vargas
Pacific Ocean	R	Kamchatka
Pacific Ocean	RI	Sulawesi Utara
Pacific Ocean	RI	Maluku Utara
Pacific Ocean	RI	Papua Barat
Pacific Ocean	RI	Papua
Pacific Ocean	PNG	Papua New Guinea
Pacific Ocean	J	Hokkaido
Pacific Ocean	J	Aomori
Pacific Ocean	J	Iwate
Pacific Ocean	J	Miyagi
Pacific Ocean	J	Fukushima
Pacific Ocean	J	Ibaraki
Pacific Ocean	J	Chiba
Pacific Ocean	J	Tokyo
Pacific Ocean	J	Kanagawa
Pacific Ocean	J	Shizuoka
Pacific Ocean	J	Aichi
Pacific Ocean	J	Mie
Pacific Ocean	J	Osaka
Pacific Ocean	J	Hyogo
Pacific Ocean	J	Wakayama
Pacific Ocean	J	Okayama
Pacific Ocean	J	Hiroshima
Pacific Ocean	J	Yamaguchi
Pacific Ocean	J	Tokushima
Pacific Ocean	J	Kagawa
Pacific Ocean	J	Ehime
Pacific Ocean	J	Kochi
Pacific Ocean	J	Fukuoka
Pacific Ocean	J	Oita
Pacific Ocean	J	Miyazaki
Pacific Ocean	J	Kagoshima
Pacific Ocean	J	Okinawa
Pacific Ocean	RP	Ilocos
Pacific Ocean	RP	Cagayan Valley
Pacific Ocean	RP	Central Luzon
Pacific Ocean	RP	Calabarzon
Pacific Ocean	RP	Bicol
Pacific Ocean	RP	Eastern Visayas
Pacific Ocean	RP	Davao
Pacific Ocean	RP	Caraga
Pacific Ocean	RC	Taiwan
Pacific Ocean	GCA	Guatemala
Pacific Ocean	MEX	Baja California
Pacific Ocean	MEX	Baja California Sur
Pacific Ocean	MEX	Chiapas
Pacific Ocean	MEX	Colima
Pacific Ocean	MEX	Guerrero
Pacific Ocean	MEX	Jalisco
Pacific Ocean	MEX	Michoacán
Pacific Ocean	MEX	Nayarit
Pacific Ocean	MEX	Oaxaca
Pacific Ocean	MEX	Sinaloa
Pacific Ocean	MEX	Sonora
Pacific Ocean	CDN	British Columbia
Pacific Ocean	CDN	Yukon
Pacific Ocean	USA	Alaska
Pacific Ocean	USA	California
Pacific Ocean	USA	Hawaii
Pacific Ocean	USA	Oregon
Pacific Ocean	USA	Washington
Pacific Ocean	CR	Guanacaste
Pacific Ocean	CR	Puntarenas
Pacific Ocean	NIC	Nicaragua
Pacific Ocean	PA	Coclé
Pacific Ocean	PA	Chiriquí
Pacific Ocean	PA	Darién
Pacific Ocean	PA	Herrera
Pacific Ocean	PA	Los Santos
Pacific Ocean	PA	Panamá
Pacific Ocean	PA	Veraguas
Pacific Ocean	ES	El Salvador
Pacific Ocean	HCA	Choluteca
Pacific Ocean	HCA	Valle
Pacific Ocean	CO	Cauca
Pacific Ocean	CO	Chocó
Pacific Ocean	CO	Nariño
Pacific Ocean	CO	Valle de Cauca
Pacific Ocean	AMSA	American Samoa
Pacific Ocean	AUS	New South Wales
Pacific Ocean	AUS	Queensland
Pacific Ocean	AUS	Tasmania
Pacific Ocean	AUS	Victoria
Pacific Ocean	COOK	Cook Islands
Pacific Ocean	FJI	Fiji
Pacific Ocean	FPOL	French Polynesia
Pacific Ocean	GUAM	Guam
Pacific Ocean	KIR	Kiribati
Pacific Ocean	MH	Marshall Islands
Pacific Ocean	FSM	Micronesia
Pacific Ocean	NAU	Nauru
Pacific Ocean	NCA	New Caledonia
Pacific Ocean	NZ	New Zealand
Pacific Ocean	NIUE	Niue
Pacific Ocean	NORF	Norfolk Island
Pacific Ocean	NMIS	Northern Mariana Islands
Pacific Ocean	PAL	Palau
Pacific Ocean	PITC	Pitcairn
Pacific Ocean	SLB	Solomon Islands
Pacific Ocean	TO	Tonga
Pacific Ocean	TUV	Tuvalu
Pacific Ocean	TOK	Tokelau
Pacific Ocean	VU	Vanuatu
Pacific Ocean	WAFU	Wallis and Futuna
Pacific Ocean	WS	Samoa
Pacific Ocean	RCH	Tarapacá
Pacific Ocean	RCH	Antofagasta
Pacific Ocean	RCH	Atacama
Pacific Ocean	RCH	Coquimbo
Pacific Ocean	RCH	Valparaíso
Pacific Ocean	RCH	Libertador General Bernardo O'Higgins
Pacific Ocean	RCH	Maule
Pacific Ocean	RCH	Bío-Bío
Pacific Ocean	RCH	Araucanía
Pacific Ocean	RCH	Lagos
Pacific Ocean	RCH	Aysén
Pacific Ocean	RCH	Magallanes
Pacific Ocean	RCH	Santiago
Pacific Ocean	RCH	Ríos
Pacific Ocean	RCH	Arica y Parinacota
Pacific Ocean	PE	Ancash
Pacific Ocean	PE	Arequipa
Pacific Ocean	PE	Ica
Pacific Ocean	PE	La Libertad
Pacific Ocean	PE	Lambayeque
Pacific Ocean	PE	Lima
Pacific Ocean	PE	Lima City
Pacific Ocean	PE	Moquegua
Pacific Ocean	PE	Piura
Pacific Ocean	PE	Tacna
Pacific Ocean	PE	Tumbes
Pacific Ocean	EC	Ecuador
Sea of Okhotsk	R	Krasnoyarsk
Sea of Okhotsk	R	Kamchatka
Sea of Okhotsk	R	Magadan
Sea of Okhotsk	J	Hokkaido
Sea of Japan	R	Primorskiy
Sea of Japan	R	Khabarov
Sea of Japan	R	Sakhalin
Sea of Japan	NOK	North Korea
Sea of Japan	J	Hokkaido
Sea of Japan	J	Aomori
Sea of Japan	J	Akita
Sea of Japan	J	Yamagata
Sea of Japan	J	Niigata
Sea of Japan	J	Toyama
Sea of Japan	J	Ishikawa
Sea of Japan	J	Fukui
Sea of Japan	J	Kyoto
Sea of Japan	J	Hyogo
Sea of Japan	J	Tottori
Sea of Japan	J	Shimane
Sea of Japan	J	Yamaguchi
Sea of Japan	J	Fukuoka
Sea of Japan	J	Saga
Sea of Japan	J	Nagasaki
Sea of Japan	ROK	South Korea
Yellow Sea	CN	Hebei
Yellow Sea	CN	Jiangsu
Yellow Sea	CN	Liaoning
Yellow Sea	CN	Shandong
Yellow Sea	NOK	North Korea
Yellow Sea	ROK	South Korea
East China Sea	CN	Fujian
East China Sea	CN	Jiangsu
East China Sea	CN	Zhejiang
East China Sea	J	Saga
East China Sea	J	Nagasaki
East China Sea	J	Kumamoto
East China Sea	J	Kagoshima
East China Sea	J	Okinawa
East China Sea	ROK	South Korea
East China Sea	RC	Taiwan
South China Sea	CN	Fujian
South China Sea	CN	Guangdong
South China Sea	CN	Hainan
South China Sea	CN	Guangxi
South China Sea	BRU	Brunei
South China Sea	MAL	Johor
South China Sea	MAL	Kelantan
South China Sea	MAL	Pahang
South China Sea	MAL	Sabah
South China Sea	MAL	Sarawak
South China Sea	MAL	Terengganu
South China Sea	THA	Thailand
South China Sea	K	Cambodia
South China Sea	VN	Vietnam
South China Sea	HONX	Hong Kong
South China Sea	MACX	Macao
South China Sea	RI	Riau
South China Sea	RI	Jambi
South China Sea	RI	Sumatera Selatan
South China Sea	RI	Kepulauan Bangka Belitung
South China Sea	RI	Kepulauan Riau
South China Sea	RI	Kalimantan Barat
South China Sea	RP	Ilocos
South China Sea	RP	Central Luzon
South China Sea	RP	Calabarzon
South China Sea	RP	Metro Manila
South China Sea	RP	Mimaropa
South China Sea	SGP	Singapore
South China Sea	RC	Taiwan
Indian Ocean	IND	Kerala
Indian Ocean	IND	Tamil Nadu
Indian Ocean	XMAS	Christmas Island
Indian Ocean	COCO	Cocos Islands
Indian Ocean	RI	Aceh
Indian Ocean	RI	Sumatera Utara
Indian Ocean	RI	Sumatera Barat
Indian Ocean	RI	Bengkulu
Indian Ocean	RI	Lampung
Indian Ocean	RI	Jawa Barat
Indian Ocean	RI	Jawa Tengah
Indian Ocean	RI	DI Yogyakarta
Indian Ocean	RI	Jawa Timur
Indian Ocean	RI	Banten
Indian Ocean	RI	Bali
Indian Ocean	RI	Nusa Tenggara Barat
Indian Ocean	RI	Nusa Tenggara Timur
Indian Ocean	TL	Timor-Leste
Indian Ocean	MV	Maldives
Indian Ocean	YE	Yemen
Indian Ocean	CL	Sri Lanka
Indian Ocean	AUS	Northern Territory
Indian Ocean	AUS	South Australia
Indian Ocean	AUS	Tasmania
Indian Ocean	AUS	Victoria
Indian Ocean	AUS	Western Australia
Indian Ocean	RSA	Eastern Cape
Indian Ocean	RSA	KwaZulu-Natal
Indian Ocean	RSA	Western Cape
Indian Ocean	EAT	Tanga
Indian Ocean	EAT	Pwani
Indian Ocean	EAT	Dar es Salaam
Indian Ocean	EAT	Lindi
Indian Ocean	EAT	Mtwara
Indian Ocean	EAT	Kaskazini Unguja
Indian Ocean	EAT	Kusini Unguja
Indian Ocean	EAT	Mjini Magharibi Unguja
Indian Ocean	EAT	Kaskazini Pemba
Indian Ocean	EAT	Kusini Pemba
Indian Ocean	COM	Comoros
Indian Ocean	SP	Somalia
Indian Ocean	EAK	Kenya
Indian Ocean	RM	Madagascar
Indian Ocean	MOC	Cabo Delgado
Indian Ocean	MOC	Gaza
Indian Ocean	MOC	Inhambane
Indian Ocean	MOC	Maputo
Indian Ocean	MOC	Nampula
Indian Ocean	MOC	Sofala
Indian Ocean	MOC	Zambézia
Indian Ocean	MOC	Cidade de Maputo
Indian Ocean	MS	Mauritius
Indian Ocean	MAYO	Mayotte
Indian Ocean	REUN	Reunion
Indian Ocean	SY	Seychelles
Arabian Sea	PK	Balochistan
Arabian Sea	PK	Sindh
Arabian Sea	IND	Goa
Arabian Sea	IND	Gujarat
Arabian Sea	IND	Karnataka
Arabian Sea	IND	Kerala
Arabian Sea	IND	Maharashtra
Arabian Sea	IND	Lakshadweep
Arabian Sea	OM	Oman
Arabian Sea	YE	Yemen
Arabian Sea	SP	Somalia
Gulf of Oman	IR	Hormozgan
Gulf of Oman	IR	Sistan and Baluchestan
Gulf of Oman	PK	Balochistan
Gulf of Oman	OM	Oman
Gulf of Oman	UAE	United Arab Emirates
Persian Gulf	IR	Bushehr
Persian Gulf	IR	Hormozgan
Persian Gulf	IR	Khuzestan
Persian Gulf	BRN	Bahrain
Persian Gulf	IRQ	Basrah
Persian Gulf	KWT	Kuwait
Persian Gulf	SA	Ash Sharqiyah
Persian Gulf	OM	Oman
Persian Gulf	UAE	United Arab Emirates
Persian Gulf	Q	Qatar
Red Sea	IL	HaDarom
Red Sea	ET	Egypt
Red Sea	JOR	Jordan
Red Sea	SA	Al-Madinah Al-Monawarah
Red Sea	SA	Jazan
Red Sea	SA	Makkah Al-Mokarramah
Red Sea	SA	Tabouk
Red Sea	YE	Yemen
Red Sea	SUD	Sudan
Red Sea	DJI	Djibouti
Red Sea	ER	Eritrea
Gulf of Aden	YE	Yemen
Gulf of Aden	DJI	Djibouti
Gulf of Aden	SP	Somalia
Gulf of Bengal	BD	Barisal
Gulf of Bengal	BD	Chittagong
Gulf of Bengal	BD	Khulna
Gulf of Bengal	MYA	Ayeyarwady
Gulf of Bengal	MYA	Rakhine
Gulf of Bengal	IND	Andhra Pradesh
Gulf of Bengal	IND	Odisha
Gulf of Bengal	IND	Tamil Nadu
Gulf of Bengal	IND	West Bengal
Gulf of Bengal	IND	Andaman and Nicobar Islands
Gulf of Bengal	IND	Puducherry
Gulf of Bengal	CL	Sri Lanka
Andaman Sea	MYA	Ayeyarwady
Andaman Sea	MYA	Bago
Andaman Sea	MYA	Yangon
Andaman Sea	MYA	Mon
Andaman Sea	IND	Andaman and Nicobar Islands
Andaman Sea	THA	Thailand
Andaman Sea	RI	Aceh
Malakka Strait	MAL	Johor
Malakka Strait	MAL	Kedah
Malakka Strait	MAL	Melaka
Malakka Strait	MAL	Negeri Sembilan
Malakka Strait	MAL	Perak
Malakka Strait	MAL	Perlis
Malakka Strait	MAL	Pulau Pinang
Malakka Strait	MAL	Selangor
Malakka Strait	THA	Thailand
Malakka Strait	RI	Aceh
Malakka Strait	RI	Sumatera Utara
Malakka Strait	RI	Riau
Malakka Strait	RI	Kepulauan Riau
Malakka Strait	SGP	Singapore
Java Sea	RI	Sumatera Selatan
Java Sea	RI	Kepulauan Bangka Belitung
Java Sea	RI	DKI Jakarta
Java Sea	RI	Jawa Barat
Java Sea	RI	Jawa Tengah
Java Sea	RI	Jawa Timur
Java Sea	RI	Banten
Java Sea	RI	Bali
Java Sea	RI	Nusa Tenggara Barat
Java Sea	RI	Nusa Tenggara Timur
Java Sea	RI	Kalimantan Barat
Java Sea	RI	Kalimantan Tengah
Java Sea	RI	Kalimantan Selatan
Java Sea	RI	Kalimantan Timur
Java Sea	RI	Sulawesi Tengah
Java Sea	RI	Sulawesi Selatan
Java Sea	RI	Sulawesi Barat
Java Sea	TL	Timor-Leste
Banda Sea	RI	Sulawesi Utara
Banda Sea	RI	Sulawesi Tengah
Banda Sea	RI	Sulawesi Selatan
Banda Sea	RI	Sulawesi Tenggara
Banda Sea	RI	Gorontalo
Banda Sea	RI	Maluku
Banda Sea	RI	Maluku Utara
Banda Sea	RI	Papua Barat
Banda Sea	RI	Papua
Banda Sea	TL	Timor-Leste
Sulawesi Sea	MAL	Sabah
Sulawesi Sea	RI	Kalimantan Timur
Sulawesi Sea	RI	Sulawesi Utara
Sulawesi Sea	RI	Sulawesi Tengah
Sulawesi Sea	RI	Gorontalo
Sulawesi Sea	RP	Zamboanga Peninsula
Sulawesi Sea	RP	Northern Mindanao
Sulawesi Sea	RP	Davao
Sulawesi Sea	RP	Soccsksargen
Sulawesi Sea	RP	Muslim Mindanao
Sulawesi Sea	RP	Mimaropa
Sulu Sea	MAL	Sabah
Sulu Sea	RP	Calabarzon
Sulu Sea	RP	Bicol
Sulu Sea	RP	Western Visayas
Sulu Sea	RP	Central Visayas
Sulu Sea	RP	Eastern Visayas
Sulu Sea	RP	Zamboanga Peninsula
Sulu Sea	RP	Northern Mindanao
Sulu Sea	RP	Caraga
\.


--
-- TOC entry 5280 (class 0 OID 89534)
-- Dependencies: 699
-- Data for Name: geo_source; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY geo_source (river, country, province) FROM stdin;
Thjorsa	IS	Iceland
Joekulsa a Fjoellum	IS	Iceland
Glomma	N	Sør-Trøndelag
Lagen	N	Oppland
Goetaaelv	S	Västra Götaland
Klaraelv	N	Hedmark
Umeaelv	S	Västerbotten
Dalaelv	S	Dalarna
Vaesterdalaelv	S	Dalarna
Oesterdalaelv	S	Dalarna
Paatsjoki	SF	Lappia
Ounasjoki	SF	Lappia
Kemijoki	SF	Lappia
Oulujoki	SF	Oulu
Kymijoki	SF	Haeme
Kokemaeenjoki	SF	Turku-Pori
Vuoksi	SF	Kymi
Thames	GB	South West
Maas	F	Champagne-Ardenne
Loire	F	Rhône-Alpes
Garonne	E	Cataluña
Rhone	CH	Valais
Saone	F	Lorraine
Doubs	F	Franche-Comté
Isere	F	Rhône-Alpes
Seine	F	Bourgogne
Marne	F	Champagne-Ardenne
Tajo	E	Castilla-La Mancha
Douro	E	Castilla y León
Guadiana	E	Castilla-La Mancha
Guadalquivir	E	Andalucía
Ebro	E	Castilla y León
Po	I	Piemonte
Ticino	CH	Ticino
Adda	I	Lombardia
Mincio	I	Veneto
Etsch	I	Trentino-Alto Adige
Tiber	I	Umbria
Arno	I	Toscana
Donau	D	Baden-Württemberg
Breg	D	Baden-Württemberg
Brigach	D	Baden-Württemberg
Iller	A	Vorarlberg
Lech	A	Vorarlberg
Isar	A	Tirol
Ammer	D	Bayern
Würm	D	Bayern
Inn	CH	Graubünden
Alz	D	Bayern
Salzach	A	Salzburg
Enns	A	Oberösterreich
Enns	A	Niederösterreich
March	CZ	Pardubický
Raab	A	Steiermark
Waag	SK	Žilinský
Drau	I	Trentino-Alto Adige
Mur	A	Salzburg
Theiss	UA	Chernivets´ka
Save	SLO	Slovenia
Drina	BIH	Republika Srpska
Tara	MNE	Montenegro
Piva	MNE	Montenegro
Morava	SRB	Serbia
Western Morava	SRB	Serbia
Southern Morava	MK	Macedonia
Olt	RO	Harghita
Pruth	UA	Ivano-Frankivs´ka
Dnjestr	UA	L´vivs´ka
Weser	D	Niedersachsen
Aller	D	Niedersachsen
Leine	D	Niedersachsen
Werra	D	Thüringen
Fulda	D	Hessen
Elbe	CZ	Liberecký
Moldau	CZ	Jihočeský
Rhein	CH	Graubünden
Main	D	Bayern
Mosel	F	Lorraine
Saar	F	Alsace
Neckar	D	Baden-Württemberg
Aare	CH	Bern
Reuss	CH	Uri
Limmat	CH	Zürich
Oder	CZ	Olomoucký
Weichsel	PL	Śląskie
Narew	BY	Grodno
Western Bug	UA	L´vivs´ka
Moraca	MNE	Montenegro
Buna	AL	Albania
Drin	AL	Albania
White Drin	KOS	Kosovo
Black Drin	MK	Macedonia
Jordan	RL	Lebanon
Kura	TR	Ardahan
Schatt al Arab	IRQ	al-Anbar
Tigris	TR	Diyarbakır
Euphrat	TR	Malatya
Murat	TR	Ağrı
Karasu	TR	Erzurum
Karun	IR	Esfahan
Northern Dwina	R	Vologodskaya
Suchona	R	Vologodskaya
Petschora	R	Komi
Newa	R	Leningradskaya
Swir	R	Leningradskaya
Narva	R	Pskovskaya
Western Dwina	R	Smolenskaya
Dnister	UA	L´vivs´ka
Dnepr	R	Smolenskaya
Prypjat	UA	Volyns´ka
Don	R	Tul´skaya
Volga	R	Tverskaya
Oka	R	Orlovskaya
Kama	R	Udmurt
Ural	R	Bashkortostan
Ob	R	Altayskiy
Irtysch	KAZ	East-Kazakhstan
Tobol	R	Orenburg
Ischim	KAZ	Karaganda
Katun	R	Altay
Jenissej	R	Tyva
Angara	R	Buryat
Selenge	MNG	Mongolia
Chatanga	R	Krasnoyarsk
Lena	R	Irkutsk
Amur	R	Zabaykalskiy
Schilka	R	Zabaykalskiy
Argun	CN	Heilongjiang
Kolyma	R	Magadan
Syrdarja	TAD	Sughd
Naryn	KGZ	Kyrgyzstan
Amudarja	AFG	Afghanistan
Amudarja	TAD	Khatlon
Pjandsh	AFG	Afghanistan
Pjandsh	TAD	Gorno-Badakhshan
Bartang	TAD	Gorno-Badakhshan
Murgab	TAD	Gorno-Badakhshan
Ili	CN	Xinjiang
Tarim-Yarkend	CN	Xizang
Hwangho	CN	Qinghai
Jangtse	CN	Qinghai
Mekong	CN	Xizang
Saluen	CN	Xizang
Irawaddy	CN	Xizang
Ganges	CN	Xizang
Brahmaputra	CN	Xizang
Indus	CN	Xizang
Asahan	RI	Sumatera Utara
Yukon River	CDN	Yukon
Mackenzie River	CDN	Northwest Territories
Nelson River	CDN	Manitoba
Saskatchewan River	CDN	Alberta
Saint Lawrence River	CDN	Quebec
Saint Lawrence River	USA	New York
Niagara River	CDN	Ontario
Niagara River	USA	New York
Detroit River	CDN	Ontario
Detroit River	USA	Michigan
Saint Marys River	CDN	Ontario
Saint Marys River	USA	Michigan
Straits of Mackinac	USA	Michigan
Manicouagan	CDN	Quebec
Riviere Richelieu	CDN	Quebec
Merrimack River	USA	New Hampshire
Connecticut River	USA	New Hampshire
Hudson River	USA	New York
Mississippi	USA	Minnesota
Missouri	USA	Montana
Arkansas	USA	Colorado
Ohio River	USA	Pennsylvania
Allegheny River	USA	Pennsylvania
Tennessee	USA	North Carolina
Columbia River	CDN	British Columbia
Truckee River	USA	California
Colorado	USA	Colorado
Rio Grande	USA	Colorado
Rio Lerma	MEX	Nayarit
Rio San Juan	NIC	Nicaragua
Rio Desaguadero	BOL	La Paz
Rio Magdalena	CO	Huila
Orinoco	YV	Amazonas
Amazonas	PE	Cusco
Rio Negro	CO	Guainía
Rio Madeira	BOL	Pando
Rio Mamore	BOL	Cochabamba
Maranon	PE	Huánuco
Huallaga	PE	Pasco
Ucayali	PE	Junín
Urubamba	PE	Cusco
Tambo	PE	Junín
Perene	PE	Junín
Ene	PE	Junín
Mantaro	PE	Junín
Apurimac	PE	Arequipa
Tocantins	BR	Goiás
Araguaia	BR	Goiás
Rio Sao Francisco	BR	Minas Gerais
Parana	BR	Minas Gerais
Paraguay	BR	Mato Grosso
Uruguay	BR	Rio Grande do Sul
Gambia	RG	Guinea
Senegal	RG	Guinea
Volta	BF	Burkina Faso
Niger	RG	Guinea
Bani	CI	Montagnes
Benue	CAM	Nord
Schari	RCA	Central African Republic
Nile	SUD	Sudan
Atbara	ETH	Amhara
Blue Nile	ETH	Amhara
White Nile	SSD	South Sudan
Sobat	SSD	South Sudan
Pibor	SSD	South Sudan
Baro	ETH	Oromia
Bahr el-Ghasal	SSD	South Sudan
Bahr el-Djebel/Albert-Nil	EAU	Uganda
Semliki	ZRE	Nord-Kivu
Victoria Nile	EAU	Uganda
Akagera	RWA	Rwanda
Jubba	ETH	Oromia
Shabelle	ETH	Oromia
Sanaga	CAM	Centre
Zaire	ZRE	Orientale
Sanga	RCA	Central African Republic
Ubangi	ZRE	Equateur
Ubangi	RCA	Central African Republic
Bomu	ZRE	Orientale
Bomu	RCA	Central African Republic
Uelle	ZRE	Orientale
Kwa	ZRE	Bandundu
Fimi	ZRE	Bandundu
Lukenie	ZRE	Kasai-Oriental
Kasai	ANG	Moxico
Cuango	ANG	Malanje
Cuango	ANG	Lunda-Sul
Cuilo	ANG	Lunda-Sul
Lulua	ZRE	Katanga
Ruki	ZRE	Equateur
Busira	ZRE	Equateur
Tshuapa	ZRE	Kasai-Oriental
Lomami	ZRE	Katanga
Aruwimi	ZRE	Orientale
Lualaba	ZRE	Katanga
Lukuga	ZRE	Katanga
Ruzizi	ZRE	Sud-Kivu
Ruzizi	RWA	Rwanda
Luvua	ZRE	Katanga
Luapula	Z	Luapula
Zambezi	Z	Luapula
Chire	MW	Malawi
Okavango	ANG	Bié
Limpopo	RSA	Gauteng
Oranje	LS	Lesotho
Vaal	RSA	Mpumalanga
Murray River	AUS	Victoria
Darling River	AUS	Queensland
Murrumbidgee River	AUS	New South Wales
Eucumbene River	AUS	New South Wales
Snowy River	AUS	New South Wales
\.


--
-- TOC entry 5281 (class 0 OID 89537)
-- Dependencies: 700
-- Data for Name: island; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY island (name, islands, area, elevation, type, coordinates) FROM stdin;
Svalbard	Svalbard	39044	1717	\N	(78.9,18.2)
Greenland	\N	2175600	\N	\N	(70,-40)
Iceland	\N	102829	2119	volcanic	(65,-18)
Aust-Vagoey	Lofotes	526	1146	\N	(68.3,14.6)
Streymoy	Faroe Islands	373	789	\N	(62,-7)
Ireland	British Isles	84421	1041	\N	(53.5,-7.8)
Great Britain	British Isles	229850	1344	\N	(53,-1.5)
Shetland Mainland	Shetland Islands	970	449	\N	(60.3,-1.3)
Orkney Mainland	Orkney Islands	492	271	\N	(59,-3.1)
South Ronaldsay	Orkney Islands	50	118	\N	(58.6,-3.1)
Hoy	Orkney Islands	143	479	\N	(59.1,-3.2)
Westray	Orkney Islands	47	169	\N	(59.4,-3)
Barra	Outer Hebrides	91	383	\N	(57,-7.7)
South Uist	Outer Hebrides	320	620	\N	(57.2,-7.2)
Benbecula	Outer Hebrides	82	124	\N	(57.45,-7.3)
North Uist	Outer Hebrides	303	347	\N	(57.4,-7.1)
Lewis and Harris	Outer Hebrides	2170	799	\N	(57.9,-6.8)
Skye	Inner Hebrides	1385	993	\N	(57.3,-6.3)
Rhum	Inner Hebrides	104	810	volcanic	(57,-6.3)
Mull	Inner Hebrides	910	875	\N	(56.45,6)
Tiree	Inner Hebrides	78	141	\N	(56.3,6.9)
Islay	Inner Hebrides	619.6	491	\N	(62.1,7.0)
Jura	Inner Hebrides	367	785	\N	(56,-6)
Arran	Inner Hebrides	430	874	\N	(55.3,-5.5)
Isle of Man	British Isles	588	621	\N	(54.1,-4.5)
Anglesey	British Isles	715	\N	\N	(53.3,-4.4)
Isle of Wight	British Isles	381	241	\N	(50.6,-1.3)
Bishop Rock	Scilly Islands	\N	\N	\N	(50,-6.3)
Guernsey	Channel Islands	194	111	\N	(49.6,-2.6)
Jersey	Channel Islands	117	136	\N	(49.2,-2.1)
Gotland	\N	3140	82	\N	(57.5,18.5)
Oeland	\N	1344	55	\N	(57,17)
Aland	Aland Islands	650	\N	\N	(60.1,20)
Dagoe	\N	965	\N	\N	(58.8,22.7)
Oesel	\N	2714	54	\N	(58.3,22)
Seeland	\N	7439	122	\N	(55.3,12)
Fuenen	\N	2976	131	\N	(55.35,10.25)
Langeland	\N	284	46	\N	(55,10.5)
Falster	\N	514	44	\N	(54.8,12)
Lolland	\N	1241	25	\N	(54.4,11.5)
Bornholm	\N	588	162	\N	(55.1,14.9)
Fehmarn	\N	185	27.2	\N	(54.4,11.2)
Rugen	\N	926	161	\N	(54.5,13.4)
Usedom	\N	445	\N	\N	(53.9,14.1)
Helgoland	\N	1.7	61.3	\N	(54.2,7.9)
Sylt	Nordfriesische Inseln	99	52.5	\N	(54.9,8.3)
Fohr	Nordfriesische Inseln	82	13	\N	(54.7,8.5)
Amrum	Nordfriesische Inseln	20.5	32	\N	(54.65,8.3)
Pellworm	Nordfriesische Inseln	37.4	2	\N	(54.5,8.6)
Wangerooge	Ostfriesische Inseln	7.9	17	\N	(53.8,7.9)
Spiekeroog	Ostfriesische Inseln	18.2	3	\N	(53.8,7.6)
Langeoog	Ostfriesische Inseln	20	5	\N	(53.65,7.5)
Baltrum	Ostfriesische Inseln	6.5	5	\N	(53.6,7.4)
Norderney	Ostfriesische Inseln	26.3	5	\N	(53.7,7.9)
Juist	Ostfriesische Inseln	16.4	3	\N	(53.6,7.0)
Borkum	Ostfriesische Inseln	31	6	\N	(53.6,6.7)
Schiermonnikoog	Westfriesische Inseln	40	\N	\N	(53.5,6.2)
Ameland	Westfriesische Inseln	57.6	\N	\N	(53.5,5.75)
Terschelling	Westfriesische Inseln	88	\N	\N	(53.4,5.3)
Vlieland	Westfriesische Inseln	40	\N	\N	(53.25,5)
Texel	Westfriesische Inseln	162	15	\N	(53.1,4.8)
Zitny Ostrov	\N	1885	\N	\N	(47.95,17.65)
Maly Zitny Ostrov	\N	375	\N	\N	(47.85,17.45)
Margit Sziget	\N	1	\N	\N	(47.5,19.05)
Veliki Ratno Ostrvo	\N	1.5	\N	\N	(44.8,20.45)
Korfu	Ionic Islands	593	906	\N	(39.6,19.8)
Lefkas	Ionic Islands	293	1158	\N	(38.7,20.6)
Kefallinia	Ionic Islands	689	1628	\N	(38.2,20.6)
Zakynthos	Ionic Islands	406	756	\N	(37.8,20.75)
Kreta	\N	8331	2456	\N	(37,25)
Chios	Sporades	843	1297	\N	(38.4,26.2)
Samos	Sporades	478	1434	\N	(37.7,26.8)
Ikaria	Sporades	255	1037	\N	(37.6,26.2)
Lesbos	Sporades	1636	968	\N	(39.2,26.3)
Kos	Sporades	287	846	\N	(36.8,27.1)
Rhodos	Sporades	1401	1215	\N	(36.2,28)
Syros	Kyklades	84	442	\N	(37.45,24.9)
Mykonos	Kyklades	105	341	\N	(37.45,25.4)
Cyprus	\N	9251	1952	\N	(35.4,33.2)
Alicudi	Lipari Islands	5.2	675	volcanic	(38.6,14.4)
Filicudi	Lipari Islands	9.5	774	volcanic	(38.6,14.55)
Salina	Lipari Islands	26.8	962	volcanic	(38.6,14.9)
Lipari	Lipari Islands	37.5	602	volcanic	(38.5,14.95)
Vulcano	Lipari Islands	21.2	499	volcanic	(38.4,15.0)
Panarea	Lipari Islands	3.4	421	volcanic	(38.65,15.05)
Stromboli	Lipari Islands	12.6	926	volcanic	(38.8,15.15)
Lampedusa	\N	20	113	volcanic	(35.4,13.2)
Linosa	\N	5	195	volcanic	(35.85,13.85)
Sicilia	\N	25462	3323	\N	(37,14)
Malta	Malta	246	252	lime	(35.9,14.5)
Gozo	Malta	67	176	lime	(36.05,14.3)
Sardegna	\N	24090	1834	\N	(40,9)
Corse	\N	8680	2706	\N	(41.4,8.4)
Menorca	Baleares	760	358	\N	(40,4)
Mallorca	Baleares	3618	1445	\N	(39.3,3)
Ibiza	Baleares	572	476	\N	(38.5,1.5)
Formentera	Baleares	83	192	\N	(38.0,1.5)
Lanzarote	Canares	846	671	volcanic	(29,-13.6)
Fuerteventura	Canares	1660	807	volcanic	(28.4,-14)
Gran Canaria	Canares	1560	1949	volcanic	(28,-15.6)
Teneriffa	Canares	2034	3718	volcanic	(28.3,-16.6)
Gomera	Canares	369	1487	volcanic	(28.1,-17.3)
Hierro	Canares	268	1500	volcanic	(27.7,-18)
La Palma	Canares	708	2426	volcanic	(28.7,-17.9)
Madeira	Madeira	794	1861	volcanic	(31,-16)
Porto Santo	Madeira	42	517	volcanic	(33,-16.35)
Sao Miguel	Azores	747	1104	volcanic	(37.7,-25.5)
Santa Maria	Azores	97	586	volcanic	(37,-25.1)
Terceira	Azores	400	1022	volcanic	(38.7,-27.2)
Sao Jorge	Azores	233.5	1053	volcanic	(38.6,-28)
Pico	Azores	442	2351	volcanic	(38.5,-28.4)
Faial	Azores	172	1043	volcanic	(38.6,-28.7)
Graciosa	Azores	61	402	volcanic	(39,-28)
Flores	Azores	143	914	volcanic	(39.5,-31.2)
Corvo	Azores	17.5	718	volcanic	(39.7,-31.1)
Santiago	Cape Verdes	991	1394	volcanic	(15.1,-23.6)
Fogo	Cape Verdes	476	2829	volcanic	(17.95,-24.4)
Sao Tome	\N	859	2024	volcanic	(0.2,6.6)
Principe	\N	142	927	volcanic	(1.6,7.4)
Bioko	\N	2017	3011	volcanic	(3.5,8.7)
Saint Helena	\N	122	818	volcanic	(-15.56,-5.44)
Impalila	\N	18	818	\N	(-17.77,25.23)
Ascension	\N	91	859	volcanic	(-7.9,-14.4)
Tristan Da Cunha	\N	104	2062	volcanic	(-37.1,-12.3)
West Falkland	Falkland Islands	4532	700	\N	(-51.8,-60.1)
East Falkland	Falkland Islands	6605	705	\N	(-51.8,-58.8)
Bahrain	\N	620	135	\N	(26,50.5)
Khark	\N	20.5	1394	\N	(29.1,50.2)
Gheschm	\N	1491	\N	\N	\N
Lavan	\N	76	\N	\N	(26.5,53.1)
Christmas Island	\N	135	350	coral	(-10.25,105.43)
Pulau Panjang	Cocos Islands	6.23	9	atoll	(-12.2,96.9)
Male	Maldives	2.74	1	atoll	(2,72)
Kavaratti	Laccadives	6	2	\N	(10.6,72.6)
Sri Lanka	\N	65610	2524	\N	(7,80)
South Andaman Island	Andaman Islands	1210	366	\N	(11.4,92.5)
Sokotra	\N	3579	1525	\N	(12.5,53.9)
Sansibar	\N	1658	135	\N	(-6.1,39.3)
Pemba	\N	984	95	\N	(-5.2,39.7)
Mahe	Seychelles	154	905	\N	(-4.65,55.5)
Grand Comoro	Comores	1148	2361	\N	(-11.7,43.4)
Anjouan	Comores	424	\N	\N	(-12.2,44.35)
Mohilla	Comores	290	\N	\N	(-12.25,43.75)
Mayotte	Comores	374	660	volcanic	(-12.46,45.13)
Reunion	\N	2510	3069	volcanic	(-20.9,55.5)
Mauritius	\N	1860	828	volcanic	(-20,57)
Madagaskar	\N	587041	2876	\N	(-20,46)
Nowaja Semlja	\N	90650	1547	\N	(74,56)
Kotelny Island	\N	11665	374	\N	(75.4,141)
Paramuschir	Curiles	2042	1816	volcanic	(50.5,155.75)
Olkhon	\N	730	1276	\N	(53.15,107.4)
Sachalin	\N	76400	1609	volcanic	(50,143)
Hokkaido	Japan	83456	2290	volcanic	(43.3,143)
Kyushu	Japan	35640	1758	volcanic	(32,131)
Shikoku	Japan	18800	1965	volcanic	(34,134)
Honshu	Japan	230500	3776	volcanic	(36.3,138.6)
Okinawa	Japan	2255	\N	volcanic	(26,128)
Jeju	\N	1845	1950	volcanic	(33.4,126.5)
Taiwan	\N	35801	3950	\N	(24,121)
Hainan	\N	34380	1897	\N	(19.1,109.6)
Zhoushan	\N	502	503	\N	(30.05,122.15)
Luzon	Philipines	108172	2928	\N	(16.1,121)
Mindoro	Philipines	10244	2582	\N	(13,121.1)
Negros	Philipines	13328	2435	\N	(10,123)
Panay	Philipines	12297	2117	\N	(11.15,122.5)
Bohol	Philipines	4117	\N	\N	(9.9,124.2)
Leyte	Philipines	7368	\N	\N	(11,124.9)
Samar	Philipines	13080	\N	\N	(12,125.1)
Cebu	Philipines	5088	1000	\N	(10.4,123.8)
Mindanao	Philipines	95581	2954	\N	(7.55,124.9)
Palawan	Philipines	11785	2085	\N	(9.5,118.4)
Singapore	\N	632.6	176	\N	(1.3,103.833)
Ko Samui	\N	229	635	\N	(9.5,100)
Phuket	\N	576	529	\N	(7.4,98.4)
Sumatra	Sunda Islands	473000	3805	\N	(0,102)
Samosir	\N	852	\N	volcanic	(2.6,98.85)
Batam	Riau Islands	415	\N	\N	(1.1,104.05)
Bintan	Riau Islands	1173	348	\N	(1.1,104.5)
Bangka	Sunda Islands	11942	700	\N	(2.25,106)
Krakatau	Sunda Islands	\N	813	volcanic	(-6.1,105.6)
Java	Sunda Islands	126650	3676	\N	(-7.5,111.25)
Borneo	Sunda Islands	743122	4101	\N	(-0.2,113.67)
Labuan	Sunda Islands	91	\N	\N	(5.3,115.2)
Bali	Sunda Islands	5561	3142	volcanic	(-8.4,115.1)
Lombok	Sunda Islands	4725	3726	volcanic	(-8.4,116.5)
Sumbawa	Sunda Islands	15448	2850	\N	(-8.8,116.1)
Sulawesi	Sunda Islands	189216	3455	volcanic	(-2.1,120.3)
Timor	Sunda Islands	33850	2963	\N	(-9.2,124.9)
Ambon	Moluccan Islands	775	1225	\N	(-3.7,128.2)
Ceram	Moluccan Islands	17100	3027	\N	(-2,128)
Halmahera	Moluccan Islands	18040	1635	\N	(0.6,127.9)
Ternate	Moluccan Islands	137	1721	\N	(0.8,127.3)
New Guinea	\N	786000	4884	\N	(-5,142)
Bougainville	Solomon Islands	8800	2715	\N	(-6.2,155.25)
Guadalcanal	Solomon Islands	5358	2335	\N	(-9.6,160.2)
Grande Terre	New Caledonia	16372	1628	\N	(-22.16,166.27)
Cangaroo Island	\N	4405	307	\N	(-35.8,137.3)
Melville Island	\N	5800	\N	\N	(-12,131)
Tasmania	\N	67800	1617	\N	(-42,145)
Victoria Island	Canadian Arctic Islands	212291	\N	\N	(70.75,-110.1)
Banks Island	Canadian Arctic Islands	70028	\N	\N	(72.85,-122.1)
Prince of Wales Island	Canadian Arctic Islands	33339	\N	\N	(72.6,-98.55)
Baffin Island	Canadian Arctic Islands	507451	2147	\N	(69,72)
Southampton Island	Canadian Arctic Islands	41214	625	\N	(64.5,-84.5)
Ellesmere Island	Canadian Arctic Islands	196236	2616	\N	(79.25,-79.6)
Devon Island	Canadian Arctic Islands	55247	1920	\N	(75.1,-87.85)
Saint Pierre	\N	26	\N	\N	(47,-56)
Miquelon-Langlade	\N	205	240	\N	(47.1,-56.3)
Newfoundland	\N	108860	814	\N	(48.6,-55.8)
Prince Edward Island	\N	5660	142	\N	(46.3,-63.4)
Rene Levasseur Island	\N	2020	952	\N	(51.4,-68.7)
Manitoulin	\N	2766	\N	\N	(45.75,-82.2)
Marthas Vineyard	\N	232	\N	\N	(41.4,-70.6)
Nantucket	\N	125	\N	\N	(41.5,-70.1)
Long Island	\N	3566	122	\N	(40.8,-73.3)
Unalaska	Aleutes	2721	2036	volcanic	(63.9,-166.5)
Vancouver Island	\N	31285	2195	\N	(49.6,-125.65)
Santa Cruz Island	Californian Channel Islands	245	747	\N	(34,-119.7)
Santa Catalina Island	Californian Channel Islands	194	648	\N	(33.2,-118.2)
Santa Rosa Island	Californian Channel Islands	215	484	\N	(34,-120.1)
San Clemente Island	Californian Channel Islands	147	599	\N	(33,-118.5)
San Miguel Island	Californian Channel Islands	37	259	\N	(33,-120.4)
Grand Bermuda	Bermuda Islands	53.3	79	coral	(32.17,-64.47)
New Providence	Bahama Islands	207	\N	\N	(25,-77.4)
Grand Turk	Turks and Caicos Islands	14	20	\N	(21.28,-71.08)
Providenciales	Turks and Caicos Islands	\N	\N	\N	(22,-72.3)
North Caicos	Turks and Caicos Islands	\N	20	\N	(22.1,-72.1)
Cuba	Greater Antilles	105806	1974	\N	(22,-79)
Jamaica	Greater Antilles	10991	2256	\N	(18.1,-77.3)
Hispaniola	Greater Antilles	76192	3098	\N	(19,-70.7)
Puerto Rico	Greater Antilles	8870	1338	\N	(18.49,-66.12)
Tortola	Lesser Antilles	55	521	volcanic	(18.27,-64.37)
Saint Thomas	Lesser Antilles	31	\N	\N	(18.3,-64.9)
Anguilla	Lesser Antilles	91	65	\N	(18,-64)
St. Martin	Lesser Antilles	87	411	\N	(18.1,-63.1)
St. Barthelemy	Lesser Antilles	21	286	\N	(17.9,-62.82)
Saint Kitts	Lesser Antilles	164	1156	volcanic	(17.3,-62.75)
Nevis	Lesser Antilles	93	985	volcanic	(17,-62.3)
Barbuda	Lesser Antilles	161	38	lime	(17.3,-61.4)
Antigua	Lesser Antilles	281	400	\N	(17.05,-61.8)
Montserrat	Lesser Antilles	102	1050	volcanic	(16.42,-62.13)
Basse-Terre	Lesser Antilles	848	1467	volcanic	(16.15,-61.8)
Grande-Terre	Lesser Antilles	589	136	lime	(16.3,-61.4)
Dominica	Lesser Antilles	746	1447	volcanic	(15.4,-61.35)
Martinique	Lesser Antilles	1128	1397	volcanic	(14.6,-61.0)
Saint Lucia	Lesser Antilles	616	950	volcanic	(14,-60.5)
Saint Vincent	Lesser Antilles	346	1300	volcanic	(13.25,-61.3)
Barbados	Lesser Antilles	430	336	lime	(13,-59.3)
Grenada	Lesser Antilles	344	840	volcanic	(12,-62)
Trinidad	Lesser Antilles	4827	940	\N	(10.4,-61.35)
Tobago	Lesser Antilles	301	576	\N	(11.25,-60.7)
Curacao	Lesser Antilles	444	375	\N	(12.2,-69)
Aruba	Lesser Antilles	193	188	\N	(12.31,-70.02)
Grand Cayman	Cayman Islands	197	\N	\N	(19.18,-81.23)
Little Cayman	Cayman Islands	20	\N	\N	(19.8,-80)
Cayman Brac	Cayman Islands	30	\N	\N	(19.7,-79.8)
San Andres	\N	26	85	\N	(12.5,-81.7)
Isla da Ometepe	\N	270	1700	\N	(11.5,-85.6)
Isabela	Galapagos	5436	1707	volcanic	(-1,-91.3)
Ilha do Bananal	\N	19162	\N	\N	(-11.3,-50.4)
Niihau	Hawaii Islands	178	381	volcanic	(21.9,-160.1)
Kauai	Hawaii Islands	1433	1598	volcanic	(22,-159.5)
Oahu	Hawaii Islands	1557	1225	volcanic	(21.5,-158)
Molokai	Hawaii Islands	676	1512	volcanic	(21.1,-157)
Lanai	Hawaii Islands	364	1027	volcanic	(20.5,-157)
Maui	Hawaii Islands	1883	3055	volcanic	(20.7,-156.3)
Hawaii	Hawaii Islands	10450	4214	volcanic	(19.6,-155.5)
Niue	\N	260	67	coral	(-19.01,-169.55)
Saipan	Mariana Islands	115	474	volcanic	(15.2,145.75)
Tinian	Mariana Islands	101	171	\N	(15,145.6)
Rota	Mariana Islands	85	495	\N	(15.15,145.2)
Uvea	Wallis Islands	90	131	volcanic	(-13.16,-176.2)
Futuna	Futuna Islands	64	524	volcanic	(-14.3,-178.1)
Tarawa	Gilbert Islands	39	\N	atoll	(1.4,173)
Kiritimati	Line Islands	388	13	atoll	(1.9,-157.4)
Banaba	\N	6.29	81	volcanic	(-0.85,169.54)
Tongatapu	Tonga Islands	260	65	coral	(-21.2,-175.15)
Viti Levu	Fiji Islands	10429	1394	volcanic	(-17.8,178)
Vanua Levu	Fiji Islands	5500	1111	volcanic	(-16.35,179.25)
Norfolk Island	\N	34	318	volcanic	(-29,168)
Nauru	\N	21	60	coral	(-1,167)
Koror	Carolines	8	100	volcanic	(7.3,134.5)
Babelthuap	Carolines	8	331	volcanic	(7.5,134.6)
Fongafale	Ellice Islands	2.8	\N	atoll	(-8.5,179.1)
Fakaofo	Tokelau	4	\N	atoll	(-9.37,-171.2)
Efate	Vanuatu	900	647	\N	(-17.8,168.4)
Upolu	Samoan Islands	1125	1158	volcanic	(-13.9,-171.75)
Savaii	Samoan Islands	1707	1858	volcanic	(-13.6,-172.4)
Tutuila	Samoan Islands	135	653	volcanic	(-14.16,-170.42)
Rarotonga	Cook Islands	67	658	volcanic	(-21.12,-159.46)
Tahiti	Polynesian Islands	1045	2241	volcanic	(-17.32,-149.34)
Guam	Mariana Islands	541	\N	coral	(13.4,144.7)
Majuro	Marshall Islands	9.2	\N	atoll	(7.1,171.4)
Ponape	Micronesian Islands	336	782	volcanic	(6.85,158.2)
Pitcairn	Pitcairn Islands	4.5	347	volcanic	(-25.04,-130.05)
Easter Island	\N	163	507	volcanic	(-27.1,-109.35)
Te Ika-a-Maui (North Island)	New Zealand	114597	2797	\N	(-38.4,175.7)
Te Waka-a-Maui (South Island)	New Zealand	151757	3754	\N	(-44,170.4)
\.


--
-- TOC entry 5282 (class 0 OID 89545)
-- Dependencies: 701
-- Data for Name: islandin; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY islandin (island, sea, lake, river) FROM stdin;
Svalbard	Norwegian Sea	\N	\N
Svalbard	Greenland Sea	\N	\N
Svalbard	Barents Sea	\N	\N
Svalbard	Arctic Ocean	\N	\N
Greenland	Atlantic Ocean	\N	\N
Greenland	Greenland Sea	\N	\N
Greenland	Arctic Ocean	\N	\N
Greenland	Labrador Sea	\N	\N
Iceland	Atlantic Ocean	\N	\N
Iceland	Norwegian Sea	\N	\N
Iceland	Greenland Sea	\N	\N
Aust-Vagoey	Norwegian Sea	\N	\N
Streymoy	Atlantic Ocean	\N	\N
Streymoy	Norwegian Sea	\N	\N
Ireland	Atlantic Ocean	\N	\N
Ireland	Irish Sea	\N	\N
Great Britain	Atlantic Ocean	\N	\N
Great Britain	The Channel	\N	\N
Great Britain	Irish Sea	\N	\N
Great Britain	North Sea	\N	\N
Shetland Mainland	North Sea	\N	\N
Shetland Mainland	Norwegian Sea	\N	\N
Orkney Mainland	North Sea	\N	\N
South Ronaldsay	North Sea	\N	\N
Hoy	North Sea	\N	\N
Westray	North Sea	\N	\N
Barra	Atlantic Ocean	\N	\N
South Uist	Atlantic Ocean	\N	\N
Benbecula	Atlantic Ocean	\N	\N
North Uist	Atlantic Ocean	\N	\N
Lewis and Harris	Atlantic Ocean	\N	\N
Skye	Atlantic Ocean	\N	\N
Rhum	Atlantic Ocean	\N	\N
Mull	Atlantic Ocean	\N	\N
Tiree	Atlantic Ocean	\N	\N
Islay	Atlantic Ocean	\N	\N
Jura	Atlantic Ocean	\N	\N
Arran	Atlantic Ocean	\N	\N
Isle of Man	Irish Sea	\N	\N
Anglesey	Irish Sea	\N	\N
Isle of Wight	The Channel	\N	\N
Bishop Rock	Atlantic Ocean	\N	\N
Guernsey	The Channel	\N	\N
Jersey	The Channel	\N	\N
Gotland	Baltic Sea	\N	\N
Oeland	Baltic Sea	\N	\N
Aland	Baltic Sea	\N	\N
Dagoe	Baltic Sea	\N	\N
Oesel	Baltic Sea	\N	\N
Seeland	Kattegat	\N	\N
Seeland	Baltic Sea	\N	\N
Fuenen	Kattegat	\N	\N
Fuenen	Baltic Sea	\N	\N
Langeland	Baltic Sea	\N	\N
Falster	Baltic Sea	\N	\N
Lolland	Baltic Sea	\N	\N
Bornholm	Baltic Sea	\N	\N
Fehmarn	Baltic Sea	\N	\N
Rugen	Baltic Sea	\N	\N
Usedom	Baltic Sea	\N	\N
Helgoland	North Sea	\N	\N
Sylt	North Sea	\N	\N
Fohr	North Sea	\N	\N
Amrum	North Sea	\N	\N
Pellworm	North Sea	\N	\N
Wangerooge	North Sea	\N	\N
Spiekeroog	North Sea	\N	\N
Langeoog	North Sea	\N	\N
Baltrum	North Sea	\N	\N
Norderney	North Sea	\N	\N
Juist	North Sea	\N	\N
Borkum	North Sea	\N	\N
Schiermonnikoog	North Sea	\N	\N
Ameland	North Sea	\N	\N
Terschelling	North Sea	\N	\N
Vlieland	North Sea	\N	\N
Texel	North Sea	\N	\N
Korfu	Mediterranean Sea	\N	\N
Lefkas	Mediterranean Sea	\N	\N
Kefallinia	Mediterranean Sea	\N	\N
Zakynthos	Mediterranean Sea	\N	\N
Kreta	Mediterranean Sea	\N	\N
Chios	Mediterranean Sea	\N	\N
Samos	Mediterranean Sea	\N	\N
Ikaria	Mediterranean Sea	\N	\N
Lesbos	Mediterranean Sea	\N	\N
Kos	Mediterranean Sea	\N	\N
Rhodos	Mediterranean Sea	\N	\N
Syros	Mediterranean Sea	\N	\N
Mykonos	Mediterranean Sea	\N	\N
Cyprus	Mediterranean Sea	\N	\N
Alicudi	Mediterranean Sea	\N	\N
Filicudi	Mediterranean Sea	\N	\N
Salina	Mediterranean Sea	\N	\N
Lipari	Mediterranean Sea	\N	\N
Vulcano	Mediterranean Sea	\N	\N
Panarea	Mediterranean Sea	\N	\N
Stromboli	Mediterranean Sea	\N	\N
Lampedusa	Mediterranean Sea	\N	\N
Linosa	Mediterranean Sea	\N	\N
Sicilia	Mediterranean Sea	\N	\N
Malta	Mediterranean Sea	\N	\N
Gozo	Mediterranean Sea	\N	\N
Sardegna	Mediterranean Sea	\N	\N
Corse	Mediterranean Sea	\N	\N
Menorca	Mediterranean Sea	\N	\N
Mallorca	Mediterranean Sea	\N	\N
Ibiza	Mediterranean Sea	\N	\N
Formentera	Mediterranean Sea	\N	\N
Lanzarote	Atlantic Ocean	\N	\N
Fuerteventura	Atlantic Ocean	\N	\N
Gran Canaria	Atlantic Ocean	\N	\N
Teneriffa	Atlantic Ocean	\N	\N
Gomera	Atlantic Ocean	\N	\N
Hierro	Atlantic Ocean	\N	\N
La Palma	Atlantic Ocean	\N	\N
Madeira	Atlantic Ocean	\N	\N
Porto Santo	Atlantic Ocean	\N	\N
Sao Miguel	Atlantic Ocean	\N	\N
Santa Maria	Atlantic Ocean	\N	\N
Terceira	Atlantic Ocean	\N	\N
Sao Jorge	Atlantic Ocean	\N	\N
Pico	Atlantic Ocean	\N	\N
Faial	Atlantic Ocean	\N	\N
Graciosa	Atlantic Ocean	\N	\N
Flores	Atlantic Ocean	\N	\N
Corvo	Atlantic Ocean	\N	\N
Santiago	Atlantic Ocean	\N	\N
Fogo	Atlantic Ocean	\N	\N
Sao Tome	Atlantic Ocean	\N	\N
Principe	Atlantic Ocean	\N	\N
Bioko	Atlantic Ocean	\N	\N
Saint Helena	Atlantic Ocean	\N	\N
Ascension	Atlantic Ocean	\N	\N
Tristan Da Cunha	Atlantic Ocean	\N	\N
West Falkland	Atlantic Ocean	\N	\N
East Falkland	Atlantic Ocean	\N	\N
Bahrain	Persian Gulf	\N	\N
Khark	Persian Gulf	\N	\N
Gheschm	Gulf of Oman	\N	\N
Gheschm	Persian Gulf	\N	\N
Lavan	Gulf of Oman	\N	\N
Lavan	Persian Gulf	\N	\N
Christmas Island	Indian Ocean	\N	\N
Pulau Panjang	Indian Ocean	\N	\N
Male	Indian Ocean	\N	\N
Kavaratti	Arabian Sea	\N	\N
Sri Lanka	Indian Ocean	\N	\N
Sri Lanka	Gulf of Bengal	\N	\N
South Andaman Island	Gulf of Bengal	\N	\N
South Andaman Island	Andaman Sea	\N	\N
Sokotra	Indian Ocean	\N	\N
Sokotra	Arabian Sea	\N	\N
Sokotra	Gulf of Aden	\N	\N
Sansibar	Indian Ocean	\N	\N
Pemba	Indian Ocean	\N	\N
Mahe	Indian Ocean	\N	\N
Grand Comoro	Indian Ocean	\N	\N
Anjouan	Indian Ocean	\N	\N
Mohilla	Indian Ocean	\N	\N
Mayotte	Indian Ocean	\N	\N
Reunion	Indian Ocean	\N	\N
Mauritius	Indian Ocean	\N	\N
Madagaskar	Indian Ocean	\N	\N
Nowaja Semlja	Barents Sea	\N	\N
Nowaja Semlja	Kara Sea	\N	\N
Nowaja Semlja	Arctic Ocean	\N	\N
Kotelny Island	Arctic Ocean	\N	\N
Kotelny Island	East Sibirian Sea	\N	\N
Paramuschir	Pacific Ocean	\N	\N
Paramuschir	Sea of Okhotsk	\N	\N
Sachalin	Sea of Okhotsk	\N	\N
Sachalin	Sea of Japan	\N	\N
Hokkaido	Pacific Ocean	\N	\N
Hokkaido	Sea of Okhotsk	\N	\N
Hokkaido	Sea of Japan	\N	\N
Kyushu	Pacific Ocean	\N	\N
Kyushu	Sea of Japan	\N	\N
Kyushu	East China Sea	\N	\N
Shikoku	Pacific Ocean	\N	\N
Honshu	Pacific Ocean	\N	\N
Honshu	Sea of Japan	\N	\N
Okinawa	Pacific Ocean	\N	\N
Okinawa	East China Sea	\N	\N
Jeju	East China Sea	\N	\N
Taiwan	Pacific Ocean	\N	\N
Taiwan	East China Sea	\N	\N
Taiwan	South China Sea	\N	\N
Hainan	South China Sea	\N	\N
Zhoushan	East China Sea	\N	\N
Luzon	Pacific Ocean	\N	\N
Luzon	South China Sea	\N	\N
Mindoro	South China Sea	\N	\N
Negros	Sulawesi Sea	\N	\N
Panay	Sulawesi Sea	\N	\N
Bohol	Sulawesi Sea	\N	\N
Leyte	Pacific Ocean	\N	\N
Leyte	Sulawesi Sea	\N	\N
Samar	Pacific Ocean	\N	\N
Samar	Sulawesi Sea	\N	\N
Cebu	Sulawesi Sea	\N	\N
Mindanao	Pacific Ocean	\N	\N
Mindanao	Sulawesi Sea	\N	\N
Palawan	South China Sea	\N	\N
Palawan	Sulawesi Sea	\N	\N
Singapore	South China Sea	\N	\N
Singapore	Malakka Strait	\N	\N
Ko Samui	Andaman Sea	\N	\N
Phuket	South China Sea	\N	\N
Sumatra	South China Sea	\N	\N
Sumatra	Indian Ocean	\N	\N
Sumatra	Andaman Sea	\N	\N
Sumatra	Malakka Strait	\N	\N
Sumatra	Java Sea	\N	\N
Batam	South China Sea	\N	\N
Bintan	South China Sea	\N	\N
Bangka	South China Sea	\N	\N
Bangka	Java Sea	\N	\N
Krakatau	Indian Ocean	\N	\N
Krakatau	Java Sea	\N	\N
Java	Indian Ocean	\N	\N
Java	Java Sea	\N	\N
Borneo	South China Sea	\N	\N
Borneo	Java Sea	\N	\N
Borneo	Sulawesi Sea	\N	\N
Labuan	South China Sea	\N	\N
Bali	Indian Ocean	\N	\N
Bali	Java Sea	\N	\N
Lombok	Indian Ocean	\N	\N
Lombok	Java Sea	\N	\N
Sumbawa	Indian Ocean	\N	\N
Sumbawa	Java Sea	\N	\N
Sulawesi	Java Sea	\N	\N
Sulawesi	Banda Sea	\N	\N
Sulawesi	Sulawesi Sea	\N	\N
Timor	Indian Ocean	\N	\N
Timor	Banda Sea	\N	\N
Ambon	Banda Sea	\N	\N
Ceram	Banda Sea	\N	\N
Halmahera	Pacific Ocean	\N	\N
Halmahera	Banda Sea	\N	\N
Ternate	Banda Sea	\N	\N
New Guinea	Pacific Ocean	\N	\N
New Guinea	Banda Sea	\N	\N
Bougainville	Pacific Ocean	\N	\N
Guadalcanal	Pacific Ocean	\N	\N
Grande Terre	Pacific Ocean	\N	\N
Cangaroo Island	Indian Ocean	\N	\N
Melville Island	Indian Ocean	\N	\N
Tasmania	Pacific Ocean	\N	\N
Tasmania	Indian Ocean	\N	\N
Victoria Island	Arctic Ocean	\N	\N
Banks Island	Arctic Ocean	\N	\N
Prince of Wales Island	Arctic Ocean	\N	\N
Baffin Island	Arctic Ocean	\N	\N
Baffin Island	Hudson Bay	\N	\N
Baffin Island	Labrador Sea	\N	\N
Southampton Island	Hudson Bay	\N	\N
Ellesmere Island	Arctic Ocean	\N	\N
Ellesmere Island	Labrador Sea	\N	\N
Devon Island	Arctic Ocean	\N	\N
Devon Island	Labrador Sea	\N	\N
Saint Pierre	Atlantic Ocean	\N	\N
Miquelon-Langlade	Atlantic Ocean	\N	\N
Newfoundland	Atlantic Ocean	\N	\N
Prince Edward Island	Atlantic Ocean	\N	\N
Marthas Vineyard	Atlantic Ocean	\N	\N
Nantucket	Atlantic Ocean	\N	\N
Long Island	Atlantic Ocean	\N	\N
Unalaska	Bering Sea	\N	\N
Unalaska	Pacific Ocean	\N	\N
Vancouver Island	Pacific Ocean	\N	\N
Santa Cruz Island	Pacific Ocean	\N	\N
Santa Catalina Island	Pacific Ocean	\N	\N
Santa Rosa Island	Pacific Ocean	\N	\N
San Clemente Island	Pacific Ocean	\N	\N
San Miguel Island	Pacific Ocean	\N	\N
Grand Bermuda	Atlantic Ocean	\N	\N
New Providence	Atlantic Ocean	\N	\N
Grand Turk	Atlantic Ocean	\N	\N
Providenciales	Atlantic Ocean	\N	\N
North Caicos	Atlantic Ocean	\N	\N
Cuba	Atlantic Ocean	\N	\N
Cuba	Gulf of Mexico	\N	\N
Cuba	Caribbean Sea	\N	\N
Jamaica	Caribbean Sea	\N	\N
Hispaniola	Atlantic Ocean	\N	\N
Hispaniola	Caribbean Sea	\N	\N
Puerto Rico	Atlantic Ocean	\N	\N
Puerto Rico	Caribbean Sea	\N	\N
Tortola	Atlantic Ocean	\N	\N
Tortola	Caribbean Sea	\N	\N
Saint Thomas	Atlantic Ocean	\N	\N
Saint Thomas	Caribbean Sea	\N	\N
Anguilla	Atlantic Ocean	\N	\N
Anguilla	Caribbean Sea	\N	\N
St. Martin	Atlantic Ocean	\N	\N
St. Martin	Caribbean Sea	\N	\N
St. Barthelemy	Atlantic Ocean	\N	\N
St. Barthelemy	Caribbean Sea	\N	\N
Saint Kitts	Atlantic Ocean	\N	\N
Saint Kitts	Caribbean Sea	\N	\N
Nevis	Atlantic Ocean	\N	\N
Nevis	Caribbean Sea	\N	\N
Barbuda	Atlantic Ocean	\N	\N
Barbuda	Caribbean Sea	\N	\N
Antigua	Atlantic Ocean	\N	\N
Antigua	Caribbean Sea	\N	\N
Montserrat	Atlantic Ocean	\N	\N
Montserrat	Caribbean Sea	\N	\N
Basse-Terre	Atlantic Ocean	\N	\N
Basse-Terre	Caribbean Sea	\N	\N
Grande-Terre	Atlantic Ocean	\N	\N
Grande-Terre	Caribbean Sea	\N	\N
Dominica	Atlantic Ocean	\N	\N
Dominica	Caribbean Sea	\N	\N
Martinique	Atlantic Ocean	\N	\N
Martinique	Caribbean Sea	\N	\N
Saint Lucia	Atlantic Ocean	\N	\N
Saint Lucia	Caribbean Sea	\N	\N
Saint Vincent	Atlantic Ocean	\N	\N
Saint Vincent	Caribbean Sea	\N	\N
Barbados	Atlantic Ocean	\N	\N
Grenada	Atlantic Ocean	\N	\N
Grenada	Caribbean Sea	\N	\N
Trinidad	Atlantic Ocean	\N	\N
Trinidad	Caribbean Sea	\N	\N
Tobago	Atlantic Ocean	\N	\N
Tobago	Caribbean Sea	\N	\N
Curacao	Caribbean Sea	\N	\N
Aruba	Caribbean Sea	\N	\N
Grand Cayman	Caribbean Sea	\N	\N
Little Cayman	Caribbean Sea	\N	\N
Cayman Brac	Caribbean Sea	\N	\N
San Andres	Caribbean Sea	\N	\N
Isabela	Pacific Ocean	\N	\N
Niihau	Pacific Ocean	\N	\N
Kauai	Pacific Ocean	\N	\N
Oahu	Pacific Ocean	\N	\N
Molokai	Pacific Ocean	\N	\N
Lanai	Pacific Ocean	\N	\N
Maui	Pacific Ocean	\N	\N
Hawaii	Pacific Ocean	\N	\N
Niue	Pacific Ocean	\N	\N
Saipan	Pacific Ocean	\N	\N
Tinian	Pacific Ocean	\N	\N
Rota	Pacific Ocean	\N	\N
Uvea	Pacific Ocean	\N	\N
Futuna	Pacific Ocean	\N	\N
Tarawa	Pacific Ocean	\N	\N
Kiritimati	Pacific Ocean	\N	\N
Banaba	Pacific Ocean	\N	\N
Tongatapu	Pacific Ocean	\N	\N
Viti Levu	Pacific Ocean	\N	\N
Vanua Levu	Pacific Ocean	\N	\N
Norfolk Island	Pacific Ocean	\N	\N
Nauru	Pacific Ocean	\N	\N
Koror	Pacific Ocean	\N	\N
Babelthuap	Pacific Ocean	\N	\N
Fongafale	Pacific Ocean	\N	\N
Fakaofo	Pacific Ocean	\N	\N
Efate	Pacific Ocean	\N	\N
Upolu	Pacific Ocean	\N	\N
Savaii	Pacific Ocean	\N	\N
Tutuila	Pacific Ocean	\N	\N
Rarotonga	Pacific Ocean	\N	\N
Tahiti	Pacific Ocean	\N	\N
Guam	Pacific Ocean	\N	\N
Majuro	Pacific Ocean	\N	\N
Ponape	Pacific Ocean	\N	\N
Pitcairn	Pacific Ocean	\N	\N
Easter Island	Pacific Ocean	\N	\N
Te Ika-a-Maui (North Island)	Pacific Ocean	\N	\N
Te Waka-a-Maui (South Island)	Pacific Ocean	\N	\N
Olkhon	\N	Ozero Baikal	\N
Samosir	\N	Lake Toba	\N
Rene Levasseur Island	\N	Lake Manicouagan	\N
Manitoulin	\N	Lake Huron	\N
Isla da Ometepe	\N	Lake Nicaragua	\N
Zitny Ostrov	\N	\N	Donau
Zitny Ostrov	\N	\N	Waag
Maly Zitny Ostrov	\N	\N	Donau
Margit Sziget	\N	\N	Donau
Veliki Ratno Ostrvo	\N	\N	Donau
Veliki Ratno Ostrvo	\N	\N	Save
Impalila	\N	\N	Zambezi
Ilha do Bananal	\N	\N	Araguaia
\.


--
-- TOC entry 5283 (class 0 OID 89548)
-- Dependencies: 702
-- Data for Name: ismember; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY ismember (country, organization, type) FROM stdin;
ET	AfDB	regional member
DZ	AfDB	regional member
LAR	AfDB	regional member
RMM	AfDB	regional member
RIM	AfDB	regional member
MA	AfDB	regional member
RN	AfDB	regional member
TN	AfDB	regional member
ANG	AfDB	regional member
RCB	AfDB	regional member
NAM	AfDB	regional member
ZRE	AfDB	regional member
Z	AfDB	regional member
BEN	AfDB	regional member
BF	AfDB	regional member
WAN	AfDB	regional member
RT	AfDB	regional member
RB	AfDB	regional member
RSA	AfDB	regional member
ZW	AfDB	regional member
CI	AfDB	regional member
GH	AfDB	regional member
BI	AfDB	regional member
RWA	AfDB	regional member
EAT	AfDB	regional member
CAM	AfDB	regional member
RCA	AfDB	regional member
TCH	AfDB	regional member
GQ	AfDB	regional member
G	AfDB	regional member
CV	AfDB	regional member
SUD	AfDB	regional member
COM	AfDB	regional member
RG	AfDB	regional member
LB	AfDB	regional member
DJI	AfDB	regional member
ER	AfDB	regional member
ETH	AfDB	regional member
SP	AfDB	regional member
EAK	AfDB	regional member
WAG	AfDB	regional member
SN	AfDB	regional member
GNB	AfDB	regional member
WAL	AfDB	regional member
EAU	AfDB	regional member
LS	AfDB	regional member
RM	AfDB	regional member
MW	AfDB	regional member
MOC	AfDB	regional member
MS	AfDB	regional member
SD	AfDB	regional member
STP	AfDB	regional member
SY	AfDB	regional member
F	AfDB	nonregional member
E	AfDB	nonregional member
A	AfDB	nonregional member
D	AfDB	nonregional member
I	AfDB	nonregional member
CH	AfDB	nonregional member
B	AfDB	nonregional member
NL	AfDB	nonregional member
DK	AfDB	nonregional member
SF	AfDB	nonregional member
N	AfDB	nonregional member
S	AfDB	nonregional member
P	AfDB	nonregional member
GB	AfDB	nonregional member
CN	AfDB	nonregional member
IND	AfDB	nonregional member
KWT	AfDB	nonregional member
SA	AfDB	nonregional member
J	AfDB	nonregional member
ROK	AfDB	nonregional member
UAE	AfDB	nonregional member
CDN	AfDB	nonregional member
USA	AfDB	nonregional member
RA	AfDB	nonregional member
BR	AfDB	nonregional member
ET	AU	member
DZ	AU	member
LAR	AU	member
RMM	AU	member
RIM	AU	member
RN	AU	member
TN	AU	member
WSA	AU	member
ANG	AU	member
RCB	AU	member
NAM	AU	member
ZRE	AU	member
Z	AU	member
BEN	AU	member
BF	AU	member
WAN	AU	member
RT	AU	member
RB	AU	member
RSA	AU	member
ZW	AU	member
CI	AU	member
GH	AU	member
BI	AU	member
RWA	AU	member
EAT	AU	member
CAM	AU	member
RCA	AU	member
TCH	AU	member
GQ	AU	member
G	AU	member
CV	AU	member
SUD	AU	member
SSD	AU	member
COM	AU	member
RG	AU	member
LB	AU	member
DJI	AU	member
ER	AU	member
ETH	AU	member
SP	AU	member
EAK	AU	member
WAG	AU	member
SN	AU	member
GNB	AU	member
WAL	AU	member
EAU	AU	member
LS	AU	member
RM	AU	member
MW	AU	member
MOC	AU	member
MS	AU	member
SD	AU	member
STP	AU	member
SY	AU	member
D	UNAMID	member
TR	UNAMID	member
CN	UNAMID	member
IR	UNAMID	member
PK	UNAMID	member
TAD	UNAMID	member
BD	UNAMID	member
MAL	UNAMID	member
THA	UNAMID	member
K	UNAMID	member
KGZ	UNAMID	member
MNG	UNAMID	member
NEP	UNAMID	member
ET	UNAMID	member
RI	UNAMID	member
JOR	UNAMID	member
ROK	UNAMID	member
YE	UNAMID	member
PAL	UNAMID	member
BOL	UNAMID	member
PE	UNAMID	member
EC	UNAMID	member
RMM	UNAMID	member
TN	UNAMID	member
NAM	UNAMID	member
Z	UNAMID	member
BEN	UNAMID	member
BF	UNAMID	member
WAN	UNAMID	member
RT	UNAMID	member
RSA	UNAMID	member
ZW	UNAMID	member
CI	UNAMID	member
GH	UNAMID	member
BI	UNAMID	member
RWA	UNAMID	member
EAT	UNAMID	member
CAM	UNAMID	member
DJI	UNAMID	member
ETH	UNAMID	member
EAK	UNAMID	member
WAG	UNAMID	member
SN	UNAMID	member
WAL	UNAMID	member
EAU	UNAMID	member
LS	UNAMID	member
MW	UNAMID	member
TL	ACP	member
PNG	ACP	member
AG	ACP	member
BS	ACP	member
BDS	ACP	member
BZ	ACP	member
C	ACP	member
WD	ACP	member
DOM	ACP	member
RH	ACP	member
WG	ACP	member
JA	ACP	member
KN	ACP	member
WL	ACP	member
WV	ACP	member
TT	ACP	member
COOK	ACP	member
FJI	ACP	member
KIR	ACP	member
MH	ACP	member
FSM	ACP	member
NAU	ACP	member
NIUE	ACP	member
PAL	ACP	member
SLB	ACP	member
TO	ACP	member
TUV	ACP	member
VU	ACP	member
WS	ACP	member
GUY	ACP	member
SME	ACP	member
RMM	ACP	member
RIM	ACP	member
RN	ACP	member
ANG	ACP	member
RCB	ACP	member
NAM	ACP	member
ZRE	ACP	member
Z	ACP	member
BEN	ACP	member
BF	ACP	member
WAN	ACP	member
RT	ACP	member
RB	ACP	member
RSA	ACP	member
ZW	ACP	member
CI	ACP	member
GH	ACP	member
BI	ACP	member
RWA	ACP	member
EAT	ACP	member
CAM	ACP	member
RCA	ACP	member
TCH	ACP	member
GQ	ACP	member
G	ACP	member
CV	ACP	member
SUD	ACP	member
COM	ACP	member
RG	ACP	member
LB	ACP	member
DJI	ACP	member
ER	ACP	member
ETH	ACP	member
SP	ACP	member
EAK	ACP	member
WAG	ACP	member
SN	ACP	member
GNB	ACP	member
WAL	ACP	member
EAU	ACP	member
LS	ACP	member
RM	ACP	member
MW	ACP	member
MOC	ACP	member
MS	ACP	member
SD	ACP	member
STP	ACP	member
SY	ACP	member
AG	OPANAL	member
BS	OPANAL	member
BDS	OPANAL	member
BZ	OPANAL	member
GCA	OPANAL	member
MEX	OPANAL	member
CR	OPANAL	member
NIC	OPANAL	member
PA	OPANAL	member
C	OPANAL	member
WD	OPANAL	member
DOM	OPANAL	member
RH	OPANAL	member
ES	OPANAL	member
HCA	OPANAL	member
WG	OPANAL	member
JA	OPANAL	member
CO	OPANAL	member
KN	OPANAL	member
WL	OPANAL	member
WV	OPANAL	member
TT	OPANAL	member
RA	OPANAL	member
BOL	OPANAL	member
BR	OPANAL	member
RCH	OPANAL	member
PY	OPANAL	member
ROU	OPANAL	member
PE	OPANAL	member
GUY	OPANAL	member
SME	OPANAL	member
YV	OPANAL	member
EC	OPANAL	member
TL	AOSIS	member
PNG	AOSIS	member
MV	AOSIS	member
SGP	AOSIS	member
AG	AOSIS	member
BS	AOSIS	member
BDS	AOSIS	member
BZ	AOSIS	member
C	AOSIS	member
WD	AOSIS	member
DOM	AOSIS	member
RH	AOSIS	member
WG	AOSIS	member
JA	AOSIS	member
KN	AOSIS	member
WL	AOSIS	member
WV	AOSIS	member
TT	AOSIS	member
COOK	AOSIS	member
FJI	AOSIS	member
KIR	AOSIS	member
MH	AOSIS	member
FSM	AOSIS	member
NAU	AOSIS	member
NIUE	AOSIS	member
PAL	AOSIS	member
SLB	AOSIS	member
TO	AOSIS	member
TUV	AOSIS	member
VU	AOSIS	member
WS	AOSIS	member
GUY	AOSIS	member
SME	AOSIS	member
CV	AOSIS	member
COM	AOSIS	member
GNB	AOSIS	member
MS	AOSIS	member
STP	AOSIS	member
SY	AOSIS	member
ARU	AOSIS	observer
CUR	AOSIS	observer
NLSM	AOSIS	observer
PR	AOSIS	observer
VIRG	AOSIS	observer
AMSA	AOSIS	observer
GUAM	AOSIS	observer
CO	CAN	member
BOL	CAN	member
PE	CAN	member
EC	CAN	member
RA	CAN	associate member
BR	CAN	associate member
RCH	CAN	associate member
PY	CAN	associate member
ROU	CAN	associate member
E	CAN	observer
BRN	ABEDA	member
ET	ABEDA	member
IRQ	ABEDA	member
JOR	ABEDA	member
KWT	ABEDA	member
SA	ABEDA	member
SYR	ABEDA	member
RL	ABEDA	member
OM	ABEDA	member
UAE	ABEDA	member
Q	ABEDA	member
DZ	ABEDA	member
LAR	ABEDA	member
RIM	ABEDA	member
MA	ABEDA	member
TN	ABEDA	member
SUD	ABEDA	member
BRN	AFESD	member
ET	AFESD	member
IRQ	AFESD	member
JOR	AFESD	member
KWT	AFESD	member
SA	AFESD	member
SYR	AFESD	member
RL	AFESD	member
OM	AFESD	member
UAE	AFESD	member
YE	AFESD	member
Q	AFESD	member
DZ	AFESD	member
LAR	AFESD	member
RIM	AFESD	member
MA	AFESD	member
TN	AFESD	member
SUD	AFESD	member
DJI	AFESD	member
SP	AFESD	member
DZ	AMU	member
LAR	AMU	member
RIM	AMU	member
MA	AMU	member
TN	AMU	member
BRN	AMF	member
ET	AMF	member
IRQ	AMF	member
JOR	AMF	member
KWT	AMF	member
SA	AMF	member
SYR	AMF	member
RL	AMF	member
OM	AMF	member
UAE	AMF	member
YE	AMF	member
Q	AMF	member
DZ	AMF	member
LAR	AMF	member
RIM	AMF	member
MA	AMF	member
TN	AMF	member
SUD	AMF	member
COM	AMF	member
DJI	AMF	member
SP	AMF	member
R	ARF	member
CN	ARF	member
PK	ARF	member
BD	ARF	member
MYA	ARF	member
IND	ARF	member
BRU	ARF	member
MAL	ARF	member
LAO	ARF	member
THA	ARF	member
K	ARF	member
VN	ARF	member
NOK	ARF	member
MNG	ARF	member
RI	ARF	member
TL	ARF	member
PNG	ARF	member
J	ARF	member
ROK	ARF	member
RP	ARF	member
SGP	ARF	member
CL	ARF	member
CDN	ARF	member
USA	ARF	member
AUS	ARF	member
NZ	ARF	member
R	APEC	member
CN	APEC	member
BRU	APEC	member
MAL	APEC	member
THA	APEC	member
VN	APEC	member
HONX	APEC	member
RI	APEC	member
PNG	APEC	member
J	APEC	member
ROK	APEC	member
RP	APEC	member
SGP	APEC	member
RC	APEC	member
MEX	APEC	member
CDN	APEC	member
USA	APEC	member
AUS	APEC	member
NZ	APEC	member
RCH	APEC	member
PE	APEC	member
AFG	ADB	member
CN	ADB	member
PK	ADB	member
TAD	ADB	member
TM	ADB	member
UZB	ADB	member
ARM	ADB	member
GE	ADB	member
AZ	ADB	member
BD	ADB	member
MYA	ADB	member
IND	ADB	member
BHT	ADB	member
BRU	ADB	member
MAL	ADB	member
LAO	ADB	member
THA	ADB	member
K	ADB	member
VN	ADB	member
KAZ	ADB	member
KGZ	ADB	member
HONX	ADB	member
MNG	ADB	member
NEP	ADB	member
RI	ADB	member
TL	ADB	member
PNG	ADB	member
J	ADB	member
ROK	ADB	member
MV	ADB	member
RP	ADB	member
SGP	ADB	member
CL	ADB	member
RC	ADB	member
AUS	ADB	member
COOK	ADB	member
FJI	ADB	member
KIR	ADB	member
MH	ADB	member
FSM	ADB	member
NAU	ADB	member
NZ	ADB	member
PAL	ADB	member
SLB	ADB	member
TO	ADB	member
TUV	ADB	member
VU	ADB	member
WS	ADB	member
F	ADB	nonregional member
E	ADB	nonregional member
A	ADB	nonregional member
D	ADB	nonregional member
I	ADB	nonregional member
CH	ADB	nonregional member
B	ADB	nonregional member
L	ADB	nonregional member
NL	ADB	nonregional member
TR	ADB	nonregional member
DK	ADB	nonregional member
SF	ADB	nonregional member
N	ADB	nonregional member
S	ADB	nonregional member
IRL	ADB	nonregional member
P	ADB	nonregional member
GB	ADB	nonregional member
CDN	ADB	nonregional member
USA	ADB	nonregional member
MYA	ASEAN	member
BRU	ASEAN	member
MAL	ASEAN	member
LAO	ASEAN	member
THA	ASEAN	member
K	ASEAN	member
VN	ASEAN	member
RI	ASEAN	member
RP	ASEAN	member
SGP	ASEAN	member
R	ASEAN	dialogue partner
CN	ASEAN	dialogue partner
IND	ASEAN	dialogue partner
J	ASEAN	dialogue partner
ROK	ASEAN	dialogue partner
CDN	ASEAN	dialogue partner
USA	ASEAN	dialogue partner
AUS	ASEAN	dialogue partner
NZ	ASEAN	dialogue partner
TL	ASEAN	observer
PNG	ASEAN	observer
GR	AG	member
F	AG	member
E	AG	member
A	AG	member
CZ	AG	member
D	AG	member
H	AG	member
I	AG	member
SK	AG	member
SLO	AG	member
CH	AG	member
LV	AG	member
LT	AG	member
PL	AG	member
UA	AG	member
B	AG	member
L	AG	member
NL	AG	member
HR	AG	member
BG	AG	member
RO	AG	member
TR	AG	member
DK	AG	member
EW	AG	member
SF	AG	member
N	AG	member
S	AG	member
IS	AG	member
IRL	AG	member
M	AG	member
P	AG	member
GB	AG	member
CY	AG	member
J	AG	member
ROK	AG	member
MEX	AG	member
CDN	AG	member
USA	AG	member
AUS	AG	member
NZ	AG	member
RA	AG	member
USA	ANZUS	member
AUS	ANZUS	member
NZ	ANZUS	member
LV	BA	member
LT	BA	member
EW	BA	member
GR	BIS	member
MK	BIS	member
SRB	BIS	member
F	BIS	member
E	BIS	member
A	BIS	member
CZ	BIS	member
D	BIS	member
H	BIS	member
I	BIS	member
SK	BIS	member
SLO	BIS	member
CH	BIS	member
LV	BIS	member
LT	BIS	member
PL	BIS	member
R	BIS	member
B	BIS	member
L	BIS	member
NL	BIS	member
BIH	BIS	member
HR	BIS	member
BG	BIS	member
RO	BIS	member
TR	BIS	member
DK	BIS	member
EW	BIS	member
SF	BIS	member
N	BIS	member
S	BIS	member
IS	BIS	member
IRL	BIS	member
P	BIS	member
GB	BIS	member
CN	BIS	member
IND	BIS	member
MAL	BIS	member
THA	BIS	member
HONX	BIS	member
IL	BIS	member
RI	BIS	member
SA	BIS	member
J	BIS	member
ROK	BIS	member
UAE	BIS	member
RP	BIS	member
SGP	BIS	member
MEX	BIS	member
CDN	BIS	member
USA	BIS	member
CO	BIS	member
AUS	BIS	member
NZ	BIS	member
RA	BIS	member
BR	BIS	member
RCH	BIS	member
PE	BIS	member
DZ	BIS	member
RSA	BIS	member
BD	BIMSTEC	member
MYA	BIMSTEC	member
IND	BIMSTEC	member
BHT	BIMSTEC	member
THA	BIMSTEC	member
NEP	BIMSTEC	member
CL	BIMSTEC	member
B	Benelux	member
L	Benelux	member
NL	Benelux	member
AL	BSEC	member
GR	BSEC	member
SRB	BSEC	member
UA	BSEC	member
R	BSEC	member
BG	BSEC	member
RO	BSEC	member
TR	BSEC	member
MD	BSEC	member
ARM	BSEC	member
GE	BSEC	member
AZ	BSEC	member
F	BSEC	observer
A	BSEC	observer
CZ	BSEC	observer
D	BSEC	observer
I	BSEC	observer
SK	BSEC	observer
BY	BSEC	observer
PL	BSEC	observer
HR	BSEC	observer
IL	BSEC	observer
ET	BSEC	observer
TN	BSEC	observer
AG	Caricom	member
BS	Caricom	member
BDS	Caricom	member
BZ	Caricom	member
WD	Caricom	member
RH	Caricom	member
WG	Caricom	member
JA	Caricom	member
MNTS	Caricom	member
KN	Caricom	member
WL	Caricom	member
WV	Caricom	member
TT	Caricom	member
GUY	Caricom	member
SME	Caricom	member
AXA	Caricom	associate member
BERM	Caricom	associate member
BVIR	Caricom	associate member
CAYM	Caricom	associate member
TUCA	Caricom	associate member
ARU	Caricom	observer
MEX	Caricom	observer
DOM	Caricom	observer
CUR	Caricom	observer
NLSM	Caricom	observer
CO	Caricom	observer
PR	Caricom	observer
YV	Caricom	observer
AXA	CDB	regional member
AG	CDB	regional member
BS	CDB	regional member
BDS	CDB	regional member
BZ	CDB	regional member
MEX	CDB	regional member
BVIR	CDB	regional member
CAYM	CDB	regional member
WD	CDB	regional member
RH	CDB	regional member
WG	CDB	regional member
JA	CDB	regional member
MNTS	CDB	regional member
CO	CDB	regional member
KN	CDB	regional member
WL	CDB	regional member
WV	CDB	regional member
TT	CDB	regional member
TUCA	CDB	regional member
GUY	CDB	regional member
YV	CDB	regional member
D	CDB	nonregional member
I	CDB	nonregional member
GB	CDB	nonregional member
CN	CDB	nonregional member
CDN	CDB	nonregional member
F	BDEAC	member
KWT	BDEAC	member
LAR	BDEAC	member
RCB	BDEAC	member
CAM	BDEAC	member
RCA	BDEAC	member
TCH	BDEAC	member
GQ	BDEAC	member
G	BDEAC	member
GCA	BCIE	member
CR	BCIE	member
NIC	BCIE	member
ES	BCIE	member
HCA	BCIE	member
E	BCIE	nonregional member
RC	BCIE	nonregional member
MEX	BCIE	nonregional member
PA	BCIE	nonregional member
DOM	BCIE	nonregional member
CO	BCIE	nonregional member
RA	BCIE	nonregional member
GCA	CACM	member
CR	CACM	member
NIC	CACM	member
ES	CACM	member
HCA	CACM	member
BZ	SICA	member
GCA	SICA	member
CR	SICA	member
NIC	SICA	member
PA	SICA	member
ES	SICA	member
HCA	SICA	member
DOM	SICA	associated member
F	SICA	observer
E	SICA	observer
D	SICA	observer
I	SICA	observer
V	SICA	observer
CN	SICA	observer
J	SICA	observer
ROK	SICA	observer
MEX	SICA	observer
USA	SICA	observer
AUS	SICA	observer
RA	SICA	observer
BR	SICA	observer
RCH	SICA	observer
PE	SICA	observer
AL	CEI	member
MK	CEI	member
SRB	CEI	member
MNE	CEI	member
A	CEI	member
CZ	CEI	member
H	CEI	member
I	CEI	member
SK	CEI	member
SLO	CEI	member
BY	CEI	member
PL	CEI	member
UA	CEI	member
BIH	CEI	member
HR	CEI	member
BG	CEI	member
RO	CEI	member
MD	CEI	member
BY	CSTO	member
R	CSTO	member
TAD	CSTO	member
UZB	CSTO	member
ARM	CSTO	member
KAZ	CSTO	member
KGZ	CSTO	member
AFG	CP	member
IR	CP	member
PK	CP	member
BD	CP	member
MYA	CP	member
IND	CP	member
BHT	CP	member
BRU	CP	member
MAL	CP	member
LAO	CP	member
THA	CP	member
VN	CP	member
MNG	CP	member
NEP	CP	member
RI	CP	member
PNG	CP	member
SA	CP	member
J	CP	member
ROK	CP	member
MV	CP	member
RP	CP	member
SGP	CP	member
CL	CP	member
USA	CP	member
AUS	CP	member
FJI	CP	member
NZ	CP	member
ET	COMESA	member
LAR	COMESA	member
ZRE	COMESA	member
Z	COMESA	member
ZW	COMESA	member
BI	COMESA	member
RWA	COMESA	member
SUD	COMESA	member
COM	COMESA	member
DJI	COMESA	member
ER	COMESA	member
ETH	COMESA	member
EAK	COMESA	member
EAU	COMESA	member
RM	COMESA	member
MW	COMESA	member
MS	COMESA	member
SD	COMESA	member
SY	COMESA	member
M	C	member
GB	C	member
PK	C	member
BD	C	member
IND	C	member
BRU	C	member
MAL	C	member
CY	C	member
PNG	C	member
MV	C	member
SGP	C	member
CL	C	member
AG	C	member
BS	C	member
BDS	C	member
BZ	C	member
CDN	C	member
WD	C	member
WG	C	member
JA	C	member
KN	C	member
WL	C	member
WV	C	member
TT	C	member
AUS	C	member
FJI	C	member
KIR	C	member
NAU	C	member
NZ	C	member
SLB	C	member
TO	C	member
TUV	C	member
VU	C	member
WS	C	member
GUY	C	member
NAM	C	member
Z	C	member
WAN	C	member
RB	C	member
RSA	C	member
GH	C	member
RWA	C	member
EAT	C	member
CAM	C	member
EAK	C	member
WAL	C	member
EAU	C	member
LS	C	member
MW	C	member
MOC	C	member
MS	C	member
SD	C	member
SY	C	member
BY	CIS	member
UA	CIS	member
R	CIS	member
MD	CIS	member
TAD	CIS	member
TM	CIS	member
UZB	CIS	member
ARM	CIS	member
AZ	CIS	member
KAZ	CIS	member
KGZ	CIS	member
AL	CD	signatory
GR	CD	signatory
MK	CD	signatory
SRB	CD	signatory
MNE	CD	signatory
KOS	CD	signatory
E	CD	signatory
A	CD	signatory
CZ	CD	signatory
D	CD	signatory
H	CD	signatory
I	CD	signatory
FL	CD	signatory
SK	CD	signatory
SLO	CD	signatory
CH	CD	signatory
LV	CD	signatory
LT	CD	signatory
PL	CD	signatory
UA	CD	signatory
R	CD	signatory
B	CD	signatory
L	CD	signatory
NL	CD	signatory
BIH	CD	signatory
HR	CD	signatory
BG	CD	signatory
RO	CD	signatory
TR	CD	signatory
DK	CD	signatory
EW	CD	signatory
SF	CD	signatory
N	CD	signatory
S	CD	signatory
MC	CD	signatory
IS	CD	signatory
IRL	CD	signatory
M	CD	signatory
MD	CD	signatory
P	CD	signatory
GB	CD	signatory
ARM	CD	signatory
GE	CD	signatory
AZ	CD	signatory
BD	CD	signatory
IND	CD	signatory
THA	CD	signatory
MNG	CD	signatory
NEP	CD	signatory
CY	CD	signatory
IL	CD	signatory
ET	CD	signatory
RI	CD	signatory
PNG	CD	signatory
JOR	CD	signatory
KWT	CD	signatory
J	CD	signatory
ROK	CD	signatory
YE	CD	signatory
RP	CD	signatory
Q	CD	signatory
CL	CD	signatory
BZ	CD	signatory
GCA	CD	signatory
MEX	CD	signatory
CDN	CD	signatory
USA	CD	signatory
CR	CD	signatory
NIC	CD	signatory
PA	CD	signatory
WD	CD	signatory
DOM	CD	signatory
RH	CD	signatory
ES	CD	signatory
HCA	CD	signatory
CO	CD	signatory
WL	CD	signatory
AUS	CD	signatory
NZ	CD	signatory
RA	CD	signatory
BOL	CD	signatory
BR	CD	signatory
RCH	CD	signatory
PY	CD	signatory
ROU	CD	signatory
PE	CD	signatory
GUY	CD	signatory
SME	CD	signatory
YV	CD	signatory
EC	CD	signatory
DZ	CD	signatory
RMM	CD	signatory
MA	CD	signatory
RN	CD	signatory
TN	CD	signatory
NAM	CD	signatory
BEN	CD	signatory
BF	CD	signatory
WAN	CD	signatory
RB	CD	signatory
RSA	CD	signatory
EAT	CD	signatory
CV	CD	signatory
EAK	CD	signatory
SN	CD	signatory
LS	CD	signatory
RM	CD	signatory
MW	CD	signatory
MOC	CD	signatory
MS	CD	signatory
STP	CD	signatory
SY	CD	signatory
AG	CELAC	member
BS	CELAC	member
BDS	CELAC	member
BZ	CELAC	member
GCA	CELAC	member
MEX	CELAC	member
CR	CELAC	member
NIC	CELAC	member
PA	CELAC	member
C	CELAC	member
WD	CELAC	member
DOM	CELAC	member
RH	CELAC	member
ES	CELAC	member
HCA	CELAC	member
WG	CELAC	member
JA	CELAC	member
CO	CELAC	member
KN	CELAC	member
WL	CELAC	member
WV	CELAC	member
TT	CELAC	member
RA	CELAC	member
BOL	CELAC	member
BR	CELAC	member
RCH	CELAC	member
PY	CELAC	member
ROU	CELAC	member
PE	CELAC	member
GUY	CELAC	member
SME	CELAC	member
YV	CELAC	member
EC	CELAC	member
P	CPLP	member
TL	CPLP	member
BR	CPLP	member
ANG	CPLP	member
CV	CPLP	member
GNB	CPLP	member
MOC	CPLP	member
STP	CPLP	member
GQ	CPLP	associate observer
SN	CPLP	associate observer
MS	CPLP	associate observer
R	CICA	member
TR	CICA	member
AFG	CICA	member
CN	CICA	member
IR	CICA	member
PK	CICA	member
TAD	CICA	member
UZB	CICA	member
AZ	CICA	member
BRN	CICA	member
IND	CICA	member
THA	CICA	member
K	CICA	member
VN	CICA	member
KAZ	CICA	member
KGZ	CICA	member
MNG	CICA	member
IL	CICA	member
ET	CICA	member
IRQ	CICA	member
JOR	CICA	member
ROK	CICA	member
UAE	CICA	member
UA	CICA	observer
BD	CICA	observer
MAL	CICA	observer
RI	CICA	observer
J	CICA	observer
RP	CICA	observer
Q	CICA	observer
CL	CICA	observer
USA	CICA	observer
BRN	CAEU	member
ET	CAEU	member
IRQ	CAEU	member
JOR	CAEU	member
KWT	CAEU	member
SA	CAEU	member
SYR	CAEU	member
RL	CAEU	member
OM	CAEU	member
UAE	CAEU	member
YE	CAEU	member
Q	CAEU	member
DZ	CAEU	member
LAR	CAEU	member
MA	CAEU	member
TN	CAEU	member
SUD	CAEU	member
RIM	CAEU	candidate
COM	CAEU	candidate
DJI	CAEU	candidate
SP	CAEU	candidate
AL	SELEC	member
GR	SELEC	member
MK	SELEC	member
SRB	SELEC	member
MNE	SELEC	member
H	SELEC	member
SLO	SELEC	member
BIH	SELEC	member
HR	SELEC	member
BG	SELEC	member
RO	SELEC	member
TR	SELEC	member
MD	SELEC	member
F	SELEC	observer
E	SELEC	observer
A	SELEC	observer
D	SELEC	observer
I	SELEC	observer
UA	SELEC	observer
B	SELEC	observer
NL	SELEC	observer
P	SELEC	observer
GB	SELEC	observer
GE	SELEC	observer
AZ	SELEC	observer
J	SELEC	observer
CDN	SELEC	observer
USA	SELEC	observer
AL	CE	member
GR	CE	member
MK	CE	member
SRB	CE	member
MNE	CE	member
AND	CE	member
F	CE	member
E	CE	member
A	CE	member
CZ	CE	member
D	CE	member
H	CE	member
I	CE	member
FL	CE	member
SK	CE	member
SLO	CE	member
CH	CE	member
LV	CE	member
LT	CE	member
PL	CE	member
UA	CE	member
R	CE	member
B	CE	member
L	CE	member
NL	CE	member
BIH	CE	member
HR	CE	member
BG	CE	member
RO	CE	member
TR	CE	member
DK	CE	member
EW	CE	member
SF	CE	member
N	CE	member
S	CE	member
MC	CE	member
IS	CE	member
IRL	CE	member
RSM	CE	member
M	CE	member
MD	CE	member
P	CE	member
GB	CE	member
ARM	CE	member
GE	CE	member
AZ	CE	member
CY	CE	member
V	CE	observer
IL	CE	observer
J	CE	observer
MEX	CE	observer
CDN	CE	observer
USA	CE	observer
D	CBSS	member
LV	CBSS	member
LT	CBSS	member
PL	CBSS	member
R	CBSS	member
DK	CBSS	member
EW	CBSS	member
SF	CBSS	member
N	CBSS	member
S	CBSS	member
IS	CBSS	member
F	CBSS	observer
E	CBSS	observer
I	CBSS	observer
SK	CBSS	observer
BY	CBSS	observer
UA	CBSS	observer
NL	CBSS	observer
RO	CBSS	observer
GB	CBSS	observer
USA	CBSS	observer
RN	Entente	member
BEN	Entente	member
BF	Entente	member
RT	Entente	member
CI	Entente	member
TR	D-8	member
IR	D-8	member
PK	D-8	member
BD	D-8	member
MAL	D-8	member
ET	D-8	member
RI	D-8	member
WAN	D-8	member
BI	EAC	member
RWA	EAC	member
EAT	EAC	member
EAK	EAC	member
EAU	EAC	member
RWA	EADB	member
EAT	EADB	member
EAK	EADB	member
EAU	EADB	member
R	EAS	member
CN	EAS	member
MYA	EAS	member
IND	EAS	member
BRU	EAS	member
MAL	EAS	member
LAO	EAS	member
THA	EAS	member
K	EAS	member
VN	EAS	member
RI	EAS	member
J	EAS	member
ROK	EAS	member
RP	EAS	member
SGP	EAS	member
USA	EAS	member
AUS	EAS	member
NZ	EAS	member
ZRE	CEMAC	member
CAM	CEMAC	member
RCA	CEMAC	member
TCH	CEMAC	member
GQ	CEMAC	member
G	CEMAC	member
WAG	CEMAC	member
GR	EMU	member
F	EMU	member
E	EMU	member
A	EMU	member
D	EMU	member
I	EMU	member
SK	EMU	member
SLO	EMU	member
LV	EMU	member
B	EMU	member
L	EMU	member
NL	EMU	member
EW	EMU	member
SF	EMU	member
IRL	EMU	member
M	EMU	member
P	EMU	member
CY	EMU	member
ZRE	CEPGL	member
BI	CEPGL	member
RWA	CEPGL	member
RMM	ECOWAS	member
RN	ECOWAS	member
BEN	ECOWAS	member
BF	ECOWAS	member
WAN	ECOWAS	member
RT	ECOWAS	member
CI	ECOWAS	member
GH	ECOWAS	member
CV	ECOWAS	member
RG	ECOWAS	member
LB	ECOWAS	member
WAG	ECOWAS	member
SN	ECOWAS	member
GNB	ECOWAS	member
WAL	ECOWAS	member
TR	ECO	member
AFG	ECO	member
IR	ECO	member
PK	ECO	member
TAD	ECO	member
TM	ECO	member
UZB	ECO	member
AZ	ECO	member
KAZ	ECO	member
KGZ	ECO	member
BY	EurasEC	member
R	EurasEC	member
TAD	EurasEC	member
UZB	EurasEC	member
KAZ	EurasEC	member
KGZ	EurasEC	member
UA	EurasEC	observer
MD	EurasEC	observer
ARM	EurasEC	observer
AL	EAPC	member
GR	EAPC	member
MK	EAPC	member
SRB	EAPC	member
MNE	EAPC	member
F	EAPC	member
E	EAPC	member
A	EAPC	member
CZ	EAPC	member
D	EAPC	member
H	EAPC	member
I	EAPC	member
SK	EAPC	member
SLO	EAPC	member
CH	EAPC	member
BY	EAPC	member
LV	EAPC	member
LT	EAPC	member
PL	EAPC	member
UA	EAPC	member
R	EAPC	member
B	EAPC	member
L	EAPC	member
NL	EAPC	member
BIH	EAPC	member
HR	EAPC	member
BG	EAPC	member
RO	EAPC	member
TR	EAPC	member
DK	EAPC	member
EW	EAPC	member
SF	EAPC	member
N	EAPC	member
S	EAPC	member
IS	EAPC	member
IRL	EAPC	member
M	EAPC	member
MD	EAPC	member
P	EAPC	member
GB	EAPC	member
TAD	EAPC	member
TM	EAPC	member
UZB	EAPC	member
ARM	EAPC	member
GE	EAPC	member
AZ	EAPC	member
KAZ	EAPC	member
KGZ	EAPC	member
CDN	EAPC	member
USA	EAPC	member
AL	EBRD	member
GR	EBRD	member
MK	EBRD	member
SRB	EBRD	member
MNE	EBRD	member
KOS	EBRD	member
F	EBRD	member
E	EBRD	member
A	EBRD	member
CZ	EBRD	member
D	EBRD	member
H	EBRD	member
I	EBRD	member
FL	EBRD	member
SK	EBRD	member
SLO	EBRD	member
CH	EBRD	member
BY	EBRD	member
LV	EBRD	member
LT	EBRD	member
PL	EBRD	member
UA	EBRD	member
R	EBRD	member
B	EBRD	member
L	EBRD	member
NL	EBRD	member
BIH	EBRD	member
HR	EBRD	member
BG	EBRD	member
RO	EBRD	member
TR	EBRD	member
DK	EBRD	member
EW	EBRD	member
SF	EBRD	member
N	EBRD	member
S	EBRD	member
IS	EBRD	member
IRL	EBRD	member
M	EBRD	member
MD	EBRD	member
P	EBRD	member
GB	EBRD	member
TAD	EBRD	member
TM	EBRD	member
UZB	EBRD	member
ARM	EBRD	member
GE	EBRD	member
AZ	EBRD	member
KAZ	EBRD	member
KGZ	EBRD	member
MNG	EBRD	member
CY	EBRD	member
IL	EBRD	member
ET	EBRD	member
JOR	EBRD	member
J	EBRD	member
ROK	EBRD	member
MEX	EBRD	member
CDN	EBRD	member
USA	EBRD	member
AUS	EBRD	member
NZ	EBRD	member
MA	EBRD	member
TN	EBRD	member
GR	ECB	member
F	ECB	member
E	ECB	member
A	ECB	member
D	ECB	member
I	ECB	member
SK	ECB	member
SLO	ECB	member
LV	ECB	member
B	ECB	member
L	ECB	member
NL	ECB	member
EW	ECB	member
SF	ECB	member
IRL	ECB	member
M	ECB	member
P	ECB	member
CY	ECB	member
FL	EFTA	member
CH	EFTA	member
N	EFTA	member
IS	EFTA	member
GR	EIB	member
F	EIB	member
E	EIB	member
A	EIB	member
CZ	EIB	member
D	EIB	member
H	EIB	member
I	EIB	member
SK	EIB	member
SLO	EIB	member
LV	EIB	member
LT	EIB	member
PL	EIB	member
B	EIB	member
L	EIB	member
NL	EIB	member
HR	EIB	member
BG	EIB	member
RO	EIB	member
DK	EIB	member
EW	EIB	member
SF	EIB	member
S	EIB	member
IRL	EIB	member
M	EIB	member
P	EIB	member
GB	EIB	member
CY	EIB	member
GR	CERN	member
F	CERN	member
E	CERN	member
A	CERN	member
CZ	CERN	member
D	CERN	member
H	CERN	member
I	CERN	member
SK	CERN	member
CH	CERN	member
PL	CERN	member
B	CERN	member
NL	CERN	member
BG	CERN	member
DK	CERN	member
SF	CERN	member
N	CERN	member
S	CERN	member
P	CERN	member
GB	CERN	member
R	CERN	observer
TR	CERN	observer
IND	CERN	observer
J	CERN	observer
USA	CERN	observer
GR	ESA	member
F	ESA	member
E	ESA	member
A	ESA	member
CZ	ESA	member
D	ESA	member
I	ESA	member
CH	ESA	member
PL	ESA	member
B	ESA	member
L	ESA	member
NL	ESA	member
RO	ESA	member
DK	ESA	member
SF	ESA	member
N	ESA	member
S	ESA	member
IRL	ESA	member
P	ESA	member
GB	ESA	member
H	ESA	cooperating state
SLO	ESA	cooperating state
EW	ESA	cooperating state
GR	EU	member
F	EU	member
E	EU	member
A	EU	member
CZ	EU	member
D	EU	member
H	EU	member
I	EU	member
SK	EU	member
SLO	EU	member
LV	EU	member
LT	EU	member
PL	EU	member
B	EU	member
L	EU	member
NL	EU	member
HR	EU	member
BG	EU	member
RO	EU	member
DK	EU	member
EW	EU	member
SF	EU	member
S	EU	member
IRL	EU	member
M	EU	member
P	EU	member
GB	EU	member
CY	EU	member
MK	EU	candidate
SRB	EU	candidate
MNE	EU	candidate
TR	EU	candidate
IS	EU	candidate
F	EITI	stake holder
E	EITI	stake holder
D	EITI	stake holder
I	EITI	stake holder
CH	EITI	stake holder
B	EITI	stake holder
NL	EITI	stake holder
DK	EITI	stake holder
SF	EITI	stake holder
N	EITI	stake holder
S	EITI	stake holder
GB	EITI	stake holder
J	EITI	stake holder
Q	EITI	stake holder
CDN	EITI	stake holder
USA	EITI	stake holder
AUS	EITI	stake holder
AL	EITI	compliant countries
AZ	EITI	compliant countries
KAZ	EITI	compliant countries
KGZ	EITI	compliant countries
MNG	EITI	compliant countries
TL	EITI	compliant countries
IRQ	EITI	compliant countries
YE	EITI	compliant countries
PE	EITI	compliant countries
RMM	EITI	compliant countries
RIM	EITI	compliant countries
RN	EITI	compliant countries
RCB	EITI	compliant countries
Z	EITI	compliant countries
BF	EITI	compliant countries
WAN	EITI	compliant countries
RT	EITI	compliant countries
CI	EITI	compliant countries
GH	EITI	compliant countries
EAT	EITI	compliant countries
CAM	EITI	compliant countries
LB	EITI	compliant countries
MOC	EITI	compliant countries
UA	EITI	candidate countries
AFG	EITI	candidate countries
TAD	EITI	candidate countries
RI	EITI	candidate countries
RP	EITI	candidate countries
GCA	EITI	candidate countries
HCA	EITI	candidate countries
TT	EITI	candidate countries
SLB	EITI	candidate countries
TCH	EITI	candidate countries
RG	EITI	candidate countries
SN	EITI	candidate countries
STP	EITI	candidate countries
GR	FATF	member
F	FATF	member
E	FATF	member
A	FATF	member
D	FATF	member
I	FATF	member
CH	FATF	member
R	FATF	member
B	FATF	member
L	FATF	member
NL	FATF	member
TR	FATF	member
DK	FATF	member
SF	FATF	member
N	FATF	member
S	FATF	member
IS	FATF	member
IRL	FATF	member
P	FATF	member
GB	FATF	member
CN	FATF	member
IND	FATF	member
HONX	FATF	member
J	FATF	member
ROK	FATF	member
SGP	FATF	member
ARU	FATF	member
MEX	FATF	member
CDN	FATF	member
USA	FATF	member
CUR	FATF	member
NLSM	FATF	member
AUS	FATF	member
NZ	FATF	member
RA	FATF	member
BR	FATF	member
RSA	FATF	member
AL	FAO	member
GR	FAO	member
MK	FAO	member
SRB	FAO	member
MNE	FAO	member
AND	FAO	member
F	FAO	member
E	FAO	member
A	FAO	member
CZ	FAO	member
D	FAO	member
H	FAO	member
I	FAO	member
SK	FAO	member
SLO	FAO	member
CH	FAO	member
BY	FAO	member
LV	FAO	member
LT	FAO	member
PL	FAO	member
UA	FAO	member
R	FAO	member
B	FAO	member
L	FAO	member
NL	FAO	member
BIH	FAO	member
HR	FAO	member
BG	FAO	member
RO	FAO	member
TR	FAO	member
DK	FAO	member
EW	FAO	member
SF	FAO	member
N	FAO	member
S	FAO	member
MC	FAO	member
IS	FAO	member
RSM	FAO	member
M	FAO	member
MD	FAO	member
P	FAO	member
GB	FAO	member
AFG	FAO	member
CN	FAO	member
IR	FAO	member
PK	FAO	member
TAD	FAO	member
TM	FAO	member
UZB	FAO	member
ARM	FAO	member
GE	FAO	member
AZ	FAO	member
BRN	FAO	member
BD	FAO	member
MYA	FAO	member
IND	FAO	member
BHT	FAO	member
BRU	FAO	member
MAL	FAO	member
LAO	FAO	member
THA	FAO	member
K	FAO	member
VN	FAO	member
KAZ	FAO	member
NOK	FAO	member
KGZ	FAO	member
MNG	FAO	member
NEP	FAO	member
CY	FAO	member
IL	FAO	member
ET	FAO	member
RI	FAO	member
TL	FAO	member
PNG	FAO	member
IRQ	FAO	member
JOR	FAO	member
KWT	FAO	member
SA	FAO	member
SYR	FAO	member
RL	FAO	member
J	FAO	member
ROK	FAO	member
MV	FAO	member
OM	FAO	member
UAE	FAO	member
YE	FAO	member
Q	FAO	member
SGP	FAO	member
CL	FAO	member
AG	FAO	member
BS	FAO	member
BDS	FAO	member
BZ	FAO	member
GCA	FAO	member
MEX	FAO	member
CDN	FAO	member
USA	FAO	member
CR	FAO	member
NIC	FAO	member
PA	FAO	member
C	FAO	member
WD	FAO	member
DOM	FAO	member
RH	FAO	member
ES	FAO	member
HCA	FAO	member
WG	FAO	member
JA	FAO	member
CO	FAO	member
KN	FAO	member
WL	FAO	member
WV	FAO	member
TT	FAO	member
AUS	FAO	member
COOK	FAO	member
FJI	FAO	member
KIR	FAO	member
MH	FAO	member
FSM	FAO	member
NAU	FAO	member
NZ	FAO	member
NIUE	FAO	member
PAL	FAO	member
SLB	FAO	member
TO	FAO	member
TUV	FAO	member
VU	FAO	member
WS	FAO	member
RA	FAO	member
BOL	FAO	member
BR	FAO	member
RCH	FAO	member
PY	FAO	member
ROU	FAO	member
PE	FAO	member
GUY	FAO	member
SME	FAO	member
YV	FAO	member
EC	FAO	member
DZ	FAO	member
LAR	FAO	member
RMM	FAO	member
RIM	FAO	member
MA	FAO	member
RN	FAO	member
TN	FAO	member
ANG	FAO	member
RCB	FAO	member
NAM	FAO	member
ZRE	FAO	member
Z	FAO	member
BEN	FAO	member
BF	FAO	member
WAN	FAO	member
RT	FAO	member
RB	FAO	member
RSA	FAO	member
ZW	FAO	member
CI	FAO	member
GH	FAO	member
BI	FAO	member
RWA	FAO	member
EAT	FAO	member
CAM	FAO	member
RCA	FAO	member
TCH	FAO	member
GQ	FAO	member
G	FAO	member
CV	FAO	member
SUD	FAO	member
SSD	FAO	member
COM	FAO	member
RG	FAO	member
LB	FAO	member
DJI	FAO	member
ER	FAO	member
ETH	FAO	member
SP	FAO	member
EAK	FAO	member
WAG	FAO	member
SN	FAO	member
GNB	FAO	member
WAL	FAO	member
EAU	FAO	member
LS	FAO	member
RM	FAO	member
MW	FAO	member
MOC	FAO	member
MS	FAO	member
SD	FAO	member
STP	FAO	member
SY	FAO	member
FARX	FAO	associate member
TOK	FAO	associate member
F	FZ	member
RMM	FZ	member
RN	FZ	member
RCB	FZ	member
BEN	FZ	member
BF	FZ	member
RT	FZ	member
CI	FZ	member
CAM	FZ	member
RCA	FZ	member
TCH	FZ	member
GQ	FZ	member
G	FZ	member
COM	FZ	member
SN	FZ	member
GNB	FZ	member
BY	GCTU	member
UA	GCTU	member
R	GCTU	member
MD	GCTU	member
TAD	GCTU	member
ARM	GCTU	member
GE	GCTU	member
AZ	GCTU	member
KAZ	GCTU	member
KGZ	GCTU	member
F	G-10	member
D	G-10	member
I	G-10	member
CH	G-10	member
B	G-10	member
NL	G-10	member
S	G-10	member
GB	G-10	member
J	G-10	member
CDN	G-10	member
USA	G-10	member
HR	G-11	member
PK	G-11	member
GE	G-11	member
RI	G-11	member
JOR	G-11	member
CL	G-11	member
ES	G-11	member
HCA	G-11	member
PY	G-11	member
EC	G-11	member
MA	G-11	member
IR	G-15	member
IND	G-15	member
MAL	G-15	member
ET	G-15	member
RI	G-15	member
CL	G-15	member
MEX	G-15	member
JA	G-15	member
RA	G-15	member
BR	G-15	member
RCH	G-15	member
YV	G-15	member
DZ	G-15	member
WAN	G-15	member
ZW	G-15	member
EAK	G-15	member
SN	G-15	member
F	G-20	member
D	G-20	member
I	G-20	member
R	G-20	member
TR	G-20	member
GB	G-20	member
CN	G-20	member
IND	G-20	member
RI	G-20	member
SA	G-20	member
J	G-20	member
ROK	G-20	member
MEX	G-20	member
CDN	G-20	member
USA	G-20	member
AUS	G-20	member
RA	G-20	member
BR	G-20	member
RSA	G-20	member
IR	G-24	member
PK	G-24	member
IND	G-24	member
ET	G-24	member
SYR	G-24	member
RL	G-24	member
RP	G-24	member
CL	G-24	member
GCA	G-24	member
MEX	G-24	member
CO	G-24	member
TT	G-24	member
RA	G-24	member
BR	G-24	member
PE	G-24	member
YV	G-24	member
DZ	G-24	member
ZRE	G-24	member
WAN	G-24	member
RSA	G-24	member
CI	G-24	member
GH	G-24	member
G	G-24	member
ETH	G-24	member
CN	G-24	observer
MEX	G-3	member
CO	G-3	member
F	G-5	member
D	G-5	member
GB	G-5	member
J	G-5	member
USA	G-5	member
F	G-7	member
D	G-7	member
I	G-7	member
GB	G-7	member
J	G-7	member
CDN	G-7	member
USA	G-7	member
BIH	G-77	member
AFG	G-77	member
CN	G-77	member
IR	G-77	member
PK	G-77	member
TAD	G-77	member
TM	G-77	member
BRN	G-77	member
BD	G-77	member
MYA	G-77	member
IND	G-77	member
BHT	G-77	member
BRU	G-77	member
MAL	G-77	member
LAO	G-77	member
THA	G-77	member
K	G-77	member
VN	G-77	member
NOK	G-77	member
MNG	G-77	member
NEP	G-77	member
ET	G-77	member
RI	G-77	member
TL	G-77	member
PNG	G-77	member
IRQ	G-77	member
JOR	G-77	member
KWT	G-77	member
SA	G-77	member
SYR	G-77	member
RL	G-77	member
MV	G-77	member
OM	G-77	member
UAE	G-77	member
YE	G-77	member
RP	G-77	member
Q	G-77	member
SGP	G-77	member
CL	G-77	member
AG	G-77	member
BS	G-77	member
BDS	G-77	member
BZ	G-77	member
GCA	G-77	member
CR	G-77	member
NIC	G-77	member
PA	G-77	member
C	G-77	member
WD	G-77	member
DOM	G-77	member
RH	G-77	member
ES	G-77	member
HCA	G-77	member
WG	G-77	member
JA	G-77	member
CO	G-77	member
KN	G-77	member
WL	G-77	member
WV	G-77	member
TT	G-77	member
FJI	G-77	member
KIR	G-77	member
MH	G-77	member
FSM	G-77	member
NAU	G-77	member
SLB	G-77	member
TO	G-77	member
VU	G-77	member
WS	G-77	member
RA	G-77	member
BOL	G-77	member
BR	G-77	member
RCH	G-77	member
PY	G-77	member
ROU	G-77	member
PE	G-77	member
GUY	G-77	member
SME	G-77	member
YV	G-77	member
EC	G-77	member
DZ	G-77	member
LAR	G-77	member
RMM	G-77	member
RIM	G-77	member
MA	G-77	member
RN	G-77	member
TN	G-77	member
ANG	G-77	member
RCB	G-77	member
NAM	G-77	member
ZRE	G-77	member
Z	G-77	member
BEN	G-77	member
BF	G-77	member
WAN	G-77	member
RT	G-77	member
RB	G-77	member
RSA	G-77	member
ZW	G-77	member
CI	G-77	member
GH	G-77	member
BI	G-77	member
RWA	G-77	member
EAT	G-77	member
CAM	G-77	member
RCA	G-77	member
TCH	G-77	member
GQ	G-77	member
G	G-77	member
CV	G-77	member
SUD	G-77	member
COM	G-77	member
RG	G-77	member
LB	G-77	member
DJI	G-77	member
ER	G-77	member
ETH	G-77	member
SP	G-77	member
EAK	G-77	member
WAG	G-77	member
SN	G-77	member
GNB	G-77	member
WAL	G-77	member
EAU	G-77	member
LS	G-77	member
RM	G-77	member
MW	G-77	member
MOC	G-77	member
MS	G-77	member
SD	G-77	member
STP	G-77	member
SY	G-77	member
F	G-8	member
D	G-8	member
I	G-8	member
GB	G-8	member
J	G-8	member
CDN	G-8	member
USA	G-8	member
SRB	G-9	member
A	G-9	member
H	G-9	member
B	G-9	member
BG	G-9	member
RO	G-9	member
DK	G-9	member
SF	G-9	member
S	G-9	member
BRN	GCC	member
KWT	GCC	member
SA	GCC	member
OM	GCC	member
UAE	GCC	member
Q	GCC	member
F	InOC	member
COM	InOC	member
RM	InOC	member
MS	InOC	member
SY	InOC	member
F	IADB	member
E	IADB	member
A	IADB	member
D	IADB	member
I	IADB	member
SLO	IADB	member
CH	IADB	member
B	IADB	member
NL	IADB	member
HR	IADB	member
DK	IADB	member
SF	IADB	member
N	IADB	member
S	IADB	member
P	IADB	member
GB	IADB	member
CN	IADB	member
IL	IADB	member
J	IADB	member
ROK	IADB	member
BS	IADB	member
BDS	IADB	member
BZ	IADB	member
GCA	IADB	member
MEX	IADB	member
CDN	IADB	member
USA	IADB	member
CR	IADB	member
NIC	IADB	member
PA	IADB	member
DOM	IADB	member
RH	IADB	member
ES	IADB	member
HCA	IADB	member
JA	IADB	member
CO	IADB	member
TT	IADB	member
RA	IADB	member
BOL	IADB	member
BR	IADB	member
RCH	IADB	member
PY	IADB	member
ROU	IADB	member
PE	IADB	member
GUY	IADB	member
SME	IADB	member
YV	IADB	member
EC	IADB	member
SUD	IGAD	member
DJI	IGAD	member
ETH	IGAD	member
SP	IGAD	member
EAK	IGAD	member
EAU	IGAD	member
GR	IGAD	partner
F	IGAD	partner
A	IGAD	partner
D	IGAD	partner
I	IGAD	partner
CH	IGAD	partner
B	IGAD	partner
NL	IGAD	partner
DK	IGAD	partner
N	IGAD	partner
S	IGAD	partner
IRL	IGAD	partner
GB	IGAD	partner
J	IGAD	partner
CDN	IGAD	partner
USA	IGAD	partner
AL	IPU	member
GR	IPU	member
MK	IPU	member
SRB	IPU	member
MNE	IPU	member
AND	IPU	member
F	IPU	member
E	IPU	member
A	IPU	member
CZ	IPU	member
D	IPU	member
H	IPU	member
I	IPU	member
FL	IPU	member
SK	IPU	member
SLO	IPU	member
CH	IPU	member
BY	IPU	member
LV	IPU	member
LT	IPU	member
PL	IPU	member
UA	IPU	member
R	IPU	member
B	IPU	member
L	IPU	member
NL	IPU	member
BIH	IPU	member
HR	IPU	member
BG	IPU	member
RO	IPU	member
TR	IPU	member
DK	IPU	member
EW	IPU	member
SF	IPU	member
N	IPU	member
S	IPU	member
MC	IPU	member
IS	IPU	member
IRL	IPU	member
RSM	IPU	member
M	IPU	member
MD	IPU	member
P	IPU	member
GB	IPU	member
AFG	IPU	member
CN	IPU	member
IR	IPU	member
PK	IPU	member
TAD	IPU	member
ARM	IPU	member
GE	IPU	member
AZ	IPU	member
BRN	IPU	member
BD	IPU	member
MYA	IPU	member
IND	IPU	member
BHT	IPU	member
MAL	IPU	member
LAO	IPU	member
THA	IPU	member
K	IPU	member
VN	IPU	member
KAZ	IPU	member
NOK	IPU	member
KGZ	IPU	member
MNG	IPU	member
NEP	IPU	member
CY	IPU	member
IL	IPU	member
RI	IPU	member
TL	IPU	member
PNG	IPU	member
IRQ	IPU	member
JOR	IPU	member
KWT	IPU	member
SA	IPU	member
SYR	IPU	member
RL	IPU	member
J	IPU	member
ROK	IPU	member
MV	IPU	member
OM	IPU	member
UAE	IPU	member
YE	IPU	member
RP	IPU	member
Q	IPU	member
SGP	IPU	member
CL	IPU	member
GCA	IPU	member
MEX	IPU	member
CDN	IPU	member
CR	IPU	member
NIC	IPU	member
PA	IPU	member
C	IPU	member
DOM	IPU	member
RH	IPU	member
ES	IPU	member
HCA	IPU	member
CO	IPU	member
TT	IPU	member
AUS	IPU	member
FSM	IPU	member
NZ	IPU	member
PAL	IPU	member
WS	IPU	member
RA	IPU	member
BOL	IPU	member
BR	IPU	member
RCH	IPU	member
PY	IPU	member
ROU	IPU	member
PE	IPU	member
SME	IPU	member
YV	IPU	member
EC	IPU	member
DZ	IPU	member
LAR	IPU	member
RMM	IPU	member
RIM	IPU	member
MA	IPU	member
RN	IPU	member
TN	IPU	member
ANG	IPU	member
RCB	IPU	member
NAM	IPU	member
ZRE	IPU	member
Z	IPU	member
BEN	IPU	member
BF	IPU	member
WAN	IPU	member
RT	IPU	member
RB	IPU	member
RSA	IPU	member
ZW	IPU	member
CI	IPU	member
GH	IPU	member
BI	IPU	member
RWA	IPU	member
EAT	IPU	member
CAM	IPU	member
TCH	IPU	member
GQ	IPU	member
G	IPU	member
CV	IPU	member
SUD	IPU	member
SSD	IPU	member
DJI	IPU	member
ETH	IPU	member
SP	IPU	member
EAK	IPU	member
WAG	IPU	member
SN	IPU	member
GNB	IPU	member
WAL	IPU	member
EAU	IPU	member
LS	IPU	member
MW	IPU	member
MOC	IPU	member
MS	IPU	member
STP	IPU	member
SY	IPU	member
AL	IAEA	member
GR	IAEA	member
MK	IAEA	member
SRB	IAEA	member
MNE	IAEA	member
F	IAEA	member
E	IAEA	member
A	IAEA	member
CZ	IAEA	member
D	IAEA	member
H	IAEA	member
I	IAEA	member
FL	IAEA	member
SK	IAEA	member
SLO	IAEA	member
CH	IAEA	member
BY	IAEA	member
LV	IAEA	member
LT	IAEA	member
PL	IAEA	member
UA	IAEA	member
R	IAEA	member
B	IAEA	member
L	IAEA	member
NL	IAEA	member
BIH	IAEA	member
HR	IAEA	member
BG	IAEA	member
RO	IAEA	member
TR	IAEA	member
DK	IAEA	member
EW	IAEA	member
SF	IAEA	member
N	IAEA	member
S	IAEA	member
MC	IAEA	member
V	IAEA	member
IS	IAEA	member
IRL	IAEA	member
RSM	IAEA	member
M	IAEA	member
MD	IAEA	member
P	IAEA	member
GB	IAEA	member
AFG	IAEA	member
CN	IAEA	member
IR	IAEA	member
PK	IAEA	member
TAD	IAEA	member
UZB	IAEA	member
ARM	IAEA	member
GE	IAEA	member
AZ	IAEA	member
BRN	IAEA	member
BD	IAEA	member
MYA	IAEA	member
IND	IAEA	member
BRU	IAEA	member
MAL	IAEA	member
LAO	IAEA	member
THA	IAEA	member
K	IAEA	member
VN	IAEA	member
KAZ	IAEA	member
KGZ	IAEA	member
MNG	IAEA	member
NEP	IAEA	member
CY	IAEA	member
IL	IAEA	member
ET	IAEA	member
RI	IAEA	member
PNG	IAEA	member
IRQ	IAEA	member
JOR	IAEA	member
KWT	IAEA	member
SA	IAEA	member
SYR	IAEA	member
RL	IAEA	member
J	IAEA	member
ROK	IAEA	member
OM	IAEA	member
UAE	IAEA	member
YE	IAEA	member
RP	IAEA	member
Q	IAEA	member
SGP	IAEA	member
CL	IAEA	member
BZ	IAEA	member
GCA	IAEA	member
MEX	IAEA	member
CDN	IAEA	member
USA	IAEA	member
CR	IAEA	member
NIC	IAEA	member
PA	IAEA	member
C	IAEA	member
WD	IAEA	member
DOM	IAEA	member
RH	IAEA	member
ES	IAEA	member
HCA	IAEA	member
JA	IAEA	member
CO	IAEA	member
TT	IAEA	member
AUS	IAEA	member
FJI	IAEA	member
MH	IAEA	member
NZ	IAEA	member
PAL	IAEA	member
TO	IAEA	member
RA	IAEA	member
BOL	IAEA	member
BR	IAEA	member
RCH	IAEA	member
PY	IAEA	member
ROU	IAEA	member
PE	IAEA	member
YV	IAEA	member
EC	IAEA	member
DZ	IAEA	member
LAR	IAEA	member
RMM	IAEA	member
RIM	IAEA	member
MA	IAEA	member
RN	IAEA	member
TN	IAEA	member
ANG	IAEA	member
RCB	IAEA	member
NAM	IAEA	member
ZRE	IAEA	member
Z	IAEA	member
BEN	IAEA	member
BF	IAEA	member
WAN	IAEA	member
RT	IAEA	member
RB	IAEA	member
RSA	IAEA	member
ZW	IAEA	member
CI	IAEA	member
GH	IAEA	member
BI	IAEA	member
RWA	IAEA	member
EAT	IAEA	member
CAM	IAEA	member
RCA	IAEA	member
TCH	IAEA	member
G	IAEA	member
CV	IAEA	member
SUD	IAEA	member
LB	IAEA	member
ER	IAEA	member
ETH	IAEA	member
EAK	IAEA	member
SN	IAEA	member
WAL	IAEA	member
EAU	IAEA	member
LS	IAEA	member
RM	IAEA	member
MW	IAEA	member
MOC	IAEA	member
MS	IAEA	member
SD	IAEA	member
SY	IAEA	member
AL	IBRD	member
GR	IBRD	member
MK	IBRD	member
SRB	IBRD	member
MNE	IBRD	member
KOS	IBRD	member
F	IBRD	member
E	IBRD	member
A	IBRD	member
CZ	IBRD	member
D	IBRD	member
H	IBRD	member
I	IBRD	member
SK	IBRD	member
SLO	IBRD	member
CH	IBRD	member
BY	IBRD	member
LV	IBRD	member
LT	IBRD	member
PL	IBRD	member
UA	IBRD	member
R	IBRD	member
B	IBRD	member
L	IBRD	member
NL	IBRD	member
BIH	IBRD	member
HR	IBRD	member
BG	IBRD	member
RO	IBRD	member
TR	IBRD	member
DK	IBRD	member
EW	IBRD	member
SF	IBRD	member
N	IBRD	member
S	IBRD	member
IS	IBRD	member
RSM	IBRD	member
M	IBRD	member
MD	IBRD	member
P	IBRD	member
GB	IBRD	member
AFG	IBRD	member
CN	IBRD	member
IR	IBRD	member
PK	IBRD	member
TAD	IBRD	member
TM	IBRD	member
UZB	IBRD	member
ARM	IBRD	member
GE	IBRD	member
AZ	IBRD	member
BRN	IBRD	member
BD	IBRD	member
MYA	IBRD	member
IND	IBRD	member
BHT	IBRD	member
BRU	IBRD	member
MAL	IBRD	member
LAO	IBRD	member
THA	IBRD	member
K	IBRD	member
VN	IBRD	member
KAZ	IBRD	member
KGZ	IBRD	member
MNG	IBRD	member
NEP	IBRD	member
CY	IBRD	member
IL	IBRD	member
ET	IBRD	member
RI	IBRD	member
TL	IBRD	member
PNG	IBRD	member
IRQ	IBRD	member
JOR	IBRD	member
KWT	IBRD	member
SA	IBRD	member
SYR	IBRD	member
RL	IBRD	member
J	IBRD	member
ROK	IBRD	member
MV	IBRD	member
OM	IBRD	member
UAE	IBRD	member
YE	IBRD	member
Q	IBRD	member
SGP	IBRD	member
CL	IBRD	member
AG	IBRD	member
BS	IBRD	member
BDS	IBRD	member
BZ	IBRD	member
GCA	IBRD	member
MEX	IBRD	member
CDN	IBRD	member
USA	IBRD	member
CR	IBRD	member
NIC	IBRD	member
PA	IBRD	member
WD	IBRD	member
DOM	IBRD	member
RH	IBRD	member
ES	IBRD	member
HCA	IBRD	member
WG	IBRD	member
JA	IBRD	member
CO	IBRD	member
KN	IBRD	member
WL	IBRD	member
WV	IBRD	member
TT	IBRD	member
AUS	IBRD	member
FJI	IBRD	member
KIR	IBRD	member
MH	IBRD	member
FSM	IBRD	member
NZ	IBRD	member
PAL	IBRD	member
SLB	IBRD	member
TO	IBRD	member
TUV	IBRD	member
VU	IBRD	member
WS	IBRD	member
RA	IBRD	member
BOL	IBRD	member
BR	IBRD	member
RCH	IBRD	member
PY	IBRD	member
ROU	IBRD	member
PE	IBRD	member
GUY	IBRD	member
SME	IBRD	member
YV	IBRD	member
EC	IBRD	member
DZ	IBRD	member
LAR	IBRD	member
RMM	IBRD	member
RIM	IBRD	member
MA	IBRD	member
RN	IBRD	member
TN	IBRD	member
ANG	IBRD	member
RCB	IBRD	member
NAM	IBRD	member
ZRE	IBRD	member
Z	IBRD	member
BEN	IBRD	member
BF	IBRD	member
WAN	IBRD	member
RT	IBRD	member
RB	IBRD	member
RSA	IBRD	member
ZW	IBRD	member
CI	IBRD	member
GH	IBRD	member
BI	IBRD	member
RWA	IBRD	member
EAT	IBRD	member
CAM	IBRD	member
RCA	IBRD	member
TCH	IBRD	member
GQ	IBRD	member
G	IBRD	member
CV	IBRD	member
SUD	IBRD	member
SSD	IBRD	member
COM	IBRD	member
RG	IBRD	member
LB	IBRD	member
DJI	IBRD	member
ER	IBRD	member
ETH	IBRD	member
SP	IBRD	member
EAK	IBRD	member
WAG	IBRD	member
SN	IBRD	member
GNB	IBRD	member
WAL	IBRD	member
EAU	IBRD	member
LS	IBRD	member
RM	IBRD	member
MW	IBRD	member
MOC	IBRD	member
MS	IBRD	member
SD	IBRD	member
STP	IBRD	member
SY	IBRD	member
AL	ICC	national committee
GR	ICC	national committee
SRB	ICC	national committee
F	ICC	national committee
E	ICC	national committee
A	ICC	national committee
CZ	ICC	national committee
D	ICC	national committee
H	ICC	national committee
I	ICC	national committee
SK	ICC	national committee
SLO	ICC	national committee
CH	ICC	national committee
LT	ICC	national committee
PL	ICC	national committee
UA	ICC	national committee
R	ICC	national committee
B	ICC	national committee
L	ICC	national committee
NL	ICC	national committee
HR	ICC	national committee
BG	ICC	national committee
RO	ICC	national committee
TR	ICC	national committee
DK	ICC	national committee
EW	ICC	national committee
SF	ICC	national committee
N	ICC	national committee
S	ICC	national committee
MC	ICC	national committee
IS	ICC	national committee
IRL	ICC	national committee
P	ICC	national committee
GB	ICC	national committee
CN	ICC	national committee
IR	ICC	national committee
PK	ICC	national committee
GE	ICC	national committee
BRN	ICC	national committee
BD	ICC	national committee
IND	ICC	national committee
MAL	ICC	national committee
THA	ICC	national committee
HONX	ICC	national committee
MACX	ICC	national committee
CY	ICC	national committee
IL	ICC	national committee
ET	ICC	national committee
RI	ICC	national committee
JOR	ICC	national committee
KWT	ICC	national committee
SA	ICC	national committee
SYR	ICC	national committee
RL	ICC	national committee
J	ICC	national committee
ROK	ICC	national committee
UAE	ICC	national committee
RP	ICC	national committee
Q	ICC	national committee
SGP	ICC	national committee
CL	ICC	national committee
RC	ICC	national committee
GCA	ICC	national committee
MEX	ICC	national committee
CDN	ICC	national committee
USA	ICC	national committee
CR	ICC	national committee
PA	ICC	national committee
C	ICC	national committee
DOM	ICC	national committee
ES	ICC	national committee
CO	ICC	national committee
AUS	ICC	national committee
NZ	ICC	national committee
RA	ICC	national committee
BOL	ICC	national committee
BR	ICC	national committee
RCH	ICC	national committee
ROU	ICC	national committee
EC	ICC	national committee
DZ	ICC	national committee
MA	ICC	national committee
TN	ICC	national committee
BF	ICC	national committee
WAN	ICC	national committee
RT	ICC	national committee
RSA	ICC	national committee
GH	ICC	national committee
CAM	ICC	national committee
EAK	ICC	national committee
SN	ICC	national committee
RM	ICC	national committee
MK	ICC	having direct member
MNE	ICC	having direct member
AND	ICC	having direct member
BY	ICC	having direct member
LV	ICC	having direct member
BIH	ICC	having direct member
GBZ	ICC	having direct member
M	ICC	having direct member
MD	ICC	having direct member
AFG	ICC	having direct member
TAD	ICC	having direct member
ARM	ICC	having direct member
AZ	ICC	having direct member
MYA	ICC	having direct member
VN	ICC	having direct member
NOK	ICC	having direct member
MNG	ICC	having direct member
IRQ	ICC	having direct member
OM	ICC	having direct member
BERM	ICC	having direct member
RH	ICC	having direct member
HCA	ICC	having direct member
PE	ICC	having direct member
RIM	ICC	having direct member
ZRE	ICC	having direct member
RB	ICC	having direct member
CI	ICC	having direct member
EAT	ICC	having direct member
SUD	ICC	having direct member
LB	ICC	having direct member
ER	ICC	having direct member
ETH	ICC	having direct member
EAU	ICC	having direct member
MOC	ICC	having direct member
MS	ICC	having direct member
AL	ICAO	member
GR	ICAO	member
MK	ICAO	member
SRB	ICAO	member
MNE	ICAO	member
AND	ICAO	member
F	ICAO	member
E	ICAO	member
A	ICAO	member
CZ	ICAO	member
D	ICAO	member
H	ICAO	member
I	ICAO	member
SK	ICAO	member
SLO	ICAO	member
CH	ICAO	member
BY	ICAO	member
LV	ICAO	member
LT	ICAO	member
PL	ICAO	member
UA	ICAO	member
R	ICAO	member
B	ICAO	member
L	ICAO	member
NL	ICAO	member
BIH	ICAO	member
HR	ICAO	member
BG	ICAO	member
RO	ICAO	member
TR	ICAO	member
DK	ICAO	member
EW	ICAO	member
SF	ICAO	member
N	ICAO	member
S	ICAO	member
MC	ICAO	member
IS	ICAO	member
RSM	ICAO	member
M	ICAO	member
MD	ICAO	member
P	ICAO	member
GB	ICAO	member
AFG	ICAO	member
CN	ICAO	member
IR	ICAO	member
PK	ICAO	member
TAD	ICAO	member
TM	ICAO	member
UZB	ICAO	member
ARM	ICAO	member
GE	ICAO	member
AZ	ICAO	member
BRN	ICAO	member
BD	ICAO	member
MYA	ICAO	member
IND	ICAO	member
BHT	ICAO	member
BRU	ICAO	member
MAL	ICAO	member
LAO	ICAO	member
THA	ICAO	member
K	ICAO	member
VN	ICAO	member
KAZ	ICAO	member
NOK	ICAO	member
KGZ	ICAO	member
MNG	ICAO	member
NEP	ICAO	member
CY	ICAO	member
IL	ICAO	member
ET	ICAO	member
RI	ICAO	member
TL	ICAO	member
PNG	ICAO	member
IRQ	ICAO	member
JOR	ICAO	member
KWT	ICAO	member
SA	ICAO	member
SYR	ICAO	member
RL	ICAO	member
J	ICAO	member
ROK	ICAO	member
MV	ICAO	member
OM	ICAO	member
UAE	ICAO	member
YE	ICAO	member
Q	ICAO	member
SGP	ICAO	member
CL	ICAO	member
AG	ICAO	member
BS	ICAO	member
BDS	ICAO	member
BZ	ICAO	member
GCA	ICAO	member
MEX	ICAO	member
CDN	ICAO	member
USA	ICAO	member
CR	ICAO	member
NIC	ICAO	member
PA	ICAO	member
C	ICAO	member
DOM	ICAO	member
RH	ICAO	member
ES	ICAO	member
HCA	ICAO	member
WG	ICAO	member
JA	ICAO	member
CO	ICAO	member
KN	ICAO	member
WL	ICAO	member
WV	ICAO	member
TT	ICAO	member
AUS	ICAO	member
COOK	ICAO	member
FJI	ICAO	member
KIR	ICAO	member
MH	ICAO	member
FSM	ICAO	member
NAU	ICAO	member
NZ	ICAO	member
PAL	ICAO	member
SLB	ICAO	member
TO	ICAO	member
VU	ICAO	member
WS	ICAO	member
RA	ICAO	member
BOL	ICAO	member
BR	ICAO	member
RCH	ICAO	member
PY	ICAO	member
ROU	ICAO	member
PE	ICAO	member
GUY	ICAO	member
SME	ICAO	member
YV	ICAO	member
EC	ICAO	member
DZ	ICAO	member
LAR	ICAO	member
RMM	ICAO	member
RIM	ICAO	member
MA	ICAO	member
RN	ICAO	member
TN	ICAO	member
ANG	ICAO	member
RCB	ICAO	member
NAM	ICAO	member
ZRE	ICAO	member
Z	ICAO	member
BEN	ICAO	member
BF	ICAO	member
WAN	ICAO	member
RT	ICAO	member
RB	ICAO	member
RSA	ICAO	member
ZW	ICAO	member
CI	ICAO	member
GH	ICAO	member
BI	ICAO	member
RWA	ICAO	member
EAT	ICAO	member
CAM	ICAO	member
RCA	ICAO	member
TCH	ICAO	member
GQ	ICAO	member
G	ICAO	member
CV	ICAO	member
SUD	ICAO	member
SSD	ICAO	member
COM	ICAO	member
RG	ICAO	member
LB	ICAO	member
DJI	ICAO	member
ER	ICAO	member
ETH	ICAO	member
SP	ICAO	member
EAK	ICAO	member
WAG	ICAO	member
SN	ICAO	member
GNB	ICAO	member
WAL	ICAO	member
EAU	ICAO	member
LS	ICAO	member
RM	ICAO	member
MW	ICAO	member
MOC	ICAO	member
MS	ICAO	member
SD	ICAO	member
STP	ICAO	member
SY	ICAO	member
GR	ICJ	accepting compulsory jurisdiction with reservations
E	ICJ	accepting compulsory jurisdiction with reservations
D	ICJ	accepting compulsory jurisdiction with reservations
H	ICJ	accepting compulsory jurisdiction with reservations
FL	ICJ	accepting compulsory jurisdiction with reservations
SK	ICJ	accepting compulsory jurisdiction with reservations
CH	ICJ	accepting compulsory jurisdiction with reservations
LT	ICJ	accepting compulsory jurisdiction with reservations
PL	ICJ	accepting compulsory jurisdiction with reservations
B	ICJ	accepting compulsory jurisdiction with reservations
NL	ICJ	accepting compulsory jurisdiction with reservations
BG	ICJ	accepting compulsory jurisdiction with reservations
DK	ICJ	accepting compulsory jurisdiction with reservations
EW	ICJ	accepting compulsory jurisdiction with reservations
SF	ICJ	accepting compulsory jurisdiction with reservations
N	ICJ	accepting compulsory jurisdiction with reservations
S	ICJ	accepting compulsory jurisdiction with reservations
M	ICJ	accepting compulsory jurisdiction with reservations
P	ICJ	accepting compulsory jurisdiction with reservations
GB	ICJ	accepting compulsory jurisdiction with reservations
PK	ICJ	accepting compulsory jurisdiction with reservations
IND	ICJ	accepting compulsory jurisdiction with reservations
K	ICJ	accepting compulsory jurisdiction with reservations
CY	ICJ	accepting compulsory jurisdiction with reservations
ET	ICJ	accepting compulsory jurisdiction with reservations
J	ICJ	accepting compulsory jurisdiction with reservations
RP	ICJ	accepting compulsory jurisdiction with reservations
BDS	ICJ	accepting compulsory jurisdiction with reservations
MEX	ICJ	accepting compulsory jurisdiction with reservations
CDN	ICJ	accepting compulsory jurisdiction with reservations
NIC	ICJ	accepting compulsory jurisdiction with reservations
PA	ICJ	accepting compulsory jurisdiction with reservations
HCA	ICJ	accepting compulsory jurisdiction with reservations
AUS	ICJ	accepting compulsory jurisdiction with reservations
MH	ICJ	accepting compulsory jurisdiction with reservations
NZ	ICJ	accepting compulsory jurisdiction with reservations
PE	ICJ	accepting compulsory jurisdiction with reservations
SME	ICJ	accepting compulsory jurisdiction with reservations
ZRE	ICJ	accepting compulsory jurisdiction with reservations
WAN	ICJ	accepting compulsory jurisdiction with reservations
RT	ICJ	accepting compulsory jurisdiction with reservations
RB	ICJ	accepting compulsory jurisdiction with reservations
CI	ICJ	accepting compulsory jurisdiction with reservations
SUD	ICJ	accepting compulsory jurisdiction with reservations
RG	ICJ	accepting compulsory jurisdiction with reservations
LB	ICJ	accepting compulsory jurisdiction with reservations
DJI	ICJ	accepting compulsory jurisdiction with reservations
SP	ICJ	accepting compulsory jurisdiction with reservations
EAK	ICJ	accepting compulsory jurisdiction with reservations
WAG	ICJ	accepting compulsory jurisdiction with reservations
SN	ICJ	accepting compulsory jurisdiction with reservations
EAU	ICJ	accepting compulsory jurisdiction with reservations
LS	ICJ	accepting compulsory jurisdiction with reservations
RM	ICJ	accepting compulsory jurisdiction with reservations
MW	ICJ	accepting compulsory jurisdiction with reservations
RSA	ICCt	state accepting jurisdiction
MS	ICJ	accepting compulsory jurisdiction with reservations
SD	ICJ	accepting compulsory jurisdiction with reservations
A	ICJ	accepting compulsory jurisdiction without reservations
L	ICJ	accepting compulsory jurisdiction without reservations
IRL	ICJ	accepting compulsory jurisdiction without reservations
GE	ICJ	accepting compulsory jurisdiction without reservations
TL	ICJ	accepting compulsory jurisdiction without reservations
CR	ICJ	accepting compulsory jurisdiction without reservations
WD	ICJ	accepting compulsory jurisdiction without reservations
DOM	ICJ	accepting compulsory jurisdiction without reservations
RH	ICJ	accepting compulsory jurisdiction without reservations
PY	ICJ	accepting compulsory jurisdiction without reservations
ROU	ICJ	accepting compulsory jurisdiction without reservations
CAM	ICJ	accepting compulsory jurisdiction without reservations
GNB	ICJ	accepting compulsory jurisdiction without reservations
AL	ICCt	state accepting jurisdiction
GR	ICCt	state accepting jurisdiction
MK	ICCt	state accepting jurisdiction
SRB	ICCt	state accepting jurisdiction
MNE	ICCt	state accepting jurisdiction
AND	ICCt	state accepting jurisdiction
F	ICCt	state accepting jurisdiction
E	ICCt	state accepting jurisdiction
A	ICCt	state accepting jurisdiction
CZ	ICCt	state accepting jurisdiction
D	ICCt	state accepting jurisdiction
H	ICCt	state accepting jurisdiction
I	ICCt	state accepting jurisdiction
FL	ICCt	state accepting jurisdiction
SK	ICCt	state accepting jurisdiction
SLO	ICCt	state accepting jurisdiction
CH	ICCt	state accepting jurisdiction
LV	ICCt	state accepting jurisdiction
LT	ICCt	state accepting jurisdiction
PL	ICCt	state accepting jurisdiction
B	ICCt	state accepting jurisdiction
L	ICCt	state accepting jurisdiction
NL	ICCt	state accepting jurisdiction
BIH	ICCt	state accepting jurisdiction
HR	ICCt	state accepting jurisdiction
BG	ICCt	state accepting jurisdiction
RO	ICCt	state accepting jurisdiction
DK	ICCt	state accepting jurisdiction
EW	ICCt	state accepting jurisdiction
SF	ICCt	state accepting jurisdiction
N	ICCt	state accepting jurisdiction
S	ICCt	state accepting jurisdiction
IS	ICCt	state accepting jurisdiction
IRL	ICCt	state accepting jurisdiction
RSM	ICCt	state accepting jurisdiction
M	ICCt	state accepting jurisdiction
MD	ICCt	state accepting jurisdiction
P	ICCt	state accepting jurisdiction
GB	ICCt	state accepting jurisdiction
AFG	ICCt	state accepting jurisdiction
TAD	ICCt	state accepting jurisdiction
GE	ICCt	state accepting jurisdiction
BD	ICCt	state accepting jurisdiction
K	ICCt	state accepting jurisdiction
MNG	ICCt	state accepting jurisdiction
CY	ICCt	state accepting jurisdiction
TL	ICCt	state accepting jurisdiction
JOR	ICCt	state accepting jurisdiction
J	ICCt	state accepting jurisdiction
ROK	ICCt	state accepting jurisdiction
MV	ICCt	state accepting jurisdiction
RP	ICCt	state accepting jurisdiction
AG	ICCt	state accepting jurisdiction
BDS	ICCt	state accepting jurisdiction
BZ	ICCt	state accepting jurisdiction
GCA	ICCt	state accepting jurisdiction
MEX	ICCt	state accepting jurisdiction
CDN	ICCt	state accepting jurisdiction
CR	ICCt	state accepting jurisdiction
PA	ICCt	state accepting jurisdiction
WD	ICCt	state accepting jurisdiction
DOM	ICCt	state accepting jurisdiction
HCA	ICCt	state accepting jurisdiction
WG	ICCt	state accepting jurisdiction
CO	ICCt	state accepting jurisdiction
KN	ICCt	state accepting jurisdiction
WL	ICCt	state accepting jurisdiction
WV	ICCt	state accepting jurisdiction
TT	ICCt	state accepting jurisdiction
AUS	ICCt	state accepting jurisdiction
COOK	ICCt	state accepting jurisdiction
FJI	ICCt	state accepting jurisdiction
MH	ICCt	state accepting jurisdiction
NAU	ICCt	state accepting jurisdiction
NZ	ICCt	state accepting jurisdiction
VU	ICCt	state accepting jurisdiction
WS	ICCt	state accepting jurisdiction
RA	ICCt	state accepting jurisdiction
BOL	ICCt	state accepting jurisdiction
BR	ICCt	state accepting jurisdiction
RCH	ICCt	state accepting jurisdiction
PY	ICCt	state accepting jurisdiction
ROU	ICCt	state accepting jurisdiction
PE	ICCt	state accepting jurisdiction
GUY	ICCt	state accepting jurisdiction
SME	ICCt	state accepting jurisdiction
YV	ICCt	state accepting jurisdiction
EC	ICCt	state accepting jurisdiction
RMM	ICCt	state accepting jurisdiction
RN	ICCt	state accepting jurisdiction
TN	ICCt	state accepting jurisdiction
RCB	ICCt	state accepting jurisdiction
NAM	ICCt	state accepting jurisdiction
ZRE	ICCt	state accepting jurisdiction
Z	ICCt	state accepting jurisdiction
BEN	ICCt	state accepting jurisdiction
BF	ICCt	state accepting jurisdiction
WAN	ICCt	state accepting jurisdiction
RB	ICCt	state accepting jurisdiction
CI	ICCt	state accepting jurisdiction
GH	ICCt	state accepting jurisdiction
BI	ICCt	state accepting jurisdiction
EAT	ICCt	state accepting jurisdiction
RCA	ICCt	state accepting jurisdiction
TCH	ICCt	state accepting jurisdiction
G	ICCt	state accepting jurisdiction
CV	ICCt	state accepting jurisdiction
COM	ICCt	state accepting jurisdiction
RG	ICCt	state accepting jurisdiction
LB	ICCt	state accepting jurisdiction
DJI	ICCt	state accepting jurisdiction
EAK	ICCt	state accepting jurisdiction
WAG	ICCt	state accepting jurisdiction
SN	ICCt	state accepting jurisdiction
WAL	ICCt	state accepting jurisdiction
EAU	ICCt	state accepting jurisdiction
LS	ICCt	state accepting jurisdiction
RM	ICCt	state accepting jurisdiction
MW	ICCt	state accepting jurisdiction
MS	ICCt	state accepting jurisdiction
SY	ICCt	state accepting jurisdiction
AL	Interpol	member
GR	Interpol	member
MK	Interpol	member
SRB	Interpol	member
MNE	Interpol	member
AND	Interpol	member
F	Interpol	member
E	Interpol	member
A	Interpol	member
CZ	Interpol	member
D	Interpol	member
H	Interpol	member
I	Interpol	member
FL	Interpol	member
SK	Interpol	member
SLO	Interpol	member
CH	Interpol	member
BY	Interpol	member
LV	Interpol	member
LT	Interpol	member
PL	Interpol	member
UA	Interpol	member
R	Interpol	member
B	Interpol	member
L	Interpol	member
NL	Interpol	member
BIH	Interpol	member
HR	Interpol	member
BG	Interpol	member
RO	Interpol	member
TR	Interpol	member
DK	Interpol	member
EW	Interpol	member
SF	Interpol	member
N	Interpol	member
S	Interpol	member
MC	Interpol	member
V	Interpol	member
IS	Interpol	member
IRL	Interpol	member
RSM	Interpol	member
M	Interpol	member
MD	Interpol	member
P	Interpol	member
GB	Interpol	member
AFG	Interpol	member
CN	Interpol	member
IR	Interpol	member
PK	Interpol	member
TAD	Interpol	member
TM	Interpol	member
UZB	Interpol	member
ARM	Interpol	member
GE	Interpol	member
AZ	Interpol	member
BRN	Interpol	member
BD	Interpol	member
MYA	Interpol	member
IND	Interpol	member
BHT	Interpol	member
BRU	Interpol	member
MAL	Interpol	member
LAO	Interpol	member
THA	Interpol	member
K	Interpol	member
VN	Interpol	member
KAZ	Interpol	member
KGZ	Interpol	member
MNG	Interpol	member
NEP	Interpol	member
CY	Interpol	member
IL	Interpol	member
ET	Interpol	member
RI	Interpol	member
TL	Interpol	member
PNG	Interpol	member
IRQ	Interpol	member
JOR	Interpol	member
KWT	Interpol	member
SA	Interpol	member
SYR	Interpol	member
RL	Interpol	member
J	Interpol	member
ROK	Interpol	member
MV	Interpol	member
OM	Interpol	member
UAE	Interpol	member
YE	Interpol	member
RP	Interpol	member
Q	Interpol	member
SGP	Interpol	member
CL	Interpol	member
AG	Interpol	member
ARU	Interpol	member
BS	Interpol	member
BDS	Interpol	member
BZ	Interpol	member
GCA	Interpol	member
MEX	Interpol	member
CDN	Interpol	member
USA	Interpol	member
CR	Interpol	member
NIC	Interpol	member
PA	Interpol	member
C	Interpol	member
WD	Interpol	member
DOM	Interpol	member
RH	Interpol	member
ES	Interpol	member
HCA	Interpol	member
WG	Interpol	member
JA	Interpol	member
CUR	Interpol	member
NLSM	Interpol	member
CO	Interpol	member
KN	Interpol	member
WL	Interpol	member
WV	Interpol	member
TT	Interpol	member
AUS	Interpol	member
FJI	Interpol	member
MH	Interpol	member
NAU	Interpol	member
NZ	Interpol	member
TO	Interpol	member
WS	Interpol	member
RA	Interpol	member
BOL	Interpol	member
BR	Interpol	member
RCH	Interpol	member
PY	Interpol	member
ROU	Interpol	member
PE	Interpol	member
GUY	Interpol	member
SME	Interpol	member
YV	Interpol	member
EC	Interpol	member
DZ	Interpol	member
LAR	Interpol	member
RMM	Interpol	member
RIM	Interpol	member
MA	Interpol	member
RN	Interpol	member
TN	Interpol	member
ANG	Interpol	member
RCB	Interpol	member
NAM	Interpol	member
ZRE	Interpol	member
Z	Interpol	member
BEN	Interpol	member
BF	Interpol	member
WAN	Interpol	member
RT	Interpol	member
RB	Interpol	member
RSA	Interpol	member
ZW	Interpol	member
CI	Interpol	member
GH	Interpol	member
BI	Interpol	member
RWA	Interpol	member
EAT	Interpol	member
CAM	Interpol	member
RCA	Interpol	member
TCH	Interpol	member
GQ	Interpol	member
G	Interpol	member
CV	Interpol	member
SUD	Interpol	member
SSD	Interpol	member
COM	Interpol	member
RG	Interpol	member
LB	Interpol	member
DJI	Interpol	member
ER	Interpol	member
ETH	Interpol	member
SP	Interpol	member
EAK	Interpol	member
WAG	Interpol	member
SN	Interpol	member
GNB	Interpol	member
WAL	Interpol	member
EAU	Interpol	member
LS	Interpol	member
RM	Interpol	member
MW	Interpol	member
MOC	Interpol	member
MS	Interpol	member
SD	Interpol	member
STP	Interpol	member
SY	Interpol	member
GBZ	Interpol	subbureau
HONX	Interpol	subbureau
MACX	Interpol	subbureau
AXA	Interpol	subbureau
BERM	Interpol	subbureau
BVIR	Interpol	subbureau
CAYM	Interpol	subbureau
MNTS	Interpol	subbureau
PR	Interpol	subbureau
TUCA	Interpol	subbureau
AMSA	Interpol	subbureau
AL	IDA	member
GR	IDA	member
MK	IDA	member
SRB	IDA	member
MNE	IDA	member
KOS	IDA	member
F	IDA	member
E	IDA	member
A	IDA	member
CZ	IDA	member
D	IDA	member
H	IDA	member
I	IDA	member
SK	IDA	member
SLO	IDA	member
CH	IDA	member
LV	IDA	member
LT	IDA	member
PL	IDA	member
UA	IDA	member
R	IDA	member
B	IDA	member
L	IDA	member
NL	IDA	member
BIH	IDA	member
HR	IDA	member
TR	IDA	member
DK	IDA	member
EW	IDA	member
SF	IDA	member
N	IDA	member
S	IDA	member
IS	IDA	member
IRL	IDA	member
MD	IDA	member
P	IDA	member
GB	IDA	member
AFG	IDA	member
CN	IDA	member
IR	IDA	member
PK	IDA	member
TAD	IDA	member
UZB	IDA	member
ARM	IDA	member
GE	IDA	member
AZ	IDA	member
BD	IDA	member
MYA	IDA	member
IND	IDA	member
BHT	IDA	member
MAL	IDA	member
LAO	IDA	member
THA	IDA	member
K	IDA	member
VN	IDA	member
KAZ	IDA	member
KGZ	IDA	member
MNG	IDA	member
NEP	IDA	member
CY	IDA	member
IL	IDA	member
ET	IDA	member
RI	IDA	member
TL	IDA	member
PNG	IDA	member
IRQ	IDA	member
JOR	IDA	member
KWT	IDA	member
SA	IDA	member
SYR	IDA	member
RL	IDA	member
J	IDA	member
ROK	IDA	member
MV	IDA	member
OM	IDA	member
UAE	IDA	member
YE	IDA	member
RP	IDA	member
SGP	IDA	member
CL	IDA	member
BS	IDA	member
BDS	IDA	member
BZ	IDA	member
GCA	IDA	member
MEX	IDA	member
CDN	IDA	member
USA	IDA	member
CR	IDA	member
NIC	IDA	member
PA	IDA	member
WD	IDA	member
DOM	IDA	member
RH	IDA	member
ES	IDA	member
HCA	IDA	member
WG	IDA	member
CO	IDA	member
KN	IDA	member
WL	IDA	member
WV	IDA	member
TT	IDA	member
AUS	IDA	member
FJI	IDA	member
KIR	IDA	member
MH	IDA	member
FSM	IDA	member
NZ	IDA	member
PAL	IDA	member
SLB	IDA	member
TO	IDA	member
TUV	IDA	member
VU	IDA	member
WS	IDA	member
RA	IDA	member
BOL	IDA	member
BR	IDA	member
RCH	IDA	member
PY	IDA	member
PE	IDA	member
GUY	IDA	member
EC	IDA	member
DZ	IDA	member
LAR	IDA	member
RMM	IDA	member
RIM	IDA	member
MA	IDA	member
RN	IDA	member
TN	IDA	member
ANG	IDA	member
RCB	IDA	member
ZRE	IDA	member
Z	IDA	member
BEN	IDA	member
BF	IDA	member
WAN	IDA	member
RT	IDA	member
RB	IDA	member
RSA	IDA	member
ZW	IDA	member
CI	IDA	member
GH	IDA	member
BI	IDA	member
RWA	IDA	member
EAT	IDA	member
CAM	IDA	member
RCA	IDA	member
TCH	IDA	member
GQ	IDA	member
G	IDA	member
CV	IDA	member
SUD	IDA	member
SSD	IDA	member
COM	IDA	member
RG	IDA	member
LB	IDA	member
DJI	IDA	member
ER	IDA	member
ETH	IDA	member
SP	IDA	member
EAK	IDA	member
WAG	IDA	member
SN	IDA	member
GNB	IDA	member
WAL	IDA	member
EAU	IDA	member
LS	IDA	member
RM	IDA	member
MW	IDA	member
MOC	IDA	member
MS	IDA	member
SD	IDA	member
STP	IDA	member
GR	IEA	member
F	IEA	member
E	IEA	member
A	IEA	member
CZ	IEA	member
D	IEA	member
H	IEA	member
I	IEA	member
SK	IEA	member
CH	IEA	member
PL	IEA	member
B	IEA	member
L	IEA	member
NL	IEA	member
TR	IEA	member
DK	IEA	member
SF	IEA	member
N	IEA	member
S	IEA	member
IRL	IEA	member
P	IEA	member
GB	IEA	member
J	IEA	member
ROK	IEA	member
CDN	IEA	member
USA	IEA	member
AUS	IEA	member
NZ	IEA	member
AL	IFRCS	member
GR	IFRCS	member
MK	IFRCS	member
SRB	IFRCS	member
MNE	IFRCS	member
AND	IFRCS	member
F	IFRCS	member
E	IFRCS	member
A	IFRCS	member
CZ	IFRCS	member
D	IFRCS	member
H	IFRCS	member
I	IFRCS	member
FL	IFRCS	member
SK	IFRCS	member
SLO	IFRCS	member
CH	IFRCS	member
BY	IFRCS	member
LV	IFRCS	member
LT	IFRCS	member
PL	IFRCS	member
UA	IFRCS	member
R	IFRCS	member
B	IFRCS	member
L	IFRCS	member
NL	IFRCS	member
BIH	IFRCS	member
HR	IFRCS	member
BG	IFRCS	member
RO	IFRCS	member
TR	IFRCS	member
DK	IFRCS	member
EW	IFRCS	member
SF	IFRCS	member
N	IFRCS	member
S	IFRCS	member
MC	IFRCS	member
V	IFRCS	member
IS	IFRCS	member
IRL	IFRCS	member
RSM	IFRCS	member
M	IFRCS	member
MD	IFRCS	member
P	IFRCS	member
GB	IFRCS	member
AFG	IFRCS	member
CN	IFRCS	member
IR	IFRCS	member
PK	IFRCS	member
TAD	IFRCS	member
TM	IFRCS	member
UZB	IFRCS	member
ARM	IFRCS	member
GE	IFRCS	member
AZ	IFRCS	member
BRN	IFRCS	member
BD	IFRCS	member
MYA	IFRCS	member
IND	IFRCS	member
BRU	IFRCS	member
MAL	IFRCS	member
LAO	IFRCS	member
THA	IFRCS	member
K	IFRCS	member
KAZ	IFRCS	member
NOK	IFRCS	member
KGZ	IFRCS	member
MNG	IFRCS	member
NEP	IFRCS	member
IL	IFRCS	member
ET	IFRCS	member
RI	IFRCS	member
TL	IFRCS	member
PNG	IFRCS	member
IRQ	IFRCS	member
JOR	IFRCS	member
KWT	IFRCS	member
SA	IFRCS	member
SYR	IFRCS	member
RL	IFRCS	member
J	IFRCS	member
ROK	IFRCS	member
MV	IFRCS	member
UAE	IFRCS	member
RP	IFRCS	member
Q	IFRCS	member
SGP	IFRCS	member
CL	IFRCS	member
AG	IFRCS	member
BS	IFRCS	member
BDS	IFRCS	member
BZ	IFRCS	member
GCA	IFRCS	member
MEX	IFRCS	member
CDN	IFRCS	member
USA	IFRCS	member
CR	IFRCS	member
NIC	IFRCS	member
PA	IFRCS	member
C	IFRCS	member
WD	IFRCS	member
DOM	IFRCS	member
RH	IFRCS	member
ES	IFRCS	member
HCA	IFRCS	member
WG	IFRCS	member
JA	IFRCS	member
CO	IFRCS	member
KN	IFRCS	member
WL	IFRCS	member
WV	IFRCS	member
TT	IFRCS	member
AUS	IFRCS	member
COOK	IFRCS	member
FJI	IFRCS	member
KIR	IFRCS	member
FSM	IFRCS	member
NZ	IFRCS	member
PAL	IFRCS	member
SLB	IFRCS	member
TO	IFRCS	member
VU	IFRCS	member
WS	IFRCS	member
RA	IFRCS	member
BOL	IFRCS	member
BR	IFRCS	member
RCH	IFRCS	member
PY	IFRCS	member
ROU	IFRCS	member
PE	IFRCS	member
GUY	IFRCS	member
SME	IFRCS	member
YV	IFRCS	member
EC	IFRCS	member
DZ	IFRCS	member
LAR	IFRCS	member
RMM	IFRCS	member
RIM	IFRCS	member
MA	IFRCS	member
RN	IFRCS	member
TN	IFRCS	member
ANG	IFRCS	member
RCB	IFRCS	member
NAM	IFRCS	member
ZRE	IFRCS	member
BEN	IFRCS	member
BF	IFRCS	member
WAN	IFRCS	member
RT	IFRCS	member
RB	IFRCS	member
RSA	IFRCS	member
CI	IFRCS	member
GH	IFRCS	member
BI	IFRCS	member
RWA	IFRCS	member
EAT	IFRCS	member
CAM	IFRCS	member
RCA	IFRCS	member
TCH	IFRCS	member
GQ	IFRCS	member
G	IFRCS	member
CV	IFRCS	member
SUD	IFRCS	member
SSD	IFRCS	member
COM	IFRCS	member
RG	IFRCS	member
LB	IFRCS	member
DJI	IFRCS	member
ETH	IFRCS	member
SP	IFRCS	member
EAK	IFRCS	member
WAG	IFRCS	member
SN	IFRCS	member
GNB	IFRCS	member
WAL	IFRCS	member
EAU	IFRCS	member
LS	IFRCS	member
RM	IFRCS	member
MW	IFRCS	member
MOC	IFRCS	member
MS	IFRCS	member
SD	IFRCS	member
STP	IFRCS	member
SY	IFRCS	member
CY	IFRCS	observer
TUV	IFRCS	observer
ER	IFRCS	observer
AL	IFC	member
GR	IFC	member
MK	IFC	member
SRB	IFC	member
MNE	IFC	member
KOS	IFC	member
F	IFC	member
E	IFC	member
A	IFC	member
CZ	IFC	member
D	IFC	member
H	IFC	member
I	IFC	member
SK	IFC	member
SLO	IFC	member
CH	IFC	member
BY	IFC	member
LV	IFC	member
LT	IFC	member
PL	IFC	member
UA	IFC	member
R	IFC	member
B	IFC	member
L	IFC	member
NL	IFC	member
BIH	IFC	member
HR	IFC	member
BG	IFC	member
RO	IFC	member
TR	IFC	member
DK	IFC	member
EW	IFC	member
SF	IFC	member
N	IFC	member
S	IFC	member
IS	IFC	member
M	IFC	member
MD	IFC	member
P	IFC	member
GB	IFC	member
AFG	IFC	member
CN	IFC	member
IR	IFC	member
PK	IFC	member
TAD	IFC	member
TM	IFC	member
UZB	IFC	member
ARM	IFC	member
GE	IFC	member
AZ	IFC	member
BRN	IFC	member
BD	IFC	member
MYA	IFC	member
IND	IFC	member
BHT	IFC	member
MAL	IFC	member
LAO	IFC	member
THA	IFC	member
K	IFC	member
VN	IFC	member
KAZ	IFC	member
KGZ	IFC	member
MNG	IFC	member
NEP	IFC	member
CY	IFC	member
IL	IFC	member
ET	IFC	member
RI	IFC	member
TL	IFC	member
PNG	IFC	member
IRQ	IFC	member
JOR	IFC	member
KWT	IFC	member
SA	IFC	member
SYR	IFC	member
RL	IFC	member
J	IFC	member
ROK	IFC	member
MV	IFC	member
OM	IFC	member
UAE	IFC	member
YE	IFC	member
Q	IFC	member
SGP	IFC	member
CL	IFC	member
AG	IFC	member
BS	IFC	member
BDS	IFC	member
BZ	IFC	member
GCA	IFC	member
MEX	IFC	member
CDN	IFC	member
USA	IFC	member
CR	IFC	member
NIC	IFC	member
PA	IFC	member
WD	IFC	member
DOM	IFC	member
RH	IFC	member
ES	IFC	member
HCA	IFC	member
WG	IFC	member
JA	IFC	member
CO	IFC	member
KN	IFC	member
WL	IFC	member
TT	IFC	member
AUS	IFC	member
FJI	IFC	member
KIR	IFC	member
MH	IFC	member
FSM	IFC	member
NZ	IFC	member
PAL	IFC	member
SLB	IFC	member
TO	IFC	member
VU	IFC	member
WS	IFC	member
RA	IFC	member
BOL	IFC	member
BR	IFC	member
RCH	IFC	member
PY	IFC	member
ROU	IFC	member
PE	IFC	member
GUY	IFC	member
SME	IFC	member
YV	IFC	member
EC	IFC	member
DZ	IFC	member
LAR	IFC	member
RMM	IFC	member
RIM	IFC	member
MA	IFC	member
RN	IFC	member
TN	IFC	member
ANG	IFC	member
RCB	IFC	member
NAM	IFC	member
ZRE	IFC	member
Z	IFC	member
BEN	IFC	member
BF	IFC	member
WAN	IFC	member
RT	IFC	member
RB	IFC	member
RSA	IFC	member
ZW	IFC	member
CI	IFC	member
GH	IFC	member
BI	IFC	member
RWA	IFC	member
EAT	IFC	member
CAM	IFC	member
RCA	IFC	member
TCH	IFC	member
GQ	IFC	member
G	IFC	member
CV	IFC	member
SUD	IFC	member
SSD	IFC	member
COM	IFC	member
RG	IFC	member
LB	IFC	member
DJI	IFC	member
ER	IFC	member
ETH	IFC	member
SP	IFC	member
EAK	IFC	member
WAG	IFC	member
SN	IFC	member
GNB	IFC	member
WAL	IFC	member
EAU	IFC	member
LS	IFC	member
RM	IFC	member
MW	IFC	member
MOC	IFC	member
MS	IFC	member
SD	IFC	member
STP	IFC	member
SY	IFC	member
GR	IFAD	List A
F	IFAD	List A
E	IFAD	List A
D	IFAD	List A
H	IFAD	List A
I	IFAD	List A
CH	IFAD	List A
B	IFAD	List A
L	IFAD	List A
NL	IFAD	List A
DK	IFAD	List A
EW	IFAD	List A
SF	IFAD	List A
N	IFAD	List A
S	IFAD	List A
IS	IFAD	List A
IRL	IFAD	List A
P	IFAD	List A
GB	IFAD	List A
J	IFAD	List A
CDN	IFAD	List A
USA	IFAD	List A
NZ	IFAD	List A
IR	IFAD	List B
RI	IFAD	List B
IRQ	IFAD	List B
KWT	IFAD	List B
SA	IFAD	List B
UAE	IFAD	List B
Q	IFAD	List B
YV	IFAD	List B
DZ	IFAD	List B
LAR	IFAD	List B
WAN	IFAD	List B
G	IFAD	List B
AL	IFAD	List C
MK	IFAD	List C
BIH	IFAD	List C
HR	IFAD	List C
RO	IFAD	List C
TR	IFAD	List C
M	IFAD	List C
MD	IFAD	List C
AFG	IFAD	List C
CN	IFAD	List C
PK	IFAD	List C
TAD	IFAD	List C
UZB	IFAD	List C
ARM	IFAD	List C
GE	IFAD	List C
AZ	IFAD	List C
BD	IFAD	List C
MYA	IFAD	List C
IND	IFAD	List C
BHT	IFAD	List C
MAL	IFAD	List C
LAO	IFAD	List C
THA	IFAD	List C
K	IFAD	List C
VN	IFAD	List C
KAZ	IFAD	List C
NOK	IFAD	List C
KGZ	IFAD	List C
MNG	IFAD	List C
NEP	IFAD	List C
CY	IFAD	List C
IL	IFAD	List C
ET	IFAD	List C
TL	IFAD	List C
PNG	IFAD	List C
JOR	IFAD	List C
SYR	IFAD	List C
RL	IFAD	List C
ROK	IFAD	List C
MV	IFAD	List C
OM	IFAD	List C
YE	IFAD	List C
RP	IFAD	List C
CL	IFAD	List C
AG	IFAD	List C
BS	IFAD	List C
BDS	IFAD	List C
BZ	IFAD	List C
GCA	IFAD	List C
MEX	IFAD	List C
CR	IFAD	List C
NIC	IFAD	List C
PA	IFAD	List C
C	IFAD	List C
WD	IFAD	List C
DOM	IFAD	List C
RH	IFAD	List C
ES	IFAD	List C
HCA	IFAD	List C
WG	IFAD	List C
JA	IFAD	List C
CO	IFAD	List C
KN	IFAD	List C
WL	IFAD	List C
WV	IFAD	List C
TT	IFAD	List C
COOK	IFAD	List C
FJI	IFAD	List C
KIR	IFAD	List C
MH	IFAD	List C
NAU	IFAD	List C
NIUE	IFAD	List C
SLB	IFAD	List C
TO	IFAD	List C
TUV	IFAD	List C
VU	IFAD	List C
WS	IFAD	List C
RA	IFAD	List C
BOL	IFAD	List C
BR	IFAD	List C
RCH	IFAD	List C
PY	IFAD	List C
ROU	IFAD	List C
PE	IFAD	List C
GUY	IFAD	List C
SME	IFAD	List C
EC	IFAD	List C
RMM	IFAD	List C
RIM	IFAD	List C
MA	IFAD	List C
RN	IFAD	List C
TN	IFAD	List C
ANG	IFAD	List C
RCB	IFAD	List C
NAM	IFAD	List C
ZRE	IFAD	List C
Z	IFAD	List C
BEN	IFAD	List C
BF	IFAD	List C
RT	IFAD	List C
RB	IFAD	List C
RSA	IFAD	List C
ZW	IFAD	List C
CI	IFAD	List C
GH	IFAD	List C
BI	IFAD	List C
RWA	IFAD	List C
EAT	IFAD	List C
CAM	IFAD	List C
RCA	IFAD	List C
TCH	IFAD	List C
GQ	IFAD	List C
CV	IFAD	List C
SUD	IFAD	List C
SSD	IFAD	List C
COM	IFAD	List C
RG	IFAD	List C
LB	IFAD	List C
DJI	IFAD	List C
ER	IFAD	List C
ETH	IFAD	List C
SP	IFAD	List C
EAK	IFAD	List C
WAG	IFAD	List C
SN	IFAD	List C
GNB	IFAD	List C
WAL	IFAD	List C
EAU	IFAD	List C
LS	IFAD	List C
RM	IFAD	List C
MW	IFAD	List C
MOC	IFAD	List C
MS	IFAD	List C
SD	IFAD	List C
STP	IFAD	List C
SY	IFAD	List C
GR	IHO	member
SRB	IHO	member
MNE	IHO	member
F	IHO	member
E	IHO	member
D	IHO	member
I	IHO	member
SLO	IHO	member
LV	IHO	member
PL	IHO	member
UA	IHO	member
R	IHO	member
B	IHO	member
NL	IHO	member
HR	IHO	member
RO	IHO	member
TR	IHO	member
DK	IHO	member
EW	IHO	member
SF	IHO	member
N	IHO	member
S	IHO	member
MC	IHO	member
IS	IHO	member
IRL	IHO	member
P	IHO	member
GB	IHO	member
CN	IHO	member
IR	IHO	member
PK	IHO	member
BRN	IHO	member
BD	IHO	member
MYA	IHO	member
IND	IHO	member
MAL	IHO	member
THA	IHO	member
NOK	IHO	member
CY	IHO	member
ET	IHO	member
RI	IHO	member
PNG	IHO	member
KWT	IHO	member
SA	IHO	member
SYR	IHO	member
J	IHO	member
ROK	IHO	member
OM	IHO	member
UAE	IHO	member
RP	IHO	member
Q	IHO	member
SGP	IHO	member
CL	IHO	member
GCA	IHO	member
MEX	IHO	member
CDN	IHO	member
USA	IHO	member
C	IHO	member
DOM	IHO	member
JA	IHO	member
CO	IHO	member
TT	IHO	member
AUS	IHO	member
FJI	IHO	member
NZ	IHO	member
TO	IHO	member
RA	IHO	member
BR	IHO	member
RCH	IHO	member
ROU	IHO	member
PE	IHO	member
SME	IHO	member
YV	IHO	member
EC	IHO	member
DZ	IHO	member
RIM	IHO	member
MA	IHO	member
TN	IHO	member
ZRE	IHO	member
WAN	IHO	member
RSA	IHO	member
CAM	IHO	member
WAL	IHO	member
MOC	IHO	member
MS	IHO	member
AL	ILO	member
GR	ILO	member
MK	ILO	member
SRB	ILO	member
MNE	ILO	member
F	ILO	member
E	ILO	member
A	ILO	member
CZ	ILO	member
D	ILO	member
H	ILO	member
I	ILO	member
SK	ILO	member
SLO	ILO	member
CH	ILO	member
BY	ILO	member
LV	ILO	member
LT	ILO	member
PL	ILO	member
UA	ILO	member
R	ILO	member
B	ILO	member
L	ILO	member
NL	ILO	member
BIH	ILO	member
HR	ILO	member
BG	ILO	member
RO	ILO	member
TR	ILO	member
DK	ILO	member
EW	ILO	member
SF	ILO	member
N	ILO	member
S	ILO	member
IS	ILO	member
RSM	ILO	member
M	ILO	member
MD	ILO	member
P	ILO	member
GB	ILO	member
AFG	ILO	member
CN	ILO	member
IR	ILO	member
PK	ILO	member
TAD	ILO	member
TM	ILO	member
UZB	ILO	member
ARM	ILO	member
GE	ILO	member
AZ	ILO	member
BRN	ILO	member
BD	ILO	member
MYA	ILO	member
IND	ILO	member
BRU	ILO	member
MAL	ILO	member
LAO	ILO	member
THA	ILO	member
K	ILO	member
VN	ILO	member
KAZ	ILO	member
KGZ	ILO	member
MNG	ILO	member
NEP	ILO	member
CY	ILO	member
IL	ILO	member
ET	ILO	member
RI	ILO	member
TL	ILO	member
PNG	ILO	member
IRQ	ILO	member
JOR	ILO	member
KWT	ILO	member
SA	ILO	member
SYR	ILO	member
RL	ILO	member
J	ILO	member
ROK	ILO	member
MV	ILO	member
OM	ILO	member
UAE	ILO	member
YE	ILO	member
Q	ILO	member
SGP	ILO	member
CL	ILO	member
AG	ILO	member
BS	ILO	member
BDS	ILO	member
BZ	ILO	member
GCA	ILO	member
MEX	ILO	member
CDN	ILO	member
USA	ILO	member
CR	ILO	member
NIC	ILO	member
PA	ILO	member
C	ILO	member
WD	ILO	member
DOM	ILO	member
RH	ILO	member
ES	ILO	member
HCA	ILO	member
WG	ILO	member
JA	ILO	member
CO	ILO	member
KN	ILO	member
WL	ILO	member
WV	ILO	member
TT	ILO	member
AUS	ILO	member
FJI	ILO	member
KIR	ILO	member
MH	ILO	member
NZ	ILO	member
PAL	ILO	member
SLB	ILO	member
TUV	ILO	member
VU	ILO	member
WS	ILO	member
RA	ILO	member
BOL	ILO	member
BR	ILO	member
RCH	ILO	member
PY	ILO	member
ROU	ILO	member
PE	ILO	member
GUY	ILO	member
SME	ILO	member
YV	ILO	member
EC	ILO	member
DZ	ILO	member
LAR	ILO	member
RMM	ILO	member
RIM	ILO	member
MA	ILO	member
RN	ILO	member
TN	ILO	member
ANG	ILO	member
RCB	ILO	member
NAM	ILO	member
ZRE	ILO	member
Z	ILO	member
BEN	ILO	member
BF	ILO	member
WAN	ILO	member
RT	ILO	member
RB	ILO	member
RSA	ILO	member
ZW	ILO	member
CI	ILO	member
GH	ILO	member
BI	ILO	member
RWA	ILO	member
EAT	ILO	member
CAM	ILO	member
RCA	ILO	member
TCH	ILO	member
GQ	ILO	member
G	ILO	member
CV	ILO	member
SUD	ILO	member
SSD	ILO	member
COM	ILO	member
RG	ILO	member
LB	ILO	member
DJI	ILO	member
ER	ILO	member
ETH	ILO	member
SP	ILO	member
EAK	ILO	member
WAG	ILO	member
SN	ILO	member
GNB	ILO	member
WAL	ILO	member
EAU	ILO	member
LS	ILO	member
RM	ILO	member
MW	ILO	member
MOC	ILO	member
MS	ILO	member
SD	ILO	member
STP	ILO	member
SY	ILO	member
AL	IMO	member
GR	IMO	member
MK	IMO	member
SRB	IMO	member
MNE	IMO	member
F	IMO	member
E	IMO	member
A	IMO	member
CZ	IMO	member
D	IMO	member
H	IMO	member
I	IMO	member
SK	IMO	member
SLO	IMO	member
CH	IMO	member
LV	IMO	member
LT	IMO	member
PL	IMO	member
UA	IMO	member
R	IMO	member
B	IMO	member
L	IMO	member
NL	IMO	member
BIH	IMO	member
HR	IMO	member
BG	IMO	member
RO	IMO	member
TR	IMO	member
DK	IMO	member
EW	IMO	member
SF	IMO	member
N	IMO	member
S	IMO	member
MC	IMO	member
IS	IMO	member
RSM	IMO	member
M	IMO	member
MD	IMO	member
P	IMO	member
GB	IMO	member
CN	IMO	member
IR	IMO	member
PK	IMO	member
TM	IMO	member
GE	IMO	member
AZ	IMO	member
BRN	IMO	member
BD	IMO	member
MYA	IMO	member
IND	IMO	member
BRU	IMO	member
MAL	IMO	member
THA	IMO	member
K	IMO	member
VN	IMO	member
KAZ	IMO	member
NOK	IMO	member
MNG	IMO	member
NEP	IMO	member
CY	IMO	member
IL	IMO	member
ET	IMO	member
RI	IMO	member
TL	IMO	member
PNG	IMO	member
IRQ	IMO	member
JOR	IMO	member
KWT	IMO	member
SA	IMO	member
SYR	IMO	member
RL	IMO	member
J	IMO	member
ROK	IMO	member
MV	IMO	member
OM	IMO	member
UAE	IMO	member
YE	IMO	member
Q	IMO	member
SGP	IMO	member
CL	IMO	member
AG	IMO	member
BS	IMO	member
BDS	IMO	member
BZ	IMO	member
GCA	IMO	member
MEX	IMO	member
CDN	IMO	member
USA	IMO	member
CR	IMO	member
NIC	IMO	member
PA	IMO	member
C	IMO	member
WD	IMO	member
DOM	IMO	member
RH	IMO	member
ES	IMO	member
HCA	IMO	member
WG	IMO	member
JA	IMO	member
CO	IMO	member
KN	IMO	member
WL	IMO	member
WV	IMO	member
TT	IMO	member
AUS	IMO	member
COOK	IMO	member
FJI	IMO	member
KIR	IMO	member
MH	IMO	member
NZ	IMO	member
PAL	IMO	member
SLB	IMO	member
TO	IMO	member
TUV	IMO	member
VU	IMO	member
WS	IMO	member
RA	IMO	member
BOL	IMO	member
BR	IMO	member
RCH	IMO	member
PY	IMO	member
ROU	IMO	member
PE	IMO	member
GUY	IMO	member
SME	IMO	member
YV	IMO	member
EC	IMO	member
DZ	IMO	member
LAR	IMO	member
RIM	IMO	member
MA	IMO	member
TN	IMO	member
ANG	IMO	member
RCB	IMO	member
NAM	IMO	member
ZRE	IMO	member
BEN	IMO	member
WAN	IMO	member
RT	IMO	member
RSA	IMO	member
ZW	IMO	member
CI	IMO	member
GH	IMO	member
EAT	IMO	member
CAM	IMO	member
GQ	IMO	member
G	IMO	member
CV	IMO	member
SUD	IMO	member
COM	IMO	member
RG	IMO	member
LB	IMO	member
DJI	IMO	member
ER	IMO	member
ETH	IMO	member
SP	IMO	member
EAK	IMO	member
WAG	IMO	member
SN	IMO	member
GNB	IMO	member
WAL	IMO	member
EAU	IMO	member
RM	IMO	member
MW	IMO	member
MOC	IMO	member
MS	IMO	member
STP	IMO	member
SY	IMO	member
FARX	IMO	associate member
HONX	IMO	associate member
MACX	IMO	associate member
GR	IMSO	member
SRB	IMSO	member
MNE	IMSO	member
F	IMSO	member
E	IMSO	member
CZ	IMSO	member
D	IMSO	member
H	IMSO	member
I	IMSO	member
SK	IMSO	member
CH	IMSO	member
BY	IMSO	member
LV	IMSO	member
PL	IMSO	member
UA	IMSO	member
R	IMSO	member
B	IMSO	member
NL	IMSO	member
BIH	IMSO	member
HR	IMSO	member
BG	IMSO	member
RO	IMSO	member
TR	IMSO	member
DK	IMSO	member
SF	IMSO	member
N	IMSO	member
S	IMSO	member
MC	IMSO	member
IS	IMSO	member
M	IMSO	member
P	IMSO	member
GB	IMSO	member
CN	IMSO	member
IR	IMSO	member
PK	IMSO	member
BRN	IMSO	member
BD	IMSO	member
IND	IMSO	member
BRU	IMSO	member
MAL	IMSO	member
THA	IMSO	member
VN	IMSO	member
NOK	IMSO	member
MNG	IMSO	member
CY	IMSO	member
IL	IMSO	member
ET	IMSO	member
RI	IMSO	member
IRQ	IMSO	member
KWT	IMSO	member
SA	IMSO	member
RL	IMSO	member
J	IMSO	member
ROK	IMSO	member
OM	IMSO	member
UAE	IMSO	member
YE	IMSO	member
RP	IMSO	member
Q	IMSO	member
SGP	IMSO	member
CL	IMSO	member
AG	IMSO	member
BS	IMSO	member
MEX	IMSO	member
CDN	IMSO	member
USA	IMSO	member
CR	IMSO	member
PA	IMSO	member
C	IMSO	member
CO	IMSO	member
AUS	IMSO	member
COOK	IMSO	member
MH	IMSO	member
NZ	IMSO	member
PAL	IMSO	member
TO	IMSO	member
VU	IMSO	member
RA	IMSO	member
BR	IMSO	member
RCH	IMSO	member
PE	IMSO	member
YV	IMSO	member
DZ	IMSO	member
LAR	IMSO	member
MA	IMSO	member
TN	IMSO	member
WAN	IMSO	member
RSA	IMSO	member
GH	IMSO	member
EAT	IMSO	member
CAM	IMSO	member
G	IMSO	member
COM	IMSO	member
LB	IMSO	member
EAK	IMSO	member
SN	IMSO	member
MOC	IMSO	member
MS	IMSO	member
AL	IMF	member
GR	IMF	member
MK	IMF	member
SRB	IMF	member
MNE	IMF	member
KOS	IMF	member
F	IMF	member
E	IMF	member
A	IMF	member
CZ	IMF	member
D	IMF	member
H	IMF	member
I	IMF	member
SK	IMF	member
SLO	IMF	member
CH	IMF	member
BY	IMF	member
LV	IMF	member
LT	IMF	member
PL	IMF	member
UA	IMF	member
R	IMF	member
B	IMF	member
L	IMF	member
NL	IMF	member
BIH	IMF	member
HR	IMF	member
BG	IMF	member
RO	IMF	member
TR	IMF	member
DK	IMF	member
EW	IMF	member
SF	IMF	member
N	IMF	member
S	IMF	member
IS	IMF	member
RSM	IMF	member
M	IMF	member
MD	IMF	member
P	IMF	member
GB	IMF	member
AFG	IMF	member
CN	IMF	member
IR	IMF	member
PK	IMF	member
TAD	IMF	member
TM	IMF	member
UZB	IMF	member
ARM	IMF	member
GE	IMF	member
AZ	IMF	member
BRN	IMF	member
BD	IMF	member
MYA	IMF	member
IND	IMF	member
BHT	IMF	member
BRU	IMF	member
MAL	IMF	member
LAO	IMF	member
THA	IMF	member
K	IMF	member
VN	IMF	member
KAZ	IMF	member
KGZ	IMF	member
HONX	IMF	member
MACX	IMF	member
MNG	IMF	member
NEP	IMF	member
CY	IMF	member
IL	IMF	member
ET	IMF	member
RI	IMF	member
TL	IMF	member
PNG	IMF	member
IRQ	IMF	member
JOR	IMF	member
KWT	IMF	member
SA	IMF	member
SYR	IMF	member
RL	IMF	member
J	IMF	member
ROK	IMF	member
MV	IMF	member
OM	IMF	member
UAE	IMF	member
YE	IMF	member
Q	IMF	member
SGP	IMF	member
CL	IMF	member
AG	IMF	member
ARU	IMF	member
BS	IMF	member
BDS	IMF	member
BZ	IMF	member
GCA	IMF	member
MEX	IMF	member
CDN	IMF	member
USA	IMF	member
CR	IMF	member
NIC	IMF	member
PA	IMF	member
WD	IMF	member
DOM	IMF	member
RH	IMF	member
ES	IMF	member
HCA	IMF	member
WG	IMF	member
JA	IMF	member
CUR	IMF	member
NLSM	IMF	member
CO	IMF	member
KN	IMF	member
WL	IMF	member
WV	IMF	member
TT	IMF	member
AUS	IMF	member
FJI	IMF	member
KIR	IMF	member
MH	IMF	member
FSM	IMF	member
NZ	IMF	member
PAL	IMF	member
SLB	IMF	member
TO	IMF	member
TUV	IMF	member
VU	IMF	member
WS	IMF	member
RA	IMF	member
BOL	IMF	member
BR	IMF	member
RCH	IMF	member
PY	IMF	member
ROU	IMF	member
PE	IMF	member
GUY	IMF	member
SME	IMF	member
YV	IMF	member
EC	IMF	member
DZ	IMF	member
LAR	IMF	member
RMM	IMF	member
RIM	IMF	member
MA	IMF	member
RN	IMF	member
TN	IMF	member
ANG	IMF	member
RCB	IMF	member
NAM	IMF	member
ZRE	IMF	member
Z	IMF	member
BEN	IMF	member
BF	IMF	member
WAN	IMF	member
RT	IMF	member
RB	IMF	member
RSA	IMF	member
ZW	IMF	member
CI	IMF	member
GH	IMF	member
BI	IMF	member
RWA	IMF	member
EAT	IMF	member
CAM	IMF	member
RCA	IMF	member
TCH	IMF	member
GQ	IMF	member
G	IMF	member
CV	IMF	member
SUD	IMF	member
SSD	IMF	member
COM	IMF	member
RG	IMF	member
LB	IMF	member
DJI	IMF	member
ER	IMF	member
ETH	IMF	member
SP	IMF	member
EAK	IMF	member
WAG	IMF	member
SN	IMF	member
GNB	IMF	member
WAL	IMF	member
EAU	IMF	member
LS	IMF	member
RM	IMF	member
MW	IMF	member
MOC	IMF	member
MS	IMF	member
SD	IMF	member
STP	IMF	member
SY	IMF	member
AL	IOC	National Olympic Committee
GR	IOC	National Olympic Committee
MK	IOC	National Olympic Committee
SRB	IOC	National Olympic Committee
MNE	IOC	National Olympic Committee
AND	IOC	National Olympic Committee
F	IOC	National Olympic Committee
E	IOC	National Olympic Committee
A	IOC	National Olympic Committee
CZ	IOC	National Olympic Committee
D	IOC	National Olympic Committee
H	IOC	National Olympic Committee
I	IOC	National Olympic Committee
FL	IOC	National Olympic Committee
SK	IOC	National Olympic Committee
SLO	IOC	National Olympic Committee
CH	IOC	National Olympic Committee
BY	IOC	National Olympic Committee
LV	IOC	National Olympic Committee
LT	IOC	National Olympic Committee
PL	IOC	National Olympic Committee
UA	IOC	National Olympic Committee
R	IOC	National Olympic Committee
B	IOC	National Olympic Committee
L	IOC	National Olympic Committee
NL	IOC	National Olympic Committee
BIH	IOC	National Olympic Committee
HR	IOC	National Olympic Committee
BG	IOC	National Olympic Committee
RO	IOC	National Olympic Committee
TR	IOC	National Olympic Committee
DK	IOC	National Olympic Committee
EW	IOC	National Olympic Committee
SF	IOC	National Olympic Committee
N	IOC	National Olympic Committee
S	IOC	National Olympic Committee
MC	IOC	National Olympic Committee
IS	IOC	National Olympic Committee
IRL	IOC	National Olympic Committee
RSM	IOC	National Olympic Committee
M	IOC	National Olympic Committee
MD	IOC	National Olympic Committee
P	IOC	National Olympic Committee
GB	IOC	National Olympic Committee
AFG	IOC	National Olympic Committee
CN	IOC	National Olympic Committee
IR	IOC	National Olympic Committee
PK	IOC	National Olympic Committee
TAD	IOC	National Olympic Committee
TM	IOC	National Olympic Committee
UZB	IOC	National Olympic Committee
ARM	IOC	National Olympic Committee
GE	IOC	National Olympic Committee
AZ	IOC	National Olympic Committee
BRN	IOC	National Olympic Committee
BD	IOC	National Olympic Committee
MYA	IOC	National Olympic Committee
IND	IOC	National Olympic Committee
BHT	IOC	National Olympic Committee
BRU	IOC	National Olympic Committee
MAL	IOC	National Olympic Committee
LAO	IOC	National Olympic Committee
THA	IOC	National Olympic Committee
K	IOC	National Olympic Committee
VN	IOC	National Olympic Committee
KAZ	IOC	National Olympic Committee
NOK	IOC	National Olympic Committee
KGZ	IOC	National Olympic Committee
HONX	IOC	National Olympic Committee
MNG	IOC	National Olympic Committee
NEP	IOC	National Olympic Committee
CY	IOC	National Olympic Committee
IL	IOC	National Olympic Committee
ET	IOC	National Olympic Committee
RI	IOC	National Olympic Committee
TL	IOC	National Olympic Committee
PNG	IOC	National Olympic Committee
IRQ	IOC	National Olympic Committee
JOR	IOC	National Olympic Committee
KWT	IOC	National Olympic Committee
SA	IOC	National Olympic Committee
SYR	IOC	National Olympic Committee
RL	IOC	National Olympic Committee
J	IOC	National Olympic Committee
ROK	IOC	National Olympic Committee
MV	IOC	National Olympic Committee
OM	IOC	National Olympic Committee
UAE	IOC	National Olympic Committee
YE	IOC	National Olympic Committee
RP	IOC	National Olympic Committee
Q	IOC	National Olympic Committee
SGP	IOC	National Olympic Committee
CL	IOC	National Olympic Committee
RC	IOC	National Olympic Committee
AG	IOC	National Olympic Committee
ARU	IOC	National Olympic Committee
BS	IOC	National Olympic Committee
BDS	IOC	National Olympic Committee
BZ	IOC	National Olympic Committee
GCA	IOC	National Olympic Committee
MEX	IOC	National Olympic Committee
BERM	IOC	National Olympic Committee
BVIR	IOC	National Olympic Committee
CDN	IOC	National Olympic Committee
USA	IOC	National Olympic Committee
CAYM	IOC	National Olympic Committee
CR	IOC	National Olympic Committee
NIC	IOC	National Olympic Committee
PA	IOC	National Olympic Committee
C	IOC	National Olympic Committee
WD	IOC	National Olympic Committee
DOM	IOC	National Olympic Committee
RH	IOC	National Olympic Committee
ES	IOC	National Olympic Committee
HCA	IOC	National Olympic Committee
WG	IOC	National Olympic Committee
JA	IOC	National Olympic Committee
CO	IOC	National Olympic Committee
PR	IOC	National Olympic Committee
KN	IOC	National Olympic Committee
WL	IOC	National Olympic Committee
WV	IOC	National Olympic Committee
TT	IOC	National Olympic Committee
VIRG	IOC	National Olympic Committee
AMSA	IOC	National Olympic Committee
AUS	IOC	National Olympic Committee
COOK	IOC	National Olympic Committee
FJI	IOC	National Olympic Committee
GUAM	IOC	National Olympic Committee
KIR	IOC	National Olympic Committee
MH	IOC	National Olympic Committee
FSM	IOC	National Olympic Committee
NAU	IOC	National Olympic Committee
NZ	IOC	National Olympic Committee
PAL	IOC	National Olympic Committee
SLB	IOC	National Olympic Committee
TO	IOC	National Olympic Committee
TUV	IOC	National Olympic Committee
VU	IOC	National Olympic Committee
WS	IOC	National Olympic Committee
RA	IOC	National Olympic Committee
BOL	IOC	National Olympic Committee
BR	IOC	National Olympic Committee
RCH	IOC	National Olympic Committee
PY	IOC	National Olympic Committee
ROU	IOC	National Olympic Committee
PE	IOC	National Olympic Committee
GUY	IOC	National Olympic Committee
SME	IOC	National Olympic Committee
YV	IOC	National Olympic Committee
EC	IOC	National Olympic Committee
DZ	IOC	National Olympic Committee
LAR	IOC	National Olympic Committee
RMM	IOC	National Olympic Committee
RIM	IOC	National Olympic Committee
MA	IOC	National Olympic Committee
RN	IOC	National Olympic Committee
TN	IOC	National Olympic Committee
ANG	IOC	National Olympic Committee
RCB	IOC	National Olympic Committee
NAM	IOC	National Olympic Committee
ZRE	IOC	National Olympic Committee
Z	IOC	National Olympic Committee
BEN	IOC	National Olympic Committee
BF	IOC	National Olympic Committee
WAN	IOC	National Olympic Committee
RT	IOC	National Olympic Committee
RB	IOC	National Olympic Committee
RSA	IOC	National Olympic Committee
ZW	IOC	National Olympic Committee
CI	IOC	National Olympic Committee
GH	IOC	National Olympic Committee
BI	IOC	National Olympic Committee
RWA	IOC	National Olympic Committee
CAM	IOC	National Olympic Committee
RCA	IOC	National Olympic Committee
TCH	IOC	National Olympic Committee
GQ	IOC	National Olympic Committee
G	IOC	National Olympic Committee
CV	IOC	National Olympic Committee
SUD	IOC	National Olympic Committee
COM	IOC	National Olympic Committee
RG	IOC	National Olympic Committee
LB	IOC	National Olympic Committee
DJI	IOC	National Olympic Committee
ER	IOC	National Olympic Committee
ETH	IOC	National Olympic Committee
SP	IOC	National Olympic Committee
EAK	IOC	National Olympic Committee
WAG	IOC	National Olympic Committee
SN	IOC	National Olympic Committee
GNB	IOC	National Olympic Committee
WAL	IOC	National Olympic Committee
EAU	IOC	National Olympic Committee
LS	IOC	National Olympic Committee
RM	IOC	National Olympic Committee
MW	IOC	National Olympic Committee
MOC	IOC	National Olympic Committee
MS	IOC	National Olympic Committee
SD	IOC	National Olympic Committee
STP	IOC	National Olympic Committee
SY	IOC	National Olympic Committee
AL	IOM	member
GR	IOM	member
SRB	IOM	member
MNE	IOM	member
F	IOM	member
E	IOM	member
A	IOM	member
CZ	IOM	member
D	IOM	member
H	IOM	member
I	IOM	member
SK	IOM	member
SLO	IOM	member
CH	IOM	member
BY	IOM	member
LV	IOM	member
LT	IOM	member
PL	IOM	member
UA	IOM	member
B	IOM	member
L	IOM	member
NL	IOM	member
BIH	IOM	member
HR	IOM	member
BG	IOM	member
RO	IOM	member
TR	IOM	member
DK	IOM	member
EW	IOM	member
SF	IOM	member
N	IOM	member
S	IOM	member
V	IOM	member
IRL	IOM	member
M	IOM	member
MD	IOM	member
P	IOM	member
GB	IOM	member
AFG	IOM	member
IR	IOM	member
PK	IOM	member
TAD	IOM	member
ARM	IOM	member
GE	IOM	member
AZ	IOM	member
BD	IOM	member
MYA	IOM	member
IND	IOM	member
THA	IOM	member
K	IOM	member
VN	IOM	member
KAZ	IOM	member
KGZ	IOM	member
MNG	IOM	member
NEP	IOM	member
CY	IOM	member
IL	IOM	member
ET	IOM	member
TL	IOM	member
PNG	IOM	member
JOR	IOM	member
J	IOM	member
ROK	IOM	member
MV	IOM	member
YE	IOM	member
RP	IOM	member
CL	IOM	member
AG	IOM	member
BS	IOM	member
BZ	IOM	member
GCA	IOM	member
MEX	IOM	member
CDN	IOM	member
USA	IOM	member
CR	IOM	member
NIC	IOM	member
PA	IOM	member
DOM	IOM	member
RH	IOM	member
ES	IOM	member
HCA	IOM	member
JA	IOM	member
CO	IOM	member
WV	IOM	member
TT	IOM	member
AUS	IOM	member
FSM	IOM	member
NAU	IOM	member
NZ	IOM	member
VU	IOM	member
RA	IOM	member
BOL	IOM	member
BR	IOM	member
RCH	IOM	member
PY	IOM	member
ROU	IOM	member
PE	IOM	member
GUY	IOM	member
SME	IOM	member
YV	IOM	member
EC	IOM	member
DZ	IOM	member
LAR	IOM	member
RMM	IOM	member
RIM	IOM	member
MA	IOM	member
RN	IOM	member
TN	IOM	member
ANG	IOM	member
RCB	IOM	member
NAM	IOM	member
ZRE	IOM	member
Z	IOM	member
BEN	IOM	member
BF	IOM	member
WAN	IOM	member
RT	IOM	member
RB	IOM	member
RSA	IOM	member
ZW	IOM	member
CI	IOM	member
GH	IOM	member
BI	IOM	member
RWA	IOM	member
EAT	IOM	member
CAM	IOM	member
RCA	IOM	member
TCH	IOM	member
G	IOM	member
CV	IOM	member
SUD	IOM	member
SSD	IOM	member
COM	IOM	member
RG	IOM	member
LB	IOM	member
DJI	IOM	member
ETH	IOM	member
SP	IOM	member
EAK	IOM	member
WAG	IOM	member
SN	IOM	member
GNB	IOM	member
WAL	IOM	member
EAU	IOM	member
LS	IOM	member
RM	IOM	member
MW	IOM	member
MOC	IOM	member
MS	IOM	member
SD	IOM	member
SY	IOM	member
MK	IOM	observer
R	IOM	observer
RSM	IOM	observer
CN	IOM	observer
TM	IOM	observer
BRN	IOM	observer
BHT	IOM	observer
RI	IOM	observer
SA	IOM	observer
Q	IOM	observer
C	IOM	observer
STP	IOM	observer
AL	ISO	correspondent member
MNE	ISO	correspondent member
LV	ISO	correspondent member
MD	ISO	correspondent member
AFG	ISO	correspondent member
TAD	ISO	correspondent member
TM	ISO	correspondent member
GE	ISO	correspondent member
MYA	ISO	correspondent member
BHT	ISO	correspondent member
BRU	ISO	correspondent member
K	ISO	correspondent member
KGZ	ISO	correspondent member
HONX	ISO	correspondent member
MACX	ISO	correspondent member
NEP	ISO	correspondent member
PNG	ISO	correspondent member
GCA	ISO	correspondent member
NIC	ISO	correspondent member
WD	ISO	correspondent member
DOM	ISO	correspondent member
BOL	ISO	correspondent member
PY	ISO	correspondent member
GUY	ISO	correspondent member
SME	ISO	correspondent member
RIM	ISO	correspondent member
RN	ISO	correspondent member
ANG	ISO	correspondent member
RCB	ISO	correspondent member
Z	ISO	correspondent member
BEN	ISO	correspondent member
BF	ISO	correspondent member
RT	ISO	correspondent member
BI	ISO	correspondent member
G	ISO	correspondent member
RG	ISO	correspondent member
LB	ISO	correspondent member
ER	ISO	correspondent member
WAG	ISO	correspondent member
WAL	ISO	correspondent member
LS	ISO	correspondent member
RM	ISO	correspondent member
MW	ISO	correspondent member
MOC	ISO	correspondent member
SD	ISO	correspondent member
SY	ISO	correspondent member
LAO	ISO	subscriber member
AG	ISO	subscriber member
HCA	ISO	subscriber member
WV	ISO	subscriber member
AL	OIF	member
GR	OIF	member
MK	OIF	member
AND	OIF	member
F	OIF	member
CH	OIF	member
B	OIF	member
L	OIF	member
BG	OIF	member
RO	OIF	member
MC	OIF	member
MD	OIF	member
ARM	OIF	member
LAO	OIF	member
K	OIF	member
VN	OIF	member
CY	OIF	member
ET	OIF	member
RL	OIF	member
Q	OIF	member
CDN	OIF	member
WD	OIF	member
RH	OIF	member
WL	OIF	member
VU	OIF	member
RMM	OIF	member
RIM	OIF	member
MA	OIF	member
RN	OIF	member
TN	OIF	member
RCB	OIF	member
ZRE	OIF	member
BEN	OIF	member
BF	OIF	member
RT	OIF	member
CI	OIF	member
GH	OIF	member
BI	OIF	member
RWA	OIF	member
CAM	OIF	member
RCA	OIF	member
TCH	OIF	member
GQ	OIF	member
G	OIF	member
CV	OIF	member
COM	OIF	member
RG	OIF	member
DJI	OIF	member
SN	OIF	member
GNB	OIF	member
RM	OIF	member
MS	OIF	member
STP	OIF	member
SY	OIF	member
SRB	OIF	observer
MNE	OIF	observer
A	OIF	observer
CZ	OIF	observer
H	OIF	observer
SK	OIF	observer
SLO	OIF	observer
LV	OIF	observer
LT	OIF	observer
PL	OIF	observer
UA	OIF	observer
BIH	OIF	observer
HR	OIF	observer
EW	OIF	observer
GE	OIF	observer
THA	OIF	observer
UAE	OIF	observer
DOM	OIF	observer
ROU	OIF	observer
MOC	OIF	observer
GR	ITSO	member
SRB	ITSO	member
MNE	ITSO	member
F	ITSO	member
E	ITSO	member
A	ITSO	member
CZ	ITSO	member
D	ITSO	member
H	ITSO	member
I	ITSO	member
FL	ITSO	member
CH	ITSO	member
PL	ITSO	member
R	ITSO	member
B	ITSO	member
L	ITSO	member
NL	ITSO	member
BIH	ITSO	member
HR	ITSO	member
BG	ITSO	member
RO	ITSO	member
TR	ITSO	member
DK	ITSO	member
EW	ITSO	member
SF	ITSO	member
N	ITSO	member
S	ITSO	member
MC	ITSO	member
V	ITSO	member
IS	ITSO	member
IRL	ITSO	member
M	ITSO	member
P	ITSO	member
GB	ITSO	member
AFG	ITSO	member
CN	ITSO	member
IR	ITSO	member
PK	ITSO	member
TAD	ITSO	member
UZB	ITSO	member
ARM	ITSO	member
GE	ITSO	member
AZ	ITSO	member
BRN	ITSO	member
BD	ITSO	member
IND	ITSO	member
BHT	ITSO	member
BRU	ITSO	member
MAL	ITSO	member
THA	ITSO	member
VN	ITSO	member
KAZ	ITSO	member
NOK	ITSO	member
KGZ	ITSO	member
MNG	ITSO	member
NEP	ITSO	member
CY	ITSO	member
IL	ITSO	member
ET	ITSO	member
RI	ITSO	member
PNG	ITSO	member
IRQ	ITSO	member
JOR	ITSO	member
KWT	ITSO	member
SA	ITSO	member
SYR	ITSO	member
RL	ITSO	member
J	ITSO	member
ROK	ITSO	member
OM	ITSO	member
UAE	ITSO	member
YE	ITSO	member
RP	ITSO	member
Q	ITSO	member
SGP	ITSO	member
CL	ITSO	member
BS	ITSO	member
BDS	ITSO	member
GCA	ITSO	member
MEX	ITSO	member
CDN	ITSO	member
USA	ITSO	member
CR	ITSO	member
NIC	ITSO	member
PA	ITSO	member
C	ITSO	member
DOM	ITSO	member
RH	ITSO	member
ES	ITSO	member
HCA	ITSO	member
JA	ITSO	member
CO	ITSO	member
TT	ITSO	member
AUS	ITSO	member
FJI	ITSO	member
FSM	ITSO	member
NZ	ITSO	member
RA	ITSO	member
BOL	ITSO	member
BR	ITSO	member
RCH	ITSO	member
PY	ITSO	member
ROU	ITSO	member
PE	ITSO	member
YV	ITSO	member
EC	ITSO	member
DZ	ITSO	member
LAR	ITSO	member
RMM	ITSO	member
RIM	ITSO	member
MA	ITSO	member
RN	ITSO	member
TN	ITSO	member
ANG	ITSO	member
RCB	ITSO	member
NAM	ITSO	member
ZRE	ITSO	member
Z	ITSO	member
BEN	ITSO	member
BF	ITSO	member
WAN	ITSO	member
RT	ITSO	member
RB	ITSO	member
RSA	ITSO	member
ZW	ITSO	member
CI	ITSO	member
GH	ITSO	member
RWA	ITSO	member
EAT	ITSO	member
CAM	ITSO	member
RCA	ITSO	member
TCH	ITSO	member
GQ	ITSO	member
G	ITSO	member
CV	ITSO	member
SUD	ITSO	member
COM	ITSO	member
RG	ITSO	member
ETH	ITSO	member
SP	ITSO	member
EAK	ITSO	member
WAG	ITSO	member
SN	ITSO	member
GNB	ITSO	member
EAU	ITSO	member
RM	ITSO	member
MW	ITSO	member
MOC	ITSO	member
MS	ITSO	member
SD	ITSO	member
AL	ITU	member
GR	ITU	member
MK	ITU	member
SRB	ITU	member
MNE	ITU	member
AND	ITU	member
F	ITU	member
E	ITU	member
A	ITU	member
CZ	ITU	member
D	ITU	member
H	ITU	member
I	ITU	member
FL	ITU	member
SK	ITU	member
SLO	ITU	member
CH	ITU	member
BY	ITU	member
LV	ITU	member
LT	ITU	member
PL	ITU	member
UA	ITU	member
R	ITU	member
B	ITU	member
L	ITU	member
NL	ITU	member
BIH	ITU	member
HR	ITU	member
BG	ITU	member
RO	ITU	member
TR	ITU	member
DK	ITU	member
EW	ITU	member
SF	ITU	member
N	ITU	member
S	ITU	member
MC	ITU	member
V	ITU	member
IS	ITU	member
RSM	ITU	member
M	ITU	member
MD	ITU	member
P	ITU	member
GB	ITU	member
AFG	ITU	member
CN	ITU	member
IR	ITU	member
PK	ITU	member
TAD	ITU	member
TM	ITU	member
UZB	ITU	member
ARM	ITU	member
GE	ITU	member
AZ	ITU	member
BRN	ITU	member
BD	ITU	member
MYA	ITU	member
IND	ITU	member
BHT	ITU	member
BRU	ITU	member
MAL	ITU	member
LAO	ITU	member
THA	ITU	member
K	ITU	member
VN	ITU	member
KAZ	ITU	member
NOK	ITU	member
KGZ	ITU	member
MNG	ITU	member
NEP	ITU	member
CY	ITU	member
IL	ITU	member
ET	ITU	member
RI	ITU	member
TL	ITU	member
PNG	ITU	member
IRQ	ITU	member
JOR	ITU	member
KWT	ITU	member
SA	ITU	member
SYR	ITU	member
RL	ITU	member
J	ITU	member
ROK	ITU	member
MV	ITU	member
OM	ITU	member
UAE	ITU	member
YE	ITU	member
Q	ITU	member
SGP	ITU	member
CL	ITU	member
AG	ITU	member
BS	ITU	member
BDS	ITU	member
BZ	ITU	member
GCA	ITU	member
MEX	ITU	member
CDN	ITU	member
USA	ITU	member
CR	ITU	member
NIC	ITU	member
PA	ITU	member
C	ITU	member
WD	ITU	member
DOM	ITU	member
RH	ITU	member
ES	ITU	member
HCA	ITU	member
WG	ITU	member
JA	ITU	member
CO	ITU	member
KN	ITU	member
WL	ITU	member
WV	ITU	member
TT	ITU	member
AUS	ITU	member
FJI	ITU	member
KIR	ITU	member
MH	ITU	member
FSM	ITU	member
NAU	ITU	member
NZ	ITU	member
SLB	ITU	member
TO	ITU	member
TUV	ITU	member
VU	ITU	member
WS	ITU	member
RA	ITU	member
BOL	ITU	member
BR	ITU	member
RCH	ITU	member
PY	ITU	member
ROU	ITU	member
PE	ITU	member
GUY	ITU	member
SME	ITU	member
YV	ITU	member
EC	ITU	member
DZ	ITU	member
LAR	ITU	member
RMM	ITU	member
RIM	ITU	member
MA	ITU	member
RN	ITU	member
TN	ITU	member
ANG	ITU	member
RCB	ITU	member
NAM	ITU	member
ZRE	ITU	member
Z	ITU	member
BEN	ITU	member
BF	ITU	member
WAN	ITU	member
RT	ITU	member
RB	ITU	member
RSA	ITU	member
ZW	ITU	member
CI	ITU	member
GH	ITU	member
BI	ITU	member
RWA	ITU	member
EAT	ITU	member
CAM	ITU	member
RCA	ITU	member
TCH	ITU	member
GQ	ITU	member
G	ITU	member
CV	ITU	member
SUD	ITU	member
SSD	ITU	member
COM	ITU	member
RG	ITU	member
LB	ITU	member
DJI	ITU	member
ER	ITU	member
ETH	ITU	member
SP	ITU	member
EAK	ITU	member
WAG	ITU	member
SN	ITU	member
GNB	ITU	member
WAL	ITU	member
EAU	ITU	member
LS	ITU	member
RM	ITU	member
MW	ITU	member
MOC	ITU	member
MS	ITU	member
SD	ITU	member
STP	ITU	member
SY	ITU	member
AL	ITUC	member
GR	ITUC	member
MK	ITUC	member
SRB	ITUC	member
MNE	ITUC	member
KOS	ITUC	member
F	ITUC	member
E	ITUC	member
A	ITUC	member
CZ	ITUC	member
D	ITUC	member
H	ITUC	member
I	ITUC	member
FL	ITUC	member
SK	ITUC	member
CH	ITUC	member
BY	ITUC	member
LV	ITUC	member
LT	ITUC	member
PL	ITUC	member
UA	ITUC	member
R	ITUC	member
B	ITUC	member
L	ITUC	member
NL	ITUC	member
BIH	ITUC	member
HR	ITUC	member
BG	ITUC	member
RO	ITUC	member
TR	ITUC	member
DK	ITUC	member
EW	ITUC	member
SF	ITUC	member
N	ITUC	member
S	ITUC	member
V	ITUC	member
IS	ITUC	member
IRL	ITUC	member
RSM	ITUC	member
M	ITUC	member
MD	ITUC	member
P	ITUC	member
GB	ITUC	member
PK	ITUC	member
GE	ITUC	member
AZ	ITUC	member
BRN	ITUC	member
BD	ITUC	member
MYA	ITUC	member
IND	ITUC	member
MAL	ITUC	member
THA	ITUC	member
K	ITUC	member
HONX	ITUC	member
MNG	ITUC	member
NEP	ITUC	member
CY	ITUC	member
IL	ITUC	member
RI	ITUC	member
JOR	ITUC	member
KWT	ITUC	member
J	ITUC	member
ROK	ITUC	member
YE	ITUC	member
RP	ITUC	member
SGP	ITUC	member
CL	ITUC	member
RC	ITUC	member
AG	ITUC	member
ARU	ITUC	member
BDS	ITUC	member
BZ	ITUC	member
GCA	ITUC	member
MEX	ITUC	member
BERM	ITUC	member
CDN	ITUC	member
USA	ITUC	member
CR	ITUC	member
NIC	ITUC	member
PA	ITUC	member
WD	ITUC	member
DOM	ITUC	member
RH	ITUC	member
ES	ITUC	member
HCA	ITUC	member
WG	ITUC	member
CUR	ITUC	member
CO	ITUC	member
WL	ITUC	member
TT	ITUC	member
AUS	ITUC	member
COOK	ITUC	member
FJI	ITUC	member
FPOL	ITUC	member
KIR	ITUC	member
NCA	ITUC	member
NZ	ITUC	member
TO	ITUC	member
VU	ITUC	member
WS	ITUC	member
RA	ITUC	member
BR	ITUC	member
RCH	ITUC	member
PY	ITUC	member
PE	ITUC	member
SME	ITUC	member
YV	ITUC	member
EC	ITUC	member
DZ	ITUC	member
RMM	ITUC	member
RIM	ITUC	member
MA	ITUC	member
RN	ITUC	member
TN	ITUC	member
ANG	ITUC	member
RCB	ITUC	member
NAM	ITUC	member
ZRE	ITUC	member
Z	ITUC	member
BEN	ITUC	member
BF	ITUC	member
WAN	ITUC	member
RT	ITUC	member
RB	ITUC	member
RSA	ITUC	member
ZW	ITUC	member
CI	ITUC	member
GH	ITUC	member
BI	ITUC	member
RWA	ITUC	member
EAT	ITUC	member
CAM	ITUC	member
RCA	ITUC	member
TCH	ITUC	member
G	ITUC	member
CV	ITUC	member
COM	ITUC	member
RG	ITUC	member
LB	ITUC	member
DJI	ITUC	member
ER	ITUC	member
ETH	ITUC	member
EAK	ITUC	member
WAG	ITUC	member
SN	ITUC	member
GNB	ITUC	member
WAL	ITUC	member
EAU	ITUC	member
RM	ITUC	member
MW	ITUC	member
MOC	ITUC	member
MS	ITUC	member
SD	ITUC	member
STP	ITUC	member
AL	IDB	member
TR	IDB	member
AFG	IDB	member
IR	IDB	member
PK	IDB	member
TAD	IDB	member
TM	IDB	member
UZB	IDB	member
AZ	IDB	member
BRN	IDB	member
BD	IDB	member
BRU	IDB	member
MAL	IDB	member
KAZ	IDB	member
KGZ	IDB	member
ET	IDB	member
RI	IDB	member
IRQ	IDB	member
JOR	IDB	member
KWT	IDB	member
SA	IDB	member
SYR	IDB	member
RL	IDB	member
MV	IDB	member
OM	IDB	member
UAE	IDB	member
YE	IDB	member
Q	IDB	member
SME	IDB	member
DZ	IDB	member
LAR	IDB	member
RMM	IDB	member
RIM	IDB	member
MA	IDB	member
RN	IDB	member
TN	IDB	member
BEN	IDB	member
BF	IDB	member
WAN	IDB	member
RT	IDB	member
CI	IDB	member
CAM	IDB	member
TCH	IDB	member
G	IDB	member
SUD	IDB	member
COM	IDB	member
RG	IDB	member
DJI	IDB	member
SP	IDB	member
WAG	IDB	member
SN	IDB	member
GNB	IDB	member
WAL	IDB	member
EAU	IDB	member
MOC	IDB	member
BS	LAES	member
BDS	LAES	member
BZ	LAES	member
GCA	LAES	member
MEX	LAES	member
CR	LAES	member
NIC	LAES	member
PA	LAES	member
C	LAES	member
DOM	LAES	member
RH	LAES	member
ES	LAES	member
HCA	LAES	member
WG	LAES	member
JA	LAES	member
CO	LAES	member
TT	LAES	member
RA	LAES	member
BOL	LAES	member
BR	LAES	member
RCH	LAES	member
PY	LAES	member
ROU	LAES	member
PE	LAES	member
GUY	LAES	member
SME	LAES	member
YV	LAES	member
EC	LAES	member
MEX	LAIA	member
NIC	LAIA	member
PA	LAIA	member
C	LAIA	member
CO	LAIA	member
RA	LAIA	member
BOL	LAIA	member
BR	LAIA	member
RCH	LAIA	member
PY	LAIA	member
ROU	LAIA	member
PE	LAIA	member
YV	LAIA	member
EC	LAIA	member
E	LAIA	observer
I	LAIA	observer
CH	LAIA	observer
UA	LAIA	observer
R	LAIA	observer
RO	LAIA	observer
RSM	LAIA	observer
P	LAIA	observer
CN	LAIA	observer
PK	LAIA	observer
J	LAIA	observer
ROK	LAIA	observer
GCA	LAIA	observer
CR	LAIA	observer
DOM	LAIA	observer
ES	LAIA	observer
HCA	LAIA	observer
BRN	LAS	member
ET	LAS	member
IRQ	LAS	member
JOR	LAS	member
KWT	LAS	member
SA	LAS	member
RL	LAS	member
OM	LAS	member
UAE	LAS	member
YE	LAS	member
Q	LAS	member
DZ	LAS	member
LAR	LAS	member
RIM	LAS	member
MA	LAS	member
TN	LAS	member
SUD	LAS	member
COM	LAS	member
DJI	LAS	member
SP	LAS	member
IND	LAS	observer
BR	LAS	observer
YV	LAS	observer
ER	LAS	observer
AL	MIGA	member
GR	MIGA	member
MK	MIGA	member
SRB	MIGA	member
MNE	MIGA	member
F	MIGA	member
E	MIGA	member
A	MIGA	member
CZ	MIGA	member
D	MIGA	member
H	MIGA	member
I	MIGA	member
SK	MIGA	member
SLO	MIGA	member
CH	MIGA	member
BY	MIGA	member
LV	MIGA	member
LT	MIGA	member
PL	MIGA	member
UA	MIGA	member
R	MIGA	member
B	MIGA	member
L	MIGA	member
NL	MIGA	member
BIH	MIGA	member
HR	MIGA	member
BG	MIGA	member
RO	MIGA	member
TR	MIGA	member
DK	MIGA	member
EW	MIGA	member
SF	MIGA	member
N	MIGA	member
S	MIGA	member
IS	MIGA	member
M	MIGA	member
MD	MIGA	member
P	MIGA	member
GB	MIGA	member
AFG	MIGA	member
CN	MIGA	member
IR	MIGA	member
PK	MIGA	member
TAD	MIGA	member
TM	MIGA	member
UZB	MIGA	member
ARM	MIGA	member
GE	MIGA	member
AZ	MIGA	member
BRN	MIGA	member
BD	MIGA	member
IND	MIGA	member
MAL	MIGA	member
LAO	MIGA	member
THA	MIGA	member
K	MIGA	member
VN	MIGA	member
KAZ	MIGA	member
KGZ	MIGA	member
MNG	MIGA	member
NEP	MIGA	member
CY	MIGA	member
IL	MIGA	member
ET	MIGA	member
RI	MIGA	member
TL	MIGA	member
PNG	MIGA	member
IRQ	MIGA	member
JOR	MIGA	member
KWT	MIGA	member
SA	MIGA	member
SYR	MIGA	member
RL	MIGA	member
J	MIGA	member
ROK	MIGA	member
MV	MIGA	member
OM	MIGA	member
UAE	MIGA	member
YE	MIGA	member
Q	MIGA	member
SGP	MIGA	member
CL	MIGA	member
AG	MIGA	member
BS	MIGA	member
BDS	MIGA	member
BZ	MIGA	member
GCA	MIGA	member
MEX	MIGA	member
CDN	MIGA	member
USA	MIGA	member
CR	MIGA	member
NIC	MIGA	member
PA	MIGA	member
WD	MIGA	member
DOM	MIGA	member
RH	MIGA	member
ES	MIGA	member
HCA	MIGA	member
WG	MIGA	member
JA	MIGA	member
CO	MIGA	member
KN	MIGA	member
WL	MIGA	member
WV	MIGA	member
TT	MIGA	member
AUS	MIGA	member
FJI	MIGA	member
FSM	MIGA	member
NZ	MIGA	member
PAL	MIGA	member
SLB	MIGA	member
VU	MIGA	member
WS	MIGA	member
RA	MIGA	member
BOL	MIGA	member
BR	MIGA	member
RCH	MIGA	member
PY	MIGA	member
ROU	MIGA	member
PE	MIGA	member
GUY	MIGA	member
SME	MIGA	member
YV	MIGA	member
EC	MIGA	member
DZ	MIGA	member
LAR	MIGA	member
RMM	MIGA	member
RIM	MIGA	member
MA	MIGA	member
RN	MIGA	member
TN	MIGA	member
ANG	MIGA	member
RCB	MIGA	member
NAM	MIGA	member
ZRE	MIGA	member
Z	MIGA	member
BEN	MIGA	member
BF	MIGA	member
WAN	MIGA	member
RT	MIGA	member
RB	MIGA	member
RSA	MIGA	member
ZW	MIGA	member
CI	MIGA	member
GH	MIGA	member
BI	MIGA	member
RWA	MIGA	member
EAT	MIGA	member
CAM	MIGA	member
RCA	MIGA	member
TCH	MIGA	member
GQ	MIGA	member
G	MIGA	member
CV	MIGA	member
SUD	MIGA	member
SSD	MIGA	member
COM	MIGA	member
RG	MIGA	member
LB	MIGA	member
DJI	MIGA	member
ER	MIGA	member
ETH	MIGA	member
EAK	MIGA	member
WAG	MIGA	member
SN	MIGA	member
GNB	MIGA	member
WAL	MIGA	member
EAU	MIGA	member
LS	MIGA	member
RM	MIGA	member
MW	MIGA	member
MOC	MIGA	member
MS	MIGA	member
SD	MIGA	member
STP	MIGA	member
SY	MIGA	member
BY	NAM	member
AFG	NAM	member
IR	NAM	member
PK	NAM	member
TM	NAM	member
UZB	NAM	member
AZ	NAM	member
BRN	NAM	member
BD	NAM	member
MYA	NAM	member
IND	NAM	member
BHT	NAM	member
BRU	NAM	member
MAL	NAM	member
LAO	NAM	member
THA	NAM	member
K	NAM	member
VN	NAM	member
NOK	NAM	member
MNG	NAM	member
NEP	NAM	member
ET	NAM	member
RI	NAM	member
TL	NAM	member
PNG	NAM	member
IRQ	NAM	member
JOR	NAM	member
KWT	NAM	member
SA	NAM	member
SYR	NAM	member
RL	NAM	member
MV	NAM	member
OM	NAM	member
UAE	NAM	member
YE	NAM	member
RP	NAM	member
Q	NAM	member
SGP	NAM	member
CL	NAM	member
AG	NAM	member
BS	NAM	member
BDS	NAM	member
BZ	NAM	member
GCA	NAM	member
NIC	NAM	member
PA	NAM	member
C	NAM	member
WD	NAM	member
DOM	NAM	member
RH	NAM	member
HCA	NAM	member
WG	NAM	member
JA	NAM	member
CO	NAM	member
KN	NAM	member
WL	NAM	member
WV	NAM	member
TT	NAM	member
FJI	NAM	member
VU	NAM	member
BOL	NAM	member
RCH	NAM	member
PE	NAM	member
GUY	NAM	member
SME	NAM	member
YV	NAM	member
EC	NAM	member
DZ	NAM	member
LAR	NAM	member
RMM	NAM	member
RIM	NAM	member
MA	NAM	member
RN	NAM	member
TN	NAM	member
ANG	NAM	member
RCB	NAM	member
NAM	NAM	member
ZRE	NAM	member
Z	NAM	member
BEN	NAM	member
BF	NAM	member
WAN	NAM	member
RT	NAM	member
RB	NAM	member
RSA	NAM	member
ZW	NAM	member
CI	NAM	member
GH	NAM	member
BI	NAM	member
RWA	NAM	member
EAT	NAM	member
CAM	NAM	member
RCA	NAM	member
TCH	NAM	member
GQ	NAM	member
G	NAM	member
CV	NAM	member
SUD	NAM	member
COM	NAM	member
RG	NAM	member
LB	NAM	member
DJI	NAM	member
ER	NAM	member
ETH	NAM	member
SP	NAM	member
EAK	NAM	member
WAG	NAM	member
SN	NAM	member
GNB	NAM	member
WAL	NAM	member
EAU	NAM	member
LS	NAM	member
RM	NAM	member
MW	NAM	member
MOC	NAM	member
MS	NAM	member
SD	NAM	member
STP	NAM	member
SY	NAM	member
SRB	NAM	observer
MNE	NAM	observer
UA	NAM	observer
BIH	NAM	observer
HR	NAM	observer
CN	NAM	observer
TAD	NAM	observer
ARM	NAM	observer
KAZ	NAM	observer
KGZ	NAM	observer
MEX	NAM	observer
CR	NAM	observer
ES	NAM	observer
RA	NAM	observer
BR	NAM	observer
PY	NAM	observer
ROU	NAM	observer
DK	NC	member
FARX	NC	member
SF	NC	member
N	NC	member
S	NC	member
IS	NC	member
GROX	NC	member
LV	NC	observer
LT	NC	observer
EW	NC	observer
LV	NIB	member
LT	NIB	member
DK	NIB	member
EW	NIB	member
SF	NIB	member
N	NIB	member
S	NIB	member
IS	NIB	member
MEX	NAFTA	member
CDN	NAFTA	member
USA	NAFTA	member
AL	NATO	member
GR	NATO	member
F	NATO	member
E	NATO	member
CZ	NATO	member
D	NATO	member
H	NATO	member
I	NATO	member
SK	NATO	member
SLO	NATO	member
LV	NATO	member
LT	NATO	member
PL	NATO	member
B	NATO	member
L	NATO	member
NL	NATO	member
HR	NATO	member
BG	NATO	member
RO	NATO	member
TR	NATO	member
DK	NATO	member
EW	NATO	member
N	NATO	member
IS	NATO	member
P	NATO	member
GB	NATO	member
CDN	NATO	member
USA	NATO	member
GR	NEA	member
F	NEA	member
E	NEA	member
A	NEA	member
CZ	NEA	member
D	NEA	member
H	NEA	member
I	NEA	member
SK	NEA	member
SLO	NEA	member
CH	NEA	member
PL	NEA	member
R	NEA	member
B	NEA	member
L	NEA	member
NL	NEA	member
TR	NEA	member
DK	NEA	member
SF	NEA	member
N	NEA	member
S	NEA	member
IS	NEA	member
IRL	NEA	member
P	NEA	member
GB	NEA	member
J	NEA	member
ROK	NEA	member
MEX	NEA	member
CDN	NEA	member
USA	NEA	member
AUS	NEA	member
GR	NSG	member
SRB	NSG	member
F	NSG	member
E	NSG	member
A	NSG	member
CZ	NSG	member
D	NSG	member
H	NSG	member
I	NSG	member
SK	NSG	member
SLO	NSG	member
CH	NSG	member
BY	NSG	member
LV	NSG	member
LT	NSG	member
PL	NSG	member
UA	NSG	member
R	NSG	member
B	NSG	member
L	NSG	member
NL	NSG	member
HR	NSG	member
BG	NSG	member
RO	NSG	member
TR	NSG	member
DK	NSG	member
EW	NSG	member
SF	NSG	member
N	NSG	member
S	NSG	member
IS	NSG	member
IRL	NSG	member
M	NSG	member
P	NSG	member
GB	NSG	member
CN	NSG	member
KAZ	NSG	member
CY	NSG	member
J	NSG	member
ROK	NSG	member
MEX	NSG	member
CDN	NSG	member
USA	NSG	member
AUS	NSG	member
NZ	NSG	member
RA	NSG	member
BR	NSG	member
RSA	NSG	member
UA	GUAM	member
MD	GUAM	member
GE	GUAM	member
AZ	GUAM	member
GR	OECD	member
F	OECD	member
E	OECD	member
A	OECD	member
CZ	OECD	member
D	OECD	member
H	OECD	member
I	OECD	member
SK	OECD	member
SLO	OECD	member
CH	OECD	member
PL	OECD	member
B	OECD	member
L	OECD	member
NL	OECD	member
TR	OECD	member
DK	OECD	member
EW	OECD	member
SF	OECD	member
N	OECD	member
S	OECD	member
IS	OECD	member
IRL	OECD	member
P	OECD	member
GB	OECD	member
IL	OECD	member
J	OECD	member
ROK	OECD	member
MEX	OECD	member
CDN	OECD	member
USA	OECD	member
AUS	OECD	member
NZ	OECD	member
RCH	OECD	member
AL	OSCE	member
GR	OSCE	member
MK	OSCE	member
SRB	OSCE	member
MNE	OSCE	member
AND	OSCE	member
F	OSCE	member
E	OSCE	member
A	OSCE	member
CZ	OSCE	member
D	OSCE	member
H	OSCE	member
I	OSCE	member
FL	OSCE	member
SK	OSCE	member
SLO	OSCE	member
CH	OSCE	member
BY	OSCE	member
LV	OSCE	member
LT	OSCE	member
PL	OSCE	member
UA	OSCE	member
R	OSCE	member
B	OSCE	member
L	OSCE	member
NL	OSCE	member
BIH	OSCE	member
HR	OSCE	member
BG	OSCE	member
RO	OSCE	member
TR	OSCE	member
DK	OSCE	member
EW	OSCE	member
SF	OSCE	member
N	OSCE	member
S	OSCE	member
MC	OSCE	member
V	OSCE	member
IS	OSCE	member
IRL	OSCE	member
RSM	OSCE	member
M	OSCE	member
MD	OSCE	member
P	OSCE	member
GB	OSCE	member
TAD	OSCE	member
TM	OSCE	member
UZB	OSCE	member
ARM	OSCE	member
GE	OSCE	member
AZ	OSCE	member
KAZ	OSCE	member
KGZ	OSCE	member
MNG	OSCE	member
CY	OSCE	member
CDN	OSCE	member
USA	OSCE	member
AL	OPCW	member
GR	OPCW	member
MK	OPCW	member
SRB	OPCW	member
MNE	OPCW	member
AND	OPCW	member
F	OPCW	member
E	OPCW	member
A	OPCW	member
CZ	OPCW	member
D	OPCW	member
H	OPCW	member
I	OPCW	member
FL	OPCW	member
SK	OPCW	member
SLO	OPCW	member
CH	OPCW	member
BY	OPCW	member
LV	OPCW	member
LT	OPCW	member
PL	OPCW	member
UA	OPCW	member
R	OPCW	member
B	OPCW	member
L	OPCW	member
NL	OPCW	member
BIH	OPCW	member
HR	OPCW	member
BG	OPCW	member
RO	OPCW	member
TR	OPCW	member
DK	OPCW	member
EW	OPCW	member
SF	OPCW	member
N	OPCW	member
S	OPCW	member
MC	OPCW	member
V	OPCW	member
IS	OPCW	member
IRL	OPCW	member
RSM	OPCW	member
M	OPCW	member
MD	OPCW	member
P	OPCW	member
GB	OPCW	member
AFG	OPCW	member
CN	OPCW	member
IR	OPCW	member
PK	OPCW	member
TAD	OPCW	member
TM	OPCW	member
UZB	OPCW	member
ARM	OPCW	member
GE	OPCW	member
AZ	OPCW	member
BRN	OPCW	member
BD	OPCW	member
IND	OPCW	member
BHT	OPCW	member
BRU	OPCW	member
MAL	OPCW	member
LAO	OPCW	member
THA	OPCW	member
K	OPCW	member
VN	OPCW	member
KAZ	OPCW	member
KGZ	OPCW	member
MNG	OPCW	member
NEP	OPCW	member
CY	OPCW	member
RI	OPCW	member
TL	OPCW	member
PNG	OPCW	member
IRQ	OPCW	member
JOR	OPCW	member
KWT	OPCW	member
SA	OPCW	member
SYR	OPCW	member
RL	OPCW	member
J	OPCW	member
ROK	OPCW	member
MV	OPCW	member
OM	OPCW	member
UAE	OPCW	member
YE	OPCW	member
RP	OPCW	member
Q	OPCW	member
SGP	OPCW	member
CL	OPCW	member
AG	OPCW	member
BS	OPCW	member
BDS	OPCW	member
BZ	OPCW	member
GCA	OPCW	member
MEX	OPCW	member
CDN	OPCW	member
USA	OPCW	member
CR	OPCW	member
NIC	OPCW	member
PA	OPCW	member
C	OPCW	member
WD	OPCW	member
DOM	OPCW	member
RH	OPCW	member
ES	OPCW	member
HCA	OPCW	member
WG	OPCW	member
JA	OPCW	member
CO	OPCW	member
KN	OPCW	member
WL	OPCW	member
WV	OPCW	member
TT	OPCW	member
AUS	OPCW	member
COOK	OPCW	member
FJI	OPCW	member
KIR	OPCW	member
MH	OPCW	member
FSM	OPCW	member
NAU	OPCW	member
NZ	OPCW	member
NIUE	OPCW	member
PAL	OPCW	member
SLB	OPCW	member
TO	OPCW	member
TUV	OPCW	member
VU	OPCW	member
WS	OPCW	member
RA	OPCW	member
BOL	OPCW	member
BR	OPCW	member
RCH	OPCW	member
PY	OPCW	member
ROU	OPCW	member
PE	OPCW	member
GUY	OPCW	member
SME	OPCW	member
YV	OPCW	member
EC	OPCW	member
DZ	OPCW	member
LAR	OPCW	member
RMM	OPCW	member
RIM	OPCW	member
MA	OPCW	member
RN	OPCW	member
TN	OPCW	member
RCB	OPCW	member
NAM	OPCW	member
ZRE	OPCW	member
Z	OPCW	member
BEN	OPCW	member
BF	OPCW	member
WAN	OPCW	member
RT	OPCW	member
RB	OPCW	member
RSA	OPCW	member
ZW	OPCW	member
CI	OPCW	member
GH	OPCW	member
BI	OPCW	member
RWA	OPCW	member
EAT	OPCW	member
CAM	OPCW	member
RCA	OPCW	member
TCH	OPCW	member
GQ	OPCW	member
G	OPCW	member
CV	OPCW	member
SUD	OPCW	member
COM	OPCW	member
RG	OPCW	member
LB	OPCW	member
DJI	OPCW	member
ER	OPCW	member
ETH	OPCW	member
SP	OPCW	member
EAK	OPCW	member
WAG	OPCW	member
SN	OPCW	member
GNB	OPCW	member
WAL	OPCW	member
EAU	OPCW	member
LS	OPCW	member
RM	OPCW	member
MW	OPCW	member
MOC	OPCW	member
MS	OPCW	member
SD	OPCW	member
STP	OPCW	member
SY	OPCW	member
MYA	OPCW	signatory state
IL	OPCW	signatory state
AG	OAS	member
BS	OAS	member
BDS	OAS	member
BZ	OAS	member
GCA	OAS	member
MEX	OAS	member
CDN	OAS	member
USA	OAS	member
CR	OAS	member
NIC	OAS	member
PA	OAS	member
C	OAS	member
WD	OAS	member
DOM	OAS	member
RH	OAS	member
ES	OAS	member
HCA	OAS	member
WG	OAS	member
JA	OAS	member
CO	OAS	member
KN	OAS	member
WL	OAS	member
WV	OAS	member
TT	OAS	member
RA	OAS	member
BOL	OAS	member
BR	OAS	member
RCH	OAS	member
PY	OAS	member
ROU	OAS	member
PE	OAS	member
GUY	OAS	member
SME	OAS	member
YV	OAS	member
EC	OAS	member
AL	OAS	observer
GR	OAS	observer
MK	OAS	observer
SRB	OAS	observer
F	OAS	observer
E	OAS	observer
A	OAS	observer
CZ	OAS	observer
D	OAS	observer
H	OAS	observer
I	OAS	observer
SK	OAS	observer
SLO	OAS	observer
CH	OAS	observer
LV	OAS	observer
LT	OAS	observer
PL	OAS	observer
UA	OAS	observer
R	OAS	observer
B	OAS	observer
L	OAS	observer
NL	OAS	observer
BIH	OAS	observer
HR	OAS	observer
BG	OAS	observer
RO	OAS	observer
TR	OAS	observer
DK	OAS	observer
EW	OAS	observer
SF	OAS	observer
N	OAS	observer
S	OAS	observer
MC	OAS	observer
V	OAS	observer
IS	OAS	observer
IRL	OAS	observer
M	OAS	observer
P	OAS	observer
GB	OAS	observer
CN	OAS	observer
PK	OAS	observer
ARM	OAS	observer
GE	OAS	observer
AZ	OAS	observer
IND	OAS	observer
THA	OAS	observer
KAZ	OAS	observer
CY	OAS	observer
IL	OAS	observer
ET	OAS	observer
SA	OAS	observer
RL	OAS	observer
J	OAS	observer
ROK	OAS	observer
YE	OAS	observer
RP	OAS	observer
Q	OAS	observer
CL	OAS	observer
VU	OAS	observer
DZ	OAS	observer
MA	OAS	observer
TN	OAS	observer
ANG	OAS	observer
BEN	OAS	observer
WAN	OAS	observer
GH	OAS	observer
GQ	OAS	observer
BRN	OAPEC	member
ET	OAPEC	member
IRQ	OAPEC	member
KWT	OAPEC	member
SA	OAPEC	member
SYR	OAPEC	member
UAE	OAPEC	member
Q	OAPEC	member
DZ	OAPEC	member
LAR	OAPEC	member
TN	OAPEC	member
AXA	OECS	member
AG	OECS	member
BVIR	OECS	member
WD	OECS	member
WG	OECS	member
MNTS	OECS	member
KN	OECS	member
WL	OECS	member
WV	OECS	member
AL	OIC	member
TR	OIC	member
AFG	OIC	member
IR	OIC	member
PK	OIC	member
TAD	OIC	member
TM	OIC	member
UZB	OIC	member
AZ	OIC	member
BRN	OIC	member
BD	OIC	member
BRU	OIC	member
MAL	OIC	member
KAZ	OIC	member
KGZ	OIC	member
ET	OIC	member
RI	OIC	member
IRQ	OIC	member
JOR	OIC	member
KWT	OIC	member
SA	OIC	member
SYR	OIC	member
RL	OIC	member
MV	OIC	member
OM	OIC	member
UAE	OIC	member
YE	OIC	member
Q	OIC	member
GUY	OIC	member
SME	OIC	member
DZ	OIC	member
LAR	OIC	member
RMM	OIC	member
RIM	OIC	member
MA	OIC	member
RN	OIC	member
TN	OIC	member
BEN	OIC	member
BF	OIC	member
WAN	OIC	member
RT	OIC	member
CI	OIC	member
CAM	OIC	member
TCH	OIC	member
G	OIC	member
SUD	OIC	member
COM	OIC	member
RG	OIC	member
DJI	OIC	member
SP	OIC	member
WAG	OIC	member
SN	OIC	member
GNB	OIC	member
WAL	OIC	member
EAU	OIC	member
MOC	OIC	member
R	OIC	observer
BIH	OIC	observer
THA	OIC	observer
IR	OPEC	member
IRQ	OPEC	member
KWT	OPEC	member
SA	OPEC	member
UAE	OPEC	member
Q	OPEC	member
YV	OPEC	member
EC	OPEC	member
DZ	OPEC	member
LAR	OPEC	member
ANG	OPEC	member
WAN	OPEC	member
PNG	PIF	member
AUS	PIF	member
COOK	PIF	member
FJI	PIF	member
KIR	PIF	member
MH	PIF	member
FSM	PIF	member
NAU	PIF	member
NZ	PIF	member
NIUE	PIF	member
PAL	PIF	member
SLB	PIF	member
TO	PIF	member
TUV	PIF	member
VU	PIF	member
WS	PIF	member
FPOL	PIF	associate member
NCA	PIF	associate member
F	PIF	partner
I	PIF	partner
GB	PIF	partner
CN	PIF	partner
IND	PIF	partner
MAL	PIF	partner
THA	PIF	partner
RI	PIF	partner
J	PIF	partner
ROK	PIF	partner
RP	PIF	partner
CDN	PIF	partner
USA	PIF	partner
TL	PIF	observer
AMSA	PIF	observer
GUAM	PIF	observer
TOK	PIF	observer
WAFU	PIF	observer
MK	PFP	member
SRB	PFP	member
MNE	PFP	member
A	PFP	member
CH	PFP	member
BY	PFP	member
UA	PFP	member
R	PFP	member
BIH	PFP	member
SF	PFP	member
S	PFP	member
IRL	PFP	member
M	PFP	member
MD	PFP	member
TAD	PFP	member
TM	PFP	member
UZB	PFP	member
ARM	PFP	member
GE	PFP	member
AZ	PFP	member
KAZ	PFP	member
KGZ	PFP	member
AL	PCA	member
GR	PCA	member
MK	PCA	member
SRB	PCA	member
MNE	PCA	member
F	PCA	member
E	PCA	member
A	PCA	member
CZ	PCA	member
D	PCA	member
H	PCA	member
I	PCA	member
FL	PCA	member
SK	PCA	member
SLO	PCA	member
CH	PCA	member
BY	PCA	member
LV	PCA	member
LT	PCA	member
PL	PCA	member
UA	PCA	member
R	PCA	member
B	PCA	member
L	PCA	member
NL	PCA	member
HR	PCA	member
BG	PCA	member
RO	PCA	member
TR	PCA	member
DK	PCA	member
EW	PCA	member
SF	PCA	member
N	PCA	member
S	PCA	member
IS	PCA	member
IRL	PCA	member
M	PCA	member
P	PCA	member
GB	PCA	member
CN	PCA	member
IR	PCA	member
PK	PCA	member
BRN	PCA	member
BD	PCA	member
IND	PCA	member
MAL	PCA	member
LAO	PCA	member
THA	PCA	member
K	PCA	member
VN	PCA	member
KGZ	PCA	member
CY	PCA	member
IL	PCA	member
ET	PCA	member
IRQ	PCA	member
JOR	PCA	member
KWT	PCA	member
SA	PCA	member
RL	PCA	member
J	PCA	member
ROK	PCA	member
UAE	PCA	member
RP	PCA	member
Q	PCA	member
SGP	PCA	member
CL	PCA	member
BZ	PCA	member
GCA	PCA	member
MEX	PCA	member
CDN	PCA	member
USA	PCA	member
CR	PCA	member
NIC	PCA	member
PA	PCA	member
C	PCA	member
DOM	PCA	member
RH	PCA	member
ES	PCA	member
HCA	PCA	member
CO	PCA	member
AUS	PCA	member
FJI	PCA	member
NZ	PCA	member
RA	PCA	member
BOL	PCA	member
BR	PCA	member
RCH	PCA	member
PY	PCA	member
ROU	PCA	member
PE	PCA	member
GUY	PCA	member
SME	PCA	member
YV	PCA	member
EC	PCA	member
LAR	PCA	member
MA	PCA	member
ZRE	PCA	member
Z	PCA	member
BEN	PCA	member
BF	PCA	member
WAN	PCA	member
RT	PCA	member
RSA	PCA	member
ZW	PCA	member
RWA	PCA	member
CAM	PCA	member
SUD	PCA	member
ER	PCA	member
ETH	PCA	member
EAK	PCA	member
SN	PCA	member
EAU	PCA	member
RM	PCA	member
MS	PCA	member
SD	PCA	member
F	SPC	member
PNG	SPC	member
USA	SPC	member
AMSA	SPC	member
AUS	SPC	member
COOK	SPC	member
FJI	SPC	member
FPOL	SPC	member
GUAM	SPC	member
KIR	SPC	member
MH	SPC	member
FSM	SPC	member
NAU	SPC	member
NCA	SPC	member
NZ	SPC	member
NIUE	SPC	member
NMIS	SPC	member
PAL	SPC	member
PITC	SPC	member
SLB	SPC	member
TO	SPC	member
TUV	SPC	member
TOK	SPC	member
VU	SPC	member
WAFU	SPC	member
WS	SPC	member
R	SCO	member
CN	SCO	member
TAD	SCO	member
UZB	SCO	member
KAZ	SCO	member
KGZ	SCO	member
BY	SCO	dialogue member
TR	SCO	dialogue member
CL	SCO	dialogue member
AFG	SCO	observer
IR	SCO	observer
PK	SCO	observer
IND	SCO	observer
MNG	SCO	observer
AFG	SACEP	member
PK	SACEP	member
BD	SACEP	member
IND	SACEP	member
BHT	SACEP	member
NEP	SACEP	member
MV	SACEP	member
CL	SACEP	member
AFG	SAARC	member
PK	SAARC	member
BD	SAARC	member
IND	SAARC	member
BHT	SAARC	member
NEP	SAARC	member
MV	SAARC	member
CL	SAARC	member
CN	SAARC	observer
IR	SAARC	observer
MYA	SAARC	observer
J	SAARC	observer
ROK	SAARC	observer
USA	SAARC	observer
AUS	SAARC	observer
MS	SAARC	observer
PNG	Sparteca	member
AUS	Sparteca	member
COOK	Sparteca	member
FJI	Sparteca	member
KIR	Sparteca	member
MH	Sparteca	member
FSM	Sparteca	member
NAU	Sparteca	member
NZ	Sparteca	member
NIUE	Sparteca	member
PAL	Sparteca	member
SLB	Sparteca	member
TO	Sparteca	member
TUV	Sparteca	member
VU	Sparteca	member
WS	Sparteca	member
NAM	SACU	member
RB	SACU	member
RSA	SACU	member
LS	SACU	member
SD	SACU	member
ANG	SADC	member
NAM	SADC	member
ZRE	SADC	member
Z	SADC	member
RB	SADC	member
RSA	SADC	member
ZW	SADC	member
EAT	SADC	member
LS	SADC	member
RM	SADC	member
MW	SADC	member
MOC	SADC	member
MS	SADC	member
SD	SADC	member
SY	SADC	member
RA	Mercosur	member
BOL	Mercosur	member
BR	Mercosur	member
PY	Mercosur	member
ROU	Mercosur	member
YV	Mercosur	member
CO	Mercosur	associate member
RCH	Mercosur	associate member
PE	Mercosur	associate member
GUY	Mercosur	associate member
SME	Mercosur	associate member
EC	Mercosur	associate member
CO	UNASUR	member
RA	UNASUR	member
BOL	UNASUR	member
BR	UNASUR	member
RCH	UNASUR	member
PY	UNASUR	member
ROU	UNASUR	member
PE	UNASUR	member
GUY	UNASUR	member
SME	UNASUR	member
YV	UNASUR	member
EC	UNASUR	member
MEX	UNASUR	observer
PA	UNASUR	observer
AL	UN	member
GR	UN	member
MK	UN	member
SRB	UN	member
MNE	UN	member
AND	UN	member
F	UN	member
E	UN	member
A	UN	member
CZ	UN	member
D	UN	member
H	UN	member
I	UN	member
FL	UN	member
SK	UN	member
SLO	UN	member
CH	UN	member
BY	UN	member
LV	UN	member
LT	UN	member
PL	UN	member
UA	UN	member
R	UN	member
B	UN	member
L	UN	member
NL	UN	member
BIH	UN	member
HR	UN	member
BG	UN	member
RO	UN	member
TR	UN	member
DK	UN	member
EW	UN	member
SF	UN	member
N	UN	member
S	UN	member
MC	UN	member
IS	UN	member
IRL	UN	member
RSM	UN	member
M	UN	member
MD	UN	member
P	UN	member
GB	UN	member
AFG	UN	member
CN	UN	member
IR	UN	member
PK	UN	member
TAD	UN	member
TM	UN	member
UZB	UN	member
ARM	UN	member
GE	UN	member
AZ	UN	member
BRN	UN	member
BD	UN	member
MYA	UN	member
IND	UN	member
BHT	UN	member
BRU	UN	member
MAL	UN	member
LAO	UN	member
THA	UN	member
K	UN	member
VN	UN	member
KAZ	UN	member
NOK	UN	member
KGZ	UN	member
MNG	UN	member
NEP	UN	member
CY	UN	member
IL	UN	member
ET	UN	member
RI	UN	member
TL	UN	member
PNG	UN	member
IRQ	UN	member
JOR	UN	member
KWT	UN	member
SA	UN	member
SYR	UN	member
RL	UN	member
J	UN	member
ROK	UN	member
MV	UN	member
OM	UN	member
UAE	UN	member
YE	UN	member
RP	UN	member
Q	UN	member
SGP	UN	member
CL	UN	member
AG	UN	member
BS	UN	member
BDS	UN	member
BZ	UN	member
GCA	UN	member
MEX	UN	member
CDN	UN	member
USA	UN	member
CR	UN	member
NIC	UN	member
PA	UN	member
C	UN	member
WD	UN	member
DOM	UN	member
RH	UN	member
ES	UN	member
HCA	UN	member
WG	UN	member
JA	UN	member
CO	UN	member
KN	UN	member
WL	UN	member
WV	UN	member
TT	UN	member
AUS	UN	member
FJI	UN	member
KIR	UN	member
MH	UN	member
FSM	UN	member
NAU	UN	member
NZ	UN	member
PAL	UN	member
SLB	UN	member
TO	UN	member
TUV	UN	member
VU	UN	member
WS	UN	member
RA	UN	member
BOL	UN	member
BR	UN	member
RCH	UN	member
PY	UN	member
ROU	UN	member
PE	UN	member
GUY	UN	member
SME	UN	member
YV	UN	member
EC	UN	member
DZ	UN	member
LAR	UN	member
RMM	UN	member
RIM	UN	member
MA	UN	member
RN	UN	member
TN	UN	member
ANG	UN	member
RCB	UN	member
NAM	UN	member
ZRE	UN	member
Z	UN	member
BEN	UN	member
BF	UN	member
WAN	UN	member
RT	UN	member
RB	UN	member
RSA	UN	member
ZW	UN	member
CI	UN	member
GH	UN	member
BI	UN	member
RWA	UN	member
EAT	UN	member
CAM	UN	member
RCA	UN	member
TCH	UN	member
GQ	UN	member
G	UN	member
CV	UN	member
SUD	UN	member
SSD	UN	member
COM	UN	member
RG	UN	member
LB	UN	member
DJI	UN	member
ER	UN	member
ETH	UN	member
SP	UN	member
EAK	UN	member
WAG	UN	member
SN	UN	member
GNB	UN	member
WAL	UN	member
EAU	UN	member
LS	UN	member
RM	UN	member
MW	UN	member
MOC	UN	member
MS	UN	member
SD	UN	member
STP	UN	member
SY	UN	member
V	UN	observer
AL	UNCTAD	member
GR	UNCTAD	member
MK	UNCTAD	member
SRB	UNCTAD	member
MNE	UNCTAD	member
AND	UNCTAD	member
F	UNCTAD	member
E	UNCTAD	member
A	UNCTAD	member
CZ	UNCTAD	member
D	UNCTAD	member
H	UNCTAD	member
I	UNCTAD	member
FL	UNCTAD	member
SK	UNCTAD	member
SLO	UNCTAD	member
CH	UNCTAD	member
BY	UNCTAD	member
LV	UNCTAD	member
LT	UNCTAD	member
PL	UNCTAD	member
UA	UNCTAD	member
R	UNCTAD	member
B	UNCTAD	member
L	UNCTAD	member
NL	UNCTAD	member
BIH	UNCTAD	member
HR	UNCTAD	member
BG	UNCTAD	member
RO	UNCTAD	member
TR	UNCTAD	member
DK	UNCTAD	member
EW	UNCTAD	member
SF	UNCTAD	member
N	UNCTAD	member
S	UNCTAD	member
MC	UNCTAD	member
V	UNCTAD	member
IS	UNCTAD	member
RSM	UNCTAD	member
M	UNCTAD	member
MD	UNCTAD	member
P	UNCTAD	member
GB	UNCTAD	member
AFG	UNCTAD	member
CN	UNCTAD	member
IR	UNCTAD	member
PK	UNCTAD	member
TAD	UNCTAD	member
TM	UNCTAD	member
UZB	UNCTAD	member
ARM	UNCTAD	member
GE	UNCTAD	member
AZ	UNCTAD	member
BRN	UNCTAD	member
BD	UNCTAD	member
MYA	UNCTAD	member
IND	UNCTAD	member
BHT	UNCTAD	member
BRU	UNCTAD	member
MAL	UNCTAD	member
LAO	UNCTAD	member
THA	UNCTAD	member
K	UNCTAD	member
VN	UNCTAD	member
KAZ	UNCTAD	member
NOK	UNCTAD	member
KGZ	UNCTAD	member
MNG	UNCTAD	member
NEP	UNCTAD	member
CY	UNCTAD	member
IL	UNCTAD	member
ET	UNCTAD	member
RI	UNCTAD	member
TL	UNCTAD	member
PNG	UNCTAD	member
IRQ	UNCTAD	member
JOR	UNCTAD	member
KWT	UNCTAD	member
SA	UNCTAD	member
SYR	UNCTAD	member
RL	UNCTAD	member
J	UNCTAD	member
ROK	UNCTAD	member
MV	UNCTAD	member
OM	UNCTAD	member
UAE	UNCTAD	member
YE	UNCTAD	member
Q	UNCTAD	member
SGP	UNCTAD	member
CL	UNCTAD	member
AG	UNCTAD	member
BS	UNCTAD	member
BDS	UNCTAD	member
BZ	UNCTAD	member
GCA	UNCTAD	member
MEX	UNCTAD	member
CDN	UNCTAD	member
USA	UNCTAD	member
CR	UNCTAD	member
NIC	UNCTAD	member
PA	UNCTAD	member
C	UNCTAD	member
WD	UNCTAD	member
DOM	UNCTAD	member
RH	UNCTAD	member
ES	UNCTAD	member
HCA	UNCTAD	member
WG	UNCTAD	member
JA	UNCTAD	member
CO	UNCTAD	member
KN	UNCTAD	member
WL	UNCTAD	member
WV	UNCTAD	member
TT	UNCTAD	member
AUS	UNCTAD	member
FJI	UNCTAD	member
KIR	UNCTAD	member
MH	UNCTAD	member
FSM	UNCTAD	member
NAU	UNCTAD	member
NZ	UNCTAD	member
PAL	UNCTAD	member
SLB	UNCTAD	member
TO	UNCTAD	member
TUV	UNCTAD	member
VU	UNCTAD	member
WS	UNCTAD	member
RA	UNCTAD	member
BOL	UNCTAD	member
BR	UNCTAD	member
RCH	UNCTAD	member
PY	UNCTAD	member
ROU	UNCTAD	member
PE	UNCTAD	member
GUY	UNCTAD	member
SME	UNCTAD	member
YV	UNCTAD	member
EC	UNCTAD	member
DZ	UNCTAD	member
LAR	UNCTAD	member
RMM	UNCTAD	member
RIM	UNCTAD	member
MA	UNCTAD	member
RN	UNCTAD	member
TN	UNCTAD	member
ANG	UNCTAD	member
RCB	UNCTAD	member
NAM	UNCTAD	member
ZRE	UNCTAD	member
Z	UNCTAD	member
BEN	UNCTAD	member
BF	UNCTAD	member
WAN	UNCTAD	member
RT	UNCTAD	member
RB	UNCTAD	member
RSA	UNCTAD	member
ZW	UNCTAD	member
CI	UNCTAD	member
GH	UNCTAD	member
BI	UNCTAD	member
RWA	UNCTAD	member
EAT	UNCTAD	member
CAM	UNCTAD	member
RCA	UNCTAD	member
TCH	UNCTAD	member
GQ	UNCTAD	member
G	UNCTAD	member
CV	UNCTAD	member
SUD	UNCTAD	member
SSD	UNCTAD	member
COM	UNCTAD	member
RG	UNCTAD	member
LB	UNCTAD	member
DJI	UNCTAD	member
ER	UNCTAD	member
ETH	UNCTAD	member
SP	UNCTAD	member
EAK	UNCTAD	member
WAG	UNCTAD	member
SN	UNCTAD	member
GNB	UNCTAD	member
WAL	UNCTAD	member
EAU	UNCTAD	member
LS	UNCTAD	member
RM	UNCTAD	member
MW	UNCTAD	member
MOC	UNCTAD	member
MS	UNCTAD	member
SD	UNCTAD	member
STP	UNCTAD	member
SY	UNCTAD	member
NL	UNDOF	member
IRL	UNDOF	member
IND	UNDOF	member
NEP	UNDOF	member
RP	UNDOF	member
FJI	UNDOF	member
AL	UNESCO	member
GR	UNESCO	member
MK	UNESCO	member
SRB	UNESCO	member
MNE	UNESCO	member
AND	UNESCO	member
F	UNESCO	member
E	UNESCO	member
A	UNESCO	member
CZ	UNESCO	member
D	UNESCO	member
H	UNESCO	member
I	UNESCO	member
SK	UNESCO	member
SLO	UNESCO	member
CH	UNESCO	member
BY	UNESCO	member
LV	UNESCO	member
LT	UNESCO	member
PL	UNESCO	member
UA	UNESCO	member
R	UNESCO	member
B	UNESCO	member
L	UNESCO	member
NL	UNESCO	member
BIH	UNESCO	member
HR	UNESCO	member
BG	UNESCO	member
RO	UNESCO	member
TR	UNESCO	member
DK	UNESCO	member
EW	UNESCO	member
SF	UNESCO	member
N	UNESCO	member
S	UNESCO	member
MC	UNESCO	member
IS	UNESCO	member
RSM	UNESCO	member
M	UNESCO	member
MD	UNESCO	member
P	UNESCO	member
GB	UNESCO	member
AFG	UNESCO	member
CN	UNESCO	member
IR	UNESCO	member
PK	UNESCO	member
TAD	UNESCO	member
TM	UNESCO	member
UZB	UNESCO	member
ARM	UNESCO	member
GE	UNESCO	member
AZ	UNESCO	member
BRN	UNESCO	member
BD	UNESCO	member
MYA	UNESCO	member
IND	UNESCO	member
BHT	UNESCO	member
BRU	UNESCO	member
MAL	UNESCO	member
LAO	UNESCO	member
THA	UNESCO	member
K	UNESCO	member
VN	UNESCO	member
KAZ	UNESCO	member
NOK	UNESCO	member
KGZ	UNESCO	member
MNG	UNESCO	member
NEP	UNESCO	member
CY	UNESCO	member
IL	UNESCO	member
ET	UNESCO	member
RI	UNESCO	member
TL	UNESCO	member
PNG	UNESCO	member
IRQ	UNESCO	member
JOR	UNESCO	member
KWT	UNESCO	member
SA	UNESCO	member
SYR	UNESCO	member
RL	UNESCO	member
J	UNESCO	member
ROK	UNESCO	member
MV	UNESCO	member
OM	UNESCO	member
UAE	UNESCO	member
YE	UNESCO	member
Q	UNESCO	member
SGP	UNESCO	member
CL	UNESCO	member
AG	UNESCO	member
BS	UNESCO	member
BDS	UNESCO	member
BZ	UNESCO	member
GCA	UNESCO	member
MEX	UNESCO	member
CDN	UNESCO	member
USA	UNESCO	member
CR	UNESCO	member
NIC	UNESCO	member
PA	UNESCO	member
C	UNESCO	member
WD	UNESCO	member
DOM	UNESCO	member
RH	UNESCO	member
ES	UNESCO	member
HCA	UNESCO	member
WG	UNESCO	member
JA	UNESCO	member
CO	UNESCO	member
KN	UNESCO	member
WL	UNESCO	member
WV	UNESCO	member
TT	UNESCO	member
AUS	UNESCO	member
COOK	UNESCO	member
FJI	UNESCO	member
KIR	UNESCO	member
MH	UNESCO	member
FSM	UNESCO	member
NAU	UNESCO	member
NZ	UNESCO	member
NIUE	UNESCO	member
PAL	UNESCO	member
SLB	UNESCO	member
TO	UNESCO	member
TUV	UNESCO	member
VU	UNESCO	member
WS	UNESCO	member
RA	UNESCO	member
BOL	UNESCO	member
BR	UNESCO	member
RCH	UNESCO	member
PY	UNESCO	member
ROU	UNESCO	member
PE	UNESCO	member
GUY	UNESCO	member
SME	UNESCO	member
YV	UNESCO	member
EC	UNESCO	member
DZ	UNESCO	member
LAR	UNESCO	member
RMM	UNESCO	member
RIM	UNESCO	member
MA	UNESCO	member
RN	UNESCO	member
TN	UNESCO	member
ANG	UNESCO	member
RCB	UNESCO	member
NAM	UNESCO	member
ZRE	UNESCO	member
Z	UNESCO	member
BEN	UNESCO	member
BF	UNESCO	member
WAN	UNESCO	member
RT	UNESCO	member
RB	UNESCO	member
RSA	UNESCO	member
ZW	UNESCO	member
CI	UNESCO	member
GH	UNESCO	member
BI	UNESCO	member
RWA	UNESCO	member
EAT	UNESCO	member
CAM	UNESCO	member
RCA	UNESCO	member
TCH	UNESCO	member
GQ	UNESCO	member
G	UNESCO	member
CV	UNESCO	member
SUD	UNESCO	member
SSD	UNESCO	member
COM	UNESCO	member
RG	UNESCO	member
LB	UNESCO	member
DJI	UNESCO	member
ER	UNESCO	member
ETH	UNESCO	member
SP	UNESCO	member
EAK	UNESCO	member
WAG	UNESCO	member
SN	UNESCO	member
GNB	UNESCO	member
WAL	UNESCO	member
EAU	UNESCO	member
LS	UNESCO	member
RM	UNESCO	member
MW	UNESCO	member
MOC	UNESCO	member
MS	UNESCO	member
SD	UNESCO	member
STP	UNESCO	member
SY	UNESCO	member
FARX	UNESCO	associate member
MACX	UNESCO	associate member
AXA	UNESCO	associate member
ARU	UNESCO	associate member
BVIR	UNESCO	associate member
CAYM	UNESCO	associate member
CUR	UNESCO	associate member
NLSM	UNESCO	associate member
TOK	UNESCO	associate member
GR	UNHCR	member
MK	UNHCR	member
SRB	UNHCR	member
MNE	UNHCR	member
F	UNHCR	member
E	UNHCR	member
A	UNHCR	member
D	UNHCR	member
H	UNHCR	member
I	UNHCR	member
SLO	UNHCR	member
CH	UNHCR	member
PL	UNHCR	member
R	UNHCR	member
B	UNHCR	member
L	UNHCR	member
NL	UNHCR	member
HR	UNHCR	member
BG	UNHCR	member
RO	UNHCR	member
TR	UNHCR	member
DK	UNHCR	member
EW	UNHCR	member
SF	UNHCR	member
N	UNHCR	member
S	UNHCR	member
V	UNHCR	member
IRL	UNHCR	member
MD	UNHCR	member
P	UNHCR	member
GB	UNHCR	member
CN	UNHCR	member
IR	UNHCR	member
PK	UNHCR	member
TM	UNHCR	member
AZ	UNHCR	member
BD	UNHCR	member
IND	UNHCR	member
THA	UNHCR	member
CY	UNHCR	member
IL	UNHCR	member
ET	UNHCR	member
JOR	UNHCR	member
RL	UNHCR	member
J	UNHCR	member
ROK	UNHCR	member
YE	UNHCR	member
RP	UNHCR	member
MEX	UNHCR	member
CDN	UNHCR	member
USA	UNHCR	member
CR	UNHCR	member
NIC	UNHCR	member
CO	UNHCR	member
AUS	UNHCR	member
NZ	UNHCR	member
RA	UNHCR	member
BR	UNHCR	member
RCH	UNHCR	member
YV	UNHCR	member
EC	UNHCR	member
DZ	UNHCR	member
MA	UNHCR	member
TN	UNHCR	member
RCB	UNHCR	member
NAM	UNHCR	member
ZRE	UNHCR	member
Z	UNHCR	member
BEN	UNHCR	member
WAN	UNHCR	member
RT	UNHCR	member
RSA	UNHCR	member
CI	UNHCR	member
GH	UNHCR	member
RWA	UNHCR	member
EAT	UNHCR	member
CAM	UNHCR	member
SUD	UNHCR	member
RG	UNHCR	member
DJI	UNHCR	member
ETH	UNHCR	member
SP	UNHCR	member
EAK	UNHCR	member
EAU	UNHCR	member
LS	UNHCR	member
RM	UNHCR	member
MOC	UNHCR	member
AL	UNIDO	member
GR	UNIDO	member
MK	UNIDO	member
SRB	UNIDO	member
MNE	UNIDO	member
F	UNIDO	member
E	UNIDO	member
A	UNIDO	member
CZ	UNIDO	member
D	UNIDO	member
H	UNIDO	member
I	UNIDO	member
SK	UNIDO	member
SLO	UNIDO	member
CH	UNIDO	member
BY	UNIDO	member
LT	UNIDO	member
PL	UNIDO	member
UA	UNIDO	member
R	UNIDO	member
B	UNIDO	member
L	UNIDO	member
NL	UNIDO	member
BIH	UNIDO	member
HR	UNIDO	member
BG	UNIDO	member
RO	UNIDO	member
TR	UNIDO	member
DK	UNIDO	member
SF	UNIDO	member
N	UNIDO	member
S	UNIDO	member
MC	UNIDO	member
M	UNIDO	member
MD	UNIDO	member
P	UNIDO	member
GB	UNIDO	member
AFG	UNIDO	member
CN	UNIDO	member
IR	UNIDO	member
PK	UNIDO	member
TAD	UNIDO	member
TM	UNIDO	member
UZB	UNIDO	member
ARM	UNIDO	member
GE	UNIDO	member
AZ	UNIDO	member
BRN	UNIDO	member
BD	UNIDO	member
MYA	UNIDO	member
IND	UNIDO	member
BHT	UNIDO	member
MAL	UNIDO	member
LAO	UNIDO	member
THA	UNIDO	member
K	UNIDO	member
VN	UNIDO	member
KAZ	UNIDO	member
NOK	UNIDO	member
KGZ	UNIDO	member
MNG	UNIDO	member
NEP	UNIDO	member
CY	UNIDO	member
IL	UNIDO	member
ET	UNIDO	member
RI	UNIDO	member
TL	UNIDO	member
PNG	UNIDO	member
IRQ	UNIDO	member
JOR	UNIDO	member
KWT	UNIDO	member
SA	UNIDO	member
SYR	UNIDO	member
RL	UNIDO	member
J	UNIDO	member
ROK	UNIDO	member
MV	UNIDO	member
OM	UNIDO	member
UAE	UNIDO	member
YE	UNIDO	member
Q	UNIDO	member
CL	UNIDO	member
BS	UNIDO	member
BDS	UNIDO	member
BZ	UNIDO	member
GCA	UNIDO	member
MEX	UNIDO	member
CR	UNIDO	member
NIC	UNIDO	member
PA	UNIDO	member
C	UNIDO	member
WD	UNIDO	member
DOM	UNIDO	member
RH	UNIDO	member
ES	UNIDO	member
HCA	UNIDO	member
WG	UNIDO	member
JA	UNIDO	member
CO	UNIDO	member
KN	UNIDO	member
WL	UNIDO	member
WV	UNIDO	member
TT	UNIDO	member
FJI	UNIDO	member
NZ	UNIDO	member
TO	UNIDO	member
TUV	UNIDO	member
VU	UNIDO	member
WS	UNIDO	member
RA	UNIDO	member
BOL	UNIDO	member
BR	UNIDO	member
RCH	UNIDO	member
PY	UNIDO	member
ROU	UNIDO	member
PE	UNIDO	member
GUY	UNIDO	member
SME	UNIDO	member
YV	UNIDO	member
EC	UNIDO	member
DZ	UNIDO	member
LAR	UNIDO	member
RMM	UNIDO	member
RIM	UNIDO	member
MA	UNIDO	member
RN	UNIDO	member
TN	UNIDO	member
ANG	UNIDO	member
RCB	UNIDO	member
NAM	UNIDO	member
ZRE	UNIDO	member
Z	UNIDO	member
BEN	UNIDO	member
BF	UNIDO	member
WAN	UNIDO	member
RT	UNIDO	member
RB	UNIDO	member
RSA	UNIDO	member
ZW	UNIDO	member
CI	UNIDO	member
GH	UNIDO	member
BI	UNIDO	member
RWA	UNIDO	member
EAT	UNIDO	member
CAM	UNIDO	member
RCA	UNIDO	member
TCH	UNIDO	member
GQ	UNIDO	member
G	UNIDO	member
CV	UNIDO	member
SUD	UNIDO	member
COM	UNIDO	member
RG	UNIDO	member
LB	UNIDO	member
DJI	UNIDO	member
ER	UNIDO	member
ETH	UNIDO	member
SP	UNIDO	member
EAK	UNIDO	member
WAG	UNIDO	member
SN	UNIDO	member
GNB	UNIDO	member
WAL	UNIDO	member
EAU	UNIDO	member
LS	UNIDO	member
RM	UNIDO	member
MW	UNIDO	member
MOC	UNIDO	member
MS	UNIDO	member
SD	UNIDO	member
STP	UNIDO	member
SY	UNIDO	member
CH	UNITAR	member
R	UNITAR	member
N	UNITAR	member
IR	UNITAR	member
IND	UNITAR	member
GCA	UNITAR	member
JA	UNITAR	member
BR	UNITAR	member
DZ	UNITAR	member
RCB	UNITAR	member
WAN	UNITAR	member
RSA	UNITAR	member
P	UNMIT	member
CN	UNMIT	member
PK	UNMIT	member
BD	UNMIT	member
IND	UNMIT	member
MAL	UNMIT	member
NEP	UNMIT	member
J	UNMIT	member
RP	UNMIT	member
SGP	UNMIT	member
AUS	UNMIT	member
FJI	UNMIT	member
NZ	UNMIT	member
BR	UNMIT	member
WAL	UNMIT	member
GR	UNIFIL	member
MK	UNIFIL	member
SRB	UNIFIL	member
F	UNIFIL	member
E	UNIFIL	member
A	UNIFIL	member
D	UNIFIL	member
H	UNIFIL	member
I	UNIFIL	member
SLO	UNIFIL	member
BY	UNIFIL	member
B	UNIFIL	member
HR	UNIFIL	member
TR	UNIFIL	member
SF	UNIFIL	member
IRL	UNIFIL	member
CN	UNIFIL	member
ARM	UNIFIL	member
BD	UNIFIL	member
IND	UNIFIL	member
BRU	UNIFIL	member
MAL	UNIFIL	member
K	UNIFIL	member
NEP	UNIFIL	member
CY	UNIFIL	member
RI	UNIFIL	member
ROK	UNIFIL	member
Q	UNIFIL	member
CL	UNIFIL	member
GCA	UNIFIL	member
ES	UNIFIL	member
BR	UNIFIL	member
WAN	UNIFIL	member
GH	UNIFIL	member
EAT	UNIFIL	member
EAK	UNIFIL	member
WAL	UNIFIL	member
UA	UNISFA	member
R	UNISFA	member
IND	UNISFA	member
K	UNISFA	member
MNG	UNISFA	member
NEP	UNISFA	member
YE	UNISFA	member
RP	UNISFA	member
CL	UNISFA	member
GCA	UNISFA	member
BOL	UNISFA	member
BR	UNISFA	member
PY	UNISFA	member
ROU	UNISFA	member
PE	UNISFA	member
EC	UNISFA	member
NAM	UNISFA	member
Z	UNISFA	member
BEN	UNISFA	member
WAN	UNISFA	member
ZW	UNISFA	member
GH	UNISFA	member
BI	UNISFA	member
RWA	UNISFA	member
EAT	UNISFA	member
RG	UNISFA	member
ETH	UNISFA	member
WAL	UNISFA	member
I	UNMOGIP	member
HR	UNMOGIP	member
SF	UNMOGIP	member
S	UNMOGIP	member
THA	UNMOGIP	member
ROK	UNMOGIP	member
RP	UNMOGIP	member
RCH	UNMOGIP	member
ROU	UNMOGIP	member
F	MINURSO	member
A	MINURSO	member
H	MINURSO	member
I	MINURSO	member
PL	MINURSO	member
R	MINURSO	member
HR	MINURSO	member
IRL	MINURSO	member
CN	MINURSO	member
PK	MINURSO	member
BD	MINURSO	member
MAL	MINURSO	member
MNG	MINURSO	member
NEP	MINURSO	member
ET	MINURSO	member
ROK	MINURSO	member
YE	MINURSO	member
CL	MINURSO	member
ES	MINURSO	member
HCA	MINURSO	member
RA	MINURSO	member
BR	MINURSO	member
PY	MINURSO	member
ROU	MINURSO	member
PE	MINURSO	member
WAN	MINURSO	member
RT	MINURSO	member
GH	MINURSO	member
RG	MINURSO	member
MW	MINURSO	member
SRB	UNMIL	member
MNE	UNMIL	member
F	UNMIL	member
PL	UNMIL	member
UA	UNMIL	member
R	UNMIL	member
HR	UNMIL	member
BG	UNMIL	member
RO	UNMIL	member
DK	UNMIL	member
SF	UNMIL	member
MD	UNMIL	member
CN	UNMIL	member
PK	UNMIL	member
BD	UNMIL	member
MAL	UNMIL	member
KGZ	UNMIL	member
NEP	UNMIL	member
ET	UNMIL	member
RI	UNMIL	member
JOR	UNMIL	member
ROK	UNMIL	member
YE	UNMIL	member
RP	UNMIL	member
USA	UNMIL	member
ES	UNMIL	member
BOL	UNMIL	member
BR	UNMIL	member
PY	UNMIL	member
PE	UNMIL	member
EC	UNMIL	member
RN	UNMIL	member
NAM	UNMIL	member
Z	UNMIL	member
BEN	UNMIL	member
WAN	UNMIL	member
RT	UNMIL	member
ZW	UNMIL	member
GH	UNMIL	member
ETH	UNMIL	member
EAK	UNMIL	member
WAG	UNMIL	member
SN	UNMIL	member
D	UNMISS	member
I	UNMISS	member
CH	UNMISS	member
BY	UNMISS	member
PL	UNMISS	member
UA	UNMISS	member
R	UNMISS	member
NL	UNMISS	member
RO	UNMISS	member
DK	UNMISS	member
N	UNMISS	member
S	UNMISS	member
MD	UNMISS	member
GB	UNMISS	member
CN	UNMISS	member
BD	UNMISS	member
IND	UNMISS	member
K	UNMISS	member
KGZ	UNMISS	member
MNG	UNMISS	member
NEP	UNMISS	member
ET	UNMISS	member
RI	UNMISS	member
TL	UNMISS	member
PNG	UNMISS	member
JOR	UNMISS	member
J	UNMISS	member
ROK	UNMISS	member
YE	UNMISS	member
CL	UNMISS	member
GCA	UNMISS	member
CDN	UNMISS	member
USA	UNMISS	member
ES	UNMISS	member
AUS	UNMISS	member
FJI	UNMISS	member
NZ	UNMISS	member
BOL	UNMISS	member
BR	UNMISS	member
PY	UNMISS	member
PE	UNMISS	member
EC	UNMISS	member
NAM	UNMISS	member
Z	UNMISS	member
BEN	UNMISS	member
WAN	UNMISS	member
RT	UNMISS	member
GH	UNMISS	member
RWA	UNMISS	member
EAT	UNMISS	member
RG	UNMISS	member
EAK	UNMISS	member
SN	UNMISS	member
EAU	UNMISS	member
SRB	UNOCI	member
F	UNOCI	member
PL	UNOCI	member
UA	UNOCI	member
R	UNOCI	member
RO	UNOCI	member
IRL	UNOCI	member
MD	UNOCI	member
CN	UNOCI	member
PK	UNOCI	member
BD	UNOCI	member
IND	UNOCI	member
NEP	UNOCI	member
ET	UNOCI	member
JOR	UNOCI	member
ROK	UNOCI	member
YE	UNOCI	member
RP	UNOCI	member
GCA	UNOCI	member
ES	UNOCI	member
BOL	UNOCI	member
BR	UNOCI	member
PY	UNOCI	member
ROU	UNOCI	member
PE	UNOCI	member
EC	UNOCI	member
MA	UNOCI	member
RN	UNOCI	member
TN	UNOCI	member
NAM	UNOCI	member
Z	UNOCI	member
BEN	UNOCI	member
WAN	UNOCI	member
RT	UNOCI	member
ZW	UNOCI	member
GH	UNOCI	member
EAT	UNOCI	member
TCH	UNOCI	member
RG	UNOCI	member
ETH	UNOCI	member
WAG	UNOCI	member
SN	UNOCI	member
EAU	UNOCI	member
MW	UNOCI	member
SRB	MONUSCO	member
F	MONUSCO	member
CZ	MONUSCO	member
CH	MONUSCO	member
PL	MONUSCO	member
UA	MONUSCO	member
R	MONUSCO	member
B	MONUSCO	member
BIH	MONUSCO	member
RO	MONUSCO	member
S	MONUSCO	member
IRL	MONUSCO	member
GB	MONUSCO	member
CN	MONUSCO	member
PK	MONUSCO	member
BD	MONUSCO	member
IND	MONUSCO	member
MAL	MONUSCO	member
MNG	MONUSCO	member
NEP	MONUSCO	member
ET	MONUSCO	member
RI	MONUSCO	member
JOR	MONUSCO	member
YE	MONUSCO	member
CL	MONUSCO	member
GCA	MONUSCO	member
CDN	MONUSCO	member
USA	MONUSCO	member
BOL	MONUSCO	member
PY	MONUSCO	member
ROU	MONUSCO	member
PE	MONUSCO	member
DZ	MONUSCO	member
RMM	MONUSCO	member
MA	MONUSCO	member
RN	MONUSCO	member
TN	MONUSCO	member
Z	MONUSCO	member
BEN	MONUSCO	member
BF	MONUSCO	member
WAN	MONUSCO	member
RSA	MONUSCO	member
GH	MONUSCO	member
EAT	MONUSCO	member
CAM	MONUSCO	member
RG	MONUSCO	member
EAK	MONUSCO	member
SN	MONUSCO	member
MW	MONUSCO	member
SRB	UNFICYP	member
A	UNFICYP	member
H	UNFICYP	member
SK	UNFICYP	member
UA	UNFICYP	member
HR	UNFICYP	member
GB	UNFICYP	member
CN	UNFICYP	member
CDN	UNFICYP	member
RA	UNFICYP	member
BR	UNFICYP	member
RCH	UNFICYP	member
PY	UNFICYP	member
F	UNRWA	member
E	UNRWA	member
D	UNRWA	member
I	UNRWA	member
CH	UNRWA	member
B	UNRWA	member
L	UNRWA	member
NL	UNRWA	member
TR	UNRWA	member
DK	UNRWA	member
SF	UNRWA	member
N	UNRWA	member
S	UNRWA	member
IRL	UNRWA	member
GB	UNRWA	member
ET	UNRWA	member
JOR	UNRWA	member
KWT	UNRWA	member
SA	UNRWA	member
SYR	UNRWA	member
RL	UNRWA	member
J	UNRWA	member
CDN	UNRWA	member
USA	UNRWA	member
AUS	UNRWA	member
F	UNSC	permanent member
R	UNSC	permanent member
GB	UNSC	permanent member
CN	UNSC	permanent member
USA	UNSC	permanent member
LT	UNSC	nonpermanent member
L	UNSC	nonpermanent member
JOR	UNSC	nonpermanent member
ROK	UNSC	nonpermanent member
AUS	UNSC	nonpermanent member
RA	UNSC	nonpermanent member
RCH	UNSC	nonpermanent member
WAN	UNSC	nonpermanent member
RWA	UNSC	nonpermanent member
TCH	UNSC	nonpermanent member
SRB	UNTSO	member
F	UNTSO	member
A	UNTSO	member
I	UNTSO	member
SK	UNTSO	member
SLO	UNTSO	member
CH	UNTSO	member
R	UNTSO	member
B	UNTSO	member
NL	UNTSO	member
DK	UNTSO	member
EW	UNTSO	member
SF	UNTSO	member
N	UNTSO	member
S	UNTSO	member
IRL	UNTSO	member
CN	UNTSO	member
NEP	UNTSO	member
CDN	UNTSO	member
USA	UNTSO	member
AUS	UNTSO	member
NZ	UNTSO	member
RA	UNTSO	member
RCH	UNTSO	member
AL	UPU	member
GR	UPU	member
MK	UPU	member
SRB	UPU	member
MNE	UPU	member
F	UPU	member
E	UPU	member
A	UPU	member
CZ	UPU	member
D	UPU	member
H	UPU	member
I	UPU	member
FL	UPU	member
SK	UPU	member
SLO	UPU	member
CH	UPU	member
BY	UPU	member
LV	UPU	member
LT	UPU	member
PL	UPU	member
UA	UPU	member
R	UPU	member
B	UPU	member
L	UPU	member
NL	UPU	member
BIH	UPU	member
HR	UPU	member
BG	UPU	member
RO	UPU	member
TR	UPU	member
DK	UPU	member
EW	UPU	member
FARX	UPU	member
SF	UPU	member
N	UPU	member
S	UPU	member
MC	UPU	member
GBZ	UPU	member
GBG	UPU	member
V	UPU	member
IS	UPU	member
RSM	UPU	member
GBJ	UPU	member
M	UPU	member
GBM	UPU	member
MD	UPU	member
P	UPU	member
GB	UPU	member
AFG	UPU	member
CN	UPU	member
IR	UPU	member
PK	UPU	member
TAD	UPU	member
TM	UPU	member
UZB	UPU	member
ARM	UPU	member
GE	UPU	member
AZ	UPU	member
BRN	UPU	member
BD	UPU	member
MYA	UPU	member
IND	UPU	member
BHT	UPU	member
BRU	UPU	member
MAL	UPU	member
LAO	UPU	member
THA	UPU	member
K	UPU	member
VN	UPU	member
KAZ	UPU	member
NOK	UPU	member
KGZ	UPU	member
HONX	UPU	member
MACX	UPU	member
MNG	UPU	member
NEP	UPU	member
CY	UPU	member
IL	UPU	member
ET	UPU	member
RI	UPU	member
TL	UPU	member
PNG	UPU	member
IRQ	UPU	member
JOR	UPU	member
KWT	UPU	member
SA	UPU	member
SYR	UPU	member
RL	UPU	member
J	UPU	member
ROK	UPU	member
MV	UPU	member
OM	UPU	member
UAE	UPU	member
YE	UPU	member
Q	UPU	member
SGP	UPU	member
CL	UPU	member
AG	UPU	member
ARU	UPU	member
BS	UPU	member
BDS	UPU	member
BZ	UPU	member
GCA	UPU	member
MEX	UPU	member
BERM	UPU	member
BVIR	UPU	member
CDN	UPU	member
USA	UPU	member
CAYM	UPU	member
CR	UPU	member
NIC	UPU	member
PA	UPU	member
C	UPU	member
WD	UPU	member
DOM	UPU	member
RH	UPU	member
ES	UPU	member
HCA	UPU	member
GROX	UPU	member
WG	UPU	member
GUAD	UPU	member
JA	UPU	member
MART	UPU	member
MNTS	UPU	member
CUR	UPU	member
NLSM	UPU	member
SMAR	UPU	member
SBAR	UPU	member
CO	UPU	member
PR	UPU	member
KN	UPU	member
WL	UPU	member
SPMI	UPU	member
WV	UPU	member
TT	UPU	member
TUCA	UPU	member
VIRG	UPU	member
AMSA	UPU	member
AUS	UPU	member
COOK	UPU	member
FJI	UPU	member
FPOL	UPU	member
GUAM	UPU	member
KIR	UPU	member
NAU	UPU	member
NCA	UPU	member
NZ	UPU	member
NIUE	UPU	member
NORF	UPU	member
NMIS	UPU	member
PITC	UPU	member
SLB	UPU	member
TO	UPU	member
TUV	UPU	member
TOK	UPU	member
VU	UPU	member
WAFU	UPU	member
WS	UPU	member
RA	UPU	member
BOL	UPU	member
BR	UPU	member
RCH	UPU	member
PY	UPU	member
ROU	UPU	member
PE	UPU	member
FGU	UPU	member
GUY	UPU	member
SME	UPU	member
YV	UPU	member
EC	UPU	member
FALK	UPU	member
DZ	UPU	member
LAR	UPU	member
RMM	UPU	member
RIM	UPU	member
MA	UPU	member
RN	UPU	member
TN	UPU	member
ANG	UPU	member
RCB	UPU	member
NAM	UPU	member
ZRE	UPU	member
Z	UPU	member
BEN	UPU	member
BF	UPU	member
WAN	UPU	member
RT	UPU	member
RB	UPU	member
RSA	UPU	member
ZW	UPU	member
CI	UPU	member
GH	UPU	member
BI	UPU	member
RWA	UPU	member
EAT	UPU	member
CAM	UPU	member
RCA	UPU	member
TCH	UPU	member
GQ	UPU	member
G	UPU	member
CV	UPU	member
SUD	UPU	member
SSD	UPU	member
COM	UPU	member
RG	UPU	member
LB	UPU	member
DJI	UPU	member
ER	UPU	member
ETH	UPU	member
SP	UPU	member
EAK	UPU	member
WAG	UPU	member
SN	UPU	member
GNB	UPU	member
WAL	UPU	member
EAU	UPU	member
LS	UPU	member
RM	UPU	member
MW	UPU	member
MOC	UPU	member
MS	UPU	member
MAYO	UPU	member
SD	UPU	member
REUN	UPU	member
HELX	UPU	member
STP	UPU	member
SY	UPU	member
AL	WCO	member
GR	WCO	member
MK	WCO	member
SRB	WCO	member
MNE	WCO	member
AND	WCO	member
F	WCO	member
E	WCO	member
A	WCO	member
CZ	WCO	member
D	WCO	member
H	WCO	member
I	WCO	member
SK	WCO	member
SLO	WCO	member
CH	WCO	member
BY	WCO	member
LV	WCO	member
LT	WCO	member
PL	WCO	member
UA	WCO	member
R	WCO	member
B	WCO	member
L	WCO	member
NL	WCO	member
BIH	WCO	member
HR	WCO	member
BG	WCO	member
RO	WCO	member
TR	WCO	member
DK	WCO	member
EW	WCO	member
SF	WCO	member
N	WCO	member
S	WCO	member
IS	WCO	member
IRL	WCO	member
M	WCO	member
MD	WCO	member
P	WCO	member
GB	WCO	member
AFG	WCO	member
CN	WCO	member
IR	WCO	member
PK	WCO	member
TAD	WCO	member
TM	WCO	member
UZB	WCO	member
ARM	WCO	member
GE	WCO	member
AZ	WCO	member
BRN	WCO	member
BD	WCO	member
MYA	WCO	member
IND	WCO	member
BHT	WCO	member
BRU	WCO	member
MAL	WCO	member
LAO	WCO	member
THA	WCO	member
K	WCO	member
VN	WCO	member
KAZ	WCO	member
KGZ	WCO	member
HONX	WCO	member
MACX	WCO	member
MNG	WCO	member
NEP	WCO	member
CY	WCO	member
IL	WCO	member
ET	WCO	member
RI	WCO	member
TL	WCO	member
PNG	WCO	member
IRQ	WCO	member
JOR	WCO	member
KWT	WCO	member
SA	WCO	member
SYR	WCO	member
RL	WCO	member
J	WCO	member
ROK	WCO	member
MV	WCO	member
OM	WCO	member
UAE	WCO	member
YE	WCO	member
RP	WCO	member
Q	WCO	member
SGP	WCO	member
CL	WCO	member
BS	WCO	member
BDS	WCO	member
BZ	WCO	member
GCA	WCO	member
MEX	WCO	member
BERM	WCO	member
CDN	WCO	member
USA	WCO	member
CR	WCO	member
NIC	WCO	member
PA	WCO	member
C	WCO	member
DOM	WCO	member
RH	WCO	member
ES	WCO	member
HCA	WCO	member
JA	WCO	member
CUR	WCO	member
CO	WCO	member
WL	WCO	member
TT	WCO	member
AUS	WCO	member
FJI	WCO	member
NZ	WCO	member
TO	WCO	member
VU	WCO	member
WS	WCO	member
RA	WCO	member
BOL	WCO	member
BR	WCO	member
RCH	WCO	member
PY	WCO	member
ROU	WCO	member
PE	WCO	member
GUY	WCO	member
YV	WCO	member
EC	WCO	member
DZ	WCO	member
LAR	WCO	member
RMM	WCO	member
RIM	WCO	member
MA	WCO	member
RN	WCO	member
TN	WCO	member
ANG	WCO	member
RCB	WCO	member
NAM	WCO	member
ZRE	WCO	member
Z	WCO	member
BEN	WCO	member
BF	WCO	member
WAN	WCO	member
RT	WCO	member
RB	WCO	member
RSA	WCO	member
ZW	WCO	member
CI	WCO	member
GH	WCO	member
BI	WCO	member
RWA	WCO	member
EAT	WCO	member
CAM	WCO	member
RCA	WCO	member
TCH	WCO	member
G	WCO	member
CV	WCO	member
SUD	WCO	member
SSD	WCO	member
COM	WCO	member
RG	WCO	member
LB	WCO	member
DJI	WCO	member
ER	WCO	member
ETH	WCO	member
SP	WCO	member
EAK	WCO	member
WAG	WCO	member
SN	WCO	member
GNB	WCO	member
WAL	WCO	member
EAU	WCO	member
LS	WCO	member
RM	WCO	member
MW	WCO	member
MOC	WCO	member
MS	WCO	member
SD	WCO	member
STP	WCO	member
SY	WCO	member
AL	WFTU	member
GR	WFTU	member
F	WFTU	member
A	WFTU	member
CZ	WFTU	member
H	WFTU	member
SK	WFTU	member
BY	WFTU	member
PL	WFTU	member
UA	WFTU	member
R	WFTU	member
BG	WFTU	member
RO	WFTU	member
TR	WFTU	member
SF	WFTU	member
S	WFTU	member
P	WFTU	member
AFG	WFTU	member
IR	WFTU	member
PK	WFTU	member
TAD	WFTU	member
TM	WFTU	member
UZB	WFTU	member
ARM	WFTU	member
AZ	WFTU	member
BRN	WFTU	member
BD	WFTU	member
IND	WFTU	member
MAL	WFTU	member
LAO	WFTU	member
THA	WFTU	member
K	WFTU	member
VN	WFTU	member
KAZ	WFTU	member
NOK	WFTU	member
KGZ	WFTU	member
NEP	WFTU	member
CY	WFTU	member
ET	WFTU	member
RI	WFTU	member
PNG	WFTU	member
IRQ	WFTU	member
JOR	WFTU	member
KWT	WFTU	member
SA	WFTU	member
SYR	WFTU	member
RL	WFTU	member
J	WFTU	member
OM	WFTU	member
YE	WFTU	member
RP	WFTU	member
CL	WFTU	member
AG	WFTU	member
BDS	WFTU	member
GCA	WFTU	member
MEX	WFTU	member
CDN	WFTU	member
CR	WFTU	member
PA	WFTU	member
C	WFTU	member
DOM	WFTU	member
RH	WFTU	member
ES	WFTU	member
HCA	WFTU	member
GUAD	WFTU	member
JA	WFTU	member
MART	WFTU	member
CO	WFTU	member
PR	WFTU	member
WL	WFTU	member
SPMI	WFTU	member
WV	WFTU	member
TT	WFTU	member
AUS	WFTU	member
FJI	WFTU	member
NCA	WFTU	member
NZ	WFTU	member
SLB	WFTU	member
VU	WFTU	member
RA	WFTU	member
BOL	WFTU	member
BR	WFTU	member
RCH	WFTU	member
ROU	WFTU	member
PE	WFTU	member
FGU	WFTU	member
GUY	WFTU	member
YV	WFTU	member
EC	WFTU	member
LAR	WFTU	member
RMM	WFTU	member
RN	WFTU	member
TN	WFTU	member
ANG	WFTU	member
RCB	WFTU	member
ZRE	WFTU	member
BEN	WFTU	member
BF	WFTU	member
WAN	WFTU	member
RT	WFTU	member
RB	WFTU	member
RSA	WFTU	member
ZW	WFTU	member
CI	WFTU	member
GH	WFTU	member
EAT	WFTU	member
CAM	WFTU	member
SUD	WFTU	member
RG	WFTU	member
LB	WFTU	member
DJI	WFTU	member
ER	WFTU	member
ETH	WFTU	member
SP	WFTU	member
WAG	WFTU	member
SN	WFTU	member
GNB	WFTU	member
WAL	WFTU	member
EAU	WFTU	member
LS	WFTU	member
RM	WFTU	member
MW	WFTU	member
MOC	WFTU	member
MS	WFTU	member
REUN	WFTU	member
AL	WHO	member
GR	WHO	member
MK	WHO	member
SRB	WHO	member
MNE	WHO	member
AND	WHO	member
F	WHO	member
E	WHO	member
A	WHO	member
CZ	WHO	member
D	WHO	member
H	WHO	member
I	WHO	member
SK	WHO	member
SLO	WHO	member
CH	WHO	member
BY	WHO	member
LV	WHO	member
LT	WHO	member
PL	WHO	member
UA	WHO	member
R	WHO	member
B	WHO	member
L	WHO	member
NL	WHO	member
BIH	WHO	member
HR	WHO	member
BG	WHO	member
RO	WHO	member
TR	WHO	member
DK	WHO	member
EW	WHO	member
SF	WHO	member
N	WHO	member
S	WHO	member
MC	WHO	member
IS	WHO	member
RSM	WHO	member
M	WHO	member
MD	WHO	member
P	WHO	member
GB	WHO	member
AFG	WHO	member
CN	WHO	member
IR	WHO	member
PK	WHO	member
TAD	WHO	member
TM	WHO	member
UZB	WHO	member
ARM	WHO	member
GE	WHO	member
AZ	WHO	member
BRN	WHO	member
BD	WHO	member
MYA	WHO	member
IND	WHO	member
BHT	WHO	member
BRU	WHO	member
MAL	WHO	member
LAO	WHO	member
THA	WHO	member
K	WHO	member
VN	WHO	member
KAZ	WHO	member
NOK	WHO	member
KGZ	WHO	member
MNG	WHO	member
NEP	WHO	member
CY	WHO	member
IL	WHO	member
ET	WHO	member
RI	WHO	member
TL	WHO	member
PNG	WHO	member
IRQ	WHO	member
JOR	WHO	member
KWT	WHO	member
SA	WHO	member
SYR	WHO	member
RL	WHO	member
J	WHO	member
ROK	WHO	member
MV	WHO	member
OM	WHO	member
UAE	WHO	member
YE	WHO	member
Q	WHO	member
SGP	WHO	member
CL	WHO	member
AG	WHO	member
BS	WHO	member
BDS	WHO	member
BZ	WHO	member
GCA	WHO	member
MEX	WHO	member
CDN	WHO	member
USA	WHO	member
CR	WHO	member
NIC	WHO	member
PA	WHO	member
C	WHO	member
WD	WHO	member
DOM	WHO	member
RH	WHO	member
ES	WHO	member
HCA	WHO	member
WG	WHO	member
JA	WHO	member
CO	WHO	member
KN	WHO	member
WL	WHO	member
WV	WHO	member
TT	WHO	member
AUS	WHO	member
COOK	WHO	member
FJI	WHO	member
KIR	WHO	member
MH	WHO	member
FSM	WHO	member
NAU	WHO	member
NZ	WHO	member
NIUE	WHO	member
PAL	WHO	member
SLB	WHO	member
TO	WHO	member
TUV	WHO	member
VU	WHO	member
WS	WHO	member
RA	WHO	member
BOL	WHO	member
BR	WHO	member
RCH	WHO	member
PY	WHO	member
ROU	WHO	member
PE	WHO	member
GUY	WHO	member
SME	WHO	member
YV	WHO	member
EC	WHO	member
DZ	WHO	member
LAR	WHO	member
RMM	WHO	member
RIM	WHO	member
MA	WHO	member
RN	WHO	member
TN	WHO	member
ANG	WHO	member
RCB	WHO	member
NAM	WHO	member
ZRE	WHO	member
Z	WHO	member
BEN	WHO	member
BF	WHO	member
WAN	WHO	member
RT	WHO	member
RB	WHO	member
RSA	WHO	member
ZW	WHO	member
CI	WHO	member
GH	WHO	member
BI	WHO	member
RWA	WHO	member
EAT	WHO	member
CAM	WHO	member
RCA	WHO	member
TCH	WHO	member
GQ	WHO	member
G	WHO	member
CV	WHO	member
SUD	WHO	member
SSD	WHO	member
COM	WHO	member
RG	WHO	member
LB	WHO	member
DJI	WHO	member
ER	WHO	member
ETH	WHO	member
SP	WHO	member
EAK	WHO	member
WAG	WHO	member
SN	WHO	member
GNB	WHO	member
WAL	WHO	member
EAU	WHO	member
LS	WHO	member
RM	WHO	member
MW	WHO	member
MOC	WHO	member
MS	WHO	member
SD	WHO	member
STP	WHO	member
SY	WHO	member
AL	WIPO	member
GR	WIPO	member
MK	WIPO	member
SRB	WIPO	member
MNE	WIPO	member
AND	WIPO	member
F	WIPO	member
E	WIPO	member
A	WIPO	member
CZ	WIPO	member
D	WIPO	member
H	WIPO	member
I	WIPO	member
FL	WIPO	member
SK	WIPO	member
SLO	WIPO	member
CH	WIPO	member
BY	WIPO	member
LV	WIPO	member
LT	WIPO	member
PL	WIPO	member
UA	WIPO	member
R	WIPO	member
B	WIPO	member
L	WIPO	member
NL	WIPO	member
BIH	WIPO	member
HR	WIPO	member
BG	WIPO	member
RO	WIPO	member
TR	WIPO	member
DK	WIPO	member
EW	WIPO	member
SF	WIPO	member
N	WIPO	member
S	WIPO	member
MC	WIPO	member
V	WIPO	member
IS	WIPO	member
RSM	WIPO	member
M	WIPO	member
MD	WIPO	member
P	WIPO	member
GB	WIPO	member
AFG	WIPO	member
CN	WIPO	member
IR	WIPO	member
PK	WIPO	member
TAD	WIPO	member
TM	WIPO	member
UZB	WIPO	member
ARM	WIPO	member
GE	WIPO	member
AZ	WIPO	member
BRN	WIPO	member
BD	WIPO	member
MYA	WIPO	member
IND	WIPO	member
BHT	WIPO	member
BRU	WIPO	member
MAL	WIPO	member
LAO	WIPO	member
THA	WIPO	member
K	WIPO	member
VN	WIPO	member
KAZ	WIPO	member
NOK	WIPO	member
KGZ	WIPO	member
MNG	WIPO	member
NEP	WIPO	member
CY	WIPO	member
IL	WIPO	member
ET	WIPO	member
RI	WIPO	member
PNG	WIPO	member
IRQ	WIPO	member
JOR	WIPO	member
KWT	WIPO	member
SA	WIPO	member
SYR	WIPO	member
RL	WIPO	member
J	WIPO	member
ROK	WIPO	member
MV	WIPO	member
OM	WIPO	member
UAE	WIPO	member
YE	WIPO	member
Q	WIPO	member
SGP	WIPO	member
CL	WIPO	member
AG	WIPO	member
BS	WIPO	member
BDS	WIPO	member
BZ	WIPO	member
GCA	WIPO	member
MEX	WIPO	member
CDN	WIPO	member
USA	WIPO	member
CR	WIPO	member
NIC	WIPO	member
PA	WIPO	member
C	WIPO	member
WD	WIPO	member
DOM	WIPO	member
RH	WIPO	member
ES	WIPO	member
HCA	WIPO	member
WG	WIPO	member
JA	WIPO	member
CO	WIPO	member
KN	WIPO	member
WL	WIPO	member
WV	WIPO	member
TT	WIPO	member
AUS	WIPO	member
FJI	WIPO	member
KIR	WIPO	member
NZ	WIPO	member
TO	WIPO	member
VU	WIPO	member
WS	WIPO	member
RA	WIPO	member
BOL	WIPO	member
BR	WIPO	member
RCH	WIPO	member
PY	WIPO	member
ROU	WIPO	member
PE	WIPO	member
GUY	WIPO	member
SME	WIPO	member
YV	WIPO	member
EC	WIPO	member
DZ	WIPO	member
LAR	WIPO	member
RMM	WIPO	member
RIM	WIPO	member
MA	WIPO	member
RN	WIPO	member
TN	WIPO	member
ANG	WIPO	member
RCB	WIPO	member
NAM	WIPO	member
ZRE	WIPO	member
Z	WIPO	member
BEN	WIPO	member
BF	WIPO	member
WAN	WIPO	member
RT	WIPO	member
RB	WIPO	member
RSA	WIPO	member
ZW	WIPO	member
CI	WIPO	member
GH	WIPO	member
BI	WIPO	member
RWA	WIPO	member
EAT	WIPO	member
CAM	WIPO	member
RCA	WIPO	member
TCH	WIPO	member
GQ	WIPO	member
G	WIPO	member
CV	WIPO	member
SUD	WIPO	member
COM	WIPO	member
RG	WIPO	member
LB	WIPO	member
DJI	WIPO	member
ER	WIPO	member
ETH	WIPO	member
SP	WIPO	member
EAK	WIPO	member
WAG	WIPO	member
SN	WIPO	member
GNB	WIPO	member
WAL	WIPO	member
EAU	WIPO	member
LS	WIPO	member
RM	WIPO	member
MW	WIPO	member
MOC	WIPO	member
MS	WIPO	member
SD	WIPO	member
STP	WIPO	member
SY	WIPO	member
AL	WMO	member
GR	WMO	member
MK	WMO	member
SRB	WMO	member
MNE	WMO	member
F	WMO	member
E	WMO	member
A	WMO	member
CZ	WMO	member
D	WMO	member
H	WMO	member
I	WMO	member
SK	WMO	member
SLO	WMO	member
CH	WMO	member
BY	WMO	member
LV	WMO	member
LT	WMO	member
PL	WMO	member
UA	WMO	member
R	WMO	member
B	WMO	member
L	WMO	member
NL	WMO	member
BIH	WMO	member
HR	WMO	member
BG	WMO	member
RO	WMO	member
TR	WMO	member
DK	WMO	member
EW	WMO	member
SF	WMO	member
N	WMO	member
S	WMO	member
MC	WMO	member
IS	WMO	member
M	WMO	member
MD	WMO	member
P	WMO	member
GB	WMO	member
AFG	WMO	member
CN	WMO	member
IR	WMO	member
PK	WMO	member
TAD	WMO	member
TM	WMO	member
UZB	WMO	member
ARM	WMO	member
GE	WMO	member
AZ	WMO	member
BRN	WMO	member
BD	WMO	member
MYA	WMO	member
IND	WMO	member
BHT	WMO	member
BRU	WMO	member
MAL	WMO	member
LAO	WMO	member
THA	WMO	member
K	WMO	member
VN	WMO	member
KAZ	WMO	member
NOK	WMO	member
KGZ	WMO	member
MNG	WMO	member
NEP	WMO	member
CY	WMO	member
IL	WMO	member
ET	WMO	member
RI	WMO	member
TL	WMO	member
PNG	WMO	member
IRQ	WMO	member
JOR	WMO	member
KWT	WMO	member
SA	WMO	member
SYR	WMO	member
RL	WMO	member
J	WMO	member
ROK	WMO	member
MV	WMO	member
OM	WMO	member
UAE	WMO	member
YE	WMO	member
Q	WMO	member
SGP	WMO	member
CL	WMO	member
AG	WMO	member
BS	WMO	member
BDS	WMO	member
BZ	WMO	member
GCA	WMO	member
MEX	WMO	member
CDN	WMO	member
USA	WMO	member
CR	WMO	member
NIC	WMO	member
PA	WMO	member
C	WMO	member
WD	WMO	member
DOM	WMO	member
RH	WMO	member
ES	WMO	member
HCA	WMO	member
JA	WMO	member
CO	WMO	member
WL	WMO	member
TT	WMO	member
AUS	WMO	member
COOK	WMO	member
FJI	WMO	member
KIR	WMO	member
FSM	WMO	member
NZ	WMO	member
NIUE	WMO	member
SLB	WMO	member
TO	WMO	member
TUV	WMO	member
VU	WMO	member
WS	WMO	member
RA	WMO	member
BOL	WMO	member
BR	WMO	member
RCH	WMO	member
PY	WMO	member
ROU	WMO	member
PE	WMO	member
GUY	WMO	member
SME	WMO	member
YV	WMO	member
EC	WMO	member
DZ	WMO	member
LAR	WMO	member
RMM	WMO	member
RIM	WMO	member
MA	WMO	member
RN	WMO	member
TN	WMO	member
ANG	WMO	member
RCB	WMO	member
NAM	WMO	member
ZRE	WMO	member
Z	WMO	member
BEN	WMO	member
BF	WMO	member
WAN	WMO	member
RT	WMO	member
RB	WMO	member
RSA	WMO	member
ZW	WMO	member
CI	WMO	member
GH	WMO	member
BI	WMO	member
RWA	WMO	member
EAT	WMO	member
CAM	WMO	member
RCA	WMO	member
TCH	WMO	member
G	WMO	member
CV	WMO	member
SUD	WMO	member
SSD	WMO	member
COM	WMO	member
RG	WMO	member
LB	WMO	member
DJI	WMO	member
ER	WMO	member
ETH	WMO	member
SP	WMO	member
EAK	WMO	member
WAG	WMO	member
SN	WMO	member
GNB	WMO	member
WAL	WMO	member
EAU	WMO	member
LS	WMO	member
RM	WMO	member
MW	WMO	member
MOC	WMO	member
MS	WMO	member
SD	WMO	member
STP	WMO	member
SY	WMO	member
AL	UNWTO	member
GR	UNWTO	member
MK	UNWTO	member
SRB	UNWTO	member
MNE	UNWTO	member
AND	UNWTO	member
F	UNWTO	member
E	UNWTO	member
A	UNWTO	member
CZ	UNWTO	member
D	UNWTO	member
H	UNWTO	member
I	UNWTO	member
SK	UNWTO	member
SLO	UNWTO	member
CH	UNWTO	member
BY	UNWTO	member
LT	UNWTO	member
PL	UNWTO	member
UA	UNWTO	member
R	UNWTO	member
NL	UNWTO	member
BIH	UNWTO	member
HR	UNWTO	member
BG	UNWTO	member
RO	UNWTO	member
TR	UNWTO	member
N	UNWTO	member
MC	UNWTO	member
RSM	UNWTO	member
M	UNWTO	member
MD	UNWTO	member
P	UNWTO	member
AFG	UNWTO	member
CN	UNWTO	member
IR	UNWTO	member
PK	UNWTO	member
TAD	UNWTO	member
TM	UNWTO	member
UZB	UNWTO	member
ARM	UNWTO	member
GE	UNWTO	member
AZ	UNWTO	member
BRN	UNWTO	member
BD	UNWTO	member
MYA	UNWTO	member
IND	UNWTO	member
BHT	UNWTO	member
BRU	UNWTO	member
MAL	UNWTO	member
LAO	UNWTO	member
THA	UNWTO	member
K	UNWTO	member
VN	UNWTO	member
KAZ	UNWTO	member
NOK	UNWTO	member
KGZ	UNWTO	member
MNG	UNWTO	member
NEP	UNWTO	member
CY	UNWTO	member
IL	UNWTO	member
ET	UNWTO	member
RI	UNWTO	member
TL	UNWTO	member
PNG	UNWTO	member
IRQ	UNWTO	member
JOR	UNWTO	member
KWT	UNWTO	member
SA	UNWTO	member
SYR	UNWTO	member
RL	UNWTO	member
J	UNWTO	member
ROK	UNWTO	member
MV	UNWTO	member
OM	UNWTO	member
UAE	UNWTO	member
YE	UNWTO	member
RP	UNWTO	member
Q	UNWTO	member
CL	UNWTO	member
BS	UNWTO	member
GCA	UNWTO	member
MEX	UNWTO	member
CR	UNWTO	member
NIC	UNWTO	member
PA	UNWTO	member
C	UNWTO	member
DOM	UNWTO	member
RH	UNWTO	member
ES	UNWTO	member
HCA	UNWTO	member
JA	UNWTO	member
CO	UNWTO	member
TT	UNWTO	member
AUS	UNWTO	member
FJI	UNWTO	member
VU	UNWTO	member
RA	UNWTO	member
BOL	UNWTO	member
BR	UNWTO	member
RCH	UNWTO	member
PY	UNWTO	member
ROU	UNWTO	member
PE	UNWTO	member
YV	UNWTO	member
EC	UNWTO	member
DZ	UNWTO	member
LAR	UNWTO	member
RMM	UNWTO	member
RIM	UNWTO	member
MA	UNWTO	member
RN	UNWTO	member
TN	UNWTO	member
ANG	UNWTO	member
RCB	UNWTO	member
NAM	UNWTO	member
ZRE	UNWTO	member
Z	UNWTO	member
BEN	UNWTO	member
BF	UNWTO	member
WAN	UNWTO	member
RT	UNWTO	member
RB	UNWTO	member
RSA	UNWTO	member
ZW	UNWTO	member
CI	UNWTO	member
GH	UNWTO	member
BI	UNWTO	member
RWA	UNWTO	member
EAT	UNWTO	member
CAM	UNWTO	member
RCA	UNWTO	member
TCH	UNWTO	member
GQ	UNWTO	member
G	UNWTO	member
CV	UNWTO	member
SUD	UNWTO	member
RG	UNWTO	member
LB	UNWTO	member
DJI	UNWTO	member
ER	UNWTO	member
ETH	UNWTO	member
EAK	UNWTO	member
WAG	UNWTO	member
SN	UNWTO	member
GNB	UNWTO	member
WAL	UNWTO	member
EAU	UNWTO	member
LS	UNWTO	member
RM	UNWTO	member
MW	UNWTO	member
MOC	UNWTO	member
MS	UNWTO	member
SD	UNWTO	member
STP	UNWTO	member
SY	UNWTO	member
HONX	UNWTO	associate member
MACX	UNWTO	associate member
ARU	UNWTO	associate member
PR	UNWTO	associate member
V	UNWTO	observer
AL	WTO	member
GR	WTO	member
MK	WTO	member
MNE	WTO	member
F	WTO	member
E	WTO	member
A	WTO	member
CZ	WTO	member
D	WTO	member
H	WTO	member
I	WTO	member
FL	WTO	member
SK	WTO	member
SLO	WTO	member
CH	WTO	member
LV	WTO	member
LT	WTO	member
PL	WTO	member
UA	WTO	member
R	WTO	member
B	WTO	member
L	WTO	member
NL	WTO	member
HR	WTO	member
BG	WTO	member
RO	WTO	member
TR	WTO	member
DK	WTO	member
EW	WTO	member
SF	WTO	member
N	WTO	member
S	WTO	member
IS	WTO	member
IRL	WTO	member
M	WTO	member
MD	WTO	member
P	WTO	member
GB	WTO	member
CN	WTO	member
PK	WTO	member
TAD	WTO	member
ARM	WTO	member
GE	WTO	member
BRN	WTO	member
BD	WTO	member
MYA	WTO	member
IND	WTO	member
BRU	WTO	member
MAL	WTO	member
LAO	WTO	member
THA	WTO	member
K	WTO	member
VN	WTO	member
KGZ	WTO	member
HONX	WTO	member
MACX	WTO	member
MNG	WTO	member
NEP	WTO	member
CY	WTO	member
IL	WTO	member
ET	WTO	member
RI	WTO	member
PNG	WTO	member
JOR	WTO	member
KWT	WTO	member
SA	WTO	member
J	WTO	member
ROK	WTO	member
MV	WTO	member
OM	WTO	member
UAE	WTO	member
RP	WTO	member
Q	WTO	member
SGP	WTO	member
CL	WTO	member
RC	WTO	member
AG	WTO	member
BDS	WTO	member
BZ	WTO	member
GCA	WTO	member
MEX	WTO	member
CDN	WTO	member
USA	WTO	member
CR	WTO	member
NIC	WTO	member
PA	WTO	member
C	WTO	member
WD	WTO	member
DOM	WTO	member
RH	WTO	member
ES	WTO	member
HCA	WTO	member
WG	WTO	member
JA	WTO	member
CO	WTO	member
KN	WTO	member
WL	WTO	member
WV	WTO	member
TT	WTO	member
AUS	WTO	member
FJI	WTO	member
NZ	WTO	member
SLB	WTO	member
TO	WTO	member
VU	WTO	member
WS	WTO	member
RA	WTO	member
BOL	WTO	member
BR	WTO	member
RCH	WTO	member
PY	WTO	member
ROU	WTO	member
PE	WTO	member
GUY	WTO	member
SME	WTO	member
YV	WTO	member
EC	WTO	member
RMM	WTO	member
RIM	WTO	member
MA	WTO	member
RN	WTO	member
TN	WTO	member
ANG	WTO	member
RCB	WTO	member
NAM	WTO	member
ZRE	WTO	member
Z	WTO	member
BEN	WTO	member
BF	WTO	member
WAN	WTO	member
RT	WTO	member
RB	WTO	member
RSA	WTO	member
ZW	WTO	member
CI	WTO	member
GH	WTO	member
BI	WTO	member
RWA	WTO	member
EAT	WTO	member
CAM	WTO	member
RCA	WTO	member
TCH	WTO	member
G	WTO	member
CV	WTO	member
RG	WTO	member
DJI	WTO	member
EAK	WTO	member
WAG	WTO	member
SN	WTO	member
GNB	WTO	member
WAL	WTO	member
EAU	WTO	member
LS	WTO	member
RM	WTO	member
MW	WTO	member
MOC	WTO	member
MS	WTO	member
SD	WTO	member
SRB	WTO	observer
AND	WTO	observer
BY	WTO	observer
BIH	WTO	observer
V	WTO	observer
AFG	WTO	observer
IR	WTO	observer
UZB	WTO	observer
AZ	WTO	observer
BHT	WTO	observer
KAZ	WTO	observer
IRQ	WTO	observer
SYR	WTO	observer
RL	WTO	observer
YE	WTO	observer
BS	WTO	observer
DZ	WTO	observer
LAR	WTO	observer
GQ	WTO	observer
SUD	WTO	observer
COM	WTO	observer
LB	WTO	observer
ETH	WTO	observer
STP	WTO	observer
SY	WTO	observer
GR	ZC	member
F	ZC	member
E	ZC	member
A	ZC	member
CZ	ZC	member
D	ZC	member
H	ZC	member
I	ZC	member
SK	ZC	member
SLO	ZC	member
CH	ZC	member
BY	ZC	member
PL	ZC	member
UA	ZC	member
R	ZC	member
B	ZC	member
L	ZC	member
NL	ZC	member
HR	ZC	member
BG	ZC	member
RO	ZC	member
TR	ZC	member
DK	ZC	member
SF	ZC	member
N	ZC	member
S	ZC	member
IRL	ZC	member
P	ZC	member
GB	ZC	member
CN	ZC	member
KAZ	ZC	member
J	ZC	member
ROK	ZC	member
CDN	ZC	member
USA	ZC	member
AUS	ZC	member
NZ	ZC	member
RA	ZC	member
RSA	ZC	member
\.


--
-- TOC entry 5284 (class 0 OID 89552)
-- Dependencies: 703
-- Data for Name: lake; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY lake (name, area, depth, elevation, type, river, coordinates) FROM stdin;
Inari	1040	92	119	\N	Paatsjoki	(68.95,27.7)
Oulujaervi	928	35	123	\N	Oulujoki	(64.3,27.25)
Kallavesi	472	\N	\N	\N	Vuoksi	(62.9,27.7)
Saimaa	4370	85	76	\N	Vuoksi	(61.3,28.0)
Paeijaenne	1118	95	78	\N	Kymijoki	(61.5,25.4)
Mjoesa-See	368	449	123	\N	Lagen	(60.65,11)
Storuman	173	139	419	\N	Umeaelv	(65.22,16.88)
Siljan	290	134	161	impact	Oesterdalaelv	(60.85,14.8)
Maelaren	1140	66	0.7	\N	\N	(59.4,17.1)
Vaenern	5648	106	44	\N	Goetaaelv	(58.8,13.3)
Vaettern	1900	119	88	\N	\N	(58.3,14.5)
Arresoe	40.2	5.6	\N	\N	\N	(56,12.1)
Loch Ness	56	226	16	\N	\N	(57.31,-4.44)
Loch Lomond	71	190	7.9	\N	\N	(56.08,-4.59)
Bodensee	538.5	254	395	\N	Rhein	(47.6,9.4)
Chiemsee	80	73	518	\N	Alz	(47.9,12.4)
Starnberger See	56.36	127.7	584	\N	Würm	(47.92,11.32)
Ammersee	46.6	81.1	533	\N	Ammer	(48,11.6)
Laacher Maar	3.3	53	275	caldera	\N	(50.4,7.3)
Lac Leman	581	310	372	\N	Rhone	(46.5,6.5)
Zurichsee	88	136	406	\N	Limmat	(47.501794,8.236313)
Thunersee	48.3	217	558	\N	Aare	(46.69,7.716)
Brienzersee	29.8	260	564	\N	Aare	(46.73,7.97)
Vierwaldstattersee	113.7	214	434	\N	Reuss	(47.0,8.4)
Lago Maggiore	216	372	193	\N	Ticino	(45.95,8.6)
Lago di Como	146	425	197	\N	Adda	(46,9.3)
Lago di Garda	370	346	65	\N	Mincio	(45.6,10.65)
Lago Trasimeno	128	7	259	caldera	\N	(43.1,12.1)
Lago di Bolsena	114	151	335	caldera	\N	(42.6,11.9)
Lago di Bracciano	57	160	164	caldera	\N	(42.1,12.2)
Laguna de Gallocanta	14.4	1.5	995	\N	\N	(40.96,-1.5)
Neusiedlersee	320	1.8	115.5	\N	\N	(47.8,16.7)
Balaton	594	12.5	104	\N	\N	(46.8,17.6)
Lake Skutari	368	44	7	\N	Buna	(42.2,19.3)
Lake Prespa	273	54	849	\N	\N	(40.9,21.0)
Lake Ohrid	367	289	695	\N	Black Drin	(41.0,20.7)
Kiev Reservoir	922	8	\N	dam	Dnepr	(50.6,30.5)
Kakhovka Reservoir	2155	26	44	dam	Dnepr	(47.45,34.20)
Kremenchuk Reservoir	2252	28	44	dam	Dnepr	(49.2,32.65)
Kuybyshev Reservoir	6450	41	53	dam	Volga	(53.5,49.45)
Ozero Ladoga	18400	225	4	\N	Newa	(60.82,31.53)
Ozero Onega	9616	127	33	\N	Swir	(61.67,35.485)
Ozero Pskovskoje	3555	14.6	30	\N	Narva	(58.68,27.49)
Ozero Baikal	31492	1637	455	\N	Angara	(53,108)
Ozero Taimyr	4560	26	5	\N	\N	(74.5,101.6)
Ozero Chanka	4400	\N	\N	\N	\N	(45,132.4)
Ozero Tschany	2500	106	10	\N	\N	(54.9,77.5)
Dead Sea	41650	378	-422	salt	\N	(31.3,35.5)
Lake Genezareth	165	46	-212	\N	Jordan	(32.81,35.60)
Lake Van	3740	457	1719	salt	\N	(38.6,42.9)
Lake Keban	675	\N	\N	\N	Euphrat	(38.8,38.75)
Lake Urmia	5470	7	1280	salt	\N	(37.7,45.3)
Daryacheh ye Namak	1800	1	790	salt	\N	(34.5,51.88)
Hamun e Jaz Murian	1600	\N	500	salt	\N	(30.8,61.2)
Caspian Sea	386400	995	-28	salt	\N	(41,51)
Ozero Aral	17160	35	31	salt	\N	(44.81,59.62)
Ozero Balchash	18428	26	342	salt	\N	(46.55,74.88)
Issyk-Kul	6236	668	1609	salt	\N	(42.4,77.2)
Koli Sarez	80	500	3250	naturaldam	Murgab	(38.2,72.75)
Lop Nor	5000	0	780	salt	\N	(40.2,90.6)
Laguna de Bay	911	20	\N	\N	\N	(14.4,121.35)
Lake Toba	1103	505	905	caldera	Asahan	(2.6,98.8)
Segara Anak	11.3	190	2008	caldera	Asahan	(-8.40,116.45)
Qinghai Lake	4583	\N	3195	salt	\N	(36.9,100.2)
Nam Co	1855	125	4718	salt	\N	(30.7,90.55)
Lake Nasser	5250	180	183	dam	Nile	(22.4,31.75)
Lake Volta	8502	130	\N	dam	Volta	(6.3,0.5)
Lake Bosumtwi	49	81	107	impact	\N	(6.5,-1.4)
Lake Kainji	1243	\N	\N	dam	Niger	(10.4,4.5)
Chad Lake	23000	7	250	salt	\N	(13.2,14.0)
Barrage de Mbakaou	\N	\N	\N	dam	Sanaga	(6.4,12.75)
Lake Nyos	\N	208	\N	caldera	\N	(6.44,10.3)
Lac Assal	54	\N	-155	salt	\N	(11.65,42.4)
Lake Abbe	320	37	243	salt	\N	(11.2,41.8)
Lake Abaya	1285	13	619	salt	\N	(6.3,37.8)
Chew Bahir	800	7.5	520	salt	\N	(4.7,36.85)
Lake Turkana	6405	73	375	salt	\N	(3.6,36.1)
Lake Tana	3000	14	1830	\N	Blue Nile	(12.0,37.3)
Lake Sese Seko/Albertsee	5347	48	619	\N	Bahr el-Djebel/Albert-Nil	(1.7,30.9)
Rutanzige/Eduardsee	2325	112	920	\N	Semliki	(-0.35,29.6)
Lake Kioga	1720	5.7	914	\N	Victoria Nile	(1.5,33)
Lake Victoria	68870	85	1134	\N	Victoria Nile	(-1,33)
Lake Kivu	2650	450	1462	\N	Ruzizi	(-1.8,29.2)
Lake Tanganjika	32893	1470	782	\N	Lukuga	(-6,30)
Lake Mweru	5120	27	931	\N	Luvua	(-9,28.7)
Lake Bangweulu	10000	4	1140	\N	Luapula	(-11.2,29.7)
Lake Rukwa	5760	5	800	salt	\N	(-8,32.35)
Lake Eyasi	1050	\N	1030	salt	\N	(-3.6,35)
Lake Natron	1040	2	600	salt	\N	(-2.4,36)
Lake Malawi	29600	704	474	\N	Chire	(-12,34)
Lake Chilwa	687	2	474	salt	\N	(-15.3,35.7)
Lake Mai Ndombe	8200	10	300	\N	Fimi	(-2.05,18.3)
Malebo Pool	500	10	272	\N	Zaire	(-4.3,15.5)
Lake Cabora-Bassa	2800	\N	326	dam	Zambezi	(-15.6,32.7)
Lake Kariba	5580	32	\N	dam	Zambezi	(-16.5,28.75)
Lake Ngami	770	2	\N	salt	\N	(-20.5,23)
Etoscha Salt Pan	6133	0	1000	salt	\N	(-18.8,16)
Makarikari Salt Pan	12000	0	\N	salt	\N	(-25.5,21)
Great Bear Lake	31792	446	156	\N	\N	(65.9,-120.6)
Great Slave Lake	28568	614	156	\N	Mackenzie River	(61.7,-113.9)
Atlin Lake	798	283	668	\N	Yukon River	(59.5,-133.75)
Lake Winnipeg	24420	18	218	\N	Nelson River	(52.77,-97.97)
Lake Nipigon	4848	165	260	\N	\N	(49.83,-88.5)
Lake Manicouagan	1942	\N	350	impact	\N	(51.4,-68.7)
Lake Ontario	18960	244	75	\N	Saint Lawrence River	(43.695,-77.96)
Lake Erie	25745	64	174	\N	Niagara River	(42.16,-81.27)
Lake Huron	59600	229	176	\N	Detroit River	(44.795,-82.44)
Lake Manitou	104	\N	\N	\N	\N	(45.76,-82.0)
Lake Michigan	57800	281	176	\N	Straits of Mackinac	(43.69,-87.08)
Lake Superior	82103	405	184	\N	Saint Marys River	(47.7675,-87.37)
Lake Champlain	1130	121	30	\N	Riviere Richelieu	(44.56,-73.35)
Lake Winnipesaukee	186	55	153	\N	Merrimack River	(43.6,-71.3)
Lake Okeechobee	1890	4	\N	\N	\N	(26.94,-80.80)
Kentucky Lake	648	\N	\N	\N	Tennessee	(37,-88.3)
Chickamauga Lake	147	\N	\N	\N	Tennessee	(35.4,-85.0)
Franklin. D. Roosevelt Lake	337	\N	\N	dam	Columbia River	(47.95,-119)
Crater Lake	53.2	594	1883	caldera	\N	(42.9,-122.1)
Great Salt Lake	4400	10	1279	salt	\N	(41.15,-112.60)
Lake Tahoe	497	501	1900	\N	Truckee River	(39,-120)
Pyramid Lake	487	108	1155	salt	\N	(40.03,-119.57)
Lake Powell	645	171	1127	dam	Colorado	(36.9,-111.5)
Lake Mead	640	180	372	dam	Colorado	(36.05,-114.75)
Fort Peck Lake	981	67	\N	dam	Missouri	(48.00,-106.4)
Lake Sakakawea	1578	55	\N	dam	Missouri	(47.48,-101.42)
Lake Oahe	1453	\N	\N	dam	Missouri	(44.45,-100.40)
Lago de Chapala	1685	12	1520	\N	Rio Lerma	(20.22,-103.05)
Lake Nicaragua	8157	45	31	\N	Rio San Juan	(11.60,-85.35)
Lake Managua	1035	20	39	\N	Rio San Juan	(12.35,-86.4)
Lake Irazu	1	\N	3200	acid	\N	(10,-83.9)
La Brea Pitch Lake	0.4	75	\N	asphalt	\N	(10.24,-61.64)
Lake Maracaibo	13000	50	0	\N	\N	(9.72,-71.55)
Lago de Sobradinho	4214	\N	\N	dam	Rio Sao Francisco	(-9.46,-40.7)
Lago Junin	175	12	4082	\N	Mantaro	(-11.02,-76.12)
Lake Titicaca	8372	281	3812	\N	Rio Desaguadero	(-15.84,-69.33)
Poopo	1340	4	3686	salt	\N	(-18.55,-67.1)
Salar de Uyuni	10582	0	3650	salt	\N	(-20.1,-67.5)
Licancabur Crater Lake	0.005	\N	5600	crater	\N	(-22.8,-67.9)
Laguna Mar Chiquita	5770	19	71	salt	\N	(-30.5,-62.67)
Lake Eyre	9500	4	-17	salt	\N	(-28.6,137.3)
Lake Burley Griffin	6.64	\N	556	dam	Murrumbidgee River	(-35.3,149.1)
Lake Eucumbene	145	\N	1200	dam	Eucumbene River	(-36.1,148.6)
Lake Jindabyne	30	\N	915	dam	Snowy River	(-36.45,148.6)
Lake Hume	202	\N	\N	\N	Murray River	(-36.1,147)
\.


--
-- TOC entry 5285 (class 0 OID 89561)
-- Dependencies: 704
-- Data for Name: language; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY language (country, name, percentage) FROM stdin;
AL	Albanian	98.8
AL	Greek	0.5
GR	Greek	99
MK	Macedonian	66.5
MK	Albanian	25.1
MK	Turkish	3.5
MK	Roma	1.9
MK	Serbian	1.2
SRB	Serbian	88.3
SRB	Hungarian	3.8
SRB	Bosnian	1.8
SRB	Roma	1.1
MNE	Serbian	63.6
MNE	Montenegrin	22
MNE	Bosnian	5.5
MNE	Albanian	5.3
KOS	Albanian	92
KOS	Serbian	5
AND	Catalan	44
AND	Spanish	33
AND	Galician	2
AND	Portuguese	11
AND	French	7
F	French	100
E	Spanish	74
E	Catalan	17
E	Galician	7
E	Basque	2
A	German	88.6
A	Turkish	2.3
A	Serbian	2.2
A	Croatian	2.5
A	Slovene	0.3
A	Hungarian	0.1
CZ	Czech	94.9
CZ	Slovak	2
D	German	100
H	Hungarian	93.6
I	Italian	98
I	German	0.7
I	French	0.2
I	Slovenian	0.2
I	Albanian	0.1
FL	German	100
SK	Slovak	83.8
SK	Hungarian	10.7
SK	Roma	1.8
SK	Ukrainian	1
SLO	Slovenian	91
SLO	Croatian	7
CH	French	20
CH	German	64
CH	Italian	7
CH	Romansch	1
BY	Russian	62.8
BY	Belorussian	36.7
LV	Latvian	58.2
LV	Russian	37.5
LT	Lithuanian	82
LT	Russian	8
LT	Polish	5.6
PL	Polish	100
UA	Ukrainian	67
UA	Russian	24
R	Russian	100
B	French	32
B	German	1
B	Dutch	56
L	Luxembourgish	77
L	Portuguese	8
L	French	6
L	German	4
L	English	1
NL	Dutch	100
BIH	Serbo-Croatian	99
HR	Croatian	96.1
HR	Serbian	1.0
BG	Bulgarian	76.8
BG	Turkish	8.2
BG	Roma	3.8
RO	Romanian	91
RO	Hungarian	6.7
RO	Roma	1.1
TR	Turkish	75
TR	Kurdish	18
DK	Danish	98
DK	German	0.4
EW	Estonian	67.3
EW	Russian	29.7
SF	Finnish	90.0
SF	Swedish	5.4
SF	Russian	1.8
SF	Estonian	0.6
SF	English	0.3
SF	Arabic	0.3
SF	Somali	0.3
N	Norwegian	99
S	Swedish	96
S	Finnish	2.6
MC	French	50
MC	Monegasque	21.6
MC	Italian	19
MC	English	8.5
MC	German	3.5
MC	Dutch	2
IS	Icelandic	100
IRL	English	95
RSM	Italian	100
GBJ	English	94.5
GBJ	Portuguese	4.6
M	Maltese	90.2
M	English	6
GBM	English	100
MD	Romanian	75.8
MD	Russian	16
MD	Gagauz	3
MD	Ukrainian	4
P	Portuguese	100
GB	English	95
AFG	Turkic	11
AFG	Pashtu	35
AFG	Afghan Persian	50
IR	Turkish	1
IR	Kurdish	9
IR	Balochi	1
IR	Arabic	1
IR	Luri	2
IR	Persian	58
IR	Turkic	26
PK	Pashtu	8
PK	Urdu	8
PK	Punjabi	48
PK	Sindhi	12
PK	Balochi	3
PK	Hindko	2
PK	Brahui	1
PK	Siraiki	10
TM	Turkmen	72
TM	Russian	12
TM	Uzbek	9
UZB	Uzbek	74.3
UZB	Russian	14.2
UZB	Tajik	4.4
ARM	Armenian	97.7
ARM	Kurd	1
ARM	Russian	0.9
GE	Georgian	71
GE	Russian	9
GE	Armenian	7
GE	Azeri	6
AZ	Azeri	90.3
AZ	Lezgi	2.2
AZ	Russian	1.8
AZ	Armenian	1.5
MYA	Burmese	100
IND	Hindi	30
KAZ	Kazakh	64.4
NOK	Korean	100
KGZ	Kyrgyz	64.7
KGZ	Uzbek	13.6
KGZ	Russian	12.5
KGZ	Dungun	1
HONX	Chinese	95.6
HONX	English	3.2
MACX	Portuguese	4
MNG	Khalkha Mongol	90
NEP	Nepali	100
CY	Greek	78
CY	Turkish	18
GAZA	Arabic	99
GAZA	Hebrew	0.6
IL	Hebrew	76
IL	Arabic	23
PNG	English	1
SA	Arabic	100
WEST	Arabic	75
WEST	Hebrew	17
J	Japanese	100
CL	Tamil	18
CL	Sinhala	74
AXA	English	100
AG	English	100
BDS	English	100
BZ	Spanish	46
BZ	Creole	32.9
BZ	Mayan Dialects	8.9
BZ	English	3.9
BZ	Garifuna	3.4
BZ	German	3.3
GCA	Spanish	60
GCA	Amerindian	40
MEX	Spanish	95
BVIR	English	100
CDN	English	58.8
CDN	French	21.6
USA	English	82.1
USA	Spanish	10.7
CAYM	English	95
CAYM	Spanish	3.2
CR	Spanish	99
NIC	Spanish	97.5
NIC	Miskito	1.7
PA	Spanish	84
PA	English	14
C	Spanish	100
DOM	Spanish	100
RH	Creole	90
RH	French	10
ES	Spanish	99
HCA	Spanish	99
GUAD	French	99
MNTS	English	100
CUR	Papiamento	81.2
CUR	English	2.9
CUR	Dutch	8
CUR	Spanish	4
NLSM	Papiamento	2.2
NLSM	English	67.5
NLSM	Dutch	4.2
NLSM	Spanish	12.9
NLSM	French	1.5
NLSM	Creole	8.2
CO	Spanish	99
KN	English	100
SPMI	French	100
TUCA	English	100
AMSA	Samoan	90.6
AMSA	English	2.9
AMSA	Tongan	2.4
AUS	English	78.5
AUS	Chinese	2.5
AUS	Italian	1.6
AUS	Greek	1.3
AUS	Arabic	1.2
AUS	Vietnamese	1.0
FPOL	French	61.1
FPOL	Polynesian	31.4
GUAM	English	38.3
GUAM	Chamorro	22.2
GUAM	Philipine Language	22.2
NZ	English	91.2
NZ	Maori	3.9
NZ	Samoan	2.1
NZ	French	1.3
NZ	Hindi	1.1
NZ	Chinese	2.1
NMIS	Philipine Language	24.4
NMIS	Chinese Language	23.4
NMIS	Chamorro	22.4
NMIS	English	10.8
NMIS	Other Pacific Island Language	9.5
PITC	Pitkern	100
SLB	English	1
WAFU	Wallisian	58.9
WAFU	Futunian	30.1
WAFU	French	10.8
RA	Spanish	100
BOL	Spanish	60.7
BOL	Quechua	21.2
BOL	Aymara	14.6
BR	Portuguese	99
RCH	Spanish	100
PY	Spanish	90
PY	Guarani	8
ROU	Spanish	99
PE	Spanish	84.1
PE	Quechua	13
PE	Aymara	1.7
FGU	French	100
YV	Spanish	99
EC	Spanish	99
FALK	English	100
RMM	Bambara	80
NAM	German	32
NAM	English	7
NAM	Afrikaans	60
GQ	Spanish	67.6
RG	French	100
LB	English	20
MOC	Portuguese	100
HELX	English	100
STP	Portuguese	100
\.


--
-- TOC entry 5286 (class 0 OID 89568)
-- Dependencies: 705
-- Data for Name: located; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY located (city, province, country, river, lake, sea) FROM stdin;
Shkodër	Albania	AL	\N	Lake Skutari	\N
Durrës	Albania	AL	\N	\N	Mediterranean Sea
Vlorë	Albania	AL	\N	\N	Mediterranean Sea
Kavala	Anatolikis Makedonias kai Thrakis	GR	\N	\N	Mediterranean Sea
Athina	Attikis	GR	\N	\N	Mediterranean Sea
Peiraias	Attikis	GR	\N	\N	Mediterranean Sea
Patra	Dytikis Elladas	GR	\N	\N	Mediterranean Sea
Kerkyra	Ionion Nison	GR	\N	\N	Mediterranean Sea
Thessaloniki	Kentrikis Makedonias	GR	\N	\N	Mediterranean Sea
Iraklio	Kritis	GR	\N	\N	Mediterranean Sea
Chania	Kritis	GR	\N	\N	Mediterranean Sea
Ermoupoli	Notioy Aigaioy	GR	\N	\N	Mediterranean Sea
Rhodes	Notioy Aigaioy	GR	\N	\N	Mediterranean Sea
Volos	Thessalias	GR	\N	\N	Mediterranean Sea
Mytilini	Boreioy Aigaioy	GR	\N	\N	Mediterranean Sea
Beograd	Serbia	SRB	Donau	\N	\N
Beograd	Serbia	SRB	Save	\N	\N
Novi Sad	Serbia	SRB	Donau	\N	\N
Niš	Serbia	SRB	Southern Morava	\N	\N
Podgorica	Montenegro	MNE	Moraca	\N	\N
Strasbourg	Alsace	F	Rhein	\N	\N
Bordeaux	Aquitaine	F	Garonne	\N	\N
Brest	Bretagne	F	\N	\N	Atlantic Ocean
Orléans	Centre	F	Loire	\N	\N
Tours	Centre	F	Loire	\N	\N
Châlons-en-Champagne	Champagne-Ardenne	F	Marne	\N	\N
Ajaccio	Corse	F	\N	\N	Mediterranean Sea
Besançon	Franche-Comté	F	Doubs	\N	\N
Rouen	Haute-Normandie	F	Seine	\N	\N
Le Havre	Haute-Normandie	F	Seine	\N	The Channel
Paris	Île-de-France	F	Seine	\N	\N
Paris	Île-de-France	F	Marne	\N	\N
Boulogne-Billancourt	Île-de-France	F	Seine	\N	\N
Argenteuil	Île-de-France	F	Seine	\N	\N
Saint-Paul	Île-de-France	F	Seine	\N	\N
Perpignan	Languedoc-Roussillon	F	\N	\N	Mediterranean Sea
Metz	Lorraine	F	Mosel	\N	\N
Nancy	Lorraine	F	Mosel	\N	\N
Toulouse	Midi-Pyrénées	F	Garonne	\N	\N
Nantes	Pays de la Loire	F	Loire	\N	\N
Marseille	Provence-Alpes-Côte d'Azur	F	\N	\N	Mediterranean Sea
Nice	Provence-Alpes-Côte d'Azur	F	\N	\N	Mediterranean Sea
Toulon	Provence-Alpes-Côte d'Azur	F	\N	\N	Mediterranean Sea
Lyon	Rhône-Alpes	F	Rhone	\N	\N
Lyon	Rhône-Alpes	F	Saone	\N	\N
Grenoble	Rhône-Alpes	F	Isere	\N	\N
Villeurbanne	Rhône-Alpes	F	Rhone	\N	\N
Sevilla	Andalucía	E	Guadalquivir	\N	\N
Almería	Andalucía	E	\N	\N	Mediterranean Sea
Cádiz	Andalucía	E	\N	\N	Atlantic Ocean
Córdoba	Andalucía	E	Guadalquivir	\N	\N
Huelva	Andalucía	E	\N	\N	Atlantic Ocean
Málaga	Andalucía	E	\N	\N	Mediterranean Sea
Algeciras	Andalucía	E	\N	\N	Mediterranean Sea
Marbella	Andalucía	E	\N	\N	Mediterranean Sea
Zaragoza	Aragón	E	Ebro	\N	\N
Gijón	Asturias	E	\N	\N	Atlantic Ocean
Palma de Mallorca	Illes Balears	E	\N	\N	Mediterranean Sea
Bilbao	País Vasco	E	\N	\N	Atlantic Ocean
Barakaldo	País Vasco	E	\N	\N	Atlantic Ocean
Donostia	País Vasco	E	\N	\N	Atlantic Ocean
Santa Cruz de Tenerife	Canarias	E	\N	\N	Atlantic Ocean
San Cristóbal de La Laguna	Canarias	E	\N	\N	Atlantic Ocean
Las Palmas de Gran Canaria	Canarias	E	\N	\N	Atlantic Ocean
Telde	Canarias	E	\N	\N	Atlantic Ocean
Santander	Cantabria	E	\N	\N	Atlantic Ocean
Valladolid	Castilla y León	E	Douro	\N	\N
Toledo	Castilla-La Mancha	E	Tajo	\N	\N
Barcelona	Cataluña	E	\N	\N	Mediterranean Sea
Tarragona	Cataluña	E	\N	\N	Mediterranean Sea
Badalona	Cataluña	E	\N	\N	Mediterranean Sea
Badajoz	Extremadura	E	Guadiana	\N	\N
A Coruña	Galicia	E	\N	\N	Atlantic Ocean
Vigo	Galicia	E	\N	\N	Atlantic Ocean
Cartagena	Murcia	E	\N	\N	Mediterranean Sea
Logroño	La Rioja	E	Ebro	\N	\N
Valencia	Valenciana	E	\N	\N	Mediterranean Sea
Alicante	Valenciana	E	\N	\N	Mediterranean Sea
Castellón de la Plana	Valenciana	E	\N	\N	Mediterranean Sea
Villach	Kärnten	A	Drau	\N	\N
Bregenz	Vorarlberg	A	\N	Bodensee	\N
Wien	Wien	A	Donau	\N	\N
Linz	Oberösterreich	A	Donau	\N	\N
Innsbruck	Tirol	A	Inn	\N	\N
Graz	Steiermark	A	Mur	\N	\N
Salzburg	Salzburg	A	Salzach	\N	\N
Praha	Praha	CZ	Moldau	\N	\N
České Budějovice	Jihočeský	CZ	Moldau	\N	\N
Hradec Králové	Královéhradecký	CZ	Elbe	\N	\N
Ostrava	Moravskoslezský	CZ	Oder	\N	\N
Olomouc	Olomoucký	CZ	March	\N	\N
Pardubice	Pardubický	CZ	Elbe	\N	\N
Ústí nad Labem	Ústecký	CZ	Elbe	\N	\N
Stuttgart	Baden-Württemberg	D	Neckar	\N	\N
Mannheim	Baden-Württemberg	D	Rhein	\N	\N
Mannheim	Baden-Württemberg	D	Neckar	\N	\N
Karlsruhe	Baden-Württemberg	D	Rhein	\N	\N
Heidelberg	Baden-Württemberg	D	Neckar	\N	\N
Heilbronn	Baden-Württemberg	D	Neckar	\N	\N
Ulm	Baden-Württemberg	D	Donau	\N	\N
Ulm	Baden-Württemberg	D	Iller	\N	\N
München	Bayern	D	Isar	\N	\N
Augsburg	Bayern	D	Lech	\N	\N
Würzburg	Bayern	D	Main	\N	\N
Regensburg	Bayern	D	Donau	\N	\N
Ingolstadt	Bayern	D	Donau	\N	\N
Bremen	Bremen	D	Weser	\N	\N
Bremerhaven	Bremen	D	Weser	\N	North Sea
Hamburg	Hamburg	D	Elbe	\N	\N
Wiesbaden	Hessen	D	Rhein	\N	\N
Wiesbaden	Hessen	D	Main	\N	\N
Frankfurt am Main	Hessen	D	Main	\N	\N
Kassel	Hessen	D	Fulda	\N	\N
Offenbach am Main	Hessen	D	Main	\N	\N
Rostock	Mecklenburg-Vorpommern	D	\N	\N	Baltic Sea
Hannover	Niedersachsen	D	Leine	\N	\N
Göttingen	Niedersachsen	D	Leine	\N	\N
Wolfsburg	Niedersachsen	D	Aller	\N	\N
Düsseldorf	Nordrhein-Westfalen	D	Rhein	\N	\N
Köln	Nordrhein-Westfalen	D	Rhein	\N	\N
Duisburg	Nordrhein-Westfalen	D	Rhein	\N	\N
Bonn	Nordrhein-Westfalen	D	Rhein	\N	\N
Krefeld	Nordrhein-Westfalen	D	Rhein	\N	\N
Leverkusen	Nordrhein-Westfalen	D	Rhein	\N	\N
Neuss	Nordrhein-Westfalen	D	Rhein	\N	\N
Mainz	Rheinland-Pfalz	D	Rhein	\N	\N
Ludwigshafen	Rheinland-Pfalz	D	Rhein	\N	\N
Koblenz	Rheinland-Pfalz	D	Rhein	\N	\N
Koblenz	Rheinland-Pfalz	D	Mosel	\N	\N
Trier	Rheinland-Pfalz	D	Mosel	\N	\N
Saarbrücken	Saarland	D	Saar	\N	\N
Dresden	Sachsen	D	Elbe	\N	\N
Magdeburg	Sachsen-Anhalt	D	Elbe	\N	\N
Kiel	Schleswig-Holstein	D	\N	\N	Baltic Sea
Lübeck	Schleswig-Holstein	D	\N	\N	Baltic Sea
Szeged	Csongrád	H	Theiss	\N	\N
Győr	Győr-Moson-Sopron	H	Raab	\N	\N
Szolnok	Jász-Nagykun-Szolnok	H	Theiss	\N	\N
Budapest	Budapest	H	Donau	\N	\N
Torino	Piemonte	I	Po	\N	\N
Bolzano	Trentino-Alto Adige	I	Etsch	\N	\N
Trento	Trentino-Alto Adige	I	Etsch	\N	\N
Verona	Veneto	I	Etsch	\N	\N
Venézia	Veneto	I	\N	\N	Mediterranean Sea
Trieste	Friuli-Venezia Giulia	I	\N	\N	Mediterranean Sea
La Spezia	Liguria	I	\N	\N	Mediterranean Sea
Génova	Liguria	I	\N	\N	Mediterranean Sea
Piacenza	Emilia-Romagna	I	Po	\N	\N
Rímini	Emilia-Romagna	I	\N	\N	Mediterranean Sea
Livorno	Toscana	I	\N	\N	Mediterranean Sea
Pisa	Toscana	I	Arno	\N	\N
Firenze	Toscana	I	Arno	\N	\N
Ancona	Marche	I	\N	\N	Mediterranean Sea
Roma	Lazio	I	Tiber	\N	\N
Pescara	Abruzzo	I	\N	\N	Mediterranean Sea
Salerno	Campania	I	\N	\N	Mediterranean Sea
Nápoli	Campania	I	\N	\N	Mediterranean Sea
Torre del Greco	Campania	I	\N	\N	Mediterranean Sea
Bari	Puglia	I	\N	\N	Mediterranean Sea
Táranto	Puglia	I	\N	\N	Mediterranean Sea
Réggio di Calabria	Calabria	I	\N	\N	Mediterranean Sea
Palermo	Sicilia	I	\N	\N	Mediterranean Sea
Messina	Sicilia	I	\N	\N	Mediterranean Sea
Catánia	Sicilia	I	\N	\N	Mediterranean Sea
Siracusa	Sicilia	I	\N	\N	Mediterranean Sea
Cágliari	Sardegna	I	\N	\N	Mediterranean Sea
Vaduz	Liechtenstein	FL	Rhein	\N	\N
Bratislava	Bratislavský	SK	Donau	\N	\N
Bratislava	Bratislavský	SK	March	\N	\N
Žilina	Žilinský	SK	Waag	\N	\N
Trenčín	Trenčiansky	SK	Waag	\N	\N
Ljubljana	Slovenia	SLO	Save	\N	\N
Maribor	Slovenia	SLO	Drau	\N	\N
Aarau	Aargau	CH	Aare	\N	\N
Basel	Basel-Stadt	CH	Rhein	\N	\N
Bern	Bern	CH	Aare	\N	\N
Genève	Genève	CH	Rhone	Lac Leman	\N
Chur	Graubünden	CH	Rhein	\N	\N
Luzern	Luzern	CH	Reuss	Vierwaldstattersee	\N
Schaffhausen	Schaffhausen	CH	Rhein	\N	\N
Solothurn	Solothurn	CH	Aare	\N	\N
Bellinzona	Ticino	CH	Ticino	\N	\N
Altdorf	Uri	CH	Reuss	\N	\N
Sion	Valais	CH	Rhone	\N	\N
Lausanne	Vaud	CH	\N	Lac Leman	\N
Zürich	Zürich	CH	Limmat	Zurichsee	\N
Brest	Brest	BY	Western Bug	\N	\N
Vitebsk	Vitebsk	BY	Western Dwina	\N	\N
Mogilev	Mogilev	BY	Dnepr	\N	\N
Rīga	Latvia	LV	Western Dwina	\N	Baltic Sea
Klaipeda	Lithuania	LT	\N	\N	Baltic Sea
Wrocław	Dolnośląskie	PL	Oder	\N	\N
Bydgoszcz	Kujawsko-Pomorskie	PL	Weichsel	\N	\N
Toruń	Kujawsko-Pomorskie	PL	Weichsel	\N	\N
Grudziadz	Kujawsko-Pomorskie	PL	Weichsel	\N	\N
Włocławek	Kujawsko-Pomorskie	PL	Weichsel	\N	\N
Kraków	Małopolskie	PL	Weichsel	\N	\N
Warszawa	Mazowieckie	PL	Weichsel	\N	\N
Płock	Mazowieckie	PL	Weichsel	\N	\N
Opole	Opolskie	PL	Oder	\N	\N
Gdańsk	Pomorskie	PL	Weichsel	\N	Baltic Sea
Gdynia	Pomorskie	PL	\N	\N	Baltic Sea
Szczecin	Zachodniopomorskie	PL	Oder	\N	\N
Cherkasy	Cherkas´ka	UA	Dnepr	Kremenchuk Reservoir	\N
Chernivtsi	Chernivets´ka	UA	Pruth	\N	\N
Dnipropetrovs´k	Dnipropetrovs´ka	UA	Dnepr	\N	\N
Dniprodzerzhyns´k	Dnipropetrovs´ka	UA	Dnepr	\N	\N
Nikopol´	Dnipropetrovs´ka	UA	\N	Kakhovka Reservoir	\N
Kherson	Khersons´ka	UA	Dnepr	Kakhovka Reservoir	\N
Odesa	Odes´ka	UA	\N	\N	Black Sea
Kremenchuk	Poltavs´ka	UA	Dnepr	Kremenchuk Reservoir	\N
Zaporizhzhia	Zaporiz´ka	UA	Dnepr	\N	\N
Kerch	Krym	UA	\N	\N	Black Sea
Kerch	Krym	UA	\N	\N	Sea of Azov
Kyïv	Kyïv	UA	Dnepr	\N	\N
Sevastopol´	Sevastopol´	UA	\N	\N	Black Sea
Petrozavodsk	Karelia	R	\N	Ozero Onega	\N
Arkhangelsk	Arkhangel´skaya	R	Northern Dwina	\N	Barents Sea
Severodvinsk	Arkhangel´skaya	R	\N	\N	Barents Sea
Murmansk	Murmanskaya	R	\N	\N	Barents Sea
Kaliningrad	Kaliningradskaya	R	\N	\N	Baltic Sea
Sankt Peterburg	Sankt-Peterburg	R	\N	\N	Baltic Sea
Pskov	Pskovskaya	R	\N	Ozero Pskovskoje	\N
Kaluga	Kaluzhskaya	R	Oka	\N	\N
Kostroma	Kostromskaya	R	Volga	\N	\N
Kolomna	Moskovskaya	R	Oka	\N	\N
Serpuchov	Moskovskaya	R	Oka	\N	\N
Orel	Orlovskaya	R	Oka	\N	\N
Ryazan	Ryazanskaya	R	Oka	\N	\N
Smolensk	Smolenskaya	R	Dnepr	\N	\N
Tver	Tverskaya	R	Volga	\N	\N
Yaroslavl	Yaroslavskaya	R	Volga	\N	\N
Rybinsk	Yaroslavskaya	R	Volga	\N	\N
Cheboksary	Chuvash	R	Volga	\N	\N
Novočeboksarsk	Chuvash	R	Volga	\N	\N
Nizhnii Novgorod	Nizhnii Novgorod	R	Volga	\N	\N
Nizhnii Novgorod	Nizhnii Novgorod	R	Oka	\N	\N
Dzeržinsk	Nizhnii Novgorod	R	Oka	\N	\N
Voronezh	Voronezhskaya	R	Don	\N	\N
Jelec	Lipetskaya	R	Don	\N	\N
Kazan	Tatarstan	R	\N	Kuybyshev Reservoir	\N
Naberezhnye Tchelny	Tatarstan	R	Kama	\N	\N
Nižnekamsk	Tatarstan	R	Kama	\N	\N
Astrakhan	Astrakhanskaya	R	Volga	\N	\N
Volgograd	Volgogradskaya	R	Volga	\N	\N
Volzhsky	Volgogradskaya	R	Volga	\N	\N
Kamyšin	Volgogradskaya	R	Volga	\N	\N
Samara	Samara	R	Volga	\N	\N
Tolyatti	Samara	R	\N	Kuybyshev Reservoir	\N
Syzran'	Samara	R	\N	Kuybyshev Reservoir	\N
Novokujbyševsk	Samara	R	Volga	\N	\N
Saratov	Saratov	R	Volga	\N	\N
Balakovo	Saratov	R	Volga	\N	\N
Ėngel's	Saratov	R	Volga	\N	\N
Ulyanovsk	Ul´yanovsk	R	\N	Kuybyshev Reservoir	\N
Dimitrovgrad	Ul´yanovsk	R	\N	Kuybyshev Reservoir	\N
Rostov-na-Donu	Rostovskaya	R	Don	\N	\N
Batajsk	Rostovskaya	R	Don	\N	\N
Taganrog	Rostovskaya	R	\N	\N	Sea of Azov
Volgodonsk	Rostovskaya	R	Don	\N	\N
Sarapul	Udmurt	R	Kama	\N	\N
Orenburg	Orenburg	R	Ural	\N	\N
Orsk	Orenburg	R	Ural	\N	\N
Perm	Perm	R	Kama	\N	\N
Berezniki	Perm	R	Kama	\N	\N
Makhachkala	Dagestan	R	\N	Caspian Sea	\N
Derbent	Dagestan	R	\N	Caspian Sea	\N
Kaspijsk	Dagestan	R	\N	Caspian Sea	\N
Sochi	Krasnodarskiy	R	\N	\N	Black Sea
Novorossiysk	Krasnodarskiy	R	\N	\N	Black Sea
Kurgan	Kurgan	R	Tobol	\N	\N
Magnitogorsk	Chelyabinsk	R	Ural	\N	\N
Barnaul	Altayskiy	R	Ob	\N	\N
Bijsk	Altayskiy	R	Katun	\N	\N
Novosibirsk	Novosibirsk	R	Ob	\N	\N
Omsk	Omsk	R	Irtysch	\N	\N
Ulan-Ude	Buryat	R	Selenge	\N	\N
Kyzyl	Tyva	R	Jenissej	\N	\N
Abakan	Khakasiya	R	Jenissej	\N	\N
Krasnoyarsk	Krasnoyarsk	R	Jenissej	\N	\N
Irkutsk	Irkutsk	R	Angara	\N	\N
Angarsk	Irkutsk	R	Angara	\N	\N
Bratsk	Irkutsk	R	Angara	\N	\N
Chita	Zabaykalskiy	R	Schilka	\N	\N
Yakutsk	Sakha	R	Lena	\N	\N
Anadyr	Chukotka	R	\N	\N	Bering Sea
Vladivostok	Primorskiy	R	\N	\N	Sea of Japan
Nachodka	Primorskiy	R	\N	\N	Sea of Japan
Khabarovsk	Khabarov	R	Amur	\N	\N
Komsomolsk-na-Amure	Khabarov	R	Amur	\N	\N
Blagoveščensk	Amur	R	Amur	\N	\N
Petropavlovsk-Kamčatskij	Kamchatka	R	\N	\N	Pacific Ocean
Magadan	Magadan	R	\N	\N	Sea of Okhotsk
Okhotsk	Magadan	R	\N	\N	Sea of Okhotsk
Khanty Mansijsk	Khanty Mansi ao	R	Ob	\N	\N
Surgut	Khanty Mansi ao	R	Ob	\N	\N
Nizhnevartovsk	Khanty Mansi ao	R	Ob	\N	\N
Neftejugansk	Khanty Mansi ao	R	Ob	\N	\N
Salekhard	Yamalo Nenets ao	R	Ob	\N	\N
Liège	Liège	B	Maas	\N	\N
Namur	Namur	B	Maas	\N	\N
Arnhem	Gelderland	NL	Rhein	\N	\N
Nijmegen	Gelderland	NL	Rhein	\N	\N
Den Haag	Zuid-Holland	NL	\N	\N	North Sea
Rotterdam	Zuid-Holland	NL	Rhein	\N	\N
Dordrecht	Zuid-Holland	NL	Rhein	\N	\N
Maastricht	Limburg	NL	Maas	\N	\N
Brčko	Brčko	BIH	Save	\N	\N
Zagreb	Croatia	HR	Save	\N	\N
Split	Croatia	HR	\N	\N	Mediterranean Sea
Rijeka	Croatia	HR	\N	\N	Mediterranean Sea
Osijek	Croatia	HR	Drau	\N	\N
Zadar	Croatia	HR	\N	\N	Mediterranean Sea
Varna	Bulgaria	BG	\N	\N	Black Sea
Burgas	Bulgaria	BG	\N	\N	Black Sea
Ruse	Bulgaria	BG	Donau	\N	\N
Brăila	Brăila	RO	Donau	\N	\N
Constanţa	Constanţa	RO	\N	\N	Black Sea
Sfintu Gheorghe	Covasna	RO	Olt	\N	\N
Galaţi	Galaţi	RO	Donau	\N	\N
Giurgiu	Giurgiu	RO	Donau	\N	\N
Miercurea Ciuc	Harghita	RO	Olt	\N	\N
Iaşi	Iaşi	RO	Pruth	\N	\N
Drobeta-Turnu Severin	Mehedinţi	RO	Donau	\N	\N
Slatina	Olt	RO	Olt	\N	\N
Tulcea	Tulcea	RO	Donau	\N	\N
Antalya	Antalya	TR	\N	\N	Mediterranean Sea
Canakkale	Çanakkale	TR	\N	\N	Mediterranean Sea
Canakkale	Çanakkale	TR	\N	\N	Marmara Sea
Diyarbakir	Diyarbakır	TR	Tigris	\N	\N
Erzincan	Erzincan	TR	Karasu	\N	\N
Erzurum	Erzurum	TR	Karasu	\N	\N
Giresun	Giresun	TR	\N	\N	Black Sea
Iskenderun	Hatay	TR	\N	\N	Mediterranean Sea
Mersin	Mersin	TR	\N	\N	Mediterranean Sea
Istanbul	İstanbul	TR	\N	\N	Black Sea
Istanbul	İstanbul	TR	\N	\N	Marmara Sea
Izmir	İzmir	TR	\N	\N	Mediterranean Sea
Kocaeli	Kocaeli	TR	\N	\N	Marmara Sea
Gebze	Kocaeli	TR	\N	\N	Marmara Sea
Mus	Muş	TR	Murat	\N	\N
Ordu	Ordu	TR	\N	\N	Black Sea
Rize	Rize	TR	\N	\N	Black Sea
Samsun	Samsun	TR	\N	\N	Black Sea
Sinop	Sinop	TR	\N	\N	Black Sea
Tekirdag	Tekirdağ	TR	\N	\N	Marmara Sea
Çorlu	Tekirdağ	TR	\N	\N	Marmara Sea
Trabzon	Trabzon	TR	\N	\N	Black Sea
Zonguldak	Zonguldak	TR	\N	\N	Black Sea
Bartin	Bartın	TR	\N	\N	Black Sea
Yalova	Yalova	TR	\N	\N	Marmara Sea
Århus	Midtjylland	DK	\N	\N	Kattegat
Randers	Midtjylland	DK	\N	\N	Kattegat
Vejle	Syddanmark	DK	\N	\N	Kattegat
Esbjerg	Syddanmark	DK	\N	\N	North Sea
København	Hovedstaden	DK	\N	\N	Baltic Sea
Tallinn	Estonia	EW	\N	\N	Baltic Sea
Tórshavn	Faroe Islands	FARX	\N	\N	Norwegian Sea
Mariehamn	Aland	SF	\N	\N	Baltic Sea
Tampere	Haeme	SF	Kokemaeenjoki	\N	\N
Lahti	Haeme	SF	\N	Paeijaenne	\N
Kuopio	Kuopio	SF	\N	Kallavesi	\N
Lappeenranta	Kymi	SF	\N	Saimaa	\N
Kotka	Kymi	SF	Kymijoki	\N	Baltic Sea
Rovaniemi	Lappia	SF	Ounasjoki	\N	\N
Rovaniemi	Lappia	SF	Kemijoki	\N	\N
Mikkeli	Mikkeli	SF	\N	Saimaa	\N
Jyväskylä	Suomi	SF	\N	Paeijaenne	\N
Oulu	Oulu	SF	Oulujoki	\N	Baltic Sea
Pori	Turku-Pori	SF	Kokemaeenjoki	\N	\N
Turku	Turku-Pori	SF	\N	\N	Baltic Sea
Helsinki	Uusimaa	SF	\N	\N	Baltic Sea
Espoo	Uusimaa	SF	\N	\N	Baltic Sea
Vaasa	Vaasa	SF	\N	\N	Baltic Sea
Oslo	Oslo	N	\N	\N	Skagerrak
Sandvika	Akershus	N	\N	\N	Skagerrak
Moss	Østfold	N	\N	\N	Skagerrak
Hamar	Hedmark	N	\N	Mjoesa-See	\N
Lillehammer	Oppland	N	\N	Mjoesa-See	\N
Tonsberg	Vestfold	N	\N	\N	Skagerrak
Arendal	Aust-Agder	N	\N	\N	Skagerrak
Kristiansand	Vest-Agder	N	\N	\N	Skagerrak
Stavanger	Rogaland	N	\N	\N	North Sea
Bergen	Hordaland	N	\N	\N	North Sea
Hermansverk	Sogn og Fjordane	N	\N	\N	North Sea
Molde	Møre og Romsdal	N	\N	\N	Norwegian Sea
Trondheim	Sør-Trøndelag	N	\N	\N	Norwegian Sea
Steinkjer	Nord-Trøndelag	N	\N	\N	Norwegian Sea
Narvik	Nordland	N	\N	\N	Norwegian Sea
Bodø	Nordland	N	\N	\N	Norwegian Sea
Tromsø	Troms	N	\N	\N	Norwegian Sea
Hammerfest	Finnmark	N	\N	\N	Barents Sea
Vadsø	Finnmark	N	\N	\N	Barents Sea
Göteborg	Västra Götaland	S	Goetaaelv	\N	Kattegat
Vanersborg	Västra Götaland	S	Goetaaelv	Vaenern	\N
Mariestad	Västra Götaland	S	\N	Vaenern	\N
Karlskrona	Blekinge	S	\N	\N	Baltic Sea
Gävle	Gävleborg	S	\N	\N	Baltic Sea
Visby	Gotland	S	\N	\N	Baltic Sea
Halmstad	Halland	S	\N	\N	Kattegat
Jönköping	Jönköping	S	\N	Vaettern	\N
Kalmar	Kalmar	S	\N	\N	Baltic Sea
Malmö	Skåne	S	\N	\N	Baltic Sea
Helsingborg	Skåne	S	\N	\N	Kattegat
Lulea	Norrbotten	S	\N	\N	Baltic Sea
Stockholm	Stockholm	S	\N	Maelaren	Baltic Sea
Huddinge	Stockholm	S	\N	Maelaren	\N
Karlstad	Värmland	S	Klaraelv	Vaenern	\N
Umeå	Västerbotten	S	Umeaelv	\N	\N
Härnösand	Västernorrland	S	\N	\N	Baltic Sea
Västerås	Västmanland	S	\N	Maelaren	\N
Monaco	Monaco	MC	\N	\N	Mediterranean Sea
Gibraltar	Gibraltar	GBZ	\N	\N	Mediterranean Sea
Saint Peter Port	Guernsey	GBG	\N	\N	The Channel
Ceuta	Ceuta	CEU	\N	\N	Mediterranean Sea
Melilla	Melilla	MEL	\N	\N	Mediterranean Sea
Reykjavik	Iceland	IS	\N	\N	Atlantic Ocean
Keflavik	Iceland	IS	\N	\N	Atlantic Ocean
Hafnarfjordur	Iceland	IS	\N	\N	Atlantic Ocean
Akureyri	Iceland	IS	\N	\N	Greenland Sea
Dublin	Ireland	IRL	\N	\N	Irish Sea
Cork	Ireland	IRL	\N	\N	Atlantic Ocean
Galway	Ireland	IRL	\N	\N	Atlantic Ocean
Saint Helier	Jersey	GBJ	\N	\N	The Channel
Valletta	Malta	M	\N	\N	Mediterranean Sea
Douglas	Isle of Man	GBM	\N	\N	Irish Sea
Tiraspol	Moldova	MD	Dnister	\N	\N
Faro	Algarve	P	\N	\N	Atlantic Ocean
Lisboa	Lisboa	P	Tajo	\N	Atlantic Ocean
Barreiro	Lisboa	P	Tajo	\N	\N
Almada	Lisboa	P	Tajo	\N	Atlantic Ocean
Oporto	Porto	P	Douro	\N	Atlantic Ocean
Vila Nova de Gaia	Porto	P	Douro	\N	Atlantic Ocean
Santarem	Santarem	P	Tajo	\N	\N
Setúbal	Setubal	P	\N	\N	Atlantic Ocean
Viana do Castelo	Viana do Castelo	P	\N	\N	Atlantic Ocean
Ponta Delgada	Azores	P	\N	\N	Atlantic Ocean
Funchal	Madeira	P	\N	\N	Atlantic Ocean
Longyearbyen	Svalbard	SVAX	\N	\N	Norwegian Sea
Sunderland	North East	GB	\N	\N	North Sea
Blackpool	North West	GB	\N	\N	Irish Sea
Liverpool	North West	GB	\N	\N	Irish Sea
Birkenhead	North West	GB	\N	\N	Irish Sea
Southend-on-Sea	East of England	GB	Thames	\N	North Sea
London	London	GB	Thames	\N	\N
Southampton	South East	GB	\N	\N	The Channel
Portsmouth	South East	GB	\N	\N	The Channel
Brighton and Hove	South East	GB	\N	\N	The Channel
Oxford	South East	GB	Thames	\N	\N
Reading	South East	GB	Thames	\N	\N
Eastbourne	South East	GB	\N	\N	The Channel
Worthing	South East	GB	\N	\N	The Channel
Plymouth	South West	GB	\N	\N	The Channel
Bournemouth	South West	GB	\N	\N	The Channel
Poole	South West	GB	\N	\N	The Channel
Swindon	South West	GB	Thames	\N	\N
Edinburgh	Scotland	GB	\N	\N	North Sea
Aberdeen	Scotland	GB	\N	\N	North Sea
Dundee	Scotland	GB	\N	\N	North Sea
Kirkwall	Scotland	GB	\N	\N	North Sea
Lerwick	Scotland	GB	\N	\N	North Sea
Cardiff	Wales	GB	\N	\N	Atlantic Ocean
Swansea	Wales	GB	\N	\N	Atlantic Ocean
Newport	Wales	GB	\N	\N	Atlantic Ocean
Belfast	Northern Ireland	GB	\N	\N	Irish Sea
Wuhu	Anhui	CN	Jangtse	\N	\N
Maanshan	Anhui	CN	Jangtse	\N	\N
Anqing	Anhui	CN	Jangtse	\N	\N
Tongling	Anhui	CN	Jangtse	\N	\N
Fuzhou	Fujian	CN	\N	\N	East China Sea
Xiamen	Fujian	CN	\N	\N	South China Sea
Lanzhou	Gansu	CN	Hwangho	\N	\N
Shantou	Guangdong	CN	\N	\N	South China Sea
Zhanjiang	Guangdong	CN	\N	\N	South China Sea
Haikou	Hainan	CN	\N	\N	South China Sea
Sanya	Hainan	CN	\N	\N	South China Sea
Qinhuangdao	Hebei	CN	\N	\N	Yellow Sea
Zhengzhou	Henan	CN	Hwangho	\N	\N
Luoyang	Henan	CN	Hwangho	\N	\N
Kaifeng	Henan	CN	Hwangho	\N	\N
Wuhan	Hubei	CN	Jangtse	\N	\N
Huangshi	Hubei	CN	Jangtse	\N	\N
Yichang	Hubei	CN	Jangtse	\N	\N
Shashi	Hubei	CN	Jangtse	\N	\N
Xianning	Hubei	CN	Jangtse	\N	\N
Shishou	Hubei	CN	Jangtse	\N	\N
Yueyang	Hunan	CN	Jangtse	\N	\N
Nanjing	Jiangsu	CN	Jangtse	\N	\N
Changzhou	Jiangsu	CN	Jangtse	\N	\N
Zhenjiang	Jiangsu	CN	Jangtse	\N	\N
Lianyungang	Jiangsu	CN	\N	\N	Yellow Sea
Nantong	Jiangsu	CN	Jangtse	\N	\N
Yangzhou	Jiangsu	CN	Jangtse	\N	\N
Jiujiang	Jiangxi	CN	Jangtse	\N	\N
Dalian	Liaoning	CN	\N	\N	Yellow Sea
Yingkou	Liaoning	CN	\N	\N	Yellow Sea
Jinan	Shandong	CN	Hwangho	\N	\N
Qingdao	Shandong	CN	\N	\N	Yellow Sea
Yantai	Shandong	CN	\N	\N	Yellow Sea
Weihai	Shandong	CN	\N	\N	Yellow Sea
Luzhou	Sichuan	CN	Jangtse	\N	\N
Yibin	Sichuan	CN	Jangtse	\N	\N
Hangzhou	Zhejiang	CN	\N	\N	East China Sea
Wenzhou	Zhejiang	CN	\N	\N	East China Sea
Zhoushan	Zhejiang	CN	\N	\N	East China Sea
Beihai	Guangxi	CN	\N	\N	South China Sea
Baotou	Nei Mongol	CN	Hwangho	\N	\N
Yinchuan	Ningxia	CN	Hwangho	\N	\N
Yining	Xinjiang	CN	Ili	\N	\N
Chongqing	Chongqing	CN	Jangtse	\N	\N
Bushehr	Bushehr	IR	\N	\N	Persian Gulf
Rasht	Gillan	IR	\N	Caspian Sea	\N
Bandar Abbas	Hormozgan	IR	\N	\N	Persian Gulf
Ahvaz	Khuzestan	IR	Karun	\N	\N
Khorramshahr	Khuzestan	IR	Schatt al Arab	\N	\N
Khorramshahr	Khuzestan	IR	Karun	\N	\N
Abadan	Khuzestan	IR	Schatt al Arab	\N	\N
Dera Ghazi Khan	Punjab	PK	Indus	\N	\N
Karachi	Sindh	PK	\N	\N	Arabian Sea
Hyderabad	Sindh	PK	Indus	\N	\N
Sukkur	Sindh	PK	Indus	\N	\N
Larkana	Sindh	PK	Indus	\N	\N
Khorugh	Gorno-Badakhshan	TAD	Pjandsh	\N	\N
Turkmenabat	Lebap	TM	Amudarja	\N	\N
Namangan	Namangan	UZB	Syrdarja	\N	\N
Nukus	Qoraqalpogʻiston	UZB	Amudarja	\N	\N
Tbilisi	Georgia	GE	Kura	\N	\N
Batumi	Georgia	GE	\N	\N	Black Sea
Sokhumi	Georgia	GE	\N	\N	Black Sea
Baku	Azerbaijan	AZ	\N	Caspian Sea	\N
Ganja	Azerbaijan	AZ	\N	Caspian Sea	\N
Sumgayit	Azerbaijan	AZ	\N	Caspian Sea	\N
Al Manāmah	Bahrain	BRN	\N	\N	Persian Gulf
Chittagong	Chittagong	BD	\N	\N	Gulf of Bengal
Dhaka	Dhaka	BD	Ganges	\N	\N
Rajshahi	Rajshahi	BD	Ganges	\N	\N
Pathein	Ayeyarwady	MYA	Irawaddy	\N	\N
Magwe	Magwe	MYA	Irawaddy	\N	\N
Mandalay	Mandalay	MYA	Irawaddy	\N	\N
Sagaing	Sagaing	MYA	Irawaddy	\N	\N
Myitkyina	Kachin	MYA	Irawaddy	\N	\N
Mawlamyine	Mon	MYA	Saluen	\N	Andaman Sea
Sittwe	Rakhine	MYA	\N	\N	Gulf of Bengal
Visakhapatnam	Andhra Pradesh	IND	\N	\N	Gulf of Bengal
Gauhati	Assam	IND	Brahmaputra	\N	\N
Dispur	Assam	IND	Brahmaputra	\N	\N
Patna	Bihar	IND	Ganges	\N	\N
Panaji	Goa	IND	\N	\N	Arabian Sea
Bhavnagar	Gujarat	IND	\N	\N	Arabian Sea
Jamnagar	Gujarat	IND	\N	\N	Arabian Sea
Trivandrum	Kerala	IND	\N	\N	Indian Ocean
Kochi	Kerala	IND	\N	\N	Arabian Sea
Kozhikode	Kerala	IND	\N	\N	Arabian Sea
Mumbai	Maharashtra	IND	\N	\N	Arabian Sea
Chennai	Tamil Nadu	IND	\N	\N	Gulf of Bengal
Kanpur	Uttar Pradesh	IND	Ganges	\N	\N
Varanasi	Uttar Pradesh	IND	Ganges	\N	\N
Allahabad	Uttar Pradesh	IND	Ganges	\N	\N
Port Blair	Andaman and Nicobar Islands	IND	\N	\N	Gulf of Bengal
Port Blair	Andaman and Nicobar Islands	IND	\N	\N	Andaman Sea
Kavaratti	Lakshadweep	IND	\N	\N	Arabian Sea
Pondicherry	Puducherry	IND	\N	\N	Gulf of Bengal
Bandar Seri Begawan	Brunei	BRU	\N	\N	South China Sea
Kota Bahru	Kelantan	MAL	\N	\N	South China Sea
Melaka	Melaka	MAL	\N	\N	Malakka Strait
Kuantan	Pahang	MAL	\N	\N	South China Sea
Georgetown	Pulau Pinang	MAL	\N	\N	Malakka Strait
Kota Kinabalu	Sabah	MAL	\N	\N	South China Sea
Tawau	Sabah	MAL	\N	\N	Sulawesi Sea
Sandakan	Sabah	MAL	\N	\N	Sulawesi Sea
Kuching Utara	Sarawak	MAL	\N	\N	South China Sea
Kuala Terengganu	Terengganu	MAL	\N	\N	South China Sea
Vientiane	Laos	LAO	Mekong	\N	\N
Bangkok	Thailand	THA	\N	\N	South China Sea
Nakhon Si Thammarat	Thailand	THA	\N	\N	South China Sea
Samut Prakan	Thailand	THA	\N	\N	South China Sea
Chon Buri	Thailand	THA	\N	\N	South China Sea
Phuket	Thailand	THA	\N	\N	Andaman Sea
Phnom Penh	Cambodia	K	Mekong	\N	\N
Haiphong	Vietnam	VN	\N	\N	South China Sea
Can Tho	Vietnam	VN	Mekong	\N	\N
Da Nang	Vietnam	VN	\N	\N	South China Sea
Nha Trang	Vietnam	VN	\N	\N	South China Sea
Hue	Vietnam	VN	\N	\N	South China Sea
Long Xuyen	Vietnam	VN	Mekong	\N	\N
Qui Nhon	Vietnam	VN	\N	\N	South China Sea
Vung Tau	Vietnam	VN	\N	\N	South China Sea
Rach Gia	Vietnam	VN	\N	\N	South China Sea
Atyrau	Atyrau	KAZ	Ural	Caspian Sea	\N
Oral	West Kazakhstan	KAZ	Ural	\N	\N
Aktau	Mangistau	KAZ	\N	Caspian Sea	\N
Pavlodar	Pavlodar	KAZ	Irtysch	\N	\N
Balkhash	Karaganda	KAZ	\N	Ozero Balchash	\N
Kustanay	Kostanai	KAZ	Tobol	\N	\N
Rudniy	Kostanai	KAZ	Tobol	\N	\N
Kyzylorda	Kyzylorda	KAZ	Syrdarja	\N	\N
Oskemen	East-Kazakhstan	KAZ	Irtysch	\N	\N
Semey	East-Kazakhstan	KAZ	Irtysch	\N	\N
Petropavlovsk	North-Kazakhstan	KAZ	Ischim	\N	\N
Baikonur	Baikonur	KAZ	Syrdarja	\N	\N
Hamhung-Hungnam	North Korea	NOK	\N	\N	Sea of Japan
Chongjin	North Korea	NOK	\N	\N	Sea of Japan
Nampho	North Korea	NOK	\N	\N	Yellow Sea
Sinuiju	North Korea	NOK	\N	\N	Yellow Sea
Wonsan	North Korea	NOK	\N	\N	Sea of Japan
Haeju	North Korea	NOK	\N	\N	Yellow Sea
Anju	North Korea	NOK	\N	\N	Yellow Sea
Kim Chaek	North Korea	NOK	\N	\N	Sea of Japan
Kusong	North Korea	NOK	\N	\N	Sea of Japan
Sinpho	North Korea	NOK	\N	\N	Sea of Japan
Kaesong	North Korea	NOK	\N	\N	Yellow Sea
Hong Kong	Hong Kong	HONX	\N	\N	South China Sea
Macao	Macao	MACX	\N	\N	South China Sea
Flying Fish Cove	Christmas Island	XMAS	\N	\N	Indian Ocean
West Island	Cocos Islands	COCO	\N	\N	Indian Ocean
Larnaka	Cyprus	CY	\N	\N	Mediterranean Sea
Lemesos	Cyprus	CY	\N	\N	Mediterranean Sea
Gaza	Gaza Strip	GAZA	\N	\N	Mediterranean Sea
Haifa	Hefa	IL	\N	\N	Mediterranean Sea
Tel Aviv-Yafo	Tel Aviv	IL	\N	\N	Mediterranean Sea
Ashdod	HaDarom	IL	\N	\N	Mediterranean Sea
Hurghada	Egypt	ET	\N	\N	Red Sea
Marsa Matruh	Egypt	ET	\N	\N	Mediterranean Sea
Aswan	Egypt	ET	Nile	\N	\N
Asyut	Egypt	ET	Nile	\N	\N
Bani Suwayf	Egypt	ET	Nile	\N	\N
Al Jizah	Egypt	ET	Nile	\N	\N
Al Minya	Egypt	ET	Nile	\N	\N
Qina	Egypt	ET	Nile	\N	\N
Al Uqsur	Egypt	ET	Nile	\N	\N
Suhaj	Egypt	ET	Nile	\N	\N
Bur Sa'id	Egypt	ET	\N	\N	Mediterranean Sea
Al Iskandariyah	Egypt	ET	\N	\N	Mediterranean Sea
Al Qahirah	Egypt	ET	Nile	\N	\N
As Suways	Egypt	ET	\N	\N	Red Sea
Banda Aceh	Aceh	RI	\N	\N	Indian Ocean
Banda Aceh	Aceh	RI	\N	\N	Andaman Sea
Medan	Sumatera Utara	RI	\N	\N	Malakka Strait
Pematang Siantar	Sumatera Utara	RI	Asahan	\N	\N
Padang	Sumatera Barat	RI	\N	\N	Indian Ocean
Dumai	Riau	RI	\N	\N	Malakka Strait
Bengkulu	Bengkulu	RI	\N	\N	Indian Ocean
Bandar Lampung	Lampung	RI	\N	\N	Indian Ocean
Pangkal Pinang	Kepulauan Bangka Belitung	RI	\N	\N	South China Sea
Batam	Kepulauan Riau	RI	\N	\N	South China Sea
Jakarta	DKI Jakarta	RI	\N	\N	Java Sea
Semarang	Jawa Tengah	RI	\N	\N	Java Sea
Pekalongan	Jawa Tengah	RI	\N	\N	Java Sea
Tegal	Jawa Tengah	RI	\N	\N	Java Sea
Surabaya	Jawa Timur	RI	\N	\N	Java Sea
Probolinggo	Jawa Timur	RI	\N	\N	Java Sea
Cilegon	Banten	RI	\N	\N	Java Sea
Denpasar	Bali	RI	\N	\N	Indian Ocean
Pontianak	Kalimantan Barat	RI	\N	\N	South China Sea
Bandjarmasin	Kalimantan Selatan	RI	\N	\N	Java Sea
Samarinda	Kalimantan Timur	RI	\N	\N	Java Sea
Balikpapan	Kalimantan Timur	RI	\N	\N	Java Sea
Manado	Sulawesi Utara	RI	\N	\N	Sulawesi Sea
Palu	Sulawesi Tengah	RI	\N	\N	Sulawesi Sea
Makassar	Sulawesi Selatan	RI	\N	\N	Java Sea
Kendari	Sulawesi Tenggara	RI	\N	\N	Banda Sea
Gorontalo	Gorontalo	RI	\N	\N	Banda Sea
Mamuju	Sulawesi Barat	RI	\N	\N	Java Sea
Ambon	Maluku	RI	\N	\N	Banda Sea
Ternate	Maluku Utara	RI	\N	\N	Banda Sea
Manokwari	Papua Barat	RI	\N	\N	Pacific Ocean
Jayapura	Papua	RI	\N	\N	Pacific Ocean
Dili	Timor-Leste	TL	\N	\N	Banda Sea
Port Moresby	Papua New Guinea	PNG	\N	\N	Pacific Ocean
Ar Ramadi	al-Anbar	IRQ	Euphrat	\N	\N
Al Hillah	Babylon	IRQ	Euphrat	\N	\N
Baghdad	Baghdad	IRQ	Tigris	\N	\N
Al Basrah	Basrah	IRQ	Schatt al Arab	\N	\N
An Nasiriyah	Thi Qar	IRQ	Euphrat	\N	\N
Al Amarah	Maysan	IRQ	Tigris	\N	\N
As Samawah	al-Muthanna	IRQ	Euphrat	\N	\N
An Najaf	al-Najaf	IRQ	Euphrat	\N	\N
Al Mawsil	Nineveh	IRQ	Tigris	\N	\N
Diwaniyah	al-Qadisiya	IRQ	Euphrat	\N	\N
Samarra	Salah al-Deen	IRQ	Tigris	\N	\N
Al Kut	Wasit	IRQ	Tigris	\N	\N
Al Kuwayt	Kuwait	KWT	\N	\N	Persian Gulf
Dammam	Ash Sharqiyah	SA	\N	\N	Persian Gulf
Jeddah	Makkah Al-Mokarramah	SA	\N	\N	Red Sea
Al Ladhiqiyah	Al Ladhiqiyah	SYR	\N	\N	Mediterranean Sea
Ar Raqqah	Ar Raqqah	SYR	Euphrat	\N	\N
Dayr az Zawr	Dayr az Zawr	SYR	Euphrat	\N	\N
Tartus	Tartus	SYR	\N	\N	Mediterranean Sea
Bayrūt	Lebanon	RL	\N	\N	Mediterranean Sea
Hakodate	Hokkaido	J	\N	\N	Pacific Ocean
Hakodate	Hokkaido	J	\N	\N	Sea of Japan
Aomori	Aomori	J	\N	\N	Sea of Japan
Sendai	Miyagi	J	\N	\N	Pacific Ocean
Akita	Akita	J	\N	\N	Sea of Japan
Chiba	Chiba	J	\N	\N	Pacific Ocean
Funabashi	Chiba	J	\N	\N	Pacific Ocean
Ichikawa	Chiba	J	\N	\N	Pacific Ocean
Tokyo	Tokyo	J	\N	\N	Pacific Ocean
Yokohama	Kanagawa	J	\N	\N	Pacific Ocean
Kawasaki	Kanagawa	J	\N	\N	Pacific Ocean
Yokosuka	Kanagawa	J	\N	\N	Pacific Ocean
Fujisawa	Kanagawa	J	\N	\N	Pacific Ocean
Niigata	Niigata	J	\N	\N	Sea of Japan
Toyama	Toyama	J	\N	\N	Sea of Japan
Kanazawa	Ishikawa	J	\N	\N	Sea of Japan
Fukui	Fukui	J	\N	\N	Sea of Japan
Shizuoka	Shizuoka	J	\N	\N	Pacific Ocean
Hamamatsu	Shizuoka	J	\N	\N	Pacific Ocean
Nagoya	Aichi	J	\N	\N	Pacific Ocean
Tsu	Mie	J	\N	\N	Pacific Ocean
Osaka	Osaka	J	\N	\N	Pacific Ocean
Sakai	Osaka	J	\N	\N	Pacific Ocean
Kobe	Hyogo	J	\N	\N	Pacific Ocean
Himeji	Hyogo	J	\N	\N	Pacific Ocean
Nishinomiya	Hyogo	J	\N	\N	Pacific Ocean
Amagasaki	Hyogo	J	\N	\N	Pacific Ocean
Wakayama	Wakayama	J	\N	\N	Pacific Ocean
Tottori	Tottori	J	\N	\N	Sea of Japan
Matsue	Shimane	J	\N	\N	Sea of Japan
Okayama	Okayama	J	\N	\N	Pacific Ocean
Kurashiki	Okayama	J	\N	\N	Pacific Ocean
Hiroshima	Hiroshima	J	\N	\N	Pacific Ocean
Fukuyama	Hiroshima	J	\N	\N	Pacific Ocean
Tokushima	Tokushima	J	\N	\N	Pacific Ocean
Takamatsu	Kagawa	J	\N	\N	Pacific Ocean
Matsuyama	Ehime	J	\N	\N	Pacific Ocean
Kochi	Kochi	J	\N	\N	Pacific Ocean
Fukuoka	Fukuoka	J	\N	\N	Sea of Japan
Kitakyushu	Fukuoka	J	\N	\N	Sea of Japan
Nagasaki	Nagasaki	J	\N	\N	East China Sea
Oita	Oita	J	\N	\N	Pacific Ocean
Miyazaki	Miyazaki	J	\N	\N	Pacific Ocean
Kagoshima	Kagoshima	J	\N	\N	East China Sea
Naha	Okinawa	J	\N	\N	Pacific Ocean
Naha	Okinawa	J	\N	\N	East China Sea
Busan	South Korea	ROK	\N	\N	Sea of Japan
Incheon	South Korea	ROK	\N	\N	Yellow Sea
Ulsan	South Korea	ROK	\N	\N	Sea of Japan
Changwon	South Korea	ROK	\N	\N	East China Sea
Mokpo	South Korea	ROK	\N	\N	Yellow Sea
Jeju	South Korea	ROK	\N	\N	Yellow Sea
Gunsan	South Korea	ROK	\N	\N	Yellow Sea
Yeosu	South Korea	ROK	\N	\N	East China Sea
Male	Maldives	MV	\N	\N	Indian Ocean
Muscat	Oman	OM	\N	\N	Gulf of Oman
As Seeb	Oman	OM	\N	\N	Gulf of Oman
Abu Dhabi	United Arab Emirates	UAE	\N	\N	Persian Gulf
Dubai	United Arab Emirates	UAE	\N	\N	Persian Gulf
Al Sharjah	United Arab Emirates	UAE	\N	\N	Persian Gulf
Aden	Yemen	YE	\N	\N	Gulf of Aden
Calamba	Calabarzon	RP	\N	Laguna de Bay	\N
Iloilo	Western Visayas	RP	\N	\N	Sulu Sea
Bacolod	Western Visayas	RP	\N	\N	Sulu Sea
Cebu	Central Visayas	RP	\N	\N	Sulu Sea
Zamboanga	Zamboanga Peninsula	RP	\N	\N	Sulawesi Sea
Cagayan De Oro	Northern Mindanao	RP	\N	\N	Sulawesi Sea
Davao	Davao	RP	\N	\N	Sulawesi Sea
General Santos	Soccsksargen	RP	\N	\N	Sulawesi Sea
Manila	Metro Manila	RP	\N	\N	South China Sea
Pasay	Metro Manila	RP	\N	\N	South China Sea
Taguig	Metro Manila	RP	\N	Laguna de Bay	\N
Parañaque	Metro Manila	RP	\N	\N	South China Sea
Las Piñas	Metro Manila	RP	\N	\N	South China Sea
Muntinlupa	Metro Manila	RP	\N	Laguna de Bay	\N
Doha	Qatar	Q	\N	\N	Persian Gulf
Al Rayyan	Qatar	Q	\N	\N	Persian Gulf
Singapore	Singapore	SGP	\N	\N	South China Sea
Singapore	Singapore	SGP	\N	\N	Malakka Strait
Sri Jayawardhanapura Kotte	Sri Lanka	CL	\N	\N	Indian Ocean
Colombo	Sri Lanka	CL	\N	\N	Indian Ocean
New Taipei	Taiwan	RC	\N	\N	East China Sea
Hualien	Taiwan	RC	\N	\N	Pacific Ocean
Taitung	Taiwan	RC	\N	\N	Pacific Ocean
Keelung	Taiwan	RC	\N	\N	East China Sea
Hsinchu	Taiwan	RC	\N	\N	East China Sea
Kaohsiung	Taiwan	RC	\N	\N	South China Sea
Tainan	Taiwan	RC	\N	\N	South China Sea
The Valley	Anguilla	AXA	\N	\N	Atlantic Ocean
Saint Johns	Antigua and Barbuda	AG	\N	\N	Caribbean Sea
Oranjestad	Aruba	ARU	\N	\N	Caribbean Sea
Nassau	Bahamas	BS	\N	\N	Atlantic Ocean
Bridgetown	Barbados	BDS	\N	\N	Atlantic Ocean
Belize City	Belize	BZ	\N	\N	Caribbean Sea
Tijuana	Baja California	MEX	\N	\N	Pacific Ocean
Ensenada	Baja California	MEX	\N	\N	Pacific Ocean
La Paz	Baja California Sur	MEX	\N	\N	Pacific Ocean
Campeche	Campeche	MEX	\N	\N	Gulf of Mexico
Ciudad Juárez	Chihuahua	MEX	Rio Grande	\N	\N
Irapuato	Guanajuato	MEX	Rio Lerma	\N	\N
Acapulco	Guerrero	MEX	\N	\N	Pacific Ocean
Guadalajara	Jalisco	MEX	Rio Lerma	\N	\N
Cancún	Quintana Roo	MEX	\N	\N	Caribbean Sea
Chetumal	Quintana Roo	MEX	\N	\N	Caribbean Sea
Mazatlán	Sinaloa	MEX	\N	\N	Pacific Ocean
Tampico	Tamaulipas	MEX	\N	\N	Gulf of Mexico
Matamoros	Tamaulipas	MEX	Rio Grande	\N	\N
Reynosa	Tamaulipas	MEX	Rio Grande	\N	\N
Nuevo Laredo	Tamaulipas	MEX	Rio Grande	\N	\N
Ciudad Madero	Tamaulipas	MEX	\N	\N	Gulf of Mexico
Coatzacoalcos	Veracruz	MEX	\N	\N	Gulf of Mexico
Veracruz	Veracruz	MEX	\N	\N	Gulf of Mexico
Boca del Río	Veracruz	MEX	\N	\N	Gulf of Mexico
Hamilton	Bermuda	BERM	\N	\N	Atlantic Ocean
Road Town	British Virgin Islands	BVIR	\N	\N	Caribbean Sea
Edmonton	Alberta	CDN	Saskatchewan River	\N	\N
Vancouver	British Columbia	CDN	\N	\N	Pacific Ocean
Victoria	British Columbia	CDN	\N	\N	Pacific Ocean
St. John's	Newfoundland and Labrador	CDN	\N	\N	Atlantic Ocean
Yellowknife	Northwest Territories	CDN	\N	Great Slave Lake	\N
Halifax	Nova Scotia	CDN	\N	\N	Atlantic Ocean
Hamilton	Ontario	CDN	\N	Lake Ontario	\N
Toronto	Ontario	CDN	\N	Lake Ontario	\N
Windsor	Ontario	CDN	Detroit River	\N	\N
Oshawa	Ontario	CDN	\N	Lake Ontario	\N
Saint Catharines	Ontario	CDN	\N	Lake Ontario	\N
Thunder Bay	Ontario	CDN	\N	Lake Superior	\N
Charlottetown	Prince Edward Island	CDN	\N	\N	Atlantic Ocean
Montréal	Quebec	CDN	Saint Lawrence River	\N	\N
Quebec	Quebec	CDN	Saint Lawrence River	\N	\N
Saskatoon	Saskatchewan	CDN	Saskatchewan River	\N	\N
Whitehorse	Yukon	CDN	Yukon River	\N	\N
Iqaluit	Nunavut	CDN	\N	\N	Labrador Sea
Mobile	Alabama	USA	\N	\N	Gulf of Mexico
Huntsville	Alabama	USA	Tennessee	\N	\N
Anchorage	Alaska	USA	\N	\N	Pacific Ocean
Juneau	Alaska	USA	\N	\N	Pacific Ocean
Little Rock	Arkansas	USA	Arkansas	\N	\N
Los Angeles	California	USA	\N	\N	Pacific Ocean
San Diego	California	USA	\N	\N	Pacific Ocean
San Francisco	California	USA	\N	\N	Pacific Ocean
Huntington Beach	California	USA	\N	\N	Pacific Ocean
Oxnard	California	USA	\N	\N	Pacific Ocean
Oceanside	California	USA	\N	\N	Pacific Ocean
Bridgeport	Connecticut	USA	\N	\N	Atlantic Ocean
Hartford	Connecticut	USA	Connecticut River	\N	\N
New Haven	Connecticut	USA	\N	\N	Atlantic Ocean
Stamford	Connecticut	USA	\N	\N	Atlantic Ocean
Jacksonville	Florida	USA	\N	\N	Atlantic Ocean
Miami	Florida	USA	\N	\N	Atlantic Ocean
Tampa	Florida	USA	\N	\N	Gulf of Mexico
St. Petersburg	Florida	USA	\N	\N	Gulf of Mexico
Fort Lauderdale	Florida	USA	\N	\N	Atlantic Ocean
Hollywood	Florida	USA	\N	\N	Atlantic Ocean
Cape Coral	Florida	USA	\N	\N	Gulf of Mexico
Clearwater	Florida	USA	\N	\N	Gulf of Mexico
Port St. Lucie	Florida	USA	\N	\N	Atlantic Ocean
Savannah	Georgia	USA	\N	\N	Atlantic Ocean
Honolulu	Hawaii	USA	\N	\N	Pacific Ocean
Hilo	Hawaii	USA	\N	\N	Pacific Ocean
Chicago	Illinois	USA	\N	Lake Michigan	\N
Evansville	Indiana	USA	Ohio River	\N	\N
Wichita	Kansas	USA	Arkansas	\N	\N
Kansas City	Kansas	USA	Missouri	\N	\N
Louisville	Kentucky	USA	Ohio River	\N	\N
New Orleans	Louisiana	USA	Mississippi	\N	\N
Baton Rouge	Louisiana	USA	Mississippi	\N	\N
Annapolis	Maryland	USA	\N	\N	Atlantic Ocean
Boston	Massachusetts	USA	\N	\N	Atlantic Ocean
Springfield	Massachusetts	USA	Connecticut River	\N	\N
Detroit	Michigan	USA	Detroit River	\N	\N
Minneapolis	Minnesota	USA	Mississippi	\N	\N
St. Paul	Minnesota	USA	Mississippi	\N	\N
Kansas City	Missouri	USA	Missouri	\N	\N
St. Louis	Missouri	USA	Mississippi	\N	\N
St. Louis	Missouri	USA	Missouri	\N	\N
Independence	Missouri	USA	Missouri	\N	\N
Jefferson City	Missouri	USA	Missouri	\N	\N
Omaha	Nebraska	USA	Missouri	\N	\N
Reno	Nevada	USA	Truckee River	\N	\N
Concord	New Hampshire	USA	Merrimack River	\N	\N
Jersey City	New Jersey	USA	Hudson River	\N	\N
Elizabeth	New Jersey	USA	\N	\N	Atlantic Ocean
Albuquerque	New Mexico	USA	Rio Grande	\N	\N
New York	New York	USA	Hudson River	\N	Atlantic Ocean
Buffalo	New York	USA	\N	Lake Erie	\N
Rochester	New York	USA	\N	Lake Ontario	\N
Yonkers	New York	USA	Hudson River	\N	\N
Albany	New York	USA	Hudson River	\N	\N
Bismarck	North Dakota	USA	Missouri	Lake Oahe	\N
Cleveland	Ohio	USA	\N	Lake Erie	\N
Cincinnati	Ohio	USA	Ohio River	\N	\N
Toledo	Ohio	USA	\N	Lake Erie	\N
Tulsa	Oklahoma	USA	Arkansas	\N	\N
Portland	Oregon	USA	Columbia River	\N	\N
Pittsburgh	Pennsylvania	USA	Ohio River	\N	\N
Erie	Pennsylvania	USA	\N	Lake Erie	\N
Providence	Rhode Island	USA	\N	\N	Atlantic Ocean
Pierre	South Dakota	USA	Missouri	Lake Oahe	\N
Memphis	Tennessee	USA	Mississippi	\N	\N
Knoxville	Tennessee	USA	Tennessee	\N	\N
Chattanooga	Tennessee	USA	Tennessee	\N	\N
El Paso	Texas	USA	Rio Grande	\N	\N
Corpus Christi	Texas	USA	\N	\N	Gulf of Mexico
Salt Lake City	Utah	USA	\N	Great Salt Lake	\N
Norfolk	Virginia	USA	\N	\N	Atlantic Ocean
Chesapeake	Virginia	USA	\N	\N	Atlantic Ocean
Newport News	Virginia	USA	\N	\N	Atlantic Ocean
Vancouver	Washington	USA	Columbia River	\N	\N
Milwaukee	Wisconsin	USA	\N	Lake Michigan	\N
George Town	Cayman Islands	CAYM	\N	\N	Caribbean Sea
Puntarenas	Puntarenas	CR	\N	\N	Pacific Ocean
Limón	Limón	CR	\N	\N	Caribbean Sea
Managua	Nicaragua	NIC	\N	Lake Managua	\N
Granada	Nicaragua	NIC	\N	Lake Nicaragua	\N
Tipitapa	Nicaragua	NIC	\N	Lake Managua	\N
Bocas del Toro	Bocas del Toro	PA	\N	\N	Caribbean Sea
Changuinola	Bocas del Toro	PA	\N	\N	Caribbean Sea
Colón	Colón	PA	\N	\N	Caribbean Sea
El Porvenir	Kuna Yala	PA	\N	\N	Caribbean Sea
La Palma	Darién	PA	\N	\N	Pacific Ocean
Panamá City	Panamá	PA	\N	\N	Pacific Ocean
Cienfuegos	Cienfuegos	C	\N	\N	Caribbean Sea
La Habana	La Habana	C	\N	\N	Gulf of Mexico
Manzanillo	Granma	C	\N	\N	Caribbean Sea
Guantánamo	Guantánamo	C	\N	\N	Caribbean Sea
Santiago de Cuba	Santiago de Cuba	C	\N	\N	Caribbean Sea
Roseau	Dominica	WD	\N	\N	Caribbean Sea
Santo Domingo	Dominican Republic	DOM	\N	\N	Caribbean Sea
Port-au-Prince	Haiti	RH	\N	\N	Caribbean Sea
Carrefour	Haiti	RH	\N	\N	Caribbean Sea
Delmas	Haiti	RH	\N	\N	Caribbean Sea
Pétion-Ville	Haiti	RH	\N	\N	Caribbean Sea
Gonaïves	Haiti	RH	\N	\N	Caribbean Sea
Cap-Haïtien	Haiti	RH	\N	\N	Atlantic Ocean
La Ceiba	Atlántida	HCA	\N	\N	Caribbean Sea
Tela	Atlántida	HCA	\N	\N	Caribbean Sea
Trujillo	Colón	HCA	\N	\N	Caribbean Sea
Puerto Cortes	Cortés	HCA	\N	\N	Caribbean Sea
Puerto Lempira	Gracias a Dios	HCA	\N	\N	Caribbean Sea
Nuuk	Greenland	GROX	\N	\N	Labrador Sea
Saint George's	Grenada	WG	\N	\N	Caribbean Sea
Basse-Terre	Guadeloupe	GUAD	\N	\N	Caribbean Sea
Kingston	Jamaica	JA	\N	\N	Caribbean Sea
Fort-de-France	Martinique	MART	\N	\N	Caribbean Sea
Plymouth	Montserrat	MNTS	\N	\N	Caribbean Sea
Willemstad	Curacao	CUR	\N	\N	Caribbean Sea
Philipsburg	Sint Maarten	NLSM	\N	\N	Caribbean Sea
Marigot	Saint Martin	SMAR	\N	\N	Caribbean Sea
Gustavia	Saint Barthelemy	SBAR	\N	\N	Caribbean Sea
Leticia	Amazonas	CO	Amazonas	\N	\N
Turbo	Antioquia	CO	\N	\N	Caribbean Sea
Barranquilla	Atlántico	CO	Rio Magdalena	\N	Caribbean Sea
Cartagena	Bolívar	CO	\N	\N	Caribbean Sea
Magangué	Bolívar	CO	Rio Magdalena	\N	\N
Inirida	Guainía	CO	Orinoco	\N	\N
Ciénaga	La Guajira	CO	\N	\N	Caribbean Sea
Riohacha	La Guajira	CO	\N	\N	Caribbean Sea
Uribia	La Guajira	CO	\N	\N	Caribbean Sea
Neiva	Huila	CO	Rio Magdalena	\N	\N
Santa Marta	Magdalena	CO	\N	\N	Caribbean Sea
San Andres de Tumaco	Nariño	CO	\N	\N	Pacific Ocean
Barrancabermeja	Santander	CO	Rio Magdalena	\N	\N
Buenaventura	Valle de Cauca	CO	\N	\N	Pacific Ocean
Puerto Carreno	Vichada	CO	Orinoco	\N	\N
San Juan	Puerto Rico	PR	\N	\N	Atlantic Ocean
Carolina	Puerto Rico	PR	\N	\N	Atlantic Ocean
Basseterre	Saint Kitts and Nevis	KN	\N	\N	Caribbean Sea
Castries	Saint Lucia	WL	\N	\N	Caribbean Sea
Saint-Pierre	Saint Pierre and Miquelon	SPMI	\N	\N	Atlantic Ocean
Kingstown	Saint Vincent and the Grenadines	WV	\N	\N	Caribbean Sea
Port-of-Spain	Trinidad and Tobago	TT	\N	\N	Caribbean Sea
Grand Turk	Turks and Caicos Islands	TUCA	\N	\N	Atlantic Ocean
Charlotte Amalie	Virgin Islands	VIRG	\N	\N	Caribbean Sea
Pago Pago	American Samoa	AMSA	\N	\N	Pacific Ocean
Newcastle	New South Wales	AUS	\N	\N	Pacific Ocean
Sydney	New South Wales	AUS	\N	\N	Pacific Ocean
Wollongong	New South Wales	AUS	\N	\N	Pacific Ocean
Sunshine Coast	New South Wales	AUS	\N	\N	Pacific Ocean
Darwin	Northern Territory	AUS	\N	\N	Indian Ocean
Brisbane	Queensland	AUS	\N	\N	Pacific Ocean
Gold Coast	Queensland	AUS	\N	\N	Pacific Ocean
Townsville	Queensland	AUS	\N	\N	Pacific Ocean
Cairns	Queensland	AUS	\N	\N	Pacific Ocean
Adelaide	South Australia	AUS	\N	\N	Indian Ocean
Hobart	Tasmania	AUS	\N	\N	Pacific Ocean
Melbourne	Victoria	AUS	\N	\N	Indian Ocean
Geelong	Victoria	AUS	\N	\N	Indian Ocean
Perth	Western Australia	AUS	\N	\N	Indian Ocean
Canberra	Australia Capital Territory	AUS	Murrumbidgee River	Lake Burley Griffin	\N
Avarua	Cook Islands	COOK	\N	\N	Pacific Ocean
Suva	Fiji	FJI	\N	\N	Pacific Ocean
Papeete	French Polynesia	FPOL	\N	\N	Pacific Ocean
Hagåtña	Guam	GUAM	\N	\N	Pacific Ocean
Tarawa	Kiribati	KIR	\N	\N	Pacific Ocean
Majuro	Marshall Islands	MH	\N	\N	Pacific Ocean
Kolonia	Micronesia	FSM	\N	\N	Pacific Ocean
Palikir	Micronesia	FSM	\N	\N	Pacific Ocean
Yaren	Nauru	NAU	\N	\N	Pacific Ocean
Noumea	New Caledonia	NCA	\N	\N	Pacific Ocean
Wellington	New Zealand	NZ	\N	\N	Pacific Ocean
Auckland	New Zealand	NZ	\N	\N	Pacific Ocean
Christchurch	New Zealand	NZ	\N	\N	Pacific Ocean
Dunedin	New Zealand	NZ	\N	\N	Pacific Ocean
Alofi	Niue	NIUE	\N	\N	Pacific Ocean
Kingston	Norfolk Island	NORF	\N	\N	Pacific Ocean
Saipan	Northern Mariana Islands	NMIS	\N	\N	Pacific Ocean
Koror	Palau	PAL	\N	\N	Pacific Ocean
Melekeok	Palau	PAL	\N	\N	Pacific Ocean
Adamstown	Pitcairn	PITC	\N	\N	Pacific Ocean
Honiara	Solomon Islands	SLB	\N	\N	Pacific Ocean
Nukualofa	Tonga	TO	\N	\N	Pacific Ocean
Funafuti	Tuvalu	TUV	\N	\N	Pacific Ocean
Fakaofo	Tokelau	TOK	\N	\N	Pacific Ocean
Port Vila	Vanuatu	VU	\N	\N	Pacific Ocean
Mata-Utu	Wallis and Futuna	WAFU	\N	\N	Pacific Ocean
Apia	Samoa	WS	\N	\N	Pacific Ocean
La Plata	Buenos Aires	RA	\N	\N	Atlantic Ocean
Mar del Plata	Buenos Aires	RA	\N	\N	Atlantic Ocean
San Isidro	Buenos Aires	RA	Parana	\N	\N
Bahía Blanca	Buenos Aires	RA	\N	\N	Atlantic Ocean
Resistencia	Chaco	RA	Parana	\N	\N
Comodoro Rivadavia	Chubut	RA	\N	\N	Atlantic Ocean
Rawson	Chubut	RA	\N	\N	Atlantic Ocean
Corrientes	Corrientes	RA	Parana	\N	\N
Paraná	Entre Ríos	RA	Parana	\N	\N
Concordia	Entre Ríos	RA	Uruguay	\N	\N
Formosa	Formosa	RA	Paraguay	\N	\N
Posadas	Misiones	RA	Parana	\N	\N
Río Gallegos	Santa Cruz	RA	\N	\N	Atlantic Ocean
Santa Fe	Santa Fe	RA	Parana	\N	\N
Rosario	Santa Fe	RA	Parana	\N	\N
Ushuaia	Tierra del Fuego	RA	\N	\N	Atlantic Ocean
Buenos Aires	Distrito Federal	RA	Parana	\N	Atlantic Ocean
Maceió	Alagoas	BR	\N	\N	Atlantic Ocean
Macapá	Amapá	BR	Amazonas	\N	\N
Manaus	Amazonas	BR	Amazonas	\N	\N
Manaus	Amazonas	BR	Rio Negro	\N	\N
Salvador	Bahia	BR	\N	\N	Atlantic Ocean
Ilhéus	Bahia	BR	\N	\N	Atlantic Ocean
Juazeiro	Bahia	BR	Rio Sao Francisco	\N	\N
Camaçari	Bahia	BR	\N	\N	Atlantic Ocean
Lauro de Freitas	Bahia	BR	\N	\N	Atlantic Ocean
Porto Seguro	Bahia	BR	\N	\N	Atlantic Ocean
Fortaleza	Ceará	BR	\N	\N	Atlantic Ocean
Vila Velha	Espírito Santo	BR	\N	\N	Atlantic Ocean
Vitória	Espírito Santo	BR	\N	\N	Atlantic Ocean
São Luís	Maranhão	BR	\N	\N	Atlantic Ocean
Imperatriz	Maranhão	BR	Tocantins	\N	\N
Belém	Pará	BR	Tocantins	\N	Atlantic Ocean
Marabá	Pará	BR	Tocantins	\N	\N
João Pessoa	Paraíba	BR	\N	\N	Atlantic Ocean
Foz do Iguaçu	Paraná	BR	Parana	\N	\N
Paranaguá	Paraná	BR	\N	\N	Atlantic Ocean
Recife	Pernambuco	BR	\N	\N	Atlantic Ocean
Petrolina	Pernambuco	BR	Rio Sao Francisco	\N	\N
Parnaíba	Piauí	BR	\N	\N	Atlantic Ocean
Rio de Janeiro	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
São Gonçalo	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Duque de Caxias	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Niterói	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Campos dos Goytacazes	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Magé	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Itaboraí	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Macaé	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Cabo Frio	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Angra dos Reis	Rio de Janeiro	BR	\N	\N	Atlantic Ocean
Natal	Rio Grande do Norte	BR	\N	\N	Atlantic Ocean
Parnamirim	Rio Grande do Norte	BR	\N	\N	Atlantic Ocean
Porto Alegre	Rio Grande do Sul	BR	\N	\N	Atlantic Ocean
Rio Grande	Rio Grande do Sul	BR	\N	\N	Atlantic Ocean
Uruguaiana	Rio Grande do Sul	BR	Uruguay	\N	\N
Porto Velho	Rondônia	BR	Rio Madeira	\N	\N
Florianópolis	Santa Catarina	BR	\N	\N	Atlantic Ocean
Itajaí	Santa Catarina	BR	\N	\N	Atlantic Ocean
São Paulo	São Paulo	BR	\N	\N	Atlantic Ocean
Santos	São Paulo	BR	\N	\N	Atlantic Ocean
São Vicente	São Paulo	BR	\N	\N	Atlantic Ocean
Praia Grande	São Paulo	BR	\N	\N	Atlantic Ocean
Aracaju	Sergipe	BR	\N	\N	Atlantic Ocean
Palmas	Tocantins	BR	Tocantins	\N	\N
Valparaíso	Valparaíso	RCH	\N	\N	Pacific Ocean
Viña del Mar	Valparaíso	RCH	\N	\N	Pacific Ocean
Concepción	Bío-Bío	RCH	\N	\N	Pacific Ocean
Talcahuano	Bío-Bío	RCH	\N	\N	Pacific Ocean
Asunción	Paraguay	PY	Paraguay	\N	\N
Ciudad del Este	Paraguay	PY	Parana	\N	\N
Montevideo	Uruguay	ROU	\N	\N	Atlantic Ocean
Salto	Uruguay	ROU	Uruguay	\N	\N
Chimbote	Ancash	PE	\N	\N	Pacific Ocean
Huánuco	Huánuco	PE	Huallaga	\N	\N
Huancayo	Junín	PE	\N	\N	\N
Trujillo	La Libertad	PE	\N	\N	Pacific Ocean
Chiclayo	Lambayeque	PE	\N	\N	Pacific Ocean
Lima	Lima City	PE	\N	\N	Pacific Ocean
Iquitos	Loreto	PE	Amazonas	\N	\N
Talara	Piura	PE	\N	\N	Pacific Ocean
Tumbes	Tumbes	PE	\N	\N	Pacific Ocean
Pucallpa	Ucayali	PE	Ucayali	\N	\N
Cayenne	French Guiana	FGU	\N	\N	Atlantic Ocean
Georgetown	Guyana	GUY	\N	\N	Atlantic Ocean
Paramaribo	Suriname	SME	\N	\N	Atlantic Ocean
Puerto Ayacucho	Amazonas	YV	Orinoco	\N	\N
Barcelona	Anzoátegui	YV	\N	\N	Caribbean Sea
Puerto La Cruz	Anzoátegui	YV	\N	\N	Caribbean Sea
Ciudad Bolívar	Bolívar	YV	Orinoco	\N	\N
Ciudad Guayana	Bolívar	YV	Orinoco	\N	\N
Puerto Cabello	Carabobo	YV	\N	\N	Caribbean Sea
Tucupita	Delta Amacuro	YV	Orinoco	\N	\N
Santa Ana de Coro	Falcón	YV	\N	\N	Caribbean Sea
Cumaná	Sucre	YV	\N	\N	Caribbean Sea
Maracaibo	Zulia	YV	\N	Lake Maracaibo	Caribbean Sea
Cabimas	Zulia	YV	\N	Lake Maracaibo	\N
La Guaira	Vargas	YV	\N	\N	Caribbean Sea
Catia La Mar	Vargas	YV	\N	\N	Caribbean Sea
Guayaquil	Ecuador	EC	\N	\N	Pacific Ocean
Stanley	Falkland Islands	FALK	\N	\N	Atlantic Ocean
Algiers	Algeria	DZ	\N	\N	Mediterranean Sea
Annaba	Algeria	DZ	\N	\N	Mediterranean Sea
Skikda	Algeria	DZ	\N	\N	Mediterranean Sea
Oran	Algeria	DZ	\N	\N	Mediterranean Sea
Bejaïa	Algeria	DZ	\N	\N	Mediterranean Sea
Mostaganem	Algeria	DZ	\N	\N	Mediterranean Sea
Tripoli	Libya	LAR	\N	\N	Mediterranean Sea
Benghazi	Libya	LAR	\N	\N	Mediterranean Sea
Misratah	Libya	LAR	\N	\N	Mediterranean Sea
Bamako	Bamako	RMM	Niger	\N	\N
Gao	Gao	RMM	Niger	\N	\N
Kayes	Kayes	RMM	Senegal	\N	\N
Koulikoro	Koulikoro	RMM	Niger	\N	\N
Mopti	Mopti	RMM	Niger	\N	\N
Mopti	Mopti	RMM	Bani	\N	\N
Ségou	Ségou	RMM	Niger	\N	\N
Tombouctou	Tombouctou	RMM	Niger	\N	\N
Nouadhibou	Dakhlet Nouadhibou	RIM	\N	\N	Atlantic Ocean
Kaedi	Gorgol	RIM	Senegal	\N	\N
Nouakchott	Nouakchott	RIM	\N	\N	Atlantic Ocean
Rosso	Trarza	RIM	Senegal	\N	\N
Agadir	Souss Massa Daraa	MA	\N	\N	Atlantic Ocean
Kénitra	Gharb Chrarda Beni Hssen	MA	\N	\N	Atlantic Ocean
Nador	Oriental	MA	\N	\N	Mediterranean Sea
Casablanca	Grand Casablanca	MA	\N	\N	Atlantic Ocean
Mohammedia	Grand Casablanca	MA	\N	\N	Atlantic Ocean
Rabat	Rabat Sale Zemmour Zaer	MA	\N	\N	Atlantic Ocean
Salé	Rabat Sale Zemmour Zaer	MA	\N	\N	Atlantic Ocean
Temara	Rabat Sale Zemmour Zaer	MA	\N	\N	Atlantic Ocean
Safi	Doukala Abda	MA	\N	\N	Atlantic Ocean
Al Hoceima	Taza Al Hoceima Taounate	MA	\N	\N	Mediterranean Sea
Tanger	Tanger Tetouan	MA	\N	\N	Atlantic Ocean
Niamey	Niamey	RN	Niger	\N	\N
Tillaberi	Tillabéri	RN	Niger	\N	\N
Tunis	Tunisia	TN	\N	\N	Mediterranean Sea
Sfax	Tunisia	TN	\N	\N	Mediterranean Sea
Sousse	Tunisia	TN	\N	\N	Mediterranean Sea
Cabinda	Cabinda	ANG	\N	\N	Atlantic Ocean
Luanda	Luanda	ANG	\N	\N	Atlantic Ocean
Sumbe	Cuanza Sul	ANG	\N	\N	Atlantic Ocean
Benguela	Benguela	ANG	\N	\N	Atlantic Ocean
Namibe	Namibe	ANG	\N	\N	Atlantic Ocean
Ouesso	Sangha	RCB	Sanga	\N	\N
Impfondo	Likouala	RCB	Ubangi	\N	\N
Brazzaville	Brazzaville	RCB	Zaire	Malebo Pool	\N
Pointe-Noire	Pointe-Noire	RCB	\N	\N	Atlantic Ocean
Kikwit	Bandundu	ZRE	Cuilo	\N	\N
Bandundu	Bandundu	ZRE	Kwa	\N	\N
Bandundu	Bandundu	ZRE	Kasai	\N	\N
Matadi	Bas-Congo	ZRE	Zaire	\N	\N
Boma	Bas-Congo	ZRE	Zaire	\N	\N
Mbandaka	Equateur	ZRE	Zaire	\N	\N
Kisangani	Orientale	ZRE	Zaire	\N	\N
Kisangani	Orientale	ZRE	Lualaba	\N	\N
Kananga	Kasai-Occidental	ZRE	Lulua	\N	\N
Tshikapa	Kasai-Occidental	ZRE	Kasai	\N	\N
Kalemi	Katanga	ZRE	Lukuga	Lake Tanganjika	\N
Kinshasa	Kinshasa	ZRE	Zaire	Malebo Pool	\N
Goma	Nord-Kivu	ZRE	\N	Lake Kivu	\N
Bukavu	Sud-Kivu	ZRE	\N	Lake Kivu	\N
Uvira	Sud-Kivu	ZRE	\N	Lake Tanganjika	\N
Kindu	Maniema	ZRE	Lualaba	\N	\N
Livingstone	Southern	Z	Zambezi	\N	\N
Porto-Novo	Benin	BEN	\N	\N	Atlantic Ocean
Cotonou	Benin	BEN	\N	\N	Atlantic Ocean
Abomey-Calavi	Benin	BEN	\N	\N	Atlantic Ocean
Yola	Adamawa	WAN	Benue	\N	\N
Onitsha	Anambra	WAN	Niger	\N	\N
Yenagoa	Bayelsa	WAN	Niger	\N	\N
Makurdi	Benue	WAN	Benue	\N	\N
Calabar	Cross River	WAN	\N	\N	Atlantic Ocean
Asaba	Delta	WAN	Niger	\N	\N
Warri	Delta	WAN	\N	\N	Atlantic Ocean
Lokoja	Kogi	WAN	Niger	\N	\N
Lokoja	Kogi	WAN	Benue	\N	\N
Lagos	Lagos	WAN	\N	\N	Atlantic Ocean
Ikorodu	Lagos	WAN	\N	\N	Atlantic Ocean
Port Harcourt	Rivers	WAN	\N	\N	Atlantic Ocean
Lomé	Togo	RT	\N	\N	Atlantic Ocean
Nelson Mandela Bay	Eastern Cape	RSA	\N	\N	Indian Ocean
Buffalo City	Eastern Cape	RSA	\N	\N	Indian Ocean
eThekwini	KwaZulu-Natal	RSA	\N	\N	Indian Ocean
Cape Town	Western Cape	RSA	\N	\N	Atlantic Ocean
Cape Town	Western Cape	RSA	\N	\N	Indian Ocean
San-Pedro	Bas-Sassandra	CI	\N	\N	Atlantic Ocean
Abidjan	Lagunes	CI	\N	\N	Atlantic Ocean
Cape Coast	Central	GH	\N	\N	Atlantic Ocean
Accra	Greater Accra	GH	\N	\N	Atlantic Ocean
Tema	Greater Accra	GH	\N	\N	Atlantic Ocean
Ashiaman	Greater Accra	GH	\N	\N	Atlantic Ocean
Sekondi	Western	GH	\N	\N	Atlantic Ocean
Takoradi	Western	GH	\N	\N	Atlantic Ocean
Bujumbura	Burundi	BI	\N	Lake Tanganjika	\N
Tanga	Tanga	EAT	\N	\N	Indian Ocean
Dar es Salaam	Dar es Salaam	EAT	\N	\N	Indian Ocean
Lindi	Lindi	EAT	\N	\N	Indian Ocean
Mtwara	Mtwara	EAT	\N	\N	Indian Ocean
Kigoma-Ujiji	Kigoma	EAT	\N	Lake Tanganjika	\N
Bukoba	Kagera	EAT	\N	Lake Victoria	\N
Mwanza	Mwanza	EAT	\N	Lake Victoria	\N
Musoma	Mara	EAT	\N	Lake Victoria	\N
Mkokotoni	Kaskazini Unguja	EAT	\N	\N	Indian Ocean
Zanzibar	Mjini Magharibi Unguja	EAT	\N	\N	Indian Ocean
Wete	Kaskazini Pemba	EAT	\N	\N	Indian Ocean
Douala	Littoral	CAM	\N	\N	Atlantic Ocean
Garoua	Nord	CAM	Benue	\N	\N
Bangui	Central African Republic	RCA	Ubangi	\N	\N
Bimbo	Central African Republic	RCA	Ubangi	\N	\N
N'Djamena	Chad	TCH	Schari	\N	\N
Malabo	Insular	GQ	\N	\N	Atlantic Ocean
Bata	Continental	GQ	\N	\N	Atlantic Ocean
Libreville	Gabon	G	\N	\N	Atlantic Ocean
Port-Gentil	Gabon	G	\N	\N	Atlantic Ocean
Praia	Cape Verde	CV	\N	\N	Atlantic Ocean
Khartoum	Sudan	SUD	Nile	\N	\N
Khartoum	Sudan	SUD	Blue Nile	\N	\N
Omdurman	Sudan	SUD	Nile	\N	\N
Omdurman	Sudan	SUD	Blue Nile	\N	\N
Khartoum North	Sudan	SUD	Nile	\N	\N
Port Sudan	Sudan	SUD	\N	\N	Red Sea
Al Gazira	Sudan	SUD	Blue Nile	\N	\N
Juba	South Sudan	SSD	Bahr el-Djebel/Albert-Nil	\N	\N
Moroni	Comoros	COM	\N	\N	Indian Ocean
Conakry	Guinea	RG	\N	\N	Atlantic Ocean
Monrovia	Liberia	LB	\N	\N	Atlantic Ocean
Djibouti	Djibouti	DJI	\N	\N	Gulf of Aden
Gambella	Gambella	ETH	Baro	\N	\N
Mogadishu	Somalia	SP	\N	\N	Indian Ocean
Mombasa	Kenya	EAK	\N	\N	Indian Ocean
Malindi	Kenya	EAK	\N	\N	Indian Ocean
Kisumu	Kenya	EAK	\N	Lake Victoria	\N
Banjul	Gambia	WAG	Gambia	\N	Atlantic Ocean
Dakar	Dakar	SN	\N	\N	Atlantic Ocean
Pikine	Dakar	SN	\N	\N	Atlantic Ocean
Guediawaye	Dakar	SN	\N	\N	Atlantic Ocean
Rufisque	Dakar	SN	\N	\N	Atlantic Ocean
Saint-Louis	Saint-Louis	SN	Senegal	\N	\N
Bissau	Guinea-Bissau	GNB	\N	\N	Atlantic Ocean
Freetown	Sierra Leone	WAL	\N	\N	Atlantic Ocean
Bo	Sierra Leone	WAL	\N	\N	Atlantic Ocean
Kampala	Uganda	EAU	\N	Lake Victoria	\N
Mukono	Uganda	EAU	\N	Lake Victoria	\N
Majunga	Madagascar	RM	\N	\N	Indian Ocean
Tamatave	Madagascar	RM	\N	\N	Indian Ocean
Toliara	Madagascar	RM	\N	\N	Indian Ocean
Pemba	Cabo Delgado	MOC	\N	\N	Indian Ocean
Xai-Xai	Gaza	MOC	Limpopo	\N	Indian Ocean
Inhambane	Inhambane	MOC	\N	\N	Indian Ocean
Beira	Sofala	MOC	\N	\N	Indian Ocean
Tete	Tete	MOC	Zambezi	\N	\N
Quelimane	Zambézia	MOC	\N	\N	Indian Ocean
Maputo	Cidade de Maputo	MOC	\N	\N	Indian Ocean
Port Louis	Mauritius	MS	\N	\N	Indian Ocean
Mamoutzou	Mayotte	MAYO	\N	\N	Indian Ocean
Saint-Denis	Reunion	REUN	\N	\N	Indian Ocean
Jamestown	Saint Helena	HELX	\N	\N	Atlantic Ocean
São Tomé	Sao Tome and Principe	STP	\N	\N	Atlantic Ocean
Victoria	Seychelles	SY	\N	\N	Indian Ocean
\.


--
-- TOC entry 5287 (class 0 OID 89571)
-- Dependencies: 706
-- Data for Name: locatedon; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY locatedon (city, province, country, island) FROM stdin;
Kerkyra	Ionion Nison	GR	Korfu
Iraklio	Kritis	GR	Kreta
Chania	Kritis	GR	Kreta
Ermoupoli	Notioy Aigaioy	GR	Syros
Rhodes	Notioy Aigaioy	GR	Rhodos
Mytilini	Boreioy Aigaioy	GR	Lesbos
Ajaccio	Corse	F	Corse
Palma de Mallorca	Illes Balears	E	Mallorca
Santa Cruz de Tenerife	Canarias	E	Teneriffa
San Cristóbal de La Laguna	Canarias	E	Teneriffa
Las Palmas de Gran Canaria	Canarias	E	Gran Canaria
Telde	Canarias	E	Gran Canaria
Palermo	Sicilia	I	Sicilia
Messina	Sicilia	I	Sicilia
Catánia	Sicilia	I	Sicilia
Siracusa	Sicilia	I	Sicilia
Cágliari	Sardegna	I	Sardegna
Sássari	Sardegna	I	Sardegna
Južno-Sachalinsk	Sakhalin	R	Sachalin
Odense	Syddanmark	DK	Fuenen
Hillerød	Hovedstaden	DK	Seeland
København	Hovedstaden	DK	Seeland
Sorø	Sjælland	DK	Seeland
Tórshavn	Faroe Islands	FARX	Streymoy
Saint Peter Port	Guernsey	GBG	Guernsey
Reykjavik	Iceland	IS	Iceland
Keflavik	Iceland	IS	Iceland
Hafnarfjordur	Iceland	IS	Iceland
Akureyri	Iceland	IS	Iceland
Dublin	Ireland	IRL	Ireland
Cork	Ireland	IRL	Ireland
Galway	Ireland	IRL	Ireland
Limerick	Ireland	IRL	Ireland
Saint Helier	Jersey	GBJ	Jersey
Valletta	Malta	M	Malta
Victoria	Malta	M	Gozo
Douglas	Isle of Man	GBM	Isle of Man
Ponta Delgada	Azores	P	Sao Miguel
Funchal	Madeira	P	Madeira
Longyearbyen	Svalbard	SVAX	Svalbard
Newcastle upon Tyne	North East	GB	Great Britain
Sunderland	North East	GB	Great Britain
Gateshead	North East	GB	Great Britain
Middlesbrough	North East	GB	Great Britain
Manchester	North West	GB	Great Britain
Wigan	North West	GB	Great Britain
Stockport	North West	GB	Great Britain
Bolton	North West	GB	Great Britain
Salford	North West	GB	Great Britain
Oldham	North West	GB	Great Britain
Rochdale	North West	GB	Great Britain
Warrington	North West	GB	Great Britain
Blackpool	North West	GB	Great Britain
Blackburn	North West	GB	Great Britain
Liverpool	North West	GB	Great Britain
Birkenhead	North West	GB	Great Britain
St Helens	North West	GB	Great Britain
Preston	North West	GB	Great Britain
Leeds	Yorkshire and the Humber	GB	Great Britain
Wakefield	Yorkshire and the Humber	GB	Great Britain
Bradford	Yorkshire and the Humber	GB	Great Britain
Huddersfield	Yorkshire and the Humber	GB	Great Britain
Sheffield	Yorkshire and the Humber	GB	Great Britain
Doncaster	Yorkshire and the Humber	GB	Great Britain
Rotherham	Yorkshire and the Humber	GB	Great Britain
York	Yorkshire and the Humber	GB	Great Britain
Kingston upon Hull	Yorkshire and the Humber	GB	Great Britain
Nottingham	East Midlands	GB	Great Britain
Northampton	East Midlands	GB	Great Britain
Leicester	East Midlands	GB	Great Britain
Derby	East Midlands	GB	Great Britain
Lincoln	East Midlands	GB	Great Britain
Birmingham	West Midlands	GB	Great Britain
Coventry	West Midlands	GB	Great Britain
Wolverhampton	West Midlands	GB	Great Britain
Solihull	West Midlands	GB	Great Britain
Stoke-on-Trent	West Midlands	GB	Great Britain
Worcester	West Midlands	GB	Great Britain
Sutton Coldfield	West Midlands	GB	Great Britain
Telford	West Midlands	GB	Great Britain
Cambridge	East of England	GB	Great Britain
Peterborough	East of England	GB	Great Britain
Ipswich	East of England	GB	Great Britain
Chelmsford	East of England	GB	Great Britain
Watford	East of England	GB	Great Britain
Southend-on-Sea	East of England	GB	Great Britain
Basildon	East of England	GB	Great Britain
Colchester	East of England	GB	Great Britain
Norwich	East of England	GB	Great Britain
Luton	East of England	GB	Great Britain
London	London	GB	Great Britain
Southampton	South East	GB	Great Britain
Portsmouth	South East	GB	Great Britain
Basingstoke	South East	GB	Great Britain
Milton Keynes	South East	GB	Great Britain
High Wycombe	South East	GB	Great Britain
Brighton and Hove	South East	GB	Great Britain
Maidstone	South East	GB	Great Britain
Oxford	South East	GB	Great Britain
Reading	South East	GB	Great Britain
Slough	South East	GB	Great Britain
Eastbourne	South East	GB	Great Britain
Gillingham	South East	GB	Great Britain
Crawley	South East	GB	Great Britain
Worthing	South East	GB	Great Britain
Woking	South East	GB	Great Britain
Bristol	South West	GB	Great Britain
Plymouth	South West	GB	Great Britain
Exeter	South West	GB	Great Britain
Bournemouth	South West	GB	Great Britain
Poole	South West	GB	Great Britain
Cheltenham	South West	GB	Great Britain
Gloucester	South West	GB	Great Britain
Swindon	South West	GB	Great Britain
Edinburgh	Scotland	GB	Great Britain
Glasgow	Scotland	GB	Great Britain
Aberdeen	Scotland	GB	Great Britain
Dundee	Scotland	GB	Great Britain
Kirkwall	Scotland	GB	Orkney Mainland
Lerwick	Scotland	GB	Shetland Mainland
Cardiff	Wales	GB	Great Britain
Swansea	Wales	GB	Great Britain
Newport	Wales	GB	Great Britain
Belfast	Northern Ireland	GB	Ireland
Haikou	Hainan	CN	Hainan
Sanya	Hainan	CN	Hainan
Zhoushan	Zhejiang	CN	Zhoushan
Al Manāmah	Bahrain	BRN	Bahrain
Port Blair	Andaman and Nicobar Islands	IND	South Andaman Island
Kavaratti	Lakshadweep	IND	Kavaratti
Bandar Seri Begawan	Brunei	BRU	Borneo
Kota Kinabalu	Sabah	MAL	Borneo
Tawau	Sabah	MAL	Borneo
Sandakan	Sabah	MAL	Borneo
Kuching Utara	Sarawak	MAL	Borneo
Sibu	Sarawak	MAL	Borneo
Labuan	Labuan	MAL	Labuan
Phuket	Thailand	THA	Phuket
Flying Fish Cove	Christmas Island	XMAS	Christmas Island
West Island	Cocos Islands	COCO	Pulau Panjang
Lefkosia	Cyprus	CY	Cyprus
Larnaka	Cyprus	CY	Cyprus
Lemesos	Cyprus	CY	Cyprus
Banda Aceh	Aceh	RI	Sumatra
Medan	Sumatera Utara	RI	Sumatra
Pematang Siantar	Sumatera Utara	RI	Sumatra
Binjai	Sumatera Utara	RI	Sumatra
Padang	Sumatera Barat	RI	Sumatra
Pekanbaru	Riau	RI	Sumatra
Dumai	Riau	RI	Sumatra
Jambi	Jambi	RI	Sumatra
Palembang	Sumatera Selatan	RI	Sumatra
Lubuk Linggau	Sumatera Selatan	RI	Sumatra
Bengkulu	Bengkulu	RI	Sumatra
Bandar Lampung	Lampung	RI	Sumatra
Pangkal Pinang	Kepulauan Bangka Belitung	RI	Bangka
Tanjungpinang	Kepulauan Riau	RI	Bintan
Batam	Kepulauan Riau	RI	Batam
Jakarta	DKI Jakarta	RI	Java
Bandung	Jawa Barat	RI	Java
Bogor	Jawa Barat	RI	Java
Cirebon	Jawa Barat	RI	Java
Sukabumi	Jawa Barat	RI	Java
Bekasi	Jawa Barat	RI	Java
Depok	Jawa Barat	RI	Java
Tasikmalaya	Jawa Barat	RI	Java
Cimahi	Jawa Barat	RI	Java
Semarang	Jawa Tengah	RI	Java
Surakarta	Jawa Tengah	RI	Java
Pekalongan	Jawa Tengah	RI	Java
Tegal	Jawa Tengah	RI	Java
Yogyakarta	DI Yogyakarta	RI	Java
Surabaya	Jawa Timur	RI	Java
Malang	Jawa Timur	RI	Java
Probolinggo	Jawa Timur	RI	Java
Kediri	Jawa Timur	RI	Java
Serang	Banten	RI	Java
Tangerang	Banten	RI	Java
Tangerang Selatan	Banten	RI	Java
Cilegon	Banten	RI	Java
Denpasar	Bali	RI	Bali
Mataram	Nusa Tenggara Barat	RI	Lombok
Kupang	Nusa Tenggara Timur	RI	Timor
Pontianak	Kalimantan Barat	RI	Borneo
Palangkaraya	Kalimantan Tengah	RI	Borneo
Bandjarmasin	Kalimantan Selatan	RI	Borneo
Samarinda	Kalimantan Timur	RI	Borneo
Balikpapan	Kalimantan Timur	RI	Borneo
Manado	Sulawesi Utara	RI	Sulawesi
Palu	Sulawesi Tengah	RI	Sulawesi
Makassar	Sulawesi Selatan	RI	Sulawesi
Kendari	Sulawesi Tenggara	RI	Sulawesi
Gorontalo	Gorontalo	RI	Sulawesi
Mamuju	Sulawesi Barat	RI	Sulawesi
Ambon	Maluku	RI	Ambon
Ternate	Maluku Utara	RI	Ternate
Manokwari	Papua Barat	RI	New Guinea
Jayapura	Papua	RI	New Guinea
Dili	Timor-Leste	TL	Timor
Port Moresby	Papua New Guinea	PNG	New Guinea
Sapporo	Hokkaido	J	Hokkaido
Hakodate	Hokkaido	J	Hokkaido
Aomori	Aomori	J	Honshu
Morioka	Iwate	J	Honshu
Sendai	Miyagi	J	Honshu
Akita	Akita	J	Honshu
Yamagata	Yamagata	J	Honshu
Fukushima	Fukushima	J	Honshu
Mito	Ibaraki	J	Honshu
Utsunomiya	Tochigi	J	Honshu
Maebashi	Gumma	J	Honshu
Saitama	Saitama	J	Honshu
Kawaguchi	Saitama	J	Honshu
Chiba	Chiba	J	Honshu
Funabashi	Chiba	J	Honshu
Matsudo	Chiba	J	Honshu
Ichikawa	Chiba	J	Honshu
Kashiwa	Chiba	J	Honshu
Tokyo	Tokyo	J	Honshu
Hachioji	Tokyo	J	Honshu
Machida	Tokyo	J	Honshu
Yokohama	Kanagawa	J	Honshu
Kawasaki	Kanagawa	J	Honshu
Sagamihara	Kanagawa	J	Honshu
Yokosuka	Kanagawa	J	Honshu
Fujisawa	Kanagawa	J	Honshu
Niigata	Niigata	J	Honshu
Toyama	Toyama	J	Honshu
Kanazawa	Ishikawa	J	Honshu
Fukui	Fukui	J	Honshu
Kofu	Yamanashi	J	Honshu
Nagano	Nagano	J	Honshu
Gifu	Gifu	J	Honshu
Shizuoka	Shizuoka	J	Honshu
Hamamatsu	Shizuoka	J	Honshu
Nagoya	Aichi	J	Honshu
Toyota	Aichi	J	Honshu
Tsu	Mie	J	Honshu
Otsu	Shiga	J	Honshu
Kyoto	Kyoto	J	Honshu
Osaka	Osaka	J	Honshu
Sakai	Osaka	J	Honshu
Higashiosaka	Osaka	J	Honshu
Hirakata	Osaka	J	Honshu
Kobe	Hyogo	J	Honshu
Himeji	Hyogo	J	Honshu
Nishinomiya	Hyogo	J	Honshu
Amagasaki	Hyogo	J	Honshu
Nara	Nara	J	Honshu
Wakayama	Wakayama	J	Honshu
Tottori	Tottori	J	Honshu
Matsue	Shimane	J	Honshu
Okayama	Okayama	J	Honshu
Kurashiki	Okayama	J	Honshu
Hiroshima	Hiroshima	J	Honshu
Fukuyama	Hiroshima	J	Honshu
Yamaguchi	Yamaguchi	J	Honshu
Tokushima	Tokushima	J	Shikoku
Takamatsu	Kagawa	J	Shikoku
Matsuyama	Ehime	J	Shikoku
Kochi	Kochi	J	Shikoku
Fukuoka	Fukuoka	J	Kyushu
Kitakyushu	Fukuoka	J	Kyushu
Saga	Saga	J	Kyushu
Nagasaki	Nagasaki	J	Kyushu
Kumamoto	Kumamoto	J	Kyushu
Oita	Oita	J	Kyushu
Miyazaki	Miyazaki	J	Kyushu
Kagoshima	Kagoshima	J	Kyushu
Naha	Okinawa	J	Okinawa
Jeju	South Korea	ROK	Jeju
Male	Maldives	MV	Male
San Fernando	Ilocos	RP	Luzon
Tuguegarao	Cagayan Valley	RP	Luzon
Cauayan	Cagayan Valley	RP	Luzon
San Fernando	Central Luzon	RP	Luzon
San Jose Del Monte	Central Luzon	RP	Luzon
Calamba	Calabarzon	RP	Luzon
Antipolo	Calabarzon	RP	Luzon
Legazpi	Bicol	RP	Luzon
Iloilo	Western Visayas	RP	Panay
Bacolod	Western Visayas	RP	Negros
Cebu	Central Visayas	RP	Cebu
Tacloban	Eastern Visayas	RP	Leyte
Pagadian	Zamboanga Peninsula	RP	Mindanao
Zamboanga	Zamboanga Peninsula	RP	Mindanao
Cagayan De Oro	Northern Mindanao	RP	Mindanao
Davao	Davao	RP	Mindanao
Koronadal	Soccsksargen	RP	Mindanao
General Santos	Soccsksargen	RP	Mindanao
Manila	Metro Manila	RP	Luzon
Quezon City	Metro Manila	RP	Luzon
Kalookan	Metro Manila	RP	Luzon
Makati	Metro Manila	RP	Luzon
Pasig	Metro Manila	RP	Luzon
Pasay	Metro Manila	RP	Luzon
Taguig	Metro Manila	RP	Luzon
Valenzuela	Metro Manila	RP	Luzon
Parañaque	Metro Manila	RP	Luzon
Las Piñas	Metro Manila	RP	Luzon
Muntinlupa	Metro Manila	RP	Luzon
Mandaluyong	Metro Manila	RP	Luzon
Marikina	Metro Manila	RP	Luzon
Baguio	Cordillera	RP	Luzon
Cotabato	Muslim Mindanao	RP	Mindanao
Butuan	Caraga	RP	Mindanao
Calapan	Mimaropa	RP	Mindoro
Singapore	Singapore	SGP	Singapore
Sri Jayawardhanapura Kotte	Sri Lanka	CL	Sri Lanka
Colombo	Sri Lanka	CL	Sri Lanka
Taipei	Taiwan	RC	Taiwan
New Taipei	Taiwan	RC	Taiwan
Changhua	Taiwan	RC	Taiwan
Hualien	Taiwan	RC	Taiwan
Pingtung	Taiwan	RC	Taiwan
Taitung	Taiwan	RC	Taiwan
Taoyuan	Taiwan	RC	Taiwan
Jhongli	Taiwan	RC	Taiwan
Chiayi	Taiwan	RC	Taiwan
Keelung	Taiwan	RC	Taiwan
Hsinchu	Taiwan	RC	Taiwan
Kaohsiung	Taiwan	RC	Taiwan
Taichung	Taiwan	RC	Taiwan
Tainan	Taiwan	RC	Taiwan
The Valley	Anguilla	AXA	Anguilla
Saint Johns	Antigua and Barbuda	AG	Antigua
Oranjestad	Aruba	ARU	Aruba
Nassau	Bahamas	BS	New Providence
Bridgetown	Barbados	BDS	Barbados
Hamilton	Bermuda	BERM	Grand Bermuda
Road Town	British Virgin Islands	BVIR	Tortola
Victoria	British Columbia	CDN	Vancouver Island
St. John's	Newfoundland and Labrador	CDN	Newfoundland
Gander	Newfoundland and Labrador	CDN	Newfoundland
Iqaluit	Nunavut	CDN	Baffin Island
Honolulu	Hawaii	USA	Oahu
Hilo	Hawaii	USA	Hawaii
George Town	Cayman Islands	CAYM	Grand Cayman
Camagüey	Camagüey	C	Cuba
Ciego de Ávila	Ciego de Ávila	C	Cuba
Cienfuegos	Cienfuegos	C	Cuba
La Habana	La Habana	C	Cuba
Bayamo	Granma	C	Cuba
Manzanillo	Granma	C	Cuba
Guantánamo	Guantánamo	C	Cuba
Holguín	Holguín	C	Cuba
Victoria de las Tunas	Las Tunas	C	Cuba
Matanzas	Matanzas	C	Cuba
Pinar del Río	Pinar del Río	C	Cuba
Sancti Spíritus	Sancti Spíritus	C	Cuba
Santiago de Cuba	Santiago de Cuba	C	Cuba
Santa Clara	Villa Clara	C	Cuba
Nueva Gerona	Isla de la Juventud	C	Cuba
Artemisa	Artemisa	C	Cuba
San José de las Lajas	Mayabeque	C	Cuba
Roseau	Dominica	WD	Dominica
Santo Domingo	Dominican Republic	DOM	Hispaniola
Santiago	Dominican Republic	DOM	Hispaniola
Port-au-Prince	Haiti	RH	Hispaniola
Carrefour	Haiti	RH	Hispaniola
Delmas	Haiti	RH	Hispaniola
Nuuk	Greenland	GROX	Greenland
Saint George's	Grenada	WG	Grenada
Basse-Terre	Guadeloupe	GUAD	Basse-Terre
Kingston	Jamaica	JA	Jamaica
Fort-de-France	Martinique	MART	Martinique
Plymouth	Montserrat	MNTS	Montserrat
Willemstad	Curacao	CUR	Curacao
Philipsburg	Sint Maarten	NLSM	St. Martin
Marigot	Saint Martin	SMAR	St. Martin
Gustavia	Saint Barthelemy	SBAR	St. Barthelemy
San Andres	San Andrés, Providencia y Santa Catalina	CO	San Andres
San Juan	Puerto Rico	PR	Puerto Rico
Ponce	Puerto Rico	PR	Puerto Rico
Bayamón	Puerto Rico	PR	Puerto Rico
Carolina	Puerto Rico	PR	Puerto Rico
Basseterre	Saint Kitts and Nevis	KN	Saint Kitts
Castries	Saint Lucia	WL	Saint Lucia
Saint-Pierre	Saint Pierre and Miquelon	SPMI	Saint Pierre
Kingstown	Saint Vincent and the Grenadines	WV	Saint Vincent
Port-of-Spain	Trinidad and Tobago	TT	Trinidad
Grand Turk	Turks and Caicos Islands	TUCA	Grand Turk
Charlotte Amalie	Virgin Islands	VIRG	Saint Thomas
Pago Pago	American Samoa	AMSA	Tutuila
Hobart	Tasmania	AUS	Tasmania
Avarua	Cook Islands	COOK	Rarotonga
Suva	Fiji	FJI	Viti Levu
Papeete	French Polynesia	FPOL	Tahiti
Hagåtña	Guam	GUAM	Guam
Tarawa	Kiribati	KIR	Tarawa
Majuro	Marshall Islands	MH	Majuro
Kolonia	Micronesia	FSM	Ponape
Palikir	Micronesia	FSM	Ponape
Yaren	Nauru	NAU	Nauru
Noumea	New Caledonia	NCA	Grande Terre
Wellington	New Zealand	NZ	Te Ika-a-Maui (North Island)
Auckland	New Zealand	NZ	Te Ika-a-Maui (North Island)
Hamilton	New Zealand	NZ	Te Ika-a-Maui (North Island)
Christchurch	New Zealand	NZ	Te Waka-a-Maui (South Island)
Dunedin	New Zealand	NZ	Te Waka-a-Maui (South Island)
Alofi	Niue	NIUE	Niue
Kingston	Norfolk Island	NORF	Norfolk Island
Saipan	Northern Mariana Islands	NMIS	Saipan
Koror	Palau	PAL	Koror
Melekeok	Palau	PAL	Babelthuap
Adamstown	Pitcairn	PITC	Pitcairn
Honiara	Solomon Islands	SLB	Guadalcanal
Nukualofa	Tonga	TO	Tongatapu
Funafuti	Tuvalu	TUV	Fongafale
Fakaofo	Tokelau	TOK	Fakaofo
Port Vila	Vanuatu	VU	Efate
Mata-Utu	Wallis and Futuna	WAFU	Uvea
Apia	Samoa	WS	Upolu
Stanley	Falkland Islands	FALK	East Falkland
Mkokotoni	Kaskazini Unguja	EAT	Sansibar
Koani	Kusini Unguja	EAT	Sansibar
Zanzibar	Mjini Magharibi Unguja	EAT	Sansibar
Wete	Kaskazini Pemba	EAT	Pemba
Chake Chake	Kusini Pemba	EAT	Pemba
Malabo	Insular	GQ	Bioko
Praia	Cape Verde	CV	Santiago
Moroni	Comoros	COM	Grand Comoro
Antsiranana	Madagascar	RM	Madagaskar
Antananarivo	Madagascar	RM	Madagaskar
Antsirabe	Madagascar	RM	Madagaskar
Fianarantsoa	Madagascar	RM	Madagaskar
Majunga	Madagascar	RM	Madagaskar
Tamatave	Madagascar	RM	Madagaskar
Toliara	Madagascar	RM	Madagaskar
Port Louis	Mauritius	MS	Mauritius
Mamoutzou	Mayotte	MAYO	Mayotte
Saint-Denis	Reunion	REUN	Reunion
Jamestown	Saint Helena	HELX	Saint Helena
São Tomé	Sao Tome and Principe	STP	Sao Tome
Victoria	Seychelles	SY	Mahe
\.


--
-- TOC entry 5288 (class 0 OID 89574)
-- Dependencies: 707
-- Data for Name: mergeswith; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY mergeswith (sea1, sea2) FROM stdin;
Atlantic Ocean	Mediterranean Sea
Atlantic Ocean	The Channel
Atlantic Ocean	Irish Sea
Atlantic Ocean	North Sea
Atlantic Ocean	Norwegian Sea
Atlantic Ocean	Greenland Sea
Atlantic Ocean	Labrador Sea
Atlantic Ocean	Gulf of Mexico
Atlantic Ocean	Caribbean Sea
Atlantic Ocean	Indian Ocean
Black Sea	Marmara Sea
Black Sea	Sea of Azov
Marmara Sea	Mediterranean Sea
North Sea	The Channel
North Sea	Skagerrak
North Sea	Norwegian Sea
Kattegat	Skagerrak
Baltic Sea	Kattegat
Greenland Sea	Norwegian Sea
Barents Sea	Norwegian Sea
Barents Sea	Kara Sea
Arctic Ocean	Greenland Sea
Arctic Ocean	Barents Sea
Arctic Ocean	Kara Sea
Arctic Ocean	East Sibirian Sea
Arctic Ocean	Bering Sea
Arctic Ocean	Hudson Bay
Arctic Ocean	Labrador Sea
Bering Sea	East Sibirian Sea
Bering Sea	Pacific Ocean
Hudson Bay	Labrador Sea
Caribbean Sea	Gulf of Mexico
Pacific Ocean	Sea of Okhotsk
Pacific Ocean	Sea of Japan
Pacific Ocean	South China Sea
Pacific Ocean	Sulawesi Sea
Pacific Ocean	Sulu Sea
Sea of Japan	Sea of Okhotsk
Sea of Japan	Yellow Sea
East China Sea	Pacific Ocean
East China Sea	Sea of Japan
East China Sea	Yellow Sea
East China Sea	South China Sea
South China Sea	Sulu Sea
Indian Ocean	Pacific Ocean
Indian Ocean	Java Sea
Arabian Sea	Indian Ocean
Arabian Sea	Gulf of Oman
Arabian Sea	Gulf of Aden
Gulf of Oman	Persian Gulf
Gulf of Aden	Indian Ocean
Gulf of Aden	Red Sea
Gulf of Bengal	Indian Ocean
Andaman Sea	Indian Ocean
Andaman Sea	Gulf of Bengal
Andaman Sea	Malakka Strait
Malakka Strait	South China Sea
Java Sea	South China Sea
Java Sea	Sulawesi Sea
Banda Sea	Pacific Ocean
Banda Sea	Indian Ocean
Banda Sea	Java Sea
Banda Sea	Sulawesi Sea
Sulawesi Sea	Sulu Sea
\.


--
-- TOC entry 5289 (class 0 OID 89577)
-- Dependencies: 708
-- Data for Name: mountain; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY mountain (name, mountains, elevation, type, coordinates) FROM stdin;
Hekla	\N	1491	volcano	(64,-19.7)
Katla	\N	1450	volcano	(63.6,-19.0)
Haltiatunturi	\N	1328	\N	(67,21.4)
Kebnekaise	\N	2114	\N	(67.5,18.3)
Sarektjokko	\N	2090	\N	(67.3,17.4)
Portefjaellen	\N	2021	\N	(67.1,17.4)
Tarrekaise	\N	1850	\N	(67,17.3)
Sulitjelma	\N	1914	\N	(67.1,16.2)
Galdhoeppig	\N	2469	\N	(61.4,8)
Jostedalsbre	\N	2083	\N	(61.4,5.5)
Glittertind	\N	2452	\N	(61.4,8.1)
Joekul	\N	1876	\N	(60.3,7.2)
Snoehetta	\N	2286	\N	(62.1,9)
Ben Nevis	Grampians	1344	\N	(56.8,-5.0)
Feldberg	Black Forest	1493	\N	(47.5,7.5)
Brocken	Harz	1141	\N	(51.8,10.6)
Grosser Arber	Bayrischer Wald	1456	\N	(49.1,13)
Zugspitze	Alps	2963	\N	(47.3,11.1)
Mont Blanc	Alps	4808	\N	(45.8,6.8)
Barre des Ecrins	Alps	4101	\N	(44.9,6.3)
Grand Combin	Alps	4314	\N	(45.9,7.3)
Matterhorn	Alps	4478	\N	(46,7.56)
Monte Rosa	Alps	4634	\N	(45.9,7.9)
Finsteraarhorn	Alps	4274	\N	(46.5,8.1)
Gran Paradiso	Alps	4061	\N	(45.5,7.25)
Piz Bernina	Alps	4048	\N	(46.4,9.9)
Crap Sogn Gion	Alps	2228	\N	(46.85,9.2)
Marmolata	Alps	3343	\N	(46.4,11.85)
Grossglockner	Alps	3797	\N	(47,12.5)
Hochgolling	Alps	2862	\N	(47.3,13.75)
Grand Ballon	Vosges	1424	\N	(47.9,7.1)
Vignemale	Pyrenees	3298	\N	(42.8,0.15)
Pico de Aneto	Pyrenees	3404	\N	(42.6,0.65)
Torre de Cerredo	Cordillera Cantabrica	2648	\N	(43.2,4.85)
Pico de Almanzor	Cordillera Central	2648	\N	(40.25,-5.3)
Moncayo	Cordillera Iberica	2313	\N	(41.8,1.85)
Mulhacen	Cordillera Betica	3482	\N	(37,3.3)
Torre de Estrela	Cordillera Central	1993	\N	(40.3,-7.6)
Monte Cinto	Corse	2706	\N	(42.4,8.9)
Gran Sasso	Apennin	2912	\N	(42.5,13.55)
Monte Falterona	Apennin	1654	\N	(43.9,11.7)
Vesuv	\N	1281	volcano	(40.8,14.4)
Etna	\N	3323	volcano	(37.7,15.0)
Schneekoppe	Sudety Mountains	1602	\N	(50.7,15.7)
Gerlachovsky Stit	Beskides	2655	\N	(49.2,20.1)
Moldoveanu	Karpaten	2544	\N	(45.6,24.7)
Musala	Balkan	2925	\N	(42.2,23.6)
Jezerce	Balkan	2694	\N	(42.3,19.4)
Korab	Balkan	2751	\N	(41.4,20.3)
Olymp	\N	2917	\N	(40.1,22.35)
Athos	\N	2033	\N	(40.15,24.35)
Psiloritis	Crete	2456	\N	(35.2,24.7)
Olympos	Troodos	1952	\N	(34.9,32.85)
Pico de Teide	Canary Islands	3718	volcano	(28.3,-16.6)
Pico de los Nieves	Canary Islands	1949	volcano	(25.95,-15.6)
Roque de los Muchachos	Canary Islands	2426	volcano	(28.75,-17.9)
Pico	Azores	2351	volcano	(38.5,-28.4)
Fogo	Cape Verdes	2829	volcano	(14.95,-24.4)
Tubkhal	Atlas	4165	\N	(31,-8)
Djebel Aures	Rif	2456	\N	(35.5,-6.5)
Mont Greboun	Azbine	1944	\N	(20,9)
Emi Kussi	Tibesti	3415	volcano	(20,18.5)
Jabal Katrina	Sinai	2637	\N	(28.5,33.95)
Aso Rock	\N	400	monolith	(9.05,7.5)
Fako	\N	4095	volcano	(4.2,9.2)
Pico Basile	\N	3011	volcano	(3.5,8.7)
Queen Marys Peak	\N	2062	volcano	(-37.1,-12.3)
Ruwenzori	East African Rift	5109	\N	(0.4,29.9)
Kilimanjaro	East African Rift	5895	volcano	(-3.05,37.35)
Mawenzi	East African Rift	5148	volcano	(-3.1,37.45)
Meru	East African Rift	4567	volcano	(-3.2,36.8)
Karisimbi	East African Rift	4507	volcano	(-1.5,29.45)
Thabana Ntlenyana	Drakensberge	3482	\N	(-29.5,29.3)
Cathkin Peak	Drakensberge	3181	\N	(-29.1,29.35)
Piton de la Fournaise	\N	2631	volcano	(-21.2,55.7)
Karthala	\N	2361	volcano	(-11.75,43.35)
Roman Kosch	Crimean Mountains	1545	\N	(44.61,34.25)
Narodnaja	Ural	1895	\N	(65.0,60.1)
Demirkazik	Taurus	3756	\N	(37.8,35.2)
Jabal Lubnan	Lebanon	3088	\N	(34.3,36.1)
Dychtau	Kaukasus	5204	\N	(43.05,43.13)
Schchara	Kaukasus	5200	\N	(43.00,43.10)
Zachwoa	Kaukasus	3345	\N	(43.7,40.2)
Damavand	Elburs	5610	volcano	(35.95,52.1)
Zard Kuh	Zagros	4550	\N	(32.35,50.1)
Jabal Shuayb	\N	3760	\N	(15.5,44)
Dodabetta	West Ghats	2636	\N	(11.4,76.7)
Pidurutalagala	\N	2524	\N	(7,80.8)
Zhima	\N	1276	\N	(53.15,107.4)
Bjelucha	Altai	4506	\N	(49.48,86.4)
Pik Chan-Tengri	Tian Shan	7010	\N	(42.20,80.16)
Pik Pobeda	Tian Shan	7439	\N	(42.0,80.1)
Liushi Shan	Kunlun	7167	\N	(35.3,80.9)
Ulug Muztag	Kunlun	6973	\N	(36.4,87.4)
Kongur	Pamir	7649	\N	(38.65,75.35)
Muztagata	Pamir	7509	\N	(38.27,75.1)
Pik Ismoil Somoni	Pamir	7495	\N	(39,72)
Pik Lenina	Pamir	7134	\N	(39.35,72.90)
Pik Revoluzija	Pamir	6940	\N	(38.3,72.2)
Pik Moskva	Pamir	6785	\N	(39,71.5)
Pik Karl-Marx	Pamir	6726	\N	(37.16,72.5)
Tirich Mir	Hindukusch	7708	\N	(36.25,71.8)
K2	Karakorum	8611	\N	(35.9,76.5)
Broad Peak	Karakorum	8051	\N	(35.8,76.6)
Gasherbrum I	Karakorum	8080	\N	(35.6,76.7)
Gasherbrum II	Karakorum	8034	\N	(35.75,76.65)
Nanga Parbat	Himalaya	8125	\N	(35.2,74.6)
Nanda Devi	Himalaya	7816	\N	(30.4,80)
Dhaulagiri	Himalaya	8167	\N	(28.7,83.5)
Annapurna	Himalaya	8091	\N	(28.6,83.8)
Manaslu	Himalaya	8163	\N	(28.55,84.6)
Shishapangma	Himalaya	8027	\N	(28.55,85.8)
Kailash	Transhimalaya	6638	\N	(31.1,81.3)
Cho Oyu	Himalaya	8188	\N	(28.35,86.65)
Mount Everest	Himalaya	8848	\N	(28,86.9)
Lhotse	Himalaya	8516	\N	(28,86.9)
Makalu	Himalaya	8485	\N	(27.9,87.1)
Kangchendzonga	Himalaya	8586	\N	(27.7,88.1)
Kljutschewskaja Sopka	Kamchatka	4750	volcano	(56.1,160.6)
Changbai Shan	Changbai	2744	\N	(42,128.1)
Fujisan	\N	3776	volcano	(35,139)
Hotaka-Dake	\N	3190	volcano	(36,138)
Yu Shan	\N	3950	\N	(23.5,121)
Pinatubo	\N	1486	volcano	(15.1,120.3)
Kanlaon	\N	2435	volcano	(10.4,123.1)
Kinabalu	\N	4101	granite	(6.1,116.5)
Tahan	\N	2190	\N	(4,108)
Kerinci	\N	3805	volcano	(-1.7,101.45)
Krakatau	\N	813	volcano	(-6.1,105.4)
Merapi	\N	2914	volcano	(-7.5,110.4)
Semeru	\N	3676	volcano	(-8.1,112.9)
Gunung Agung	\N	3142	volcano	(-8.3,115.5)
Rinjani	\N	3726	volcano	(-8.4,116.5)
Tambora	\N	2850	volcano	(-8.2,118)
Tatamailau	\N	2963	\N	(-8.9,125.5)
Gunung Binaiya	\N	3027	\N	(-3.1,129.3)
Puncak Jaya	Sudirman Range	4884	\N	(-4.1,137.11)
Mt. Wilhelm	\N	4509	\N	(-5.8,145)
Mt. Giluwe	\N	4368	volcano	(-6.05,143.9)
Mauna Kea	Hawaii	4214	volcano	(19.6,-155.45)
Mauna Loa	Hawaii	4170	volcano	(19.5,-155.6)
Haleakala	Hawaii	3055	volcano	(20.7,-156.25)
Mt. Kosciuszko	Snowy Mountains	2228	\N	(-36.5,148)
Mt. Bogong	Snowy Mountains	1986	\N	(-37,147.5)
Uluru	\N	869	monolith	(-25.3,131)
Mt. Cook	New Zealand Alps	3754	\N	(-43.6,170.2)
Ruapehu	\N	2797	volcano	(-39.3,175.6)
Mt Redoubt	Aleutian Range	3108	volcano	(60.5,-152.75)
Mt McKinley	Alaska Range	6193	\N	(63.1,-151)
Mt Blackburn	Wrangell Mountains	4996	volcano	(61.7,-143.4)
Mt Bona	Elias Range	5005	\N	(61.4,-141.75)
Mt St.Elias	Elias Range	5489	\N	(60.3,-140.9)
Mt Logan	Elias Range	5959	\N	(60.6,-140.4)
Mt Fairweather	Elias Range	4663	\N	(58.9,-137.5)
Mt Waddington	Coast Mountains	4019	\N	(51.4,-125.26)
Mt Robson	Rocky Mountains	3954	\N	(52.3,-119.1)
Mt Columbia	Rocky Mountains	3747	\N	(52.15,-117.44)
Barbeau Peak	British Empire Range	2616	\N	(81.9,-75.0)
Mt. Odin	Penny Highlands	2147	\N	(66.55,-65.6)
Mt. Babel	\N	952	\N	(51.45,-68.7)
Granite Peak	Rocky Mountains	3901	\N	(45,-109.5)
Borah Peak	Rocky Mountains	3859	\N	(44.1,-113.8)
Harney Peak	Rocky Mountains	2207	\N	(44,-103.4)
Gannett Peak	Rocky Mountains	4207	\N	(43.2,-110)
Kings Peak	Rocky Mountains	4123	\N	(40.5,-110.4)
Mt Elbert	Rocky Mountains	4401	\N	(39.1,-106.4)
Pikes Peak	Rocky Mountains	4302	\N	(38.8,-105)
Wheeler Peak	Rocky Mountains	4011	\N	(36.55,-105.4)
Guadalupe Peak	Rocky Mountains	2667	\N	(32,-105)
Mt Rainier	Cascade Range	4392	volcano	(46.5,-121.75)
Mt Adams	Cascade Range	3743	volcano	(46.2,-121.5)
Mt Hood	Cascade Range	3424	volcano	(45.2,-121.5)
Mt Whitney	Sierra Nevada California	4418	\N	(36.6,-118.2)
Boundary Peak	Sierra Nevada California	4006	\N	(37.9,-118.3)
Mt Washington	Appalachian Mountains	1917	\N	(44.3,-71.3)
Mt Marcy	Adirondacks	1629	\N	(44.1,-73.9)
Mt Mitchell	Appalachian Mountains	2037	\N	(35.4,-82.1)
Clingmans Dome	Appalachian Mountains	2025	\N	(35.3,-83.2)
Citlaltepetl (Pico de Orizaba)	Cordillera Volcanica	5636	volcano	(19,-97)
Popocatepetl	Cordillera Volcanica	5450	volcano	(19,-98)
Nevado de Toluca	Cordillera Volcanica	4558	volcano	(19,-99)
Nevado de Colima	Cordillera Volcanica	4330	volcano	(20,-104)
Concepcion	\N	1700	volcano	(11.5,-85.6)
Irazu	Cordillera de Talamanca	3432	volcano	(10,-83.9)
Pico Turquino	Sierra Maestra	1974	\N	(20,-76.8)
Blue Mountain Peak	\N	2256	\N	(18.1,-76.4)
Pico Duarte	\N	3098	\N	(18.3,-71.3)
Cerro de Punta	\N	1338	\N	(18.2,-66.6)
La Soufriere	\N	1467	volcano	(16.05,-61.65)
Soufriere Hills	\N	1050	volcano	(16.7,-62.2)
Soufriere	\N	1220	volcano	(13.35,-61.2)
Morne Diablotins	\N	1447	volcano	(15.5,-61.4)
Pelee	\N	1397	volcano	(14.8,-61.15)
Pico Cristobal Colon	Sierra Nevada de Santa Marta	5775	\N	(10.85,-73.7)
Pico Bolivar	Andes	4981	\N	(8.6,-71.0)
Nevado del Ruiz	Andes	5389	volcano	(4.9,-75.3)
Nevado del Huila	Andes	5750	volcano	(2.9,-76.0)
Cayambe	Andes	5796	volcano	(0.1,-78)
Cotopaxi	Andes	5897	volcano	(-0.7,-78.4)
Chimborazo	Andes	6287	volcano	(-1.2,-78.5)
Huascaran	Cordillera Blanca	6768	\N	(-9,-77.3)
Alpamayo	Cordillera Blanca	5947	\N	(-8.9,-77.7)
Pico Rocarre	Cordillera Negra	5187	\N	(-8.8,-78)
Ausangate	Cordillera Vilcanota	6336	\N	(-13.8,-71.2)
Coropuna	Cordillera Volcanica	6425	volcano	(-15.5,-72.65)
Ampato	Andes	6288	volcano	(-15.8,-71.9)
Illampu	Cordillera Real	6368	granite	(-15.8,-68.5)
Illimani	Cordillera Real	6439	granite	(-16.65,-67.8)
Sajama	Andes	6542	volcano	(-18.1,-68.9)
Licancabur	Andes	5920	volcano	(-22.8,-67.9)
Llullaillaco	Andes	6739	volcano	(-24.7,-68.5)
Ojos del Salado	Andes	6893	volcano	(-27.1,-68.5)
Aconcagua	Andes	6962	\N	(-32.65,-70.0)
Tupungato	Andes	6550	volcano	(-33.35,-69.870)
Pico de Agulhas Negras	Brazilian Highlands	2791	\N	(-22.4,-44.65)
Hvannadalshnukur	\N	2110	volcano	(64.1,-16.7)
Snaefell	\N	1833	volcano	(64.5,-15.2)
Puy De Dome	Cevennes	1465	volcano	(45.8,3)
Puy de Sancy	Cevennes	1885	volcano	(45.5,2.8)
Pico Ruivo	Madeira	1861	volcano	(31,-16)
Tahat	Ahaggar	3003	volcano	(23.3,5.5)
Tamgak	Azbine	1800	volcano	(19,9)
Jabal Marra	Darfur	3088	volcano	(13,24.6)
Pico de Sao Tome	\N	2024	volcano	(0.2,6.6)
Ras Daschan Terara	Amhara	4533	volcano	(13.2,38.4)
Elgon	East African Rift	4321	volcano	(1.1,34.55)
Mount Kenia	East African Rift	5199	volcano	(0.15,37.3)
Tsaratanana	\N	2876	volcano	(-14,48.5)
Tsiafajavona	\N	2642	volcano	(-19.3,47.2)
Andringitra	\N	2658	volcano	(-22.5,47)
Piton des Neiges	\N	3069	volcano	(-21.1,55.5)
Ararat	Kurdistan	5165	volcano	(39.7,44.3)
Elbrus	Kaukasus	5642	volcano	(43.21,42.26)
Kasbek	Kaukasus	5033	volcano	(42.42,44.31)
Sabalan	Kurdistan	4811	volcano	(38.3,47.8)
Asahi-Dake	\N	2290	volcano	(43.65,142.85)
Pulog	\N	2928	volcano	(17,121)
Mount Apo	\N	2954	volcano	(7,125.45)
Mantalingajan	\N	2085	volcano	(9.7,118.4)
Leuser	\N	3466	volcano	(3,98)
Rantekombola	\N	3455	volcano	(-3.6,120)
Mt. Balbi	\N	2715	volcano	(-5.9,155)
Mt. Victoria	\N	1323	volcano	(-17.8,178)
Silisili	\N	1858	volcano	(-13.6,-172.4)
Mont Orohena	\N	2241	volcano	(-17.6,-149.5)
Popomanaseu	\N	2335	volcano	(-9.7,160.1)
Humphreys Peak	Rocky Mountains	3850	volcano	(35.3,-111.65)
Iztaccihuatl	Cordillera Volcanica	5286	volcano	(19.2,-98.6)
Tajumulco	Sierra Madre	4220	volcano	(15,-91.9)
Cerro Chirripo	Cordillera de Talamanca	3819	volcano	(9.5,-83.5)
Monte Pissis	Andes	6795	volcano	(-27.8,-68.85)
\.


--
-- TOC entry 5290 (class 0 OID 89584)
-- Dependencies: 709
-- Data for Name: mountainonisland; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY mountainonisland (mountain, island) FROM stdin;
Hvannadalshnukur	Iceland
Snaefell	Iceland
Hekla	Iceland
Katla	Iceland
Ben Nevis	Great Britain
Monte Cinto	Corse
Etna	Sicilia
Psiloritis	Kreta
Olympos	Cyprus
Pico de Teide	Teneriffa
Pico de los Nieves	Gran Canaria
Roque de los Muchachos	La Palma
Pico Ruivo	Madeira
Pico	Pico
Fogo	Fogo
Pico Basile	Bioko
Pico de Sao Tome	Sao Tome
Queen Marys Peak	Tristan Da Cunha
Tsaratanana	Madagaskar
Tsiafajavona	Madagaskar
Andringitra	Madagaskar
Piton des Neiges	Reunion
Piton de la Fournaise	Reunion
Karthala	Grand Comoro
Zhima	Olkhon
Asahi-Dake	Hokkaido
Yu Shan	Taiwan
Pulog	Luzon
Pinatubo	Luzon
Mount Apo	Mindanao
Kanlaon	Negros
Mantalingajan	Palawan
Kinabalu	Borneo
Leuser	Sumatra
Kerinci	Sumatra
Krakatau	Krakatau
Merapi	Java
Semeru	Java
Gunung Agung	Bali
Rinjani	Lombok
Tambora	Sumbawa
Rantekombola	Sulawesi
Tatamailau	Timor
Gunung Binaiya	Ceram
Puncak Jaya	New Guinea
Mt. Wilhelm	New Guinea
Mt. Giluwe	New Guinea
Mt. Balbi	Bougainville
Mt. Victoria	Viti Levu
Silisili	Savaii
Mont Orohena	Tahiti
Popomanaseu	Guadalcanal
Mauna Kea	Hawaii
Mauna Loa	Hawaii
Haleakala	Maui
Mt. Cook	Te Waka-a-Maui (South Island)
Ruapehu	Te Ika-a-Maui (North Island)
Barbeau Peak	Ellesmere Island
Mt. Odin	Baffin Island
Mt. Babel	Rene Levasseur Island
Concepcion	Isla da Ometepe
Pico Turquino	Cuba
Blue Mountain Peak	Jamaica
Pico Duarte	Hispaniola
Cerro de Punta	Puerto Rico
La Soufriere	Basse-Terre
Soufriere Hills	Montserrat
Soufriere	Saint Vincent
Morne Diablotins	Dominica
Pelee	Martinique
\.


--
-- TOC entry 5291 (class 0 OID 89587)
-- Dependencies: 710
-- Data for Name: organization; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY organization (abbreviation, name, city, country, province, established) FROM stdin;
AfDB	African Development Bank Group	Abidjan	CI	Lagunes	1964-09-09
AU	African Union	Addis Ababa	ETH	Addis Ababa	1963-05-25
UNAMID	African Union/United Nations Hybrid Operation in Darfur	\N	\N	\N	2007-07-31
ACP	African, Caribbean, and Pacific Group of States	Bruxelles	B	Bruxelles	1975-06-05
OPANAL	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean	Ciudad de México	MEX	Distrito Federal	1967-02-13
AOSIS	Alliance of Small Island States	\N	\N	\N	\N
CAN	Andean Community	Lima	PE	Lima City	1969-05-26
ABEDA	Arab Bank for Economic Development in Africa	Khartoum	SUD	Sudan	1974-02-17
AFESD	Arab Fund for Economic and Social Development	\N	\N	\N	1968-05-16
AMU	Arab Maghreb Union	Rabat	MA	Rabat Sale Zemmour Zaer	1989-02-16
AMF	Arab Monetary Fund	Abu Dhabi	UAE	United Arab Emirates	1976-04-26
ARF	ASEAN Regional Forum	\N	\N	\N	1994-07-25
APEC	Asia-Pacific Economic Cooperation	Singapore	SGP	Singapore	1989-11-06
ADB	Asian Development Bank	Manila	RP	Metro Manila	1966-12-19
ASEAN	Association of Southeast Asian Nations	Jakarta	RI	DKI Jakarta	1967-08-07
AG	Australia Group	\N	\N	\N	\N
ANZUS	Australia-New Zealand-United States Security Treaty	Canberra	AUS	Australia Capital Territory	1951-08-31
BA	Baltic Assembly	Rīga	LV	Latvia	1990-05-12
BIS	Bank for International Settlements	Basel	CH	Basel-Stadt	1930-01-19
BIMSTEC	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation	\N	\N	\N	\N
Benelux	Benelux Union	Bruxelles	B	Bruxelles	1958-02-02
BSEC	Black Sea Economic Cooperation Zone	\N	\N	\N	1992-06-24
Caricom	Caribbean Community and Common Market	Georgetown	GUY	Guyana	1973-07-04
CDB	Caribbean Development Bank	\N	\N	\N	1969-10-18
BDEAC	Central African States Development Bank	Brazzaville	RCB	Brazzaville	1975-12-03
BCIE	Central American Bank for Economic Integration	Tegucigalpa	HCA	Francisco Morazán	1960-12-13
CACM	Central American Common Market	Ciudad de Guatemala	GCA	Guatemala	1960-12-13
SICA	Central American Integration System	San Salvador	ES	El Salvador	1991-12-13
CEI	Central European Initiative	Budapest	H	Budapest	1989-11-10
CSTO	Collective Security Treaty Organization	Moskva	R	Moscow	2002-10-07
CP	Colombo Plan	Colombo	CL	Sri Lanka	1951-07-01
COMESA	Common Market for Eastern and Southern Africa	Lusaka	Z	Lusaka	1994-12-08
C	Commonwealth	London	GB	London	1931-12-31
CIS	Commonwealth of Independent States	Minsk	BY	Minsk City	1991-12-08
CD	Community of Democracies	\N	\N	\N	2000-06-26
CELAC	Community of Latin American and Caribbean States	\N	\N	\N	2010-02-22
CPLP	Comuinidade dos Paises de Lingua Portuguesa	\N	\N	\N	\N
CICA	Conference of Interaction and Confidence-Building Measures in Asia	Almaty	KAZ	Almaty City	1999-09-13
CAEU	Council of Arab Economic Unity	Amman	JOR	Jordan	1957-06-02
SELEC	Convention of the Southeast European Law Enforcement Center	Bucureşti	RO	Bucureşti	2011-10-07
CE	Council of Europe	Strasbourg	F	Alsace	1949-05-05
CBSS	Council of the Baltic Sea States	\N	\N	\N	1992-03-06
Entente	Council of the Entente	Abidjan	CI	Lagunes	1959-05-29
D-8	Developing Eight	\N	\N	\N	1997-06-14
EAC	East African Community	\N	\N	\N	\N
EADB	East African Development Bank	Kampala	EAU	Uganda	1967-06-05
EAS	East Asia Summit	\N	\N	\N	2005-12-14
CEMAC	Economic and Monetary Community of Central Africa	Bangui	RCA	Central African Republic	1964-12-08
EMU	Economic and Monetary Union	Bruxelles	B	Bruxelles	1992-02-06
CEPGL	Economic Community of the Great Lakes Countries	\N	\N	\N	1976-09-19
ECOWAS	Economic Community of West African States	Lagos	WAN	Lagos	1975-05-28
ECO	Economic Cooperation Organization	Tehran	IR	Tehran	1985-01-28
EurasEC	Eurasian Economic Community	\N	\N	\N	\N
EAPC	Euro-Atlantic Partnership Council	Bruxelles	B	Bruxelles	1991-11-07
EBRD	European Bank for Reconstruction and Development	London	GB	London	1990-01-08
ECB	European Central Bank	Frankfurt am Main	D	Hessen	1998-05-31
EFTA	European Free Trade Association	Genève	CH	Genève	1960-01-03
EIB	European Investment Bank	Luxembourg	L	Luxembourg	1957-03-25
CERN	European Organization for Nuclear Research	Genève	CH	Genève	1953-07-01
ESA	European Space Agency	Paris	F	Île-de-France	1975-05-31
EU	European Union	Bruxelles	B	Bruxelles	1992-02-06
EITI	Extractive Industry Transparency Initiative	\N	\N	\N	\N
FATF	Financial Action Task Force	Paris	F	Île-de-France	1989-07-15
FAO	Food and Agriculture Organization	Roma	I	Lazio	1945-10-16
FZ	Franc Zone	Paris	F	Île-de-France	1945-12-20
GCTU	General Confederation of Trade Unions	Moskva	R	Moscow	1992-04-15
G-10	Group of 10	Paris	F	Île-de-France	1962-10-01
G-11	Group of 11	\N	\N	\N	1984-06-22
G-15	Group of 15	Genève	CH	Genève	\N
G-20	Group of 20	\N	\N	\N	1999-12-16
G-24	Group of 24	Bruxelles	B	Bruxelles	1989-07-31
G-3	Group of 3	\N	\N	\N	1990-10-01
G-5	Group of 5	\N	\N	\N	1985-09-21
G-7	Group of 7	\N	\N	\N	1985-09-21
G-77	Group of 77	\N	\N	\N	1964-06-14
G-8	Group of 8	\N	\N	\N	1975-10-01
G-9	Group of 9	\N	\N	\N	\N
GCC	Gulf Cooperation Council	Riyadh	SA	Al-Riyadh	1981-05-25
InOC	Indian Ocean Commission	Port Louis	MS	Mauritius	1982-12-21
IADB	Inter-American Development Bank	Washington	USA	District of Columbia	1959-04-07
IGAD	Inter-Governmental Authority on Development	\N	\N	\N	\N
IPU	Inter-Parliamentary Union	\N	\N	\N	\N
IAEA	International Atomic Energy Agency	Wien	A	Wien	1956-10-26
IBRD	International Bank for Reconstruction and Development	Washington	USA	District of Columbia	1944-07-22
ICC	International Chamber of Commerce	Paris	F	Île-de-France	1919-01-01
ICAO	International Civil Aviation Organization	Montréal	CDN	Quebec	1944-12-07
ICJ	International Court of Justice	Den Haag	NL	Zuid-Holland	1945-06-25
ICCt	International Criminal Court	Den Haag	NL	Zuid-Holland	2002-07-01
Interpol	International Criminal Police Organization	Lyon	F	Rhône-Alpes	1956-06-13
IDA	International Development Association	Washington	USA	District of Columbia	1960-01-25
IEA	International Energy Agency	Paris	F	Île-de-France	1974-11-14
IFRCS	International Federation of Red Cross and Red Crescent Societies	Genève	CH	Genève	1919-05-05
IFC	International Finance Corporation	Washington	USA	District of Columbia	1955-05-25
IFAD	International Fund for Agricultural Development	Roma	I	Lazio	1974-11-01
IHO	International Hydrographic Organization	\N	\N	\N	\N
ILO	International Labor Organization	Genève	CH	Genève	1919-06-27
IMO	International Maritime Organization	London	GB	London	1948-03-06
IMSO	International Mobile Satellite Organization	London	GB	London	1999-04-14
IMF	International Monetary Fund	Washington	USA	District of Columbia	1944-07-22
IOC	International Olympic Committee	Lausanne	CH	Vaud	1894-06-22
IOM	International Organization for Migration	Genève	CH	Genève	1951-12-05
ISO	International Organization for Standardization	Genève	CH	Genève	1947-02-01
OIF	International Organization of the French-speaking World	Paris	F	Île-de-France	1970-03-20
ITSO	International Telecommunication Satellite Organization	\N	\N	\N	\N
ITU	International Telecommunication Union	Genève	CH	Genève	1865-05-17
ITUC	International Trade Union Confederation	Bruxelles	B	Bruxelles	2006-11-02
IDB	Islamic Development Bank	Jeddah	SA	Makkah Al-Mokarramah	1973-12-15
LAES	Latin American and Caribbean Economic System	Caracas	YV	Distrito Federal	1975-10-17
LAIA	Latin American Integration Association	Montevideo	ROU	Uruguay	1980-08-11
LAS	League of Arab States	Al Qahirah	ET	Egypt	1945-03-22
MIGA	Multilateral Investment Guarantee Agency	Washington	USA	District of Columbia	1988-04-11
NAM	Nonaligned Movement	Jakarta	RI	DKI Jakarta	1961-09-05
NC	Nordic Council	Stockholm	S	Stockholm	1952-03-16
NIB	Nordic Investment Bank	Helsinki	SF	Uusimaa	1975-12-04
NAFTA	North American Free Trade Agreement	\N	\N	\N	1992-12-17
NATO	North Atlantic Treaty Organization	Bruxelles	B	Bruxelles	1949-04-03
NEA	Nuclear Energy Agency	\N	\N	\N	1958-01-31
NSG	Nuclear Suppliers Group	Wien	A	Wien	\N
GUAM	Organization for Democracy and Economic Development	Kyïv	UA	Kyïv	2001-06-06
OECD	Organization for Economic Cooperation and Development	Paris	F	Île-de-France	1960-12-14
OSCE	Organization for Security and Cooperation in Europe	Wien	A	Wien	1994-12-31
OPCW	Organization for the Prohibition of Chemical Weapons	Den Haag	NL	Zuid-Holland	1997-04-28
OAS	Organization of American States	Washington	USA	District of Columbia	1890-04-13
OAPEC	Organization of Arab Petroleum Exporting Countries	\N	\N	\N	1968-01-08
OECS	Organization of Eastern Caribbean States	Castries	WL	Saint Lucia	1981-06-17
OIC	Organization of Islamic Cooperation	Jeddah	SA	Makkah Al-Mokarramah	1969-09-24
OPEC	Organization of Petroleum Exporting Countries	Wien	A	Wien	1960-09-13
PIF	Pacific Islands Forum	Suva	FJI	Fiji	1971-08-04
PFP	Partnership for Peace	\N	\N	\N	1994-01-10
PCA	Permanent Court of Arbitration	\N	\N	\N	1899-07-29
SPC	Secretariat of the Pacific Community	Noumea	NCA	New Caledonia	1947-02-05
SCO	Shanghai Cooperation Organization	Beijing	CN	Beijing	2001-06-14
SACEP	South Asia Co-operative Environment Program	\N	\N	\N	\N
SAARC	South Asian Association for Regional Cooperation	Kathmandu	NEP	Nepal	1985-12-08
Sparteca	South Pacific Regional Trade and Economic Cooperation Agreement	\N	\N	\N	1981-01-01
SACU	Southern African Customs Union	Tshwane	RSA	Gauteng	1969-12-11
SADC	Southern African Development Community	Gaborone	RB	Botswana	1992-08-16
Mercosur	Southern Cone Common Market	Buenos Aires	RA	Distrito Federal	1991-03-26
UNASUR	Union of South American Nations	Quito	EC	Ecuador	2008-05-23
UN	United Nations	New York	USA	New York	1945-06-25
UNCTAD	United Nations Conference on Trade and Development	\N	\N	\N	1964-12-30
UNDOF	United Nations Disengagement Observer Force	Dimashq	SYR	Dimashq	1974-05-31
UNESCO	United Nations Educational, Scientific, and Cultural Organization	Paris	F	Île-de-France	1945-11-15
UNHCR	United Nations High Commissioner for Refugees	Genève	CH	Genève	1949-12-03
UNIDO	United Nations Industrial Development Organization	Wien	A	Wien	1966-11-16
UNITAR	United Nations Institute for Training and Research	\N	\N	\N	1963-12-11
UNMIT	United Nations Integrated Mission in Timor-Leste	\N	\N	\N	2006-08-24
UNIFIL	United Nations Interim Force in Lebanon	New York	USA	New York	1978-03-19
UNISFA	United Nations Interim Security Force for Abyei	\N	\N	\N	2011-06-26
UNMOGIP	United Nations Military Observer Group in India and Pakistan	New York	USA	New York	1949-01-23
MINURSO	United Nations Mission for the Referendum in Western Sahara	New York	USA	New York	1991-04-28
UNMIL	United Nations Mission in Liberia	\N	\N	\N	2003-09-18
UNMISS	United Nations Mission in the Republic of South Sudan	\N	\N	\N	2011-07-08
UNOCI	United Nations Operation in Cote d'Ivoire	\N	\N	\N	2004-02-26
MONUSCO	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo	\N	\N	\N	2010-05-28
UNFICYP	United Nations Peacekeeping Force in Cyprus	New York	USA	New York	1964-03-04
UNRWA	United Nations Relief and Works Agency for Palestine Refugees in the Near East	Wien	A	Wien	1949-12-08
UNSC	United Nations Security Council	Genève	CH	Genève	1945-06-25
UNTSO	United Nations Truce Supervision Organization	Yerushalayim	IL	Yerushalayim	1948-05-01
UPU	Universal Postal Union	Bern	CH	Bern	1874-10-09
WCO	World Customs Organization	Bruxelles	B	Bruxelles	1950-12-15
WFTU	World Federation of Trade Unions	Praha	CZ	Praha	1945-10-03
WHO	World Health Organization	Genève	CH	Genève	1946-07-22
WIPO	World Intellectual Property Organization	Genève	CH	Genève	1967-07-14
WMO	World Meteorological Organization	Genève	CH	Genève	1947-10-11
UNWTO	World Tourism Organization	Madrid	E	Madrid	1975-01-01
WTO	World Trade Organization	\N	\N	\N	1994-04-14
ZC	Zangger Committee	\N	\N	\N	\N
\.


--
-- TOC entry 5292 (class 0 OID 89590)
-- Dependencies: 711
-- Data for Name: politics; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY politics (country, independence, wasdependent, dependent, government) FROM stdin;
AL	1912-11-28	Ottoman Empire	\N	parliamentary democracy
GR	1829-01-01	Ottoman Empire	\N	parliamentary republic
MK	1991-09-17	Yugoslavia	\N	parliamentary democracy
SRB	1992-04-11	Yugoslavia	\N	republic
MNE	2006-06-03	SRB	\N	republic
KOS	2008-02-17	SRB	\N	republic
AND	1278-09-08	\N	\N	parliamentary democracy that retains as its chiefs of state a co-principality
F	\N	\N	\N	republic
E	1492-01-01	\N	\N	parliamentary monarchy
A	1918-11-12	Austria-Hungary	\N	federal republic
CZ	1993-01-01	Czechoslovakia	\N	parliamentary democracy
D	1871-01-18	\N	\N	federal republic
H	1918-11-18	Austria-Hungary	\N	parliamentary democracy
I	1861-03-17	\N	\N	republic
FL	1806-07-12	Holy Roman Empire	\N	hereditary constitutional monarchy
SK	1993-01-01	Czechoslovakia	\N	parliamentary democracy
SLO	1991-06-25	Yugoslavia	\N	parliamentary republic
CH	1291-01-01	\N	\N	formally a confederation but similar in structure to a federal republic
BY	1991-08-25	Soviet Union	\N	republic in name, although in fact a dictatorship
LV	1991-09-06	Soviet Union	\N	parliamentary democracy
LT	1991-09-06	Soviet Union	\N	parliamentary democracy
PL	1918-11-11	\N	\N	republic
UA	1991-12-01	Soviet Union	\N	republic
R	1991-08-24	Soviet Union	\N	federation
B	1830-10-04	NL	\N	federal parliamentary democracy under a constitutional monarchy
L	1890-11-24	NL	\N	constitutional monarchy
NL	1579-01-01	E	\N	constitutional monarchy
BIH	1992-04-01	Yugoslavia	\N	emerging federal democratic republic
HR	1991-06-25	Yugoslavia	\N	parliamentary democracy
BG	1908-09-22	Ottoman Empire	\N	parliamentary democracy
RO	1877-05-09	Ottoman Empire	\N	republic
TR	1923-10-29	Ottoman Empire	\N	republican parliamentary democracy
DK	\N	\N	\N	constitutional monarchy
EW	1991-09-06	Soviet Union	\N	parliamentary republic
FARX	\N	\N	DK	part of the Danish realm
SF	1917-12-06	R	\N	republic
N	1905-10-26	S	\N	constitutional monarchy
S	\N	\N	\N	constitutional monarchy
MC	1419-01-01	\N	\N	constitutional monarchy
GBZ	\N	\N	GB	dependent territory of the UK
GBG	\N	\N	GB	parliamentary democracy
V	1929-02-11	I	\N	monarchical sacerdotal state
CEU	\N	\N	E	dependent territory of Spain
MEL	\N	\N	E	dependent territory of Spain
IS	1944-06-17	DK	\N	constitutional republic
IRL	1921-12-06	GB	\N	republic, parliamentary democracy
RSM	0301-01-01	\N	\N	republic
GBJ	\N	\N	GB	parliamentary democracy
M	1964-09-21	GB	\N	republic
GBM	\N	\N	GB	parliamentary democracy
MD	1991-08-27	Soviet Union	\N	republic
P	1139-07-25	E	\N	republic; parliamentary democracy
SVAX	\N	\N	N	territory of Norway administered by the Ministry of Industry
GB	1801-01-01	\N	\N	constitutional monarchy and Commonwealth realm
AFG	1919-08-19	GB	\N	Islamic republic
CN	\N	\N	\N	Communist state
IR	\N	\N	\N	theocratic republic
PK	1947-08-14	GB	\N	federal republic
TAD	1991-09-09	Soviet Union	\N	republic
TM	1991-10-27	Soviet Union	\N	authoritarian presidential rule
UZB	1991-08-31	Soviet Union	\N	republic; authoritarian presidential rule with little power outside the executive branch
ARM	1918-05-28	Soviet Union	\N	republic
GE	1991-04-09	Soviet Union	\N	republic
AZ	1991-08-30	Soviet Union	\N	republic
BRN	1971-08-15	GB	\N	constitutional monarchy
BD	1971-12-16	PK	\N	parliamentary democracy
MYA	1948-01-04	GB	\N	parliamentary government took power in March 2011
IND	1947-08-15	GB	\N	federal republic
BHT	1949-08-08	GB	\N	constitutional monarchy
BRU	1984-01-01	GB	\N	constitutional sultanate (locally known as Malay Islamic Monarchy)
MAL	1957-08-31	GB	\N	constitutional monarchy
LAO	1949-07-19	F	\N	Communist state
THA	1238-01-01	\N	\N	constitutional monarchy
K	1949-11-09	F	\N	multiparty democracy under a constitutional monarchy
VN	1945-09-02	F	\N	Communist state
KAZ	1991-12-16	Soviet Union	\N	republic; authoritarian presidential rule, with little power outside the executive branch
NOK	1945-08-15	J	\N	Communist state one-man dictatorship
KGZ	1991-08-31	Soviet Union	\N	republic
HONX	\N	\N	CN	limited democracy
MACX	\N	\N	CN	limited democracy
MNG	1921-03-13	CN	\N	parliamentary
NEP	1768-01-01	\N	\N	federal democratic republic
XMAS	\N	\N	AUS	territory of Australia
COCO	\N	\N	AUS	territory of Australia
CY	1960-08-16	GB	\N	republic
GAZA	\N	\N	\N	\N
IL	1948-05-14	United Nations	\N	parliamentary democracy
ET	1922-02-28	GB	\N	republic
RI	1945-08-17	NL	\N	republic
TL	2002-05-20	RI	\N	republic
PNG	1975-09-16	United Nations	\N	constitutional parliamentary democracy and a Commonwealth realm
IRQ	1932-10-03	United Nations	\N	parliamentary democracy
JOR	1946-05-25	United Nations	\N	constitutional monarchy
KWT	1961-06-19	GB	\N	constitutional emirate
SA	1932-09-23	\N	\N	monarchy
SYR	1946-04-17	United Nations	\N	republic under an authoritarian regime
RL	1943-11-22	United Nations	\N	republic
WEST	\N	\N	\N	\N
J	\N	\N	\N	a parliamentary government with a constitutional monarchy
ROK	1945-08-15	J	\N	republic
MV	1965-07-26	GB	\N	republic
OM	1650-01-01	P	\N	monarchy
UAE	1971-12-02	GB	\N	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates
YE	1990-05-22	Merger of North/South Yemen	\N	republic
RP	1946-07-04	USA	\N	republic
Q	1971-09-03	GB	\N	emirate
SGP	1965-08-09	MAL	\N	parliamentary republic
CL	1948-02-04	GB	\N	republic
RC	1949-10-01	\N	\N	multiparty democracy
AXA	\N	\N	GB	British Overseas Territories
AG	1981-11-01	GB	\N	constitutional monarchy with a parliamentary system of government and a Commonwealth realm
ARU	\N	\N	NL	parliamentary democracy
BS	1973-07-10	GB	\N	constitutional parliamentary democracy and a Commonwealth realm
BDS	1966-11-30	GB	\N	parliamentary democracy and a Commonwealth realm
SN	1960-08-20	F	\N	republic
BZ	1981-09-21	GB	\N	parliamentary democracy and a Commonwealth realm
GCA	1821-09-15	E	\N	constitutional democratic republic
MEX	1810-09-16	E	\N	federal republic
BERM	\N	\N	GB	parliamentary; self-governing territory
BVIR	\N	\N	GB	British Overseas Territories
CDN	1867-07-01	GB	\N	a parliamentary democracy, a federation, and a constitutional monarchy
USA	1776-07-04	GB	\N	constitution-based federal republic; strong democratic tradition
CAYM	\N	\N	GB	parliamentary democracy
CR	1821-09-15	E	\N	democratic republic
NIC	1821-09-15	E	\N	republic
PA	1903-11-03	CO	\N	constitutional democracy
C	1902-05-20	E	\N	Communist state
WD	1978-11-03	GB	\N	parliamentary democracy
DOM	1844-02-27	RH	\N	democratic republic
RH	1804-01-01	F	\N	republic
ES	1821-09-15	E	\N	republic
HCA	1821-09-15	E	\N	democratic constitutional republic
GROX	\N	\N	DK	parliamentary democracy within a constitutional monarchy
WG	1974-02-07	GB	\N	parliamentary democracy and a Commonwealth realm
GUAD	\N	\N	F	overseas department of France
JA	1962-08-06	GB	\N	constitutional parliamentary democracy and a Commonwealth realm
MART	\N	\N	F	overseas department of France
MNTS	\N	\N	GB	British Overseas Territories
CUR	\N	\N	NL	parliamentary
NLSM	\N	\N	NL	parliamentary
SMAR	\N	\N	F	overseas collectivity of France
SBAR	\N	\N	F	overseas collectivity of France
CO	1810-07-20	E	\N	republic; executive branch dominates government structure
PR	\N	\N	USA	commonwealth
KN	1983-09-19	GB	\N	parliamentary democracy and a Commonwealth realm
WL	1979-02-22	GB	\N	parliamentary democracy and a Commonwealth realm
SPMI	\N	\N	F	parliamentary representative democracy
WV	1979-10-27	GB	\N	parliamentary democracy and a Commonwealth realm
TT	1962-08-31	GB	\N	parliamentary democracy
TUCA	\N	\N	GB	British Overseas Territories
VIRG	\N	\N	USA	organized
AMSA	\N	\N	USA	unincorporated and unorganized territory of the US
AUS	1901-01-01	GB	\N	federal parliamentary democracy and a Commonwealth realm
COOK	\N	\N	NZ	self-governing parliamentary democracy
FJI	1970-10-10	GB	\N	republic
FPOL	\N	\N	F	parliamentary representative democratic French overseas collectivity
GUAM	\N	\N	USA	organized
KIR	1979-07-12	GB	\N	republic
MH	1986-10-21	United Nations	\N	constitutional government in free association with the US
FSM	1986-11-03	United Nations	\N	constitutional government in free association with the US
NAU	1968-01-31	United Nations	\N	republic
NCA	\N	\N	F	parliamentary representative democracy
NZ	1907-09-26	GB	\N	parliamentary democracy and a Commonwealth realm
NIUE	1974-10-19	NZ	\N	self-governing parliamentary democracy
NORF	\N	\N	AUS	territory of Australia
NMIS	\N	\N	USA	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature
PAL	1994-10-01	United Nations	\N	constitutional government in free association with the US
PITC	\N	\N	GB	British Overseas Territories
SLB	1978-07-07	GB	\N	parliamentary democracy and a Commonwealth realm
TO	1970-06-04	GB	\N	constitutional monarchy
TUV	1978-10-01	GB	\N	parliamentary democracy and a Commonwealth realm
TOK	\N	\N	NZ	\N
VU	1980-07-30	F	\N	parliamentary republic
WAFU	\N	\N	F	parliamentary representative democratic French overseas collectivity
WS	1962-01-01	United Nations	\N	parliamentary democracy
RA	1816-07-09	E	\N	republic
BOL	1825-08-06	E	\N	republic; Social Unitarian State
BR	1822-09-07	P	\N	federal republic
RCH	1810-09-18	E	\N	republic
PY	1811-05-14	E	\N	constitutional republic
ROU	1828-08-25	BR	\N	constitutional republic
PE	1821-07-28	E	\N	constitutional republic
FGU	\N	\N	F	overseas department of France
GUY	1966-05-26	GB	\N	republic
SME	1975-11-25	NL	\N	constitutional democracy
YV	1811-07-05	E	\N	federal republic
EC	1822-05-24	E	\N	republic
FALK	\N	\N	GB	British Overseas Territories
DZ	1962-07-05	F	\N	republic
LAR	1951-12-24	I	\N	operates under a transitional government
RMM	1960-09-22	F	\N	republic
RIM	1960-11-28	F	\N	military junta
MA	1956-03-02	F	\N	constitutional monarchy
RN	1960-08-03	F	\N	republic
TN	1956-03-20	F	\N	republic
WSA	\N	\N	\N	legal status of territory and question of sovereignty unresolved
ANG	1975-11-11	P	\N	republic; multiparty presidential regime
RCB	1960-08-15	F	\N	republic
NAM	1990-03-21	United Nations	\N	republic
ZRE	1960-06-30	B	\N	republic
Z	1964-10-24	GB	\N	republic
BEN	1960-08-01	F	\N	republic
BF	1960-08-05	F	\N	parliamentary republic
WAN	1960-10-01	GB	\N	federal republic
RT	1960-04-27	F	\N	republic under transition to multiparty democratic rule
RB	1966-09-30	GB	\N	parliamentary republic
RSA	1910-05-31	GB	\N	republic
ZW	1980-04-18	GB	\N	parliamentary democracy
CI	1960-08-07	F	\N	republic; multiparty presidential regime established 1960
GH	1957-03-06	GB	\N	constitutional democracy
BI	1962-07-01	United Nations	\N	republic
RWA	1962-07-01	United Nations	\N	republic; presidential, multiparty system
EAT	1964-04-26	GB	\N	republic
CAM	1960-01-01	United Nations	\N	republic; multiparty presidential regime
RCA	1960-08-13	F	\N	republic
TCH	1960-08-11	F	\N	republic
GQ	1968-10-12	E	\N	republic
G	1960-08-17	F	\N	republic; multiparty presidential regime
CV	1975-07-05	P	\N	republic
SUD	1956-01-01	ET	\N	federal republic
SSD	2011-07-09	SUD	\N	republic
COM	1975-07-06	F	\N	republic
RG	1958-10-02	F	\N	republic
LB	1847-07-26	\N	\N	republic
DJI	1977-06-27	F	\N	republic
ER	1993-05-27	ETH	\N	transitional government
ETH	\N	\N	\N	federal republic
SP	1960-07-01	GB	\N	in the process of building a federal parliamentary republic
EAK	1963-12-12	GB	\N	republic
WAG	1965-02-18	GB	\N	republic
GNB	1974-09-10	P	\N	republic
WAL	1961-04-27	GB	\N	constitutional democracy
EAU	1962-10-09	GB	\N	republic
LS	1966-10-04	GB	\N	parliamentary constitutional monarchy
RM	1960-06-26	F	\N	republic
MW	1964-07-06	GB	\N	multiparty democracy
MOC	1975-06-25	P	\N	republic
MS	1968-03-12	GB	\N	parliamentary democracy
MAYO	\N	\N	F	territorial collectivity of France
SD	1968-09-06	GB	\N	monarchy
REUN	\N	\N	F	overseas department of France
HELX	\N	\N	GB	British Overseas Territories
STP	1975-07-12	P	\N	republic
SY	1976-06-29	GB	\N	republic
\.


--
-- TOC entry 5293 (class 0 OID 89593)
-- Dependencies: 712
-- Data for Name: population; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY population (country, population_growth, infant_mortality) FROM stdin;
AL	0.3	13.19
GR	0.01	4.78
MK	0.21	7.9
SRB	-0.46	6.16
MNE	-0.49	\N
KOS	\N	\N
AND	0.17	3.69
F	0.45	3.31
E	0.81	3.33
A	0.01	4.16
CZ	0.17	2.63
D	-0.18	3.46
H	-0.21	5.09
I	0.3	3.31
FL	0.82	4.33
SK	0.03	5.35
SLO	-0.23	4.04
CH	0.78	3.73
BY	-0.19	3.64
LV	-0.62	7.91
LT	-0.29	6
PL	-0.11	6.19
UA	-0.64	8.1
R	-0.03	7.08
B	0.05	4.18
L	1.12	4.28
NL	0.42	3.66
BIH	-0.11	5.84
HR	-0.12	5.87
BG	-0.83	15.08
RO	-0.29	10.16
TR	1.12	21.43
DK	0.22	4.1
EW	-0.68	6.7
FARX	0.49	5.71
SF	0.05	3.36
N	1.19	2.48
S	0.79	2.6
MC	0.06	1.81
GBZ	0.25	6.29
GBG	0.36	3.47
V	\N	\N
CEU	\N	\N
MEL	\N	\N
IS	0.65	3.15
IRL	1.2	3.74
RSM	0.87	4.52
GBJ	0.81	3.86
M	0.33	3.59
GBM	0.8	4.17
MD	-1.02	12.93
P	0.12	4.48
SVAX	-0.03	\N
GB	0.54	4.44
AFG	2.29	117.23
CN	0.44	14.79
IR	1.22	39
PK	1.49	57.48
TAD	1.75	35.03
TM	1.14	38.13
UZB	0.93	19.84
ARM	-0.13	13.97
GE	-0.11	16.68
AZ	0.99	26.67
BRN	2.49	9.68
BD	1.6	45.67
MYA	1.03	44.91
IND	1.25	43.19
BHT	1.13	37.89
BRU	1.65	10.48
MAL	1.47	13.69
LAO	1.59	54.53
THA	0.35	9.86
K	1.63	51.36
VN	1	18.99
KAZ	1.17	21.61
NOK	0.53	24.5
KGZ	1.04	28.71
HONX	0.41	2.73
MACX	0.83	3.13
MNG	1.37	23.15
NEP	1.82	40.43
XMAS	\N	\N
COCO	\N	\N
CY	1.48	8.54
GAZA	4.55	30.6
IL	1.46	3.98
ET	1.84	22.41
RI	0.95	25.16
TL	2.44	38.79
PNG	1.84	39.67
IRQ	2.23	37.53
JOR	3.86	15.73
KWT	1.7	7.51
SA	1.49	14.58
SYR	-9.73	15.79
RL	9.37	7.98
WEST	4.99	28.6
J	-0.13	2.13
ROK	0.16	3.93
MV	-0.09	24.59
OM	2.06	14
UAE	2.71	10.92
YE	2.72	50.41
RP	1.81	17.64
Q	3.58	6.42
SGP	1.92	2.53
CL	0.86	9.02
RC	0.25	4.49
AXA	2.06	3.4
AG	1.25	13.29
ARU	1.36	11.74
BS	0.87	12.5
BDS	0.33	10.93
BZ	1.92	20.31
GCA	1.86	23.51
MEX	1.21	12.58
BERM	0.52	2.48
BVIR	2.36	13.45
CDN	0.76	4.71
USA	0.77	6.17
CAYM	2.14	6.21
CR	1.24	8.7
NIC	1.02	20.36
PA	1.35	10.7
C	-0.14	4.7
WD	0.22	11.61
DOM	1.25	19.63
RH	1.08	49.43
ES	0.27	18.44
HCA	1.74	18.72
GROX	0.02	9.42
WG	0.5	10.5
GUAD	1.2	8.3
JA	0.69	13.69
MART	1.1	7.1
MNTS	0.48	13.66
CUR	\N	\N
NLSM	1.51	9.05
SMAR	\N	\N
SBAR	\N	\N
CO	1.07	15.02
PR	-0.65	7.73
KN	0.78	8.98
WL	0.35	11.75
SPMI	-1.02	6.95
WV	-0.29	13.07
TT	-0.11	24.82
TUCA	2.58	10.97
VIRG	-0.56	6.79
AMSA	-0.35	8.92
AUS	1.09	4.43
COOK	-3	14.33
FJI	0.7	10.2
FPOL	0.97	4.78
GUAM	0.44	5.51
KIR	1.18	35.37
MH	1.72	21.39
FSM	-0.42	21.93
NAU	0.56	8.21
NCA	1.42	5.46
NZ	0.83	4.59
NIUE	-0.03	\N
NORF	\N	\N
NMIS	1.13	5.5
PAL	0.37	11.46
PITC	0	\N
SLB	2.07	16.17
TO	0.09	12.36
TUV	0.8	31.69
TOK	-0.01	\N
VU	2.01	16.41
WAFU	0.33	4.49
WS	0.59	20.5
RA	0.95	9.96
BOL	1.6	38.61
BR	0.8	19.21
RCH	0.84	7.02
PY	1.19	20.75
ROU	0.26	8.97
PE	0.99	20.21
FGU	3.86	14.6
GUY	-0.11	33.56
SME	1.12	27.07
YV	1.42	19.33
EC	1.37	17.93
FALK	0.01	\N
DZ	1.88	21.76
LAR	3.08	11.87
RMM	3	104.34
RIM	2.26	56.06
MA	1.02	24.52
RN	3.28	86.27
TN	0.92	23.19
WSA	2.46	145.82
ANG	2.78	79.99
RCB	1.94	59.34
NAM	0.67	45.64
ZRE	2.5	73.15
Z	2.88	66.62
BEN	2.81	57.09
BF	3.05	76.8
WAN	2.47	74.09
RT	2.71	46.73
RB	1.26	9.38
RSA	-0.48	41.61
ZW	4.36	26.55
CI	1.96	60.16
GH	2.19	38.52
BI	3.28	63.44
RWA	2.63	59.59
EAT	2.8	43.74
CAM	2.6	55.1
RCA	2.13	92.86
TCH	1.92	90.3
GQ	2.54	71.12
G	1.94	47.03
CV	1.39	24.28
SUD	1.78	52.86
SSD	4.12	68.16
COM	1.87	65.31
RG	2.63	55.24
LB	2.52	69.19
DJI	2.23	50.2
ER	2.3	38.44
ETH	2.89	55.77
SP	1.75	100.14
EAK	2.11	40.71
WAG	2.23	65.74
SN	2.48	52.72
GNB	1.93	90.92
WAL	2.33	73.29
EAU	3.24	60.82
LS	0.34	50.48
RM	2.62	44.88
MW	3.33	48.01
MOC	2.45	72.42
MS	0.66	10.59
MAYO	3.32	56.29
SD	1.14	54.82
REUN	1.93	7.5
HELX	0.45	17.63
STP	1.89	49.16
SY	0.87	10.77
\.


--
-- TOC entry 5294 (class 0 OID 89599)
-- Dependencies: 713
-- Data for Name: province; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY province (name, country, population, area, capital, capprov) FROM stdin;
Albania	AL	2800138	28750	Tirana	Albania
Anatolikis Makedonias kai Thrakis	GR	608182	14157	Komotini	Anatolikis Makedonias kai Thrakis
Attikis	GR	3828434	3808	Athina	Attikis
Dytikis Elladas	GR	679796	11350	Patra	Dytikis Elladas
Dytikis Makedonias	GR	283689	9451	Kozani	Dytikis Makedonias
Ionion Nison	GR	207855	2306	Kerkyra	Ionion Nison
Ipeiroy	GR	336856	9203	Ioannina	Ipeiroy
Kentrikis Makedonias	GR	1880297	18810	Thessaloniki	Kentrikis Makedonias
Kritis	GR	623065	8335	Iraklio	Kritis
Notioy Aigaioy	GR	309015	5285	Ermoupoli	Notioy Aigaioy
Peloponnisos	GR	577903	15489	Tripoli	Peloponnisos
Stereas Elladas	GR	547390	15549	Lamia	Stereas Elladas
Thessalias	GR	732762	14036	Larissa	Thessalias
Boreioy Aigaioy	GR	199231	3835	Mytilini	Boreioy Aigaioy
Aghion Oros	GR	1811	335	Karyes	Aghion Oros
Macedonia	MK	2059794	25333	Skopje	Macedonia
Serbia	SRB	7120666	77474	Beograd	Serbia
Montenegro	MNE	620029	14026	Podgorica	Montenegro
Kosovo	KOS	1733872	10887	Prishtine	Kosovo
Andorra	AND	78115	450	Andorra la Vella	Andorra
Alsace	F	1852325	8280	Strasbourg	Alsace
Aquitaine	F	3254233	41308	Bordeaux	Aquitaine
Auvergne	F	1350682	26012	Clermont-Ferrand	Auvergne
Basse Normandie	F	1475684	17589	Caen	Basse Normandie
Bretagne	F	3217767	27207	Rennes	Bretagne
Bourgogne	F	1642734	31581	Dijon	Bourgogne
Centre	F	2556835	39150	Orléans	Centre
Champagne-Ardenne	F	1336053	25605	Châlons-en-Champagne	Champagne-Ardenne
Corse	F	314486	8679	Ajaccio	Corse
Franche-Comté	F	1173440	16202	Besançon	Franche-Comté
Haute-Normandie	F	1839393	12317	Rouen	Haute-Normandie
Île-de-France	F	11852851	12012	Paris	Île-de-France
Languedoc-Roussillon	F	2670046	27375	Montpellier	Languedoc-Roussillon
Limousin	F	741072	16942	Limoges	Limousin
Lorraine	F	2350657	23547	Metz	Lorraine
Midi-Pyrénées	F	2903420	45347	Toulouse	Midi-Pyrénées
Nord-Pas-de-Calais	F	4042015	12414	Lille	Nord-Pas-de-Calais
Pays de la Loire	F	3601113	32081	Nantes	Pays de la Loire
Picardie	F	1918155	19399	Amiens	Picardie
Poitou Charentes	F	1777773	25809	Poitiers	Poitou Charentes
Provence-Alpes-Côte d'Azur	F	4916069	31399	Marseille	Provence-Alpes-Côte d'Azur
Rhône-Alpes	F	6283541	43698	Lyon	Rhône-Alpes
Andalucía	E	8371271	87585	Sevilla	Andalucía
Aragón	E	1344509	47721	Zaragoza	Aragón
Asturias	E	1075183	10603	Oviedo	Asturias
Illes Balears	E	1100503	4991	Palma de Mallorca	Illes Balears
País Vasco	E	2185393	7237	Vitoria-Gasteiz	País Vasco
Canarias	E	2082654	7447	Santa Cruz de Tenerife	Canarias
Cantabria	E	592542	5323	Santander	Cantabria
Castilla y León	E	2540187	94351	Valladolid	Castilla y León
Castilla-La Mancha	E	2106331	79408	Toledo	Castilla-La Mancha
Cataluña	E	7519843	32163	Barcelona	Cataluña
Extremadura	E	1104500	41634	Merida	Extremadura
Galicia	E	2772927	29559	Santiago de Compostela	Galicia
Madrid	E	6421874	8022	Madrid	Madrid
Murcia	E	1462128	11312	Murcia	Murcia
Navarra	E	640129	10573	Pamplona	Navarra
La Rioja	E	321173	5045	Logroño	La Rioja
Valenciana	E	5009931	23253	Valencia	Valenciana
Burgenland	A	287470	3961	Eisenstadt	Burgenland
Kärnten	A	555969	9538	Klagenfurt	Kärnten
Vorarlberg	A	374861	2601	Bregenz	Vorarlberg
Wien	A	1761738	414	Wien	Wien
Oberösterreich	A	1424910	11979	Linz	Oberösterreich
Tirol	A	720436	12640	Innsbruck	Tirol
Steiermark	A	1214945	16401	Graz	Steiermark
Salzburg	A	534030	7156	Salzburg	Salzburg
Niederösterreich	A	1625400	19186	St. Pölten	Niederösterreich
Praha	CZ	1272690	496	Praha	Praha
Jihočeský	CZ	637460	10056	České Budějovice	Jihočeský
Jihomoravský	CZ	1169788	7194	Brno	Jihomoravský
Karlovarský	CZ	310245	3314	Karlovy Vary	Karlovarský
Vysočina	CZ	512727	6795	Jihlava	Vysočina
Královéhradecký	CZ	555683	4758	Hradec Králové	Královéhradecký
Liberecký	CZ	439262	3162	Liberec	Liberecký
Moravskoslezský	CZ	1236028	5426	Ostrava	Moravskoslezský
Olomoucký	CZ	639946	5266	Olomouc	Olomoucký
Pardubický	CZ	518228	4518	Pardubice	Pardubický
Plzeňský	CZ	574694	7560	Plzeň	Plzeňský
Středočeský	CZ	1274633	11014	Praha	Praha
Ústecký	CZ	830371	5334	Ústí nad Labem	Ústecký
Zlínský	CZ	590459	3963	Zlín	Zlínský
Baden-Württemberg	D	10486660	35751	Stuttgart	Baden-Württemberg
Bayern	D	12397614	70550	München	Bayern
Berlin	D	3292365	891	Berlin	Berlin
Brandenburg	D	2455780	29483	Potsdam	Brandenburg
Bremen	D	650863	419	Bremen	Bremen
Hamburg	D	1706696	755	Hamburg	Hamburg
Hessen	D	5971816	21114	Wiesbaden	Hessen
Mecklenburg-Vorpommern	D	1609982	23194	Schwerin	Mecklenburg-Vorpommern
Niedersachsen	D	7777992	47613	Hannover	Niedersachsen
Nordrhein-Westfalen	D	17538251	34097	Düsseldorf	Nordrhein-Westfalen
Rheinland-Pfalz	D	3989808	19854	Mainz	Rheinland-Pfalz
Saarland	D	999623	2568	Saarbrücken	Saarland
Sachsen	D	4056799	18419	Dresden	Sachsen
Sachsen-Anhalt	D	2287040	20450	Magdeburg	Sachsen-Anhalt
Schleswig-Holstein	D	2800119	15799	Kiel	Schleswig-Holstein
Thüringen	D	2188589	16172	Erfurt	Thüringen
Baranya	H	386441	4429	Pécs	Baranya
Bács-Kiskun	H	520331	8444	Kecskemét	Bács-Kiskun
Békés	H	359948	5629	Békéscsaba	Békés
Borsod-Abaúj-Zemplén	H	686266	7249	Miskolc	Borsod-Abaúj-Zemplén
Csongrád	H	417456	4262	Hódmezővásárhely	Csongrád
Fejér	H	425847	4358	Székesfehérvár	Fejér
Győr-Moson-Sopron	H	447985	4208	Győr	Győr-Moson-Sopron
Hajdú-Bihar	H	546721	6210	Debrecen	Hajdú-Bihar
Heves	H	308882	3637	Eger	Heves
Komárom-Esztergom	H	304568	2264	Tatabánya	Komárom-Esztergom
Nógrád	H	202427	2545	Salgótarján	Nógrád
Pest	H	1217476	6391	Budapest	Budapest
Somogy	H	317307	6065	Kaposvár	Somogy
Szabolcs-Szatmár-Bereg	H	559272	5935	Nyíregyháza	Szabolcs-Szatmár-Bereg
Jász-Nagykun-Szolnok	H	386594	5581	Szolnok	Jász-Nagykun-Szolnok
Tolna	H	230361	3703	Szekszárd	Tolna
Vas	H	256629	3336	Szombathely	Vas
Veszprém	H	351898	4463	Veszprém	Veszprém
Zala	H	282179	3783	Zalaegerszeg	Zala
Budapest	H	1729040	525	Budapest	Budapest
Piemonte	I	4363916	25402	Torino	Piemonte
Valle d'Aosta	I	126806	3263	Aosta	Valle d'Aosta
Lombardia	I	9704151	23862	Milano	Lombardia
Trentino-Alto Adige	I	1029475	13606	Bolzano	Trentino-Alto Adige
Veneto	I	4857210	18398	Venézia	Veneto
Friuli-Venezia Giulia	I	1218985	7858	Trieste	Friuli-Venezia Giulia
Liguria	I	1570694	5421	Génova	Liguria
Emilia-Romagna	I	4342135	22445	Bologna	Emilia-Romagna
Toscana	I	3672202	22993	Firenze	Toscana
Umbria	I	884268	8456	Perúgia	Umbria
Marche	I	1541319	9365	Ancona	Marche
Lazio	I	5502886	17235	Roma	Lazio
Abruzzo	I	1307309	10762	L'Aquila	Abruzzo
Molise	I	313660	4437	Campobasso	Molise
Campania	I	5766810	13590	Nápoli	Campania
Puglia	I	4052566	19357	Bari	Puglia
Basilicata	I	578036	9994	Potenza	Basilicata
Calabria	I	1959050	15080	Catanzaro	Calabria
Sicilia	I	5002904	25711	Palermo	Sicilia
Sardegna	I	1639362	24089	Cágliari	Sardegna
Liechtenstein	FL	36636	160	Vaduz	Liechtenstein
Bratislavský	SK	602436	2052	Bratislava	Bratislavský
Banskobystrický	SK	660563	9453	Banská Bystrica	Banskobystrický
Žilinský	SK	688851	6808	Žilina	Žilinský
Košický	SK	791723	6753	Košice	Košický
Prešovský	SK	814527	8973	Prešov	Prešovský
Nitriansky	SK	689867	6343	Nitra	Nitriansky
Trenčiansky	SK	594328	4502	Trenčín	Trenčiansky
Trnavský	SK	554741	4145	Trnava	Trnavský
Slovenia	SLO	2058821	20256	Ljubljana	Slovenia
Aargau	CH	636362	1403	Aarau	Aargau
Appenzell Ausserrhoden	CH	53691	242	Herisau	Appenzell Ausserrhoden
Appenzell Innerrhoden	CH	15778	172	Appenzell	Appenzell Innerrhoden
Basel-Landschaft	CH	278656	517	Liestal	Basel-Landschaft
Basel-Stadt	CH	189335	37	Basel	Basel-Stadt
Bern	CH	1001281	5959	Bern	Bern
Fribourg	CH	297622	1670	Fribourg	Fribourg
Genève	CH	469433	282	Genève	Genève
Glarus	CH	39593	685	Glarus	Glarus
Graubünden	CH	194959	7105	Chur	Graubünden
Jura	CH	71738	838	Delemont	Jura
Luzern	CH	390349	1493	Luzern	Luzern
Neuchâtel	CH	176402	803	Neuchatel	Neuchâtel
Nidwalden	CH	41888	276	Stans	Nidwalden
Obwalden	CH	36507	490	Sarnen	Obwalden
Sankt Gallen	CH	491699	2025	Sankt Gallen	Sankt Gallen
Schaffhausen	CH	78783	298	Schaffhausen	Schaffhausen
Schwyz	CH	151396	908	Schwyz	Schwyz
Solothurn	CH	261437	790	Solothurn	Solothurn
Thurgau	CH	260278	990	Frauenfeld	Thurgau
Ticino	CH	346539	2812	Bellinzona	Ticino
Uri	CH	35865	1076	Altdorf	Uri
Valais	CH	327011	5224	Sion	Valais
Vaud	CH	749373	3212	Lausanne	Vaud
Zug	CH	118118	238	Zug	Zug
Zürich	CH	1425538	1728	Zürich	Zürich
Brest	BY	1389782	32790	Brest	Brest
Vitebsk	BY	1206022	40049	Vitebsk	Vitebsk
Gomel	BY	1426674	40361	Gomel	Gomel
Grodno	BY	1056955	25118	Grodno	Grodno
Mogilev	BY	1075067	29079	Mogilev	Mogilev
Minsk	BY	1400717	39912	Minsk	Minsk City
Minsk City	BY	1905475	305	Minsk	Minsk City
Latvia	LV	2201196	64100	Rīga	Latvia
Lithuania	LT	2979310	65200	Vilnius	Lithuania
Dolnośląskie	PL	2915245	19946	Wrocław	Dolnośląskie
Kujawsko-Pomorskie	PL	2097818	17971	Bydgoszcz	Kujawsko-Pomorskie
Lubelskie	PL	2168616	25122	Lublin	Lubelskie
Lubuskie	PL	1023102	13987	Zielona Góra	Lubuskie
Łódzkie	PL	2528632	18218	Łódź	Łódzkie
Małopolskie	PL	3350350	15182	Kraków	Małopolskie
Mazowieckie	PL	5293224	35558	Warszawa	Mazowieckie
Opolskie	PL	1012296	9411	Opole	Opolskie
Podkarpackie	PL	2128921	17845	Rzeszów	Podkarpackie
Podlaskie	PL	1199724	20187	Białystok	Podlaskie
Pomorskie	PL	2286746	18310	Gdańsk	Pomorskie
Śląskie	PL	4620624	12333	Katowice	Śląskie
Świętokrzyskie	PL	1275511	11710	Kielce	Świętokrzyskie
Warmińsko-Mazurskie	PL	1451950	24173	Olsztyn	Warmińsko-Mazurskie
Wielkopolskie	PL	3458881	29826	Poznań	Wielkopolskie
Zachodniopomorskie	PL	1722149	22892	Szczecin	Zachodniopomorskie
Cherkas´ka	UA	1277303	20916	Cherkasy	Cherkas´ka
Chernihivs´ka	UA	1088509	31903	Chernihiv	Chernihivs´ka
Chernivets´ka	UA	905264	8096	Chernivtsi	Chernivets´ka
Dnipropetrovs´ka	UA	3320299	31923	Dnipropetrovs´k	Dnipropetrovs´ka
Donets´ka	UA	4403178	26517	Donets´k	Donets´ka
Ivano-Frankivs´ka	UA	1380128	13927	Ivano-Frankivs´k	Ivano-Frankivs´ka
Kharkivs´ka	UA	2742180	31418	Kharkiv	Kharkivs´ka
Khersons´ka	UA	1083367	28461	Kherson	Khersons´ka
Khmel´nyts´ka	UA	1320171	20629	Khmel´nyts´kyi	Khmel´nyts´ka
Kyïvs´ka	UA	1719558	28121	Kyïv	Kyïv
Kirovohrads´ka	UA	1002420	24588	Kirovohrad	Kirovohrads´ka
Luhans´ka	UA	2272676	26683	Luhans´k	Luhans´ka
L´vivs´ka	UA	2540938	21831	L´viv	L´vivs´ka
Mykolaïvs´ka	UA	1178223	24585	Mykolaïv	Mykolaïvs´ka
Odes´ka	UA	2388297	33313	Odesa	Odes´ka
Poltavs´ka	UA	1477195	28750	Poltava	Poltavs´ka
Rivnens´ka	UA	1154256	20051	Rivne	Rivnens´ka
Sums´ka	UA	1152333	23832	Sumy	Sums´ka
Ternopil´s´ka	UA	1080431	13824	Ternopil´	Ternopil´s´ka
Vinnyts´ka	UA	1634187	26492	Vinnytsia	Vinnyts´ka
Volyns´ka	UA	1038598	20144	Luts´k	Volyns´ka
Zakarpats´ka	UA	1250759	12753	Uzhhorod	Zakarpats´ka
Zaporiz´ka	UA	1791668	27183	Zaporizhzhia	Zaporiz´ka
Zhytomyrs´ka	UA	1273199	29827	Zhytomyr	Zhytomyrs´ka
Krym	UA	1963008	26080	Simferopol´	Krym
Kyïv	UA	2814258	836	Kyïv	Kyïv
Sevastopol´	UA	381234	864	Sevastopol´	Sevastopol´
Karelia	R	634402	172400	Petrozavodsk	Karelia
Komi	R	872057	415900	Syktyvkar	Komi
Arkhangel´skaya	R	1191785	587400	Arkhangelsk	Arkhangel´skaya
Vologodskaya	R	1193371	145700	Vologda	Vologodskaya
Murmanskaya	R	771058	144900	Murmansk	Murmanskaya
Kaliningradskaya	R	963128	15100	Kaliningrad	Kaliningradskaya
Sankt-Peterburg	R	5131942	1431	Sankt Peterburg	Sankt-Peterburg
Leningradskaya	R	1763924	83908	Sankt Peterburg	Sankt-Peterburg
Novgorodskaya	R	622430	55300	Velikij Novgorod	Novgorodskaya
Pskovskaya	R	656561	55300	Pskov	Pskovskaya
Bryanskaya	R	1242599	34857	Bryansk	Bryanskaya
Vladimirskaya	R	1413321	29084	Vladimir	Vladimirskaya
Ivanovskaya	R	1043130	23900	Ivanovo	Ivanovskaya
Kaluzhskaya	R	1004544	29900	Kaluga	Kaluzhskaya
Kostromskaya	R	656389	60100	Kostroma	Kostromskaya
Moscow	R	12108257	1100	Moskva	Moscow
Moskovskaya	R	7133620	45900	Moskva	Moscow
Orlovskaya	R	769980	24700	Orel	Orlovskaya
Ryazanskaya	R	1140844	39600	Ryazan	Ryazanskaya
Smolenskaya	R	967896	49800	Smolensk	Smolenskaya
Tverskaya	R	1325249	84100	Tver	Tverskaya
Tul´skaya	R	1521497	25700	Tula	Tul´skaya
Yaroslavskaya	R	1271766	36400	Yaroslavl	Yaroslavskaya
Mariy-El	R	688686	23200	Yoshkar-Ola	Mariy-El
Mordoviya	R	812156	26200	Saransk	Mordoviya
Chuvash	R	1239984	18300	Cheboksary	Chuvash
Kirov	R	1310929	120800	Kirov	Kirov
Nizhnii Novgorod	R	3281496	74800	Nizhnii Novgorod	Nizhnii Novgorod
Belgorodskaya	R	1544108	27134	Belgorod	Belgorodskaya
Voronezhskaya	R	2328959	52400	Voronezh	Voronezhskaya
Kurskaya	R	1118915	29800	Kursk	Kurskaya
Lipetskaya	R	1159866	24100	Lipetsk	Lipetskaya
Tambovskaya	R	1068934	34300	Tambov	Tambovskaya
Kalmykiya	R	282021	76100	Elista	Kalmykiya
Tatarstan	R	3838230	68000	Kazan	Tatarstan
Astrakhanskaya	R	1016516	44100	Astrakhan	Astrakhanskaya
Volgogradskaya	R	2569126	113900	Volgograd	Volgogradskaya
Penza	R	1360587	43200	Penza	Penza
Samara	R	3211187	53600	Samara	Samara
Saratov	R	2496552	100200	Saratov	Saratov
Ul´yanovsk	R	1267561	37300	Ulyanovsk	Ul´yanovsk
Rostovskaya	R	4245532	100800	Rostov-na-Donu	Rostovskaya
Bashkortostan	R	4069698	143600	Ufa	Bashkortostan
Udmurt	R	1517050	42100	Izhevsk	Udmurt
Orenburg	R	2008566	124000	Orenburg	Orenburg
Perm	R	2636154	160600	Perm	Perm
Adygeya	R	446406	7600	Majkop	Adygeya
Dagestan	R	2963918	50300	Makhachkala	Dagestan
Ingushskaya	R	453010	3750	Nazran'	Ingushskaya
Kabardino-Balkarskaya	R	858397	12500	Nal'čik	Kabardino-Balkarskaya
Karachayevo-Cherkesskaya	R	469837	14100	Čerkessk	Karachayevo-Cherkesskaya
North Ossetia-Alania	R	703977	8000	Vladikavkaz	North Ossetia-Alania
Chechenskaya	R	1346438	12300	Grozny	Chechenskaya
Krasnodarskiy	R	5404273	76000	Krasnodar	Krasnodarskiy
Stavropol´skiy	R	2794508	66500	Stavropol	Stavropol´skiy
Kurgan	R	877149	71000	Kurgan	Kurgan
Sverdlov	R	4320677	194300	Yekaterinburg	Sverdlov
Chelyabinsk	R	3490053	87900	Chelyabinsk	Chelyabinsk
Altay	R	211645	92600	Gorno Altaysk	Altay
Altayskiy	R	2390638	169100	Barnaul	Altayskiy
Kemerov	R	2734075	95500	Kemerovo	Kemerov
Novosibirsk	R	2731176	178200	Novosibirsk	Novosibirsk
Omsk	R	1973876	139700	Omsk	Omsk
Tomsk	R	1070128	316900	Tomsk	Tomsk
Tyumen	R	1340608	150100	Tyumen	Tyumen
Buryat	R	973860	351300	Ulan-Ude	Buryat
Tyva	R	311761	170500	Kyzyl	Tyva
Khakasiya	R	534079	61900	Abakan	Khakasiya
Krasnoyarsk	R	2852810	2339700	Krasnoyarsk	Krasnoyarsk
Irkutsk	R	2418348	767900	Irkutsk	Irkutsk
Zabaykalskiy	R	1090344	431500	Chita	Zabaykalskiy
Sakha	R	954803	3083523	Yakutsk	Sakha
Jewish ao.	R	170377	36266	Birobidzhan	Jewish ao.
Chukotka	R	50555	737700	Anadyr	Chukotka
Primorskiy	R	1938516	165900	Vladivostok	Primorskiy
Khabarov	R	1339912	752600	Khabarovsk	Khabarov
Amur	R	811274	363700	Blagoveščensk	Amur
Kamchatka	R	319864	472300	Petropavlovsk-Kamčatskij	Kamchatka
Magadan	R	150312	461400	Magadan	Magadan
Sakhalin	R	491027	87100	Južno-Sachalinsk	Sakhalin
Khanty Mansi ao	R	1532243	534800	Khanty Mansijsk	Khanty Mansi ao
Karaman	TR	235424	8868	Karaman	Karaman
Yamalo Nenets ao	R	522904	750300	Salekhard	Yamalo Nenets ao
Bruxelles	B	1154635	161	Bruxelles	Bruxelles
Antwerpen	B	1793377	2867	Antwerpen	Antwerpen
Oost-Vlaanderen	B	1460944	2982	Gent	Oost-Vlaanderen
Hainaut	B	1328760	3785	Mons	Hainaut
Liège	B	1087729	3862	Liège	Liège
Limburg	B	853239	2422	Hasselt	Limburg
Luxembourg	B	275594	4439	Arlon	Luxembourg
Namur	B	482451	3666	Namur	Namur
West-Vlaanderen	B	1173019	3144	Brugge	West-Vlaanderen
Brabant Wallon	B	388526	1090	Wavre	Brabant Wallon
Vlaams-Brabant	B	1101280	2106	Leuven	Vlaams-Brabant
Luxembourg	L	524853	2586	Luxembourg	Luxembourg
Groningen	NL	582156	2959	Groningen	Groningen
Friesland	NL	646452	5748	Leeuwarden	Friesland
Drenthe	NL	488876	2680	Assen	Drenthe
Overijssel	NL	1140310	3420	Zwolle	Overijssel
Flevoland	NL	400398	2412	Lelystad	Flevoland
Gelderland	NL	2020754	5136	Arnhem	Gelderland
Utrecht	NL	1255661	1449	Utrecht	Utrecht
Noord-Holland	NL	2745613	4090	Haarlem	Noord-Holland
Zuid-Holland	NL	3580735	3418	Den Haag	Zuid-Holland
Zeeland	NL	380735	2933	Middelburg	Zeeland
Noord-Brabant	NL	2482079	5081	's-Hertogenbosch	Noord-Brabant
Limburg	NL	1119412	2208	Maastricht	Limburg
Federacija Bosne i Hercegovine	BIH	2371603	26110	Sarajevo	Federacija Bosne i Hercegovine
Republika Srpska	BIH	1326991	24857	Banja Luka	Republika Srpska
Brčko	BIH	93028	493	Brčko	Brčko
Croatia	HR	4290612	56538	Zagreb	Croatia
Bulgaria	BG	7284552	110910	Sofia	Bulgaria
Alba	RO	342376	6241	Alba Iulia	Alba
Arad	RO	430629	7754	Arad	Arad
Argeş	RO	612431	6826	Piteşti	Argeş
Bacău	RO	616168	6620	Bacău	Bacău
Bihor	RO	575398	7544	Oradea	Bihor
Bistriţa-Năsăud	RO	286225	5355	Bistrita	Bistriţa-Năsăud
Botoşani	RO	412626	4985	Botoşani	Botoşani
Brăila	RO	321212	4765	Brăila	Brăila
Braşov	RO	549217	5363	Braşov	Braşov
Bucureşti	RO	1883425	237	Bucureşti	Bucureşti
Buzău	RO	451069	6102	Buzău	Buzău
Călăraşi	RO	306691	5087	Calarasi	Călăraşi
Caraş-Severin	RO	295579	8519	Resita	Caraş-Severin
Cluj	RO	691106	6674	Cluj-Napoca	Cluj
Constanţa	RO	684082	7071	Constanţa	Constanţa
Covasna	RO	210177	3709	Sfintu Gheorghe	Covasna
Dâmboviţa	RO	518745	4054	Targoviste	Dâmboviţa
Dolj	RO	660544	7414	Craiova	Dolj
Galaţi	RO	536167	4466	Galaţi	Galaţi
Giurgiu	RO	281422	3526	Giurgiu	Giurgiu
Gorj	RO	341594	5601	Tirgu Jiu	Gorj
Harghita	RO	310867	6638	Miercurea Ciuc	Harghita
Hunedoara	RO	418565	7062	Deva	Hunedoara
Ialomiţa	RO	274148	4452	Slobozia	Ialomiţa
Iaşi	RO	772348	5475	Iaşi	Iaşi
Maramureş	RO	478659	6304	Baia Mare	Maramureş
Mehedinţi	RO	265390	4932	Drobeta-Turnu Severin	Mehedinţi
Mureş	RO	550846	6713	Târgu Mureş	Mureş
Neamţ	RO	470766	5896	Piatra-Neamţ	Neamţ
Olt	RO	436400	5498	Slatina	Olt
Prahova	RO	762886	4715	Ploieşti	Prahova
Sălaj	RO	224384	3864	Zalau	Sălaj
Satu-Mare	RO	344360	4417	Satu Mare	Satu-Mare
Sibiu	RO	397322	5432	Sibiu	Sibiu
Suceava	RO	634810	8553	Suceava	Suceava
Teleorman	RO	380123	5789	Alexandria	Teleorman
Timiş	RO	683540	8696	Timişoara	Timiş
Tulcea	RO	213083	8498	Tulcea	Tulcea
Vaslui	RO	395499	5318	Vaslui	Vaslui
Vâlcea	RO	371714	5764	Râmnicu Vâlcea	Vâlcea
Vrancea	RO	340310	4857	Focsani	Vrancea
Ilfov	RO	388738	1583	Bucureşti	Bucureşti
Adana	TR	2125635	14045	Adana	Adana
Adıyaman	TR	595261	7606	Adiyaman	Adıyaman
Afyonkarahisar	TR	703948	14718	Afyonkarahisar	Afyonkarahisar
Ağrı	TR	552404	11498	Agri	Ağrı
Aksaray	TR	379915	7965	Aksaray	Aksaray
Amasya	TR	322283	5703	Amasya	Amasya
Ankara	TR	4965542	25401	Ankara	Ankara
Antalya	TR	2092537	20790	Antalya	Antalya
Artvin	TR	167082	7367	Artvin	Artvin
Aydın	TR	1006541	7904	Aydin	Aydın
Balıkesir	TR	1160731	14472	Balikesir	Balıkesir
Batman	TR	534205	4659	Batman	Batman
Bayburt	TR	75797	3739	Bayburt	Bayburt
Bilecik	TR	204116	4306	Bilecik	Bilecik
Bingöl	TR	262507	8253	Bingol	Bingöl
Bitlis	TR	337253	7094	Bitlis	Bitlis
Bolu	TR	281080	8323	Bolu	Bolu
Burdur	TR	254341	7134	Burdur	Burdur
Bursa	TR	2688171	10886	Bursa	Bursa
Çanakkale	TR	493691	9950	Canakkale	Çanakkale
Çankırı	TR	184406	7491	Cankiri	Çankırı
Çorum	TR	529975	12796	Corum	Çorum
Denizli	TR	950557	11804	Denizli	Denizli
Diyarbakır	TR	1592167	15204	Diyarbakir	Diyarbakır
Edirne	TR	399708	6097	Edirne	Edirne
Elazığ	TR	562703	9281	Elazig	Elazığ
Erzincan	TR	217886	11727	Erzincan	Erzincan
Erzurum	TR	778195	25330	Erzurum	Erzurum
Eskişehir	TR	789750	13902	Eskisehir	Eskişehir
Gaziantep	TR	1799558	6844	Gaziantep	Gaziantep
Giresun	TR	419555	6831	Giresun	Giresun
Gümüşhane	TR	135216	6437	Gumushane	Gümüşhane
Hakkari	TR	279982	7178	Hakkari	Hakkari
Hatay	TR	1483674	5831	Hatay	Hatay
Mersin	TR	1682848	15512	Mersin	Mersin
Isparta	TR	416663	8871	Isparta	Isparta
İstanbul	TR	13854740	5315	Istanbul	İstanbul
İzmir	TR	4005459	12015	Izmir	İzmir
Kahramanmaraş	TR	1063174	14456	Kahramanmaraş	Kahramanmaraş
Kars	TR	304821	10139	Kars	Kars
Kastamonu	TR	359808	13157	Kastamonu	Kastamonu
Kayseri	TR	1274968	17109	Kayseri	Kayseri
Kırıkkale	TR	274727	4569	Kirikkale	Kırıkkale
Kırklareli	TR	341218	6299	Kirklareli	Kırklareli
Kırşehir	TR	221209	6530	Kirsehir	Kırşehir
Kocaeli	TR	1634691	3625	Kocaeli	Kocaeli
Konya	TR	2052281	40813	Konya	Konya
Kütahya	TR	573421	12013	Kütahya	Kütahya
Malatya	TR	762366	12102	Malatya	Malatya
Manisa	TR	1346162	13228	Manisa	Manisa
Mardin	TR	773026	8806	Mardin	Mardin
Muğla	TR	851145	12949	Mugla	Muğla
Muş	TR	413260	8067	Mus	Muş
Nevşehir	TR	285190	5391	Nevsehir	Nevşehir
Niğde	TR	340270	7365	Nigde	Niğde
Ordu	TR	741371	5952	Ordu	Ordu
Rize	TR	324152	3921	Rize	Rize
Sakarya	TR	902267	4880	Sakarya	Sakarya
Samsun	TR	1251722	9364	Samsun	Samsun
Şanlıurfa	TR	1762075	19336	Şanlıurfa	Şanlıurfa
Siirt	TR	310879	5473	Siirt	Siirt
Sinop	TR	201311	5816	Sinop	Sinop
Şırnak	TR	466982	7151	Sirnak	Şırnak
Sivas	TR	623535	28567	Sivas	Sivas
Tekirdağ	TR	852321	6342	Tekirdag	Tekirdağ
Tokat	TR	613990	10072	Tokat	Tokat
Trabzon	TR	757898	4664	Trabzon	Trabzon
Tunceli	TR	86276	7685	Tunceli	Tunceli
Uşak	TR	342269	5363	Usak	Uşak
Van	TR	1051975	19414	Van	Van
Yozgat	TR	453211	14074	Yozgat	Yozgat
Zonguldak	TR	606527	3309	Zonguldak	Zonguldak
Bartın	TR	188436	2080	Bartin	Bartın
Karabük	TR	225145	4108	Karabük	Karabük
Ardahan	TR	106643	4967	Ardahan	Ardahan
Iğdır	TR	190409	3587	Iğdır	Iğdır
Yalova	TR	211799	850	Yalova	Yalova
Kilis	TR	124320	1427	Kilis	Kilis
Düzce	TR	346493	2592	Duzce	Düzce
Osmaniye	TR	492135	3195	Osmaniye	Osmaniye
Nordjylland	DK	579996	7933	Aalborg	Nordjylland
Midtjylland	DK	1266682	13124	Viborg	Midtjylland
Syddanmark	DK	1201342	12206	Vejle	Syddanmark
Hovedstaden	DK	1714589	2561	Hillerød	Hovedstaden
Sjælland	DK	817907	7273	Sorø	Sjælland
Estonia	EW	1294455	45100	Tallinn	Estonia
Faroe Islands	FARX	48197	1400	Tórshavn	Faroe Islands
Aland	SF	23000	\N	Mariehamn	Aland
Haeme	SF	662000	\N	Hämeenlinna	Haeme
Kuopio	SF	252000	\N	Kuopio	Kuopio
Kymi	SF	345000	\N	Kotka	Kymi
Lappia	SF	195000	\N	Rovaniemi	Lappia
Mikkeli	SF	209000	\N	Mikkeli	Mikkeli
Suomi	SF	242000	\N	Jyväskylä	Suomi
Pohjols-Karjala	SF	177000	\N	Joensuu	Pohjols-Karjala
Oulu	SF	415000	\N	Oulu	Oulu
Turku-Pori	SF	702000	\N	Turku	Turku-Pori
Uusimaa	SF	1119000	\N	Helsinki	Uusimaa
Vaasa	SF	430000	\N	Vaasa	Vaasa
Oslo	N	623966	454	Oslo	Oslo
Akershus	N	566399	4917	Oslo	Oslo
Østfold	N	282000	4180	Moss	Østfold
Hedmark	N	193719	27397	Hamar	Hedmark
Oppland	N	187254	25192	Lillehammer	Oppland
Buskerud	N	269003	14910	Drammen	Buskerud
Vestfold	N	238748	2225	Tonsberg	Vestfold
Telemark	N	170902	15296	Skien	Telemark
Aust-Agder	N	112772	9157	Arendal	Aust-Agder
Vest-Agder	N	176353	7276	Kristiansand	Vest-Agder
Rogaland	N	452159	9375	Stavanger	Rogaland
Hordaland	N	498135	15438	Bergen	Hordaland
Sogn og Fjordane	N	108700	18623	Hermansverk	Sogn og Fjordane
Møre og Romsdal	N	259404	15101	Molde	Møre og Romsdal
Sør-Trøndelag	N	302755	18839	Trondheim	Sør-Trøndelag
Nord-Trøndelag	N	134443	22414	Steinkjer	Nord-Trøndelag
Nordland	N	239611	38482	Bodø	Nordland
Troms	N	160418	25862	Tromsø	Troms
Finnmark	N	74534	48631	Vadsø	Finnmark
Västra Götaland	S	1600447	23948	Göteborg	Västra Götaland
Blekinge	S	152315	2946	Karlskrona	Blekinge
Gävleborg	S	276637	18198	Gävle	Gävleborg
Gotland	S	57241	3151	Visby	Gotland
Halland	S	304116	5460	Halmstad	Halland
Jämtland	S	126201	49341	Ostersund	Jämtland
Jönköping	S	339116	10495	Jönköping	Jönköping
Kalmar	S	233548	11217	Kalmar	Kalmar
Dalarna	S	276555	28188	Falun	Dalarna
Skåne	S	1263088	11034	Malmö	Skåne
Kronoberg	S	185887	8466	Växjö	Kronoberg
Norrbotten	S	248637	98244	Lulea	Norrbotten
Örebro	S	283113	8545	Örebro	Örebro
Östergötland	S	433784	10602	Linköping	Östergötland
Södermanland	S	274723	6102	Nykoping	Södermanland
Stockholm	S	2127006	6519	Stockholm	Stockholm
Uppsala	S	341977	8207	Uppsala	Uppsala
Värmland	S	273080	17591	Karlstad	Värmland
Västerbotten	S	260217	55186	Umeå	Västerbotten
Västernorrland	S	241981	21683	Härnösand	Västernorrland
Västmanland	S	256224	5145	Västerås	Västmanland
Monaco	MC	36845	1.9	Monaco	Monaco
Gibraltar	GBZ	27495	6.5	Gibraltar	Gibraltar
Guernsey	GBG	59807	194	Saint Peter Port	Guernsey
Holy See	V	842	0.44	Vatican City	Holy See
Ceuta	CEU	82376	18	Ceuta	Ceuta
Melilla	MEL	78476	12	Melilla	Melilla
Iceland	IS	318452	103000	Reykjavik	Iceland
Ireland	IRL	4588252	70280	Dublin	Ireland
San Marino	RSM	32440	60	San Marino	San Marino
Jersey	GBJ	97857	117	Saint Helier	Jersey
Malta	M	417432	320	Valletta	Malta
Isle of Man	GBM	84497	588	Douglas	Isle of Man
Moldova	MD	3559541	33700	Chişinău	Moldova
Aveiro	P	656000	2808	Aveiro	Aveiro
Beja	P	167900	10225	Beja	Beja
Braga	P	746100	2673	Braga	Braga
Braganca	P	158300	6608	Braganca	Braganca
Castelo Branco	P	214700	6675	Castelo Branco	Castelo Branco
Coimbra	P	427600	3947	Coimbra	Coimbra
Evora	P	173500	7393	Evora	Evora
Algarve	P	340100	4960	Faro	Algarve
Guarda	P	187800	5518	Guarda	Guarda
Leiria	P	427800	3515	Leiria	Leiria
Lisboa	P	2063800	2761	Lisboa	Lisboa
Portalegre	P	134300	6065	Portalegre	Portalegre
Porto	P	1622300	2395	Oporto	Porto
Santarem	P	442700	6747	Santarem	Santarem
Setubal	P	713700	5064	Setúbal	Setubal
Viana do Castelo	P	248700	2255	Viana do Castelo	Viana do Castelo
Vila Real	P	237100	4328	Vila Real	Vila Real
Viseu	P	401000	5007	Viseu	Viseu
Azores	P	236700	2247	Ponta Delgada	Azores
Madeira	P	253000	794	Funchal	Madeira
Svalbard	SVAX	1872	62049	Longyearbyen	Svalbard
North East	GB	2610481	8573	Newcastle upon Tyne	North East
North West	GB	7103260	14105	Manchester	North West
Yorkshire and the Humber	GB	5337710	15407	Leeds	Yorkshire and the Humber
East Midlands	GB	4598729	15606	Nottingham	East Midlands
West Midlands	GB	5674712	12998	Birmingham	West Midlands
East of England	GB	5954169	19108	Cambridge	East of England
London	GB	8416535	1572	London	London
South East	GB	8792626	19069	Southampton	South East
South West	GB	5377595	23837	Bristol	South West
Scotland	GB	5327700	78133	Edinburgh	Scotland
Wales	GB	3082412	20735	Cardiff	Wales
Northern Ireland	GB	1829725	14130	Belfast	Northern Ireland
Afghanistan	AFG	26023100	647500	Kabul	Afghanistan
Anhui	CN	60298000	139900	Hefei	Anhui
Fujian	CN	37740000	123100	Fuzhou	Fujian
Gansu	CN	25821800	366500	Lanzhou	Gansu
Guangdong	CN	106440000	197100	Guangzhou	Guangdong
Guizhou	CN	35022200	174000	Guiyang	Guizhou
Hainan	CN	8952800	34300	Haikou	Hainan
Hebei	CN	73326100	202700	Shijiazhuang	Hebei
Heilongjiang	CN	38350200	463600	Harbin	Heilongjiang
Henan	CN	94133500	167000	Zhengzhou	Henan
Hubei	CN	57990000	187500	Wuhan	Hubei
Hunan	CN	66906000	210500	Changsha	Hunan
Jiangsu	CN	79394900	102600	Nanjing	Jiangsu
Jiangxi	CN	45221500	164800	Nanchang	Jiangxi
Jilin	CN	27512800	187000	Changchun	Jilin
Liaoning	CN	43900000	151000	Shenyang	Liaoning
Qinghai	CN	5777900	721000	Xining	Qinghai
Shaanxi	CN	37640000	195800	Xi'an	Shaanxi
Shandong	CN	97333900	153300	Jinan	Shandong
Shanxi	CN	36298000	157100	Taiyuan	Shanxi
Sichuan	CN	81070000	488000	Chengdu	Sichuan
Yunnan	CN	46866000	436200	Kunming	Yunnan
Zhejiang	CN	54980000	101800	Hangzhou	Zhejiang
Guangxi	CN	47190000	220400	Nanning	Guangxi
Nei Mongol	CN	24976100	1177500	Hohhot	Nei Mongol
Ningxia	CN	6541900	66400	Yinchuan	Ningxia
Xinjiang	CN	22643000	1646900	Wulumuqi	Xinjiang
Xizang	CN	3120400	1221600	Lhasa	Xizang
Beijing	CN	21148000	16808	Beijing	Beijing
Shanghai	CN	24151500	6200	Shanghai	Shanghai
Tianjin	CN	14722100	11300	Tianjin	Tianjin
Chongqing	CN	29700000	82400	Chongqing	Chongqing
West Azarbayejan	IR	3080576	37411	Orumiyeh	West Azarbayejan
East Azarbayejan	IR	3724620	45651	Tabriz	East Azarbayejan
Kermanshah	IR	1945227	25009	Kermanshah	Kermanshah
Kohgiluyeh and Boyerahmad	IR	658629	15504	Yasuj	Kohgiluyeh and Boyerahmad
Bushehr	IR	1032949	22743	Bushehr	Bushehr
Chaharmahal and Bakhtiyari	IR	895263	16328	Shahr-e-Kord	Chaharmahal and Bakhtiyari
Esfahan	IR	4879312	107018	Esfahan	Esfahan
Fars	IR	4596658	122608	Shiraz	Fars
Gillan	IR	2480874	14042	Rasht	Gillan
Hamedan	IR	1758268	19368	Hamedan	Hamedan
Hormozgan	IR	1578183	70697	Bandar Abbas	Hormozgan
Ilam	IR	557599	20133	Ilam	Ilam
Kerman	IR	2938988	180726	Kerman	Kerman
Khorasan-e-Razavi	IR	5994402	118851	Mashhad	Khorasan-e-Razavi
Khuzestan	IR	4531720	64055	Ahvaz	Khuzestan
Kurdestan	IR	1493645	29137	Sanandaj	Kurdestan
Lorestan	IR	1754243	28294	Khorramabad	Lorestan
Markazi	IR	1413959	29127	Arak	Markazi
Mazandaran	IR	3073943	23842	Sari	Mazandaran
Semnan	IR	631218	97491	Semnan	Semnan
Sistan and Baluchestan	IR	2534327	181785	Zahedan	Sistan and Baluchestan
Tehran	IR	12183391	13692	Tehran	Tehran
Yazd	IR	1074428	129285	Yazd	Yazd
Zanjan	IR	1015734	21773	Zanjan	Zanjan
Ardebil	IR	1248488	17800	Ardebil	Ardebil
Golestan	IR	1777014	20367	Gorgan	Golestan
Alborz	IR	2412513	5122	Karaj	Alborz
Qom	IR	1151672	11526	Qom	Qom
Qazvin	IR	1201565	15567	Qazvin	Qazvin
North Khorasan	IR	867727	28434	Bojnurd	North Khorasan
South Khorasan	IR	662534	95385	Birjand	South Khorasan
Azad Jammu and Kashmir	PK	2580000	13297	Muzaffarabad	Azad Jammu and Kashmir
Balochistan	PK	6565885	347190	Quetta	Balochistan
FATA	PK	3176331	27220	Peshawar	Khyber Pakhtunkhwa
FCT Islamabad	PK	805235	906	Islamabad	FCT Islamabad
Gilgit-Baltistan	PK	870347	72520	Gilgit	Gilgit-Baltistan
Khyber Pakhtunkhwa	PK	17735912	74521	Peshawar	Khyber Pakhtunkhwa
Punjab	PK	73621290	205345	Lahore	Punjab
Sindh	PK	30439893	140914	Karachi	Sindh
Regions of Republican Subordination	TAD	1874000	28600	Dushanbe	Dushanbe
Sughd	TAD	2400600	25200	Khujand	Sughd
Khatlon	TAD	2898600	24600	Qurghonteppa	Khatlon
Gorno-Badakhshan	TAD	212100	64100	Khorugh	Gorno-Badakhshan
Dushanbe	TAD	775800	100	Dushanbe	Dushanbe
Ashgabat	TM	712000	100	Ashgabat	Ashgabat
Akhal	TM	779400	97428	Anau	Akhal
Balkan	TM	477600	138500	Balkanabat	Balkan
Dashhowuz	TM	1183100	73600	Dashhowuz	Dashhowuz
Lebap	TM	1147000	93800	Turkmenabat	Lebap
Mary	TM	1271200	86800	Mary	Mary
Andijon	UZB	2805500	4200	Andijon	Andijon
Buxoro	UZB	1756400	39400	Buxoro	Buxoro
Fargʻona	UZB	3386500	6800	Farg'ona	Fargʻona
Jizzax	UZB	1226800	20500	Jizzax	Jizzax
Xorazm	UZB	1684100	6300	Urganch	Xorazm
Namangan	UZB	2504100	7900	Namangan	Namangan
Navoiy	UZB	901100	110800	Navoiy	Navoiy
Qasqadaryo	UZB	2895300	28400	Qarshi	Qasqadaryo
Samarqand	UZB	3445600	16400	Samarqand	Samarqand
Sirdaryo	UZB	763800	5100	Guliston	Sirdaryo
Surxondaryo	UZB	2308300	20800	Termiz	Surxondaryo
Toshkent	UZB	2725900	15000	Toshkent	Toshkent City
Qoraqalpogʻiston	UZB	1736500	165590	Nukus	Qoraqalpogʻiston
Toshkent City	UZB	2352900	300	Toshkent	Toshkent City
Armenia	ARM	3026879	29800	Yerevan	Armenia
Georgia	GE	4483800	69700	Tbilisi	Georgia
Azerbaijan	AZ	9356500	86600	Baku	Azerbaijan
Bahrain	BRN	1234596	620	Al Manāmah	Bahrain
Barisal	BD	8325666	13225	Barisal	Barisal
Chittagong	BD	28423019	33908	Chittagong	Chittagong
Dhaka	BD	47424418	31177	Dhaka	Dhaka
Khulna	BD	15687759	22284	Khulna	Khulna
Rajshahi	BD	18484858	18153	Rajshahi	Rajshahi
Rangpur	BD	15787758	16184	Rangpur	Rangpur
Sylhet	BD	9910219	12635	Sylhet	Sylhet
Ayeyarwady	MYA	6175123	35031	Pathein	Ayeyarwady
Magwe	MYA	3912711	44820	Magwe	Magwe
Mandalay	MYA	6145588	37945	Mandalay	Mandalay
Bago	MYA	4863455	39402	Bago	Bago
Yangon	MYA	7355075	10276	Yangon	Yangon
Sagaing	MYA	5320299	93704	Sagaing	Sagaing
Tanintharyi	MYA	1406434	43344	Tavoy	Tanintharyi
Chin	MYA	478690	36018	Hakha	Chin
Kachin	MYA	1689654	89041	Myitkyina	Kachin
Kayin	MYA	1572657	30382	Hpa an	Kayin
Kayah	MYA	286738	11731	Loikaw	Kayah
Mon	MYA	2050282	12296	Mawlamyine	Mon
Rakhine	MYA	3188963	36778	Sittwe	Rakhine
Shan	MYA	5815384	155801	Taunggyi	Shan
Nay Pyi Taw	MYA	1158367	7054	Nay Pyi Taw	Nay Pyi Taw
Andhra Pradesh	IND	49386799	160205	Hyderabad	Telangana
Arunachal Pradesh	IND	1383727	83743	Itanagar	Arunachal Pradesh
Assam	IND	31205576	78438	Dispur	Assam
Bihar	IND	104099452	94163	Patna	Bihar
Goa	IND	1458545	3702	Panaji	Goa
Gujarat	IND	60439692	196244	Gandhinagar	Gujarat
Haryana	IND	25351462	44212	Chandigarh	Chandigarh
Himachal Pradesh	IND	6864602	55673	Simla	Himachal Pradesh
Jammu and Kashmir	IND	12541302	222236	Srinagar	Jammu and Kashmir
Karnataka	IND	61095297	191791	Bangalore	Karnataka
Kerala	IND	33406061	38852	Trivandrum	Kerala
Madhya Pradesh	IND	72626809	308252	Bhopal	Madhya Pradesh
Maharashtra	IND	112374333	307713	Mumbai	Maharashtra
Manipur	IND	2855794	22327	Imphal	Manipur
Meghalaya	IND	2966889	22429	Shillong	Meghalaya
Mizoram	IND	1097206	21081	Aijal	Mizoram
Nagaland	IND	1978502	16579	Kohima	Nagaland
Odisha	IND	41974218	155707	Bhubaneswar	Odisha
Punjab	IND	27743338	50362	Chandigarh	Chandigarh
Rajasthan	IND	68548437	342239	Jaipur	Rajasthan
Sikkim	IND	610577	7096	Gangtok	Sikkim
Tamil Nadu	IND	72147030	130060	Chennai	Tamil Nadu
Tripura	IND	3673917	10486	Agartala	Tripura
Uttar Pradesh	IND	199812341	240928	Lucknow	Uttar Pradesh
West Bengal	IND	91276115	88752	Kolkata	West Bengal
Andaman and Nicobar Islands	IND	380581	8249	Port Blair	Andaman and Nicobar Islands
Chandigarh	IND	1055450	114	Chandigarh	Chandigarh
Dadra and Nagar Haveli	IND	343709	491	Silvassa	Dadra and Nagar Haveli
Daman and Diu	IND	243247	111	Daman	Daman and Diu
Delhi	IND	16787941	1483	Delhi	Delhi
Lakshadweep	IND	64473	30	Kavaratti	Lakshadweep
Puducherry	IND	1247953	490	Pondicherry	Puducherry
Chhattisgarh	IND	25545198	135191	Raipur	Chhattisgarh
Jharkhand	IND	32988134	79716	Ranchi	Jharkhand
Telangana	IND	35193978	114840	Hyderabad	Telangana
Uttarakhand	IND	10086292	53483	Dehra Dun	Uttarakhand
Bhutan	BHT	733004	47000	Thimphu	Bhutan
Brunei	BRU	393372	5770	Bandar Seri Begawan	Brunei
Johor	MAL	3348283	19210	Johor Bahru	Johor
Kedah	MAL	1947651	9500	Alor Setar	Kedah
Kelantan	MAL	1459994	15099	Kota Bahru	Kelantan
Melaka	MAL	788706	1664	Melaka	Melaka
Negeri Sembilan	MAL	997071	6686	Seremban	Negeri Sembilan
Pahang	MAL	1443365	36137	Kuantan	Pahang
Perak	MAL	2258428	21035	Ipoh	Perak
Perlis	MAL	227025	821	Kangar	Perlis
Pulau Pinang	MAL	1520143	1048	Georgetown	Pulau Pinang
Sabah	MAL	3120040	73631	Kota Kinabalu	Sabah
Sarawak	MAL	2420009	124450	Kuching Utara	Sarawak
Selangor	MAL	5411324	8104	Shah Alam	Selangor
Terengganu	MAL	1015776	13035	Kuala Terengganu	Terengganu
Kuala Lumpur	MAL	1627172	243	Kuala Lumpur	Kuala Lumpur
Labuan	MAL	85272	91	Labuan	Labuan
Putrajaya	MAL	67964	49	Putrajaya	Putrajaya
Laos	LAO	6514432	236800	Vientiane	Laos
Thailand	THA	65981659	514000	Bangkok	Thailand
Cambodia	K	14364931	181040	Phnom Penh	Cambodia
Vietnam	VN	88772900	329560	Hanoi	Vietnam
Almaty City	KAZ	1507737	319	Almaty	Almaty City
Almaty	KAZ	1985529	223924	Taldykurgan	Almaty
Akmola	KAZ	735640	146219	Koksetau	Akmola
Aktobe	KAZ	808878	300629	Aqtobe	Aktobe
Atyrau	KAZ	567938	118631	Atyrau	Atyrau
West Kazakhstan	KAZ	624001	151339	Oral	West Kazakhstan
Mangistau	KAZ	587440	165642	Aktau	Mangistau
South-Kazakhstan	KAZ	2734734	117249	Shymkent	South-Kazakhstan
Pavlodar	KAZ	752977	124800	Pavlodar	Pavlodar
Karaganda	KAZ	1369839	427982	Karaganda	Karaganda
Kostanai	KAZ	880889	196001	Kustanay	Kostanai
Kyzylorda	KAZ	740389	226019	Kyzylorda	Kyzylorda
East-Kazakhstan	KAZ	1394114	283226	Oskemen	East-Kazakhstan
North-Kazakhstan	KAZ	575746	97993	Petropavlovsk	North-Kazakhstan
Zhambyl	KAZ	1084987	144264	Taraz	Zhambyl
Baikonur	KAZ	\N	57	Baikonur	Baikonur
Astana	KAZ	814401	710	Astana	Astana
North Korea	NOK	24500520	120540	Pyongyang	North Korea
Kyrgyzstan	KGZ	5776600	198500	Bishkek	Kyrgyzstan
Hong Kong	HONX	7071576	1092	Hong Kong	Hong Kong
Macao	MACX	552503	16	Macao	Macao
Mongolia	MNG	2754685	1565000	Ulaanbaatar	Mongolia
Nepal	NEP	26494504	140800	Kathmandu	Nepal
Christmas Island	XMAS	2072	135	Flying Fish Cove	Christmas Island
Cocos Islands	COCO	596	14	West Island	Cocos Islands
Cyprus	CY	840407	9251	Lefkosia	Cyprus
Gaza Strip	GAZA	1760037	365	\N	\N
Yerushalayim	IL	924100	653	Yerushalayim	Yerushalayim
HaMerkaz	IL	1814300	1294	Ramla	HaMerkaz
Hefa	IL	898400	866	Haifa	Hefa
HaZafon	IL	1257200	4473	Nazareth	HaZafon
Tel Aviv	IL	1277100	172	Tel Aviv-Yafo	Tel Aviv
HaDarom	IL	1084200	14185	Be'er Sheva	HaDarom
Egypt	ET	83667047	1001450	Al Qahirah	Egypt
Aceh	RI	4731705	57956	Banda Aceh	Aceh
Sumatera Utara	RI	13527937	72981	Medan	Sumatera Utara
Sumatera Barat	RI	5098790	42012	Padang	Sumatera Barat
Riau	RI	6358636	87023	Pekanbaru	Riau
Jambi	RI	3412459	50058	Jambi	Jambi
Sumatera Selatan	RI	7996535	91592	Palembang	Sumatera Selatan
Bengkulu	RI	1828291	19919	Bengkulu	Bengkulu
Lampung	RI	7972246	34623	Bandar Lampung	Lampung
Kepulauan Bangka Belitung	RI	1380762	16424	Pangkal Pinang	Kepulauan Bangka Belitung
Kepulauan Riau	RI	2031895	8201	Tanjungpinang	Kepulauan Riau
DKI Jakarta	RI	10135030	664	Jakarta	DKI Jakarta
Jawa Barat	RI	46300543	35377	Bandung	Jawa Barat
Jawa Tengah	RI	32779832	32800	Semarang	Jawa Tengah
DI Yogyakarta	RI	3594290	3133	Yogyakarta	DI Yogyakarta
Jawa Timur	RI	38529481	47799	Surabaya	Jawa Timur
Banten	RI	11834087	9662	Serang	Banten
Bali	RI	4225384	5780	Denpasar	Bali
Nusa Tenggara Barat	RI	4702389	18572	Mataram	Nusa Tenggara Barat
Nusa Tenggara Timur	RI	5070746	48718	Kupang	Nusa Tenggara Timur
Kalimantan Barat	RI	4546439	147307	Pontianak	Kalimantan Barat
Kalimantan Tengah	RI	2368654	153564	Palangkaraya	Kalimantan Tengah
Kalimantan Selatan	RI	3913908	38744	Bandjarmasin	Kalimantan Selatan
Kalimantan Timur	RI	4115741	204534	Samarinda	Kalimantan Timur
Sulawesi Utara	RI	2382941	13851	Manado	Sulawesi Utara
Sulawesi Tengah	RI	2839290	61841	Palu	Sulawesi Tengah
Sulawesi Selatan	RI	8395747	46717	Makassar	Sulawesi Selatan
Sulawesi Tenggara	RI	2417962	38067	Kendari	Sulawesi Tenggara
Gorontalo	RI	1134498	11257	Gorontalo	Gorontalo
Sulawesi Barat	RI	1284620	16787	Mamuju	Sulawesi Barat
Maluku	RI	1708190	46914	Ambon	Maluku
Maluku Utara	RI	1141561	31982	Ternate	Maluku Utara
Papua Barat	RI	877437	97024	Manokwari	Papua Barat
Papua	RI	3486432	319036	Jayapura	Papua
Timor-Leste	TL	1066582	15007	Dili	Timor-Leste
Papua New Guinea	PNG	7275324	461690	Port Moresby	Papua New Guinea
al-Anbar	IRQ	1561407	138288	Ar Ramadi	al-Anbar
Babylon	IRQ	1820673	5119	Al Hillah	Babylon
Baghdad	IRQ	7055196	4555	Baghdad	Baghdad
Basrah	IRQ	2531997	19070	Al Basrah	Basrah
Thi Qar	IRQ	1836181	12900	An Nasiriyah	Thi Qar
Diala	IRQ	1443173	17685	Ba'qubah	Diala
Kerbela	IRQ	1066567	5034	Kerbela	Kerbela
Maysan	IRQ	971448	16072	Al Amarah	Maysan
al-Muthanna	IRQ	719069	51740	As Samawah	al-Muthanna
al-Najaf	IRQ	1285484	28824	An Najaf	al-Najaf
Nineveh	IRQ	3270422	37323	Al Mawsil	Nineveh
al-Qadisiya	IRQ	1134313	8153	Diwaniyah	al-Qadisiya
Salah al-Deen	IRQ	1408174	24075	Samarra	Salah al-Deen
Kirkuk	IRQ	1395614	9679	Kirkuk	Kirkuk
Wasit	IRQ	1210591	17153	Al Kut	Wasit
Duhouk	IRQ	1128745	6553	Duhouk	Duhouk
Erbil	IRQ	1612692	15074	Erbil	Erbil
As Sulaymaniyah	IRQ	942513	17023	As Sulaymaniyah	As Sulaymaniyah
Jordan	JOR	6249000	89213	Amman	Jordan
Kuwait	KWT	2991580	17820	Al Kuwayt	Kuwait
Al-Hudud ash Shamaliyah	SA	320524	111797	Arar	Al-Hudud ash Shamaliyah
Al-Baha	SA	411888	9921	Al Baha	Al-Baha
Al-Jouf	SA	440009	100212	Sakaka	Al-Jouf
Al-Madinah Al-Monawarah	SA	1777933	151990	Al Madinah	Al-Madinah Al-Monawarah
Al-Qaseem	SA	1215858	58046	Buraydah	Al-Qaseem
Al-Riyadh	SA	6777146	404240	Riyadh	Al-Riyadh
Aseer	SA	1913392	76693	Abha	Aseer
Ash Sharqiyah	SA	4105780	672522	Dammam	Ash Sharqiyah
Ha'il	SA	597144	103887	Hail	Ha'il
Jazan	SA	1365110	11671	Jazan	Jazan
Makkah Al-Mokarramah	SA	6915006	153128	Makkah	Makkah Al-Mokarramah
Najran	SA	505652	149511	Najran	Najran
Tabouk	SA	791535	146072	Tabouk	Tabouk
Al Hasakah	SYR	1477000	23334	Al Hasakah	Al Hasakah
Al Ladhiqiyah	SYR	991000	2297	Al Ladhiqiyah	Al Ladhiqiyah
Al Qunaytirah	SYR	87000	1861	Al Qunaytirah	Al Qunaytirah
Ar Raqqah	SYR	921000	19616	Ar Raqqah	Ar Raqqah
As Suwayda'	SYR	364000	5550	As Suwayda'	As Suwayda'
Dar`a	SYR	998000	3730	Dar`a	Dar`a
Dayr az Zawr	SYR	1202000	33060	Dayr az Zawr	Dayr az Zawr
Dimashq	SYR	1733000	105	Dimashq	Dimashq
Halab	SYR	4744000	18500	Halab	Halab
Hamah	SYR	1593000	8883	Hamah	Hamah
Hims	SYR	1763000	42223	Hims	Hims
Idlib	SYR	1464000	6097	Idlib	Idlib
Rif Dimashq	SYR	2744000	18032	Dimashq	Dimashq
Tartus	SYR	785000	1892	Tartus	Tartus
Lebanon	RL	4341092	10400	Bayrūt	Lebanon
West Bank	WEST	2790331	5655	Ramallah	West Bank
Hokkaido	J	5431000	83456	Sapporo	Hokkaido
Aomori	J	1335000	9644	Aomori	Aomori
Iwate	J	1295000	15278	Morioka	Iwate
Miyagi	J	2328000	7285	Sendai	Miyagi
Akita	J	1050000	11636	Akita	Akita
Yamagata	J	1141000	9323	Yamagata	Yamagata
Fukushima	J	1946000	13782	Fukushima	Fukushima
Ibaraki	J	2931000	6095	Mito	Ibaraki
Tochigi	J	1986000	6408	Utsunomiya	Tochigi
Gumma	J	1984000	6362	Maebashi	Gumma
Saitama	J	7222000	3798	Saitama	Saitama
Chiba	J	6192000	5156	Chiba	Chiba
Tokyo	J	13300000	2187	Tokyo	Tokyo
Kanagawa	J	9079000	2415	Yokohama	Kanagawa
Niigata	J	2330000	12583	Niigata	Niigata
Toyama	J	1076000	4247	Toyama	Toyama
Ishikawa	J	1159000	4185	Kanazawa	Ishikawa
Fukui	J	795000	4189	Fukui	Fukui
Yamanashi	J	847000	4465	Kofu	Yamanashi
Nagano	J	2122000	13562	Nagano	Nagano
Gifu	J	2051000	10621	Gifu	Gifu
Shizuoka	J	3723000	7780	Shizuoka	Shizuoka
Aichi	J	7443000	5165	Nagoya	Aichi
Mie	J	1833000	5777	Tsu	Mie
Shiga	J	1416000	4017	Otsu	Shiga
Kyoto	J	2617000	4613	Kyoto	Kyoto
Osaka	J	8849000	1898	Osaka	Osaka
Hyogo	J	5558000	8396	Kobe	Hyogo
Nara	J	1383000	3691	Nara	Nara
Wakayama	J	979000	4726	Wakayama	Wakayama
Tottori	J	578000	3507	Tottori	Tottori
Shimane	J	702000	6707	Matsue	Shimane
Okayama	J	1930000	7113	Okayama	Okayama
Hiroshima	J	2840000	8479	Hiroshima	Hiroshima
Yamaguchi	J	1420000	6113	Yamaguchi	Yamaguchi
Tokushima	J	770000	4146	Tokushima	Tokushima
Kagawa	J	985000	1876	Takamatsu	Kagawa
Ehime	J	1405000	5678	Matsuyama	Ehime
Kochi	J	745000	7105	Kochi	Kochi
Fukuoka	J	5090000	4977	Fukuoka	Fukuoka
Saga	J	840000	2439	Saga	Saga
Nagasaki	J	1397000	4105	Nagasaki	Nagasaki
Kumamoto	J	1801000	7404	Kumamoto	Kumamoto
Oita	J	1178000	6339	Oita	Oita
Miyazaki	J	1120000	7735	Miyazaki	Miyazaki
Kagoshima	J	1680000	9188	Kagoshima	Kagoshima
Okinawa	J	1415000	2276	Naha	Okinawa
South Korea	ROK	51141463	98480	Seoul	South Korea
Maldives	MV	341256	300	Male	Maldives
Oman	OM	3623001	212460	Muscat	Oman
United Arab Emirates	UAE	8441537	75581	Abu Dhabi	United Arab Emirates
Yemen	YE	24527000	527970	Sana'a	Yemen
Ilocos	RP	4748372	13012	San Fernando	Ilocos
Cagayan Valley	RP	3229163	28228	Tuguegarao	Cagayan Valley
Central Luzon	RP	10137737	22014	San Fernando	Central Luzon
Calabarzon	RP	12609803	16873	Calamba	Calabarzon
Bicol	RP	5420411	18155	Legazpi	Bicol
Western Visayas	RP	7102438	20794	Iloilo	Western Visayas
Central Visayas	RP	6800180	15885	Cebu	Central Visayas
Eastern Visayas	RP	4101322	23251	Tacloban	Eastern Visayas
Zamboanga Peninsula	RP	3407353	17046	Pagadian	Zamboanga Peninsula
Northern Mindanao	RP	4297323	20496	Cagayan De Oro	Northern Mindanao
Davao	RP	4468563	20357	Davao	Davao
Soccsksargen	RP	4109571	22513	Koronadal	Soccsksargen
Metro Manila	RP	11855975	633	Manila	Metro Manila
Cordillera	RP	1616867	19422	Baguio	Cordillera
Muslim Mindanao	RP	3256140	21065	Cotabato	Muslim Mindanao
Caraga	RP	2429224	21478	Butuan	Caraga
Mimaropa	RP	2744671	29620	Calapan	Mimaropa
Qatar	Q	1699435	11000	Doha	Qatar
Singapore	SGP	5076700	632.6	Singapore	Singapore
Sri Lanka	CL	20263723	65610	Sri Jayawardhanapura Kotte	Sri Lanka
Taiwan	RC	23315822	36179	Taipei	Taiwan
Anguilla	AXA	13037	102	The Valley	Anguilla
Antigua and Barbuda	AG	81799	442	Saint Johns	Antigua and Barbuda
Aruba	ARU	101484	193	Oranjestad	Aruba
Bahamas	BS	353658	13940	Nassau	Bahamas
Barbados	BDS	277821	430	Bridgetown	Barbados
Belize	BZ	312971	22960	Belmopan	Belize
Guatemala	GCA	15073375	108890	Ciudad de Guatemala	Guatemala
Aguascalientes	MEX	1184996	5617	Aguascalientes	Aguascalientes
Baja California	MEX	3155070	71445	Mexicali	Baja California
Baja California Sur	MEX	637026	73922	La Paz	Baja California Sur
Campeche	MEX	822441	57924	Campeche	Campeche
Chiapas	MEX	4796580	73288	Tuxtla Gutiérrez	Chiapas
Chihuahua	MEX	3406465	247455	Chihuahua	Chihuahua
Coahuila	MEX	2748391	151562	Saltillo	Coahuila
Colima	MEX	650555	5625	Colima	Colima
Durango	MEX	1632934	123451	Durango	Durango
Guanajuato	MEX	5486372	30608	Guanajuato	Guanajuato
Guerrero	MEX	3388768	63620	Chilpancingo	Guerrero
Herrera	PA	109955	2362	Chitre	Herrera
Hidalgo	MEX	2665018	20846	Pachuca	Hidalgo
Jalisco	MEX	7350682	78599	Guadalajara	Jalisco
México, Estado de	MEX	15175862	22356	Toluca	México, Estado de
Michoacán	MEX	4351037	58643	Morelia	Michoacán
Morelos	MEX	1777227	4892	Cuernavaca	Morelos
Nayarit	MEX	1084979	27815	Tepic	Nayarit
Nuevo Léon	MEX	4653458	64220	Monterrey	Nuevo Léon
Oaxaca	MEX	3801962	93793	Oaxaca	Oaxaca
Puebla	MEX	5779829	34289	Puebla	Puebla
Querétaro	MEX	1827937	11683	Querétaro	Querétaro
Quintana Roo	MEX	1325578	42360	Chetumal	Quintana Roo
San Luis Potosí	MEX	2585518	60982	San Luis Potosí	San Luis Potosí
Sinaloa	MEX	2767761	57377	Culiacán	Sinaloa
Sonora	MEX	2662480	179502	Hermosillo	Sonora
Tabasco	MEX	2238603	24737	Villahermosa	Tabasco
Tamaulipas	MEX	3268554	80174	Ciudad Victoria	Tamaulipas
Tlaxcala	MEX	1169936	3991	Tlaxcala	Tlaxcala
Veracruz	MEX	7643194	71820	Xalapa-Enríquez	Veracruz
Yucatán	MEX	1955577	39612	Mérida	Yucatán
Zacatecas	MEX	1490668	75539	Zacatecas	Zacatecas
Distrito Federal	MEX	8851080	1485	Ciudad de México	Distrito Federal
Bermuda	BERM	64237	53.3	Hamilton	Bermuda
British Virgin Islands	BVIR	23161	153	Road Town	British Virgin Islands
Alberta	CDN	4025074	640081	Edmonton	Alberta
British Columbia	CDN	4581978	922509	Victoria	British Columbia
Manitoba	CDN	1265015	552329	Winnipeg	Manitoba
New Brunswick	CDN	756050	71377	Fredericton	New Brunswick
Newfoundland and Labrador	CDN	526702	370510	St. John's	Newfoundland and Labrador
Northwest Territories	CDN	43537	1143793	Yellowknife	Northwest Territories
Nova Scotia	CDN	940789	52939	Halifax	Nova Scotia
Ontario	CDN	13537994	908607	Toronto	Ontario
Prince Edward Island	CDN	145237	5685	Charlottetown	Prince Edward Island
Quebec	CDN	8155334	1356547	Quebec	Quebec
Saskatchewan	CDN	1108303	588239	Regina	Saskatchewan
Yukon	CDN	36700	474712	Whitehorse	Yukon
Nunavut	CDN	35591	1877787	Iqaluit	Nunavut
Alabama	USA	4849377	131171	Montgomery	Alabama
Alaska	USA	736732	1477953	Juneau	Alaska
Arizona	USA	6731484	294207	Phoenix	Arizona
Arkansas	USA	2966369	134771	Little Rock	Arkansas
California	USA	38802500	403466	Sacramento	California
Colorado	USA	5355866	268431	Denver	Colorado
Connecticut	USA	3596677	12542	Hartford	Connecticut
Delaware	USA	935614	5047	Dover	Delaware
Florida	USA	19893297	138887	Tallahassee	Florida
Georgia	USA	10097343	148959	Atlanta	Georgia
Hawaii	USA	1419561	16635	Honolulu	Hawaii
Idaho	USA	1634464	214045	Boise City	Idaho
Illinois	USA	12880580	143793	Springfield	Illinois
Indiana	USA	6596855	92789	Indianapolis	Indiana
Iowa	USA	3107126	144669	Des Moines	Iowa
Kansas	USA	2904021	211754	Topeka	Kansas
Kentucky	USA	4413457	102269	Frankfort	Kentucky
Louisiana	USA	4649676	111898	Baton Rouge	Louisiana
Maine	USA	1330089	79883	Augusta	Maine
Maryland	USA	5976407	25142	Annapolis	Maryland
Massachusetts	USA	6745408	20202	Boston	Massachusetts
Michigan	USA	9909877	146435	Lansing	Michigan
Minnesota	USA	5457173	206232	St. Paul	Minnesota
Mississippi	USA	2994079	121531	Jackson	Mississippi
Missouri	USA	6063589	178040	Jefferson City	Missouri
Montana	USA	1023579	376962	Helena	Montana
Nebraska	USA	1881503	198974	Lincoln	Nebraska
Nevada	USA	2839099	284332	Carson City	Nevada
New Hampshire	USA	1326813	23187	Concord	New Hampshire
New Jersey	USA	8938175	19047	Trenton	New Jersey
New Mexico	USA	2085572	314161	Santa Fe	New Mexico
New York	USA	19746227	122057	Albany	New York
North Carolina	USA	9943964	125920	Raleigh	North Carolina
North Dakota	USA	739482	178711	Bismarck	North Dakota
Ohio	USA	11594163	105829	Columbus	Ohio
Oklahoma	USA	3878051	177660	Oklahoma City	Oklahoma
Oregon	USA	3970239	248608	Salem	Oregon
Pennsylvania	USA	12787209	115883	Harrisburg	Pennsylvania
Rhode Island	USA	1055173	2678	Providence	Rhode Island
South Carolina	USA	4832482	77857	Columbia	South Carolina
South Dakota	USA	853175	196350	Pierre	South Dakota
Tennessee	USA	6549352	106798	Nashville-Davidson	Tennessee
Texas	USA	26956958	676587	Austin	Texas
Utah	USA	2942902	212818	Salt Lake City	Utah
Vermont	USA	626562	23871	Montpelier	Vermont
Virginia	USA	8326289	102279	Richmond	Virginia
Washington	USA	7061530	172119	Olympia	Washington
West Virginia	USA	1850326	62259	Charleston	West Virginia
Wisconsin	USA	5757564	140268	Madison	Wisconsin
Wyoming	USA	584153	251470	Cheyenne	Wyoming
District of Columbia	USA	658893	158	Washington	District of Columbia
Cayman Islands	CAYM	55691	262	George Town	Cayman Islands
San José	CR	1576884	4965	San José	San José
Alajuela	CR	946607	9757	Alajuela	Alajuela
Cartago	CR	516831	3124	Cartago	Cartago
Heredia	CR	483154	2656	Heredia	Heredia
Guanacaste	CR	359869	10140	Liberia	Guanacaste
Puntarenas	CR	461671	11265	Puntarenas	Puntarenas
Limón	CR	428103	9188	Limón	Limón
Nicaragua	NIC	6071045	129494	Managua	Nicaragua
Bocas del Toro	PA	125461	4657	Bocas del Toro	Bocas del Toro
Coclé	PA	233708	4946	Penonomé	Coclé
Colón	PA	241928	4575	Colón	Colón
Kuna Yala	PA	33109	2358	El Porvenir	Kuna Yala
Chiriquí	PA	416873	6490	David	Chiriquí
Darién	PA	48378	11892	La Palma	Darién
Los Santos	PA	89592	3809	Las Tablas	Los Santos
Panamá	PA	1713070	11289	Panamá City	Panamá
Veraguas	PA	226991	10587	Santiago	Veraguas
Emberá	PA	10001	4393	Cirilo Guainora	Emberá
Ngöbe Buglé	PA	156747	6814	Chichica	Ngöbe Buglé
Camagüey	C	768311	15386	Camagüey	Camagüey
Ciego de Ávila	C	424750	6971	Ciego de Ávila	Ciego de Ávila
Cienfuegos	C	400768	4188	Cienfuegos	Cienfuegos
La Habana	C	2154454	728	La Habana	La Habana
Granma	C	830645	8374	Bayamo	Granma
Guantánamo	C	506369	6167	Guantánamo	Guantánamo
Holguín	C	1027683	9215	Holguín	Holguín
Las Tunas	C	525729	6592	Victoria de las Tunas	Las Tunas
Matanzas	C	697314	11791	Matanzas	Matanzas
Pinar del Río	C	585452	8883	Pinar del Río	Pinar del Río
Sancti Spíritus	C	462114	6777	Sancti Spíritus	Sancti Spíritus
Santiago de Cuba	C	1053837	6227	Santiago de Cuba	Santiago de Cuba
Villa Clara	C	783708	8411	Santa Clara	Villa Clara
Isla de la Juventud	C	84263	2419	Nueva Gerona	Isla de la Juventud
Artemisa	C	487339	4003	Artemisa	Artemisa
Mayabeque	C	371198	3743	San José de las Lajas	Mayabeque
Dominica	WD	70739	746	Roseau	Dominica
Dominican Republic	DOM	9445281	48730	Santo Domingo	Dominican Republic
Haiti	RH	9896400	27750	Port-au-Prince	Haiti
El Salvador	ES	6290420	21040	San Salvador	El Salvador
Atlántida	HCA	407551	4372	La Ceiba	Atlántida
Colón	HCA	293540	8248	Trujillo	Colón
Comayagua	HCA	442251	5124	Comayagua	Comayagua
Copán	HCA	362226	3242	Santa Rosa de Copan	Copán
Cortés	HCA	1570291	3923	San Pedro Sula	Cortés
Choluteca	HCA	459124	4360	Choluteca	Choluteca
El Paraíso	HCA	427232	7489	Yuscaran	El Paraíso
Francisco Morazán	HCA	1433810	8618	Tegucigalpa	Francisco Morazán
Gracias a Dios	HCA	88314	16997	Puerto Lempira	Gracias a Dios
Intibucá	HCA	232509	3122	La Esperanza	Intibucá
Islas de la Bahía	HCA	49158	236	Roatan	Islas de la Bahía
La Paz	HCA	196322	2330	La Paz	La Paz
Lempira	HCA	315565	4234	Gracias	Lempira
Ocotepeque	HCA	132453	1630	Ocotepeque	Ocotepeque
Olancho	HCA	509564	24057	Juticalpa	Olancho
Santa Bárbara	HCA	402367	5024	Santa Barbara	Santa Bárbara
Valle	HCA	171613	1665	Nacaome	Valle
Yoro	HCA	552100	7781	Yoro	Yoro
Greenland	GROX	56370	2175600	Nuuk	Greenland
Grenada	WG	103328	344	Saint George's	Grenada
Guadeloupe	GUAD	404635	1628	Basse-Terre	Guadeloupe
Jamaica	JA	2697983	10991	Kingston	Jamaica
Martinique	MART	392291	1128	Fort-de-France	Martinique
Montserrat	MNTS	4922	102	Plymouth	Montserrat
Curacao	CUR	150563	444	Willemstad	Curacao
Sint Maarten	NLSM	37429	34	Philipsburg	Sint Maarten
Saint Martin	SMAR	37630	54	Marigot	Saint Martin
Saint Barthelemy	SBAR	9072	21	Gustavia	Saint Barthelemy
Amazonas	CO	75388	109665	Leticia	Amazonas
Antioquia	CO	6378132	63612	Medellín	Antioquia
Arauca	CO	259447	23818	Arauca	Arauca
Atlántico	CO	2432003	3388	Barranquilla	Atlántico
Bolívar	CO	2073004	25978	Cartagena	Bolívar
Boyacá	CO	1274615	23189	Tunja	Boyacá
Caldas	CO	986042	7888	Manizales	Caldas
Caquetá	CO	471541	88965	Florencia	Caquetá
Casanare	CO	350239	44640	Yopal	Casanare
Cauca	CO	1366984	29308	Popayán	Cauca
Cesar	CO	1016533	22905	Valledupar	Cesar
Chocó	CO	495151	46530	Quibdó	Chocó
Córdoba	CO	1683782	25020	Montería	Córdoba
Cundinamarca	CO	2639059	22623	Bogotá	Santa Fe de Bogotá
Guainía	CO	40839	72238	Inirida	Guainía
La Guajira	CO	930143	20848	Riohacha	La Guajira
Guaviare	CO	109490	42327	San Jose del Guaviare	Guaviare
Huila	CO	1140539	19890	Neiva	Huila
Magdalena	CO	1247514	23188	Santa Marta	Magdalena
Meta	CO	943072	85635	Villavicencio	Meta
Nariño	CO	1722945	33268	Pasto	Nariño
Norte de Santander	CO	1344038	21658	Cúcuta	Norte de Santander
Putumayo	CO	341034	24885	Mocoa	Putumayo
Quindío	CO	562114	1845	Armenia	Quindío
Risaralda	CO	946632	4140	Pereira	Risaralda
San Andrés, Providencia y Santa Catalina	CO	75801	44	San Andres	San Andrés, Providencia y Santa Catalina
Santa Fe de Bogotá	CO	7776845	1587	Bogotá	Santa Fe de Bogotá
Santander	CO	2051022	30537	Bucaramanga	Santander
Sucre	CO	843202	10917	Sincelejo	Sucre
Tolima	CO	1404262	23562	Ibagué	Tolima
Valle de Cauca	CO	4566875	22140	Cali	Valle de Cauca
Vaupés	CO	43240	65268	Mitu	Vaupés
Vichada	CO	70260	100242	Puerto Carreno	Vichada
Puerto Rico	PR	3725789	8870	San Juan	Puerto Rico
Saint Kitts and Nevis	KN	52352	269	Basseterre	Saint Kitts and Nevis
Saint Lucia	WL	165595	620	Castries	Saint Lucia
Saint Pierre and Miquelon	SPMI	6312	242	Saint-Pierre	Saint Pierre and Miquelon
Saint Vincent and the Grenadines	WV	109991	389	Kingstown	Saint Vincent and the Grenadines
Trinidad and Tobago	TT	1328019	5130	Port-of-Spain	Trinidad and Tobago
Turks and Caicos Islands	TUCA	31458	430	Grand Turk	Turks and Caicos Islands
Virgin Islands	VIRG	106405	352	Charlotte Amalie	Virgin Islands
American Samoa	AMSA	55519	199	Pago Pago	American Samoa
New South Wales	AUS	7410399	800808	Sydney	New South Wales
Northern Territory	AUS	240759	1348198	Darwin	Northern Territory
Queensland	AUS	4656803	1729958	Brisbane	Queensland
South Australia	AUS	1670827	984179	Adelaide	South Australia
Tasmania	AUS	513159	68018	Hobart	Tasmania
Victoria	AUS	5739341	227495	Melbourne	Victoria
Western Australia	AUS	2519321	2526574	Perth	Western Australia
Australia Capital Territory	AUS	381488	2358	Canberra	Australia Capital Territory
Cook Islands	COOK	17794	240	Avarua	Cook Islands
Fiji	FJI	860559	18270	Suva	Fiji
French Polynesia	FPOL	268270	4167	Papeete	French Polynesia
Guam	GUAM	159358	541.3	Hagåtña	Guam
Kiribati	KIR	103058	717	Tarawa	Kiribati
Marshall Islands	MH	53158	181.3	Majuro	Marshall Islands
Micronesia	FSM	102843	702	Palikir	Micronesia
Nauru	NAU	10025	21	Yaren	Nauru
New Caledonia	NCA	245580	19060	Noumea	New Caledonia
New Zealand	NZ	4242048	268680	Wellington	New Zealand
Niue	NIUE	1611	260	Alofi	Niue
Norfolk Island	NORF	2169	34.6	Kingston	Norfolk Island
Northern Mariana Islands	NMIS	53883	477	Saipan	Northern Mariana Islands
Palau	PAL	17501	458	Melekeok	Palau
Pitcairn	PITC	66	47	Adamstown	Pitcairn
Solomon Islands	SLB	526447	28450	Honiara	Solomon Islands
Tonga	TO	103252	748	Nukualofa	Tonga
Tuvalu	TUV	9827	26	Funafuti	Tuvalu
Tokelau	TOK	1383	12	Fakaofo	Tokelau
Vanuatu	VU	236299	14760	Port Vila	Vanuatu
Wallis and Futuna	WAFU	12197	274	Mata-Utu	Wallis and Futuna
Samoa	WS	187820	2860	Apia	Samoa
Buenos Aires	RA	16476149	307571	La Plata	Buenos Aires
Catamarca	RA	393088	102602	San Fernando del Valle de Catamarca	Catamarca
Chaco	RA	1130608	99633	Resistencia	Chaco
Chubut	RA	556319	224686	Rawson	Chubut
Córdoba	RA	3528687	165321	Córdoba	Córdoba
Corrientes	RA	1059836	88199	Corrientes	Corrientes
Entre Ríos	RA	1308290	78781	Paraná	Entre Ríos
Formosa	RA	573823	72066	Formosa	Formosa
Jujuy	RA	718971	53219	San Salvador de Jujuy	Jujuy
La Pampa	RA	339895	143440	Santa Rosa	La Pampa
La Rioja	RA	362605	89680	La Rioja	La Rioja
Mendoza	RA	1863809	148827	Mendoza	Mendoza
Misiones	RA	1174542	29801	Posadas	Misiones
Neuquén	RA	610449	94078	Neuquén	Neuquén
Río Negro	RA	688873	203013	Viedma	Río Negro
Salta	RA	1314726	155488	Salta	Salta
San Juan	RA	730408	89651	San Juan	San Juan
San Luis	RA	469889	76748	San Luis	San Luis
Santa Cruz	RA	311444	243943	Río Gallegos	Santa Cruz
Santa Fe	RA	3369365	133007	Santa Fe	Santa Fe
Santiago de Estero	RA	918147	136351	Santiago del Estero	Santiago de Estero
Tierra del Fuego	RA	148143	21571	Ushuaia	Tierra del Fuego
Tucumán	RA	1572205	22524	San Miguel de Tucumán	Tucumán
Distrito Federal	RA	3049229	203	Buenos Aires	Distrito Federal
La Paz	BOL	2706359	133985	La Paz	La Paz
Oruro	BOL	494178	53588	Oruro	Oruro
Potosí	BOL	823517	118218	Potosí	Potosí
Santa Cruz	BOL	2655084	370621	Santa Cruz de la Sierra	Santa Cruz
Beni	BOL	421196	213564	Trinidad	Beni
Pando	BOL	110436	63827	Cobija	Pando
Chuquisaca	BOL	576153	51524	Sucre	Chuquisaca
Cochabamba	BOL	1758143	55631	Cochabamba	Cochabamba
Tarija	BOL	482196	37623	Tarija	Tarija
Acre	BR	790101	152581	Rio Branco	Acre
Alagoas	BR	3321730	27767	Maceió	Alagoas
Amapá	BR	750912	142814	Macapá	Amapá
Amazonas	BR	3873743	1570745	Manaus	Amazonas
Bahia	BR	15126371	564692	Salvador	Bahia
Ceará	BR	8842791	148825	Fortaleza	Ceará
Espírito Santo	BR	3885049	46077	Vitória	Espírito Santo
Goiás	BR	6523222	340086	Goiânia	Goiás
Maranhão	BR	6850884	331983	São Luís	Maranhão
Mato Grosso	BR	3224357	903358	Cuiabá	Mato Grosso
Mato Grosso do Sul	BR	2619657	357125	Campo Grande	Mato Grosso do Sul
Minas Gerais	BR	20734097	586528	Belo Horizonte	Minas Gerais
Pará	BR	8073924	1247689	Belém	Pará
Paraíba	BR	3943885	56439	João Pessoa	Paraíba
Paraná	BR	11081692	199315	Curitiba	Paraná
Pernambuco	BR	9277727	98311	Recife	Pernambuco
Piauí	BR	3194718	251529	Teresina	Piauí
Rio de Janeiro	BR	16461173	43696	Rio de Janeiro	Rio de Janeiro
Rio Grande do Norte	BR	3408510	52796	Natal	Rio Grande do Norte
Rio Grande do Sul	BR	11207274	268887	Porto Alegre	Rio Grande do Sul
Rondônia	BR	1748531	237576	Porto Velho	Rondônia
Roraima	BR	496936	224298	Boa Vista	Roraima
Santa Catarina	BR	6727148	95346	Florianópolis	Santa Catarina
São Paulo	BR	44035304	248209	São Paulo	São Paulo
Sergipe	BR	2219574	21910	Aracaju	Sergipe
Tocantins	BR	1496880	277620	Palmas	Tocantins
Distrito Federal	BR	2852372	5801	Brasília	Distrito Federal
Tarapacá	RCH	295095	42225	Iquique	Tarapacá
Antofagasta	RCH	530879	126049	Antofagasta	Antofagasta
Atacama	RCH	284992	75176	Copiapó	Atacama
Coquimbo	RCH	687806	40579	La Serena	Coquimbo
Valparaíso	RCH	1697581	16396	Valparaíso	Valparaíso
Libertador General Bernardo O'Higgins	RCH	851406	16387	Rancagua	Libertador General Bernardo O'Higgins
Maule	RCH	955048	30296	Talca	Maule
Bío-Bío	RCH	1950482	37068	Concepción	Bío-Bío
Araucanía	RCH	889492	31842	Temuco	Araucanía
Lagos	RCH	767714	48583	Puerto Montt	Lagos
Aysén	RCH	94271	108494	Coyhaique	Aysén
Magallanes	RCH	155332	116437	Punta Arenas	Magallanes
Santiago	RCH	6604835	15403	Santiago	Santiago
Ríos	RCH	364183	18429	Valdivia	Ríos
Arica y Parinacota	RCH	212813	16873	Arica	Arica y Parinacota
Cabinda	ANG	688285	7270	Cabinda	Cabinda
Paraguay	PY	6672631	406750	Asunción	Paraguay
Uruguay	ROU	3286314	176220	Montevideo	Uruguay
Amazonas	PE	417508	39249	Chachapoyas	Amazonas
Ancash	PE	1129391	35914	Huaraz	Ancash
Apurímac	PE	451881	20895	Abancay	Apurímac
Arequipa	PE	1245251	63345	Arequipa	Arequipa
Ayacucho	PE	666029	43814	Ayacucho	Ayacucho
Cajamarca	PE	1513892	33317	Cajamarca	Cajamarca
Callao	PE	969170	146	Callao	Callao
Cusco	PE	1292175	71986	Cusco	Cusco
Huancavelica	PE	483580	22131	Huancavelica	Huancavelica
Huánuco	PE	840984	36848	Huánuco	Huánuco
Ica	PE	763558	21327	Ica	Ica
Junín	PE	1321407	44197	Huancayo	Junín
La Libertad	PE	1791659	25499	Trujillo	La Libertad
Lambayeque	PE	1229260	14231	Chiclayo	Lambayeque
Lima	PE	913734	32126	Lima	Lima City
Lima City	PE	8481415	2670	Lima	Lima City
Loreto	PE	1006953	368851	Iquitos	Loreto
Madre de Dios	PE	127639	85300	Puerto Maldonado	Madre de Dios
Moquegua	PE	174859	15733	Moquegua	Moquegua
Pasco	PE	297591	25319	Cerro de Pasco	Pasco
Piura	PE	1799607	35892	Piura	Piura
Puno	PE	1377122	71999	Puno	Puno
San Martín	PE	806452	51253	Moyobamba	San Martín
Tacna	PE	328915	16075	Tacna	Tacna
Tumbes	PE	228227	4669	Tumbes	Tumbes
Ucayali	PE	477616	102410	Pucallpa	Ucayali
French Guiana	FGU	237549	83534	Cayenne	French Guiana
Guyana	GUY	747884	214970	Georgetown	Guyana
Suriname	SME	541638	163270	Paramaribo	Suriname
Amazonas	YV	146480	183500	Puerto Ayacucho	Amazonas
Anzoátegui	YV	1469747	43300	Barcelona	Anzoátegui
Apure	YV	459025	76500	San Fernando	Apure
Aragua	YV	1630308	7014	Maracay	Aragua
Barinas	YV	816264	35200	Barinas	Barinas
Bolívar	YV	1410964	240528	Ciudad Bolívar	Bolívar
Carabobo	YV	2245744	4369	Valencia	Carabobo
Cojedes	YV	323165	14800	San Carlos	Cojedes
Delta Amacuro	YV	167676	40200	Tucupita	Delta Amacuro
Falcón	YV	902847	24800	Santa Ana de Coro	Falcón
Guárico	YV	747739	64986	San Juan	Guárico
Lara	YV	1774867	19800	Barquisimeto	Lara
Mérida	YV	828592	11300	Mérida	Mérida
Miranda	YV	2675165	7950	Los Teques	Miranda
Monagas	YV	905443	28900	Maturín	Monagas
Nueva Esparta	YV	491610	1151	La Asuncion	Nueva Esparta
Portuguesa	YV	876496	15200	Guanare	Portuguesa
Sucre	YV	896291	11800	Cumaná	Sucre
Táchira	YV	1168908	10812	San Cristóbal	Táchira
Trujillo	YV	686367	7198	Trujillo	Trujillo
Yaracuy	YV	600852	7100	San Felipe	Yaracuy
Zulia	YV	3704404	50230	Maracaibo	Zulia
Distrito Federal	YV	1943901	433	Caracas	Distrito Federal
Vargas	YV	352920	1172	La Guaira	Vargas
Ecuador	EC	14483499	283560	Quito	Ecuador
Falkland Islands	FALK	2931	12173	Stanley	Falkland Islands
Algeria	DZ	37062820	2381740	Algiers	Algeria
Libya	LAR	6040612	1759540	Tripoli	Libya
Bamako	RMM	1809106	252	Bamako	Bamako
Gao	RMM	544120	170572	Gao	Gao
Kayes	RMM	1996812	119743	Kayes	Kayes
Kidal	RMM	67638	151430	Kidal	Kidal
Koulikoro	RMM	2418305	95848	Koulikoro	Koulikoro
Mopti	RMM	2037330	79017	Mopti	Mopti
Ségou	RMM	2336255	64821	Ségou	Ségou
Sikasso	RMM	2625919	70280	Sikasso	Sikasso
Tombouctou	RMM	681691	496611	Tombouctou	Tombouctou
Adrar	RIM	62658	235002	Nouakchott	Nouakchott
Assaba	RIM	325897	36600	Kiffa	Assaba
Brakna	RIM	312277	33000	Aleg	Brakna
Dakhlet Nouadhibou	RIM	123779	23090	Nouadhibou	Dakhlet Nouadhibou
Gorgol	RIM	335917	13600	Kaedi	Gorgol
Guidimagha	RIM	267029	10300	Selibaby	Guidimagha
Hodh Chargui	RIM	430668	182700	Nema	Hodh Chargui
Hodh El Gharbi	RIM	294109	53400	Aioun	Hodh El Gharbi
Inchiri	RIM	19639	46800	Akjoujt	Inchiri
Nouakchott	RIM	958399	1000	Nouakchott	Nouakchott
Tagant	RIM	80962	98340	Tidjikja	Tagant
Tiris Zemmour	RIM	53261	252900	Zouerate	Tiris Zemmour
Trarza	RIM	272773	67800	Rosso	Trarza
Guelmim Es Semara	MA	501921	62825	Guelmim	Guelmim Es Semara
Souss Massa Daraa	MA	3601917	70880	Agadir	Souss Massa Daraa
Gharb Chrarda Beni Hssen	MA	1904112	8805	Kénitra	Gharb Chrarda Beni Hssen
Chaouia Ouardigha	MA	1893950	7010	Settat	Chaouia Ouardigha
Marrakech Tensift Al Haouz	MA	3576643	31160	Marrakech	Marrakech Tensift Al Haouz
Oriental	MA	2097629	82900	Oujda	Oriental
Grand Casablanca	MA	4270750	1615	Casablanca	Grand Casablanca
Rabat Sale Zemmour Zaer	MA	2676754	9580	Rabat	Rabat Sale Zemmour Zaer
Doukala Abda	MA	2183090	13285	Safi	Doukala Abda
Tadla Azilal	MA	1607506	17125	Beni Mellal	Tadla Azilal
Meknes Tafilalet	MA	2316865	79210	Meknès	Meknes Tafilalet
Fes Boulemane	MA	1808295	19795	Fès	Fes Boulemane
Taza Al Hoceima Taounate	MA	1807036	24155	Al Hoceima	Taza Al Hoceima Taounate
Tanger Tetouan	MA	3157075	11570	Tanger	Tanger Tetouan
Agadez	RN	487620	667799	Agadez	Agadez
Diffa	RN	593821	156906	Diffa	Diffa
Dosso	RN	2037713	33844	Dosso	Dosso
Maradi	RN	3402094	41796	Maradi	Maradi
Niamey	RN	1026848	402	Niamey	Niamey
Tahoua	RN	3328365	113371	Tahoua	Tahoua
Tillabéri	RN	2722482	97251	Tillaberi	Tillabéri
Zinder	RN	3539764	155778	Zinder	Zinder
Tunisia	TN	10982754	163610	Tunis	Tunisia
Western Sahara	WSA	554795	266000	El Aaiun	Western Sahara
Zaire	ANG	567225	40130	Mbanza Congo	Zaire
Uíge	ANG	1426354	58698	Uige	Uíge
Luanda	ANG	6542944	2417	Luanda	Luanda
Cuanza Norte	ANG	427971	24110	Ndalatando	Cuanza Norte
Cuanza Sul	ANG	1793787	55600	Sumbe	Cuanza Sul
Malanje	ANG	968135	97602	Malanje	Malanje
Lunda-Norte	ANG	799950	103760	Lucapa	Lunda-Norte
Lunda-Sul	ANG	516077	77367	Saurimo	Lunda-Sul
Benguela	ANG	2036662	39826	Benguela	Benguela
Huambo	ANG	1896147	34270	Huambo	Huambo
Bié	ANG	1338923	70314	Bie	Bié
Moxico	ANG	727594	223023	Luena	Moxico
Cuando Cubango	ANG	510369	199049	Menongue	Cuando Cubango
Namibe	ANG	471613	57091	Namibe	Namibe
Huíla	ANG	2354398	79023	Lubango	Huíla
Bengo	ANG	351579	31371	Caxito	Bengo
Cunene	ANG	965288	87342	Ngiva	Cunene
Kouilou	RCB	84165	13650	Pointe-Noire	Pointe-Noire
Niari	RCB	255120	25942	Dolisie	Niari
Lékoumou	RCB	85617	20950	Sibiti	Lékoumou
Bouenza	RCB	319570	12265	Madingou	Bouenza
Pool	RCB	436786	33955	Kinkala	Pool
Plateaux	RCB	192596	38400	Djambala	Plateaux
Cuvette	RCB	152433	48250	Owando	Cuvette
Cuvette-Ouest	RCB	59728	26600	Ewo	Cuvette-Ouest
Sangha	RCB	81326	55800	Ouesso	Sangha
Likouala	RCB	97206	66044	Impfondo	Likouala
Brazzaville	RCB	1408150	100	Brazzaville	Brazzaville
Pointe-Noire	RCB	829134	44	Pointe-Noire	Pointe-Noire
Namibia	NAM	2113077	825418	Windhoek	Namibia
Bandundu	ZRE	5201000	295658	Bandundu	Bandundu
Bas-Congo	ZRE	2835000	53920	Matadi	Bas-Congo
Equateur	ZRE	4820000	403292	Mbandaka	Equateur
Orientale	ZRE	5566000	503239	Kisangani	Orientale
Kasai-Occidental	ZRE	3337000	154742	Kananga	Kasai-Occidental
Kasai-Oriental	ZRE	3830000	170302	Mbuji-Mayi	Kasai-Oriental
Katanga	ZRE	4125000	496877	Lubumbashi	Katanga
Kinshasa	ZRE	4787000	9965	Kinshasa	Kinshasa
Nord-Kivu	ZRE	3564434	59483	Goma	Nord-Kivu
Sud-Kivu	ZRE	2837779	69130	Bukavu	Sud-Kivu
Maniema	ZRE	1246787	132250	Kindu	Maniema
Central	Z	1267803	94394	Kabwe	Central
Copperbelt	Z	1958623	31328	Ndola	Copperbelt
Eastern	Z	1707731	69106	Chipata	Eastern
Luapula	Z	958976	50567	Mansa	Luapula
Lusaka	Z	2198996	21896	Lusaka	Lusaka
Northern	Z	1759600	147826	Kasama	Northern
North-Western	Z	706462	125826	Solwezi	North-Western
Southern	Z	1606793	85283	Livingstone	Southern
Western	Z	881524	126386	Mongu	Western
Benin	BEN	9983884	112620	Porto-Novo	Benin
Burkina Faso	BF	17322796	274200	Ouagadougou	Burkina Faso
Abia	WAN	3250816	4902	Umuahia	Abia
Abuja	WAN	2193613	7753	Abuja	Abuja
Adamawa	WAN	3667419	38823	Yola	Adamawa
Akwa Ibom	WAN	4612067	6772	Uyo	Akwa Ibom
Anambra	WAN	4796408	4816	Awka	Anambra
Bauchi	WAN	5499737	49933	Bauchi	Bauchi
Bayelsa	WAN	1966426	9415	Yenagoa	Bayelsa
Benue	WAN	4931135	31276	Makurdi	Benue
Borno	WAN	4930077	75480	Maiduguri	Borno
Cross River	WAN	3337517	21636	Calabar	Cross River
Delta	WAN	4813917	17239	Asaba	Delta
Ebonyi	WAN	2499272	6421	Abakaliki	Ebonyi
Edo	WAN	3694087	19819	Benin	Edo
Ekiti	WAN	2794575	5887	Ado-Ekiti	Ekiti
Enugu	WAN	3788319	7660	Enugu	Enugu
Gombe	WAN	2768452	17982	Gombe	Gombe
Imo	WAN	4597500	5182	Owerri	Imo
Jigawa	WAN	5031103	24515	Dutse	Jigawa
Kaduna	WAN	7087226	45711	Kaduna	Kaduna
Kano	WAN	11058314	21276	Kano	Kano
Katsina	WAN	6725626	24971	Katsina	Katsina
Kebbi	WAN	3793585	37727	Birnin Kebbi	Kebbi
Kogi	WAN	3841884	29581	Lokoja	Kogi
Kwara	WAN	2742093	34467	Ilorin	Kwara
Lagos	WAN	10668139	3496	Lagos	Lagos
Nasarawa	WAN	2167120	27271	Lafia	Nasarawa
Niger	WAN	4674381	74108	Minna	Niger
Ogun	WAN	4412299	16980	Abeokuta	Ogun
Ondo	WAN	4012105	15195	Akure	Ondo
Osun	WAN	3999800	8699	Oshogbo	Osun
Oyo	WAN	6596392	28245	Ibadan	Oyo
Plateau	WAN	3663428	27216	Jos	Plateau
Rivers	WAN	6144673	10432	Port Harcourt	Rivers
Sokoto	WAN	4292416	33776	Sokoto	Sokoto
Taraba	WAN	2647413	60291	Jalingo	Taraba
Yobe	WAN	2757022	46909	Damaturu	Yobe
Zamfara	WAN	3838160	35170	Gusau	Zamfara
Togo	RT	6191155	56790	Lomé	Togo
Botswana	RB	2038228	600370	Gaborone	Botswana
Eastern Cape	RSA	6562053	168966	Bhisho	Eastern Cape
Free State	RSA	2745590	129825	Mangaung	Free State
Gauteng	RSA	12272263	18178	Johannesburg	Gauteng
KwaZulu-Natal	RSA	10267300	94361	Msunduzi	KwaZulu-Natal
Mpumalanga	RSA	4039939	76495	Mbombela	Mpumalanga
Northern Cape	RSA	1145861	372889	Kimberley	Northern Cape
Limpopo	RSA	5404868	125754	Polokwane	Limpopo
North West	RSA	3509953	104882	Mmabatho	North West
Western Cape	RSA	5822734	129462	Cape Town	Western Cape
Zimbabwe	ZW	13061239	390580	Harare	Zimbabwe
Agnéby	CI	525211	9093	Agboville	Agnéby
Bafing	CI	139251	9033	Touba	Bafing
Bas-Sassandra	CI	1395233	26969	San-Pedro	Bas-Sassandra
Denguélé	CI	222446	21000	Odienne	Denguélé
Fromager	CI	542992	6912	Gagnoa	Fromager
Haut-Sassandra	CI	1071977	22195	Daloa	Haut-Sassandra
Lacs	CI	476173	8663	Yamoussoukro	Lacs
Lagunes	CI	3733362	12949	Abidjan	Lagunes
Marahoué	CI	554805	9114	Bouafle	Marahoué
Malawi	MW	15013694	118480	Lilongwe	Malawi
Montagnes	CI	936502	16600	Man	Montagnes
Moyen-Cavally	CI	508728	14150	Guiglo	Moyen-Cavally
Moyen-Comoé	CI	394741	6900	Abengourou	Moyen-Comoé
N'zi-Comoé	CI	633922	19480	Dimbokro	N'zi-Comoé
Savanes	CI	929673	40430	Korhogo	Savanes
Sud-Bandama	CI	682021	10727	Divo	Sud-Bandama
Sud-Comoé	CI	459367	7619	Aboisso	Sud-Comoé
Vallée du Bandama	CI	1080432	28200	Bouaké	Vallée du Bandama
Worodougou	CI	378463	22195	Seguela	Worodougou
Zanzan	CI	700999	38131	Bondoukou	Zanzan
Ashanti	GH	4780380	24389	Kumasi	Ashanti
Brong Ahafo	GH	2310983	39557	Sunyani	Brong Ahafo
Central	GH	2201863	9826	Cape Coast	Central
Eastern	GH	2633154	19323	Koforidua	Eastern
Greater Accra	GH	4010054	3245	Accra	Greater Accra
Northern	GH	2479461	70384	Tamale	Northern
Upper East	GH	1046545	8842	Bolgatanga	Upper East
Upper West	GH	702110	18476	Wa	Upper West
Volta	GH	2118252	20570	Ho	Volta
Western	GH	2376021	23921	Sekondi	Western
Burundi	BI	8444784	27830	Bujumbura	Burundi
Rwanda	RWA	10515973	26340	Kigali	Rwanda
Dodoma	EAT	2083588	41311	Dodoma	Dodoma
Arusha	EAT	1694310	37576	Arusha	Arusha
Kilimanjaro	EAT	1640087	13250	Moshi	Kilimanjaro
Tanga	EAT	2045205	26677	Tanga	Tanga
Morogoro	EAT	2218492	70624	Morogoro	Morogoro
Pwani	EAT	1098668	32547	Dar es Salaam	Dar es Salaam
Dar es Salaam	EAT	4364541	1393	Dar es Salaam	Dar es Salaam
Lindi	EAT	864652	66040	Lindi	Lindi
Mtwara	EAT	1270854	16710	Mtwara	Mtwara
Ruvuma	EAT	1376891	63669	Songea	Ruvuma
Iringa	EAT	941238	35503	Iringa	Iringa
Mbeya	EAT	2707410	60350	Mbeya	Mbeya
Singida	EAT	1370637	49340	Singida	Singida
Tabora	EAT	2291623	76150	Tabora	Tabora
Rukwa	EAT	1004539	22792	Sumbawanga	Rukwa
Kigoma	EAT	2127930	37040	Kigoma-Ujiji	Kigoma
Shinyanga	EAT	1534808	18901	Shinyanga	Shinyanga
Kagera	EAT	2458023	25265	Bukoba	Kagera
Mwanza	EAT	2772509	9467	Mwanza	Mwanza
Mara	EAT	1743830	21760	Musoma	Mara
Kaskazini Unguja	EAT	187455	470	Mkokotoni	Kaskazini Unguja
Kusini Unguja	EAT	115588	854	Koani	Kusini Unguja
Mjini Magharibi Unguja	EAT	593678	230	Zanzibar	Mjini Magharibi Unguja
Kaskazini Pemba	EAT	211732	574	Wete	Kaskazini Pemba
Kusini Pemba	EAT	195116	332	Chake Chake	Kusini Pemba
Manyara	EAT	1425131	44522	Babati	Manyara
Njombe	EAT	702097	21347	Njombe	Njombe
Katavi	EAT	564604	45843	Mpanda	Katavi
Simiyu	EAT	1584157	25212	Bariadi	Simiyu
Geita	EAT	1739530	20054	Geita	Geita
Adamaoua	CAM	1015622	63701	Ngaoundéré	Adamaoua
Centre	CAM	3525664	68953	Yaoundé	Centre
Est	CAM	801968	109002	Bertoua	Est
Extrême-Nord	CAM	3480414	34263	Maroua	Extrême-Nord
Littoral	CAM	2865795	20248	Douala	Littoral
Nord	CAM	2050229	66090	Garoua	Nord
Nord-Ouest	CAM	1804695	17300	Bamenda	Nord-Ouest
Ouest	CAM	1785285	13892	Bafoussam	Ouest
Sud	CAM	692142	47191	Ebolowa	Sud
Sud-Ouest	CAM	1384286	25410	Buea	Sud-Ouest
Central African Republic	RCA	4349921	622980	Bangui	Central African Republic
Chad	TCH	11720781	1284000	N'Djamena	Chad
Insular	GQ	\N	2034	Malabo	Insular
Continental	GQ	\N	26017	Bata	Continental
Gabon	G	1556222	267670	Libreville	Gabon
Cape Verde	CV	491875	4033	Praia	Cape Verde
Sudan	SUD	35652002	1861484	Khartoum	Sudan
South Sudan	SSD	8260490	644329	Juba	South Sudan
Comoros	COM	683081	2170	Moroni	Comoros
Guinea	RG	10628972	245860	Conakry	Guinea
Liberia	LB	3957990	111370	Monrovia	Liberia
Djibouti	DJI	834036	22000	Djibouti	Djibouti
Eritrea	ER	5741159	121320	Asmara	Eritrea
Addis Ababa	ETH	3041002	526	Addis Ababa	Addis Ababa
Affar	ETH	1602995	72052	Aysaita	Affar
Amhara	ETH	18866002	154708	Bahir Dar	Amhara
Benishangul-Gumuz	ETH	982004	50698	Asosa	Benishangul-Gumuz
Dire Dawa	ETH	387000	1558	Dire Dawa	Dire Dawa
Gambella	ETH	385997	29782	Gambella	Gambella
Harari	ETH	210000	333	Harar	Harari
Oromia	ETH	31294992	298164	Adama	Oromia
Somali	ETH	5148989	327068	Jijiga	Somali
Tigray	ETH	4929999	85366	Mekele	Tigray
YeDebub Biheroch Bihereseboch na Hizboch	ETH	17359008	105887	Hawassa	YeDebub Biheroch Bihereseboch na Hizboch
Somalia	SP	9636173	637660	Mogadishu	Somalia
Kenya	EAK	40909194	582650	Nairobi	Kenya
Gambia	WAG	1882450	11300	Banjul	Gambia
Dakar	SN	3137196	547	Dakar	Dakar
Diourbel	SN	1497455	4824	Diourbel	Diourbel
Fatick	SN	714392	6849	Fatick	Fatick
Kaolack	SN	960875	5357	Kaolack	Kaolack
Kolda	SN	662455	13771	Kolda	Kolda
Louga	SN	874193	24889	Louga	Louga
Saint-Louis	SN	908942	19241	Saint-Louis	Saint-Louis
Tambacounda	SN	681310	42364	Tambacounda	Tambacounda
Thiès	SN	1788864	6670	Thiès	Thiès
Ziguinchor	SN	549151	7352	Ziguinchor	Ziguinchor
Matam	SN	562539	29445	Matam	Matam
Sédhiou	SN	452994	7341	Sedhiou	Sédhiou
Kédougou	SN	151357	16800	Kedougou	Kédougou
Kaffrine	SN	566992	11262	Kaffrine	Kaffrine
Guinea-Bissau	GNB	1586624	36120	Bissau	Guinea-Bissau
Sierra Leone	WAL	5751976	71740	Freetown	Sierra Leone
Uganda	EAU	34856813	236040	Kampala	Uganda
Lesotho	LS	2008921	30350	Maseru	Lesotho
Madagascar	RM	21842167	587041	Antananarivo	Madagascar
Cabo Delgado	MOC	1797335	78778	Pemba	Cabo Delgado
Gaza	MOC	1344095	75334	Xai-Xai	Gaza
Inhambane	MOC	1426684	68775	Inhambane	Inhambane
Manica	MOC	1735351	62272	Chimoio	Manica
Maputo	MOC	1506442	22693	Maputo	Cidade de Maputo
Nampula	MOC	4647841	79010	Nampula	Nampula
Niassa	MOC	1472387	122827	Lichinga	Niassa
Sofala	MOC	1903728	67753	Beira	Sofala
Tete	MOC	2228527	98417	Tete	Tete
Zambézia	MOC	4444204	103478	Quelimane	Zambézia
Cidade de Maputo	MOC	1194121	347	Maputo	Cidade de Maputo
Mauritius	MS	1237091	2040	Port Louis	Mauritius
Mayotte	MAYO	212645	374	Mamoutzou	Mayotte
Swaziland	SD	1193148	17360	Mbabane	Swaziland
Reunion	REUN	828581	2510	Saint-Denis	Reunion
Saint Helena	HELX	5663	413	Jamestown	Saint Helena
Sao Tome and Principe	STP	187356	1001	São Tomé	Sao Tome and Principe
Seychelles	SY	90945	455	Victoria	Seychelles
\.


--
-- TOC entry 5295 (class 0 OID 89607)
-- Dependencies: 714
-- Data for Name: provinceothername; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY provinceothername (province, country, othername) FROM stdin;
Sankt-Peterburg	R	St. Peterburg
Sankt-Peterburg	R	Sankt Petersburg
Sankt-Peterburg	R	Saint Petersburg
Nizhnii Novgorod	R	Nizhny Novgorod
Liège	B	Luik
Afyonkarahisar	TR	Afyon
İzmir	TR	İzmir
Santarem	P	Santarém
Esfahan	IR	Isfahan
Hamedan	IR	Hamadan
Buxoro	UZB	Bukhara
Fargʻona	UZB	Fergana
Samarqand	UZB	Samarkand
Toshkent	UZB	Tashkent
Toshkent City	UZB	Tashkent City
Magwe	MYA	Magway
Karaganda	KAZ	Karagandy
Kostanai	KAZ	Kustanay
Kostanai	KAZ	Kostanay
Yerushalayim	IL	Jerusalem
Basrah	IRQ	Basra
Kerbela	IRQ	Karbala
al-Qadisiya	IRQ	Al-Qādisiyyah
Duhouk	IRQ	Dahuk
Al-Baha	SA	Al Bahah
Jazan	SA	Jizan
Tabouk	SA	Tabuk
Al Qunaytirah	SYR	Quneitra
Dar`a	SYR	Daraa
Dayr az Zawr	SYR	Deir ez-Zor
Dimashq	SYR	Damascus
Hamah	SYR	Hama
Hims	SYR	Homs
Durango	MEX	Victoria de Durango
México, Estado de	MEX	Estado de Mexico
San Andrés, Providencia y Santa Catalina	CO	San Andres y Providencia
Gambella	ETH	Gambela
\.


--
-- TOC entry 5296 (class 0 OID 89610)
-- Dependencies: 715
-- Data for Name: religion; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY religion (country, name, percentage) FROM stdin;
AL	Muslim	70
AL	Roman Catholic	10
AL	Christian Orthodox	20
GR	Christian Orthodox	98
GR	Muslim	1.3
MK	Christian Orthodox	64.7
MK	Muslim	33.3
MK	Roman Catholic	0.2
SRB	Christian Orthodox	85
SRB	Muslim	3.2
SRB	Roman Catholic	5.5
SRB	Protestant	1.1
MNE	Christian Orthodox	74.2
MNE	Muslim	17.7
MNE	Roman Catholic	3.5
KOS	Muslim	90
AND	Roman Catholic	95
F	Roman Catholic	85
F	Muslim	8
F	Protestant	2
F	Jewish	1
E	Roman Catholic	94
A	Roman Catholic	85
A	Protestant	6
CZ	Roman Catholic	26.8
CZ	Protestant	2.1
D	Roman Catholic	34
D	Protestant	34
D	Muslim	3.7
H	Roman Catholic	51.9
H	Protestant	18.9
I	Roman Catholic	84.6
I	Christian Orthodox	2.0
I	Protestant	0.9
I	Muslim	2.1
I	Buddhist	0.3
I	Hindu	0.2
FL	Roman Catholic	76.2
FL	Protestant	7
SK	Roman Catholic	68.9
SK	Protestant	10.8
SK	Christian Orthodox	4.1
SLO	Muslim	1
SLO	Roman Catholic	96
CH	Roman Catholic	41.8
CH	Protestant	35.3
CH	Muslim	4.3
CH	Christian Orthodox	1.8
BY	Christian Orthodox	80
BY	Roman Catholic	10
BY	Protestant	2.6
LV	Protestant	19.6
LV	Christian Orthodox	15.3
LT	Roman Catholic	79
LT	Christian Orthodox	4.1
LT	Protestant	1.9
PL	Roman Catholic	95
UA	Christian Orthodox	83.5
UA	Ukrainian Greek Catholic	8
UA	Roman Catholic	2.2
UA	Protestant	2.2
UA	Jewish	0.6
R	Christian Orthodox	20
R	Muslim	15
B	Roman Catholic	75
B	Protestant	25
L	Roman Catholic	87
L	Protestant	8
L	Jewish	3
L	Muslim	2
NL	Roman Catholic	30
NL	Protestant	20
NL	Muslim	5.8
BIH	Muslim	40
BIH	Christian Orthodox	31
BIH	Roman Catholic	15
BIH	Protestant	4
HR	Roman Catholic	87.8
HR	Christian Orthodox	4.4
HR	Protestant	0.4
HR	Muslim	1.3
BG	Christian Orthodox	59.4
BG	Muslim	7.8
BG	Jewish	0.8
BG	Roman Catholic	0.7
RO	Christian Orthodox	86.8
RO	Protestant	7.5
RO	Roman Catholic	4.7
TR	Muslim	99.8
DK	Protestant	95
DK	Roman Catholic	2
DK	Muslim	2
EW	Protestant	13.6
EW	Christian Orthodox	12.8
FARX	Protestant	100
SF	Protestant	82.5
SF	Christian Orthodox	1.1
N	Protestant	86.7
N	Roman Catholic	1
N	Muslim	1.8
S	Protestant	87
S	Roman Catholic	1.5
MC	Roman Catholic	90
GBZ	Muslim	8
GBZ	Jewish	2
GBZ	Roman Catholic	74
GBZ	Protestant	11
V	Roman Catholic	100
IS	Protestant	96
IS	Roman Catholic	3
IRL	Roman Catholic	90
IRL	Anglican	3
RSM	Roman Catholic	100
M	Roman Catholic	98
MD	Christian Orthodox	98
MD	Jewish	1.5
P	Roman Catholic	84.5
P	Protestant	1
GB	Anglican	45
GB	Protestant	19
GB	Roman Catholic	6
GB	Muslim	2.7
GB	Hindu	1.0
GB	Sikh	0.6
GB	Jewish	0.5
GB	Buddhist	0.3
AFG	Muslim	99
CN	Muslim	2
CN	Christian	4
IR	Muslim	99
IR	Bahai	1
PK	Muslim	97
TAD	Muslim	90
TM	Muslim	89
TM	Christian Orthodox	9
UZB	Muslim	88
UZB	Christian Orthodox	9
ARM	Armenian Apostolic	94.7
ARM	Yezidi	1.3
GE	Christian Orthodox	87.8
GE	Muslim	9.9
GE	Roman Catholic	0.8
AZ	Muslim	93.4
AZ	Christian Orthodox	4.8
BRN	Muslim	100
BD	Muslim	83
BD	Hindu	16
MYA	Muslim	4
MYA	Christian	4
MYA	Buddhist	89
IND	Muslim	14
IND	Christian	2.4
IND	Buddhist	0.7
IND	Hindu	80
IND	Sikh	2
IND	Jains	0.5
BHT	Buddhist	75
BHT	Hindu	25
BRU	Muslim	63
BRU	Christian	8
BRU	Buddhist	14
MAL	Muslim	60.4
MAL	Buddhist	19.2
MAL	Christian	9.1
MAL	Hindu	6.3
LAO	Buddhist	60
THA	Muslim	3.8
THA	Buddhist	95
THA	Christian	0.5
THA	Hindu	0.1
K	Buddhist	95
VN	Buddhist	9.3
VN	Roman Catholic	6.7
VN	Hoa Hao	1.5
VN	Cao Dai	1.1
VN	Protestant	0.5
VN	Muslim	0.1
KAZ	Muslim	47
KAZ	Protestant	2
KAZ	Christian Orthodox	44
KGZ	Muslim	75
KGZ	Christian Orthodox	20
HONX	Christian	10
MACX	Roman Catholic	7
MACX	Protestant	1
MACX	Buddhist	45
MNG	Buddhist	50
MNG	Christian	6
MNG	Muslim	4
NEP	Muslim	3
NEP	Buddhist	5
NEP	Hindu	90
XMAS	Muslim	25
XMAS	Christian	18
XMAS	Buddhist	36
COCO	Muslim	80
COCO	Christian	20
CY	Christian Orthodox	78
CY	Muslim	18
GAZA	Muslim	98.7
GAZA	Jewish	0.6
GAZA	Christian	0.7
IL	Jewish	75.6
IL	Muslim	16.9
IL	Christian	2
IL	Druze	1.7
ET	Muslim	94
ET	Coptic Christian	6
RI	Muslim	87
RI	Roman Catholic	3
RI	Protestant	6
RI	Buddhist	1
RI	Hindu	2
TL	Muslim	1
TL	Protestant	1
TL	Roman Catholic	98
PNG	Roman Catholic	22
PNG	Protestant	30
PNG	Anglican	5
PNG	Seventh-Day Adventist	1
PNG	Presbyterian	8
IRQ	Muslim	97
IRQ	Christian	3
JOR	Muslim	92
JOR	Christian	8
KWT	Muslim	85
SA	Muslim	100
SYR	Muslim	90
SYR	Christian	10
RL	Christian	30
RL	Muslim	70
WEST	Muslim	75
WEST	Jewish	17
WEST	Christian	6
J	Buddhist	84
ROK	Buddhist	47.4
ROK	Christian	48.6
ROK	Confucianism	3
ROK	Chondogyo	0.2
MV	Muslim	100
OM	Muslim	75
UAE	Muslim	96
YE	Muslim	98
YE	Hindu	1
RP	Muslim	5
RP	Roman Catholic	83
RP	Protestant	9
RP	Buddhist	3
Q	Muslim	95
CL	Muslim	8
CL	Christian	8
CL	Buddhist	69
CL	Hindu	15
RC	Christian	4.5
RC	Taoist	93
AXA	Roman Catholic	5.7
AXA	Protestant	30.2
AXA	Anglican	29
AXA	Methodist	23.9
ARU	Roman Catholic	80.8
ARU	Protestant	9
BS	Roman Catholic	19
BS	Protestant	12
BS	Anglican	20
BS	Baptist	32
BS	Methodist	6
BS	Church of God	6
BDS	Roman Catholic	4
BDS	Protestant	67
BZ	Roman Catholic	39.3
BZ	Protestant	30.9
BZ	Jehovas Witnesses	1.6
GCA	Roman Catholic	50
GCA	Protestant	40
GCA	Mayan	1
MEX	Roman Catholic	76.5
MEX	Protestant	5.2
MEX	Jehovas Witnesses	1.1
BERM	Roman Catholic	15
BERM	Anglican	23
BERM	Seventh-Day Adventist	5
BERM	Protestant	18
BERM	African Methodist Episcopal	11
BVIR	Roman Catholic	10
BVIR	Protestant	86
CDN	Roman Catholic	42.6
CDN	Protestant	16.5
CDN	Anglican	6.8
CDN	Muslim	1.9
USA	Protestant	51.3
USA	Roman Catholic	23.9
USA	Mormon	1.7
USA	Jewish	1.7
USA	Buddhist	0.7
USA	Muslim	0.6
CAYM	Roman Catholic	11
CAYM	Anglican	5.7
CAYM	Church of God	26
CAYM	United Church	11.8
CR	Roman Catholic	76.3
CR	Protestant	14.4
CR	Jehovas Witnesses	1.3
NIC	Roman Catholic	58.5
NIC	Protestant	23.2
NIC	Jehovas Witnesses	0.9
PA	Roman Catholic	85
PA	Protestant	15
C	Roman Catholic	85
WD	Roman Catholic	77
WD	Protestant	15
DOM	Roman Catholic	95
RH	Roman Catholic	80
RH	Protestant	16
ES	Roman Catholic	57.1
ES	Protestant	21.2
ES	Jehovas Witnesses	1.9
ES	Mormon	0.7
HCA	Roman Catholic	97
HCA	Protestant	3
GROX	Protestant	100
GUAD	Roman Catholic	95
GUAD	Protestant	1
GUAD	Hindu	4
JA	Roman Catholic	5
JA	Protestant	55.9
MART	Roman Catholic	95
MART	Hindu	5
CUR	Roman Catholic	72.8
CUR	Protestant	14.7
CUR	Jehovas Witnesses	2
NLSM	Roman Catholic	39
NLSM	Protestant	44.8
NLSM	Jewish	3.4
CO	Roman Catholic	90
PR	Roman Catholic	85
PR	Protestant	15
WL	Roman Catholic	90
WL	Protestant	7
WL	Anglican	3
SPMI	Roman Catholic	99
TT	Muslim	6
TT	Roman Catholic	32.2
TT	Protestant	14
TT	Anglican	14.4
TT	Hindu	24.3
TUCA	Anglican	18
TUCA	Baptist	40
TUCA	Church of God	12
TUCA	Methodist	16
VIRG	Roman Catholic	34
VIRG	Baptist	42
VIRG	Episcopalian	17
AMSA	Roman Catholic	20
AMSA	Protestant	30
AMSA	Christian Congregationalist	50
AUS	Roman Catholic	25.8
AUS	Anglican	18.7
AUS	Protestant	8.7
AUS	Christian Orthodox	2.7
AUS	Buddhist	2.1
AUS	Muslim	1.7
COOK	Christian	100
FJI	Muslim	8
FJI	Christian	52
FJI	Hindu	38
FPOL	Roman Catholic	30
FPOL	Protestant	54
GUAM	Roman Catholic	95
KIR	Roman Catholic	52.6
KIR	Protestant	40.9
KIR	Mormon	6
MH	Christian	100
FSM	Roman Catholic	50
FSM	Protestant	47
NAU	Christian	100
NCA	Roman Catholic	60
NCA	Protestant	30
NZ	Anglican	13.8
NZ	Protestant	24.8
NZ	Roman Catholic	12.6
NZ	Hindu	1.6
NZ	Buddhist	1.3
NIUE	Mormon	10
NIUE	Ekalesia Niue	61
NIUE	Roman Catholic	7.2
NORF	Roman Catholic	11.7
NORF	Anglican	39
NORF	Seventh-Day Adventist	4.4
NORF	Uniting Church Australia	16.4
PITC	Seventh-Day Adventist	100
SLB	Roman Catholic	19
SLB	Protestant	5
SLB	Anglican	34
SLB	Baptist	17
SLB	Seventh-Day Adventist	10
SLB	United	11
TO	Christian	100
TUV	Bahai	1
TUV	Seventh-Day Adventist	1.4
TUV	Church Tuvalu	97
TOK	Roman Catholic	36.6
TOK	Congregational Christian	58.2
VU	Roman Catholic	15
VU	Anglican	15
VU	Seventh-Day Adventist	6.2
VU	Presbyterian	36.7
VU	Church Christ	3.8
WAFU	Roman Catholic	99
WS	Christian	99.7
RA	Roman Catholic	92
RA	Protestant	2
RA	Jewish	2
BOL	Roman Catholic	95
BOL	Protestant	5
BR	Roman Catholic	73.6
BR	Protestant	15.4
RCH	Roman Catholic	70
RCH	Protestant	15
RCH	Jehovas Witnesses	1.1
PY	Roman Catholic	89.6
PY	Protestant	6.2
ROU	Roman Catholic	47.1
ROU	Protestant	10
ROU	Jewish	0.3
PE	Roman Catholic	81.3
PE	Protestant	12.5
FGU	Roman Catholic	100
GUY	Protestant	30.5
GUY	Hindu	28.4
GUY	Roman Catholic	8.1
GUY	Muslim	7.2
GUY	Jehovas Witnesses	1.1
SME	Muslim	19.6
SME	Roman Catholic	22.8
SME	Protestant	25.2
SME	Hindu	27.4
YV	Roman Catholic	96
YV	Protestant	2
EC	Roman Catholic	95
DZ	Muslim	99
DZ	Christian	0.5
DZ	Jewish	0.5
LAR	Muslim	97
RMM	Muslim	90
RMM	Christian	1
RIM	Muslim	100
MA	Muslim	98.7
MA	Jewish	0.2
MA	Christian	1.1
RN	Muslim	80
TN	Muslim	98
TN	Jewish	1
TN	Christian	1
WSA	Muslim	100
ANG	Roman Catholic	38
ANG	Protestant	15
RCB	Muslim	2
RCB	Christian	50
NAM	Protestant	50
ZRE	Muslim	10
ZRE	Roman Catholic	50
ZRE	Protestant	20
ZRE	Kimbanguist	10
Z	Christian	60
Z	Muslim	1
BEN	Muslim	15
BEN	Christian	15
BF	Muslim	50
BF	Christian	10
WAN	Muslim	50
WAN	Christian	40
RT	Muslim	10
RT	Christian	20
RB	Christian	50
RSA	Muslim	2
ZW	Muslim	1
ZW	Christian	25
CI	Muslim	60
CI	Christian	12
GH	Muslim	30
GH	Christian	24
BI	Muslim	1
BI	Christian	67
RWA	Muslim	1
RWA	Roman Catholic	65
RWA	Protestant	9
EAT	Muslim	35
EAT	Christian	30
CAM	Muslim	16
CAM	Christian	33
RCA	Muslim	15
RCA	Roman Catholic	25
RCA	Protestant	25
TCH	Muslim	50
TCH	Christian	25
GQ	Roman Catholic	100
G	Muslim	1
G	Christian	55
CV	Roman Catholic	100
SUD	Muslim	95
SUD	Christian	2
COM	Roman Catholic	14
COM	Muslim	86
RG	Muslim	85
RG	Christian	8
LB	Muslim	20
LB	Christian	10
DJI	Muslim	94
DJI	Christian	6
ETH	Christian Orthodox	43.5
ETH	Muslim	33.9
ETH	Protestant	18.6
ETH	Catholic	0.7
SP	Muslim	100
EAK	Roman Catholic	28
EAK	Protestant	38
WAG	Muslim	90
WAG	Christian	9
SN	Muslim	92
SN	Christian	2
GNB	Muslim	30
GNB	Christian	5
WAL	Muslim	60
WAL	Christian	10
EAU	Muslim	16
EAU	Roman Catholic	33
EAU	Protestant	33
LS	Christian	80
RM	Muslim	7
RM	Christian	41
MW	Muslim	20
MW	Roman Catholic	20
MW	Protestant	55
MOC	Muslim	20
MOC	Christian	30
MS	Muslim	16.6
MS	Christian	28.3
MS	Hindu	52
MAYO	Muslim	90
SD	Christian	60
REUN	Roman Catholic	94
STP	Catholic	70.3
STP	Protestant	3.4
STP	New Apostolic	2
STP	Adventist	1.8
SY	Roman Catholic	90
SY	Anglican	8
\.


--
-- TOC entry 5297 (class 0 OID 89617)
-- Dependencies: 716
-- Data for Name: river; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY river (name, river, lake, sea, length, source, mountains, sourceelevation, estuary) FROM stdin;
Thjorsa	\N	\N	Atlantic Ocean	230	(65,-18)	\N	\N	(63.9,-20.8)
Joekulsa a Fjoellum	\N	\N	Greenland Sea	206	(64.8,-16.5)	\N	\N	(66.2,-16.6)
Glomma	\N	\N	Skagerrak	604	(62.6,12)	\N	860	(59.20,10.95)
Lagen	Glomma	\N	\N	322	(62.19,8.45)	\N	611	(61.10,11.45)
Goetaaelv	\N	\N	Kattegat	93	(58.4,12.34)	\N	44	(57.7,11.9)
Klaraelv	\N	Vaenern	\N	460	(62.2,11.9)	\N	662	(59.4,13.5)
Umeaelv	\N	\N	Baltic Sea	470	(66.1,15)	\N	\N	(63.5,20.1)
Dalaelv	\N	\N	Baltic Sea	520	(60.7,15.1)	\N	\N	(60.7,17.2)
Vaesterdalaelv	Dalaelv	\N	\N	320	(61.8,12.6)	\N	\N	(60.7,15.1)
Oesterdalaelv	Dalaelv	\N	\N	241	(62.2,12.6)	\N	\N	(60.7,15.1)
Paatsjoki	\N	\N	Barents Sea	145	(68.95,28.3)	\N	119	(60.75,30.05)
Ounasjoki	Kemijoki	\N	\N	300	(68.6,23.8)	\N	450	(66.3,24.4)
Kemijoki	\N	\N	Baltic Sea	550	(67.96,28.9525)	\N	230	(65.77,24.45)
Oulujoki	\N	\N	Baltic Sea	107	(64.3,27.25)	\N	123	(65.3,25.2)
Kymijoki	\N	\N	Baltic Sea	203	(61.5,25.4)	\N	78	(60.3,26.5)
Kokemaeenjoki	\N	\N	Baltic Sea	121	(61.3,23)	\N	\N	(61.3,21.2)
Vuoksi	\N	Ozero Ladoga	\N	162	(61.2,28.75)	\N	\N	(60.81,31.54)
Thames	\N	\N	North Sea	346	(51.70,-2.03)	\N	105	(51.50,0.65)
Maas	\N	\N	North Sea	925	(47.97,5.63)	\N	409	(51.72,4.67)
Loire	\N	\N	Atlantic Ocean	1013	(44.84,4.22)	Cevennes	1408	(47.27,-2.18)
Garonne	\N	\N	Atlantic Ocean	647	(42.73,0.8)	Pyrenees	\N	(45.0,-0.6)
Rhone	\N	\N	Mediterranean Sea	812	(46.57,8.38)	Alps	1753	(43.33,4.84)
Saone	Rhone	\N	\N	480	(48.1,6.2)	Vogesen	451	(45.7,4.8)
Doubs	Saone	\N	\N	453	(46.7,6.2)	Jura	937	(46.9,5.0)
Isere	Rhone	\N	\N	290	(45.4,7.0)	Alps	2770	(45.0,4.9)
Seine	\N	\N	The Channel	776	(47.48,4.71)	\N	470	(49.42,0.10)
Marne	Seine	\N	\N	514	(47.8,5.35)	\N	406	(48.8,2.4)
Tajo	\N	\N	Atlantic Ocean	1007	(40.32,-1.70)	Cordillera Iberica	1.580	(38.7,-9.3)
Douro	\N	\N	Atlantic Ocean	897	(42,-3)	Cordillera Iberica	2160	(41.15,-8.66)
Guadiana	\N	\N	Atlantic Ocean	742	(42,-3)	Cordillera Iberica	608	(37.35,-7.65)
Guadalquivir	\N	\N	Atlantic Ocean	657	(37.8,-3)	Cordillera Betica	1400	(36.8,-6.35)
Ebro	\N	\N	Mediterranean Sea	925	(43.0375,-4.37)	Cordillera Cantabrica	1.600	(40.8,0.5)
Po	\N	\N	Mediterranean Sea	652	(44.70,7.09)	Alps	2022	(44.95,12.43)
Ticino	Po	\N	\N	248	(46.475,8.42)	Alps	2400	(45.14,9.235)
Adda	Po	\N	\N	313	(46.55,10.3)	Alps	2235	(45.13,9.88)
Mincio	Po	\N	\N	75	(45.4,10.7)	Alps	65	(45.1,10.95)
Etsch	\N	\N	Mediterranean Sea	415	(46.7,10.5)	Alps	1525	(44.8,7.09)
Tiber	\N	\N	Mediterranean Sea	405	(43.77,12.08)	Apennin	1348	(41.74,12.23)
Arno	\N	\N	Mediterranean Sea	240	(43.9,11.7)	Apennin	1385	(43.7,10.2)
Donau	\N	\N	Black Sea	2845	(47.95,8.52)	Black Forest	686	(45.16,29.65)
Breg	Donau	\N	\N	45.9	(48.10,8.16)	Black Forest	1078	(47.95,8.52)
Brigach	Donau	\N	\N	43	(48.11,8.28)	Black Forest	940	(47.95,8.52)
Iller	Donau	\N	\N	147	(47.43,10.27)	Alps	783	(48.38,9.97)
Lech	Donau	\N	\N	264	(47.17,10.0)	Alps	1840	(48.73,10.93)
Isar	Donau	\N	\N	295	(47.37,11.40)	Alps	1.160	(48.80,12.98)
Ammer	Isar	\N	\N	168	(47.57,11.05)	Alps	850	(48.50,11.96)
Würm	Ammer	\N	\N	35	(48.00,11.35)	\N	596	(48.30,11.5)
Inn	Donau	\N	\N	517	(46.41,9.67)	Alps	2484	(48.57,13.47)
Alz	Inn	\N	\N	150	(47.3,12.35)	Alps	\N	(48.3,12.8)
Salzach	Inn	\N	\N	225	(47.30,12.11)	Alps	2300	(48.21,12.92)
Enns	Donau	\N	\N	254	(47.33,13.35)	Alps	1375	(48.24,14.52)
March	Donau	\N	\N	358	(50.21,16.85)	Sudety Mountains	1380	(48.17,16.98)
Raab	Donau	\N	\N	250	(47.35,15.52)	Alps	1150	(47.69,17.63)
Waag	Donau	\N	\N	403	(49.02,19.81)	Beskides	664	(47.75,18.15)
Drau	Donau	\N	\N	749	(46.73,12.26)	Alps	1450	(45.54,18.93)
Mur	Drau	\N	\N	453	(47.13,13.35)	Alps	1898	(46.30,16.88)
Theiss	Donau	\N	\N	1308	(48.1,24.25)	Karpaten	460	(45.05,20.3)
Save	Donau	\N	\N	945	(46.2,13.6)	Alps	\N	(44.8,20.4667)
Drina	Save	\N	\N	346	(43.35,18.8)	Balkan	441	(44.9,19.35)
Tara	Drina	\N	\N	140	(42.6,19.57)	Balkan	2000	(43.35,18.8)
Piva	Drina	\N	\N	120	(43.11,18.82)	Balkan	\N	(43.35,18.8)
Morava	Donau	\N	\N	185	(43.7,21.4)	\N	\N	(44.6,21.1)
Western Morava	Morava	\N	\N	308	(43.85,20.2)	\N	\N	(43.7,21.4)
Southern Morava	Morava	\N	\N	295	(42.1,21.4)	\N	\N	(43.7,21.4)
Olt	Donau	\N	\N	615	(46.65,25.8)	Karpaten	1280	(43.7,24.8)
Pruth	Donau	\N	\N	953	(48.16,24.55)	Karpaten	\N	(45.47,28.21)
Dnjestr	\N	\N	Black Sea	1352	(49,23)	Karpaten	1000	(46.35,30.23)
Weser	\N	\N	North Sea	440	(51.4,9.65)	\N	116.5	(53.5,8.5)
Aller	Weser	\N	\N	211	(52.10,11.23)	\N	130	(52.94,9.18)
Leine	Aller	\N	\N	281	(51.39,10.32)	\N	340	(52.72,9.59)
Werra	Weser	\N	\N	292	(50.5,10.96)	Thueringer Wald	797	(51.4,9.65)
Fulda	Weser	\N	\N	221	(50.5,9.9)	Rhön	850	(51.4,9.65)
Elbe	\N	\N	North Sea	1091	(50.78,15.54)	Sudety Mountains	1.386	(53.89,8.71)
Moldau	Elbe	\N	\N	440	(48.97,13.56)	Bohemian Mountains	1174	(50.35,14.47)
Rhein	\N	\N	North Sea	1324	(46.6,8.7)	Alps	2345	(51.9,4.00)
Main	Rhein	\N	\N	524	(50.1,11.4)	Fichtelgebirge	887	(49.99,8.29)
Mosel	Rhein	\N	\N	544	(47.89,6.89)	Vogesen	715	(50.37,7.61)
Saar	Mosel	\N	\N	227	(48.5,7.15)	Vogesen	640	(49.7,6.6)
Neckar	Rhein	\N	\N	367	(48.05,8.5)	\N	706	(49.51,8.44)
Aare	Rhein	\N	\N	288	(46.55,8.2)	Alps	2310	(47.61,8.22)
Reuss	Aare	\N	\N	164	(46.56,8.54)	Alps	2431	(47.4921,8.2371)
Limmat	Aare	\N	\N	36.3	(47.23,8.64)	\N	406	(47.501794,8.236313)
Oder	\N	\N	Baltic Sea	866	(49.61,17.52)	Sudety Mountains	634	(53.60,14.59)
Weichsel	\N	\N	Baltic Sea	1047	(49.61,19.01)	Beskides	1100	(54.36,18.95)
Narew	Weichsel	\N	\N	448	(53,24)	\N	\N	(52.43,20.67)
Western Bug	Narew	\N	\N	772	(49.09,25.06)	\N	\N	(52.50,21.08)
Moraca	\N	Lake Skutari	\N	99.5	(42.85,19.25)	Balkan	1	(42.25,19.15)
Buna	\N	\N	Mediterranean Sea	44	(42.05,19.5)	\N	1	(41.85,19.35)
Drin	\N	\N	Mediterranean Sea	152	(42.1,20.4)	Balkan	\N	(41.8,19.6)
White Drin	Drin	\N	\N	175	(42.7,20.2)	Balkan	\N	(42.1,20.4)
Black Drin	Drin	\N	\N	133	(41.0,20.7)	Balkan	695	(42.1,20.4)
Jordan	\N	Dead Sea	\N	251	(33.7,35.7)	Jabal Lubnan	\N	(31.3,35.5)
Kura	\N	Caspian Sea	\N	1364	(40.7,42.76)	Kurdistan	2650	(39.28,49.43)
Schatt al Arab	\N	\N	Persian Gulf	193	(31.00,47.44)	\N	20	(29.9,48.6)
Tigris	Schatt al Arab	\N	\N	1900	(38.3,41.0)	Antitaurus	\N	(31.00,47.44)
Euphrat	Schatt al Arab	\N	\N	2736	(38.8,38.75)	\N	\N	(31.00,47.44)
Murat	\N	Lake Keban	\N	720	(39.55,44.1)	Kurdistan	1950	(38.8,38.75)
Karasu	\N	Lake Keban	\N	720	(49.9,41.3)	Kurdistan	1950	(38.8,38.75)
Karun	Schatt al Arab	\N	\N	950	(32.35,50.1)	Zagros	\N	(30.43,48.17)
Northern Dwina	\N	\N	Barents Sea	740	(46.3,60.9)	\N	180	(64.55,40.5333)
Suchona	Northern Dwina	\N	\N	558	(39,59)	\N	180	(46.3,60.9)
Petschora	\N	\N	Barents Sea	1809	(62,59)	Ural	\N	(68.5,54)
Newa	\N	\N	Baltic Sea	74	(60.82,31.53)	\N	4	(59.95,30.17)
Swir	\N	Ozero Ladoga	\N	224	(60.99,35.49)	\N	33	(60.51,32.79)
Narva	\N	\N	Baltic Sea	78	(58.68,27.49)	\N	30	(59.46,28.04)
Western Dwina	\N	\N	Baltic Sea	1020	(56,34)	Waldai Hills	228	(57,24.1)
Dnister	\N	\N	Black Sea	1352	(49.2,22.93)	Karpaten	1000	(46.35,30.23)
Dnepr	\N	\N	Black Sea	2201	(55.5,34)	Waldai Hills	220	(46.5257,32.252)
Prypjat	\N	Kiev Reservoir	\N	775	(51.5,24.1)	\N	\N	(51.15,30.5)
Don	\N	\N	Sea of Azov	1870	(53,37.5)	\N	\N	(47.1,39.4)
Volga	\N	Caspian Sea	\N	3531	(57,33)	Waldai Hills	\N	(46.733333333333,47.85)
Oka	Volga	\N	\N	1480	(52.5,36.1)	\N	\N	(56.3,44)
Kama	\N	Kuybyshev Reservoir	\N	1805	(58.2,53.75)	\N	\N	(55.4,50.3)
Ural	\N	Caspian Sea	\N	2428	(54,59)	Ural	\N	(47.1,51.9)
Ob	\N	\N	Kara Sea	3650	(52.43,85.00)	\N	162	(66.48,71.35)
Irtysch	Ob	\N	\N	4248	(47.9,90.0)	Altai	2930	(61.07,68.93)
Tobol	Ob	\N	\N	1591	(51.2,60.8)	Ural	\N	(58.2,68.25)
Ischim	Irtysch	\N	\N	2450	(52,71.5)	\N	\N	(58,71.5)
Katun	Ob	\N	\N	688	(49.75,86.56)	Altai	2000	(52.43,85.00)
Jenissej	\N	\N	Kara Sea	4092	(52.33,97.5)	\N	\N	(51.06,100.02)
Angara	Jenissej	\N	\N	1779	(56.5,113)	\N	\N	(58.2,92.5)
Selenge	\N	Ozero Baikal	\N	992	(52,106)	\N	\N	(58.2,92.5)
Chatanga	\N	\N	East Sibirian Sea	1636	(68,95)	\N	\N	(73,115)
Lena	\N	\N	East Sibirian Sea	4400	(53.99,107.88)	\N	1465	(72.4005,126.69187)
Amur	\N	\N	Sea of Okhotsk	2824	(53.33,121.48)	\N	305	(53.1,140.73)
Schilka	Amur	\N	\N	560	(49.8,111)	\N	\N	(53.33,121.48)
Argun	Amur	\N	\N	1620	(49.94,122.46)	\N	1200	(53.33,121.48)
Kolyma	\N	\N	East Sibirian Sea	2129	(61.5,145)	\N	\N	(69.63,161.49)
Syrdarja	\N	Ozero Aral	\N	2129	(41,71.7)	\N	\N	(46,60.5)
Naryn	Syrdarja	\N	\N	807	(42,78)	Tian Shan	\N	(41,71.7)
Amudarja	\N	Ozero Aral	\N	1415	(37.1,68.3)	\N	310	(44,59)
Pjandsh	Amudarja	\N	\N	1141	(37,73)	Pamir	4130	(37.1,68.3)
Bartang	Pjandsh	\N	\N	133	(38.3,72.45)	Pamir	2595	(37.9,71.6)
Murgab	Bartang	\N	\N	395	(37.35,74.4)	Pamir	4015	(38.3,72.45)
Ili	\N	Ozero Balchash	\N	1001	(43.8,85.5)	Tian Shan	\N	(45.4,74.15)
Tarim-Yarkend	\N	Lop Nor	\N	3260	(33.5,80.5)	Karakorum	\N	(40.2,90.6)
Hwangho	\N	\N	Yellow Sea	4845	(35.3,96.2)	\N	4500	(37.74,119.14)
Jangtse	\N	\N	East China Sea	6380	(33.5,91.2)	\N	5405	(32,121.5)
Mekong	\N	\N	South China Sea	4350	(32.5,94)	\N	5200	(9,107)
Saluen	\N	\N	Andaman Sea	2980	(32.5,91.9)	\N	5450	(17,97.5)
Irawaddy	\N	\N	Andaman Sea	2170	(29,98)	\N	4300	(17,96)
Ganges	\N	\N	Gulf of Bengal	2511	(30.5,79.5)	\N	\N	(22,90)
Brahmaputra	Ganges	\N	\N	2896	(31.06,81.33)	\N	6000	(23.8,89.8)
Indus	\N	\N	Arabian Sea	3180	(32.45,79.7)	\N	5300	(24,67.4)
Asahan	\N	\N	Malakka Strait	150	(2.7,98.7)	\N	905	(3.1,99.2)
Yukon River	\N	\N	Bering Sea	3185	(60.54,-134.5)	\N	668	(62.574,-163.98)
Mackenzie River	\N	\N	Arctic Ocean	1903	(61.7,-113.9)	\N	156	(69.20,-135.02)
Nelson River	\N	\N	Hudson Bay	664	(52.77,-97.97)	\N	218	(57.15,-92.33)
Saskatchewan River	\N	Lake Winnipeg	\N	1392	(52.5,-123)	\N	1920	(52.77,-97.97)
Saint Lawrence River	\N	\N	Atlantic Ocean	1197	(44.2,-76.55)	\N	75	(49.6,-64.8)
Niagara River	\N	Lake Ontario	\N	58	(42.9,-78.9)	\N	174	(43.25,79.1)
Detroit River	\N	Lake Erie	\N	200	(42.1,-82.6)	\N	176	(43,-82.2)
Saint Marys River	\N	Lake Huron	\N	120	(46.5,-84.6)	\N	184	(46.6,-83.9)
Straits of Mackinac	\N	Lake Huron	\N	0.1	(45.8,-84.75)	\N	176	(45.8,-84.75)
Manicouagan	Saint Lawrence River	\N	\N	560	(51.4,-68.7)	\N	350	(49.2,-68.15)
Riviere Richelieu	Saint Lawrence River	\N	\N	124	(45,-73.3)	\N	30	(46.0,-73.1)
Merrimack River	\N	\N	Atlantic Ocean	177	(43.4,-71.6)	\N	\N	(42.819444,-70.811944)
Connecticut River	\N	\N	Atlantic Ocean	655	(45.25,-71.21)	\N	\N	(41.27,-72.33)
Hudson River	\N	\N	Atlantic Ocean	493	(44.1,-73.95)	Adirondacks	1309	(40.7,-74.0)
Mississippi	\N	\N	Gulf of Mexico	3778	(47.25,-95.2)	\N	512	(29.15,-89.25)
Missouri	Mississippi	\N	\N	4130	(45.9,-111.5)	\N	1232	(38.81,-90.12)
Arkansas	Mississippi	\N	\N	2334	(39.25,-106.3)	\N	4260	(34,-91)
Ohio River	Mississippi	\N	\N	1579	(40.42,-80.0)	\N	222	(36.98,-89.13)
Allegheny River	Ohio River	\N	\N	523	(41.9,-77.9)	Appalachian Mountains	759	(40.42,-80.0)
Tennessee	Ohio River	\N	\N	1049	(35.2,-83)	Appalachian Mountains	\N	(37.07,-88.63)
Columbia River	\N	\N	Pacific Ocean	1953	(50.2,-115.85)	\N	808	(46.24,-124.06)
Truckee River	\N	Pyramid Lake	\N	225	(39,-120)	\N	1900	(39.85,-119.43)
Colorado	\N	\N	Pacific Ocean	2330	(40.35,-105.7)	\N	2700	(31.81,-114.80)
Rio Grande	\N	\N	Gulf of Mexico	3034	(38,-107.5)	\N	3900	(25.96,-97.18)
Rio Lerma	\N	\N	Pacific Ocean	965	(19,-99)	\N	\N	(21.5,-105.6)
Rio San Juan	\N	\N	Caribbean Sea	199	(11.60,-85.35)	\N	31	(10.9,-83.7)
Rio Desaguadero	\N	Poopo	\N	383	(-16.55,-69.0)	Andes	3812	(-18.55,-67.1)
Rio Magdalena	\N	\N	Caribbean Sea	1538	(2,-77)	Andes	\N	(10.95,-74.8)
Orinoco	\N	\N	Atlantic Ocean	2140	(2,-63.5)	Sierra Parima	\N	(9,-62)
Amazonas	\N	\N	Atlantic Ocean	3778	(-4.44,-73.45)	Andes	88	(0,-50)
Rio Negro	Amazonas	\N	\N	2253	(-2,-70)	Andes	\N	(-3.1,-60)
Rio Madeira	Amazonas	\N	\N	1450	(-10.4,-65.4)	\N	\N	(-3.4,-58.76)
Rio Mamore	Rio Madeira	\N	\N	1931	(-18,-66.5)	Andes	\N	(-10.4,-65.4)
Maranon	Amazonas	\N	\N	1905	(-10.00,-76.66)	Andes	5800	(-4.44,-73.45)
Huallaga	Maranon	\N	\N	1138	(-10.50,-76.3)	Andes	5800	(-5.1,-75.62)
Ucayali	Amazonas	\N	\N	1600	(-10.7,-73.75)	Andes	287	(-4.44,-73.45)
Urubamba	Ucayali	\N	\N	750	\N	Andes	\N	(-10.7,-73.75)
Tambo	Ucayali	\N	\N	160	(-11.15,-74.23)	Andes	295	(-10.7,-73.75)
Perene	Tambo	\N	\N	165	(-10.95,-75.27)	Andes	650	(-11.15,-74.23)
Ene	Tambo	\N	\N	180	(-12.26,-73.97)	Andes	400	(-11.15,-74.23)
Mantaro	Tambo	\N	\N	724	(-10.92,-76.27)	Andes	4082	(-12.26,-73.97)
Apurimac	Tambo	\N	\N	730	(-15.24,-71.84)	Andes	5020	(-12.26,-73.97)
Tocantins	\N	\N	Atlantic Ocean	2450	(-16,-49)	\N	1070	(-1.73,-49.16)
Araguaia	Tocantins	\N	\N	2198	(-17.97,-53.07)	\N	760	(-5.37,-48.73)
Rio Sao Francisco	\N	\N	Atlantic Ocean	2830	(-20.3,-43)	\N	1200	(-10.5,-36.4)
Parana	\N	\N	Atlantic Ocean	3998	(-19,-46.5)	\N	\N	(-34.5,-58.2)
Paraguay	Parana	\N	\N	2549	(-14.5,-56.5)	\N	\N	(-27.3,-58.4)
Uruguay	\N	\N	Atlantic Ocean	1790	(-27.5,-52)	\N	1800	(-33.9,-58.4)
Gambia	\N	\N	Atlantic Ocean	1120	(11.3,-12.3)	\N	438	(13.5,-16.6)
Senegal	\N	\N	Atlantic Ocean	1430	(11.5,-12)	\N	\N	(15.96,-16.5)
Volta	\N	\N	Atlantic Ocean	1500	(11,-4.5)	\N	\N	(5.77,0.68)
Niger	\N	\N	Atlantic Ocean	4184	(9.65,-10.87)	\N	490	(5.32,6.42)
Bani	Niger	\N	\N	430	(12.60,-6.56)	\N	285	(14.52,-4.2)
Benue	Niger	\N	\N	1400	(7.58,12.58)	\N	1100	(7.78,6.75)
Schari	\N	Chad Lake	\N	1400	(8,21)	\N	\N	(13.2,14.0)
Nile	\N	\N	Mediterranean Sea	\N	(15.6,32.5)	\N	\N	(31.5,31)
Atbara	Nile	\N	\N	1120	(12.8,37.3)	Ethiopian Highlands	\N	(17.68,33.97)
Blue Nile	Nile	\N	\N	1783	(12.0,37.3)	Ethiopian Highlands	1830	(15.6,32.5)
White Nile	Nile	\N	\N	\N	(9.5,30.43)	\N	\N	(15.6,32.5)
Sobat	White Nile	\N	\N	740	(8.45,33.2)	\N	\N	(9.63,31.65)
Pibor	Sobat	\N	\N	320	(7,33.5)	\N	\N	(8.45,33.2)
Baro	Sobat	\N	\N	306	(8.5,36.2)	\N	\N	(8.45,33.2)
Bahr el-Ghasal	White Nile	\N	\N	716	(5,28.5)	\N	\N	(9.5,30.43)
Bahr el-Djebel/Albert-Nil	White Nile	\N	\N	\N	(1.7,30.9)	East African Rift	619	(9.5,30.43)
Semliki	\N	Lake Sese Seko/Albertsee	\N	230	(-0.35,29.6)	East African Rift	920	(1.7,30.9)
Victoria Nile	\N	Lake Sese Seko/Albertsee	\N	\N	(-1,33)	East African Rift	1134	(1.7,30.9)
Akagera	\N	Lake Victoria	\N	275	(-2.5,29.3)	East African Rift	2700	(-1,33)
Jubba	\N	\N	Indian Ocean	1658	(7,39)	\N	\N	(-0.5,42.7)
Shabelle	Jubba	\N	\N	1820	(7,38.5)	\N	\N	(0.5,42.76)
Sanaga	\N	\N	Atlantic Ocean	918	(5.3,13.4)	\N	628	(3.55,9.65)
Zaire	\N	\N	Atlantic Ocean	4374	(0.5,25.2)	\N	\N	(-6,12)
Sanga	Zaire	\N	\N	530	(6,15)	\N	\N	(-2,17)
Ubangi	Zaire	\N	\N	1120	(4,22.5)	\N	\N	(-0.8,17.7)
Bomu	Ubangi	\N	\N	280	(5,27)	\N	\N	(4,22.5)
Uelle	Ubangi	\N	\N	1130	(2,30.5)	East African Rift	\N	(4,22.5)
Kwa	Zaire	\N	\N	100	(3.3,17.4)	\N	\N	(-3.1765,16.1967)
Fimi	Kwa	\N	\N	200	(-2.7,18.2)	\N	\N	(3,16.9)
Lukenie	Fimi	\N	\N	900	(-6.8,24.5)	\N	\N	(3,16.9)
Kasai	Kwa	\N	\N	1983	(-10.96,19.3)	\N	\N	(3.3,17.4)
Cuango	Kasai	\N	\N	1100	(-11.5,14.2)	\N	502	(3.3,17.4)
Cuilo	Kasai	\N	\N	970	(-11.3,14.7)	\N	\N	(3.3,17.4)
Lulua	Kasai	\N	\N	970	(-11.3,14.7)	\N	\N	(3.3,17.4)
Ruki	Zaire	\N	\N	130	(-0.3,19)	\N	\N	(0,18)
Busira	Ruki	\N	\N	830	(-0.2,20.8)	\N	\N	(-0.3,19)
Tshuapa	Busira	\N	\N	1300	(-3,24.5)	\N	\N	(-0.2,20.8)
Lomami	Zaire	\N	\N	1450	(-8.7,24.7)	\N	1140	(-0.8,24)
Aruwimi	Zaire	\N	\N	1287	(-11.3,14.7)	\N	\N	(2.5,29.5)
Lualaba	Zaire	\N	\N	\N	(-12,27)	\N	\N	(0.5,25.2)
Lukuga	Lualaba	\N	\N	350	(-5.9,29.2)	East African Rift	782	(-6,27)
Ruzizi	\N	Lake Tanganjika	\N	104	(-1.8,29.2)	East African Rift	1462	(-3.4,29.3)
Luvua	Lualaba	\N	\N	350	(-9,28.7)	East African Rift	931	(-7,27)
Luapula	\N	Lake Mweru	\N	300	(-11.2,29.7)	East African Rift	1140	(-9,28.7)
Zambezi	\N	\N	Indian Ocean	2574	(-11,24.2)	\N	1500	(-19,36)
Chire	Zambezi	\N	\N	402	(-14.2,35.2)	East African Rift	474	(-18,35.5)
Okavango	\N	\N	\N	1700	(-18.4,12.7)	\N	\N	(-18.95,22.5)
Limpopo	\N	\N	Indian Ocean	1750	(-26,28)	\N	1800	(-25.2,34)
Oranje	\N	\N	Atlantic Ocean	2160	(-28.5,28.5)	Drakensberge	1800	(-28.55,16.4)
Vaal	Oranje	\N	\N	1251	(-26,30)	Drakensberge	\N	(-29,24)
Murray River	\N	\N	Indian Ocean	2589	(-38,148)	Snowy Mountains	\N	(-35.55,138.88)
Darling River	Murray River	\N	\N	2739	(-28,152)	Great Dividing Range	\N	(-34.1,141.9)
Murrumbidgee River	Murray River	\N	\N	1579	(-37,148.5)	Snowy Mountains	\N	(-34.73,143.22)
Eucumbene River	\N	Lake Jindabyne	\N	83	(-35.8,148.5)	Snowy Mountains	\N	(-36.30,148.6)
Snowy River	\N	\N	Pacific Ocean	403	(-36.5,148.3)	Snowy Mountains	\N	(-37.6,148.55)
\.


--
-- TOC entry 5298 (class 0 OID 89627)
-- Dependencies: 717
-- Data for Name: riverthrough; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY riverthrough (river, lake) FROM stdin;
Lagen	Mjoesa-See
Umeaelv	Storuman
Oesterdalaelv	Siljan
Vuoksi	Saimaa
Vuoksi	Kallavesi
Rhone	Lac Leman
Ticino	Lago Maggiore
Adda	Lago di Como
Ammer	Ammersee
Würm	Starnberger See
Alz	Chiemsee
Rhein	Bodensee
Aare	Brienzersee
Aare	Thunersee
Reuss	Vierwaldstattersee
Jordan	Lake Genezareth
Dnepr	Kiev Reservoir
Dnepr	Kakhovka Reservoir
Dnepr	Kremenchuk Reservoir
Volga	Kuybyshev Reservoir
Angara	Ozero Baikal
Murgab	Koli Sarez
Missouri	Fort Peck Lake
Missouri	Lake Sakakawea
Missouri	Lake Oahe
Tennessee	Chickamauga Lake
Tennessee	Kentucky Lake
Columbia River	Franklin. D. Roosevelt Lake
Colorado	Lake Powell
Colorado	Lake Mead
Rio Lerma	Lago de Chapala
Rio San Juan	Lake Managua
Rio Sao Francisco	Lago de Sobradinho
Volta	Lake Volta
Niger	Lake Kainji
Nile	Lake Nasser
Victoria Nile	Lake Kioga
Sanaga	Barrage de Mbakaou
Zaire	Malebo Pool
Zambezi	Lake Kariba
Zambezi	Lake Cabora-Bassa
Murray River	Lake Hume
Murrumbidgee River	Lake Burley Griffin
Eucumbene River	Lake Eucumbene
Snowy River	Lake Jindabyne
\.


--
-- TOC entry 5299 (class 0 OID 89630)
-- Dependencies: 718
-- Data for Name: sea; Type: TABLE DATA; Schema: mondial_rel; Owner: -
--

COPY sea (name, depth) FROM stdin;
Atlantic Ocean	9219
Mediterranean Sea	5121
Black Sea	2211
Marmara Sea	1355
Sea of Azov	100
The Channel	175
Irish Sea	272
North Sea	200
Skagerrak	725
Kattegat	94
Baltic Sea	459
Norwegian Sea	3970
Greenland Sea	4846
Barents Sea	450
Kara Sea	\N
Arctic Ocean	5608
East Sibirian Sea	540
Bering Sea	4096
Hudson Bay	\N
Labrador Sea	4316
Gulf of Mexico	4375
Caribbean Sea	7240
Pacific Ocean	11034
Sea of Okhotsk	3372
Sea of Japan	4036
Yellow Sea	200
East China Sea	2370
South China Sea	5420
Indian Ocean	6400
Arabian Sea	5203
Gulf of Oman	3350
Persian Gulf	102
Red Sea	2635
Gulf of Aden	5143
Gulf of Bengal	4045
Andaman Sea	3113
Malakka Strait	104
Java Sea	2333
Banda Sea	7440
Sulawesi Sea	6218
Sulu Sea	6218
\.


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 4972 (class 2606 OID 91673)
-- Name: BelievedByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "BelievedByPK" PRIMARY KEY ("URI");


--
-- TOC entry 4974 (class 2606 OID 91675)
-- Name: BorderPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "BorderPK" PRIMARY KEY ("URI");


--
-- TOC entry 4976 (class 2606 OID 91677)
-- Name: CityPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "CityPK" PRIMARY KEY ("URI");


--
-- TOC entry 4978 (class 2606 OID 91679)
-- Name: ContinentPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "ContinentPK" PRIMARY KEY ("URI");


--
-- TOC entry 4980 (class 2606 OID 91681)
-- Name: CountryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "CountryPK" PRIMARY KEY ("URI");


--
-- TOC entry 4982 (class 2606 OID 91683)
-- Name: DesertPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "DesertPK" PRIMARY KEY ("URI");


--
-- TOC entry 4984 (class 2606 OID 91685)
-- Name: EncompassedPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "EncompassedPK" PRIMARY KEY ("URI");


--
-- TOC entry 4986 (class 2606 OID 91687)
-- Name: EstuaryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "EstuaryPK" PRIMARY KEY ("URI");


--
-- TOC entry 4988 (class 2606 OID 91689)
-- Name: EthnicGroupPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "EthnicGroupPK" PRIMARY KEY ("URI");


--
-- TOC entry 4990 (class 2606 OID 91691)
-- Name: EthnicProportionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "EthnicProportionPK" PRIMARY KEY ("URI");


--
-- TOC entry 4992 (class 2606 OID 91693)
-- Name: FemalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FemalePK" PRIMARY KEY ("URI");


--
-- TOC entry 4994 (class 2606 OID 91695)
-- Name: IslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "IslandPK" PRIMARY KEY ("URI");


--
-- TOC entry 4996 (class 2606 OID 91697)
-- Name: IslandsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "IslandsPK" PRIMARY KEY ("URI");


--
-- TOC entry 4998 (class 2606 OID 91699)
-- Name: LanguagePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "LanguagePK" PRIMARY KEY ("URI");


--
-- TOC entry 5000 (class 2606 OID 91701)
-- Name: MalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "MalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5002 (class 2606 OID 91703)
-- Name: MembershipPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "MembershipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5004 (class 2606 OID 91705)
-- Name: MountainPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "MountainPK" PRIMARY KEY ("URI");


--
-- TOC entry 5006 (class 2606 OID 91707)
-- Name: MountainsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "MountainsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5008 (class 2606 OID 91709)
-- Name: OrganizationPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5010 (class 2606 OID 91711)
-- Name: ProvincePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "ProvincePK" PRIMARY KEY ("URI");


--
-- TOC entry 5012 (class 2606 OID 91713)
-- Name: ReligionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "ReligionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5014 (class 2606 OID 91715)
-- Name: SourcePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "SourcePK" PRIMARY KEY ("URI");


--
-- TOC entry 5016 (class 2606 OID 91717)
-- Name: SpokenByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "SpokenByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5018 (class 2606 OID 91719)
-- Name: UPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "UPK" PRIMARY KEY ("URI");


--
-- TOC entry 5020 (class 2606 OID 91721)
-- Name: VPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "V"
    ADD CONSTRAINT "VPK" PRIMARY KEY ("URI");


--
-- TOC entry 5022 (class 2606 OID 91723)
-- Name: WaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "WaterPK" PRIMARY KEY ("URI");


--
-- TOC entry 5024 (class 2606 OID 91725)
-- Name: X1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X1"
    ADD CONSTRAINT "X1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5026 (class 2606 OID 91727)
-- Name: X2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X2"
    ADD CONSTRAINT "X2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5028 (class 2606 OID 91729)
-- Name: Y1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y1"
    ADD CONSTRAINT "Y1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5030 (class 2606 OID 91731)
-- Name: Y2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y2"
    ADD CONSTRAINT "Y2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5032 (class 2606 OID 91733)
-- Name: bordersPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT "bordersPK" PRIMARY KEY ("Entity", "LargeArea");


--
-- TOC entry 5034 (class 2606 OID 91735)
-- Name: cityInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "cityInPK" PRIMARY KEY ("City", "AdministrativeArea");


--
-- TOC entry 5036 (class 2606 OID 91737)
-- Name: hasAccountNoPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasAccountNo"
    ADD CONSTRAINT "hasAccountNoPK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5038 (class 2606 OID 91739)
-- Name: hasChildPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasChild"
    ADD CONSTRAINT "hasChildPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5040 (class 2606 OID 91741)
-- Name: hasNicknamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasNickname"
    ADD CONSTRAINT "hasNicknamePK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5042 (class 2606 OID 91743)
-- Name: locatedAtPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "locatedAtPK" PRIMARY KEY ("City", "Water");


--
-- TOC entry 5044 (class 2606 OID 91745)
-- Name: locatedInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedIn"
    ADD CONSTRAINT "locatedInPK" PRIMARY KEY ("Entity", "Area");


--
-- TOC entry 5046 (class 2606 OID 91747)
-- Name: locatedInWaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "locatedInWaterPK" PRIMARY KEY ("Island", "Water");


--
-- TOC entry 5048 (class 2606 OID 91749)
-- Name: locatedOnIslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "locatedOnIslandPK" PRIMARY KEY ("Entity", "Island");


--
-- TOC entry 5050 (class 2606 OID 91751)
-- Name: marriedWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "marriedWith"
    ADD CONSTRAINT "marriedWithPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5052 (class 2606 OID 91753)
-- Name: mergesWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "mergesWithPK" PRIMARY KEY ("Sea1", "Sea2");


--
-- TOC entry 5054 (class 2606 OID 91755)
-- Name: nmpropPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "nmpropPK" PRIMARY KEY ("X", "Y");


--
-- TOC entry 5056 (class 2606 OID 91757)
-- Name: othernamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY othername
    ADD CONSTRAINT "othernamePK" PRIMARY KEY ("Entity", "VALUE");


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 4894 (class 2606 OID 89638)
-- Name: airport_pkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY airport
    ADD CONSTRAINT airport_pkey PRIMARY KEY (iatacode);


--
-- TOC entry 4896 (class 2606 OID 89640)
-- Name: borderkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT borderkey PRIMARY KEY (country1, country2);


--
-- TOC entry 4898 (class 2606 OID 89642)
-- Name: citykey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY city
    ADD CONSTRAINT citykey PRIMARY KEY (name, country, province);


--
-- TOC entry 4900 (class 2606 OID 89644)
-- Name: cityothernamekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY cityothername
    ADD CONSTRAINT cityothernamekey PRIMARY KEY (country, province, city, othername);


--
-- TOC entry 4902 (class 2606 OID 89646)
-- Name: continentkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY continent
    ADD CONSTRAINT continentkey PRIMARY KEY (name);


--
-- TOC entry 4904 (class 2606 OID 89648)
-- Name: country_name_key; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_name_key UNIQUE (name);


--
-- TOC entry 4906 (class 2606 OID 89650)
-- Name: countrykey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT countrykey PRIMARY KEY (code);


--
-- TOC entry 4908 (class 2606 OID 89652)
-- Name: countrynameunique; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT countrynameunique UNIQUE (name);


--
-- TOC entry 4910 (class 2606 OID 89654)
-- Name: countryothernamekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY countryothername
    ADD CONSTRAINT countryothernamekey PRIMARY KEY (country, othername);


--
-- TOC entry 4912 (class 2606 OID 89656)
-- Name: desertkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY desert
    ADD CONSTRAINT desertkey PRIMARY KEY (name);


--
-- TOC entry 4914 (class 2606 OID 89658)
-- Name: economykey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY economy
    ADD CONSTRAINT economykey PRIMARY KEY (country);


--
-- TOC entry 4916 (class 2606 OID 89660)
-- Name: encompasseskey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY encompasses
    ADD CONSTRAINT encompasseskey PRIMARY KEY (country, continent);


--
-- TOC entry 4918 (class 2606 OID 89662)
-- Name: ethnickey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY ethnicgroup
    ADD CONSTRAINT ethnickey PRIMARY KEY (name, country);


--
-- TOC entry 4920 (class 2606 OID 89664)
-- Name: gdesertkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_desert
    ADD CONSTRAINT gdesertkey PRIMARY KEY (province, country, desert);


--
-- TOC entry 4922 (class 2606 OID 89666)
-- Name: gestuarykey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_estuary
    ADD CONSTRAINT gestuarykey PRIMARY KEY (province, country, river);


--
-- TOC entry 4924 (class 2606 OID 89668)
-- Name: gislandkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_island
    ADD CONSTRAINT gislandkey PRIMARY KEY (province, country, island);


--
-- TOC entry 4926 (class 2606 OID 89670)
-- Name: glakekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_lake
    ADD CONSTRAINT glakekey PRIMARY KEY (province, country, lake);


--
-- TOC entry 4928 (class 2606 OID 89672)
-- Name: gmountainkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_mountain
    ADD CONSTRAINT gmountainkey PRIMARY KEY (province, country, mountain);


--
-- TOC entry 4930 (class 2606 OID 89674)
-- Name: griverkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_river
    ADD CONSTRAINT griverkey PRIMARY KEY (province, country, river);


--
-- TOC entry 4932 (class 2606 OID 89676)
-- Name: gseakey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_sea
    ADD CONSTRAINT gseakey PRIMARY KEY (province, country, sea);


--
-- TOC entry 4934 (class 2606 OID 89678)
-- Name: gsourcekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_source
    ADD CONSTRAINT gsourcekey PRIMARY KEY (province, country, river);


--
-- TOC entry 4936 (class 2606 OID 89680)
-- Name: islandkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY island
    ADD CONSTRAINT islandkey PRIMARY KEY (name);


--
-- TOC entry 4940 (class 2606 OID 89682)
-- Name: lakekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY lake
    ADD CONSTRAINT lakekey PRIMARY KEY (name);


--
-- TOC entry 4942 (class 2606 OID 89684)
-- Name: languagekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY language
    ADD CONSTRAINT languagekey PRIMARY KEY (name, country);


--
-- TOC entry 4944 (class 2606 OID 89686)
-- Name: locatedonkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY locatedon
    ADD CONSTRAINT locatedonkey PRIMARY KEY (city, province, country, island);


--
-- TOC entry 4938 (class 2606 OID 89688)
-- Name: memberkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY ismember
    ADD CONSTRAINT memberkey PRIMARY KEY (country, organization);


--
-- TOC entry 4946 (class 2606 OID 89690)
-- Name: mergeswithkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mergeswith
    ADD CONSTRAINT mergeswithkey PRIMARY KEY (sea1, sea2);


--
-- TOC entry 4950 (class 2606 OID 89692)
-- Name: mntislkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mountainonisland
    ADD CONSTRAINT mntislkey PRIMARY KEY (mountain, island);


--
-- TOC entry 4948 (class 2606 OID 89694)
-- Name: mountainkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mountain
    ADD CONSTRAINT mountainkey PRIMARY KEY (name);


--
-- TOC entry 4952 (class 2606 OID 89696)
-- Name: orgkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY organization
    ADD CONSTRAINT orgkey PRIMARY KEY (abbreviation);


--
-- TOC entry 4954 (class 2606 OID 89698)
-- Name: orgnameunique; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY organization
    ADD CONSTRAINT orgnameunique UNIQUE (name);


--
-- TOC entry 4956 (class 2606 OID 89700)
-- Name: politicskey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY politics
    ADD CONSTRAINT politicskey PRIMARY KEY (country);


--
-- TOC entry 4958 (class 2606 OID 89702)
-- Name: popkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY population
    ADD CONSTRAINT popkey PRIMARY KEY (country);


--
-- TOC entry 4960 (class 2606 OID 89704)
-- Name: prkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY province
    ADD CONSTRAINT prkey PRIMARY KEY (name, country);


--
-- TOC entry 4962 (class 2606 OID 89706)
-- Name: provothernamekey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY provinceothername
    ADD CONSTRAINT provothernamekey PRIMARY KEY (country, province, othername);


--
-- TOC entry 4964 (class 2606 OID 89708)
-- Name: religionkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY religion
    ADD CONSTRAINT religionkey PRIMARY KEY (name, country);


--
-- TOC entry 4966 (class 2606 OID 89710)
-- Name: riverkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY river
    ADD CONSTRAINT riverkey PRIMARY KEY (name);


--
-- TOC entry 4968 (class 2606 OID 89712)
-- Name: rthroughkey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY riverthrough
    ADD CONSTRAINT rthroughkey PRIMARY KEY (river, lake);


--
-- TOC entry 4970 (class 2606 OID 89714)
-- Name: seakey; Type: CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY sea
    ADD CONSTRAINT seakey PRIMARY KEY (name);


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5113 (class 2606 OID 91928)
-- Name: FKBelievedByonReligion; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByonReligion" FOREIGN KEY ("onReligion") REFERENCES "Religion"("URI");


--
-- TOC entry 5112 (class 2606 OID 91933)
-- Name: FKBelievedByreligionInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByreligionInfo-" FOREIGN KEY ("religionInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5115 (class 2606 OID 91938)
-- Name: FKBorderCountry1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry1" FOREIGN KEY ("Country1") REFERENCES "Country"("URI");


--
-- TOC entry 5114 (class 2606 OID 91943)
-- Name: FKBorderCountry2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry2" FOREIGN KEY ("Country2") REFERENCES "Country"("URI");


--
-- TOC entry 5117 (class 2606 OID 91948)
-- Name: FKCountrycapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrycapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5116 (class 2606 OID 91953)
-- Name: FKCountrydependentOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrydependentOf" FOREIGN KEY ("dependentOf") REFERENCES "Country"("URI");


--
-- TOC entry 5118 (class 2606 OID 91958)
-- Name: FKEncompassedencompassedBy; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedBy" FOREIGN KEY ("encompassedBy") REFERENCES "Continent"("URI");


--
-- TOC entry 5119 (class 2606 OID 91963)
-- Name: FKEstuaryhasEstuary-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "FKEstuaryhasEstuary-" FOREIGN KEY ("hasEstuary-") REFERENCES "Water"("URI");


--
-- TOC entry 5121 (class 2606 OID 91968)
-- Name: FKEthnicProportionethnicInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportionethnicInfo-" FOREIGN KEY ("ethnicInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5120 (class 2606 OID 91973)
-- Name: FKEthnicProportiononEthnicGroup; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportiononEthnicGroup" FOREIGN KEY ("onEthnicGroup") REFERENCES "EthnicGroup"("URI");


--
-- TOC entry 5123 (class 2606 OID 91978)
-- Name: FKFemalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5122 (class 2606 OID 91983)
-- Name: FKFemalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5124 (class 2606 OID 91988)
-- Name: FKIslandbelongsToIslands; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandbelongsToIslands" FOREIGN KEY ("belongsToIslands") REFERENCES "Islands"("URI");


--
-- TOC entry 5126 (class 2606 OID 91993)
-- Name: FKMalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5125 (class 2606 OID 91998)
-- Name: FKMalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5128 (class 2606 OID 92003)
-- Name: FKMembershipinOrganization; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipinOrganization" FOREIGN KEY ("inOrganization") REFERENCES "Organization"("URI");


--
-- TOC entry 5127 (class 2606 OID 92008)
-- Name: FKMembershipofMember; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipofMember" FOREIGN KEY ("ofMember") REFERENCES "Country"("URI");


--
-- TOC entry 5130 (class 2606 OID 92013)
-- Name: FKMountaininMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountaininMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5129 (class 2606 OID 92018)
-- Name: FKMountainlocatedOnIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainlocatedOnIsland" FOREIGN KEY ("locatedOnIsland") REFERENCES "Island"("URI");


--
-- TOC entry 5131 (class 2606 OID 92023)
-- Name: FKOrganizationhasHeadq; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationhasHeadq" FOREIGN KEY ("hasHeadq") REFERENCES "City"("URI");


--
-- TOC entry 5133 (class 2606 OID 92028)
-- Name: FKProvincecapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvincecapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5132 (class 2606 OID 92033)
-- Name: FKProvinceisProvinceOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceisProvinceOf" FOREIGN KEY ("isProvinceOf") REFERENCES "Country"("URI");


--
-- TOC entry 5135 (class 2606 OID 92038)
-- Name: FKSourcehasSource-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourcehasSource-" FOREIGN KEY ("hasSource-") REFERENCES "Water"("URI");


--
-- TOC entry 5134 (class 2606 OID 92043)
-- Name: FKSourceinMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceinMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5137 (class 2606 OID 92048)
-- Name: FKSpokenBylanguageInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenBylanguageInfo-" FOREIGN KEY ("languageInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5136 (class 2606 OID 92053)
-- Name: FKSpokenByonLanguage; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenByonLanguage" FOREIGN KEY ("onLanguage") REFERENCES "Language"("URI");


--
-- TOC entry 5138 (class 2606 OID 92058)
-- Name: FKUtotUpartV11prop; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "FKUtotUpartV11prop" FOREIGN KEY ("totUpartV11prop") REFERENCES "V"("URI");


--
-- TOC entry 5140 (class 2606 OID 92063)
-- Name: FKWaterflowsInto; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5139 (class 2606 OID 92068)
-- Name: FKWaterflowsThrough_Inv; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsThrough_Inv" FOREIGN KEY ("flowsThrough_Inv") REFERENCES "Water"("URI");


--
-- TOC entry 5141 (class 2606 OID 92073)
-- Name: FKcityInCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "FKcityInCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5143 (class 2606 OID 92078)
-- Name: FKlocatedAtCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5142 (class 2606 OID 92083)
-- Name: FKlocatedAtWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5145 (class 2606 OID 92088)
-- Name: FKlocatedInWaterIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5144 (class 2606 OID 92093)
-- Name: FKlocatedInWaterWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5147 (class 2606 OID 92098)
-- Name: FKlocatedOnIslandEntity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandEntity" FOREIGN KEY ("Entity") REFERENCES "City"("URI");


--
-- TOC entry 5146 (class 2606 OID 92103)
-- Name: FKlocatedOnIslandIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5149 (class 2606 OID 92108)
-- Name: FKmergesWithSea1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea1" FOREIGN KEY ("Sea1") REFERENCES "Water"("URI");


--
-- TOC entry 5148 (class 2606 OID 92113)
-- Name: FKmergesWithSea2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea2" FOREIGN KEY ("Sea2") REFERENCES "Water"("URI");


--
-- TOC entry 5150 (class 2606 OID 92118)
-- Name: FKnmpropX; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "FKnmpropX" FOREIGN KEY ("X") REFERENCES "X2"("URI");


SET search_path = mondial_rel, pg_catalog;

--
-- TOC entry 5059 (class 2606 OID 89715)
-- Name: airportrefscity; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY airport
    ADD CONSTRAINT airportrefscity FOREIGN KEY (city, country, province) REFERENCES city(name, country, province);


--
-- TOC entry 5058 (class 2606 OID 89720)
-- Name: airportrefscountry; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY airport
    ADD CONSTRAINT airportrefscountry FOREIGN KEY (country) REFERENCES country(code) ON DELETE SET NULL;


--
-- TOC entry 5057 (class 2606 OID 89725)
-- Name: airportrefsisland; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY airport
    ADD CONSTRAINT airportrefsisland FOREIGN KEY (island) REFERENCES island(name);


--
-- TOC entry 5061 (class 2606 OID 89730)
-- Name: borders1ref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT borders1ref FOREIGN KEY (country1) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5060 (class 2606 OID 89735)
-- Name: borders2ref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT borders2ref FOREIGN KEY (country2) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5062 (class 2606 OID 89740)
-- Name: cityrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY city
    ADD CONSTRAINT cityrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5063 (class 2606 OID 89745)
-- Name: countryrefscap; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT countryrefscap FOREIGN KEY (capital, code, province) REFERENCES city(name, country, province);


--
-- TOC entry 5102 (class 2606 OID 89750)
-- Name: dependentcountry; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY politics
    ADD CONSTRAINT dependentcountry FOREIGN KEY (dependent) REFERENCES country(code) ON DELETE SET NULL;


--
-- TOC entry 5064 (class 2606 OID 89755)
-- Name: economyref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY economy
    ADD CONSTRAINT economyref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5066 (class 2606 OID 89760)
-- Name: enccontref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY encompasses
    ADD CONSTRAINT enccontref FOREIGN KEY (continent) REFERENCES continent(name) ON DELETE CASCADE;


--
-- TOC entry 5065 (class 2606 OID 89765)
-- Name: enccountryref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY encompasses
    ADD CONSTRAINT enccountryref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5069 (class 2606 OID 89770)
-- Name: gdesertref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_desert
    ADD CONSTRAINT gdesertref FOREIGN KEY (desert) REFERENCES desert(name) ON DELETE CASCADE;


--
-- TOC entry 5068 (class 2606 OID 89775)
-- Name: gdesertrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_desert
    ADD CONSTRAINT gdesertrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5071 (class 2606 OID 89780)
-- Name: gestuaryref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_estuary
    ADD CONSTRAINT gestuaryref FOREIGN KEY (river) REFERENCES river(name) ON DELETE CASCADE;


--
-- TOC entry 5070 (class 2606 OID 89785)
-- Name: gestuaryrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_estuary
    ADD CONSTRAINT gestuaryrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5073 (class 2606 OID 89790)
-- Name: gislandref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_island
    ADD CONSTRAINT gislandref FOREIGN KEY (island) REFERENCES island(name) ON DELETE CASCADE;


--
-- TOC entry 5072 (class 2606 OID 89795)
-- Name: gislandrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_island
    ADD CONSTRAINT gislandrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5075 (class 2606 OID 89800)
-- Name: glakeref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_lake
    ADD CONSTRAINT glakeref FOREIGN KEY (lake) REFERENCES lake(name) ON DELETE CASCADE;


--
-- TOC entry 5074 (class 2606 OID 89805)
-- Name: glakerefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_lake
    ADD CONSTRAINT glakerefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5077 (class 2606 OID 89810)
-- Name: gmountainref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_mountain
    ADD CONSTRAINT gmountainref FOREIGN KEY (mountain) REFERENCES mountain(name) ON DELETE CASCADE;


--
-- TOC entry 5076 (class 2606 OID 89815)
-- Name: gmountainrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_mountain
    ADD CONSTRAINT gmountainrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5079 (class 2606 OID 89820)
-- Name: griverref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_river
    ADD CONSTRAINT griverref FOREIGN KEY (river) REFERENCES river(name) ON DELETE CASCADE;


--
-- TOC entry 5078 (class 2606 OID 89825)
-- Name: griverrefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_river
    ADD CONSTRAINT griverrefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5081 (class 2606 OID 89830)
-- Name: gsearef; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_sea
    ADD CONSTRAINT gsearef FOREIGN KEY (sea) REFERENCES sea(name) ON DELETE CASCADE;


--
-- TOC entry 5080 (class 2606 OID 89835)
-- Name: gsearefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_sea
    ADD CONSTRAINT gsearefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5083 (class 2606 OID 89840)
-- Name: gsourceref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_source
    ADD CONSTRAINT gsourceref FOREIGN KEY (river) REFERENCES river(name) ON DELETE CASCADE;


--
-- TOC entry 5082 (class 2606 OID 89845)
-- Name: gsourcerefsprov; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY geo_source
    ADD CONSTRAINT gsourcerefsprov FOREIGN KEY (country, province) REFERENCES province(country, name) ON DELETE CASCADE;


--
-- TOC entry 5086 (class 2606 OID 89850)
-- Name: islandlake; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY islandin
    ADD CONSTRAINT islandlake FOREIGN KEY (lake) REFERENCES lake(name);


--
-- TOC entry 5085 (class 2606 OID 89855)
-- Name: islandriver; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY islandin
    ADD CONSTRAINT islandriver FOREIGN KEY (river) REFERENCES river(name);


--
-- TOC entry 5084 (class 2606 OID 89860)
-- Name: islandsea; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY islandin
    ADD CONSTRAINT islandsea FOREIGN KEY (sea) REFERENCES sea(name);


--
-- TOC entry 5089 (class 2606 OID 89865)
-- Name: lakerefsriver; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY lake
    ADD CONSTRAINT lakerefsriver FOREIGN KEY (river) REFERENCES river(name) ON DELETE SET NULL;


--
-- TOC entry 5090 (class 2606 OID 89870)
-- Name: langref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY language
    ADD CONSTRAINT langref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5094 (class 2606 OID 89875)
-- Name: locatedlake; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT locatedlake FOREIGN KEY (lake) REFERENCES lake(name);


--
-- TOC entry 5096 (class 2606 OID 89880)
-- Name: locatedonrefscity; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY locatedon
    ADD CONSTRAINT locatedonrefscity FOREIGN KEY (city, country, province) REFERENCES city(name, country, province) ON DELETE CASCADE;


--
-- TOC entry 5095 (class 2606 OID 89885)
-- Name: locatedonrefsisland; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY locatedon
    ADD CONSTRAINT locatedonrefsisland FOREIGN KEY (island) REFERENCES island(name);


--
-- TOC entry 5093 (class 2606 OID 89890)
-- Name: locatedrefscity; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT locatedrefscity FOREIGN KEY (city, country, province) REFERENCES city(name, country, province) ON DELETE CASCADE;


--
-- TOC entry 5092 (class 2606 OID 89895)
-- Name: locatedriver; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT locatedriver FOREIGN KEY (river) REFERENCES river(name);


--
-- TOC entry 5091 (class 2606 OID 89900)
-- Name: locatedsea; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY located
    ADD CONSTRAINT locatedsea FOREIGN KEY (sea) REFERENCES sea(name);


--
-- TOC entry 5088 (class 2606 OID 89905)
-- Name: membercref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY ismember
    ADD CONSTRAINT membercref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5087 (class 2606 OID 89910)
-- Name: memberorgref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY ismember
    ADD CONSTRAINT memberorgref FOREIGN KEY (organization) REFERENCES organization(abbreviation);


--
-- TOC entry 5100 (class 2606 OID 89915)
-- Name: mountainonrefscity; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mountainonisland
    ADD CONSTRAINT mountainonrefscity FOREIGN KEY (mountain) REFERENCES mountain(name) ON DELETE CASCADE;


--
-- TOC entry 5099 (class 2606 OID 89920)
-- Name: mountainonrefsisland; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mountainonisland
    ADD CONSTRAINT mountainonrefsisland FOREIGN KEY (island) REFERENCES island(name) ON DELETE CASCADE;


--
-- TOC entry 5101 (class 2606 OID 89925)
-- Name: politicsref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY politics
    ADD CONSTRAINT politicsref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5103 (class 2606 OID 89930)
-- Name: populationref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY population
    ADD CONSTRAINT populationref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5105 (class 2606 OID 89935)
-- Name: provrefscap; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY province
    ADD CONSTRAINT provrefscap FOREIGN KEY (capital, capprov, country) REFERENCES city(name, province, country);


--
-- TOC entry 5104 (class 2606 OID 89940)
-- Name: provrefscountry; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY province
    ADD CONSTRAINT provrefscountry FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5106 (class 2606 OID 89945)
-- Name: relref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY religion
    ADD CONSTRAINT relref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5067 (class 2606 OID 89950)
-- Name: relref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY ethnicgroup
    ADD CONSTRAINT relref FOREIGN KEY (country) REFERENCES country(code) ON DELETE CASCADE;


--
-- TOC entry 5109 (class 2606 OID 89955)
-- Name: riverlake; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY river
    ADD CONSTRAINT riverlake FOREIGN KEY (lake) REFERENCES lake(name);


--
-- TOC entry 5108 (class 2606 OID 89960)
-- Name: riverriver; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY river
    ADD CONSTRAINT riverriver FOREIGN KEY (river) REFERENCES river(name);


--
-- TOC entry 5107 (class 2606 OID 89965)
-- Name: riversea; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY river
    ADD CONSTRAINT riversea FOREIGN KEY (sea) REFERENCES sea(name);


--
-- TOC entry 5111 (class 2606 OID 89970)
-- Name: rthroughrefslake; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY riverthrough
    ADD CONSTRAINT rthroughrefslake FOREIGN KEY (lake) REFERENCES lake(name) ON DELETE CASCADE;


--
-- TOC entry 5110 (class 2606 OID 89975)
-- Name: rthroughrefsriver; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY riverthrough
    ADD CONSTRAINT rthroughrefsriver FOREIGN KEY (river) REFERENCES river(name) ON DELETE CASCADE;


--
-- TOC entry 5098 (class 2606 OID 89980)
-- Name: sea1ref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mergeswith
    ADD CONSTRAINT sea1ref FOREIGN KEY (sea1) REFERENCES sea(name) ON DELETE CASCADE;


--
-- TOC entry 5097 (class 2606 OID 89985)
-- Name: sea2ref; Type: FK CONSTRAINT; Schema: mondial_rel; Owner: -
--

ALTER TABLE ONLY mergeswith
    ADD CONSTRAINT sea2ref FOREIGN KEY (sea2) REFERENCES sea(name) ON DELETE CASCADE;


-- Completed on 2015-10-22 13:31:38 CEST

--
-- PostgreSQL database dump complete
--

